<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0056']) == 1 ) {
		//check if can edit or redirect it
		$result = checkIfCanBeEdit( $_GET['note'], 'ID_NotaCreditoCompra', 'Estado', 'Rascunho', 'faturacao_compras_notas_credito' );
		if ( $result == true ) {}
		else{
			header('Location: ../operation-refusee?redirectfrom=/frifacturation/achats-notes-credit/modifier&redirectto=/frifacturation/notes-credit');
		}
	}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/achats-notes-credit&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = " display: inline-block; ";
		$spanStyle = " style='display: inline-block;' ";
		$qtdSizePerc = "70%";
	}
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1107,1204,1102,499,492,1456,523,715,1221,1659,35,279,1398,1684,1995,1288,513,1469,1456,1251,377,392,1389,1091,123,284,928,1144,1393,1402,1502,1362,1024,269,427,1351,1334,1599,1388,1423,1542,77,1298,1516,1643,911,1651,1422,1023,1390,1423,1439,1599,1511,562,563,67,971,186,949,639,631,86,1403,1670,1431,1436,1435,1462,1635,532,1007,959,967,1361,1488,949,639,86,631,1679);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[1107]['trad']; ?> | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../achats-notes-credit"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../achats-notes-credit"><?php echo $data[1204]['trad']; ?></a>
							</li>
							<li class="active">
								<?php echo $data[1102]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[499]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[492]['trad']; ?><span class="require">*</span></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="documentoOrigem_nota" name="documentoOrigem_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[523]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[715]['trad']; ?><span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="fornecedor_nota" name="fornecedor_nota" disabled>
																	<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
																</select>
																<span class="input-group-btn">
																	<button type="button" class="btn btn-grey" disabled>
																		<i class="fa fa-user"></i>&nbsp;<?php echo $data[1221]['trad']; ?>
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1659]['trad']; ?>:</label>
															<input type="text" class="form-control" id="nif_fornecedor_nota" name="nif_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[35]['trad']; ?></label>
															<input type="text" class="form-control" id="endereco_fornecedor_nota" name="endereco_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[279]['trad']; ?></label>
															<input type="text" class="form-control" id="codigopostal_fornecedor_nota" name="codigopostal_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1398]['trad']; ?></label>
															<input type="text" class="form-control" id="regiao_fornecedor_nota" name="regiao_fornecedor_nota" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1684]['trad']; ?></label>
															<input type="text" class="form-control" id="cidade_fornecedor_nota" name="cidade_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1288]['trad']; ?></label>
															<input type="text" class="form-control" id="pais_fornecedor_nota" name="pais_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[513]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1469]['trad']; ?><span class="require">*</span></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="serie_nota" name="serie_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div> 
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1251]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_nota" name="numero_nota" placeholder="..." autofocus="true" disabled/>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[377]['trad']; ?><span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_nota" id="data_nota" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[392]['trad']; ?><span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker 15days" disabled data-provide="datepicker" name="validade_nota" id="validade_nota" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1091]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="pagamento_nota" name="pagamento_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3" id="banco_select_nota" style="display: none;">
														<div class="form-group">
															<label class="control-label"><?php echo $data[123]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="banco_nota" name="banco_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[284]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="vencimento_nota" name="vencimento_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
																<option value="0"><?php echo $data[1317]['trad']; ?></option>
																<option value="10">10 <?php echo $data[928]['trad']; ?></option>
																<option value="20">20 <?php echo $data[928]['trad']; ?></option>
																<option value="30">30 <?php echo $data[928]['trad']; ?></option>
																<option value="60">60 <?php echo $data[928]['trad']; ?></option>
																<option value="90">90 <?php echo $data[928]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1144]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="moeda_nota" name="moeda_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1389]['trad']; ?></label>
															<input type="text" class="form-control percentage" id="desconto_nota" name="desconto_nota" placeholder="0 %" />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1393]['trad']; ?></label>
															<input type="text" class="form-control" id="referencia_nota" name="referencia_nota" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-9">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1402]['trad']; ?></label>
															<input type="text" class="form-control" id="observacoes_nota" name="observacoes_nota" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1502]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="sugestoes_motivo_nota" name="sugestoes_motivo_nota"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1361]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="motivo_nota" name="motivo_nota" placeholder="" />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													<?php echo $data[1024]['trad']; ?>
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:100px; max-width:150px;"><?php echo $data[1393]['trad']; ?></th>
																<th style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>"><?php echo $data[269]['trad']; ?></th>
																<th><?php echo $data[427]['trad']; ?></th>
																<th style="width:105px;"><?php echo $data[1351]['trad']; ?></th>
																<th style="width:100px;"><?php echo $data[1334]['trad']; ?></th>
																<th style="width:120px;"><?php echo $data[1599]['trad']; ?></th>
																<!-- <th style="width:120px;">Motif</th> -->
																<th style="width:80px;"><?php echo $data[1388]['trad']; ?></th>
																<th style="width:80px;" class=" hide"><?php echo $data[1423]['trad']; ?></th>
																<th class="text-right" style="width:100px;"><?php echo $data[1542]['trad']; ?></th>
																<th style="width:30px; text-align: center;">
																	&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:100px; max-width:150px;">
																	<select data-id-line="0" class="lineInputArtigo form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="codigo_linha_0" name="codigo_linha_0" >
																		<option value="" data-hidden="true"><?php echo $data[77]['trad']; ?></option>
																	</select>
																</td>
																<td style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
																	<select data-id-line="0" class="lineInputPlano form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="plano_artigo_linha_0" name="plano_artigo_linha_0" >
																		<option value="" data-hidden="true"><?php echo $data[1298]['trad']; ?></option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1"></textarea>
																</td>
																<td style="width:105px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_0" name="qtd_linha_0" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />
																	<span id="unidade_linha_0" style="margin-left: 1px; font-size: 10px; <?php echo $spanStyleOnly; ?>"><?php echo $data[1643]['trad']; ?></span>
																</td>
																<td style="width:100px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_0" name="preco_linha_0" placeholder="0.00 CHF" />
																</td>
																<td style="width:120px;">
																	<select data-id-line="0" class="lineInputChange lineInputImposto form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="iva_linha_0" name="iva_linha_0" >
																		<option value="" data-hidden="true"><?php echo $data[1516]['trad']; ?></option>
																	</select>
																</td>
																<!-- <td style="width:120px;">
																	<select data-id-line="0" class="lineInputMotivo form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="motivo_linha_0" name="motivo_linha_0" disabled >
																		<option value="" data-hidden="true">Motif</option>
																	</select>
																</td> -->
																<td style="width:80px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_0" name="desc_linha_0" placeholder="0 %" />
																</td>
																<td style="width:80px;" class=" hide">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_0" name="retencao_linha_0" placeholder="0.00 CHF" />
																</td>
																<td class="text-right" style="width:100px;">
																	<span id="total_linha_0" style="display: block" class="money">0</span>
																</td>
																<td style="width:30px; text-align: center;">
																	<a class="options-link text-red" onclick="eliminarLinha(0)" title="Remover Linha"><i class="fa fa-trash"></i></a>
																</td>
															</tr>
														</tbody>
													</table>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer taxes-table">
														<thead>
															<tr>
																<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><?php echo $data[1516]['trad']; ?></b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><?php echo $data[911]['trad']; ?></b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><?php echo $data[1651]['trad']; ?></b></th>
															</tr>
															<tr>
																<th colspan="3" style="padding-bottom: 10px;"></th>
															</tr>
														</thead>
													</table>
												</div>
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer resume-table">
														<thead>
															<tr>
																<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><?php echo $data[1422]['trad']; ?></b></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight"><?php echo $data[1023]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight"><?php echo $data[1488]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight"><?php echo $data[1390]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
															</tr>
															<tr class=" hide">
																<th class="textCell paddingRight"><?php echo $data[1423]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight"><?php echo $data[1439]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight"><?php echo $data[1599]['trad']; ?>: </th>
																<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><?php echo $data[1542]['trad']; ?>: </b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira" style="display: none;">
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira2" style="display: none;">
																<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><?php echo $data[1511]['trad']; ?>: <span  class="" id="taxa-cambio">0</span></th>
															</tr>
														</thead>
													</table>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
											</button>
											<button class="btn btn-green submit_button2" type="button" id="finishDocumentBtn">
												<i class="fa fa-flag-checkered"></i> <?php echo $data[563]['trad']; ?>
											</button>
											<a  href="../achats-notes-credit" class="btn btn-default" type="button"> <?php echo $data[1995]['trad']; ?> </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php //include('../modals/fornecedors.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.notas_credito_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var precisaBanco = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					mDec : 2,
					pSign : 's',
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					mDec : 2,
					pSign : 's',
					vMin:'0'
				});

				//fill select boxes
				// fill_origens();
				fill_series();
				// fill_pagamentos();
				// fill_moedas();
				// fill_articles(0);
				// fill_ivas(0);
				// fill_motivos(0);
				// fill_motivos_nota();
				// //standards 
				// $("#vencimento_nota").val("<?php //echo getValorPadrao('Vencimento','faturacao_personalizar_documentos'); ?>");
				// //calculations
				// update_resumeTable();

				//disable the fields of the lines
				$("#descricao_linha_0").prop('disabled', true);
				$("#qtd_linha_0").prop('disabled', true);
				$("#preco_linha_0").prop('disabled', true);
				$("#desc_linha_0").prop('disabled', true);
				$("#retencao_linha_0").prop('disabled', true);

				//fill select boxes
				var idNota = getParameterByName('note');
				fill_document(idNota);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			//open new people modal
			// function new_fornecedor() {
			// 	$('#modal-fornecedor').modal("show");
			// }
			

			//change currency
			$("select#vencimento_nota").on('change', function(event){
				calculateDataValidade();
			});

			//change date
			$(".today").on('change', function(event){
				calculateDataValidade();
			});

			//calculate data validade
			function calculateDataValidade(){
				var dataBase = $(".today").datepicker().datepicker("getDate");
				dataBase = new Date(dataBase).getTime();
				var dias = $("select#vencimento_nota").val();
				var newValidadeDate =  new Date( dataBase+(dias*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", newValidadeDate);
			}

			//change doc origin
			$("select#documentoOrigem_nota").on('change', function(event){
				var fornecedorID = Number( $('option:selected', $(this) ).attr('data-fornecedor') );

				var options = $("select#fornecedor_nota");
				if(fornecedorID != 0) $(options).val(fornecedorID);
				$(options).selectpicker('refresh');

				getFornecedorDetails(fornecedorID);
				fill_origens_detalhes($(this).val());
			});

			//change fornecedor details
			$("select#fornecedor_nota").on('change', function(event){
				getFornecedorDetails( $(this).val() );
			});

			//change serie
			$("select#serie_nota").on('change', function(event){
				getNextNumber();
			});

			//change payment method
			$("select#pagamento_nota").on('change', function(event){
				var needBank = Number( $('option:selected', $(this) ).attr('data-bank') );
				if(needBank == 1){
					precisaBanco = 1;
					$('#banco_select_nota').show();
				}else{
					precisaBanco = 0;
					$('#banco_select_nota').hide();
				}
			});

			//change motives
			$("select#sugestoes_motivo_nota").on('change', function(event){
				$('#motivo_nota').val( $(this).val() );
			});

			//change currency
			$("select#moeda_nota").on('change', function(event){
				calculateCurrencyCambio();
			});

			$("#desconto_nota").on('keyup', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID);
				});
			});
			$("#desconto_nota").on('change', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID);
				});
			});

			//------------------------ LINES ----------------------------
			linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_nota').datepicker('getDate');
				var dt_begin = $('#data_nota').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "<?php echo $data[971]['trad']; ?>.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_nota').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					documentoOrigem_nota : {
						required : true,
					},
					fornecedor_nota : {
						required : true,
					},
					numero_nota : {
						required : true
					},
					data_nota : {
						required : true
					},
					pagamento_nota : {
						required : true
					},
					validade_nota : {
						required : true,
						checkDataValidade : true
					},
					motivo_nota : {
						required : true
					},
				},
				messages : {
					documentoOrigem_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					fornecedor_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					numero_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					data_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					pagamento_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					validade_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					motivo_nota : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//store and close document
			$('#finishDocumentBtn').on('click', function(event){
				salvarFinalizar();
			});

			//FINISH THE DOCUMENT
			function salvarFinalizar(){
				var result = checkDataBiggerThanToday();
				var dataNota = $('#data_nota').val();
				var question = '';
				if(result == true) question = "<?php echo $data[949]['trad']; ?>\n\n<?php echo $data[639]['trad']; ?>\n\n<?php echo $data[86]['trad']; ?> ["+dataNota+"].";
				else question = "<?php echo $data[631]['trad']; ?>\n\n<?php echo $data[1679]['trad']; ?>";
				if (confirm(question) == true) {
					finalizarDocumento = 1;
					$("#submitFormBtn").click();
				} else { finalizarDocumento = 0; return false; }
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idNota = getParameterByName('note');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				}else{
					//check if exists 1 article at least
					$("select.lineInputArtigo").each(function() {
						var lineID = $(this).attr('data-id-line');
						//check lines with articles
						if( $(this).val() > 0 ) linesWithArticles++;
						//check invalid totals
						if( $("#total_linha_"+lineID).parent().attr('data-status') == 'invalid'	) invalid++;
						//check invalid quantities
						if( $("#qtd_linha_"+lineID).autoNumeric('get') <= 0	) articlesQTD++;
						//check isenções
						var subclasse = $('option:selected', $("#iva_linha_"+lineID)).attr('data-subclasse');
						if (subclasse == 'ISE'){
							if( $("#motivo_linha_"+lineID).val() < 1) /*motives++;*/ motives=0;
						}
					});

					//process validation
					if( invalid > 0 ) $.scojs_message("<?php echo $data[1670]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					if( linesWithArticles == 0 ) $.scojs_message("<?php echo $data[1431]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					if( articlesQTD > 0 ) $.scojs_message("<?php echo $data[1436]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					if( motives > 0 ) $.scojs_message("<?php echo $data[1435]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
					if( precisaBanco > 0 && ( $("#banco_nota").val() < 1 || $("#banco_nota").val() == '' )  ) $.scojs_message("<?php echo $data[1462]['trad']; ?>", $.scojs_message.TYPE_ERROR);

					if( invalid == 0 && linesWithArticles > 0 && articlesQTD == 0 && motives == 0){
						//process the lines array
						var linesArticles = [];
						$("select.lineInputArtigo").each(function() {
							var lineID = $(this).attr('data-id-line');
							//add to array
							linesArticles.push({
								"idLinhaOrigem" : $(this).attr('data-lnOrig'),
								"artigo" : $(this).val(),
								"descricao" : $("#descricao_linha_"+lineID).val(),
								"qtd" : $("#qtd_linha_"+lineID).autoNumeric('get'),
								"preco" : $("#preco_linha_"+lineID).autoNumeric('get'),
								"imposto" : $("#iva_linha_"+lineID).val(),
								"motivo" : $("#motivo_linha_"+lineID).val(),
								"desconto" : $("#desc_linha_"+lineID).autoNumeric('get'),
								"retencao" : $("#retencao_linha_"+lineID).autoNumeric('get'),
							});
						});

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]["trad"]; ?> ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/compras-notas-credito/editar.php',
							dataType : 'json',
							data : {
								idNota : idNota,
								docOrigem : $("#documentoOrigem_nota").val(),
								docType : $('option:selected', $("#documentoOrigem_nota") ).attr('data-type'),
								fornecedor : $("#fornecedor_nota").val(),
								numero : $("#numero_nota").val(),
								data : $("#data_nota").val(),
								validade : $("#validade_nota").val(),
								referencia : $("#referencia_nota").val(),
								pagamento : $("#pagamento_nota").val(),
								banco : $("#banco_nota").val(),
								vencimento : $("#vencimento_nota").val(),
								moeda : $("#moeda_nota").val(),
								desconto : $("#desconto_nota").autoNumeric('get'),
								observacoes : $("#observacoes_nota").val(),
								motivo : $("#motivo_nota").val(),
								series : $("#serie_nota").val(),
								linhas : linesArticles,
								finalizarDocumento : finalizarDocumento,
								precisaBanco : precisaBanco
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] <?php echo $data[1635]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[1635]['trad']; ?>r", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("<?php echo $data[532]['trad']; ?>.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								console.log(resp);
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.pagavel) $.scojs_message("[FAT003] <?php echo $data[1007]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
									else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] <?php echo $data[959]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else if(resp.responseJSON.data_superior2) $.scojs_message("[FAT003] <?php echo $data[967]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else $.scojs_message("[FAT004] <?php echo $data[1635]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[532]['trad']; ?>.", $.scojs_message.TYPE_OK);
									//reload
									setTimeout(function() {
										if(finalizarDocumento > 0 ) window.location.href = "../achats-notes-credit";
										else window.location.href = "../achats-notes-credit/details?note="+resp.responseJSON.nota;
									}, 1000);
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]["trad"]; ?>');
							}
						});
					}
				}
			});
		</script>
	</body>
</html>