<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1565,1472,1446,1702,1704,1503,1312,1310,421,428,1093,1273,1063,1030,707,1505,1377,620,87,864,18,1633,1698,634,632,784,17,633,785,19,644,1677,884,190,20);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[3, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/compras.php",
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1446]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : " <?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [null, null, null, null, null,
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"sClass" : "text-center",
			"bVisible" : false,
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[7] == 'Rascunho') element = '<span style="color: orange;">'+full[0]+'</span>';
				if(full[7] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[7] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[7] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="40">'+full[1]+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[3].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_compra_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				if(full[4]){
				var element = '';
					var tmp = full[4].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_compra_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				} else {
					element = "-";
				}
				//return html
				return element;
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money">'+full[5]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[6] < 0) colorLabel = 'text-red';
            	else colorLabel = 'text-green';
				element ='<span class="money '+colorLabel+'">'+full[6]+'</span>';
				
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[7] == 'Rascunho') element = '<span class="label label-orange">'+full[7]+'</span>';
				if(full[7] == 'Pago') element = '<span class="label label-green">'+full[7]+'</span>';
				if(full[7] == 'Aberto') element = '<span class="label label-blue">'+full[7]+'</span>';
				if(full[7] == 'Anulado') element = '<span class="label label-red">'+full[7]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var tmp = full[3].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var html = '';
				var typeDoc = "'FT'";

				html += '<a href="details.php?achat='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="<?php echo $data[428]["trad"]; ?>"></i></a>';

				//edition options
				if( full[7] != 'Rascunho' ){
					if(full[9] == 0 && full[10] == 0 && full[7] != 'Anulado'){
						html += '<a href="modifier?achat='+full[8]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]["trad"]; ?>"></i></a>';
					}

					if( full[7] == 'Aberto' ){
						html += '<a class="options-link text-green" onclick="marcarPagamento('+ full[8] +', '+nome+')" title="<?php echo $data[1273]["trad"]; ?>"><i class="fa fa-dollar"></i></a>';
					}
					if( full[7] == 'Aberto' ){
						if(full[9] == 0 && full[10] == 0){
							html += '<a class="options-link text-red" onclick="marcarAnulado('+ full[8] +', '+nome+')" title="<?php echo $data[1063]["trad"]; ?>"><i class="fa fa-times"></i></a>';
						}
					}
					// if( full[7] == 'Pago' ){
					// 	html += '<a class="options-link text-blue" onclick="marcarAberto('+ full[8] +', '+nome+')" title="Marquer Ouvert"><i class="fa fa-folder-open-o"></i></a>';
					// }

					html += '<a class="options-link text-info" onclick="listarNotasCredito('+ full[8] +')" title="<?php echo $data[1030]["trad"]; ?>"><i class="fa fa-list"></i></a>';
				}else{
					html += '<a href="modifier?achat='+full[8]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]["trad"]; ?>"></i></a>';
					html += '<a class="options-link text-green" onclick="finalizarCompra('+ full[8] +', '+nome+')" title="<?php echo $data[707]["trad"]; ?>"><i class="fa fa-flag-checkered"></i></a>';
				}
				if( full[7] == 'Rascunho' ){
					html += '<a class="options-link text-red" onclick="eliminarCompra('+ full[8] +', '+nome+')" title="<?php echo $data[1505]["trad"]; ?>"><i class="fa fa-trash"></i></a>';
				}
				
				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[8]);
			
			if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		},

		"footerCallback" : function(row, data, start, end, display) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function(i) {
                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
            };

            // Total current page
            var valorTotal = api.column(5, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);
            // Total current page
            var valorSolde = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);

            //Por liquidar -> Used extra field to calculate already rounded for a better real value
			$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				mDec : <?php echo $numDecimais; ?>,
				//vMin:'0'
			});
			
			$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
			valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
			$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
			valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

			$( "#valorDocTemp" ).remove();

            //final calculation
            //-------------------------------------------------------------------------------------
            
            $('.money').not(".table-menu > tbody > tr > td > span").html("");
            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

            if(valorSolde < 0) colorLabel = 'text-red';
            else colorLabel = 'text-green';
            // Update footer
            $(api.column(5).footer()).html('<span class="money">' + valorTotal + '</span>');
            $(api.column(6).footer()).html('<span class="money '+colorLabel+'">' + valorSolde + '</span>');
        }
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]["trad"]; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//finalizar
	function finalizarCompra(idCompra, nome){
	<?php if (hasPermission(['P0051']) == 1) { ?>
		question = "<?php echo $data[620]['trad']; ?> \n" + nome + "?\n\n<?php echo $data[87]['trad']; ?>";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras/finalizar.php',
				dataType : 'json',
				data : {
					idCompra : idCompra
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[864]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[864]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[18]['trad']; ?>.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}

	//marcar como pago
	function marcarPagamento(idCompra, nome){
	<?php if (hasPermission(['P0051']) == 1) { ?>
		question = "<?php echo $data[634]['trad']; ?> \n" + nome + "?";
		
		marcarComoPagoModal(idCompra, nome);
		
		// if (confirm(question) == true) {
		// 	$.ajax({
		// 		type : 'POST',
		// 		url : '/frifacturation/server/compras/marcar_pagamento.php',
		// 		dataType : 'json',
		// 		data : {
		// 			idCompra : idCompra
		// 		},
		// 		success : function(resposta) {
		// 			var resp = resposta;
		// 			if (resposta == null)
		// 				$.scojs_message("[FAT001] Il est impossible de marquer comme payé cet achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
		// 			else {
		// 				if (resposta.errors) {
		// 					if (resposta.bloqueada) $.scojs_message("[FAT002] Ce compte est déjà payé ou annulé. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
		// 					else $.scojs_message("[FAT002] Il est impossible de marquer comme payé cet achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
		// 				} else {
		// 					$.scojs_message("Achat marqué comme payé avec succès.", $.scojs_message.TYPE_OK);
		// 				}
		// 			}
		// 		},
		// 		complete : function(resposta) {
		// 			var resp = resposta
		// 			if (resp.responseJSON.errors) {
		// 				$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
		// 			} else {
		// 				//reload
		// 				setTimeout(function() {
		// 					location.reload();
		// 				}, 1000);
		// 			}
		// 		}
		// 	});
		// } else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}

	//marcar como anulado
	function marcarAnulado(idCompra, nome){
	<?php if (hasPermission(['P0051']) == 1) { ?>
		question = "<?php echo $data[632]['trad']; ?> \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras/marcar_anulado.php',
				dataType : 'json',
				data : {
					idCompra : idCompra
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[784]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[784]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[17]['trad']; ?>.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}

	//marcar como aberto
	function marcarAberto(idCompra, nome){
	<?php if (hasPermission(['P0051']) == 1) { ?>
		question = "<?php echo $data[633]['trad']; ?> \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras/marcar_aberto.php',
				dataType : 'json',
				data : {
					idCompra : idCompra
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[785]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) $.scojs_message("[FAT002] <?php echo $data[785]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
							else $.scojs_message("[FAT002] <?php echo $data[785]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[19]['trad']; ?>.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}
	
	//remover
	function eliminarCompra(idCompra, nome){
	<?php if (hasPermission(['P0052']) == 1) { ?>
		if (confirm("<?php echo $data[644]['trad']; ?> \n'" + nome + "' ?\n\n<?php echo $data[1677]['trad']; ?>.") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras/apagar.php',
				dataType : 'json',
				data : {
					idCompra : idCompra
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[884]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) $.scojs_message("[FAT002] <?php echo $data[190]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
							else $.scojs_message("[FAT003] <?php echo $data[884]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[20]['trad']; ?>.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 2500);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}

	//listar Notas de credito
	function listarNotasCredito(idCompra){
	<?php if (hasPermission(['P0054']) == 1) { ?>
		//call the init script
		get_Credit_Notes(idCompra);
	<?php } else {?>
		alert('<?php echo $data[1698]["trad"]; ?>.');
	<?php } ?>
	}
</script>