<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,767,186,1456,98,1452,184,1687,183,182);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	//load data
	function fill_cliente(idCliente) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/clientes/detalhes.php',
			dataType : 'json',
			data : { idCliente : idCliente },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var nome = "'"+dados.Nome+"'";

							//process used or not used
							if(dados.Usado > 0){
								// $("#nome_cliente").prop('disabled', true);
								$("#nif_cliente").prop('disabled', true);
								// $("#pais_cliente").prop('disabled', true);
								$("#contaCorrente_cliente").html(dados.Account);
								$('#contaCorrenteWrapper').hide();
							}

							//remain fields
							$("#nome_cliente").val(dados.Nome);
							$("#apelido_cliente").val(dados.Apelido);
							$("#nif_cliente").val(dados.Nif);
							$("#titulo_cliente").val(dados.TituloSmall);
							$('#titulo_cliente').trigger('change');
							$("#codigo_cliente").val(dados.Codigo);
							$("#pais_cliente").val(dados.Pais);
							$('#pais_cliente').trigger('change');
							$("#regiao_cliente").val(dados.Regiao);
							if(dados.Pais != 'CH') {
								$("#cidade_cliente_estrang").val(dados.Cidade);
								$("#selectCidadeWrapper").hide(); 
								$("#cidade_cliente_estrang").show(); 
							}
							getLocaliteFromNpa(dados.CodigoPostal, 'cidade_cliente');							
							$("#endereco_cliente").val(dados.Endereco);
							$("#codigopostal_cliente").val(dados.CodigoPostal);
							$("#email_cliente").val(dados.Email);
							$("#website_cliente").val(dados.Website);
							$("#tlm_cliente").val(dados.Telemovel);
							$("#tlf_cliente").val(dados.Telefone);
							$("#fax_cliente").val(dados.Fax);
							$("#blocked_cliente").val(dados.Suspendu);
							$("#preferencial_nome_cliente").val(dados.PreferenciaNome);
							$("#preferencial_email_cliente").val(dados.PreferenciaEmail);
							$("#preferencial_tlm_cliente").val(dados.PreferenciaTelemovel);
							$("#preferencial_tlf_cliente").val(dados.PreferenciaTelefone);

							if(dados.ContaGeral == 1) { $('#conta_geral_cliente').iCheck('check'); flagContaGeral = 1; }
							else { $('#conta_propria_cliente').iCheck('check'); flagContaGeral = 0; }

							$("#desconto_cliente").autoNumeric('set', dados.Desconto);

							//remake money
							$(".percentage").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : '  %',
								vMax : '100',
								mDec : 2,
								vMin:'0',
								pSign : 's'
							});

							// fill_regions(dados.RegiaoID, dados.CidadeID);
							// fill_groups(dados.GrupoID);
							fill_metodos(dados.MetodoID);
							fill_vendedores(0, dados.Vendedores);
							fill_responsaveis(dados.ID_Responsavel);
							$('#vencimento_Cliente').val(dados.Vencimento);
							$('#vencimento_Cliente').trigger('change');
							
							fill_comptes(dados.PlanoContas);

							// fill_responsables(dados.Responsaveis);
							$.each(dados.Responsaveis, function() {
								$("#nome_responsavel_"+this.posicao).val(this.nome);
								$("#prenom_responsavel_"+this.posicao).val(this.prenom);
								$("#role_responsavel_"+this.posicao).val(this.fonction);
								$("#contacto_responsavel_"+this.posicao).val(this.contacto);
								$("#email_responsavel_"+this.posicao).val(this.email);
							});
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Fill up regions
	 * @return select
	 */
	function fill_regions(lastID = 0, cidadeID = 0){
		var options = $("select#regiao_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 1
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('<?php echo $data[98]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val(0); //viana do castelo district
				$(options).trigger('change');
				//fill the types
				if(lastID != 0) fill_cities(lastID, cidadeID);
				else fill_cities(0);
			}
		});
	}

	/**
	 * Fill up cities based on the region
	 * @param city
	 * @return select
	 */
	function fill_cities(region, lastID = 0){
		var options = $("select#cidade_cliente");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 2,
				regiao: region
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('<?php echo $data[1452]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val( $("select#cidade_cliente option:eq(1)").val() );
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_groups(lastID = 0){
		var id_predefinido = 0;
		var options = $("select#grupo_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('Sem Grupo'));
							$.each(resposta.data, function() {
								if(this.predefinido == 1) id_predefinido = this.id;
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val(id_predefinido);
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill metodos de pagamento
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_metodos(lastID = 0) {
		var options = $("select#pagamento_cliente");
		$(options).empty();
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			dataType : 'json',
			data : { 
				opcao: 4
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
							paiement = "";
								switch(this.Descricao){
								case 'Cash':
									paiement = "<?php echo $data[184]['trad']; ?>";
									break;
								case 'Virement Bancaire':
									paiement = "<?php echo $data[1687]['trad']; ?>";
									break;
								case 'Carte de Crédit':
									paiement = "<?php echo $data[182]['trad']; ?>";
									break;
								case 'Carte de Débit':
									paiement = "<?php echo $data[183]['trad']; ?>";
									break;
							}
								$(options).append($("<option />").val(this.ID).html(paiement));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#pagamento_cliente option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_vendedores(lastID = 0, arrayIDs = [] ){
		var options = $("select#vendedor_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 5
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							// $(options).append($("<option />").val(0).text('Sans vendeurs'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				// else $(options).val( $("select#vendedor_cliente option:eq(1)").val() );
				// $(options).trigger('change');

				//create array to fill vendeurs array
				var vendedoresList = [];
				$.each(arrayIDs, function() {
					vendedoresList.push(this.id);
				});
				$(options).val(vendedoresList);
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_responsaveis(lastID = 0){
		var options = $("select#responsavel_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 7
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							// $(options).append($("<option />").val(0).text('Sans vendeurs'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val( $("select#responsavel_cliente option:eq(1)").val() );
				$(options).trigger('change');
			}
		});
	}

	//load data
	function fill_comptes(lastID = 0) {
		var options = $("select#plano_cliente");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options).append($('<option />').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#plano_cliente option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_responsables(lastIDs = 0){
		var options1 = $("select#r1_responsavel_cliente");
		$(options1).empty();

		var options2 = $("select#r2_responsavel_cliente");
		$(options2).empty();

		var options3 = $("select#r3_responsavel_cliente");
		$(options3).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 6
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options1).attr("disabled", true);
							$(options2).attr("disabled", true);
							$(options3).attr("disabled", true);

						} else {
							$(options1).attr("disabled", false);
							$(options2).attr("disabled", false);
							$(options3).attr("disabled", false);

							$(options1).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options2).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options3).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options1).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							$(options2).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							$(options3).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options1).append($("<option />").val(this.id).text(this.nome));
								$(options2).append($("<option />").val(this.id).text(this.nome));
								$(options3).append($("<option />").val(this.id).text(this.nome));
							});
						}
					}
				}
			},
			complete : function() {
				var ind = 1;
				if(lastIDs != 0){
					$.each(lastIDs, function() {
						$("select#r"+ind+"_responsavel_cliente").val( this.id );
						ind++;
					});
				}
				$(options1).trigger('change');
				$(options2).trigger('change');
				$(options3).trigger('change');
			}
		});
	}
</script>