<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1456,1449,98,99,1079,184,183,182,1687);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?><script type="text/javascript">
	/**
	 * Fill up regions
	 * @return select
	 */
	function fill_regions(){
		var options = $("select#regiao_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 1
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('<?php echo $data[98]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				$(options).val(0); //viana do castelo district
				$(options).trigger('change');
				//fill the types
				fill_cities(0);
			}
		});
	}

	/**
	 * Fill up cities based on the region
	 * @param city
	 * @return select
	 */
	function fill_cities(region){
		var options = $("select#cidade_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 2,
				regiao: region
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('<?php echo $data[99]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				$(options).val( $("select#cidade_cliente option:eq(1)").val() );
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_groups(){
		var id_predefinido = 0;
		var options = $("select#grupo_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('<?php echo $data[1449]['trad']; ?>'));
							$.each(resposta.data, function() {
								if(this.predefinido == 1) id_predefinido = this.id;
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				$(options).val(id_predefinido);
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill metodos de pagamento
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_metodos() {
		var options = $("select#pagamento_cliente");
		$(options).empty();
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			dataType : 'json',
			data : { 
				opcao: 4
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val('-').text('<?php echo $data[1079]['trad']; ?>'));
							$.each(resposta.data, function() {
							paiement = "";
								switch(this.Descricao){
								case 'Cash':
									paiement = "<?php echo $data[184]['trad']; ?>";
									break;
								case 'Virement Bancaire':
									paiement = "<?php echo $data[1687]['trad']; ?>";
									break;
								case 'Carte de Crédit':
									paiement = "<?php echo $data[182]['trad']; ?>";
									break;
								case 'Carte de Débit':
									paiement = "<?php echo $data[183]['trad']; ?>";
									break;
							}
								$(options).append($("<option />").val(this.ID).html(paiement));

							});
						}
					}
				}
			},
			complete : function() {
				$(options).val($("select#pagamento_cliente option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_vendedores(){
		var options = $("select#vendedor_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 5
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							// $(options).append($("<option />").val(0).text('Sans vendeurs'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				// $(options).val( $("select#vendedor_cliente option:eq(1)").val() );
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_responsaveis(lastID = 0){
		var options = $("select#responsavel_cliente");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 7
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							// $(options).append($("<option />").val(0).text('Sans vendeurs'));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));

							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				// else $(options).val( $("select#responsavel_cliente option:eq(1)").val() );
				$(options).trigger('change');
			}
		});
	}

	//load data
	function fill_comptes() {
		var options = $("select#plano_cliente");
		$(options).empty();

		var resp = null;
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3,
				defeito: 'cliente'
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options).append($('<option />').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(resp != null) $(options).val(resp.planoDefeito);
				else $(options).val($("select#plano_cliente option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill up groups
	 * @return select
	 */
	function fill_responsables(){
		var options1 = $("select#r1_responsavel_cliente");
		$(options1).empty();

		var options2 = $("select#r2_responsavel_cliente");
		$(options2).empty();

		var options3 = $("select#r3_responsavel_cliente");
		$(options3).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 6
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL009] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL010] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options1).attr("disabled", true);
							$(options2).attr("disabled", true);
							$(options3).attr("disabled", true);

						} else {
							$(options1).attr("disabled", false);
							$(options2).attr("disabled", false);
							$(options3).attr("disabled", false);

							$(options1).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options2).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options3).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							// $(options1).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							// $(options2).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							// $(options3).append($("<option />").val(0).text('<?php echo $data[1456]['trad']; ?>'));
							$.each(resposta.data, function() {
								$(options1).append($("<option />").val(this.id).text(this.nome));
								$(options2).append($("<option />").val(this.id).text(this.nome));
								$(options3).append($("<option />").val(this.id).text(this.nome));
							});
						}
					}
				}
			},
			complete : function() {
				// $(options1).val( $("select#r1_responsavel_cliente option:eq(1)").val() );
				// $(options2).val( $("select#r2_responsavel_cliente option:eq(1)").val() );
				// $(options3).val( $("select#r3_responsavel_cliente option:eq(1)").val() );
				$(options1).trigger('change');
				$(options2).trigger('change');
				$(options3).trigger('change');
			}
		});
	}
</script>