<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0090','P0091','P0092']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/mouvements&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
	if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1152,1223,267,535,94,1456,406,706,705,1161,377,404,370,427,1146,1263,186,1403);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[1152]['trad']; ?> | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a href="nouveau" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;<?php echo $data[1223]['trad']; ?></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<?php echo $data[267]['trad']; ?>
							</li>
							<li class="active">
								<?php echo $data[1152]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<form id="form_new" class="form-validate">
							<div class="row">
								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label"><?php echo $data[535]['trad']; ?></label>
										<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="compte_de" name="compte_de">
											<option value="" ><?php echo $data[1456]['trad']; ?></option>
										</select>
									</div>
								</div>

								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label"><?php echo $data[94]['trad']; ?></label>
										<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="compte_au" name="compte_au">
											<option value="" ><?php echo $data[1456]['trad']; ?></option>
										</select>
									</div>
								</div>

								<div class="col-sm-2">
									<div class="form-group ">
										<label class="control-label"><?php echo $data[406]['trad']; ?><span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataInicial" id="FiltroDataInicial" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>

								<div class="col-sm-2">
									<div class="form-group ">
										<label class="control-label"><?php echo $data[706]['trad']; ?><span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataFinal" id="FiltroDataFinal" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>

								<div class="col-sm-2 form-group ">
										<label class="control-label">&nbsp;</label>
									<button class="btn btn-yellow submit_button btn-block" type="submit">
										<i class="fa fa-database"></i> <?php echo $data[705]['trad']; ?>
									</button>
								</div>
							</div>
						</form>

						<div class="row mtl ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 45px;"><?php echo $data[1161]['trad']; ?></th>
											<th style="width: 70px"><?php echo $data[377]['trad']; ?></th>
											<th style="width: 50px;"><?php echo $data[404]['trad']; ?></th>
											<th style="width: 50px;"><?php echo $data[370]['trad']; ?></th>
											<th><?php echo $data[427]['trad']; ?></th>
											<th style="width: 30px;">A|M</th>
											<th style="width: 90px;"><?php echo $data[1146]['trad']; ?>&nbsp;&nbsp;</th>
											<th style="width: 70px;"><?php echo $data[1263]['trad']; ?></th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		
		<?php include('index_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.comptab").addClass("active");
			$(".navbar-nav li.comptab li.mouvements_comptab").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			/* ---------- Page Scripts ---------- */
				//datepicker plugin ----------------------
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});

				//init select2
				$("select#compte_de").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true
				});
				$("select#compte_au").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true
				});

				var dInicial = new Date();
				dInicial.setMonth(0);
				dInicial.setDate(1);

				var dFinal = new Date();
				dFinal.setMonth(12);
				dFinal.setDate(0);

				$('#FiltroDataInicial').datepicker().datepicker("setDate", dInicial);
				$('#FiltroDataFinal').datepicker().datepicker("setDate", dFinal);

				$('[data-provide="datepicker-inline"]').mask("99/99/9999");
				$('[data-provide="datepicker"]').mask("99/99/9999");
				
				//init datatables
				reloadTableLines(null,null,$("#FiltroDataInicial").val(),$("#FiltroDataFinal").val(), true);
				fill_comptes_sels();
			});
			/* ---------------------------------- */
			
			val_form_new = $("#form_new").validate({
				rules : {
					FiltroDataInicial : {
						required : true
					},
					FiltroDataFinal : {
						required : true
					},
				},
				messages : {
					FiltroDataInicial : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					FiltroDataFinal : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				}
			});

			$("#form_new").submit(function(e) {
				e.preventDefault();
				//process
				// $("#FiltroDataInicial").val()
				// $("#FiltroDataFinal").val()
				var resp = null;
				var valid = $("#form_new").valid();
				if (valid == false ) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					//prepare vars
					var compteDe = $("#compte_de").val();
					var compteAu = $("#compte_au").val();

					var dateAccuel = $("#FiltroDataInicial").val();
					var dateFin = $("#FiltroDataFinal").val();

					reloadTableLines(compteDe,compteAu,dateAccuel,dateFin);
				}
				return false;
			});	
		</script>
	</body>
</html>