<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1565,1472,1447,1702,1704,1503,1312,1310,421,1377,428,1125,729,1065,1093,563,904,67,1412,1505,75,426,598,834,328,612,854,326,627,88,860,330,978,964,1629,494,604,842,197,779,842,329,591,826,196,790,327,658,872,332,913,927,1143,69);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	var gSelectedState = 0;

	//filtrar por estado (0 - Ativo; 1 - Arquivado;)
	$(".btns_filters_states").on('click', function(event){
		gSelectedState = $(this).attr('data-value');

		//clean active and set the new one
		$(".btns_filters_states").removeClass('active');
		$(this).addClass('active');

		//reload table
		table.api().ajax.reload();
		// console.log(gSelectedState);
	});

	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/contrats_location.php?",
		"fnServerParams" : function(aoData) {
            aoData.push({
                "name" : "archive",
                "value" : gSelectedState
            });
        },
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1447]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [null, null, null, null, null, null,
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-right",
		}, 
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[8] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[8] == 'Confirmado') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[8] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[8] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';

				if(full[10]) element = '<span style="color: grey; font-weight: bold;">'+full[0]+'</span>';
				//else element = full[0];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1]) element = full[1];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="30">'+element+'</span>';
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				//return html
				text = full[2];
				if(!full[2]){
					text = "-"
				}
				raison = full[12];
				css = "";
				if(raison){
					raison = full[12].trim();
				}
				info = full[2]
				if(info){
					info = full[2].trim();
				}
				if( raison ){
					info = raison+' - '+info;
					//css = "color:red";
					css = "color:red;font-weight:bold;";
				}
				return '<span class="ellipsis" data-size="26" style="'+css+'">'+info+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[3].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_location_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				var paiement = '';
				if(full[4] == "Indéterminée"){
					paiement = "<?php echo $data[913]['trad']; ?>";
				} else {
					duree = full[4].split(" ")[1];
					switch (duree){
						case "jours":
							paiement = full[4].replace("jours","<?php echo $data[927]['trad']; ?>");
							break;
						case "mois":
							paiement = full[4].replace("mois","<?php echo $data[1143]['trad']; ?>");
							break;
						case "ans":
							paiement = full[4].replace("ans","<?php echo $data[69]['trad']; ?>");
							break;
					}
				}
				//return html
				return paiement;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money text-green">'+full[6]+'</span>';

				if(full[10]) element = '<span class="money " style="color: grey;">'+full[6]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money text-green">'+full[7]+'</span>';

				if(full[10]) element = '<span class="money " style="color: grey;">'+full[7]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[8] == 'Rascunho') element = '<span class="label label-orange">'+full[8]+'</span>';
				if(full[8] == 'Confirmado') element = '<span class="label label-green">'+full[8]+'</span>';
				if(full[8] == 'Aberto') element = '<span class="label label-blue">'+full[8]+'</span>';
				if(full[8] == 'Anulado') element = '<span class="label label-red">'+full[8]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [9],
			"mRender" : function(data, type, full) {
				var tmp = full[3].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[8] != 'Rascunho') docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var datatermo = "''";
				if(full[10]) datatermo = "'" + full[10] +"'";
				
				var html = '';

				html += '<a href="details?location='+ full[9] +'" class="options-link text-info"><i class="fa fa-eye" title="<?php echo $data[428]['trad']; ?>"></i></a>';

				//edition options
				if( full[8] != 'Rascunho' ){
					html += '<a href="modifier_lines?location='+full[9]+'" class="options-link text-orange"><i class="fa fa-terminal" title="<?php echo $data[1125]['trad']; ?>"></i></a>';

					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[9] +')" title="<?php echo $data[729]['trad']; ?>"><i class="fa fa-files-o"></i></a>';
					if( full[8] == 'Aberto' ){
						html += '<a class="options-link text-green" onclick="confirmarLocation('+ full[9] +','+nome+')" title="<?php echo $data[1065]['trad']; ?>"><i class="fa fa-check"></i></a>';
					}
				}else{
					html += '<a href="modifier?location='+full[9]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]['trad']; ?>"></i></a>';
					
					html += '<a class="options-link text-green" onclick="finalizarLocation('+ full[9] +', '+nome+')" title="<?php echo $data[563]['trad']; ?>"><i class="fa fa-flag-checkered"></i></a>';
				}
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exportar_location.php?idDoc='+full[9]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="<?php echo $data[904]['trad']; ?>"></i></a>';
								
				if(full[8] != 'Rascunho' && full[8] != 'Anulado'){
					<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
						html += '<a class="options-link text-red" onclick="anularLocation('+ full[9] +', '+nome+')" title="<?php echo $data[67]['trad']; ?>"><i class="fa fa-times"></i></a>';
					<?php } ?>

					<?php if (hasPermission(['P0122']) == 1){ ?>
						html += '<a class="options-link text-dark-blue" onclick="termineContrat('+ full[9] +', '+nome+', '+datatermo+')" title="<?php echo $data[1412]['trad']; ?>"><i class="fa fa-ban"></i></a>';
					<?php } ?>
				}

				if(full[8] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarLocation('+ full[9] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';
				}
				
				if(full[11] == 0) {
					html += '<a class="options-link text-greyarc" onclick="arquivar('+ full[9] +', '+nome+')" title="<?php echo $data[75]['trad']; ?>"><i class="fa fa-archive"></i></a>';
				}else{
					html += '<a class="options-link text-blue" onclick="desarquivar('+ full[9] +', '+nome+')" title="<?php echo $data[426]['trad']; ?>"><i class="fa fa-archive"></i></a>';
				}
				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[9]);

			if(aData[8] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		},

		"footerCallback" : function(row, data, start, end, display) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function(i) {
                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
            };

            // Total current page
            var valorTotal = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);
            // Total current page
            var valorSolde = api.column(7, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);

            //Por liquidar -> Used extra field to calculate already rounded for a better real value
			$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
			$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
			valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
			$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
			valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

			$( "#valorDocTemp" ).remove();

            //final calculation
            //-------------------------------------------------------------------------------------
            
            $('.money').not(".table-menu > tbody > tr > td > span").html("");
            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

            if(valorSolde < 0) colorLabel = 'text-red';
            else colorLabel = 'text-green';
            // Update footer
            $(api.column(6).footer()).html('<span class="money">' + valorTotal + '</span>');
            $(api.column(7).footer()).html('<span class="money '+colorLabel+'">' + valorSolde + '</span>');
        }

	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0039']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-locations-gerar').modal("show");
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//Terminé le Contrat
	function termineContrat(idDocument, name, datatermo){
	<?php if (hasPermission(['P0122']) == 1) { ?>
		$('#idDoc_Termo').val('');
		$('#doc_name').html('-');
		$('#data_termo').datepicker().datepicker("setDate", "<?php echo date('d/m/Y'); ?>");

		$('#idDoc_Termo').val(idDocument);
		$('#doc_name').html(name);
		if(datatermo && datatermo != '') $('#data_termo').datepicker().datepicker("setDate", datatermo);
		
		$( ".datepicker" ).datepicker("refresh");

		$('#modal-location-termo').modal("show");
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//Archivé le Contrat
	function arquivar(idDocument, nome){
	<?php if (hasPermission(['P0122']) == 1) { ?>
		var question = "<?php echo $data[598]['trad']; ?> \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/arquivo.php',
				dataType : 'json',
				data : {
					idLocation : idDocument,
					arquivar : 1
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[834]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[834]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[328]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					pesquisar();
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//Désarchiver le Contrat
	function desarquivar(idDocument, nome){
	<?php if (hasPermission(['P0122']) == 1) { ?>
		var question = "<?php echo $data[612]['trad']; ?> \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/arquivo.php',
				dataType : 'json',
				data : {
					idLocation : idDocument,
					arquivar : 0
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[854]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[854]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[326]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					pesquisar();
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//finalizar
	function finalizarLocation(idLocation, nome){
	<?php if (hasPermission(['P0036']) == 1) { ?>
		var question = "<?php echo $data[627]['trad']; ?> \n" + nome + "?\n\n<?php echo $data[88]['trad']; ?>";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/finalizar.php',
				dataType : 'json',
				data : {
					idLocation : idLocation
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[860]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[860]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[330]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] <?php echo $data[978]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] <?php echo $data[964]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//generate invoice
						generateDocumentAutomaticaly(idLocation)
						//reload
						// setTimeout(function() {
						// 	location.reload();
						// }, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	<?php if (hasPermission(['P0036']) == 1) { ?>
	//generate automatique invoices
	function generateDocumentAutomaticaly(idDocumento){
		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/gerar_documentos/location_gera_fatura.php',
			dataType : 'json',
			data : {
				idDocumento : idDocumento,
				firstTime : 1,
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[494]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
					$.scojs_message("[FAT003] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			}
		});
	}
	<?php } ?>

	//confirmar documento
	function confirmarLocation(idLocation, nome){
	<?php if (hasPermission(['P0036']) == 1) { ?>
		if (confirm("<?php echo $data[604]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/confirmar.php',
				dataType : 'json',
				data : {
					idLocation : idLocation
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[842]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] <?php echo $data[197]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] <?php echo $data[779]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] <?php echo $data[842]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("<?php echo $data[329]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//anular documento
	function anularLocation(idLocation, nome){
	<?php if (hasPermission(['P0036']) == 1) { ?>
		if (confirm("<?php echo $data[591]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/anular.php',
				dataType : 'json',
				data : {
					idLocation : idLocation
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[826]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] <?php echo $data[196]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] <?php echo $data[790]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] <?php echo $data[826]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("<?php echo $data[327]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
	
	//remover
	function eliminarLocation(idLocation, nome){
	<?php if (hasPermission(['P0037']) == 1) { ?>
		if (confirm("<?php echo $data[658]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/location/apagar.php',
				dataType : 'json',
				data : {
					idLocation : idLocation
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[872]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[872]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[332]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
</script>