<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0047']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/fournisseurs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
	if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(717,1093,1117,523,252,1531,1186,1175,1313,1145,1056,1057,35,1288,260,1398,1684,1990,1299,429,1622,165,1688,1689,1995,763,135,123,279,764,1253,298,543,1526,1701,1417,697,678,1078,284,1317,928,1389,562,67,1639,567,186,1403,214,1635,532,1254,578,1456,295,1091);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}

?>
<html>
	<title><?php echo $data[717]['trad']; ?>: <?php echo $data[1093]['trad']; ?> | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../fournisseurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../fournisseurs"><?php echo $data[717]['trad']; ?></a>
							</li>
							<li class="active">
								<?php echo $data[1117]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[523]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[252]['trad']; ?></label>
															<input type="text" class="form-control" id="codigo_fornecedor" name="codigo_fornecedor" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1186]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_fornecedor" name="nome_fornecedor" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1313]['trad']; ?></label>
															<input type="text" class="form-control" id="apelido_fornecedor" name="apelido_fornecedor" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1531]['trad']; ?></label>
															<select class="form-control select2 show-tick" id="titulo_fornecedor" name="titulo_fornecedor"  >
																<option value="" selected><?php echo $data[1456]['trad']; ?></option>
																<option value="M"><?php echo $data[1145]['trad']; ?></option>
																<option value="Mme"><?php echo $data[1056]['trad']; ?></option>
																<option value="Mlle"><?php echo $data[1057]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>

												<div class="row mtm">
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label"><?php echo $data[35]['trad']; ?></label>
															<input type="text" class="form-control" id="endereco_fornecedor" name="endereco_fornecedor" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1288]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="pais_fornecedor" name="pais_fornecedor">
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[260]['trad']; ?></label>
															<input type="text" class="form-control cpostal_field" id="codigopostal_fornecedor" name="codigopostal_fornecedor" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1398]['trad']; ?></label>
															<input type="text" class="form-control" id="regiao_fornecedor" name="regiao_fornecedor" placeholder="..." />
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="regiao_fornecedor" name="regiao_fornecedor"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1684]['trad']; ?></label>
															<input type="text" class="form-control" id="cidade_fornecedor_estrang" name="cidade_fornecedor_estrang" placeholder="..." style="display: none;" />
															<div id="selectCidadeWrapper">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="cidade_fornecedor" name="cidade_fornecedor">
																</select>
															</div>
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="cidade_fornecedor" name="cidade_fornecedor"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select> -->
														</div>
													</div>	
												</div>
												<!-- <div class="row mtm">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Grupo de Fornecedores</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="grupo_fornecedor" name="grupo_fornecedor"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>	
												</div> -->
												<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
													<div class="col-xs-12 col-md-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1299]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="plano_fornecedor" name="plano_fornecedor">
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[429]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1622]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="new_tipopagamento_fornecedor" name="new_tipopagamento_fornecedor">
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
																<option value="826"><?php echo $data[165]['trad']; ?></option>
																<option value="827"><?php echo $data[1688]['trad']; ?></option>
																<option value="836"><?php echo $data[1689]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[763]['trad']; ?></label>
															<input type="text" class="form-control" id="new_iban_fornecedor" name="new_iban_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[135]['trad']; ?></label>
															<input type="text" class="form-control" id="new_bicswift_fornecedor" name="new_bicswift_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[123]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="new_banco_fornecedor" name="new_banco_fornecedor">
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[279]['trad']; ?></label>
															<input type="text" class="form-control" id="new_contapostal_fornecedor" name="new_contapostal_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[764]['trad']; ?></label>
															<input type="text" class="form-control" id="new_bvr_fornecedor" name="new_bvr_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1253]['trad']; ?></label>
															<input type="text" class="form-control" id="new_numconta_fornecedor" name="new_numconta_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[298]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[543]['trad']; ?></label>
															<input type="email" class="form-control" id="email_fornecedor" name="email_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="tlm_fornecedor" name="tlm_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1701]['trad']; ?></label>
															<input type="text" class="form-control" id="website_fornecedor" name="website_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1562]['trad']; ?></label>
															<input type="text" class="form-control" id="tlf_fornecedor" name="tlf_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[697]['trad']; ?></label>
															<input type="text" class="form-control" id="fax_fornecedor" name="fax_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[1417]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
															<thead>
																<tr>
																	<!-- <th style="width: 100px;">Code</th> -->
																	<th><?php echo $data[1175]['trad']; ?></th>
																	<th><?php echo $data[1990]['trad']; ?></th>
																	<th style="width: 200px;"><?php echo $data[1526]['trad']; ?></th>
																	<th style="width: 200px;"><?php echo $data[543]['trad']; ?></th>
																	<th style="width: 20px;">&nbsp;</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_1" name="nome_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_1" name="prenom_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_1" name="contacto_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_1" name="email_responsavel_1" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(1)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_2" name="nome_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_2" name="prenom_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_2" name="contacto_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_2" name="email_responsavel_2" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(2)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_3" name="nome_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_3" name="prenom_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_3" name="contacto_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_3" name="email_responsavel_3" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(3)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>

											<h5 class="form-header hide">
												<legend class="form-legend">
													<?php echo $data[295]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form hide">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_nome_fornecedor" name="preferencial_nome_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[543]['trad']; ?></label>
															<input type="email" class="form-control" id="preferencial_email_fornecedor" name="preferencial_email_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_tlm_fornecedor" name="preferencial_tlm_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_tlf_fornecedor" name="preferencial_tlf_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[678]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row hide">
													<div class="col-sm-12">
														<div class="form-group">
														<label class="control-label">Conta Corrente?<span class="require">*</span></label>
														<div class="radio" id="contaCorrenteWrapper">
															<label class="radio-inline padding-left-radio">
																<input id="conta_geral_fornecedor" type="radio" name="conta_fornecedor" value="geral"/>
																Conta Geral
															</label>
															<label class="radio-inline">
																<input id="conta_propria_fornecedor" type="radio" name="conta_fornecedor" value="propria"/>
																Conta Própria
															</label>
														</div>
														<span id="contaCorrente_fornecedor" style="display: block"></span>
													</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1091]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="pagamento_fornecedor" name="pagamento_fornecedor"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[284]['trad']; ?></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="vencimento_fornecedor" name="vencimento_fornecedor"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
																<option value="0"><?php echo $data[1317]['trad']; ?></option>
																<option value="10">10 <?php echo $data[928]['trad']; ?></option>
																<option value="20">20 <?php echo $data[928]['trad']; ?></option>
																<option value="30">30 <?php echo $data[928]['trad']; ?></option>
																<option value="60">60 <?php echo $data[928]['trad']; ?></option>
																<option value="90">90 <?php echo $data[928]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1389]['trad']; ?> (%)</label>
															<input type="text" class="form-control percentage" id="desconto_fornecedor" name="desconto_fornecedor" placeholder="0 %" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
											</button>
											<a  href="../fournisseurs" class="btn btn-default" type="button"> <?php echo $data[1995]['trad']; ?> </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('../modals/responsaveis.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.fornecedores_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				$('.cpostal_field').mask('0000-000');
				// $('.nif_field').mask('000000000');

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type="radio"]:not(".switch")').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				//init selects
				$("select#titulo_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true
				});
				$("select#pais_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#cidade_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#vendedor_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#responsavel_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#grupo_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#plano_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#pagamento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#vencimento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#new_tipopagamento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true
				});
				$("select#new_banco_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true
				});

				//fill necessary data
				var idFornecedor = getParameterByName('fournisseur');
				//fill infos
				fill_fornecedor(idFornecedor);
			});

			//open new people modal
			function new_responsavel() {
				$('#modal-responsavel').modal("show");
			}
			
			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/* ----------- LISTNERS ----------- */
			$('input#conta_geral_fornecedor').on('ifChecked', function (event) {
				flagContaGeral = 1;
			});
			$('input#conta_propria_fornecedor').on('ifChecked', function (event) {
				flagContaGeral = 0;
			});

			//change country
			$("select#pais_fornecedor").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_fornecedor').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_fornecedor_estrang").show(); 
				}else{
					// $('#nif_fornecedor').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_fornecedor_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
				}
			});

			//Key Listner
			$("#codigopostal_fornecedor").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_fornecedor").val() != 'CH'){ 
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_fornecedor_estrang").show(); 
				}
				else { 
					$("#cidade_fornecedor_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_fornecedor');
				}
			});
			//get localite
			function getLocaliteFromNpa(valueNPA,selectID){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									if(resposta.data){
										$.each(resposta.data, function() {
											$(options).append($("<option />").val(this.Nome).text(this.Nome));
										});
									}
								}
							}
						}
					},
					complete : function() {
						$(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).trigger('change');
					}
				});
			}

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valorInput = $(element).autoNumeric('get');
				if(valorInput >= 0 && valorInput != '') return true;
				else return false;
			}, "<?php echo $data[567]['trad']; ?>");

			$.validator.addMethod("ibanEtrangerValidation", function (value, element) {
				var valorInput = $(element).val();
				var valorType = $("#new_tipopagamento_fornecedor").val();

				if(valorType == '836'){
					if( valorInput != '' && valorInput != null) return true;
					else return false;
				}else{ return true; }
			}, "<?php echo $data[186]['trad']; ?>");

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_fornecedor : {
						required : true,
					},
					// pais_fornecedor : {
					// 	required : true,
					// },
					// codigopostal_fornecedor : {
					// 	required : true,
					// },
					// endereco_fornecedor : {
					// 	required : true,
					// },
					// plano_fornecedor : {
					// 	required : true,
					// },
								
					// NEW BANK FIELDS
					// new_tipopagamento_fornecedor : {
					// 	required : true,
					// },
					// new_iban_fornecedor : {
					// 	ibanEtrangerValidation : true
					// },
					// new_banco_fornecedor : {
					// 	required : true,
					// },
					// new_contapostal_fornecedor : {
					// 	required : true,
					// },
					// new_bvr_fornecedor : {
					// 	required : true,
					// },
					// new_numconta_fornecedor : {
					// 	required : true,
					// },
				},
				messages : {
					nome_fornecedor : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					// apelido_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// codigopostal_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// endereco_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// plano_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// email_responsavel_1 : {
					// 	email : "<?php echo $data[1676]['trad']; ?>"
					// },
					// email_responsavel_2 : {
					// 	email : "<?php echo $data[1676]['trad']; ?>"
					// },
					// email_responsavel_3 : {
					// 	email : "<?php echo $data[1676]['trad']; ?>"
					// },

					// //NEW BANK FIELDS
					// new_tipopagamento_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// new_iban_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>",
					// },
					// new_banco_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// new_contapostal_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// new_bvr_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
					// new_numconta_fornecedor : {
					// 	required : "<?php echo $data[186]['trad']; ?>"
					// },
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();
				
				var idFornecedor = getParameterByName('fournisseur');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?> ...');

					var cidadeCustom = '';
					if( $("#pais_fornecedor").val() != 'CH'){ 
						cidadeCustom = $("#cidade_fornecedor_estrang").val();
					}
					else { 
						cidadeCustom = $("#cidade_fornecedor").val();
					}

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/fornecedores/editar.php',
						dataType : 'json',
						data : {
							idFornecedor : idFornecedor,
							nome_fornecedor : $("#nome_fornecedor").val(),
							apelido_fornecedor : $("#apelido_fornecedor").val(),
							nif_fornecedor : '',
							titulo_fornecedor : $("#titulo_fornecedor").val(),
							pais_fornecedor : $("#pais_fornecedor").val(),
							endereco_fornecedor : $("#endereco_fornecedor").val(),
							codigopostal_fornecedor : $("#codigopostal_fornecedor").val(),
							regiao_fornecedor : $("#regiao_fornecedor").val(),
							cidade_fornecedor : cidadeCustom,
							grupo_fornecedor : $("#grupo_fornecedor").val(),
							email_fornecedor : $("#email_fornecedor").val(),
							website_fornecedor : $("#website_fornecedor").val(),
							tlm_fornecedor : $("#tlm_fornecedor").val(),
							tlf_fornecedor : $("#tlf_fornecedor").val(),
							fax_fornecedor : $("#fax_fornecedor").val(),
							preferencial_nome_fornecedor : $("#preferencial_nome_fornecedor").val(),
							preferencial_email_fornecedor : $("#preferencial_email_fornecedor").val(),
							preferencial_tlm_fornecedor : $("#preferencial_tlm_fornecedor").val(),
							preferencial_tlf_fornecedor : $("#preferencial_tlf_fornecedor").val(),
							pagamento_fornecedor : $("#pagamento_fornecedor").val(),
							vencimento_fornecedor : $("#vencimento_fornecedor").val(),
							desconto_fornecedor : $("#desconto_fornecedor").autoNumeric('get'),
							flagContaGeral : flagContaGeral,
							plano_fornecedor : $("#plano_fornecedor").val(),

							nome_responsavel_1 : $("#nome_responsavel_1").val(),
							prenom_responsavel_1 : $("#prenom_responsavel_1").val(),
							email_responsavel_1 : $("#email_responsavel_1").val(),
							contacto_responsavel_1 : $("#contacto_responsavel_1").val(),

							nome_responsavel_2 : $("#nome_responsavel_2").val(),
							prenom_responsavel_2 : $("#prenom_responsavel_2").val(),
							email_responsavel_2 : $("#email_responsavel_2").val(),
							contacto_responsavel_2 : $("#contacto_responsavel_2").val(),

							nome_responsavel_3 : $("#nome_responsavel_3").val(),
							prenom_responsavel_3 : $("#prenom_responsavel_3").val(),
							email_responsavel_3 : $("#email_responsavel_3").val(),
							contacto_responsavel_3 : $("#contacto_responsavel_3").val(),

							//NEW BANK FIELDS
							new_tipopagamento_fornecedor : $("#new_tipopagamento_fornecedor").val(),
							new_iban_fornecedor : $("#new_iban_fornecedor").val(),
							new_bicswift_fornecedor : $("#new_bicswift_fornecedor").val(),
							new_banco_fornecedor : $("#new_banco_fornecedor").val(),
							new_contapostal_fornecedor : $("#new_contapostal_fornecedor").val(),
							new_bvr_fornecedor : $("#new_bvr_fornecedor").val(),
							new_numconta_fornecedor : $("#new_numconta_fornecedor").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] <?php echo $data[1635]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] <?php echo $data[1635]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								if (resp.responseJSON.nif_error) {
									$.scojs_message("[FAT002] <?php echo $data[1254]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("[FAT003] <?php echo $data[1635]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								}
							} else {
								$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../fournisseurs";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
						}
					});
					// if( cidadeCustom != null && cidadeCustom != ''){ 

					// }
					// else{
					// 	$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					// 	$("#form_new").find('.submit_button').attr("disabled", false);
					// 	$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					// }
				}
			});

			//remover
			function eliminarResponsavel(idLinha){
				$("#nome_responsavel_"+idLinha).val('');
				$("#prenom_responsavel_"+idLinha).val('');
				$("#email_responsavel_"+idLinha).val('');
				$("#contacto_responsavel_"+idLinha).val('');
			}
		</script>
	</body>
</html>