<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,288,2170,2169,440,544,1219,545,549,569,1456,1618,1709,763,1692,1696,1950,1951,1970,1971,1972,708,67,186,1676,1403,1949,42,41,907,573,708,904,40,822,1290,1973,1974,1975,1947,839,683,1948,4,7,1995,1994);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
$valid_iban = true;
$valid_qr = true;
$docID = $_GET['facture'];

$check_field_type = "SHOW COLUMNS FROM `faturacao_bancos` LIKE 'QRIBAN'";
$check_field_iban = "SHOW COLUMNS FROM `faturacao_bancos` LIKE 'IBAN'";
$check_field_country = "SHOW COLUMNS FROM `faturacao_empresa_dados` LIKE 'Pays'";

	$result = $sqli_connection->query($check_field_type);
	if($result->num_rows > 0){
		$query = "SELECT QRIBAN from faturacao_bancos where Predefinido = 1 LIMIT 1";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();

			if (false === $result) {
				$errors = true;
				$valid_qr = false;
				if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
					array_push($response["text"], "[DB0005] Une erreur est survenue. Contactez l'administrateur.");
				} else {
					?> <h3 style="color:red;text-align:center"> [DB0005] Une erreur est survenue. Contactez l'administrateur. </h3><?php
				}
			} else {
				$stmt -> store_result();
				$stmt -> bind_result($QR_IBAN);
				$stmt -> fetch();
				$stmt -> close();
				if(!$QR_IBAN){
					$valid_qr = false;
				}
			}
		} else {
			$errors = true;
			$valid_qr = false;
			if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
				array_push($response["text"], "[DB0006] Une erreur est survenue. Contactez l'administrateur.");
			} else {
				?> <h3 style="color:red;text-align:center"> [DB0006] Une erreur est survenue. Contactez l'administrateur. </h3><?php
			}
		}
	}
	
	$result = $sqli_connection->query($check_field_iban);
	if($result->num_rows > 0){
		$query = "SELECT IBAN from faturacao_bancos where Predefinido = 1 LIMIT 1";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();

			if (false === $result) {
				$errors = true;
				$valid_iban = false;
				if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
					array_push($response["text"], "[DB0007] Une erreur est survenue. Contactez l'administrateur.");
				} else {
					?> <h3 style="color:red;text-align:center"> [DB0007] Une erreur est survenue. Contactez l'administrateur. </h3><?php
				}
			} else {
				$stmt ->store_result();
				$stmt -> bind_result($IBAN);
				$stmt -> fetch();
				$stmt -> close();
				if(!$IBAN){
					$valid_iban = false;
				}
			}
		} else {
			$errors = true;
			$valid_iban = false;
			if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
				array_push($response["text"], "[DB0008] Une erreur est survenue. Contactez l'administrateur.");
			} else {
				?> <h3 style="color:red;text-align:center"> [DB0008] Une erreur est survenue. Contactez l'administrateur. </h3><?php
			}
		}
	}
$GLOBALS['IBAN'] =  $IBAN;
$GLOBALS['QR_IBAN'] = $QR_IBAN;

$result = $sqli_connection->query($check_field_country);
if($result->num_rows > 0){
	$query = "SELECT Pays from faturacao_empresa_dados LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();

		if (false === $result) {
			$errors = true;
			if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
				array_push($response["text"], "[DB0009] Une erreur est survenue. Contactez l'administrateur.");
			} else {
				?> <h3 style="color:red;text-align:center"> [DB0009] Une erreur est survenue. Contactez l'administrateur. </h3><?php
			}
		} else {
			$stmt -> store_result();
			$stmt -> bind_result($country);
			$stmt -> fetch();
			$stmt -> close();
		}
	} else {
		$errors = true;
		if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
			array_push($response["text"], "[DB0010] Une erreur est survenue. Contactez l'administrateur.");
		} else {
			?> <h3 style="color:red;text-align:center"> [DB0010] Une erreur est survenue. Contactez l'administrateur. </h3><?php
		}
	}
}
$GLOBALS['country'] = $country;

$client_country = "SELECT PaisCliente, CASE WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 0 THEN ''
	WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) < 30 THEN '1º Rappel'
	ELSE '2º Rappel' END FROM faturacao_faturas WHERE ID_Fatura=?";
if ($stmt = $sqli_connection -> prepare($client_country)) {
	$stmt -> bind_param("d", $docID);
	$result = $stmt -> execute();

	if (false === $result) {
		if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
			array_push($response["text"], "[DB0004] Une erreur est survenue. Contactez l'administrateur.");
		} else {
			?> <h3 style="color:red;text-align:center"> [DB0004] Une erreur est survenue. Contactez l'administrateur. </h3><?php
		}
		$errors = true;
	}
	$stmt -> store_result();
	$stmt -> bind_result($country_client, $rappel);
	$stmt -> fetch();
	$stmt -> close();
} else {
	if (isset($_GET["send_mail"]) && $_GET["send_mail"]) {
		array_push($response["text"], "[DB0002] Une erreur est survenue. Contactez l'administrateur.");
	} else {
		?> <h3 style="color:red;text-align:center"> [DB0002] Une erreur est survenue. Contactez l'administrateur. </h3><?php
	}
	$errors = true;

}
$qr_country = ['CH', 'LI'];
?>
<div id="modal-confirmar-envio-QR" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label-qr" class="modal-title"><?php echo $data[288]['trad']; ?></h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;margin-bottom:10px;">
				<form id="form_confirmar_envio_QR">
					<div id="form_div">
						<div class="row">
							<input type="hidden" id="document_iden_QR" name="document_iden_QR" />
							<input type="hidden" id="rappel_number_QR" name="rappel_number_QR" />
							<input type="hidden" id="action_selected" name="action_selected" />
							<input type="hidden" id="country_qr" name="country_qr" />
							<div class="col-sm-12">
								<div class="form-group">
									<label class="control-label"><?php echo $data[440]['trad']; ?></label>
									<span id="confirmar_envio_detalhes_QR" style="display: block"></span>
								</div>
							</div>
						</div>
						<div class="row email_row_old" style="display:none;">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[544]['trad']; ?></label>
									<span id="confirmar_envio_email_QR" style="display: block"></span>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1219]['trad']; ?></label>
									<input type="email" class="form-control" id="confirmar_envio_emailnovo_QR" name="confirmar_envio_emailnovo_QR" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row email_row" style="display:none;">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[2169]['trad']; ?></label><br>
									<select class="form-control select2 show-tick" name="liste_contacts" id="liste_contacts">
									</select>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[2170]['trad']; ?></label>
									<input type="email" class="form-control" id="email_contact" name="email_contact" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row" id="resp_div_1" style="display:none;">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","1",$data[545]['trad']); ?></label>
									<span id="confirmar_envio_email_resp_1" style="display: block"></span>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","1",$data[549]['trad']); ?> (<?php echo $data[569]['trad']; ?>)</label>
									<input type="email" class="form-control" id="confirmar_envio_emailnovo_resp_1" name="confirmar_envio_emailnovo_resp_1" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row" id="resp_div_2" style="display:none;">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","2",$data[545]['trad']); ?></label>
									<span id="confirmar_envio_email_resp_2" style="display: block"></span>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","2",$data[549]['trad']); ?> (<?php echo $data[569]['trad']; ?>)</label>
									<input type="email" class="form-control" id="confirmar_envio_emailnovo_resp_2" name="confirmar_envio_emailnovo_resp_2" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row" id="resp_div_3" style="display:none;">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","3",$data[545]['trad']); ?></label>
									<span id="confirmar_envio_email_resp_3" style="display: block"></span>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo str_replace("X","3",$data[549]['trad']); ?> (<?php echo $data[569]['trad']; ?>)</label>
									<input type="email" class="form-control" id="confirmar_envio_emailnovo_resp_3" name="confirmar_envio_emailnovo_resp_3" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1618]['trad']; ?>:<span class="require"></span></label>
									<select class="form-control select2 show-tick" data-live-search="true" data-header="<?php echo $data[1456]['trad']; ?>" id="iban" name="iban">
									<?php if((!$country || !$country_client) || (in_array($country, $qr_country) && in_array($country_client, $qr_country)) ) { ?>
											<option value="QR"><?php echo $data[1709]['trad']; ?></option>
										<?php } ?>
										<option value="IBAN"><?php echo $data[763]['trad']; ?></option>
									</select>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1692]['trad']; ?>:<span class="require"></span></label>
									<input type="text" class="form-control required" id="IBAN_number" name="IBAN_number" placeholder="<?php echo $data[1673]['trad']; ?>" disabled />
								</div>
							</div>
						</div>
						
						<div class="row" id="options">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1970]['trad']; ?>:</label>
									<input type="text" class="form-control" id="Tranches" name="Tranches" placeholder="<?php echo $data[1971]['trad']; ?>"/>
								</div>
							</div>
							<div class="col-sm-6" id="bvr">
								<div class="form-group" style="margin-top:30px">
									<input type="checkbox" id="Bulletin" name="Bulletin" /><label style="margin-left:5px;" for="Bulletin"><?php echo $data[1972]['trad']; ?>?</label>
								</div>
							</div>
						</div>
						<div class="row">
								<div class="col-sm-6 hidden" id="rappel">
									<div class="form-group">
										<label class="control-label"><?php echo $data[1950]['trad']; ?>:</label>
										<input type="text" class="form-control" id="frais" name="frais" placeholder="<?php echo $data[1951]['trad']; ?>" />
									</div>
								</div>
								<div class="col-sm-6 hidden" id="hideRappelDiv">
									<div class="form-group" style="margin-top:30px">
										<input type="checkbox" id="HideRappel" name="HideRappel" /><label style="margin-left:5px;" for="HideRappel"><?php echo $data[1994]['trad']; ?></label>
									</div>
								</div>
							</div>
						<div class="row">
							<div class="col-sm-6 hidden" id="country">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1696]['trad']; ?>:<span class="require"></span></label>
									<select class="form-control select2 show-tick" data-live-search="true" data-header="<?php echo $data[1456]['trad']; ?>" id="country" name="country">
										<?php include( $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/clients/paises.php'); ?>
									</select>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-blue" id="confirmBtn-modal_QR">
					<i class="fa fa-paper-plane"></i> <?php echo $data[708]['trad']; ?>
				</button>
				<button type="button" data-dismiss="modal" class="btn btn-default">
					<?php echo $data[1995]['trad']; ?>
				</button>
			</div>
		</div>
	</div>
</div>
<?php include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/modals/get_responsables_mails.php";?>
<script type="text/javascript">
	$('document').ready(function(){
		fill_Iban();
		$("#email_contact").val("fakemailbcitbugs@fricode.ch");
	});
	$('select').on('change', function() {
		fill_Iban();
	});
	// FORM EMAIL VALIDATOR
	
	$.validator.addMethod("verifyIban", function(value, element, regexpr) {
		result = false;
		type = $('#iban').val();
        if(type == "IBAN"){
			iban = checkIban($('#IBAN_number').val());
			qrIban = checkQRIban($('#IBAN_number').val());
			result = iban && !qrIban;
		}else if (type == "QR"){
			result = checkQRIban($('#IBAN_number').val());
		}
		return result;
    }, "");
	
	val_form_new = $("#form_confirmar_envio_QR").validate({
		ignore : "",
		rules : {
			email_contact : {
				required : true,
			},
			iban : {
				required : true,
			},
			IBAN_number : {
				required : true,
			},
		},
		messages : {
			email_contact : {
				required : "<?php echo $data[186]['trad']; ?>",
				email : "<?php echo $data[1676]['trad']; ?>"
			},
			iban : {
				required : "<?php echo $data[186]['trad']; ?>"
			},
			IBAN_number : {
				required : "<?php echo $data[186]['trad']; ?>",
			},
		},
		highlight : function(element, errorClass, validClass) {
			$(element).addClass(errorClass).removeClass(validClass);
		},
		unhighlight : function(element, errorClass, validClass) {
			$(element).removeClass(errorClass).addClass(validClass);
		},
		errorPlacement : function(error, element) {
			if (element.hasClass('selectpicker')) {
				if (element.parent().hasClass("input-group"))
					error.insertAfter(element.parent());
				else
					error.insertAfter(element.next("div"));
			} else {
				error.insertAfter(element);
			}
		}
	});
	//Il faut que ça marche sur le close, la on dirait ça marcher pas.
	$('#modal-confirmar-envio-QR').on('hidden.bs.modal', function () {
		$(".fullscreen").toggleClass('forceHidden');
		$(".fullscreen").hide();
	});

	//prevent form submit
	$("#form_confirmar_envio_QR").submit(function(e) {
		e.preventDefault();
	});

	//confirm sender
	$("#confirmBtn-modal").on('click', function(event){
		var valid = $("#form_confirmar_envio_QR").valid();

		if(valid == false) {
			$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
		} else {
			var docIden = $("#document_iden_QR").val();
			var rappelnum = $("#rappel_number_QR").val();
			var emailSender = $("#email_contact").val();

			//call sender function
			confirmFaturaSender(docIden, rappelnum ,emailSender, bill_type, iban, country, action);
		}
	});

	/**
	 * Get email for sender
	 * @param  id
	 */
	function fill_senderEmail(idDocumento){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/faturas-comum/sender_email.php',
			data : { 
				idDocumento : idDocumento
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							// console.log('nulo?');
						} else {
							var dados = resposta.data;
							// console.log(dados);
							$('#confirmar_envio_email_QR').html(dados.EmailSender);
							$('#confirmar_envio_emailnovo_QR').val(dados.EmailSender);
						}
					}
				}
			},
			complete : function() {
				$('#modal-confirmar-envio-QR').modal("show");
			}
		});
	}
	
	$("#confirmBtn-modal_QR").on('click', function(event){
		if($('#IBAN_number').val()){
			//$(".fullscreen").toggleClass('forceHidden');
			var valid = $("#form_confirmar_envio_QR").valid();
			if(valid == false) {
				$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				$(".fullscreen").toggleClass('forceHidden');
			} else {
				var docIden = $("#document_iden_QR").val();
				var emailSender = $("#email_contact").val();
				var type = $('#iban').val();
				var rappelnum = $("#rappel_number_QR").val();
				var country = "";
				if($("#country").length){
					country = $("#country").val();
					//$("country_qr").val($("#country").val());
				} else {
					country = "<?php print($country) ?>";
					//$("country_qr").val("<?php print($country) ?>");
				}
				var iban = $('#IBAN_number').val();
				var action = $('#action_selected').val();
				var frais = $("#frais").val();
				addToDB(type, iban, country);
				frais = frais.replace(",",".");
				if(frais){
					if(!confirm("<?php echo $data[1949]['trad']; ?>")){
						return;
					}
				}
				let emailcc = [];
				if($("#confirmar_envio_emailnovo_resp_1").val()){
					emailcc.push($("#confirmar_envio_emailnovo_resp_1").val());
				}
				if($("#confirmar_envio_emailnovo_resp_2").val()){
					emailcc.push($("#confirmar_envio_emailnovo_resp_2").val());
				}
				if($("#confirmar_envio_emailnovo_resp_3").val()){
					emailcc.push($("#confirmar_envio_emailnovo_resp_3").val());
				}
				emailccArr = JSON.stringify(emailcc);
				//call sender function
				confirmFaturaSenderQR(docIden, rappelnum, emailSender, type, iban, country, action, frais,emailccArr);
			}
		} else {
			$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
		}
	});

	/**
	 * Get email for sender
	 * @param  id
	 */
	function fill_senderEmailQR(idDocumento, action, type){
		//get data
		file = 'sender_email.php';
		if(type == 1 && action == 'mail'){
			file = 'sender_email_sport.php';
		}
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/faturas-comum/'+file,
			data : { 
				idDocumento : idDocumento
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							// console.log('nulo?');
						} else {
							var dados = resposta.data;
							// console.log(dados);
							$('#confirmar_envio_email_QR').html(dados.EmailSender);
							$('#confirmar_envio_emailnovo_QR').val(dados.EmailSender);
							$('#action_selected').val(action);
							var title = "";
							$("#resp_div_1").hide();
							$("#resp_div_2").hide();
							$("#resp_div_3").hide();
							$(".email_row").hide();
							$("#bvr").show();
							switch (action){
								case 'slip':
									title = "<?php echo $data[42]['trad']; ?>"
									$('#confirmBtn-modal_QR').html('<i class="fa fa-file" title="<?php echo $data[907]['trad']; ?>"></i></i>&nbsp;<?php echo $data[40]['trad']; ?>');
									$('#confirmBtn-modal_QR').attr('class', 'btn btn-brown');
									$('#confirmar_envio_emailnovo_QR').prop('disabled', true);
									$(".email_row").hide();
									$("#bvr").hide();
									break;
								case 'mail':
									title = "<?php echo $data[573]['trad']; ?>"
									$(".email_row").show();
									fill_respEmail(dados.IDClient);
									$('#confirmBtn-modal_QR').attr('class', 'btn btn-blue');
									$('#confirmBtn-modal_QR').html('<i class="fa fa-paper-plane"></i> <?php echo $data[708]['trad']; ?>');
									$('#confirmar_envio_emailnovo_QR').prop('disabled', false);
									if(type == 1){
										$("#confirmar_envio_emailnovo_resp_1").val();
										$("#confirmar_envio_emailnovo_resp_2").val();
										$("#confirmar_envio_emailnovo_resp_3").val();
										var counter = 1;
										$.each(dados.Responsaveis, function() {
											$("#resp_div_"+counter).show();
											$("#confirmar_envio_emailnovo_resp_"+counter).val(this.email);
											$("#confirmar_envio_email_resp_"+counter).html(this.email);
											counter++;
										});
									}
									break;
								case 'full':
									title = "<?php echo $data[41]['trad']; ?>"
									$(".email_row").hide();
									$('#confirmBtn-modal_QR').html('<i class="fa fa-print" title="<?php echo $data[904]['trad']; ?>"></i>&nbsp;<?php echo $data[40]['trad']; ?>');
									$('#confirmBtn-modal_QR').attr('class', 'btn btn-grey');
									$('#confirmar_envio_emailnovo_QR').prop('disabled', true);
									break;
							}
							$("#options").show();
							if(dados.Etat == "Rascunho"){
								$("#options").hide();
								$("#Tranches").val("");
							}
							$("#frais").val("");
							//si il y'a deja des frais, il faut pas montrer les frais
							if(dados.Total != 0.00){
								if(dados.Rappel != "" && dados.Rappel != null){
									title += " ("+dados.Rappel.replace("2º Rappel","<?php echo $data[7]['trad']; ?>").replace("1º Rappel","<?php echo $data[4]['trad']; ?>")+")";
									if(dados.Rappel == "2º Rappel" && dados.Frais == null && dados.Etat == "Aberto"){
										$("#rappel").removeClass("hidden");
									} else {
										$("#rappel").addClass("hidden");
									}
									$("#hideRappelDiv").removeClass("hidden");
								} else {
									$("#hideRappelDiv").addClass("hidden");
								}
							} else {
								$("#rappel").addClass("hidden");
								$("#hideRappelDiv").addClass("hidden");
								$("#options").hide();
								$("#Tranches").val("");
							}
								if(dados.Country == ""){
									$("#country").removeClass("hidden");
								} else {
									$("#country").addClass("hidden");
								}
							$('#modal-header-primary-label-qr').html(title);
						}
					}
				}
			},
			complete : function() {
				$('#modal-confirmar-envio-QR').modal("show");
			}
		});
		$(".fullscreen").toggleClass('forceHidden');
	}
	
	function fill_Iban(){
		var type = $('#iban').val();
		var iban = "";
		if(type == "IBAN"){
			iban = "<?php print($IBAN)?>"
		}else if (type == "QR"){
			iban = "<?php print($QR_IBAN)?>"
		}
		$('#IBAN_number').val(iban);
	}
	
	function checkIban(iban){
		var success;
		$.ajax({
				url: "https://api.fricode-developpement.ch:8443/v2/iban/validate", 
				contentType: "text/plain",
				data: iban,
				method: "POST",
				async: false,
				success: function(result){
					success = true;
				},
				error: function(result){
					success = false;
				}
			});
		return success;
	}
	function checkQRIban(iban){
		var success;
		$.ajax({
			url: "https://api.fricode-developpement.ch:8443/v2/qr-iban/validate",
			contentType: "text/plain",
			data: iban,
			method: "POST",
			async: false,
			success: function(result){
				success = true;
			},
			error: function(result){
				success = false;
			}
		});
		return success;
	}
	
	function addToDB(bill_type, iban, country){
		var current_iban = "<?php print($IBAN)?>";
		var current_qriban = "<?php print($QR_IBAN)?>";
		var current_country = "<?php print($country)?>";
		if(current_country != country){
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas/add_country_db.php',
				dataType : 'json',
				data : {
					country: country,
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null) {
						$.scojs_message("[FAT007] <?php echo $data[822]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors) {
							$.scojs_message("[FAT008] <?php echo $data[822]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1290]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				error : function(resposta){
					$.scojs_message(resposta.text, $.scojs_message.TYPE_ERROR);
				},
				complete : function(){
					$(".fullscreen").toggleClass('forceHidden');
				}
			});
		}
	}
	
	function enviarFaturaQR(idFatura, nome, rappel = '1º Rappel', action,type){
	<?php if (hasPermission(['P0028']) == 1) { ?>
		$('#document_iden_QR').val('');
		$('#document_iden_QR').val(idFatura);
		$('#confirmar_envio_detalhes_QR').html('-');
		$('#confirmar_envio_detalhes_QR').html(nome.replace("- 2º Rappel","- <?php echo $data[7]['trad']; ?>").replace("- 1º Rappel","- <?php echo $data[4]['trad']; ?>"));
		$('#rappel_number_QR').val('');
		$('#rappel_number_QR').val(rappel);
		fill_senderEmailQR(idFatura, action, type);
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
	
	function confirmFaturaSenderQR(idFatura, numRappel, email_sender, bill_type, iban, country, action, frais, emailcc){
		//si nouvel iban ou qriban ou pays, il faut le stocker dans la DB.
		var tranches = $("#Tranches").val();
		var checktranches = 0;
		if(tranches != ""){
			checktranches = 1;
		} else {
		}
		var regex = /^\d*\,?\.?\d{0,2}$/g;
		if(!tranches.match(regex) && checktranches == 1){
			alert("<?php echo $data[1973]['trad']; ?>");
			return ;
		}
		tranches = tranches.replace(",",".");
		tranches = parseFloat(tranches);
		var total = "";
		$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas/total.php',
				dataType : 'json',
				data : {
					idDocument : idFatura
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null) {
						$.scojs_message("[TOT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors) {
							$.scojs_message("[TOT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						}
					}
					total = resposta.data.total;
					total = parseFloat(total);
					if((tranches > total || isNaN(tranches)) && checktranches == 1){
						alert("<?php echo $data[1974]['trad']; ?>");
						return ;
					}
					
					if(tranches*100 % 5 != 0 && checktranches == 1){
						alert("<?php echo $data[1975]['trad']; ?>");
						return ;
					}
					var bulletin = $("#Bulletin").is(":checked");
					var hideRappel = $("#HideRappel").is(":checked");
					if(isNaN(tranches)){
						tranches = "";
					}
					if(frais){
					if(!isNaN(frais)){
					$.ajax({
							type : 'POST',
							url : '/frifacturation/server/faturas/ajouter_frais.php',
							dataType : 'json',
							data : {
								idDoc : idFatura,
								frais : frais
							},
							success : function(resposta) {
							},
							error : function(resposta){
								$.scojs_message(resposta.text, $.scojs_message.TYPE_ERROR);
								return;
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resposta == null) {
									$.scojs_message("[FAT001] <?php echo $data[1947]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									return ;
								} else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[1947]['trad']; ?>", $.scojs_message.TYPE_ERROR);
										return;
									}
								}
								addToDB(bill_type, iban, country);
					if(action == "mail"){
						$.ajax({
							type : 'GET',
							url : '/frifacturation/server/faturas/email_QR.php',
							dataType : 'json',
							data : {
								idDoc : idFatura,
								senderEmail : email_sender,
								bill_type: bill_type,
								iban: iban,
								country: country,
								action: action,
								send_mail: true,
								email_rappel: 1,
								numRappel : numRappel,
								emailcc: emailcc,
								tranches: tranches,
								bulletin: bulletin,
								hideRappel: hideRappel
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null) {
									$.scojs_message("[FAT001] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
									}
								}
							},
							error : function(resposta){
								$.scojs_message(resposta.text, $.scojs_message.TYPE_ERROR);
							},
							complete : function(resposta) {
								//$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									pesquisar();
									$('#modal-confirmar-envio-QR').modal("hide");
									location.reload();
								}, 1000);
							}
						});
					} else {
						var url = "/frifacturation/server/faturas/email_QR.php?idDoc="+idFatura+"&senderEmail="+email_sender+"&bill_type="+bill_type+"&iban="+iban+"&country="+country+"&action="+action+"&tranches="+tranches+"&bulletin="+bulletin+"&hideRappel="+hideRappel;
						var win = window.open(url, '_blank');
						win.focus();
						location.reload();
					} 
							}
						});
					} else {
						$.scojs_message("[FAT00F] <?php echo $data[1948]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					}
					} else {
					addToDB(bill_type, iban, country);
					if(action == "mail"){
						$.ajax({
							type : 'GET',
							url : '/frifacturation/server/faturas/email_QR.php',
							dataType : 'json',
							data : {
								idDoc : idFatura,
								senderEmail : email_sender,
								bill_type: bill_type,
								iban: iban,
								country: country,
								action: action,
								send_mail: true,
								email_rappel: 1,
								numRappel : numRappel,
								emailcc: emailcc,
								tranches: tranches,
								bulletin: bulletin,
								hideRappel: hideRappel
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null) {
									$.scojs_message("[FAT001] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									} else {
										//$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
									}
								}
							},
							error : function(resposta){
								$.scojs_message(resposta.text, $.scojs_message.TYPE_ERROR);
							},
							complete : function(resposta) {
								//$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									pesquisar();
									$('#modal-confirmar-envio-QR').modal("hide");
									location.reload();
								}, 1000);
							}
						});
					} else {
						var url = "/frifacturation/server/faturas/email_QR.php?idDoc="+idFatura+"&senderEmail="+email_sender+"&bill_type="+bill_type+"&iban="+iban+"&country="+country+"&action="+action+"&tranches="+tranches+"&bulletin="+bulletin+"&hideRappel="+hideRappel;
						var win = window.open(url, '_blank');
						win.focus();
					} 
					}
				},
				error : function(resposta){
					$.scojs_message(resposta.text, $.scojs_message.TYPE_ERROR);
				},
				complete : function(resposta) {
					
				}
			});
	}
	
</script>