<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,289,920,1456,1428,1469,265,1504,1528,708,67,186,1403,837,683,1995);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<div id="modal-confirmar-envio_sport" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title"><?php echo $data[289]['trad']; ?></h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;">
				<form id="form_confirmar_envio_sport_info">
					<div id="form_div">
						<div class="row">
							<input type="hidden" id="document_iden_sport" name="document_iden_sport" />
							<div class="col-sm-12">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1428]['trad']; ?></label>
									<select class="form-control " data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="role_cliente" name="role_cliente">
										<option value="1"><?php echo $data[920]['trad']; ?></option>
										<option value="2"><?php echo $data[1469]['trad']; ?> 1</option>
										<option value="3"><?php echo $data[1469]['trad']; ?> 2</option>
										<option value="4"><?php echo $data[265]['trad']; ?></option>
									</select>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12">
								<div class="form-group">
									<label class="control-label"><?php echo $data[1504]['trad']; ?></label>
									<input type="text" class="form-control" id="mail_subject" name="mail_subject" placeholder="..." />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12">
								<label class="control-label"><?php echo $data[1528]['trad']; ?></label>
								<textarea class="form-control" id="mail_text" name="mail_text" rows="6" style="white-space:pre-wrap;resize: none;"></textarea>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-blue" id="confirmBtn-modal_sport">
					<i class="fa fa-paper-plane"></i> <?php echo $data[708]['trad']; ?>
				</button>
				<button type="button" data-dismiss="modal" class="btn btn-default">
					<?php echo $data[1995]['trad']; ?>
				</button>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
	
	// FORM EMAIL VALIDATOR
	val_form_new = $("#form_confirmar_envio_sport_info").validate({
		ignore : "",
		rules : {
			mail_subject : {
				required : true,
			},
			mail_text : {
				required : true,
			},
		},
		messages : {
			mail_subject : {
				required : "<?php echo $data[186]['trad']; ?>"
			},
			mail_text : {
				required : "<?php echo $data[186]['trad']; ?>"
			},
		},
		highlight : function(element, errorClass, validClass) {
			$(element).addClass(errorClass).removeClass(validClass);
		},
		unhighlight : function(element, errorClass, validClass) {
			$(element).removeClass(errorClass).addClass(validClass);
		},
		errorPlacement : function(error, element) {
			if (element.hasClass('selectpicker')) {
				if (element.parent().hasClass("input-group"))
					error.insertAfter(element.parent());
				else
					error.insertAfter(element.next("div"));
			} else {
				error.insertAfter(element);
			}
		}
	});

	//prevent form submit
	$("#form_confirmar_envio_sport_info").submit(function(e) {
		e.preventDefault();
	});

	//confirm sender
	$("#confirmBtn-modal_sport").on('click', function(event){
		var valid = $("#form_confirmar_envio_sport_info").valid();

		if(valid == false) {
			$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
		} else {
			var role_id = $("#role_cliente").val();
			var subject = $("#mail_subject").val();
			var text = $.trim($("#mail_text").val());
			confirmMailSenderSport(role_id, subject, text);
		}
	});
	
	function confirmMailSenderSport(role_id, subject, text){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/sportifs/email.php',
			dataType : 'json',
			data : {
				idRole : role_id,
				subject : subject,
				text : text
			},
			success : function(resposta) {
				var resp = resposta;
				console.log(resposta.mails);
				console.log(resposta.errors);
				if (resposta == null)
					$.scojs_message("[FAT003] <?php echo $data[837]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT004] <?php echo $data[837]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			error : function(resposta){
				$.scojs_message("[FAT006] <?php echo $data[837]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				console.log(resposta);
				console.log(resposta.mails);
				console.log(resposta.errors);
			},
			complete : function(resposta) {
				$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
				//reload
				setTimeout(function() {
					location.reload();
				}, 1000);
			}
		});
	}

</script>