<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1565,1472,1447,1702,1704,1503,1312,1310,421,1377,428,1138,1093,563,904,1505,570,949,86,631,1679,770,1195,1007,959,967,585,769,1194,649,889,1198,839,683);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/notas_credito.php",
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1447]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [null, null, null, null, null,
		{
			"sClass" : "text-right",
		}, 
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				// if(full[6] == 'Rascunho') element = '---';
				if(full[6] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[6] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[6] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[6] == 'Anulado') element = '<span style="color: red;">'+full[0]+'</span>';
				// else element = full[0];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				raison = full[8];
				css = "";
				if(raison){
					raison = full[8].trim();
				}
				info = full[1]
				if(info){
					info = full[1].trim();
				}
				if( raison ){
					info = raison+' - '+info;
					css = "color:red;font-weight:bold;";
				}
				//return html
				return '<span class="ellipsis" data-size="70" style="'+css+'">'+info+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[3].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_nota_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money">'+full[5]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[6] == 'Rascunho') element = '<span class="label label-orange">'+full[6]+'</span>';
				if(full[6] == 'Pago') element = '<span class="label label-green">'+full[6]+'</span>';
				if(full[6] == 'Aberto') element = '<span class="label label-blue">'+full[6]+'</span>';
				if(full[6] == 'Anulado') element = '<span class="label label-red">'+full[6]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var tmp = full[3].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[6] != 'Rascunho') docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var html = '';

				html += '<a href="details?note='+ full[7] +'" class="options-link text-info"><i class="fa fa-eye" title="<?php echo $data[428]['trad']; ?>"></i></a>';

				//edition options
				if( full[6] != 'Rascunho' ){
					html += '<a href="modifier_lines?note='+full[7]+'" class="options-link text-orange"><i class="fa fa-terminal" title="<?php echo $data[1138]['trad']; ?>"></i></a>';
					// html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[7] +')" title="<?php echo $data[729]['trad']; ?>"><i class="fa fa-files-o"></i></a>';
					if( full[6] == 'Aberto' ){
						// html += '<a class="options-link text-red" onclick="anularNota('+ full[7] +', '+nome+')" title="Anular"><i class="fa fa-times"></i></a>';
					}
				}else{
					html += '<a href="modifier?note='+full[7]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]['trad']; ?>"></i></a>';
					html += '<a class="options-link text-green" onclick="finalizarNota('+ full[7] +', '+nome+')" title="<?php echo $data[563]['trad']; ?>"><i class="fa fa-flag-checkered"></i></a>';
				}

				if( full[6] == 'Aberto' || full[6] == 'Pago'){
					html += '<a class="options-link text-blue" onclick="enviarNota('+ full[7] +', '+nome+')" title="<?php echo $data[570]['trad']; ?>"><i class="fa fa-paper-plane"></i></a>';
				}
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exporter_credit.php?idDoc='+full[7]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="<?php echo $data[904]['trad']; ?>"></i></a>';

				if(full[6] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarNota('+ full[7] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[7]);

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		}
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//<?php echo $data[729]['trad']; ?>
	// function gerarDocumento(idDocument){
	// 	alert('<?php echo $data[729]['trad']; ?>:\n...\nFonctionnalité bientôt disponible...');
	// }
	
	//check if selected date is bigger than today
	function checkDataBiggerThanToday(inputID){
		var result;

		var dt_Today = new Date();
		var dt_begin = new Date( $('#'+inputID).attr('data-normalizeDate') );
		console.log(dt_begin);
		//set hours, minutes and seconds to 0
		dt_Today.setHours(0);
		dt_Today.setMinutes(0);
		dt_Today.setSeconds(0);
		dt_begin.setHours(0);
		dt_begin.setMinutes(0);
		dt_begin.setSeconds(0);
		//check dates
		if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
			result = true;
		} else {
			result = false;
		}

	    return result;
	}

	//finalizar
	function finalizarNota(idNota, nome){
	<?php if (hasPermission(['P0032']) == 1) { ?>
		var inputID = 'data_nota_'+idNota;
		var result = checkDataBiggerThanToday(inputID);
		var dataNota = $('#'+inputID).html();
		var question = '';
		if(result == true) question = "<?php echo $data[949]['trad']; ?>\n\n<?php echo $data[631]['trad']; ?>\n\n<?php echo $data[86]['trad']; ?> ["+dataNota+"].";
		else question = "<?php echo $data[631]['trad']; ?> " + nome + "?\n\n<?php echo $data[1679]['trad']; ?>";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/notas-credito/finalizar.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[770]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[770]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1195]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.pagavel) $.scojs_message("[FAT003] <?php echo $data[1007]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] <?php echo $data[959]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else if(resp.responseJSON.data_superior2) $.scojs_message("[FAT003] <?php echo $data[967]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else if (resp.responseJSON.exists) $.scojs_message(resp.responseJSON.message, $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//anular documento
	function anularNota(idNota, nome){
	<?php if (hasPermission(['P0032']) == 1) { ?>
		if (confirm("<?php echo $data[585]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/notas-credito/anular.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[769]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[769]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1194]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
	
	//remover
	function eliminarNota(idNota, nome){
	<?php if (hasPermission(['P0033']) == 1) { ?>
		if (confirm("<?php echo $data[649]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/notas-credito/apagar.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[889]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[889]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1198]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//Enviar email
	function enviarNota(idNota, nome){
	<?php if (hasPermission(['P0032']) == 1) { ?>
		$('#document_iden').val('');
		$('#document_iden').val(idNota);
		$('#confirmar_envio_detalhes').html('-');
		$('#confirmar_envio_detalhes').html(nome);
		fill_senderEmail(idNota);
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//confirm email sender
	function confirmNotaSender(idNota, email_sender){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/notas-credito/email.php',
			dataType : 'json',
			data : {
				idDoc : idNota,
				senderEmail : email_sender
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] <?php echo $data[839]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				$.scojs_message("<?php echo $data[683]['trad']; ?>", $.scojs_message.TYPE_OK);
				//reload
				setTimeout(function() {
					location.reload();
				}, 1000);
			}
		});
	}
</script>