<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,841,840,241,1445,767,77,1456,1516,1519);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	/**
	 * Get Document Data
	 * @param  idDocument
	 * @return none
	 */
	function fill_document(idDocument = 0){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/rapports-travail/detalhesEditar.php',
			dataType : 'json',
			data : { idDocument : idDocument },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							var prixNoir = Number(dados.PrixNoir);
							var prixCouleur = Number(dados.PrixCouleur);

							$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
							$(".money").autoNumeric("init", {
								aSep : '.',
								aDec : ',',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimais; ?>
							});
							
							$( "#valorDocTemp" ).autoNumeric('set', prixNoir);
							prixNoir = $( "#valorDocTemp" ).html();
							
							$( "#valorDocTemp" ).autoNumeric('set', prixCouleur);
							prixCouleur = $( "#valorDocTemp" ).html();

							$( "#valorDocTemp" ).remove();


							var stringDocOrigem = '';
							stringDocOrigem += dados.Reference+' | ';
							stringDocOrigem += dados.Data_Documento_Origem+' | ';
							stringDocOrigem += dados.NomeCliente+' | ';
							stringDocOrigem += dados.CodigoCliente+' | ';
							stringDocOrigem += prixNoir+' | ';
							stringDocOrigem += prixCouleur;

							var clienteID = dados.ID_Cliente
							var valueOriginalReceived = 0;

							if(dados.ID_Documento_Origem){
								$('#documentoOrigem_rapport').val(stringDocOrigem);
								$('#documentoOrigem_rapport').attr('data-client', clienteID);
								$('#documentoOrigem_rapport').attr('data-value', valueOriginalReceived);
								$('#documentoOrigem_rapport').attr('data-idDoc', dados.ID_Documento_Origem);
								$('#documentoOrigem_rapport').attr('data-type', dados.Tipo_Documento_Origem);

								//check if stills good for use
								if(dados.Tipo_Documento_Origem != 'CC' && dados.Origem_estadoOriginal != 'Aberto' && dados.Origem_valorPorLiquidar == 0){
									$.scojs_message("[WAR0001] <?php echo $data[841]['trad']; ?>", $.scojs_message.TYPE_WARNING);
									$("#documentoOrigem_rapport").val('');
								}

								fill_origens(dados.ID_Documento_Origem, dados.Tipo_Documento_Origem, dados);
							}

							//fill Data
							$("#endereco_cliente_rapport").val(dados.EnderecoCliente);
							$("#codigopostal_cliente_rapport").val(dados.CodigoPostalCliente);
							$("#regiao_cliente_rapport").val(dados.RegiaoCliente);
							$("#cidade_cliente_rapport").val(dados.CidadeCliente);
							$("#pais_cliente_rapport").val(dados.PaisCliente);
							$("#telefone_cliente_rapport").val(dados.TelefoneCliente);
							$("#email_cliente_rapport").val(dados.EmailCliente);
							$("#data_rapport").datepicker().datepicker("setDate", dados.Data);
							$("#data_rapport_debut").timepicker().timepicker("setTime",  dados.DateDebut);
							$("#data_rapport_fin").timepicker().timepicker("setTime",  dados.DateFin);
							$( ".datepicker" ).datepicker("refresh");
							// console.log(dados);

							$("#endereco_cliente_descarga_rapport").val(dados.EnderecoClienteDescarga);
							$("#endereco_cliente_descarga_2_rapport").val(dados.EnderecoCliente2Descarga);
							$("#codigopostal_cliente_descarga_rapport").val(dados.CodigoPostalClienteDescarga);
							$("#regiao_cliente_descarga_rapport").val(dados.RegiaoClienteDescarga);
							$("#cidade_cliente_descarga_rapport").val(dados.CidadeClienteDescarga);
							$("#pais_cliente_descarga_rapport").val(dados.PaisClienteDescarga);
							$("#pais_cliente_descarga_rapport").trigger('change');
						
							// $("#horas_rapport").val(dados.Duree);
							// $("#tecnico_rapport").val(dados.Tecnico);
							$("#impressora_rapport").val(dados.Impressora);
							$("#num_impressora_rapport").val(dados.NumImpressora);
							$("#compteur_nb_rapport").val(dados.CompteurNB);
							$("#compteur_coul_rapport").val(dados.CompteurCoul);
							$("#referencia_rapport").val(dados.Referencia);
							$("#remarque_rapport").val(dados.Observacoes);

							

							//Emplacement New Fields -----------------------
							$("#nome_emp_cliente").val(dados.NomeEmplacement);
							$("#apelido_emp_cliente").val(dados.ApelidoEmplacement);
							if(dados.TituloEmplacement) $("#titulo_emp_cliente").val(dados.TituloEmplacement);
							else $("#titulo_emp_cliente").val('');
							$("#titulo_emp_cliente").trigger('change');
							$("#telefone_emp_cliente_rapport").val(dados.ContactoEmplacement);
							$("#email_emp_cliente_rapport").val(dados.EmailEmplacement);
							if(dados.PaisClienteDescarga) $("#pais_cliente_descarga_rapport").val(dados.PaisClienteDescarga);
							else $("#pais_cliente_descarga_rapport").val('');
							$("#pais_cliente_descarga_rapport").trigger('change');
							// console.log(dados);
							//----------------------------------------------
							
							//fill select boxes
							var blockResume = true;
							var NomeCliente = dados.CodigoCliente+' - '+dados.NomeCliente;
							if(dados.Suspendu){
								var NomeCliente = dados.Suspendu+' - '+dados.CodigoCliente+' - '+dados.NomeCliente;
							}
							if(!dados.ID_Documento_Origem){
								$('input#origin_non').iCheck('check');
								fill_clientes(dados.ID_Cliente, blockResume, NomeCliente, 1, 1, 1);
							}else{
								fill_clientes(dados.ID_Cliente, blockResume, NomeCliente, 1, 0, 1);
							}
							//fill tecnicos
							fill_tecnicos(dados.ID_Tecnico, dados.ID_TecnicoSegundo,  dados.Tecnico,  dados.TecnicoSegundo);

							//process lines
							processLinesLoaded(dados, blockResume );
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Get Document Data
	 * @param  idDocument
	 * @return none
	 */
	function fill_origens_detalhes(idDocument, DocumentType, dismissFields = false, dataToLoad = false){
		$(".fullscreen").show();
		
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/rapports-travail/detalhesOrigem.php',
			dataType : 'json',
			data : { 
				idDocument : idDocument,
				DocumentType : DocumentType,
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							if(dismissFields == false){
								//clean data
								valorLinhas = 0;
								$("#endereco_cliente_rapport").val('');
								$("#codigopostal_cliente_rapport").val('');
								$("#regiao_cliente_rapport").val('');
								$("#cidade_cliente_rapport").val('');
								$("#pais_cliente_rapport").val('');
								$("#telefone_cliente_rapport").val('');
								$("#email_cliente_rapport").val('');
								$("#data_rapport").datepicker().datepicker("setDate", new Date());
								$( ".datepicker" ).datepicker("refresh");
								
								//fill Data
								$("#endereco_cliente_rapport").val(dados.EnderecoCliente);
								$("#codigopostal_cliente_rapport").val(dados.CodigoPostalCliente);
								$("#regiao_cliente_rapport").val(dados.RegiaoCliente);
								$("#cidade_cliente_rapport").val(dados.CidadeCliente);
								$("#pais_cliente_rapport").val(dados.PaisCliente);
								$("#telefone_cliente_rapport").val(dados.TelefoneCliente);
								$("#email_cliente_rapport").val(dados.EmailCliente);
								$("#data_rapport").datepicker().datepicker("setDate", dados.Data);
								$( ".datepicker" ).datepicker("refresh");

								$("#endereco_cliente_descarga_rapport").val(dados.EnderecoClienteDescarga);
								$("#endereco_cliente_descarga_2_rapport").val(dados.EnderecoCliente2Descarga);
								$("#codigopostal_cliente_descarga_rapport").val(dados.CodigoPostalClienteDescarga);
								$("#regiao_cliente_descarga_rapport").val(dados.RegiaoClienteDescarga);
								$("#cidade_cliente_descarga_rapport").val(dados.CidadeClienteDescarga);
								$("#pais_cliente_descarga_rapport").val(dados.PaisClienteDescarga);
								$("#pais_cliente_descarga_rapport").trigger('change');

								$("#impressora_rapport").val(dados.Impressora);
								$("#num_impressora_rapport").val(dados.NumImpressora);
								$("#compteur_nb_rapport").val(dados.Etat_noir);
								$("#compteur_coul_rapport").val(dados.Etat_couleur);

								//Emplacement New Fields -----------------------
								$("#nome_emp_cliente").val(dados.NomeEmplacement);
								$("#apelido_emp_cliente").val(dados.ApelidoEmplacement);
								if(dados.TituloEmplacement) $("#titulo_emp_cliente").val(dados.TituloEmplacement);
								else $("#titulo_emp_cliente").val('');
								$("#titulo_emp_cliente").trigger('change');
								$("#telefone_emp_cliente_rapport").val(dados.ContactoEmplacement);
								$("#email_emp_cliente_rapport").val(dados.EmailEmplacement);
								if(dados.PaisClienteDescarga) $("#pais_cliente_descarga_rapport").val(dados.PaisClienteDescarga);
								else $("#pais_cliente_descarga_rapport").val('');
								$("#pais_cliente_descarga_rapport").trigger('change');
								// console.log(dados);
								//----------------------------------------------
							
								//fill select boxes
								var blockResume = true;
								var ClienteID = $("#documentoOrigem_rapport").attr('data-client');
								var NomeCliente = dados.CodigoCliente+' - '+dados.NomeCliente;
								if(dados.Suspendu){
									var NomeCliente = dados.Suspendu+' - '+dados.CodigoCliente+' - '+dados.NomeCliente;
								}
								fill_clientes(ClienteID, blockResume, NomeCliente, 1, 0, 0);

								//process lines
								processLinesLoaded(dados, blockResume );
							}
						}
					}
				}
			},
			complete : function() {
				//calculations
				update_resumeTable();
			}
		});
	}

	//process the loaded document lines
	function processLinesLoaded(dados, blockResume){
		$(".fullscreen").show();
		
		//clean all lines
		valorLinhas = 0;
		$('.articles_lines').remove();

		//process lines
		var idx = 0;
		valorSomatorio = 0;
		$.each(dados.linhas, function() {
			addArticleLine(this.artigo, this.imposto, this.motivo,0, 0, blockResume, this);
			var lineID = lastIdLine;

			//enable fields
			$("#descricao_linha_"+lineID).prop('disabled', true);
			$("#qtd_linha_"+lineID).prop('disabled', true);
			$("#preco_linha_"+lineID).prop('disabled', true);
			$("#desc_linha_"+lineID).prop('disabled', true);
			$("#retencao_linha_"+lineID).prop('disabled', true);
			
			// block retencao if nif == 999999990
			// if( $("#nif_cliente_nota").val() == '999999990') $("#retencao_linha_"+lineID).prop('disabled', true);
			// else $("#retencao_linha_"+lineID).prop('disabled', true);

			//fill values
			// $("select#codigo_linha_"+lineID).val(this.artigo);
			$("select#codigo_linha_"+lineID).attr('data-lnOrig', this.ID_Linha);
			// $("select#codigo_linha_"+lineID).prop('disabled', true);
			// $("select#codigo_linha_"+lineID).trigger('change');

			// $("select#iva_linha_"+lineID).val(this.imposto);
			// $("select#iva_linha_"+lineID).prop('disabled', true);
			// $("select#iva_linha_"+lineID).trigger('change');

			/*if(this.motivo > 0){
				$("select#motivo_linha_"+lineID).val(this.motivo);
				$("select#motivo_linha_"+lineID).trigger('change');
			}
			$("select#motivo_linha_"+lineID).prop('disabled', false);
			$("select#motivo_linha_"+lineID).trigger('change');*/

			$("#descricao_linha_"+lineID).val(this.descricao);
			$("#qtd_linha_"+lineID).autoNumeric('set', this.qtd);
			$("#unidade_linha_"+lineID).html(this.unidade);
			$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
			$("#desc_linha_"+lineID).autoNumeric('set', this.desconto);

			idx++;

			//somatorio
			var somaTotalTmp = Number( this.qtd ) * Number( this.preco );
			valorSomatorio += somaTotalTmp;

			// calculaLinha(lineID,blockResume);
        	$("#total_linha_"+lineID).autoNumeric('set', this.totalLinha);
		});

		// console.log(dados.linhas.length);
		linesListenersInit();

		//calculations
		// update_resumeTable();
		updateDocumentTotals();

        $(".fullscreen").fadeOut();
	}

	/**
	 * Get Origins docs
	 * @param  lastID doc id
	 * @return select list
	 */
	function fill_origens(lastID = 0, lastType = 0, lastDataLoad = 0) {
		var dataToLoad = false;
		var dismiss = false;
		var selectedElement = true;

		if(lastID != 0 && lastType != 0 && selectedElement != false) {
			dismiss = true;
		}
		else { 
			dismiss = false;
			$.scojs_message("[WAR0001] <?php echo $data[840]['trad']; ?>", $.scojs_message.TYPE_WARNING);
			$("#documentoOrigem_rapport").val('');
		}

		//fill origin details
		var docID = $("#documentoOrigem_rapport").attr('data-idDoc');
		var docType = $("#documentoOrigem_rapport").attr('data-type');
		if(dismiss == true && lastDataLoad != 0){
			dataToLoad = lastDataLoad;
		}else{
			dismiss = false;
			dataToLoad = false;
		}
		fill_origens_detalhes(docID, docType, dismiss, dataToLoad);
	}

	/**
	 * Fill clientes
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_clientes(lastID = 0, blockResume = false, dadosObj = null, usarContratoVar = 0, enableField = 0, skipFields = 0) {
		var options = $("select#cliente_rapport");
		// $(options).empty();

		$(".fullscreen").show();

		//prepare select
		$(options).attr("disabled", true);

		if(lastID != 0) $(options).append($("<option />").val(lastID).html(dadosObj).attr('selected', 'selected'));
		
		//init select2
		$('#cliente_rapport').select2({
			escapeMarkup: function(m) { return m; },
			language: "fr",
			placeholder: "-- <?php echo $data[241]['trad']; ?> --",
			allowClear: true,
			// minimumInputLength: 2,
			templateResult: clientesTemplate,
			templateSelection: clientesTemplateLabel,
			ajax: {
				global: false,
				type : "POST",
				url : '/frifacturation/server/combobox/vendas_select2_ajax.php',
				dataType : "json",
				delay : 250,
				data: function (params) {
					return {
						opcao: 2, //search term
						search_term: params.term, //search term
						search_idcliente: lastID, //search term
						page: params.page || 1 // page number
					};
				},
				processResults: function (data, params) {
					params.page = params.page || 1;
					return {
						results:$.map(data.results,function(val,i){
							var textLabel = val.Codigo+' - '+val.Nome;
							if(val.Suspendu){
								var textLabel = val.Suspendu+' - '+val.Codigo+' - '+val.Nome;
								//$('#select2-cliente_devis-container').css('color','red');
							}
							return{id:val.ID_Cliente,text:textLabel,data:val};
						}), //data.results,
						pagination: {
							more: (params.page * 10) < data.count_filtered
						}
					};
				}
			}
		});
		
		// if(usarContratoVar == 1) $(options).attr("disabled", true);

		// if(enableField == 1) $(options).attr("disabled", false);

		if(lastID != 0) $(options).val(lastID);
		if(lastID != 0) getClientDetails(lastID, 1, blockResume, usarContratoVar,skipFields);

        $(".fullscreen").fadeOut();
	}

	/**
	 * Fill clientes
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function getClientDetails(idCliente, dismissFields = 0, blockResume = false, usarContratoVar = 0, skipFields = 0) {
		$("#nif_cliente_rapport").val('');
		$("#endereco_cliente_rapport").val('');
		$("#codigopostal_cliente_rapport").val('');
		$("#regiao_cliente_rapport").val('');
		$("#cidade_cliente_rapport").val('');
		$("#pais_cliente_rapport").val('');
		$("#telefone_cliente_rapport").val('');
		$("#email_cliente_rapport").val('');
		
		if(idCliente > 0){
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/combobox/rapports_travail.php',
				dataType : 'json',
				data : { 
					opcao: 2,
					idCliente: idCliente
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							if (resposta.type == 'FTGA003'){
								$.scojs_message("[WRN0001] <?php echo $data[1445]['trad']; ?>", 3);
							}else {
								$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
						} else {
							if (resposta.data == null) {
							} else {
								var dados = resposta.data;
								$("#nif_cliente_rapport").val(dados.Nif);
								$("#endereco_cliente_rapport").val(dados.Endereco);
								$("#codigopostal_cliente_rapport").val(dados.CodigoPostal);
								$("#regiao_cliente_rapport").val(dados.Regiao);
								$("#cidade_cliente_rapport").val(dados.Cidade);
								$("#pais_cliente_rapport").val(dados.Pais);
								$("#telefone_cliente_rapport").val(dados.Telefone);
								$("#email_cliente_rapport").val(dados.Email);
								if(dados.Suspendu){
									$('#select2-cliente_rapport-container').css('color','red');
								} else {
									$('#select2-cliente_rapport-container').css('color','#555');
								}

								if(usarContratoVar == 0){
									$("#endereco_cliente_descarga_rapport").val(dados.Endereco);
									$("#endereco_cliente_descarga_2_rapport").val('');
									$("#codigopostal_cliente_descarga_rapport").val(dados.CodigoPostal);
									$("#regiao_cliente_descarga_rapport").val(dados.Regiao);
									$("#cidade_cliente_descarga_rapport").val(dados.Cidade);
									$("#pais_cliente_descarga_rapport").val(dados.Pais);
									$("#pais_cliente_descarga_rapport").trigger('change');

									//get the base articles
									getBaseArticles();
								}

								if(skipFields == 0){
									//Emplacement New Fields -----------------------
									$("#nome_emp_cliente").val(dados.Nome);
									$("#apelido_emp_cliente").val(dados.Apelido);
									if(dados.Titulo) $("#titulo_emp_cliente").val(dados.Titulo);
									else $("#titulo_emp_cliente").val('');
									$("#titulo_emp_cliente").trigger('change');
									$("#telefone_emp_cliente_rapport").val(dados.Telefone);
									$("#email_emp_cliente_rapport").val(dados.Email);
									if(dados.PaisISO) $("#pais_cliente_descarga_rapport").val(dados.PaisISO);
									else $("#pais_cliente_descarga_rapport").val('');
									$("#pais_cliente_descarga_rapport").trigger('change');
									// console.log(dados);
									//----------------------------------------------
								}
							}
						}
					}
				},
				complete : function() {	}
			});
		}
	}

	/**
	 * Fill clientes
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function getBaseArticles() {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/rapports-travail/artigos_base.php',
			dataType : 'json',
			data : { 
				opcao: 1,
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
						} else {
							var dados = resposta.data;

							//process lines
							valorLinhas = 0;
							$('.articles_lines').remove();
							var idx = 0;
							$.each(dados.linhas, function() {
								addArticleLine(this.artigo, this.imposto, this.motivo,0, 0, false, this);
								var lineID = lastIdLine;

								//enable fields
								$("#descricao_linha_"+lineID).prop('disabled', true);
								$("#qtd_linha_"+lineID).prop('disabled', true);
								$("#preco_linha_"+lineID).prop('disabled', true);
								$("#desc_linha_"+lineID).prop('disabled', true);
								$("#retencao_linha_"+lineID).prop('disabled', true);
								
								// block retencao if nif == 999999990
								// if( $("#nif_cliente_nota").val() == '999999990') $("#retencao_linha_"+lineID).prop('disabled', true);
								// else $("#retencao_linha_"+lineID).prop('disabled', true);

								//fill values
								// $("select#codigo_linha_"+lineID).val(this.artigo);
								$("select#codigo_linha_"+lineID).attr('data-lnOrig', this.ID_Linha);
								// $("select#codigo_linha_"+lineID).prop('disabled', false);
								// $("select#codigo_linha_"+lineID).trigger('change');

								$("select#iva_linha_"+lineID).val(this.imposto);
								// $("select#iva_linha_"+lineID).prop('disabled', false);
								// $("select#iva_linha_"+lineID).trigger('change');

								/*if(this.motivo > 0){
									$("select#motivo_linha_"+lineID).val(this.motivo);
									$("select#motivo_linha_"+lineID).trigger('change');
								}
								$("select#motivo_linha_"+lineID).prop('disabled', false);
								$("select#motivo_linha_"+lineID).trigger('change');*/

								$("#descricao_linha_"+lineID).val(this.descricao);
								$("#qtd_linha_"+lineID).autoNumeric('set', 0);
								$("#unidade_linha_"+lineID).html(this.unidade);
								$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
								$("#desc_linha_"+lineID).autoNumeric('set', 0);
								// $("#retencao_linha_"+lineID).autoNumeric('set', this.retencao);

								idx++;

								//somatorio
								var somaTotalTmp = Number( this.qtd ) * Number( this.preco );
								valorSomatorio += somaTotalTmp;

								// calculaLinha(lineID,blockResume);
					        	$("#total_linha_"+lineID).autoNumeric('set', this.totalLinha);
							});

							// console.log(dados.linhas.length);
							linesListenersInit();

							//calculations
							// update_resumeTable();
							updateDocumentTotals();
						}
					}
				}
			},
			complete : function() {	}
		});
	}

	/**
	 * Change article
	 * @param  lineID
	 */
	function changeArticle(lineID){
		//get article data
		var articleID = $("select#codigo_linha_"+lineID).val();
		if( articleID < 1){
			$("#descricao_linha_"+lineID).val('');
			$("#qtd_linha_"+lineID).autoNumeric('set', 0);
			$("#preco_linha_"+lineID).autoNumeric('set', 0);
			$("#desc_linha_"+lineID).autoNumeric('set', 0);
			$("#total_linha_"+lineID).autoNumeric('set', 0);
			//disable Fields
			$("#descricao_linha_"+lineID).prop('disabled', true);
			$("#qtd_linha_"+lineID).prop('disabled', true);
			$("#preco_linha_"+lineID).prop('disabled', true);
			$("#desc_linha_"+lineID).prop('disabled', true);
			$("#unidade_linha_"+lineID).html('UN');
			
			//taxes calculation
			calculateTaxesLines();
			//update document totals
			updateDocumentTotals();
			
		}else{
			//disable Fields
			$("#descricao_linha_"+lineID).prop('disabled', false);
			$("#qtd_linha_"+lineID).prop('disabled', false);
			$("#preco_linha_"+lineID).prop('disabled', false);
			$("#desc_linha_"+lineID).prop('disabled', false);

			//get data
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/combobox/rapports_travail.php',
				dataType : 'json',
				data : { 
					opcao: 9,
					articleID : articleID
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FAT9999] <?php echo $data[767]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FAT9999] <?php echo $data[767]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null){} 
							else {
								var dados = resposta.data;
								// console.log(dados);
								//processing fields
								$("#descricao_linha_"+lineID).val(dados.Nome);
								$("#qtd_linha_"+lineID).autoNumeric('set', 1);
								$("#preco_linha_"+lineID).autoNumeric('set', dados.Preco);
								$("#iva_linha_"+lineID).val(dados.ID_Imposto);
								$("#iva_linha_"+lineID).trigger('change');
								$("#unidade_linha_"+lineID).html(dados.Sigla);

								//calculations
								calculaLinha(lineID);
							}
						}
					}
				},
				complete : function() {}
			});
		}		
	}

	/**
	 * Calculates values for the article line
	 * @param  lineID
	 * @return values calculated
	 */
	function calculaLinha(lineID, blockResume = false){
		$(".fullscreen").show();

		//process the retenções field
		var tipo = $('option:selected', $("select#codigo_linha_"+lineID) ).attr('data-tipo');
		// console.log('tipo: '+tipo);

		var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
		var preco = Number( $("#preco_linha_"+lineID).autoNumeric('get') );
		var iva = Number( $('option:selected', $("#iva_linha_"+lineID)).attr('data-valor') );
		if(isNaN(iva)) iva = 0;
		iva = Number ( (iva * 0.01)+1 );
		var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
		desconto = Number ( (desconto * 0.01) );
		var retencao = Number( 0 );
		var total = 0;

		//process line totals
		total = qtd * preco;
		total = total * iva;
		total = total - (total * desconto);
		
		//calc retencao
		total2 = qtd * preco;
		total2 = total2 - (total2 * desconto);

		$("#total_linha_"+lineID).autoNumeric('set', total);
		var totalProcessed = $("#total_linha_"+lineID).autoNumeric('get');

		//calculate taxes lines
		calculateTaxesLines();

		//update document totals
		if(!blockResume) updateDocumentTotals();

	    $(".fullscreen").fadeOut();
	}

	/**
	 * Function to add new line
	 * @return 
	 */
	function addArticleLine(articleID = 0, impostoID = 0, motivoID = 0, changeLineVals = 0, planoID = 0, blockResume = false, dadosObj = null){
		lastIdLine++;

		var htmlLine = '<tr class="articles_lines" id="line_'+lastIdLine+'">'+
							'<td style="width:200px;">'+
								'<select data-id-line="'+lastIdLine+'" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="codigo_linha_'+lastIdLine+'" name="codigo_linha_'+lastIdLine+'" >'+
									'<option value="" data-hidden="true"><?php echo $data[77]['trad']; ?></option>'+
								'</select>'+
							'</td>'+
							'<td>'+
								'<textarea data-id-line="'+lastIdLine+'" class="lineInputDescricao form-control" id="descricao_linha_'+lastIdLine+'" name="descricao_linha_'+lastIdLine+'" placeholder="..." rows="1"></textarea>'+
							'</td>'+
							'<td style="width:105px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_'+lastIdLine+'" name="qtd_linha_'+lastIdLine+'" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />'+
								' <span id="unidade_linha_'+lastIdLine+'" style="font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>'+
							'</td>'+
							'<td style="width:100px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_'+lastIdLine+'" name="preco_linha_'+lastIdLine+'" placeholder="0.00 CHF" />'+
							'</td>'+
							'<td style="width:120px;">'+
								'<select data-id-line="'+lastIdLine+'" class="lineInputChange lineInputImposto form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="iva_linha_'+lastIdLine+'" name="iva_linha_'+lastIdLine+'" >'+
									'<option value="" data-hidden="true"><?php echo $data[1516]['trad']; ?></option>'+
								'</select>'+
							'</td>'+
							'<td style="width:80px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_'+lastIdLine+'" name="desc_linha_'+lastIdLine+'" placeholder="0 %" />'+
							'</td>'+
							'<td style="width:80px;" class=" hide">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_'+lastIdLine+'" name="retencao_linha_'+lastIdLine+'" placeholder="0.00%" />'+
							'</td>'+
							'<td class="text-right" style="width:100px;">'+
								'<span id="total_linha_'+lastIdLine+'" style="display: block" class="money">0</span>'+
							'</td>'+
							'<td style="width:30px; text-align: center;">'+
								'-'+
							'</td>'+
						'</tr>';
		$('#tbody_artigos').append(htmlLine);

		//init line
		fill_articles(lastIdLine, articleID, changeLineVals, dadosObj);
		fill_ivas(lastIdLine, impostoID, motivoID);

		//disable the fields of the lines
		$("#descricao_linha_"+lastIdLine).prop('disabled', true);
		$("#qtd_linha_"+lastIdLine).prop('disabled', true);
		$("#preco_linha_"+lastIdLine).prop('disabled', true);
		$("#desc_linha_"+lastIdLine).prop('disabled', true);

		linesListenersInit(lastIdLine);

		//to force line to init when add new article using modal
		if(changeLineVals != 0){
			changeArticle(lastIdLine);
		}

		valorLinhas++;
		update_resumeTable();
	}

	/**
	 * Fill the articles select
	 * @param  select id
	 * @return articles
	 */
	function fill_articles(lineID, articleID = 0, changeLineVals = 0, dadosObj = null){
		$(".fullscreen").show();
		var options = $("select#codigo_linha_"+lineID);
		// $(options).empty();
		var id_predefinido = 0;
				
		// console.log('entrou no else');

		if(dadosObj != null) {
			$(options).append($("<option />").val(articleID).text(dadosObj.codigo).attr('data-barcode', dadosObj.codigobarras).attr('data-tipo', dadosObj.Tipo).attr('selected', 'selected'));
		}

		$(options).select2({
			escapeMarkup: function(m) { return m; },
			language: "fr",
			placeholder: "-- <?php echo $data[77]['trad']; ?> --",
			allowClear: true,
			// minimumInputLength: 2,
			templateResult: articlesTemplate,
			templateSelection: articlesTemplateLabel,
			// closeOnSelect: false,
			// selectOnClose: false,
			ajax: {
				global: false,
				type : "POST",
				url : '/frifacturation/server/combobox/vendas_select2_ajax.php',
				dataType : "json",
				delay : 250,
				data: function (params) {
					return {
						opcao: 1, //search term
						search_term: params.term, //search term
						page: params.page || 1 // page number
					};
				},
				processResults: function (data, params) {
					//init vars
					var resultsReturn = data.results;
					var foundSearchResults = false;
					var selected = 0;

					//return results
					params.page = params.page || 1;
					// console.log('returned ', resultsReturn);
					return {
						results:$.map(resultsReturn,function(val,i){
							var textLabel = val.Codigo;
							return{id:i,text:textLabel,data:val};
						}), //data.results,
						pagination: {
							more: (params.page * 10) < data.count_filtered
						}
					};
				}
			}
		}).on('select2:select', function (e) {
			// console.log('change event: ',e.params.data, $(this));
			var data = e.params.data;        
			// console.log( $(this).children('[value="'+data['id']+'"]') );
			$(this).children('[value="'+data['id']+'"]').attr('data-tipo', data["data"]["Tipo"]).attr('data-barcode', data["data"]["CodigoBarras"]);
		}).trigger('change');

		// if(changeLineVals != 0){
		// 	changeArticle(lineID);
		// }
		
		$(options).attr("disabled", true);
		
		//auto init select
		// $('button[data-select2-id="codigo_linha_'+lineID+'"]').trigger('click');
		$('.lineInputArtigo').select2('close');
		// if(changeLineVals == 0) $('#codigo_linha_'+lineID).select2('open');

        $(".fullscreen").fadeOut();
	}

	/**
	 * Fill the ivas select
	 * @param  select id
	 * @return ivas
	 */
	function fill_ivas(lineID, impostoID = 0, motivoID = 0){
		var options = $("select#iva_linha_"+lineID);
		$(options).empty();
		var id_predefinido = 0;
		var defaultID = 0;
		var isento = 0;

		if(sessionStorage.getItem("taxes") === null){
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/combobox/rapports_travail.php',
				dataType : 'json',
				data : { 
					opcao: 7
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null) {
								$(options).attr("disabled", true);

							} else {
								$(options).attr("disabled", true);

								$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

								// $(options).append($("<option />").val(0).text('-- Imposto --'));
								$.each(resposta.data, function() {
									if( this.Predefinido > 0 ) defaultID = this.ID_Imposto;
									if( this.Predefinido > 0 && this.Subclasse == 'ISE' ) isento = 1;
									$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
								});

								//storing in session
								sessionStorage.setItem('taxes', $(options).html() );
							}
						}
					}
				},
				complete : function() {
					if(impostoID != 0) $(options).val(impostoID);
					else if(defaultID > 0) $(options).val(defaultID);
					else $(options).val($("select#iva_linha_"+lineID+" option:eq(0)").val());
					
					//init select2
					$(options).select2({
						escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
					});
				}
			});
		}else{
			$(".fullscreen").show();

			// console.log('entrou no else');
			var dadosTaxes = sessionStorage.getItem('taxes');

			//prepare select
			$(options).attr("disabled", true);

			$(options).append(dadosTaxes);

			//prepare the select
			if(impostoID != 0) $(options).val(impostoID);
			else if(defaultID > 0) $(options).val(defaultID);
			else $(options).val($("select#iva_linha_"+lineID+" option:eq(0)").val());
					
			//init select2
			$(options).select2({
				escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "-- <?php echo $data[1516]['trad']; ?> --",
			});

	        $(".fullscreen").fadeOut();
		}
	}

	/**
	 * Delete Line
	 * @param  lineID
	 */
	function eliminarLinha(lineID){
		if(valorLinhas < 2){
			alert("<?php echo $data[767]['trad']; ?>");
		}else{
			valorLinhas--;
			$('#line_'+lineID).remove();

			//calculate taxes lines
			calculateTaxesLines();

			//update document totals
			updateDocumentTotals();
		}
	}

	/**
	 * Calculate the taxes
	 * @return taxes totals
	 */
	function calculateTaxesLines(){
		//expired function
	}

	/**
	 * Update the document totals table
	 * @return totals
	 */
	function updateDocumentTotals(blockResume = false){
		
		//stop previous call
		if (typeof xhrTotals !== 'undefined' && xhrTotals !== null) xhrTotals.abort();

		//global value
		var desconto2 = 0;

		//init the arrays
		var linesTaxes = [];
		var linesTotals = [];

		//get data to send to server
		$("select.lineInputArtigo").each(function() {
			var lineID = $(this).attr('data-id-line');
			var ivaID = $("#iva_linha_"+lineID).val();
			var descricaoIVA = $('option:selected', $("#iva_linha_"+lineID)).html();
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).autoNumeric('get') );
			var iva = Number( $('option:selected', $("#iva_linha_"+lineID)).attr('data-valor') );
			if(isNaN(iva)) iva = 0;
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			
			//add to array taxes
			linesTaxes.push({
				"ivaID" : ivaID,
				"lineID" : lineID,
				"descricaoIVA" : descricaoIVA,
				"qtd" : qtd,
				"preco" : preco,
				"iva" : iva,
				"desconto" : desconto,
				"desconto2" : desconto2,
			});

			//==================================
			var retencao = Number( $("#retencao_linha_"+lineID).autoNumeric('get') );
			
			//add to array totals
			linesTotals.push({
				"lineID" : lineID,
				"qtd" : qtd,
				"preco" : preco,
				"desconto" : desconto,
				"retencao" : retencao,
				"desconto2" : desconto2,
			});
		});
		// console.log(linesTaxes, linesTotals, 'update totals!');

		//calculate the totals and retrieve them
		xhrTotals = $.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/calculate_totals.php',
			dataType : 'json',
			data : { 
				linesTaxes : linesTaxes,
				linesTotals : linesTotals
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$('.taxes_lines').remove();

						// console.log(resposta);
						var htmlLines = resposta.dataIva;
						if(htmlLines != '') $('.taxes-table').append(htmlLines);

						// console.log(resposta);
						var totalsValues = resposta.dataTotals;
						if(totalsValues != '' && blockResume == false) {
							valorSomatorio = totalsValues['valorSomatorio'];
							valorDescontos = totalsValues['valorDescontos'];
							valorRetencao = totalsValues['valorRetencao'];
							valorTotal = totalsValues['valorTotal'];
							valorSiva = totalsValues['valorSiva'];
							valorIva = totalsValues['valorIva'];
						}

						//init money class
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							vMin:'0',
							mDec : <?php echo $numDecimais; ?>
						});
					}
				}
			},
			complete : function() {
				//update resume table
				update_resumeTable();
			}
		});

		return false;
	}

	/**
	 * Update the resume table
	 * @return none
	 */
	function update_resumeTable(){
		valorTotal = roundPriceUp(valorTotal);
		$('#valor-linhas').html( valorLinhas );
		$('#valor-somatorio').autoNumeric( 'set', valorSomatorio );
		$('#valor-descontos').autoNumeric( 'set', valorDescontos );
		// $('#valor-retencao').autoNumeric( 'set', valorRetencao );
		$('#valor-siva').autoNumeric( 'set', valorSiva );
		$('#valor-iva').autoNumeric( 'set', valorIva );
		$('#valor-total').autoNumeric( 'set', valorTotal );
		return true;
	}

	/**
	 * Get Custom Rounded UP Value for Invoices (0.05 UP)
	 * @return rounded value
	 */
	function roundPriceUp(valueToRise){
		var finalValue = 0;
		//confirm that the value is rounded
		var roundedValue = Number(valueToRise).toFixed(2);
		//grab last decimal number
		var lastNumber = roundedValue.substr(roundedValue.length - 1);

		/* === process the last decimal number === */
		if(lastNumber > 0 && lastNumber <= 2) {
			var replacement = 0;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 2 && lastNumber <= 7) {
			var replacement = 5;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 7 && lastNumber <=9 ) {
			finalValue = Number(valueToRise).toFixed(1);
		}
		else{
			finalValue = roundedValue;
		}
		/* =========== /end processing =========== */
		// console.log(roundedValue,lastNumber, finalValue)

		// console.log( roundedValue,lastNumber, finalValue );
		
		//return final formatted value
		return finalValue;
	}

	/**
	 * Init the lines listners
	 * @return none
	 */
	function linesListenersInit(lineID_new = 0){
		$(".fullscreen").show();
		
		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			vMin:'0',
			mDec : <?php echo $numDecimais; ?>
		});
		$(".moneyBig").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			mDec : <?php echo $numDecimaisPrice; ?>,
			vMin:'0'
		});
		//init elements
		$(".qtd").autoNumeric("init", {
			aSep : '',
			aDec : '.',
			aSign : '',
			pSign : 's',
			mDec : 3,
			vMin:'0'
		});
		//init elements
		$(".percentage").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : '%',
			vMax : '100',
			pSign : 's',
			mDec : 2,
			vMin:'0'
		});

		//change article
		$("select#codigo_linha_"+lineID_new).on('change', function(event){
			var lineID = $(this).attr('data-id-line');
			changeArticle(lineID);
		});
		
		//change tax
		$("select#iva_linha_"+lineID_new).on('change', function(event){
			var lineID = $(this).attr('data-id-line');
			var subclasse = $('option:selected', this).attr('data-subclasse');
			calculaLinha(lineID);
		});

		//calculate line --------------------------------------------------
		$("tr#line_"+lineID_new+" input.lineInputChange").on('keyup', function(event){
			var lineID = $(this).attr('data-id-line');
			calculaLinha(lineID);
		});
		// $("tr#line_"+lineID_new+" select.lineInputChange").on('change', function(event){
		// console.log('listner4');
		// 	// console.log('change ', lineID_new);
		// 	var lineID = $(this).attr('data-id-line');
		// 	calculaLinha(lineID);
		// });
	    
	    $(".fullscreen").fadeOut();
	}

	/**
	 * Fill Tecnicos
	 * @return list
	 */
	function fill_tecnicos(lastID = 0, lastID2 = 0, dadosObj = null, dadosObj2 = null) {
		var options = $("select#id_tecnico_rapport");
		var options2 = $("select#id_tecnico2_rapport");

		$(".fullscreen").show();

		//prepare select
		$(options).attr("disabled", true);
		$(options2).attr("disabled", true);

		if(lastID != 0) $(options).append($("<option />").val(lastID).html(dadosObj).attr('selected', 'selected'));
		if(lastID2 != 0) $(options2).append($("<option />").val(lastID2).html(dadosObj2).attr('selected', 'selected'));
		
		//init select2
		$('#id_tecnico_rapport').select2({
			escapeMarkup: function(m) { return m; },
			language: "fr",
			placeholder: "-- <?php echo $data[1519]['trad']; ?> --",
			// allowClear: true,
			// minimumInputLength: 2,
			// templateResult: clientesTemplate,
			// templateSelection: clientesTemplateLabel,
			ajax: {
				global: false,
				type : "POST",
				url : '/frifacturation/server/combobox/vendas_select2_ajax.php',
				dataType : "json",
				delay : 250,
				data: function (params) {
					return {
						opcao: 6, //search term
						search_term: params.term, //search term
						search_idtecnico: lastID, //search term
						page: params.page || 1 // page number
					};
				},
				processResults: function (data, params) {
					params.page = params.page || 1;
					return {
						results:$.map(data.results,function(val,i){
							var textLabel = val.Nome;
							return{id:val.ID_Tecnico,text:textLabel,data:val};
						}), //data.results,
						pagination: {
							more: (params.page * 10) < data.count_filtered
						}
					};
				}
			}
		});
		$('#id_tecnico2_rapport').select2({
			escapeMarkup: function(m) { return m; },
			language: "fr",
			placeholder: "-- <?php echo $data[1519]['trad']; ?> --",
			allowClear: true,
			// minimumInputLength: 2,
			// templateResult: clientesTemplate,
			// templateSelection: clientesTemplateLabel,
			ajax: {
				global: false,
				type : "POST",
				url : '/frifacturation/server/combobox/vendas_select2_ajax.php',
				dataType : "json",
				delay : 250,
				data: function (params) {
					return {
						opcao: 6, //search term
						search_term: params.term, //search term
						search_idtecnico: lastID2, //search term
						page: params.page || 1 // page number
					};
				},
				processResults: function (data, params) {
					params.page = params.page || 1;
					return {
						results:$.map(data.results,function(val,i){
							var textLabel = val.Nome;
							return{id:val.ID_Tecnico,text:textLabel,data:val};
						}), //data.results,
						pagination: {
							more: (params.page * 10) < data.count_filtered
						}
					};
				}
			}
		});

		if(lastID != 0) $(options).val(lastID);
		$(options).trigger('change');

		if(lastID2 != 0) $(options2).val(lastID2);
		$(options2).trigger('change');

        $(".fullscreen").fadeOut();
	}
</script>