<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$nome_categoria = $_POST['nome_categoria'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $nome_categoria == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//INSERT DB -------------------------------------------------------------
$query = "INSERT INTO faturacao_artigos_categorias (Nome) VALUES (?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("s", $nome_categoria );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------


//response
$response["errors"] = false;
die(json_encode($response));
?>