<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

//PERMS VALIDATION-------------------------------------------------------
if ( hasPermission(['P0017']) != 1 ) {
	$response["errors"] = true;
	$response["type"] = "permission";
	$response["line"] = "PERM001";
	$response["message"] = "Access is not allowed!";
	die(json_encode($response));
}

if ($_SESSION['mod_Vendas'] == 0) {
	$response["errors"] = true;
	$response["type"] = "permission";
	$response["line"] = "PERM002";
	$response["message"] = "Access is not allowed!";
	$response["session"] = $_SESSION;
	die(json_encode($response));
}
//------------------------------------------------------------------------

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
$code = '';
if($snc_table == 'faturacao_snc_base'){$code = '2111';}
elseif($snc_table == 'faturacao_snc_micro'){$code = '211';}
else{
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS000";
	$response["message"] = 'SNC - tabela invalida';
	die(json_encode($response));
}

//VALIDATE NIF FUNCTION -------------------------------------------------
function validaNIF($nif, $ignoreFirst=true) {
	return true;
	//Limpamos eventuais espaços a mais
	$nif=trim($nif);
	//Verificamos se é numérico e tem comprimento 9
	if (!is_numeric($nif) || strlen($nif)!=9) {
		return false;
	} else {
		$nifSplit=str_split($nif);
		//O primeiro digíto tem de ser 1, 2, 5, 6, 8 ou 9
		//Ou não, se optarmos por ignorar esta "regra"
		if ( in_array($nifSplit[0], array(1, 2, 3, 5, 6, 8, 9))	||	$ignoreFirst ) {
			//Calculamos o dígito de controlo
			$checkDigit=0;
			for($i=0; $i<8; $i++) {
				$checkDigit+=$nifSplit[$i]*(10-$i-1);
			}
			$checkDigit=11-($checkDigit % 11);
			//Se der 10 então o dígito de controlo tem de ser 0
			if($checkDigit>=10) $checkDigit=0;
			//Comparamos com o último dígito
			if ($checkDigit==$nifSplit[8]) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}
}

//GET POST VARS ---------------------------------------------------------
$idCliente = $_POST['idCliente'];
$nome_cliente = $_POST['nome_cliente'];
$apelido_cliente = $_POST['apelido_cliente'];
$nif_cliente = $_POST['nif_cliente'];
$titulo_cliente = $_POST['titulo_cliente'];
$pais_cliente = $_POST['pais_cliente'];
$endereco_cliente = $_POST['endereco_cliente'];
$codigopostal_cliente = $_POST['codigopostal_cliente'];
$regiao_cliente = $_POST['regiao_cliente'];
$cidade_cliente = $_POST['cidade_cliente'];
$vendedor_cliente = $_POST['vendedor_cliente'];
$responsavel_cliente = $_POST['responsavel_cliente'];
$grupo_cliente = 0;
$email_cliente = $_POST['email_cliente'];
$website_cliente = $_POST['website_cliente'];
$tlm_cliente = $_POST['tlm_cliente'];
$tlf_cliente = $_POST['tlf_cliente'];
$fax_cliente = $_POST['fax_cliente'];
$preferencial_nome_cliente = $_POST['preferencial_nome_cliente'];
$preferencial_email_cliente = $_POST['preferencial_email_cliente'];
$preferencial_tlm_cliente = $_POST['preferencial_tlm_cliente'];
$preferencial_tlf_cliente = $_POST['preferencial_tlf_cliente'];
$pagamento_cliente = $_POST['pagamento_cliente'];
$vencimento_Cliente = $_POST['vencimento_Cliente'];
$desconto_cliente = $_POST['desconto_cliente'];
$flagContaGeral = $_POST['flagContaGeral'];
$plano_cliente = $_POST['plano_cliente'];
$blocked_cliente = $_POST['blocked_cliente'];
$vendedor_null = 0;

$nome_responsavel_1 = $_POST['nome_responsavel_1'];
$prenom_responsavel_1 = $_POST['prenom_responsavel_1'];
$role_responsavel_1 = $_POST['role_responsavel_1'];
$email_responsavel_1 = $_POST['email_responsavel_1'];
$contacto_responsavel_1 = $_POST['contacto_responsavel_1'];

$nome_responsavel_2 = $_POST['nome_responsavel_2'];
$prenom_responsavel_2 = $_POST['prenom_responsavel_2'];
$role_responsavel_2 = $_POST['role_responsavel_2'];
$email_responsavel_2 = $_POST['email_responsavel_2'];
$contacto_responsavel_2 = $_POST['contacto_responsavel_2'];

$nome_responsavel_3 = $_POST['nome_responsavel_3'];
$prenom_responsavel_3 = $_POST['prenom_responsavel_3'];
$role_responsavel_3 = $_POST['role_responsavel_3'];
$email_responsavel_3 = $_POST['email_responsavel_3'];
$contacto_responsavel_3 = $_POST['contacto_responsavel_3'];

$nome_responsavel_4 = $_POST['nome_responsavel_4'];
$prenom_responsavel_4 = $_POST['prenom_responsavel_4'];
$role_responsavel_4 = $_POST['role_responsavel_4'];
$email_responsavel_4 = $_POST['email_responsavel_4'];
$contacto_responsavel_4 = $_POST['contacto_responsavel_4'];

$nome_responsavel_5 = $_POST['nome_responsavel_5'];
$prenom_responsavel_5 = $_POST['prenom_responsavel_5'];
$role_responsavel_5 = $_POST['role_responsavel_5'];
$email_responsavel_5 = $_POST['email_responsavel_5'];
$contacto_responsavel_5 = $_POST['contacto_responsavel_5'];

$nome_responsavel_6 = $_POST['nome_responsavel_6'];
$prenom_responsavel_6 = $_POST['prenom_responsavel_6'];
$role_responsavel_6 = $_POST['role_responsavel_6'];
$email_responsavel_6 = $_POST['email_responsavel_6'];
$contacto_responsavel_6 = $_POST['contacto_responsavel_6'];

$nome_responsavel_7 = $_POST['nome_responsavel_7'];
$prenom_responsavel_7 = $_POST['prenom_responsavel_7'];
$role_responsavel_7 = $_POST['role_responsavel_7'];
$email_responsavel_7 = $_POST['email_responsavel_7'];
$contacto_responsavel_7 = $_POST['contacto_responsavel_7'];

//VERIFICA SE HA NULOS ---------------------------------------------------
// if ( $idCliente == '' || $nome_cliente == '' || $pais_cliente == '' || $vendedor_cliente == '' || $endereco_cliente == '' || $cidade_cliente == '' || $codigopostal_cliente == '' || $plano_cliente == '' || $responsavel_cliente == '' ) 
if ( $idCliente == '' || $pais_cliente == '' || $endereco_cliente == '' || $cidade_cliente == '' || $codigopostal_cliente == '' || $plano_cliente == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//CHECK IF USED ----------------------------------------------------------
$query = "SELECT ID_Account, Usado, (SELECT ContaSistema AS ContaGeral FROM faturacao_accounts WHERE faturacao_accounts.ID_Account = faturacao_clientes.ID_Account), Codigo FROM faturacao_clientes WHERE ID_Cliente = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idCliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA002";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idAccountAtual, $usadoCliente, $contaGeralCliente, $codigocliente);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//DECIDE HOW TO UPDATE ---------------------------------------------------
if($usadoCliente > 0){
	$idAccount = 0;
	$finalMetPagamento = $pagamento_cliente;
	$finalVencimento = $vencimento_Cliente;
	//UPDATE DB ----------------------------------------------------------
	$query = "UPDATE faturacao_clientes SET
		Nome=?, 
		Apelido=?, 
		Nif=?, 
		Endereco=?, 
		CodigoPostal=?, 
		Cidade=?, 
		Pais=?, 
		Regiao=?, 
		Email=?, 
		Telefone=?, 
		Telemovel=?, 
		Fax=?, 
		Website=?, 
		ID_Grupo=?, 
		MetPagamento=?, 
		Vencimento=?, 
		Desconto=?, 
		PreferenciaNome=?, 
		PreferenciaTelefone=?, 
		PreferenciaEmail=?, 
		PreferenciaTelemovel=?, 
		ID_Account=?,
		Titulo=?,
		ID_Vendedor=?,
		ID_Responsavel=?,
		PlanoContas=?,
		Suspendu=?
		WHERE ID_Cliente = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sssssssssssssssssssssdsddssd", 
		    $nome_cliente,
		    $apelido_cliente,
			$nif_cliente, 
			$endereco_cliente, 
			$codigopostal_cliente, 
			$cidade_cliente, 
			$pais_cliente, 
			$regiao_cliente, 
			$email_cliente, 
			$tlf_cliente, 
			$tlm_cliente, 
			$fax_cliente, 
			$website_cliente, 
			$grupo_cliente, 
			$finalMetPagamento, 
			$finalVencimento, 
			$desconto_cliente, 
			$preferencial_nome_cliente, 
			$preferencial_tlf_cliente, 
			$preferencial_email_cliente,
			$preferencial_tlm_cliente, 
			$idAccount,
			$titulo_cliente,
			$vendedor_null,
			$responsavel_cliente,
			$plano_cliente,
			$blocked_cliente,
			$idCliente 
		);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS003";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS004";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//--------------------------------------------------------------------------
}else{

	//VALIDATE NIF -----------------------------------------------------------
	if($pais_cliente == 'PT' && $nif_cliente > 0){	
		$validNIF = validaNIF($nif_cliente, false);
		if($validNIF == false){
			$response["errors"] = true;
			$response["type"] = "var";
			$response["nif_error"] = true;
			$response["line"] = "FATS001";
			die(json_encode($response));
		}
	// }else{
		// $nif_cliente = '999999990';
	}

	// if($nif_cliente != '999999990' && $nif_cliente > 0){
	// 	//CHECK IF NIF EXISTS
	// 	$query = "SELECT COUNT(*) FROM faturacao_clientes WHERE ID_Cliente <> ".$idCliente." AND Nif = ".$nif_cliente;
	// 	if ( $stmt = $sqli_connection -> prepare($query) ) {
	// 		//result
	// 		$result = $stmt -> execute();
	// 		if (false === $result) {
	// 			$response["errors"] = true;
	// 			$response["type"] = "FATS001A";
	// 			$response["message"] = $stmt -> error;
	// 			die(json_encode($response));
	// 		}
	// 		$stmt -> store_result();
	// 		$stmt -> bind_result($counterNif);
	// 		$stmt -> fetch();
	// 		$stmt -> close();
	// 	} else {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FATS001B";
	// 		$response["message"] = $sqli_connection -> error;
	// 		die(json_encode($response));
	// 	}

	// 	if($counterNif > 0){
	// 		$response["errors"] = true;
	// 		$response["type"] = "var";
	// 		$response["nif_error"] = true;
	// 		$response["line"] = "FATS001C";
	// 		die(json_encode($response));
	// 	}
	// }

	//GET ACCOUNT ID --------------------------------------------------------
	$idSncBase = 0;
	$query = "SELECT ID_Snc_Base FROM ".$snc_table." WHERE Snc_Code = ".$code."";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA002";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($idSncBase);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA003";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	$idAccount = 0;
	// if($contaGeralCliente == 1 ){
	// 	if($flagContaGeral == 1){
	// 		$idAccount = $idAccountAtual;
	// 	}
	// 	else{
	// 		//RECALCULATE THE ACCOUNT ID ---------------------------------------------
	// 		$query = "SELECT MAX(AccountID) FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." ";
	// 		if ($stmt = $sqli_connection -> prepare($query)) { 
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "FTGA006";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> bind_result($accountMaxNumber);
	// 			$stmt -> fetch();
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}

	// 		$query = "SELECT Snc_Code, Taxonomy_Code FROM ".$snc_table." WHERE ID_Snc_Base = ?";
	// 		if ($stmt = $sqli_connection -> prepare($query)) {
	// 			$stmt -> bind_param("d", $idSncBase);
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "FTGA007";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> bind_result($sncCode, $taxonomyCode);
	// 			$stmt -> fetch();
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}
	// 		//get parent base
	// 		$baseParent = substr($sncCode, 0, 2);
	// 		// var_dump($baseParent);
	// 		if ($accountMaxNumber < 1) {
	// 			$tmpAccount = $sncCode."0000";
	// 			$finalAccountNumber = $tmpAccount;
	// 		}
	// 		else{
	// 			$tmpAccount = $accountMaxNumber + 1;
	// 			$finalAccountNumber = $tmpAccount;
	// 		}
	// 		//------------------------------------------------------------------------

	// 		//INSERT DB --------------------------------------------------------------
	// 		$query = "INSERT INTO faturacao_accounts (ID_SNC, AccountID, AccountDescription, TaxonomyCode, OpeningDebit, OpeningCredit) VALUES (?,?,?,?,0,0)";
	// 		if ($stmt = $sqli_connection -> prepare($query)) {
	// 			$stmt -> bind_param("dsss", $idSncBase, $finalAccountNumber, $nome_cliente, $taxonomyCode);
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "query";
	// 				$response["line"] = "FATS008";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["type"] = "query";
	// 			$response["line"] = "FATS004";
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}

	// 		//GET THE ID_ACCOUNT -----------------------------------------------------
	// 		$query = "SELECT ID_Account FROM faturacao_accounts WHERE AccountID = ".$finalAccountNumber;
	// 		if ($stmt = $sqli_connection -> prepare($query)) { 
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "FTGA009";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> bind_result($idAccount);
	// 			$stmt -> fetch();
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}
	// 		//------------------------------------------------------------------------
	// 	}
	// }else{
	// 	if($flagContaGeral == 1){
	// 		$query = "SELECT ID_Account FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." AND ContaSistema =1";
	// 		if ($stmt = $sqli_connection -> prepare($query)) {
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "FTGA004";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> bind_result($idAccount);
	// 			$stmt -> fetch();
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["type"] = "FTGA005";
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}

	// 		//REMOVE CONTA PROPRIA
	// 		$query = "DELETE FROM faturacao_accounts WHERE ID_Account=?";
	// 		if ($stmt = $sqli_connection -> prepare($query)) {
	// 			$stmt -> bind_param("d", $idAccountAtual );
	// 			$result = $stmt -> execute();
	// 			if (false === $result) {
	// 				$response["errors"] = true;
	// 				$response["type"] = "query";
	// 				$response["line"] = "FATS004";
	// 				$response["message"] = $stmt -> error;
	// 				die(json_encode($response));
	// 			}
	// 			$stmt -> close();
	// 		} else {
	// 			$response["errors"] = true;
	// 			$response["type"] = "query";
	// 			$response["line"] = "FATS005";
	// 			$response["message"] = $sqli_connection -> error;
	// 			die(json_encode($response));
	// 		}
	// 	}else{
	// 		$idAccount = $idAccountAtual;
	// 	}
	// }

	//PROCESS FIELDS -------------------------------------------------------------
	$finalMetPagamento = $pagamento_cliente;
	$finalVencimento = $vencimento_Cliente;
	//----------------------------------------------------------------------------

	//INSERT DB ------------------------------------------------------------------
	$query = "UPDATE faturacao_clientes SET
		Nome=?, 
		Apelido=?, 
		Nif=?, 
		Endereco=?, 
		CodigoPostal=?, 
		Cidade=?, 
		Pais=?, 
		Regiao=?, 
		Email=?, 
		Telefone=?, 
		Telemovel=?, 
		Fax=?, 
		Website=?, 
		ID_Grupo=?, 
		MetPagamento=?, 
		Vencimento=?, 
		Desconto=?, 
		PreferenciaNome=?, 
		PreferenciaTelefone=?, 
		PreferenciaEmail=?, 
		PreferenciaTelemovel=?, 
		ID_Account=?,
		Titulo=?,
		ID_Vendedor=?,
		ID_Responsavel=?,
		PlanoContas=? ,
		Suspendu=?
		WHERE ID_Cliente = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sssssssssssssssssssssdsddssd", 
		    $nome_cliente,
		    $apelido_cliente,
			$nif_cliente, 
			$endereco_cliente, 
			$codigopostal_cliente, 
			$cidade_cliente, 
			$pais_cliente, 
			$regiao_cliente, 
			$email_cliente, 
			$tlf_cliente, 
			$tlm_cliente, 
			$fax_cliente, 
			$website_cliente, 
			$grupo_cliente, 
			$finalMetPagamento, 
			$finalVencimento, 
			$desconto_cliente, 
			$preferencial_nome_cliente, 
			$preferencial_tlf_cliente, 
			$preferencial_email_cliente,
			$preferencial_tlm_cliente, 
			$idAccount,
			$titulo_cliente,
			$vendedor_null,
			$responsavel_cliente,
			$plano_cliente,
			$blocked_cliente,
			$idCliente 
		);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS003A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS004";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//--------------------------------------------------------------------------
}
//------------------------------------------------------------------------
if(isVendedor() != 1){
	//delete vendeurs
	$query = "DELETE FROM faturacao_cliente_vendedor WHERE ID_Cliente_Rel=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idCliente );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS007";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS008";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//process vendors for insertion
	foreach ($vendedor_cliente as $vendedor) {
		insertIntoVendedoresCliente($vendedor, $idCliente);
	}
}
//insert vendedor cliente
function insertIntoVendedoresCliente($id_vendedor, $id_cliente){
	global $sqli_connection;
		
	//INSERT IF NOT EXISTS
	$query = "INSERT INTO faturacao_cliente_vendedor (
		ID_Cliente_Rel, 
		ID_Vendedor_Rel
		) VALUES (?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dd", 
		    $id_cliente,
			$id_vendedor
		);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "INS004";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "INS005";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//------------------------------------------------------------------------

//DELETE DB -------------------------------------------------------------
// $query = "SELECT ID_Responsavel FROM faturacao_responsavel_entidades WHERE ID_Cliente = ?";
// if ( $stmt = $sqli_connection -> prepare($query) ) {
// 	//result
// 	$stmt -> bind_param("s", $idCliente);
// 	$result = $stmt -> execute();
// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["type"] = "HELP005A";
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> store_result();
// 	$stmt -> bind_result($idResponsavel);
// 	while ($stmt -> fetch()) {
// 		deleteResponsables($idResponsavel);
// 	}
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["type"] = "HELP006A";
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));
// }

// //delete connections
// $query = "DELETE FROM faturacao_responsavel_entidades WHERE ID_Cliente=?";
// if ($stmt = $sqli_connection -> prepare($query)) {
// 	$stmt -> bind_param("d", $idCliente );
// 	$result = $stmt -> execute();
// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["type"] = "query";
// 		$response["line"] = "FATS007";
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["type"] = "query";
// 	$response["line"] = "FATS008";
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));
// }
//----------------------------------------------------------------------

//INSERT INTO RESPONSABLES -------------------------------------------------
insertOrUpdateResponsables($nome_responsavel_1, $prenom_responsavel_1, $role_responsavel_1, $email_responsavel_1, $contacto_responsavel_1,$idCliente,1);
insertOrUpdateResponsables($nome_responsavel_2, $prenom_responsavel_2, $role_responsavel_2, $email_responsavel_2, $contacto_responsavel_2,$idCliente,2);
insertOrUpdateResponsables($nome_responsavel_3, $prenom_responsavel_3, $role_responsavel_3, $email_responsavel_3, $contacto_responsavel_3,$idCliente,3);
insertOrUpdateResponsables($nome_responsavel_4, $prenom_responsavel_4, $role_responsavel_4, $email_responsavel_4, $contacto_responsavel_4,$idCliente,4);
insertOrUpdateResponsables($nome_responsavel_5, $prenom_responsavel_5, $role_responsavel_5, $email_responsavel_5, $contacto_responsavel_5,$idCliente,5);
insertOrUpdateResponsables($nome_responsavel_6, $prenom_responsavel_6, $role_responsavel_6, $email_responsavel_6, $contacto_responsavel_6,$idCliente,6);
insertOrUpdateResponsables($nome_responsavel_7, $prenom_responsavel_7, $role_responsavel_7, $email_responsavel_7, $contacto_responsavel_7,$idCliente,7);


//insert into
function insertOrUpdateResponsables($nome_responsavel, $prenom_responsavel, $role_responsavel, $email_responsavel, $contacto_responsavel, $idCliente, $posicao){
	global $sqli_connection;

	if($nome_responsavel != '' || $prenom_responsavel != '' ){
		//CHECK RECORD
		$query = "SELECT ID_Responsavel FROM faturacao_responsavel_entidades WHERE ID_Cliente = ? AND Posicao = ?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//result
			$stmt -> bind_param("ss", $idCliente,$posicao);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP0050";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($idResponsavel);
			while ($stmt -> fetch()) {
				$idsToCheck[] = $idResponsavel;
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP0051";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		if(count($idsToCheck) > 0){
			// var_dump('counter array -> ',count($idsToCheck),$idsToCheck);
			
			foreach ($idsToCheck as $idResp) {
				//UPDATE RECORD ---------
				$query = "UPDATE faturacao_responsaveis SET Nome=?, Prenom=?, Fonction=?, Email=?, Contacto=? WHERE ID_Responsavel = ?";
				if ( $stmt = $sqli_connection -> prepare($query) ) {
					//bind params
					$stmt -> bind_param("sssssd", $nome_responsavel, $prenom_responsavel, $role_responsavel, $email_responsavel, $contacto_responsavel, $idResp);
					//result
					$result = $stmt -> execute();
					if (false === $result) {
						$response["errors"] = true;
						$response["type"] = "UPD001";
						$response["message"] = $stmt -> error;
						return $result = false;
						die(json_encode($response));
					}
					$stmt -> close();
				} else {
					$response["errors"] = true;
					$response["type"] = "UPD002";
					$response["message"] = $sqli_connection -> error;
					return $result = false;
					die(json_encode($response));
				}
			}
		}
		else{
			//NEW INSERTION ---------
			$query = "SELECT MAX( CAST(Codigo AS UNSIGNED) ) FROM faturacao_responsaveis";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//result
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "HELP001";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> store_result();
				$stmt -> bind_result($nextID);
				$stmt -> fetch();
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "HELP002";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}
			//return next id
			$codigoResponsavel = $nextID+1;

			$timestampResponsavel = microtime(true);

			$query = "INSERT INTO faturacao_responsaveis (
				Codigo, 
				Nome, 
				Prenom,
				Fonction,
				Email,
				Contacto,
				TimeStampResponsavel
				) VALUES (?,?,?,?,?,?,?)";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("sssssss", 
					$codigoResponsavel,
				    $nome_responsavel, 
				    $prenom_responsavel, 
					$role_responsavel,
					$email_responsavel,
					$contacto_responsavel,
					$timestampResponsavel
				);
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS003RA";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS004";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}

			$query = "SELECT ID_Responsavel FROM faturacao_responsaveis WHERE TimeStampResponsavel=?";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//bind params
				$stmt -> bind_param("s", $timestampResponsavel);
				//result single
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS001";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> bind_result($idResponsavel);
				$stmt -> fetch();
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS002";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}
			//----- done inserting ------
			
			//INSERT IF NOT EXISTS
			$query = "INSERT INTO faturacao_responsavel_entidades (
				ID_Cliente, 
				ID_Responsavel,
				Posicao
				) VALUES (?,?,?)";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("sss", 
				    $idCliente,
					$idResponsavel,
					$posicao
				);
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "INS002";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "INS003";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}
		}
	}else{
		$query = "SELECT ID_Responsavel FROM faturacao_responsavel_entidades WHERE ID_Cliente = ? AND Posicao = ?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//result
			$stmt -> bind_param("ss", $idCliente,$posicao);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP005A";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($idResponsavel);
			while ($stmt -> fetch()) {
				checkUsageAndDelete($idResponsavel, $idCliente);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP006A";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
	}
}

//check if is used and return counters
function checkUsage($idResponsavel){
	global $sqli_connection;

	$counter1 = 0;
	$counter2 = 0;

	//counter1
	$query = "SELECT COUNT(*) FROM faturacao_locations WHERE ID_ResponsavelPrimeiro = ? OR ID_ResponsavelSegundo = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $idResponsavel, $idResponsavel);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000AA";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counter1);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000BB";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//counter2
	$query = "SELECT COUNT(*) FROM faturacao_consommables WHERE ID_ResponsavelPrimeiro = ? OR ID_ResponsavelSegundo = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $idResponsavel, $idResponsavel);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000CC";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counter2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000DD";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//return the counters
	$total = $counter1 + $counter2;
	return $total;
}

//check if is used and delete if not
function checkUsageAndDelete($idResponsavel, $idCliente){
	global $sqli_connection;

	$counter1 = 0;
	$counter2 = 0;

	//counter1
	$query = "SELECT COUNT(*) FROM faturacao_locations WHERE ID_ResponsavelPrimeiro = ? OR ID_ResponsavelSegundo = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $idResponsavel, $idResponsavel);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000AA";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counter1);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000BB";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//counter2
	$query = "SELECT COUNT(*) FROM faturacao_consommables WHERE ID_ResponsavelPrimeiro = ? OR ID_ResponsavelSegundo = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $idResponsavel, $idResponsavel);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000CC";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counter2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000DD";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//delete if not used
	if($counter1 < 1 && $counter2 < 1){
		deleteResponsables($idResponsavel);
		deleteResponsablesEntidades($idResponsavel, $idCliente);
	}

	return true;
}
//remove responsables table
function deleteResponsables($idResponsavel){
	global $sqli_connection;

	$query = "DELETE FROM faturacao_responsaveis WHERE ID_Responsavel=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idResponsavel );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "DEL001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "DEL002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//remove from pivot table
function deleteResponsablesEntidades($idResponsavel,$idCliente){
	global $sqli_connection;

	$query = "DELETE FROM faturacao_responsavel_entidades WHERE ID_Responsavel=? AND ID_Cliente = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dd", $idResponsavel,$idCliente );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "DEL003";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "DEL004";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//--------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Édition du client (code: ".$codigocliente.", nom: ".$nome_cliente.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>