<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
$opcao = $_POST['opcao'];
$data = "";
switch ($opcao) {
	//OBTEM CATEGORIAS
	case 1 :
		if( isset($_POST['idCategoria']) ){
			$query = "SELECT ID_Categoria, Nome FROM faturacao_artigos_categorias WHERE Ativo = 1 OR ID_Categoria = ".$_POST['idCategoria'];
		}else{
			$query = "SELECT ID_Categoria, Nome FROM faturacao_artigos_categorias WHERE Ativo = 1";
		}
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($id, $nome);
			while ($stmt -> fetch()) {
				$data[] = array("id" => $id, "nome" => $nome);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//OBTEM IMPOSTOS
	case 2 :
		if( isset($_POST['idImposto']) ){
			$query = "SELECT ID_Imposto, Nome, Descricao, Valor, Predefinido FROM faturacao_impostos WHERE (Ativo = 1 AND FinalidadeTipo = 'C') OR ID_Imposto = ".$_POST['idImposto']." ORDER BY CAST(Valor AS UNSIGNED) DESC";
		}else{
			$query = "SELECT ID_Imposto, Nome, Descricao, Valor, Predefinido FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'C' ORDER BY CAST(Valor AS UNSIGNED) DESC";
		}
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($id, $nome, $descricao, $taxa, $predefinido);
			while ($stmt -> fetch()) {
				$datalin[] = array("id" => $id, "nome" => $nome.' - '.$descricao, 'taxa' => $taxa, "predefinido" => $predefinido);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $datalin;
		die(json_encode($response));

		break;

	//OBTEM UNIDADES
	case 3 :
		$query = "SELECT ID_Unidade, Descricao FROM faturacao_unidades ORDER BY ID_Unidade";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($id, $nome);
			while ($stmt -> fetch()) {
				$data[] = array("id" => $id, "nome" => $nome);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//OBTEM IMPOSTOS FORNECEDORES
	case 4 :
		if( isset($_POST['idImposto']) ){
			$query = "SELECT ID_Imposto, Nome, Descricao, Valor, Predefinido FROM faturacao_impostos WHERE (Ativo = 1 AND FinalidadeTipo = 'F') OR ID_Imposto = ".$_POST['idImposto']." ORDER BY CAST(Valor AS UNSIGNED) DESC";
		}else{
			$query = "SELECT ID_Imposto, Nome, Descricao, Valor, Predefinido FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'F' ORDER BY CAST(Valor AS UNSIGNED) DESC";
		}
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($id, $nome, $descricao, $taxa, $predefinido);
			while ($stmt -> fetch()) {
				$datalin[] = array("id" => $id, "nome" => $nome.' - '.$descricao, 'taxa' => $taxa, "predefinido" => $predefinido);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $datalin;
		die(json_encode($response));

		break;

	//OBTEM DETALHES
	case 5 :
		if( isset($_POST['idArtigo']) ){
			$query = "SELECT ID_Artigo, Nome, Codigo, CodigoBarras, SerialNumber,
			(SELECT Nome AS Categoria FROM faturacao_artigos_categorias WHERE faturacao_artigos_categorias.ID_Categoria = faturacao_artigos.ID_Categoria),
			Tipo, ID_Imposto
			FROM faturacao_artigos WHERE ID_Artigo = ".$_POST['idArtigo'];
		}else{
			$query = "SELECT ID_Artigo, Nome, Codigo, CodigoBarras, SerialNumber,
			(SELECT Nome AS Categoria FROM faturacao_artigos_categorias WHERE faturacao_artigos_categorias.ID_Categoria = faturacao_artigos.ID_Categoria),
			Tipo, ID_Imposto
			FROM faturacao_artigos WHERE ID_Artigo = 0";
		}
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result( $ID_Artigo, $Nome, $Codigo, $CodigoBarras, $SerialNumber, $Categoria, $Tipo, $ID_Imposto );
			while ($stmt -> fetch()) {
				$data = array(
					"idArtigo" => $ID_Artigo,
					"artigo" => $ID_Artigo,
					"descricao" => $Nome,
					"codigo" => $Codigo,
					"codigobarras" => $CodigoBarras,
					"serialnumber" => $SerialNumber,
					"categoria" => $Categoria,
					"Tipo" => $Tipo,
					"impostoID" => $ID_Imposto,
					"NextID" => $Codigo+1,
				);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

}
?>