<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1145,1056,1057,1687,182,183,184);
if(isset($data3)){
	$data3 = $data3 + get_trad($ids_list);
} else {
	$data3 = get_trad($ids_list);
}
$data = "";
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idDocument = $_POST['idDocument'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idDocument == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//OBTEM OS Données de Facture -------------------------------------------
$query = "SELECT ID_NotaCreditoCompra, 
		(SELECT CONCAT(Nome,' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras_notas_credito.ID_Fornecedor) AS Fornecedor, 
		(SELECT Nif FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras_notas_credito.ID_Fornecedor) AS Fornecedor, 
		EnderecoFornecedor, 
		CodigoPostalFornecedor, 
		CidadeFornecedor, 
		RegiaoFornecedor, 
		EmailFornecedor, 
		PaisFornecedor, 
		(SELECT CONCAT(Nome,' (',Simbolo,')') FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras_notas_credito.ID_Moeda )AS Moeda, 
		(SELECT ISO_Code FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras_notas_credito.ID_Moeda )AS ISOCode, 
		(SELECT Simbolo FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras_notas_credito.ID_Moeda )AS Simbolo, 
		TaxaMoeda,
		Vencimento,
		if((ID_Serie), CONCAT('NY ',(SELECT Nome from faturacao_series where ID_Serie = faturacao_compras_notas_credito.ID_Serie),'/',Numero), Numero), 
		Data, 
		Validade, 
		Referencia, 
		Observacoes, 
		PercentagemDesconto, 
		Estado, 
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_compras_notas_credito.ID_Utilizador) AS Criador, 
		TimeStampDate, 
		(SELECT Descricao FROM faturacao_metodos_pagamento WHERE faturacao_metodos_pagamento.ID_Metodo = faturacao_compras_notas_credito.MetodoPagamento) AS MetodoPagamento,
		(SELECT Nome FROM faturacao_bancos WHERE faturacao_bancos.ID_Banco = faturacao_compras_notas_credito.ID_Banco) AS Banco,
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_compras_notas_credito.ID_UtilizadorAtualizacao) AS UtilizadorAtualizacao, 
		DataAtualizacao,
		TotalPagar,
		ID_Documento_Origem,
		Tipo_Documento_Origem,
		Data_Documento_Origem,
		Reference,
		Reason_Origem
		FROM faturacao_compras_notas_credito WHERE ID_NotaCreditoCompra=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocument);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['ID_NotaCreditoCompra'],
	        	$objectData['Fornecedor'],
	        	$objectData['Nif'],
	        	$objectData['EnderecoFornecedor'],
	        	$objectData['CodigoPostalFornecedor'],
	        	$objectData['CidadeFornecedor'],
	        	$objectData['RegiaoFornecedor'],
	        	$objectData['EmailFornecedor'],
	        	$objectData['PaisFornecedor'],
	        	$objectData['Moeda'],
	        	$objectData['IsoCode'],
	        	$objectData['Simbolo'],
	        	$objectData['TaxaMoeda'],
	        	$objectData['Vencimento'],
	        	$objectData['Numero'],
	        	$objectData['Data'],
	        	$objectData['Validade'],
	        	$objectData['Referencia'],
	        	$objectData['Observacoes'],
	        	$objectData['PercentagemDesconto'],
	        	$objectData['Estado'],
	        	$objectData['UtilizadorCriador'],
	        	$objectData['DataCriacao'],
	        	$objectData['MetodoPagamento'],
	        	$objectData['Banco'],
	        	$objectData['ID_UtilizadorAtualizacao'],
	        	$objectData['DataAtualizacao'],
	        	$objectData['TotalPagar'],
	        	$objectData['ID_Documento_Origem'],
	        	$objectData['Tipo_Documento_Origem'],
	        	$objectData['Data_Documento_Origem'],
	        	$objectData['Reference'],
	        	$objectData['Reason_Origem']
			);
	$stmt -> fetch();
	$stmt -> close();
	switch($objectData['MetodoPagamento']){
	case "Cash":
		$objectData['MetodoPagamento'] = $data3[184]['trad'];
		break;
	case "Virement Bancaire":
		$objectData['MetodoPagamento'] = $data3[1687]['trad'];
		break;
	case "Carte de Crédit":
		$objectData['MetodoPagamento'] = $data3[182]['trad'];
		break;
	case "Carte de Débit":
		$objectData['MetodoPagamento'] = $data3[183]['trad'];
		break;
}
	$objectData['PaisFull'] = getCountryByISO2($objectData['PaisFornecedor']);
	$objectData['DataCriacao'] = date('d/m/Y H:i:s', $objectData['DataCriacao']);
	$tempDate = DateTime::createFromFormat('d/m/Y', $objectData['Data']);
	$objectData['DataNormalizada'] = $tempDate->format('Y/m/d');

	//processar totais
	$objectData['TotalPagar_Estrangeiro'] = $objectData['TotalPagar'] * $objectData['TaxaMoeda'];
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//OBTEM AS LINHAS DA FATURA ------------------------------------------
$query = "SELECT (SELECT Codigo FROM faturacao_artigos WHERE faturacao_artigos.ID_Artigo = faturacao_compras_notas_credito_linhas.ID_Artigo) AS Artigo,
		Descricao,
		Quantidade,
		UnidadeMedida,
		PrecoUnitario,
		ID_Imposto,
		(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS ValorIVA,
		(SELECT ID_Motivo FROM faturacao_motivos_isencao WHERE faturacao_motivos_isencao.Codigo = faturacao_compras_notas_credito_linhas.TaxExemptionCode ) AS ID_Motivo,
		CONCAT(TaxExemptionCode,': ',TaxExemptionReason) AS Motivo,
		DescontoLinha,
		ValorRetencao,
		TotalLinha,
		PlanoContas
		FROM faturacao_compras_notas_credito_linhas WHERE ID_NotaCreditoCompra=? ORDER BY ID_Linha";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocument);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($artigo, $descricao, $qtd, $unidade, $preco, $idIva, $desc_imposto, $valorIva, $id_motivo, $motivo, $desconto, $retencao, $totalLinha, $PlanoContas );
	while ($stmt -> fetch()) {
		$datalin[] = array(
		        	"artigo" => $artigo,
					"descricao" => nl2br($descricao),
					"qtd" => $qtd,
					"unidade" => $unidade,
					"preco" => $preco,
					"idIva" => $idIva,
					"imposto" => number_format($valorIva,2).'%',
					"desc_imposto" => $desc_imposto,
					"valorIva" => $valorIva,
					"id_motivo" => $id_motivo,
					"motivo" => $motivo,
					"desconto" => $desconto,
					"retencao" => $retencao,
					"totalLinha" => $totalLinha,
					"PlanoContas" => $PlanoContas,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['linhas'] = $datalin;
//-----------------------------------------------------------------------

//OBTEM VALOR DO DOC ORIGEM ---------------------------------------------
$fieldIdName = 'ID_Compra';
$tableName = 'faturacao_compras';
// switch ($objectData['Tipo_Documento_Origem']) {
// 	case 'FT':
// 		$fieldIdName = 'ID_Fatura';
// 		$tableName = 'faturacao_faturas';
// 		break;
// 	case 'FS':
// 		$fieldIdName = 'ID_FaturaSimplificada';
// 		$tableName = 'faturacao_faturas_simplificadas';
// 		break;
// 	case 'FR':
// 		$fieldIdName = 'ID_FaturaRecibo';
// 		$tableName = 'faturacao_faturas_recibo';
// 		break;
	
// 	default:
// 		$response["errors"] = true;
// 		$response["type"] = "query";
// 		$response["line"] = "FATS005";
// 		$response["message"] = 'Tipo inválido!';
// 		die(json_encode($response));
// 		break;
// }

$query = "SELECT GrossTotal FROM ".$tableName." WHERE ".$fieldIdName."=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $objectData['ID_Documento_Origem']);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS0000C";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result( $objectData['ValorOrigem'] );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS0000D";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>