<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(16,1193,77,1599);
if(isset($data2)){
	$data2 = $data2 + get_trad($ids_list);
} else {
	$data2 = get_trad($ids_list);
}

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idNota = $_POST['idNota'];
$docOrigem = $_POST['docOrigem'];
$fornecedor = $_POST['fornecedor'];
$numero = $_POST['numero'];
$data = $_POST['data'];
$validade = $_POST['validade'];
$referencia = $_POST['referencia'];
$pagamento = $_POST['pagamento'];
$banco = $_POST['banco'];
$vencimento = $_POST['vencimento'];
$moeda = $_POST['moeda'];
$desconto = $_POST['desconto'];
$observacoes = $_POST['observacoes'];
$motivo = $_POST['motivo'];
$linhas = $_POST['linhas'];
$finalizarDocumento = $_POST['finalizarDocumento'];
$precisaBanco = $_POST['precisaBanco'];
$serie = $_POST["series"];

//REMAIN FIELDS ----------------------------------------------------------
$vendedor = $_SESSION['username'];
$estado = 'Rascunho';
$taxPayable = 0;
$netTotal = 0;
$grossTotal = 0;
$systemEntryDate = '';
$timestamp = 0;
$totalDesconto = 0;
$percentagemDesconto = $desconto;
$retencaoTotal = 0;
$totalSDesconto = 0;

//NEW FIELDS PLANO CONTAS
$PlanoContasFornecedor = getPlanoCode("PlanoContas", "faturacao_fornecedores", "ID_Fornecedor", $fornecedor);
$PlanoContasBanco = '';

//NEW FIELDS FATURAS -----------------------------------------------------
$totalPagar = 0;
// MetodoPagamento
// BancoID

//PROCESS ORIGIN
$fieldIdName = 'ID_Compra';
$tableName = 'faturacao_compras';
// switch ($docType) {
// 	case 'FT':
// 		$fieldIdName = 'ID_Fatura';
// 		$tableName = 'faturacao_faturas';
// 		break;
// 	case 'FS':
// 		$fieldIdName = 'ID_FaturaSimplificada';
// 		$tableName = 'faturacao_faturas_simplificadas';
// 		break;
// 	case 'FR':
// 		$fieldIdName = 'ID_FaturaRecibo';
// 		$tableName = 'faturacao_faturas_recibo';
// 		break;
	
// 	default:
// 		$response["errors"] = true;
// 		$response["type"] = "query";
// 		$response["line"] = "FATS0000AA";
// 		$response["message"] = 'Tipo inválido!';
// 		die(json_encode($response));
// 		break;
// }

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $docOrigem == '' || $fornecedor == '' || $numero == '' || $data == '' || $validade == '' || $pagamento == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}
if( $precisaBanco > 0 && ($banco < 1 || $banco == '') )
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000B";
	die(json_encode($response));
}
//------------------------------------------------------------------------
// recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);die();

//GET REMAINING FIELDS FROM ORIGIN DOC -----------------------------------
$query = "SELECT Numero, Data, ID_Fornecedor, Estado FROM ".$tableName." WHERE ".$fieldIdName."=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $docOrigem);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS0000C";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($numeroOrigin, $dataOrigin, $idFornecedorOrigin, $estadoOrigem );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS0000D";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//contruct final reference
$referenceOrigin = $numeroOrigin;
//------------------------------------------------------------------------

//CHECK IF IS THE SAME CLIENT AND STATUS ALLOWED -------------------------
if( $idFornecedorOrigin != $fornecedor )
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000E";
	die(json_encode($response));
}
if( $estadoOrigem != 'Aberto' && $estadoOrigem != 'Pago' )
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000F";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//GET CLIENT DATA --------------------------------------------------------
$query = "SELECT Nif, Endereco, CodigoPostal, Cidade, Regiao, Pais, Email, Codigo FROM faturacao_fornecedores WHERE ID_Fornecedor = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $fornecedor);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Nif, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Pais, $Email, $CodigoCliente );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//process fields
if( trim($Endereco) == '' ) $Endereco = 'Desconhecido';
if( trim($CodigoPostal) == '' ) $CodigoPostal = 'Desconhecido';
if( trim($Cidade) == '' ) $Cidade = 'Desconhecido';
if( trim($Regiao) == '' ) $Regiao = 'Desconhecido';
if( trim($Pais) == '' ) $Pais = 'Desconhecido';
//------------------------------------------------------------------------

//GET CURRENCY DATA ------------------------------------------------------
$query = "SELECT  Ultima_Taxa FROM faturacao_moedas WHERE ID_Moeda = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $moeda);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ultimaTaxa);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $ultimaTaxa <= 0){
	$response["errors"] = true;
	$response["type"] = "FTGA005";
	$response["message"] = "Moeda inválida";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//GET COMPANY DATA -------------------------------------------------------
$query = "SELECT  CONCAT(Endereco1,' ',Endereco2) AS Endereco, CodigoPostal, Cidade, Cidade, CAE_Principal FROM faturacao_empresa_dados WHERE ID_dados_empresa = 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("d", $moeda);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA006";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($enderecoCarga, $codigopostalCarga, $cidadeCarga, $idCidadeCarga, $CAE_Principal);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA007";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//GET REGION
// $query = "SELECT (SELECT Nome FROM distrito WHERE distrito.ID_Distrito = concelho.ID_Distrito) AS Regiao FROM concelho WHERE ID_Concelho = ?";
// if ($stmt = $sqli_connection -> prepare($query)) {
// 	$stmt -> bind_param("d", $idCidadeCarga);
// 	$result = $stmt -> execute();
// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["type"] = "FTGA008";
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> bind_result($regiaoCarga);
// 	$stmt -> fetch();
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["type"] = "FTGA009";
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));
// }
$regiaoCarga = '';
//process fields
if( trim($enderecoCarga) == '' ) $enderecoCarga = 'Desconhecido';
if( trim($codigopostalCarga) == '' ) $codigopostalCarga = 'Desconhecido';
if( trim($cidadeCarga) == '' ) $cidadeCarga = 'Desconhecido';
if( trim($regiaoCarga) == '' ) $regiaoCarga = 'Desconhecido';
//------------------------------------------------------------------------

$timestamp = microtime(true);
$systemEntryDate = date("Y-m-d H:i:s");
$systemEntryDate = str_replace (' ','T',$systemEntryDate);
$EACCode = $CAE_Principal;
$customerID = $CodigoCliente;
if( $precisaBanco > 0 ){
	$bancoFinalID = $banco;
	$PlanoContasBanco = getPlanoCode("PlanoContas", "faturacao_bancos", "ID_Banco", $banco);
}else{
	$bancoFinalID = 0;
}

//INSERT OPEN DOCUMENT ---------------------------------------------------
$query = "UPDATE faturacao_compras_notas_credito SET Numero=?, ID_Fornecedor=?, EnderecoFornecedor=?, CodigoPostalFornecedor=?, CidadeFornecedor=?, RegiaoFornecedor=?, EmailFornecedor=?, PaisFornecedor=?, ID_Moeda=?, TaxaMoeda=?,  Vencimento=?, EnderecoCarga=?, CodigoPostalCarga=?, CidadeCarga=?, RegiaoCarga=?, Data=?, Validade=?, Referencia=?, Observacoes=?, SystemEntryDate=?, TimeStampDate=?, Estado=?, ID_Utilizador=?, MetodoPagamento=?, ID_Banco=?, ID_Documento_Origem=?, Reason_Origem=?, Data_Documento_Origem=?, Reference=?, PlanoContas=?, PlanoContasBanco=?, ID_Serie=? WHERE ID_NotaCreditoCompra=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sdssssssdssssssssssdsssdddsssssdd", $numero, $fornecedor, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Email, $Pais, $moeda, $ultimaTaxa, $vencimento, $enderecoCarga, $codigopostalCarga, $cidadeCarga, $regiaoCarga, $data, $validade, $referencia, $observacoes, $systemEntryDate, $timestamp, $estado, $id_utilizador, $pagamento, $bancoFinalID, $docOrigem, $motivo, $dataOrigin, $referenceOrigin, $PlanoContasFornecedor, $PlanoContasBanco, $serie, $idNota );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA010";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA011";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//CLEAN ALL LINES --------------------------------------------------------
$query = "DELETE FROM faturacao_compras_notas_credito_linhas WHERE ID_NotaCreditoCompra=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idNota );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA012";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA013";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//PROCESS LINES ----------------------------------------------------------
$numLinha = 1;
foreach ($linhas as $linha) {
	//init vars
	$ProductDescription = '';
	$ProductCode = '';
	$SerialNumber = '';
	$TaxType = '';
	$TaxCountryRegion = '';
	$TaxCode = '';
	$TaxPercentage = '';
	$impostoUsed = '';
	$TaxExemptionCode = '';
	$TaxExemptionReason = '';
	$TaxPointDate = date("Y-m-d");

	//NEW FIELDS PLANO CONTAS
	$PlanoContasArtigo = 0;
	$PlanoContasImposto = 0;

	//GET ORIGINAL PLAN ARTICLE AND PLAN TAXES ---------------
	$planoArtigo = 0;
	$planoImposto = 0;
	$query = "SELECT PlanoContas, PlanoContasTVA FROM ".$tableName."_linhas WHERE ID_Linha = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['idLinhaOrigem']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA015AAA";
			$response["message"] = $stmt -> error;
			deleteRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($planoArtigo, $planoImposto);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA015B";
		$response["message"] = $sqli_connection -> error;
		deleteRecord($idNota);
		die(json_encode($response));
	}
	
	$PlanoContasArtigo = $planoArtigo;
	$PlanoContasImposto = $planoImposto;
	//--------------------------------------------------------------------

	//CHECK IF THE PRODUCTS ARE THE SAME AS THE ORIGIN DOC ---------------
	$query = "SELECT COUNT(*) FROM ".$tableName."_linhas WHERE ".$fieldIdName."=? AND ID_Artigo = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dd", $docOrigem, $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA015A";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($countValidArticles);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA015B";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	if( $countValidArticles < 1 ){
		$response["errors"] = true;
		$response["type"] = "FTGA015C";
		$response["message"] = 'O artigo não existe no documento de origem!';
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------

	//GET ARTICLE DATA ---------------------------------------------------
	$query = "SELECT  Nome, Codigo, SerialNumber, (SELECT Sigla FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade = faturacao_artigos.ID_Unidade) AS Unidade FROM faturacao_artigos WHERE ID_Artigo = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA015D";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($ProductDescription, $ProductCode, $SerialNumber, $Unidade);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA016";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
	
	//GET TAXES DATA -----------------------------------------------------
	$query = "SELECT  Tipo, Regiao, Subclasse, Valor FROM faturacao_impostos WHERE ID_Imposto = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['imposto']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA017";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($TaxType, $TaxCountryRegion, $TaxCode, $TaxPercentage);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA018";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
		//VERIFICAR SE IMPOSTO JÁ BLOQUEADO -------------------------------------
		$query = "SELECT COUNT(*) FROM faturacao_impostos_usados WHERE ID_Imposto=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $linha['imposto']);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA018A";
				$response["message"] = $stmt -> error;
				restoreRecord($idNota);
				die(json_encode($response));
			}
			$stmt -> bind_result($impostoUsed);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA018B";
			$response["message"] = $sqli_connection -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		if($impostoUsed < 1){
			//INSERT DB --------------------------------------------------
			$query = "INSERT INTO faturacao_impostos_usados(ID_Imposto) VALUES (?)";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("d", $linha['imposto'] );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA018C";
					$response["message"] = $stmt -> error;
					restoreRecord($idNota);
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA018D";
				$response["message"] = $sqli_connection -> error;
				restoreRecord($idNota);
				die(json_encode($response));
			}
			//------------------------------------------------------------
		}

		//CASO SEJA TIPO ISE
		// if( $TaxCode == 'ISE' ){
		if( $TaxCode == 'ISENTO' ){
			if( $linha['motivo'] < 1){
				$response["errors"] = true;
				$response["type"] = "var";
				$response["line"] = "FTGA018E";
				$response["message"] = "Motivo de isenção inválido";
				restoreRecord($idNota);
				die(json_encode($response));
			}else{
				$query = "SELECT  Codigo, Descricao FROM faturacao_motivos_isencao WHERE ID_Motivo = ?";
				if ($stmt = $sqli_connection -> prepare($query)) {
					$stmt -> bind_param("d", $linha['motivo']);
					$result = $stmt -> execute();
					if (false === $result) {
						$response["errors"] = true;
						$response["type"] = "FTGA018F";
						$response["message"] = $stmt -> error;
						restoreRecord($idNota);
						die(json_encode($response));
					}
					$stmt -> bind_result($TaxExemptionCode, $TaxExemptionReason);
					$stmt -> fetch();
					$stmt -> close();
				} else {
					$response["errors"] = true;
					$response["type"] = "FTGA018G";
					$response["message"] = $sqli_connection -> error;
					restoreRecord($idNota);
					die(json_encode($response));
				}
			}

		}
	//--------------------------------------------------------------------
	
	//check if vals are smaller than 0
	if( $linha['qtd'] <= 0 ){
		$response["errors"] = true;
		$response["type"] = "FTGA018H";
		$response["message"] = 'Valores das linhas menores que 0';
		restoreRecord($idNota);
		die(json_encode($response));
	}
	if( $linha['preco'] < 0 ){
		$response["errors"] = true;
		$response["type"] = "FTGA018I";
		$response["message"] = 'Valores das linhas menores que 0';
		restoreRecord($idNota);
		die(json_encode($response));
	}
	
	//TOTALS
	$debitAmount = 0;
	$creditAmount = 0;
	$settelementAmount = 0;
	$totalSIVA = 0;
	$totalLinha = 0;

	$linhaDesconto = $linha['desconto'] * 0.01;
	$descontoProcessed = $desconto * 0.01;
	$taxaIVA = $TaxPercentage * 0.01;
	$ivaProcessed = $taxaIVA + 1 ;

	$totalSIVA = $linha['qtd'] * $linha['preco'];
	$desconto1 = $totalSIVA * $linhaDesconto; //calcula desconto 1
	$totalSIVA = $totalSIVA - ($totalSIVA * $linhaDesconto); //calcula descunto linha
	$desconto2 = $totalSIVA * $descontoProcessed; //calcula desconto 2
	$totalSIVA = $totalSIVA - ($totalSIVA * $descontoProcessed); //calcula desconto global

	$settelementAmount = $desconto1 + $desconto2;
	$debitAmount = $totalSIVA;
	$totalLinha = $totalSIVA * $ivaProcessed;

	$retencao = $linha['retencao'] * 0.01;
	$retencao = $totalSIVA * $retencao;

	//TOTALS DOCUMENT
	$taxPayable = $taxPayable + ($totalSIVA * $taxaIVA);
	$netTotal = $netTotal + $totalSIVA;
	$grossTotal = $taxPayable + $netTotal;
	// $grossTotal = round($grossTotal,2);
	$totalDesconto = $totalDesconto + $settelementAmount;
	if( $Nif != '999999990' ) $retencaoTotal = $retencaoTotal + $retencao;
	$totalSDesconto = $totalSDesconto + ( $linha['qtd'] * $linha['preco'] );

	//INSERT INTO DB -----------------------------------------------------
	$query = "INSERT INTO faturacao_compras_notas_credito_linhas (ID_NotaCreditoCompra, NumeroLinha, 
		ID_Artigo, ProductCode, ProductDescription, Quantidade, UnidadeMedida, PrecoUnitario, TaxPointDate, Descricao, SerialNumber, 
		ID_Imposto, TaxType, TaxCountryRegion, TaxCode, TaxPercentage, TaxExemptionReason, TaxExemptionCode, 
		DescontoLinha, CreditAmount, DebitAmount, SettlementAmount, ValorRetencao, PercentagemRetencao, TotalLinha, TotalLinhaSIVA, PlanoContas, PlanoContasTVA, ID_LinhaOrigem) 
		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddssssssssdsssssssssssssssss", $idNota, $numLinha, $linha['artigo'], $ProductCode, $ProductDescription, $linha['qtd'], $Unidade, $linha['preco'], $TaxPointDate, $linha['descricao'], $SerialNumber, $linha['imposto'], $TaxType, $TaxCountryRegion, $TaxCode, $TaxPercentage, $TaxExemptionReason, $TaxExemptionCode, $linha['desconto'], $creditAmount, $debitAmount, $settelementAmount, $retencao, $linha['retencao'], $totalLinha, $totalSIVA, $PlanoContasArtigo, $PlanoContasImposto, $linha['idLinhaOrigem'] );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA019";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
	
	$numLinha++;

	//BLOCK ARTICLE ------------------------------------------------------
	$query = "UPDATE faturacao_artigos SET Usado=1 WHERE ID_Artigo=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA020A";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020B";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
}
//------------------------------------------------------------------------

//UPDATES TOTALS ---------------------------------------------------------
$totalDesconto = round($totalDesconto,$numDecimais);
$retencaoTotal = round($retencaoTotal,$numDecimais);
$taxPayable = round($taxPayable,$numDecimais);
$netTotal = round($netTotal,$numDecimais);
$grossTotal = round($grossTotal,$numDecimais);
$totalPagar = $grossTotal;

$query = "UPDATE faturacao_compras_notas_credito SET TaxPayable=?, NetTotal=?, GrossTotal=?, Desconto=?, PercentagemDesconto=?, TotaRetencao=?, TotalSDesconto=?, TotalPagar=?, Data_Documento_Origem=?, Reference=? WHERE ID_NotaCreditoCompra=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("ssssssssssd", $taxPayable, $netTotal, $grossTotal, $totalDesconto, $percentagemDesconto, $retencaoTotal, $totalSDesconto, $totalPagar, $dataOrigin, $referenceOrigin, $idNota);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA021C";
		$response["message"] = $stmt -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA022";
	$response["message"] = $sqli_connection -> error;
	restoreRecord($idNota);
	die(json_encode($response));
}
//------------------------------------------------------------------------

//CLOSE THE DOCUMENT -----------------------------------------------------
if( $finalizarDocumento > 0 ){
	$systemEntryDateUpdate = date("Y-m-d H:i:s");
	$systemEntryDateUpdate = str_replace (' ','T',$systemEntryDateUpdate);
	// $retencaoCalc = round($retencaoTotal,2);
	$retencaoCalc = $retencaoTotal;
	// $totalLiquidado = $retencaoCalc;
	// $totalLiquidado = 0;

	$dataNew = $data;
	$validadeNew = $validade;
	$dataAtualizacao = date("d/m/Y H:i:s");

	//this entry date timestamp
	$dtOriginDate = DateTime::createFromFormat("d/m/Y H:i:s", $dataOrigin." 00:00:00");
	$dtOriginDateTime = $dtOriginDate->getTimestamp();

	//this entry date timestamp
	$dtThisDate = DateTime::createFromFormat("d/m/Y H:i:s", $data." 00:00:00");
	$dtThisDateTime = $dtThisDate->getTimestamp();

	//process date origin
	if( $dtThisDateTime < $dtOriginDateTime ){
		//alert user that the date is before the last one
		$response["errors"] = true;
		$response["type"] = "FTGA024C";
		$response["data_superior2"] = true;
		$response["dataUltima"] = $dataOrigin;
		$response["message"] = "Data superior à compra.";
		restoreRecord($idNota);
		die(json_encode($response));
	}

	// DEFINE NEW NUMBER
	$query = "UPDATE faturacao_compras_notas_credito SET Data=?, Validade=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Pago' WHERE ID_NotaCreditoCompra = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssdsd", $dataNew, $validadeNew, $id_utilizador, $dataAtualizacao, $idNota);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA025";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA026";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}

	// UPDATE REMAIN FIELDS
	$query = "UPDATE faturacao_compras_notas_credito SET SystemEntryDate=? WHERE ID_NotaCreditoCompra = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sd", $systemEntryDateUpdate, $idNota );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA025";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA026";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	
	//GET ORIGIN DOC TOTALS AND UPDATE THEM ------------------------------
	$query = "SELECT TotalCreditado, TotalLiquidado, GrossTotal, GrossTotal, Estado FROM ".$tableName." WHERE ".$fieldIdName."=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $docOrigem);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA026C";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($totalCreditadoOrig, $totalLiquidadoOrig, $GrossTotalOrig, $totalPagarOrig, $estadoOrigemLast );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA026D";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//last check on estado
	if( $estadoOrigem != 'Aberto' && $estadoOrigem != 'Pago' )
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FTGA026E";
		restoreRecord($idNota);
		die(json_encode($response));
	}else{
		if($totalCreditadoOrig > $totalLiquidadoOrig) $totalMaxCreditavel = $GrossTotalOrig - $totalCreditadoOrig;
		else $totalMaxCreditavel = $GrossTotalOrig - $totalLiquidadoOrig;

		$totalMaxCreditavel = round($totalMaxCreditavel,$numDecimais);
		$totalPagar = round($totalPagar,$numDecimais);
		$precision = $totalMaxCreditavel - $totalPagar;
		if($precision < 0){
			$response["errors"] = true;
			$response["type"] = "var";
			$response["pagavel"] = true;
			$response["totalPagar"] = $totalPagar;
			$response["totalMaxPagavel"] = $totalMaxCreditavel;
			$response["precision"] = $precision;
			$response["line"] = "FTGA026EA";
			restoreRecord($idNota);
			die(json_encode($response));
		}
		###---- UPDATE DOC ORIGEM ----###
		$totalCreditadoNovo = $totalCreditadoOrig + $totalPagar;
		$totalLiquidadoNovo = $totalLiquidadoOrig + $totalPagar;

		$estadoNovo = 'Aberto';
		if( $totalLiquidadoNovo > $totalPagarOrig ){
			$response["errors"] = true;
			$response["type"] = "FTGA026EB";
			$response["message"] = "Valor inserido superior ao valor pagável!";
			restoreRecord($idNota);
			die(json_encode($response));
		}else if($totalLiquidadoNovo == $totalPagarOrig){
			$estadoNovo = 'Pago';
		}

		$query = "UPDATE ".$tableName." SET TotalCreditado=?, TotalLiquidado=?, Estado=? WHERE ".$fieldIdName."=?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("sssd", $totalCreditadoNovo, $totalLiquidadoNovo, $estadoNovo, $docOrigem);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA026F";
				$response["message"] = $stmt -> error;
				restoreRecord($idNota);
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA026G";
			$response["message"] = $sqli_connection -> error;
			restoreRecord($idNota);
			die(json_encode($response));
		}
	}
	//--------------------------------------------------------------------
	
	//UPDATE STOCKS
	/* Le stock ne doit etre update qu'avec les factures
	$stockUpdateResult = decreaseArticlesStock($idNota, 'faturacao_compras_notas_credito', 'ID_NotaCreditoCompra');
	if($stockUpdateResult != true){
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA027";
		$response["message"] = 'Falha ao atualizar stocks.';
		die(json_encode($response));
	}*/

	//------------------------------------------------------------------------
	//-------------- LANÇAMENTO DE MOVIMENTOS CONTABILISTICOS ----------------
	//------------------------------------------------------------------------
	$query = "SELECT PlanoContas, PlanoContasBanco, Numero , 
				(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras_notas_credito.ID_Fornecedor) AS Codigo, 
				(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras_notas_credito.ID_Fornecedor) AS Fornecedor,
				GrossTotal, NetTotal, TaxPayable,
			(SELECT Numero FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_notas_credito.ID_Documento_Origem) AS DocumentoOrigem
			FROM faturacao_compras_notas_credito WHERE ID_NotaCreditoCompra=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idNota);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA028";
			$response["message"] = $stmt -> error;
		restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($planoFornecedor, $planoBanco, $numeroDoc, $numFornecedor, $nomeFornecedor, $totalPVP, $totalUnit, $totalTVA, $RefDocOrigem );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA029";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	//PROCESS MOVEMENT FOR DOCUMENT
	$texto = $data2[16]["trad"].': '.$data2[1193]["trad"].' - '.$numeroDoc.' - '.$RefDocOrigem.' - '.$numFornecedor.' - '.$nomeFornecedor;
	/*if($planoFornecedor > 0){
		$tipoMovimento = 'D';
		// insertMovimentoContabilistico($planoFornecedor, $texto, $totalPVP, 0, 0, $tipoMovimento);
		insertMovimentoContabilisticoManual($planoFornecedor, $texto, $totalPVP, 0, 0, $tipoMovimento, $dataNew, 'A');
	}*/

	//LINES -- ARTICLES
	$query = "SELECT PlanoContas, ProductCode, TotalLinha, TotalLinhaSIVA, (TotalLinha - TotalLinhaSIVA), ID_Imposto FROM faturacao_compras_notas_credito_linhas WHERE ID_NotaCreditoCompra=? ORDER BY ID_Linha";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idNota);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA030";
			$response["message"] = $stmt -> error;
		restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($planoArtigo, $codigoArtigo,$totalPVP_Artigo, $totalUnit_Artigo, $totalTVA_Artigo, $id_imposto_artigo );
		while ($stmt -> fetch()) {
			//PROCESS MOVEMENT ARTICLE
			if($planoArtigo > 0){
				$textoArtigo = $texto.' - '.$data2[77]["trad"].' - '.$codigoArtigo;
				$tipoMovimentoArtigo = 'C';
				$dataArtigos[] = array('plano'=>$planoArtigo, 'texto'=>$textoArtigo, 'totalPVP'=>$totalPVP_Artigo, 'totalUnit'=>$totalUnit_Artigo, 'totalTVA'=>$totalTVA_Artigo, 'tipo'=>$tipoMovimentoArtigo, 'id_imposto_artigo'=>$id_imposto_artigo);
			}
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA031";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	if(isset($dataArtigos)){
		foreach ($dataArtigos as $line) {
			$Edited_TotalPVP = round($line['totalUnit'],$numDecimais);
			if($Edited_TotalPVP > 0){
				// insertMovimentoContabilistico($line['plano'], $line['texto'], $Edited_TotalPVP, 0, 0, $line['tipo']);
				// insertMovimentoContabilisticoManual($line['plano'], $line['texto'], $Edited_TotalPVP, 0, 0, $line['tipo'], $dataNew, 'A');
				insertMovimentoContabilisticoManual($planoFornecedor, $line['plano'], $line['texto'], $Edited_TotalPVP, 0, $Edited_TotalPVP, $line['tipo'], $dataNew, 'A', $line['id_imposto_artigo'], 0);
			}
		}
	}

	//LINES -- TVA
	$query = "SELECT (SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto), (SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS Imposto, 
				TaxPercentage, SUM(TotalLinha), SUM(TotalLinhaSIVA), ID_Imposto 
			FROM faturacao_compras_notas_credito_linhas WHERE ID_NotaCreditoCompra=? GROUP BY ID_Imposto";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idNota);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA030";
			$response["message"] = $stmt -> error;
		restoreRecord($idNota);
			die(json_encode($response));
		}
		$stmt -> bind_result($planoTVA, $nomeTVA, $percentagemTVA, $totalPVP_TVA, $totalUnit_TVA, $id_imposto_TVA );
		while ($stmt -> fetch()) {
			//PROCESS MOVEMENT ARTICLE
			if($planoTVA > 0){
				$totalTVA_TVA = $totalPVP_TVA - $totalUnit_TVA;
				$textoTVA = $texto.' - '.$data2[1599]["trad"].' - '.$nomeTVA.': '.$percentagemTVA.'%';
				$tipoMovimentoTVA = 'C';
				$dataTVA[] = array('plano'=>$planoTVA, 'texto'=>$textoTVA, 'totalPVP'=>$totalPVP_TVA, 'totalUnit'=>$totalUnit_TVA, 'totalTVA'=>$totalTVA_TVA, 'tipo'=>$tipoMovimentoTVA, 'id_imposto_TVA'=>$id_imposto_TVA);
			}
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA031";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		die(json_encode($response));
	}
	if(isset($dataTVA)){
		foreach ($dataTVA as $line) {
			// insertMovimentoContabilistico($line['plano'], $line['texto'], $line['totalTVA'], 0, 0, $line['tipo']);
			// insertMovimentoContabilisticoManual($line['plano'], $line['texto'], $line['totalTVA'], 0, 0, $line['tipo'], $dataNew, 'A');
			insertMovimentoContabilisticoManual($planoFornecedor, $line['plano'], $line['texto'], $line['totalTVA'], 0, $line['totalTVA'], $line['tipo'], $dataNew, 'A', $line['id_imposto_TVA'], 1);
		}
	}
	//------------------------------------------------------------------------
	//------------------------------------------------------------------------

	//log sistema - processo
	$descricao_log ="Édition et finalisation du note de crédit (Achat) (numéro: ".$numero.")";
	insert_log(0,"Editar",$descricao_log,$sqli_connection);
}else{
	$response["nota"] = $idNota;

	//log sistema - processo
	$descricao_log ="Édition du note de crédit (Achat) (numéro: ".$numero.")";
	insert_log(0,"Editar",$descricao_log,$sqli_connection);
}
//------------------------------------------------------------------------

//BLOCK CLIENT ----------------------------------------------------------
$query = "UPDATE faturacao_fornecedores SET Usado=1 WHERE ID_Fornecedor=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $fornecedor);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA027";
		$response["message"] = $stmt -> error;
		restoreRecord($idNota);
		recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA028";
	$response["message"] = $sqli_connection -> error;
	restoreRecord($idNota);
	recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
	die(json_encode($response));
}
//------------------------------------------------------------------------

//BLOCK BANK ----------------------------------------------------------
$query = "UPDATE faturacao_bancos SET Usado=1 WHERE ID_Banco=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $bancoFinalID);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA029";
		$response["message"] = $stmt -> error;
		restoreRecord($idNota);
		recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA030";
	$response["message"] = $sqli_connection -> error;
	restoreRecord($idNota);
	recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
	die(json_encode($response));
}
//------------------------------------------------------------------------

//INSERT NEW MOTIVE IF NOT INSERTED YET ----------------------------------
$query = "SELECT COUNT(*) FROM faturacao_motivos_notas WHERE Descricao LIKE '%".$motivo."%'";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA031";
			$response["message"] = $stmt -> error;
			restoreRecord($idNota);
			recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
			die(json_encode($response));
		}
		$stmt -> bind_result( $counterMotives );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA032";
		$response["message"] = $sqli_connection -> error;
		restoreRecord($idNota);
		recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
		die(json_encode($response));
	}
	if( $counterMotives < 1 ){
		$query = "INSERT INTO faturacao_motivos_notas (Descricao) VALUES (?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("s", $motivo );
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA033";
				$response["message"] = $stmt -> error;
				restoreRecord($idNota);
				recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA034";
			$response["message"] = $sqli_connection -> error;
			restoreRecord($idNota);
			recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName);
			die(json_encode($response));
		}
	}
//------------------------------------------------------------------------


//response
$response["errors"] = false;
die(json_encode($response));

//remove inserted Enregistrer if gives an error
function restoreRecord($idNota){
	global $sqli_connection;

	// DEFINE NEW NUMBER
	$query = "UPDATE faturacao_compras_notas_credito SET ID_UtilizadorAtualizacao=0, DataAtualizacao='', Estado='Rascunho' WHERE ID_NotaCreditoCompra = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idNota);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM000";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM001";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	// UPDATE REMAIN FIELDS LINES
	$query = "UPDATE faturacao_compras_notas_credito_linhas SET TaxPointDate='' WHERE ID_NotaCreditoCompra = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idNota );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM004";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM004A";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}

//Recalculate Totals for origin Document
function recalculateTotalsOrigin($docOrigem, $tableName, $fieldIdName){
	global $sqli_connection;
	$totalLiqGeralNew = 0;
	$totalLiqDocNew = 0;
	//GET ORIGIN DOC TOTALS AND UPDATE THEM ------------------------------
	$query = "SELECT GrossTotal, GrossTotal, Estado FROM ".$tableName." WHERE ".$fieldIdName."=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $docOrigem);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM005";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($totalPagarOrigem, $totalGrossOrigem, $estadoOrigem );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM006";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//last check on estado
	if( $estadoOrigem != 'Aberto' && $estadoOrigem != 'Pago' )
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "REM007";
		die(json_encode($response));
	}else{
		//GET NC TOTALS -----------------------------
		$query = "SELECT SUM(GrossTotal) FROM faturacao_compras_notas_credito WHERE ID_Documento_Origem=? AND Estado IN ('Aberto','Pago')";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $docOrigem);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "REM008";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($sumGrossNC );
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM009A";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//-------------------------------------------
		//totals
		$totalCreditado = $sumGrossNC; //document total credited

		//round numbers
		$totalCreditado = round($totalCreditado,$numDecimais);

		if($totalCreditado > $totalGrossOrigem){
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM010A";
			$response["message"] = "Valores Inválidos";
			die(json_encode($response));
		}

		$estadoNovo = 'Aberto';
		if( $totalCreditado < $totalPagarOrigem){
			$estadoNovo = 'Aberto';
		}elseif( $totalCreditado = $totalPagarOrigem){
			$estadoNovo = 'Pago';
		}else{
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM010B";
			$response["message"] = "Valores Inválidos";
			die(json_encode($response));
		}

		$query = "UPDATE ".$tableName." SET TotalCreditado=?, Estado=? WHERE ".$fieldIdName."=?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("ssd", $totalCreditado, $estadoNovo, $docOrigem);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "REM011";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM012";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
	}
	//--------------------------------------------------------------------
}
?>