<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1145,1056,1057,1687,182,183,184);
if(isset($data3)){
	$data3 = $data3 + get_trad($ids_list);
} else {
	$data3 = get_trad($ids_list);
}
$data = "";
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idFatura = $_POST['idDocument'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idFatura == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//OBTEM OS Données de Facture -------------------------------------------
$query = "SELECT ID_Compra, 
		(SELECT CONCAT(Nome,' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor) AS Fornecedor, 
		(SELECT Nif FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor) AS Fornecedor, 
		EnderecoFornecedor, 
		CodigoPostalFornecedor, 
		CidadeFornecedor, 
		RegiaoFornecedor, 
		EmailFornecedor, 
		PaisFornecedor, 
		(SELECT CONCAT(Nome,' (',Simbolo,')') FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras.ID_Moeda )AS Moeda, 
		(SELECT ISO_Code FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras.ID_Moeda )AS ISOCode, 
		(SELECT Simbolo FROM faturacao_moedas WHERE faturacao_moedas.ID_Moeda = faturacao_compras.ID_Moeda )AS Simbolo, 
		TaxaMoeda,
		Vencimento,
		if((SELECT Nome from faturacao_series where ID_Serie = faturacao_compras.ID_Serie), CONCAT('PY ',(SELECT Nome from faturacao_series where ID_Serie = faturacao_compras.ID_Serie),'/',Numero), Numero),
		Data, 
		Validade, 
		Referencia, 
		Observacoes, 
		PercentagemDesconto, 
		Estado, 
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_compras.ID_Utilizador) AS Criador, 
		TimeStampDate, 
		(SELECT Descricao FROM faturacao_metodos_pagamento WHERE faturacao_metodos_pagamento.ID_Metodo = faturacao_compras.MetodoPagamento) AS MetodoPagamento,
		(SELECT Nome FROM faturacao_bancos WHERE faturacao_bancos.ID_Banco = faturacao_compras.ID_Banco) AS Banco,
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_compras.ID_UtilizadorAtualizacao) AS UtilizadorAtualizacao, 
		DataAtualizacao,
		GrossTotal,
		DataPagamento,
		(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras.ID_Compra AND faturacao_compras_notas_credito.Estado<>'Anulado') AS CountNotasCredito,
		(SELECT COUNT(*) FROM faturacao_compras_pagamentos WHERE faturacao_compras_pagamentos.ID_Compra = faturacao_compras.ID_Compra) AS CountPagamentos,
		TotalLiquidado,
		TotalCreditado
		FROM faturacao_compras WHERE ID_Compra=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['ID_Compra'],
	        	$objectData['Fornecedor'],
	        	$objectData['Nif'],
	        	$objectData['EnderecoFornecedor'],
	        	$objectData['CodigoPostalFornecedor'],
	        	$objectData['CidadeFornecedor'],
	        	$objectData['RegiaoFornecedor'],
	        	$objectData['EmailFornecedor'],
	        	$objectData['PaisFornecedor'],
	        	$objectData['Moeda'],
	        	$objectData['IsoCode'],
	        	$objectData['Simbolo'],
	        	$objectData['TaxaMoeda'],
	        	$objectData['Vencimento'],
	        	$objectData['Numero'],
	        	$objectData['Data'],
	        	$objectData['Validade'],
	        	$objectData['Referencia'],
	        	$objectData['Observacoes'],
	        	$objectData['PercentagemDesconto'],
	        	$objectData['Estado'],
	        	$objectData['UtilizadorCriador'],
	        	$objectData['DataCriacao'],
	        	$objectData['MetodoPagamento'],
	        	$objectData['Banco'],
	        	$objectData['ID_UtilizadorAtualizacao'],
	        	$objectData['DataAtualizacao'],
	        	$objectData['GrossTotal'],
	        	$objectData['DataPagamento'],
	        	$objectData['CountNotasCredito'],
	        	$objectData['CountPagamentos'],
	        	$objectData['TotalLiquidado'],
	        	$objectData['TotalCreditado']
			);
	$stmt -> fetch();
	$stmt -> close();

	$objectData['PaisFull'] = getCountryByISO2($objectData['PaisFornecedor']);
	$objectData['DataCriacao'] = date('d/m/Y H:i:s', $objectData['DataCriacao']);
	$tempDate = DateTime::createFromFormat('d/m/Y', $objectData['Data']);
	$objectData['DataNormalizada'] = $tempDate->format('Y/m/d');
	switch($objectData['MetodoPagamento']){
	case "Cash":
		$objectData['MetodoPagamento'] = $data3[184]['trad'];
		break;
	case "Virement Bancaire":
		$objectData['MetodoPagamento'] = $data3[1687]['trad'];
		break;
	case "Carte de Crédit":
		$objectData['MetodoPagamento'] = $data3[182]['trad'];
		break;
	case "Carte de Débit":
		$objectData['MetodoPagamento'] = $data3[183]['trad'];
		break;
}
	//processar totais
	$objectData['TotalPagar_Estrangeiro'] = $objectData['GrossTotal'] * $objectData['TaxaMoeda'];
	
	$objectData['Solde'] = $objectData['GrossTotal'] - $objectData['TotalLiquidado'];
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//OBTEM AS LINHAS DA FATURA ------------------------------------------
$query = "SELECT (SELECT Codigo FROM faturacao_artigos WHERE faturacao_artigos.ID_Artigo = faturacao_compras_linhas.ID_Artigo) AS Artigo,
		Descricao,
		Quantidade,
		UnidadeMedida,
		PrecoUnitario,
		ID_Imposto,
		(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS ValorIVA,
		(SELECT ID_Motivo FROM faturacao_motivos_isencao WHERE faturacao_motivos_isencao.Codigo = faturacao_compras_linhas.TaxExemptionCode ) AS ID_Motivo,
		CONCAT(TaxExemptionCode,': ',TaxExemptionReason) AS Motivo,
		DescontoLinha,
		ValorRetencao,
		TotalLinha,
		PlanoContas,
		PlanoContasTVA
		FROM faturacao_compras_linhas WHERE ID_Compra=? ORDER BY ID_Linha";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($artigo, $descricao, $qtd, $unidade, $preco, $idIva, $desc_imposto, $valorIva, $id_motivo, $motivo, $desconto, $retencao, $totalLinha, $PlanoContas, $PlanoContasTVA );
	while ($stmt -> fetch()) {
		$datalin[] = array(
		        	"artigo" => $artigo,
					"descricao" => nl2br($descricao),
					"qtd" => $qtd,
					"unidade" => $unidade,
					"preco" => $preco,
					"idIva" => $idIva,
					"imposto" => number_format($valorIva,2).'%',
					"desc_imposto" => $desc_imposto,
					"valorIva" => $valorIva,
					"id_motivo" => $id_motivo,
					"motivo" => $motivo,
					"desconto" => $desconto,
					"retencao" => $retencao,
					"totalLinha" => $totalLinha,
					"PlanoContas" => $PlanoContas,
					"PlanoContasTVA" => $PlanoContasTVA,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['linhas'] = $datalin;
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>