<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";

//process filters and related
$dateAccuel = "01/01/".date("Y");
$dateFin = "31/12/".date("Y");
if(isset( $_GET['dateAccuel']) ) $dateAccuel = $_GET['dateAccuel'];
if(isset( $_GET['dateFin']) ) $dateFin = $_GET['dateFin'];

$dateTemp = str_replace('/','-',$dateAccuel);

$dateD = date('d/m/Y',strtotime($dateTemp.' -1 year'));
$dateTemp = str_replace('/','-',$dateFin);
$dateF = date('d/m/Y',strtotime($dateTemp.' -1 year'));

// echo $dateAccuel;
// echo ' - ';
// echo $dateFin;

/* Array of database columns which should be read and sent back to DataTables. Use a space where
 * you want to insert a non-database field (for example a counter or static image)
 */
$aColumns = array(
    'CONCAT(Codigo)',
    'Descricao', 
    'PlanoCategoria', 
    'SubCategoriaPlanoConta', 
    'ID_CobrancaIVA', 
    'Ecriture',
    'IFNULL( 
        ( 
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito LIKE CONCAT(faturacao_plano_conta.Codigo,"%") 
                        AND ( 
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateAccuel.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateFin.'", "%d/%m/%Y") 
                        )
                ),0)
            )
            -
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Credito LIKE CONCAT(faturacao_plano_conta.Codigo,"%")
                        AND (
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateAccuel.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateFin.'", "%d/%m/%Y") 
                        ) 
                ),0)
            ) 
        )
    , 0)',
    'ID_Plano',
	'IFNULL( 
        ( 
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito LIKE CONCAT(faturacao_plano_conta.Codigo,"%") 
                        AND ( 
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateD.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateF.'", "%d/%m/%Y") 
                        )
                ),0)
            )
            -
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Credito LIKE CONCAT(faturacao_plano_conta.Codigo,"%")
                        AND (
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateD.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateF.'", "%d/%m/%Y") 
                        ) 
                ),0)
            ) 
        )
    , 0)',
);

/* Column to filter*/
$fFilter = array(
    'CONCAT(Codigo)',
    'Descricao', 
    'PlanoCategoria', 
    'SubCategoriaPlanoConta', 
    'ID_CobrancaIVA', 
    'Ecriture',
    'IFNULL( 
        ( 
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito LIKE CONCAT(faturacao_plano_conta.Codigo,"%") 
                        AND ( 
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateAccuel.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateFin.'", "%d/%m/%Y") 
                        )
                ),0)
            )
            -
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Credito LIKE CONCAT(faturacao_plano_conta.Codigo,"%")
                        AND (
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateAccuel.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateFin.'", "%d/%m/%Y") 
                        ) 
                ),0)
            ) 
        )
    , 0)',
    'ID_Plano',
	'IFNULL( 
        ( 
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito LIKE CONCAT(faturacao_plano_conta.Codigo,"%") 
                        AND ( 
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateD.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateF.'", "%d/%m/%Y") 
                        )
                ),0)
            )
            -
            (
                IFNULL((
                    SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Credito LIKE CONCAT(faturacao_plano_conta.Codigo,"%")
                        AND (
                            STR_TO_DATE(Data, "%d/%m/%Y") BETWEEN STR_TO_DATE("'.$dateD.'", "%d/%m/%Y") AND STR_TO_DATE("'.$dateF.'", "%d/%m/%Y") 
                        ) 
                ),0)
            ) 
        )
    , 0)',
);


// 'AS' NAMES
$namesColumns = array(
    "Codigo",
    "Descricao",
    "PlanoCategoria",
    "SubCategoriaPlanoConta",
    "ID_CobrancaIVA",
    "Ecriture",
    "Total_PVP",
    'ID_Plano',
	"Total_PVP_Old",
);


/* Indexed column (used for fast and accurate table cardinality) */
$sIndexColumn = "faturacao_plano_conta.ID_Plano";

/* DB table to use */
$sTable = "faturacao_plano_conta";

/*DB Table to count*/
$cTable = "faturacao_plano_conta";

/*LEFT JOIN Table*/
$sLeft="";

/*Join Table*/
$sJoin = "PlanoCategoria NOT LIKE 'Bilan' ";
if(isset( $_GET['compteDe']) && $_GET['compteDe'] != null && $_GET['compteDe'] != 'null'){
    $sJoin .= " AND CONCAT(Codigo) >= '".$_GET['compteDe']."'";
}
if(isset( $_GET['compteAu']) && $_GET['compteAu'] != null && $_GET['compteAu'] != 'null' ){
    $sJoin .= " AND CONCAT(Codigo) <= '".$_GET['compteAu']."'";
}

/* 
 * Paging
 */
$sLimit = "";
if ( isset( $_GET['iDisplayStart'] ) && $_GET['iDisplayLength'] != '-1' )
{
    $sLimit = "LIMIT ".mysql_real_escape_string( $_GET['iDisplayStart'] ).", ".
        mysql_real_escape_string( $_GET['iDisplayLength'] );
}


/*
 * Ordering
 */
if ( isset( $_GET['iSortCol_0'] ) )
{
    $sOrder = "ORDER BY  ";
    for ( $i=0 ; $i<intval( $_GET['iSortingCols'] ) ; $i++ )
    {
        if ( $_GET[ 'bSortable_'.intval($_GET['iSortCol_'.$i]) ] == "true" )
        {
            $sOrder .= $aColumns[ intval( $_GET['iSortCol_'.$i] ) ]."
                ".mysql_real_escape_string( $_GET['sSortDir_'.$i] ) .", ";
        }
    }
    
    $sOrder = substr_replace( $sOrder, "", -2 );
    if ( $sOrder == "ORDER BY" )
    {
        $sOrder = "";
    }
}


/* 
 * Filtering
 * NOTE this does not match the built-in DataTables filtering which does it
 * word by word on any field. It's possible to do here, but concerned about efficiency
 * on very large tables, and MySQL's regex functionality is very limited
 */
    $sWhere = "WHERE " . $sJoin;
if ( $_GET['sSearch'] != "" )
{
    $sWhere = "WHERE ". $sJoin. " AND(";
    
    for ( $i=0 ; $i<count($fFilter) ; $i++ )
    {
        $sWhere .= $fFilter[$i]." LIKE '%".mysql_real_escape_string( $_GET['sSearch'] )."%' OR ";
    }
    $sWhere = substr_replace( $sWhere, "", -3 );
    $sWhere .= ')';
    
}

/* Individual column filtering */
for ( $i=0 ; $i<count($fFilter) ; $i++ )
{
    if ( $_GET['bSearchable_'.$i] == "true" && $_GET['sSearch_'.$i] != '' )
    {
        if ( $sWhere == "" )
        {
            $sWhere = "WHERE ";
        }
        else
        {
            $sWhere .= " AND ";
        }
        $sWhere .= $fFilter[$i]." LIKE '%".mysql_real_escape_string($_GET['sSearch_'.$i])."%' ";
    }
    
}



/*
* Select list
*/
$sSelect = "";
for ( $i=0 ; $i<count($aColumns) ; $i++ )
    {
             $sSelect .= $aColumns[$i] .' as `'.$namesColumns[$i].'`, ';
    }
$sSelect = substr_replace( $sSelect, "", -2 );

/*
 * SQL queries
 * Get data to display
 */
$sQuery = "
    SELECT SQL_CALC_FOUND_ROWS ". $sSelect ."
    FROM   $sTable
    $sWhere 
    $sOrder
    $sLimit
";
// echo $sQuery;
$rResult = executaQuery($sQuery);



/* Data set length after filtering */
$sQuery = "
    SELECT FOUND_ROWS()
";
$rResultFilterTotal = executaQuery($sQuery);
$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];

/* Total data set length */

$sQuery = "
    SELECT COUNT(".$sIndexColumn.")
    FROM   $cTable
"; 
$rResultTotal = executaQuery($sQuery);
$aResultTotal = mysql_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];


/*
 * Output
 */
$output = array(
    "sEcho" => intval($_GET['sEcho']),
    "iTotalRecords" => $iTotal,
    "iTotalDisplayRecords" => $iFilteredTotal,
    "aaData" => array()
);

while ( $aRow = mysql_fetch_array( $rResult ) )
{
    
    $row = array();
    for ( $i=0 ; $i<count($namesColumns) ; $i++ )
    {
        if ( $namesColumns[$i] == "version" )
        {
            /* Special output formatting for 'version' column */
            $row[] = ($aRow[ $namesColumns[$i] ]=="0") ? '-' : $aRow[ $namesColumns[$i] ] ;
        }
        else if ( $namesColumns[$i] != ' ' )
        {
            /* General output */
            $row[] = $aRow[ $namesColumns[$i] ];
            
        }
    }
    $output['aaData'][] = $row;
}

echo json_encode( $output );
?>