<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idDocumento = $_POST['idDocumento'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT 
	(SELECT Email FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_notas_credito.ID_Cliente) AS EmailCliente,
	faturacao_notas_credito.ID_Cliente FROM faturacao_notas_credito WHERE ID_NotaCredito=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocumento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['EmailSender'],
	    $objectData['ID_Cliente']
	);
	$stmt -> fetch();
	$stmt -> close();
	
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>