<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
$code = '';
if($snc_table == 'faturacao_snc_base'){$code = '2211';}
elseif($snc_table == 'faturacao_snc_micro'){$code = '221';}
else{
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS000";
	$response["message"] = 'SNC - tabela invalida';
	die(json_encode($response));
}

//VALIDATE NIF FUNCTION -------------------------------------------------
function validaNIF($nif, $ignoreFirst=true) {
	return true;
	//Limpamos eventuais espaços a mais
	$nif=trim($nif);
	//Verificamos se é numérico e tem comprimento 9
	if (!is_numeric($nif) || strlen($nif)!=9) {
		return false;
	} else {
		$nifSplit=str_split($nif);
		//O primeiro digíto tem de ser 1, 2, 5, 6, 8 ou 9
		//Ou não, se optarmos por ignorar esta "regra"
		if ( in_array($nifSplit[0], array(1, 2, 3, 5, 6, 8, 9))	||	$ignoreFirst ) {
			//Calculamos o dígito de controlo
			$checkDigit=0;
			for($i=0; $i<8; $i++) {
				$checkDigit+=$nifSplit[$i]*(10-$i-1);
			}
			$checkDigit=11-($checkDigit % 11);
			//Se der 10 então o dígito de controlo tem de ser 0
			if($checkDigit>=10) $checkDigit=0;
			//Comparamos com o último dígito
			if ($checkDigit==$nifSplit[8]) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}
}

//GET POST VARS ---------------------------------------------------------
$nome_fornecedor = $_POST['nome_fornecedor'];
$apelido_fornecedor = $_POST['apelido_fornecedor'];
$nif_fornecedor = $_POST['nif_fornecedor'];
$titulo_fornecedor = $_POST['titulo_fornecedor'];
$pais_fornecedor = $_POST['pais_fornecedor'];
$endereco_fornecedor = $_POST['endereco_fornecedor'];
$codigopostal_fornecedor = $_POST['codigopostal_fornecedor'];
$regiao_fornecedor = $_POST['regiao_fornecedor'];
$cidade_fornecedor = $_POST['cidade_fornecedor'];
$grupo_fornecedor = $_POST['grupo_fornecedor'];
$email_fornecedor = $_POST['email_fornecedor'];
$website_fornecedor = $_POST['website_fornecedor'];
$tlm_fornecedor = $_POST['tlm_fornecedor'];
$tlf_fornecedor = $_POST['tlf_fornecedor'];
$fax_fornecedor = $_POST['fax_fornecedor'];
$preferencial_nome_fornecedor = $_POST['preferencial_nome_fornecedor'];
$preferencial_email_fornecedor = $_POST['preferencial_email_fornecedor'];
$preferencial_tlm_fornecedor = $_POST['preferencial_tlm_fornecedor'];
$preferencial_tlf_fornecedor = $_POST['preferencial_tlf_fornecedor'];
$pagamento_fornecedor = $_POST['pagamento_fornecedor'];
$vencimento_fornecedor = $_POST['vencimento_fornecedor'];
$desconto_fornecedor = $_POST['desconto_fornecedor'];
$flagContaGeral = $_POST['flagContaGeral'];
$plano_fornecedor = $_POST['plano_fornecedor'];

$nome_responsavel_1 = $_POST['nome_responsavel_1'];
$prenom_responsavel_1 = $_POST['prenom_responsavel_1'];
$email_responsavel_1 = $_POST['email_responsavel_1'];
$contacto_responsavel_1 = $_POST['contacto_responsavel_1'];

$nome_responsavel_2 = $_POST['nome_responsavel_2'];
$prenom_responsavel_2 = $_POST['prenom_responsavel_2'];
$email_responsavel_2 = $_POST['email_responsavel_2'];
$contacto_responsavel_2 = $_POST['contacto_responsavel_2'];

$nome_responsavel_3 = $_POST['nome_responsavel_3'];
$prenom_responsavel_3 = $_POST['prenom_responsavel_3'];
$email_responsavel_3 = $_POST['email_responsavel_3'];
$contacto_responsavel_3 = $_POST['contacto_responsavel_3'];

//NEW BANK FIELDS
$new_tipopagamento_fornecedor = $_POST['new_tipopagamento_fornecedor'];
$new_iban_fornecedor = $_POST['new_iban_fornecedor'];
$new_bicswift_fornecedor = $_POST['new_bicswift_fornecedor'];
$new_banco_fornecedor = $_POST['new_banco_fornecedor'];
$new_contapostal_fornecedor = $_POST['new_contapostal_fornecedor'];
$new_bvr_fornecedor = $_POST['new_bvr_fornecedor'];
$new_numconta_fornecedor = $_POST['new_numconta_fornecedor'];

//VERIFICA SE HA NULOS ---------------------------------------------------
// if ( $nome_fornecedor == '' || $endereco_fornecedor == '' || $codigopostal_fornecedor == '' || $cidade_fornecedor == '' || $pais_fornecedor == '' || $plano_fornecedor == '' || $new_tipopagamento_fornecedor == '' || $new_banco_fornecedor == '' || $new_contapostal_fornecedor == '' || $new_bvr_fornecedor == '' || $new_numconta_fornecedor == '' ) 
if ( $nome_fornecedor == ''  ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//VALIDATE IBAN ----------------------------------------------------------
if($new_tipopagamento_fornecedor == '836' && $new_iban_fornecedor == ''){	
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000A";
	die(json_encode($response));
}

//VALIDATE NIF -----------------------------------------------------------
if($pais_fornecedor == 'PT' && $nif_fornecedor > 0){	
	$validNIF = validaNIF($nif_fornecedor, false);
	if($validNIF == false){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["nif_error"] = true;
		$response["line"] = "FATS001";
		die(json_encode($response));
	}
// }else{
	// $nif_fornecedor = '999999990';
}

// if($nif_fornecedor != '999999990' && $nif_fornecedor > 0){
// 	//CHECK IF NIF EXISTS
// 	$query = "SELECT COUNT(*) FROM faturacao_fornecedores WHERE Nif = ".$nif_fornecedor;
// 	if ( $stmt = $sqli_connection -> prepare($query) ) {
// 		//result
// 		$result = $stmt -> execute();
// 		if (false === $result) {
// 			$response["errors"] = true;
// 			$response["type"] = "FATS001A";
// 			$response["message"] = $stmt -> error;
// 			die(json_encode($response));
// 		}
// 		$stmt -> store_result();
// 		$stmt -> bind_result($counterNif);
// 		$stmt -> fetch();
// 		$stmt -> close();
// 	} else {
// 		$response["errors"] = true;
// 		$response["type"] = "FATS001B";
// 		$response["message"] = $sqli_connection -> error;
// 		die(json_encode($response));
// 	}

// 	if($counterNif > 0){
// 		$response["errors"] = true;
// 		$response["type"] = "var";
// 		$response["nif_error"] = true;
// 		$response["line"] = "FATS001C";
// 		die(json_encode($response));
// 	}
// }

//GET ACCOUNT ID --------------------------------------------------------
$idSncBase = 0;
$query = "SELECT ID_Snc_Base FROM ".$snc_table." WHERE Snc_Code = ".$code."";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA002";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idSncBase);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

$idAccount = 0;
if($flagContaGeral == 1){
	// $query = "SELECT ID_Account FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." AND ContaSistema =1";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA004";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($idAccount);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "FTGA005";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
}else{
	//RECALCULATE THE ACCOUNT ID ---------------------------------------------
	// $query = "SELECT MAX(AccountID) FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." ";
	// if ($stmt = $sqli_connection -> prepare($query)) { 
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA006";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($accountMaxNumber);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }

	// $query = "SELECT Snc_Code, Taxonomy_Code FROM ".$snc_table." WHERE ID_Snc_Base = ?";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("d", $idSncBase);
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA007";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($sncCode, $taxonomyCode);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
	// //get parent base
	// $baseParent = substr($sncCode, 0, 2);
	// // var_dump($baseParent);
	// if ($accountMaxNumber < 1) {
	// 	$tmpAccount = $sncCode."0000";
	// 	$finalAccountNumber = $tmpAccount;
	// }
	// else{
	// 	$tmpAccount = $accountMaxNumber + 1;
	// 	$finalAccountNumber = $tmpAccount;
	// }
	// //------------------------------------------------------------------------

	// //INSERT DB --------------------------------------------------------------
	// $query = "INSERT INTO faturacao_accounts (ID_SNC, AccountID, AccountDescription, TaxonomyCode, OpeningDebit, OpeningCredit) VALUES (?,?,?,?,0,0)";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("dsss", $idSncBase, $finalAccountNumber, $nome_fornecedor, $taxonomyCode);
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "query";
	// 		$response["line"] = "FATS008";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "query";
	// 	$response["line"] = "FATS004";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }

	// //GET THE ID_ACCOUNT -----------------------------------------------------
	// $query = "SELECT ID_Account FROM faturacao_accounts WHERE AccountID = ".$finalAccountNumber;
	// if ($stmt = $sqli_connection -> prepare($query)) { 
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA009";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($idAccount);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
	// //------------------------------------------------------------------------
}

$idAccount = 0;
//PROCESS FIELDS -------------------------------------------------------------
$finalMetPagamento = $pagamento_fornecedor;
if($pagamento_fornecedor == '-'){
	$query = "SELECT MetodoPagamento FROM faturacao_personalizar_documentos WHERE ID_personalizar = 1";
	if ($stmt = $sqli_connection -> prepare($query)) { 
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA010";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($finalMetPagamento);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA011";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}

$finalVencimento = $vencimento_fornecedor;
if($vencimento_fornecedor == '-'){
	$query = "SELECT Vencimento FROM faturacao_personalizar_documentos WHERE ID_personalizar = 1";
	if ($stmt = $sqli_connection -> prepare($query)) { 
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA011";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($finalVencimento);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA012";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//----------------------------------------------------------------------------

//GET NEXT CODIGO Fornecedor ----------------------------------------------------
$query = "SELECT MAX(CAST(Codigo AS UNSIGNED)) FROM faturacao_fornecedores";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($nextID);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//return next id
$codigoFornecedor = $nextID+1;

$timestampFornecedor = microtime(true);

//INSERT DB ------------------------------------------------------------------
$query = "INSERT INTO faturacao_fornecedores (
	Nome, 
	Apelido, 
	Nif, 
	Codigo, 
	Endereco, 
	CodigoPostal, 
	Cidade, 
	Pais, 
	Regiao, 
	Email, 
	Telefone, 
	Telemovel, 
	Fax, 
	Website, 
	ID_Grupo, 
	MetPagamento, 
	Vencimento, 
	Desconto, 
	PreferenciaNome, 
	PreferenciaTelefone, 
	PreferenciaEmail, 
	PreferenciaTelemovel, 
	ID_Account,
	TimestampFornecedor,
	Titulo,
	PlanoContas,

	TypePayment,
	IBAN,
	BIC_SWIFT,
	ID_BancoFornecedor,
	ComptePostal,
	ID_BVR,
	NumeroCompte
	) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssdssssssssssdsssssssdssssssssss", 
	    $nome_fornecedor,
	    $apelido_fornecedor, 
		$nif_fornecedor, 
		$codigoFornecedor, 
		$endereco_fornecedor, 
		$codigopostal_fornecedor, 
		$cidade_fornecedor, 
		$pais_fornecedor, 
		$regiao_fornecedor, 
		$email_fornecedor, 
		$tlf_fornecedor, 
		$tlm_fornecedor, 
		$fax_fornecedor, 
		$website_fornecedor, 
		$grupo_fornecedor, 
		$finalMetPagamento, 
		$finalVencimento, 
		$desconto_fornecedor, 
		$preferencial_nome_fornecedor, 
		$preferencial_tlf_fornecedor, 
		$preferencial_email_fornecedor,
		$preferencial_tlm_fornecedor, 
		$idAccount,
		$timestampFornecedor, 
		$titulo_fornecedor,  
		$plano_fornecedor,

		//NEW BANK FIELDS
		$new_tipopagamento_fornecedor,
		$new_iban_fornecedor,
		$new_bicswift_fornecedor,
		$new_banco_fornecedor,
		$new_contapostal_fornecedor,
		$new_bvr_fornecedor,
		$new_numconta_fornecedor
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//GET NEXT CODIGO Fornecedor ----------------------------------------------------
$query = "SELECT ID_Fornecedor, Codigo FROM faturacao_fornecedores WHERE TimestampFornecedor = ?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$stmt -> bind_param("s", $timestampFornecedor);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP005";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($idFornecedor, $codigoLast);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP006";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//DELETE DB -------------------------------------------------------------
$query = "SELECT ID_Responsavel FROM faturacao_responsavel_entidades WHERE ID_Fornecedor = ?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$stmt -> bind_param("s", $idFornecedor);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP005A";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($idResponsavel);
	while ($stmt -> fetch()) {
		deleteResponsables($idResponsavel);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP006A";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//remove
function deleteResponsables($idResponsavel){
	global $sqli_connection;

	$query = "DELETE FROM faturacao_responsaveis WHERE ID_Responsavel=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idResponsavel );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "DEL001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "DEL002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}

//delete connections
$query = "DELETE FROM faturacao_responsavel_entidades WHERE ID_Fornecedor=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idFornecedor );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS007";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS008";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//----------------------------------------------------------------------

//INSERT INTO RESPONSABLES -------------------------------------------------
insertIntoResponsables($nome_responsavel_1, $prenom_responsavel_1, $email_responsavel_1, $contacto_responsavel_1,$idFornecedor,1);
insertIntoResponsables($nome_responsavel_2, $prenom_responsavel_2, $email_responsavel_2, $contacto_responsavel_2,$idFornecedor,2);
insertIntoResponsables($nome_responsavel_3, $prenom_responsavel_3, $email_responsavel_3, $contacto_responsavel_3,$idFornecedor,3);


//insert into
function insertIntoResponsables($nome_responsavel, $prenom_responsavel, $email_responsavel, $contacto_responsavel, $idFornecedor, $posicao){
	global $sqli_connection;

	if($nome_responsavel != '' || $prenom_responsavel != '' ){
		$query = "SELECT MAX(CAST(Codigo AS UNSIGNED)) FROM faturacao_responsaveis";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($nextID);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//return next id
		$codigoResponsavel = $nextID+1;

		$timestampResponsavel = microtime(true);

		$query = "INSERT INTO faturacao_responsaveis (
			Codigo, 
			Nome, 
			Prenom,
			Email,
			Contacto,
			TimeStampResponsavel
			) VALUES (?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("ssssss", 
				$codigoResponsavel,
			    $nome_responsavel, 
			    $prenom_responsavel, 
				$email_responsavel,
				$contacto_responsavel,
				$timestampResponsavel
			);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS003";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		$query = "SELECT ID_Responsavel FROM faturacao_responsaveis WHERE TimeStampResponsavel=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("s", $timestampResponsavel);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($idResponsavel);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//----- done inserting ------
		
		//INSERT IF NOT EXISTS
		$query = "INSERT INTO faturacao_responsavel_entidades (
			ID_Fornecedor, 
			ID_Responsavel,
			Posicao
			) VALUES (?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("sss", 
			    $idFornecedor,
				$idResponsavel,
				$posicao
			);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "INS002";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "INS003";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
	}
}
//--------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Création du fournisseur (Modal) (code: ".$codigoFornecedor.")";
insert_log(0,"Inserir",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
$response['idFornecedor'] = $idFornecedor;
$response['NextID'] = $codigoLast+1;
$response['codeFornecedor'] = $codigoLast;
die(json_encode($response));
?>