<?php 
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(319,1293,93,3,6,8,9,1161);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];
// $id_utilizador = 2;

//GET POST VARS ---------------------------------------------------------
$idDocumento = $_POST['idDocumento'];
$firstTime = $_POST['firstTime'];
// $idDocumento = $_GET['idDocumento'];
// $firstTime = $_GET['firstTime'];

$codArtigoLoc = 'CL0001';
$codArtigoEmo = 'CL0002';

//Licence facturée
$Qtd_Table = array(
	'Licence facturée: Mensuellement' => 1,
	'Licence facturée: Trimestriellement' => 3,
	'Licence facturée: Annuellement' => 12,
);

//Licence trimestres
$Qtd_Table_Trimestres = array(
	'01' => 1, //JAN --> Trimestre: 1
	'02' => 1, //FEV --> Trimestre: 1
	'03' => 1, //MAR --> Trimestre: 1
	'04' => 2, //ABR --> Trimestre: 2
	'05' => 2, //MAI --> Trimestre: 2
	'06' => 2, //JUN --> Trimestre: 2
	'07' => 3, //JUL --> Trimestre: 3
	'08' => 3, //AGO --> Trimestre: 3
	'09' => 3, //SET --> Trimestre: 3
	'10' => 4, //OUT --> Trimestre: 4
	'11' => 4, //NOV --> Trimestre: 4
	'12' => 4, //DEZ --> Trimestre: 4
);

//Licence trimestres
$Qtd_Table_Trimestres_Extenso = array(
	'01' => $data[3]['trad'], //JAN --> Trimestre: 1
	'02' => $data[3]['trad'], //FEV --> Trimestre: 1
	'03' => $data[3]['trad'], //MAR --> Trimestre: 1
	'04' => $data[6]['trad'], //ABR --> Trimestre: 2
	'05' => $data[6]['trad'], //MAI --> Trimestre: 2
	'06' => $data[6]['trad'], //JUN --> Trimestre: 2
	'07' => $data[8]['trad'], //JUL --> Trimestre: 3
	'08' => $data[8]['trad'], //AGO --> Trimestre: 3
	'09' => $data[8]['trad'], //SET --> Trimestre: 3
	'10' => $data[9]['trad'], //OUT --> Trimestre: 4
	'11' => $data[9]['trad'], //NOV --> Trimestre: 4
	'12' => $data[9]['trad'], //DEZ --> Trimestre: 4
);

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idDocumento == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "ID de document incorrect.";
	$response["line"] = "FATS00A";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//VERIFICA SE PODE SER GERADO --------------------------------------------
$query = "SELECT Estado FROM faturacao_licences WHERE ID_Licence=?";
if ( $stmt = $sqli_connection->prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocumento);
	//result single
	$result = $stmt->execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Estado);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if($Estado == 'Rascunho' ) {
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS003";
	$response["message"] = "Document non valide à générer automatiquement!";
	$response["estado"] = $Estado;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//DEFINE VARS -----------------------------------------------------------
$objectData = array();

//OBTEM OS DADOS Licence -----------------------------------------------
$query = "SELECT ID_Licence, 
		Numero,
		ID_Cliente,
		EnderecoCliente,
		CodigoPostalCliente,
		CidadeCliente,
		RegiaoCliente,
		EmailCliente,
		PaisCliente,
		(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_licences.ID_Cliente) AS CodigoCliente,
		(SELECT PlanoContas FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_licences.ID_Cliente) AS PlanoContasCliente,
		ID_Vendedor_Primeiro,
		(SELECT Nome FROM faturacao_vendedores WHERE faturacao_vendedores.ID_Vendedor = faturacao_licences.ID_Vendedor_Primeiro) AS VendedorPrimeiro,
		ID_Vendedor_Segundo,
		Data,
		Debut,
		Duree,
		Paiment,
		Referencia,
		Remarque,
		Location_Mensuelle,
		Emolument_Admin,
		TVA_Exclue_Primeiro,
		TVA_Exclue_Segundo,
		Estado,
		DataCriacao,
		ID_Utilizador_Criacao,
		DataAtualizacao,
		ID_Utilizador_Atualizacao
		FROM faturacao_licences WHERE ID_Licence=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocumento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS004";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['ID_Licence'],
	        	$objectData['Numero'],
	        	$objectData['ID_Cliente'],
	        	$objectData['EnderecoCliente'],
	        	$objectData['CodigoPostalCliente'],
	        	$objectData['CidadeCliente'],
	        	$objectData['RegiaoCliente'],
	        	$objectData['EmailCliente'],
	        	$objectData['PaisCliente'],
	        	$objectData['CodigoCliente'],
	        	$objectData['PlanoContasCliente'],
	        	$objectData['ID_Vendedor_Primeiro'],
	        	$objectData['VendedorPrimeiro'],
	        	$objectData['ID_Vendedor_Segundo'],
	        	$objectData['Data'],
	        	$objectData['Debut'],
	        	$objectData['Duree'],
	        	$objectData['Paiment'],
	        	$objectData['Referencia'],
	        	$objectData['Remarque'],
	        	$objectData['Location_Mensuelle'],
	        	$objectData['Emolument_Admin'],
	        	$objectData['TVA_Exclue_Primeiro'],
	        	$objectData['TVA_Exclue_Segundo'],
	        	$objectData['Estado'],
	        	$objectData['DataCriacao'],
	        	$objectData['ID_Utilizador_Criacao'],
	        	$objectData['DataAtualizacao'],
	        	$objectData['ID_Utilizador_Atualizacao']
			);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS005";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//OBTEM OS DADOS ARTIGO LICENCE -----------------------------------------
$query = "SELECT ProductCode,
	ProductDescription,
	ID_Artigo
	FROM faturacao_licences_linhas WHERE ID_Licence=? ORDER BY NumeroLinha ASC LIMIT 1";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocumento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS004";
		$response["message"] = $stmt -> error;
		return $response;
	}
	$stmt -> bind_result(
	        	$objectData['P_ProductCode'],
	        	$objectData['P_ProductDescription'],
	        	$objectData['P_ID_Artigo']
			);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS005";
	$response["message"] = $sqli_connection -> error;
	return $response;
}
//-----------------------------------------------------------------------

//GET ARTICLES DETAILS --------------------------------------------------
$artigo_location = array();

$query = "SELECT ID_Artigo,
	Codigo, 
	Nome, 
	Tipo,
	PrecoPVP,
	Preco,
	ID_Imposto,
	(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
	ID_Imposto_Fornecedor,
	(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
	PlanoContas,
	PlanoContasCompras,
	SerialNumber,
	(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
	(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
	(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
	(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
	FROM faturacao_artigos WHERE Codigo=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("s", $codArtigoLoc);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS006";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $artigo_location['ID_Artigo'],
	    $artigo_location['Codigo'],
	    $artigo_location['Nome'],
	    $artigo_location['Tipo'],
	    $artigo_location['PrecoPVP'],
	    $artigo_location['PrecoUn'],
	    $artigo_location['ID_Imposto'],
	    $artigo_location['ValorIVA'],
	    $artigo_location['ID_Imposto_Fornecedor'],
	    $artigo_location['Unidade'],
	    $artigo_location['PlanoContas'],
	    $artigo_location['PlanoContasCompras'],
	    $artigo_location['SerialNumber'],
	    $artigo_location['TaxType'],
	    $artigo_location['TaxCountryRegion'],
	    $artigo_location['TaxCode'],
	    $artigo_location['PlanoContasTVA']
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS007";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//Prepare remaing fields
$artigo_location['numlinha'] = 1;
$artigo_location['qtd'] = 1;
$artigo_location['preco'] = 0;
$artigo_location['preco_unit'] = 0;
$artigo_location['TaxPointDate'] = date("Y-m-d");
$artigo_location['TaxExemptionCode'] = '';
$artigo_location['TaxExemptionReason'] = '';
$artigo_location['Desconto'] = 0;
$artigo_location['settelementAmount'] = 0;
$artigo_location['retencao'] = 0;
$artigo_location['DebitAmount'] = 0;
$artigo_location['TotalLinha'] = 0;
//Special Name and Code from Licences line 1
$artigo_location['Codigo'] = $objectData['P_ProductCode'];
$artigo_location['Nome'] = $objectData['P_ProductDescription'];
$artigo_location['Custom_Description'] = $objectData['P_ProductDescription'];
$artigo_location['ID_Artigo'] = $objectData['P_ID_Artigo'];

//process name
$objectData['CustomDescArtigos'] = '';

switch ( $Qtd_Table[ $objectData['TVA_Exclue_Primeiro'] ] ) {
	case 1:
		$objectData['CustomDescArtigos'] = ' - '.date_french_ByElement($objectData['Debut'], 'd/m/Y', 'M').' '.date_french_ByElement($objectData['Debut'], 'd/m/Y', 'Y');
		break;
	case 3:
		$DebutDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
		$mDebut = $DebutDt->format('m');
		$objectData['CustomDescArtigos'] = ' - '.$Qtd_Table_Trimestres_Extenso[$mDebut];
		break;
	case 12:
		$DebutDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
		$beginDate = $DebutDt->format('d.m.Y');
		$EndDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
		$EndDt->modify('+1 year');
		$EndDt->modify('-1 day');
		$endDate = $EndDt->format('d.m.Y');
		$objectData['CustomDescArtigos'] = ' - '.$data[1293]['trad'].' '.$beginDate.' '.$data[93]['trad'].' '.$endDate;
		break;

	default: break;
}
$artigo_location['Custom_Description'] .= $objectData['CustomDescArtigos'];

//------------------------
$artigo_emolument = array();

$query = "SELECT ID_Artigo,
	Codigo, 
	Nome, 
	Tipo,
	PrecoPVP,
	Preco,
	ID_Imposto,
	(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
	ID_Imposto_Fornecedor,
	(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
	PlanoContas,
	PlanoContasCompras,
	SerialNumber,
	(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
	(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
	(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
	(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
	FROM faturacao_artigos WHERE Codigo=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("s", $codArtigoEmo);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS008";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $artigo_emolument['ID_Artigo'],
	    $artigo_emolument['Codigo'],
	    $artigo_emolument['Nome'],
	    $artigo_emolument['Tipo'],
	    $artigo_emolument['PrecoPVP'],
	    $artigo_emolument['PrecoUn'],
	    $artigo_emolument['ID_Imposto'],
	    $artigo_emolument['ValorIVA'],
	    $artigo_emolument['ID_Imposto_Fornecedor'],
	    $artigo_emolument['Unidade'],
	    $artigo_emolument['PlanoContas'],
	    $artigo_emolument['PlanoContasCompras'],
	    $artigo_emolument['SerialNumber'],
	    $artigo_emolument['TaxType'],
	    $artigo_emolument['TaxCountryRegion'],
	    $artigo_emolument['TaxCode'],
	    $artigo_emolument['PlanoContasTVA']
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS009";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//Prepare remaing fields
$artigo_emolument['numlinha'] = 2;
$artigo_emolument['qtd'] = 1;
$artigo_emolument['preco'] = 0;
$artigo_emolument['preco_unit'] = 0;
$artigo_emolument['TaxPointDate'] = date("Y-m-d");
$artigo_emolument['TaxExemptionCode'] = '';
$artigo_emolument['TaxExemptionReason'] = '';
$artigo_emolument['Desconto'] = 0;
$artigo_emolument['settelementAmount'] = 0;
$artigo_emolument['retencao'] = 0;
$artigo_emolument['DebitAmount'] = 0;
$artigo_emolument['TotalLinha'] = 0;

//process name
$artigo_emolument['Custom_Description'] = $artigo_emolument['Nome'];
$artigo_emolument['Custom_Description'] .= $objectData['CustomDescArtigos'];
//-----------------------------------------------------------------------

//CHECK IF ARTICLES EXISTS OR GIVE ERROR --------------------------------
if( !isset($artigo_emolument['ID_Artigo']) || $artigo_emolument['ID_Artigo'] < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "Les articles de licence n'existent pas.";
	$response["line"] = "FATS010";
	die(json_encode($response));
}
if( !isset($artigo_location['ID_Artigo']) || $artigo_location['ID_Artigo'] < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "Les articles de licence n'existent pas.";
	$response["line"] = "FATS011";
	die(json_encode($response));
}

//PREPARE VARS ----------------------------------------------------------
$timestamp = microtime(true);
$systemEntryDate = date("Y-m-d H:i:s");
$systemEntryDate = str_replace (' ','T',$systemEntryDate);
$numeroNew = 0;
// $dataNew = date("d/m/Y");
$dataNew = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
$dataNew = $dataNew->format('d/m/Y');

// $dateProcessed = date('Y-m-d', strtotime(" + ".$objectData['Paiment']." days"));
// $validadeNew = DateTime::createFromFormat('Y-m-d', $dateProcessed);
$validadeNew = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
$validadeNew = $validadeNew->modify('+'.$objectData['Paiment'].' days');
$validadeNew = $validadeNew->format('d/m/Y');

$invoiceTypeNew = 'FT';
$invoiceTypeOrigem = 'LC';
$totalLiquidadoDocumento = 0;
$totalLiquidado = 0;
$estadoNovo = 'Rascunho';
$idDocOrigem = $idDocumento;
$referenceDocOrigem = ''.$objectData['Numero'];

//CLIENT FIELDS
if( trim($objectData['EnderecoCliente']) == '-' ) $objectData['EnderecoCliente'] = 'Desconhecido';
if( trim($objectData['CodigoPostalCliente']) == '-' ) $objectData['CodigoPostalCliente'] = 'Desconhecido';
if( trim($objectData['CidadeCliente']) == '-' ) $objectData['CidadeCliente'] = 'Desconhecido';
if( trim($objectData['RegiaoCliente']) == '-' ) $objectData['RegiaoCliente'] = 'Desconhecido';
if( trim($objectData['EmailCliente']) == '-' ) $objectData['EmailCliente'] = 'Desconhecido';
if( trim($objectData['PaisCliente']) == '-' ) $objectData['PaisCliente'] = 'Desconhecido';

if( trim($objectData['VendedorPrimeiro']) == '' || $objectData['VendedorPrimeiro'] == null ) $objectData['VendedorPrimeiro'] = '';

$idMoeda = 1;
$taxaMoeda = 1;
$defaultSerie = 0; //select under
$defaultMetodo = 0;
$defaultBanco = 0;
$defaultBancoPlano = 1002;
$referenciaFatura = $data[319]['trad'].' '.$data[1161]['trad'].' '.$objectData['Numero'];
$observacoesFatura = $objectData['Remarque'];
$Desconto = 0;
$PercentagemDesconto = 0;
$TotaRetencao = 0;
$TotalSDesconto = 0;
$EACCode = '';
$CustomerID = $objectData['CodigoCliente'];

$TaxPayable = 0;
$NetTotal = 0;
$GrossTotal = 0;

$taxaIVA_location = $artigo_location['ValorIVA'] * 0.01;
$qtd_location = 1;

//calcular qtd Licence
$debutDate = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
$m = $debutDate->format('m');
$y = $debutDate->format('Y');
$todayYear = date('Y');
$todayMonth = date('m');

switch ($Qtd_Table_Trimestres[$m]) {
	case 1:
		$qtd_location = 4 - $m;
		break;
	case 2:
		$qtd_location = 7 - $m;
		break;
	case 3:
		$qtd_location = 10 - $m;
		break;
	case 4:
		$qtd_location = 13 - $m;
		break;
	
	default: break;
}
//process passed years (months)
// if($y < $todayYear){
// 	$yearsPassed = $todayYear - $y;
// 	$totalMonths = ($yearsPassed * 12) - abs($m - $todayMonth);
// 	$qtd_location = $qtd_location + $totalMonths;
// }

// print_r('Debut: '.$debutDate->format('d/m/Y'));
// print_r('<br>');
// print_r('M: '.$m);
// print_r('<br>');
// print_r('Y: '.$y);
// print_r('<br>');
// print_r('QTD 1: '.$qtd_location);
// print_r('<br>');
// print_r('<br>');
// print_r('TodayYear: '.$todayYear);
// print_r('<br>');
// print_r('todayMonth: '.$todayMonth);
// print_r('<br>');
// print_r('yearsPassed: '.$yearsPassed);
// print_r('<br>');
// print_r('totalMonths: '.$totalMonths);
// print_r('<br>');
// print_r('<br>');
// print_r('QTD Final: '.$qtd_location);
// die();

$taxaIVA_emolument = $artigo_emolument['ValorIVA'] * 0.01;
// $qtd_emolument = $Qtd_Table[$objectData['TVA_Exclue_Primeiro']];


// $artigo_location['qtd'] = $qtd_location;
$artigo_location['qtd'] = $Qtd_Table[ $objectData['TVA_Exclue_Primeiro'] ];
$qtd_location = $Qtd_Table[ $objectData['TVA_Exclue_Primeiro'] ];
// var_dump($objectData['TVA_Exclue_Primeiro'], $Qtd_Table[ $objectData['TVA_Exclue_Primeiro'] ]);

//PRIX UNI.
$artigo_location['preco_unit'] = $objectData['Location_Mensuelle'];
$NetTotal1 = $qtd_location * $objectData['Location_Mensuelle'];
$artigo_location['preco'] = $NetTotal1;

$artigo_emolument['preco_unit'] = $objectData['Emolument_Admin'];
$NetTotal2 = $objectData['Emolument_Admin'];
$artigo_emolument['preco'] = $NetTotal2;

$NetTotal = $NetTotal1 + $NetTotal2;
//TVA
$TaxPayable = $NetTotal1 * $taxaIVA_location;
$TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

$artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
$artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
//PRIX TOTAL
$GrossTotal = $NetTotal + $TaxPayable;

// if($firstTime == 1){
// 	//PRIX UNI.
// 	$NetTotal1 = $objectData['Location_Mensuelle'];
// 	$artigo_location['preco'] = $NetTotal1;

// 	$NetTotal2 = $objectData['Emolument_Admin'];
// 	$artigo_emolument['preco'] = $NetTotal2;

// 	$NetTotal = $NetTotal1 + $NetTotal2;
// 	//TVA
// 	$TaxPayable = $NetTotal1 * $taxaIVA_location;
// 	$TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

// 	$artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
// 	$artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
// 	//PRIX TOTAL
// 	$GrossTotal = $NetTotal + $TaxPayable;
// }else{
	// $artigo_location['qtd'] = $qtd_location;
	// //PRIX UNI.
	// $NetTotal1 = $qtd_location * $objectData['Location_Mensuelle'];
	// $artigo_location['preco'] = $NetTotal1;

	// $NetTotal2 = $objectData['Emolument_Admin'];
	// $artigo_emolument['preco'] = $NetTotal2;

	// $NetTotal = $NetTotal1 + $NetTotal2;
	// //TVA
	// $TaxPayable = $NetTotal1 * $taxaIVA_location;
	// $TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

	// $artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
	// $artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
	// //PRIX TOTAL
	// $GrossTotal = $NetTotal + $TaxPayable;
// }

//rounds
$NetTotal = round($NetTotal,$numDecimais);
$TaxPayable = round($TaxPayable,$numDecimais);
$GrossTotal = round($GrossTotal,$numDecimais);
$GrossTotal = roundPriceUp($GrossTotal);
$TotalSDesconto = $NetTotal;

// var_dump('TotalLinha1 --> '.$artigo_location['TotalLinha'],'<br>','TotalLinha2 --> '.$artigo_emolument['TotalLinha'],'<br>','<br>');
// var_dump('NetTotal --> '.$NetTotal,'<br>','TaxPayable --> '.$TaxPayable,'<br>','GrossTotal --> '.$GrossTotal);
// die();

//GET SERIES DEFAULT ----------------------------------------------------
$query = "SELECT ID_Serie FROM faturacao_series ORDER BY Predefinida DESC LIMIT 1";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011A";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $defaultSerie
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS011B";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//Confirm SERIE ID
if( $defaultSerie < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "Il n'y a pas de série prédéfinie.";
	$response["line"] = "FATS011C";
	die(json_encode($response));
}

//GET METODO DEFAULT ----------------------------------------------------
$query = "SELECT MetodoPagamento FROM faturacao_personalizar_documentos LIMIT 1";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011D";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $defaultMetodo
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS011E";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//Confirm METODO ID
if( $defaultSerie < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "Il n'y a pas de méthode de paiement par défaut";
	$response["line"] = "FATS011F";
	die(json_encode($response));
}

//GET BANCO DEFAULT ----------------------------------------------------
$query = "SELECT ID_Banco, PlanoContas FROM faturacao_bancos WHERE Ativo = 1 ORDER BY Predefinido DESC LIMIT 1";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011G";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $defaultBanco, $defaultBancoPlano 
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS011H";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//Confirm BANCO ID
if( $defaultSerie < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["message"] = "Aucune banque par défaut n'existe";
	$response["line"] = "FATS011I";
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//INSERT OPEN DOCUMENT --------------------------------------------------
$query = "INSERT INTO faturacao_faturas(
	ID_Cliente,
	EnderecoCliente,
	CodigoPostalCliente,
	CidadeCliente,
	RegiaoCliente,
	EmailCliente,
	PaisCliente,
	PlanoContas,
	ID_Moeda,
	TaxaMoeda,
	Vendedor,
	Vencimento,
	EnderecoCarga,
	CodigoPostalCarga,
	CidadeCarga,
	RegiaoCarga,
	ID_Serie,
	Numero,
	Data,
	Validade,
	Referencia,
	Observacoes,
	TaxPayable,
	NetTotal,
	GrossTotal,
	SystemEntryDate,
	TimeStampDate,
	Desconto,
	PercentagemDesconto,
	TotaRetencao,
	TotalSDesconto,
	InvoiceType,
	EACCode,
	CustomerID,
	TotalLiquidadoDocumento,
	TotalLiquidado,
	TotalPagar,
	MetodoPagamento,
	ID_Banco,
	PlanoContasBanco,
	Estado,
	ID_Utilizador,
	Tipo_Doc_Origem,
	ID_Doc_Origem,
	Reference,
	Data_Doc_Origem
	) 
	VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dsssssssdsssssssddssssssssssssssssssssddsdsdss",
	            $objectData['ID_Cliente'],
	            $objectData['EnderecoCliente'],
	            $objectData['CodigoPostalCliente'],
	            $objectData['CidadeCliente'],
	            $objectData['RegiaoCliente'],
	            $objectData['EmailCliente'],
	            $objectData['PaisCliente'],
	            $objectData['PlanoContasCliente'],
	            $idMoeda,
	            $taxaMoeda,
	            $objectData['VendedorPrimeiro'],
	            $objectData['Paiment'],
	            $objectData['EnderecoCliente'],
	            $objectData['CodigoPostalCliente'],
	            $objectData['CidadeCliente'],
	            $objectData['RegiaoCliente'],
	            $defaultSerie,
	            $numeroNew,
	            $dataNew,
	            $validadeNew,
	            $referenciaFatura,
	            $observacoesFatura,
	            $TaxPayable,
	            $NetTotal,
	            $GrossTotal,
	            $systemEntryDate,
	            $timestamp,
	            $Desconto,
	            $PercentagemDesconto,
	            $TotaRetencao,
	            $TotalSDesconto,
	            $invoiceTypeNew,
	            $EACCode,
	            $CustomerID,
	            $totalLiquidadoDocumento,
	            $totalLiquidado,
	            $GrossTotal,
	            $defaultMetodo,
	            $defaultBanco,
	            $defaultBancoPlano,
	            $estadoNovo,
	            $id_utilizador,
	            $invoiceTypeOrigem,
	            $idDocOrigem,
	            $referenceDocOrigem,
	            $objectData['Data']
	    	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS012";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS013";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//GET DOCUMENT ID
$query = "SELECT ID_Fatura FROM faturacao_faturas WHERE TimeStampDate = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("s", $timestamp);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FATS014";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idFaturaNew);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FATS015";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $idFaturaNew < 1){
	$response["errors"] = true;
	$response["type"] = "FATS016";
	$response["message"] = "Une erreur s'est produite lors de la création de la facture.";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//PROCESS THE LINES (1) --------------------------------------------------
$query = "INSERT INTO faturacao_faturas_linhas (
		ID_Fatura, 
		NumeroLinha, 
		ID_Artigo, 
		ProductCode, 
		ProductDescription, 
		Quantidade, 
		UnidadeMedida, 
		PrecoUnitario, 
		TaxPointDate, 
		Descricao, 
		SerialNumber, 
		ID_Imposto, 
		TaxType, 
		TaxCountryRegion, 
		TaxCode, 
		TaxPercentage, 
		TaxExemptionReason, 
		TaxExemptionCode, 
		DescontoLinha, 
		CreditAmount, 
		DebitAmount, 
		SettlementAmount, 
		ValorRetencao, 
		PercentagemRetencao, 
		TotalLinha, 
		TotalLinhaSIVA, 
		PlanoContas, 
		PlanoContasTVA) 
		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dddssssssssdssssssssssssssss", 
	        $idFaturaNew, 
	        $artigo_location['numlinha'], 
	        $artigo_location['ID_Artigo'], 
	        $artigo_location['Codigo'], 
	        $artigo_location['Nome'], 
	        $artigo_location['qtd'], 
	        $artigo_location['Unidade'], 
	        $artigo_location['preco_unit'], 
	        $artigo_location['TaxPointDate'], 
	        $artigo_location['Custom_Description'], 
	        $artigo_location['SerialNumber'], 
	        $artigo_location['ID_Imposto'], 
	        $artigo_location['TaxType'], 
	        $artigo_location['TaxCountryRegion'], 
	        $artigo_location['TaxCode'], 
	        $artigo_location['ValorIVA'], 
	        $artigo_location['TaxExemptionReason'], 
	        $artigo_location['TaxExemptionCode'], 
	        $artigo_location['Desconto'], 
	        $artigo_location['preco'], 
	        $artigo_location['DebitAmount'], 
	        $artigo_location['settelementAmount'], 
	        $artigo_location['retencao'], 
	        $artigo_location['retencao'], 
	        $artigo_location['TotalLinha'], 
	        $artigo_location['preco'], 
	        $artigo_location['PlanoContas'], 
	        $artigo_location['PlanoContasTVA'] 
	    );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS017";
		$response["message"] = $stmt -> error;
		deleteRecord($idFaturaNew);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS018";
	$response["message"] = $sqli_connection -> error;
	deleteRecord($idFaturaNew);
	die(json_encode($response));
}

//PROCESS THE LINES (2) --------------------------------------------------
$query = "INSERT INTO faturacao_faturas_linhas (
		ID_Fatura, 
		NumeroLinha, 
		ID_Artigo, 
		ProductCode, 
		ProductDescription, 
		Quantidade, 
		UnidadeMedida, 
		PrecoUnitario, 
		TaxPointDate, 
		Descricao, 
		SerialNumber, 
		ID_Imposto, 
		TaxType, 
		TaxCountryRegion, 
		TaxCode, 
		TaxPercentage, 
		TaxExemptionReason, 
		TaxExemptionCode, 
		DescontoLinha, 
		CreditAmount, 
		DebitAmount, 
		SettlementAmount, 
		ValorRetencao, 
		PercentagemRetencao, 
		TotalLinha, 
		TotalLinhaSIVA, 
		PlanoContas, 
		PlanoContasTVA) 
		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dddssssssssdssssssssssssssss", 
	        $idFaturaNew, 
	        $artigo_emolument['numlinha'], 
	        $artigo_emolument['ID_Artigo'], 
	        $artigo_emolument['Codigo'], 
	        $artigo_emolument['Nome'], 
	        $artigo_emolument['qtd'], 
	        $artigo_emolument['Unidade'], 
	        $artigo_emolument['preco_unit'], 
	        $artigo_emolument['TaxPointDate'], 
	        $artigo_emolument['Custom_Description'], 
	        $artigo_emolument['SerialNumber'], 
	        $artigo_emolument['ID_Imposto'], 
	        $artigo_emolument['TaxType'], 
	        $artigo_emolument['TaxCountryRegion'], 
	        $artigo_emolument['TaxCode'], 
	        $artigo_emolument['ValorIVA'], 
	        $artigo_emolument['TaxExemptionReason'], 
	        $artigo_emolument['TaxExemptionCode'], 
	        $artigo_emolument['Desconto'], 
	        $artigo_emolument['preco'], 
	        $artigo_emolument['DebitAmount'], 
	        $artigo_emolument['settelementAmount'], 
	        $artigo_emolument['retencao'], 
	        $artigo_emolument['retencao'], 
	        $artigo_emolument['TotalLinha'], 
	        $artigo_emolument['preco'], 
	        $artigo_emolument['PlanoContas'], 
	        $artigo_emolument['PlanoContasTVA'] 
	    );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS019";
		$response["message"] = $stmt -> error;
		deleteRecord($idFaturaNew);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS020";
	$response["message"] = $sqli_connection -> error;
	deleteRecord($idFaturaNew);
	die(json_encode($response));
}
//------------------------------------------------------------------------


//log sistema - processo
$descricao_log ="Documents Automatiques: C. Licence (N. ".$objectData['Numero'].") -- Facture (Brouillon ID. ".$idFaturaNew.")";
insert_log(0,"Inserir",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
$response["idDestino"] = $idFaturaNew;
die(json_encode($response));

//remove inserted Enregistrer if gives an error
function deleteRecord($idObject){
	global $sqli_connection;

	//DELETE DB -------------------------------------------------------------
	$query = "DELETE FROM faturacao_faturas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//LINHAS
	$query = "DELETE FROM faturacao_faturas_linhas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM003";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM004";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//----------------------------------------------------------------------
}

?>