<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$id_utilizador = $_SESSION['id_utilizador'];

$array_results = array();

$mes = date("Y-m");
$ano = date("Y");
$totalHoje = 0;
$totalMes = 0;
$totalAno = 0;

//start query
$query = "SELECT ";

//get sum faturas hoje
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate = ?) AS Hoje1, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_recibo WHERE Estado IN ('Aberto','Pago') AND InvoiceDate = ?) AS Hoje2, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_simplificadas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate = ?) AS Hoje3, ";

//get sum faturas mes
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$mes."%') AS Mes1, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_recibo WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$mes."%') AS Mes2, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_simplificadas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$mes."%') AS Mes3, ";

//get sum faturas ano
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$ano."%') AS Ano1, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_recibo WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$ano."%') AS Ano2, ";
$query .= "(SELECT SUM(TotalPagar) FROM faturacao_faturas_simplificadas WHERE Estado IN ('Aberto','Pago') AND InvoiceDate LIKE '".$ano."%') AS Ano3, ";
							

if ($stmt = $sqli_connection -> prepare($query)) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "GRA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($hoje1, $hoje2, $hoje3, $mes1, $mes2, $mes3, $ano1, $ano2, $ano3);
	while ($stmt -> fetch()) {
		$default = 0;
		if($predefinidoID == $ID_Metodo) $default = 1;
		else $default = 0;
		$objectData['metodos'][] = array("ID_Metodo" => $ID_Metodo, "Nome" => $Descricao, "Predefinido" => $default, "Banco" => $Banco );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "GRA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
$array_results = array( array("Orçamento Gasto", "Percentagem"), array("Bens Móveis", $moveis), array("Bens Imóveis", $imoveis), array("Veículos", $veiculos));

die(json_encode($array_results));
?>