<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ----------------------------------------------------------
$idGuia = $_POST['idGuia'];

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idGuia == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//VERIFICA SE PODE SER ALTERADO -----------------------------------------
$query = "SELECT Estado, Data, Validade, ID_Serie, TotaRetencao, DataCarga, HoraCarga, DataDescarga, HoraDescarga FROM faturacao_guias_transporte WHERE ID_GuiaTransporte=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idGuia);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Estado, $data, $validade, $serie, $retencaoTotal, $data_carga_guia, $hora_carga_guia, $data_descarga_guia, $hora_descarga_guia);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if($Estado != 'Rascunho') {
	$response["errors"] = true;
	$response["type"] = "usado";
	$response["line"] = "FATS003";
	$response["message"] = "Guia já finalizada!";
	$response["estado"] = $Estado;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//CLOSE THE DOCUMENT -----------------------------------------------------
$dataNew = $data;
$validadeNew = $validade;
$dataAtualizacao = date("d/m/Y H:i:s");
$data_carga_guiaNew = $data_carga_guia;
$hora_carga_guiaNew = $hora_carga_guia;
$data_descarga_guiaNew = $data_descarga_guia;
$hora_descarga_guiaNew = $hora_descarga_guia;

$systemEntryDateUpdate = date("Y-m-d H:i:s");
$systemEntryDateUpdate = str_replace (' ','T',$systemEntryDateUpdate);
$invoiceStatusDate = date("Y-m-d H:i:s");
$invoiceStatusDate = str_replace (' ','T',$invoiceStatusDate);
$sourceID = $_SESSION['username'];
$hash = 'TESTE';
$hashControl = 1;
$hashPrint = 'ABCD';
$movementEndTime = '';
// $retencaoCalc = round($retencaoTotal,2);
$retencaoCalc = $retencaoTotal;
// $totalLiquidado = $retencaoCalc;
$totalLiquidado = 0;

$dataNew = $data;
$validadeNew = $validade;
$dataAtualizacao = date("d/m/Y H:i:s");

//process InvoiceDate and period to the choosen one
$tempDate = DateTime::createFromFormat('d/m/Y', $data);
$invoiceDate = $tempDate->format('Y-m-d');
$period = $tempDate->format('m');

//define start/end time
/*$startDate = DateTime::createFromFormat('d/m/Y H:i', $data_carga_guia.' '.$hora_carga_guia);
$movementStartTime = $startDate->format("Y-m-d H:i:s");
$movementStartTime = str_replace (' ','T',$movementStartTime);

$endDate = DateTime::createFromFormat('d/m/Y H:i', $data_descarga_guia.' '.$hora_descarga_guia);
$movementEndTime = $endDate->format("Y-m-d H:i:s");
$movementEndTime = str_replace (' ','T',$movementEndTime);

$startTimeStamp = $startDate->getTimestamp();
$endTimeStamp = $endDate->getTimestamp();

if( $startTimeStamp > $endTimeStamp){
	$response["errors"] = true;
	$response["type"] = "FTGA023A";
	$response["carga_superior_descarga"] = true;
	$response["message"] = "Data/hora de carga superior à data/hora descarga.";
	die(json_encode($response));
}

//today -> now checker
$todayCheck = DateTime::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s'));
$todayTimeStamp = $todayCheck->getTimestamp();

if( $todayTimeStamp > $startTimeStamp){
	$response["errors"] = true;
	$response["type"] = "FTGA023B";
	$response["today_superior_carga"] = true;
	$response["message"] = "Data/hora de carga inferior à data/hora atual.";
	die(json_encode($response));
}*/

//GET LAST DATE
$query = "SELECT Numero, Data FROM faturacao_guias_transporte WHERE ID_Serie = ? AND Numero > 0 ORDER BY STR_TO_DATE( Data,  '%d/%m/%Y' ) DESC LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $serie);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA023";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($numMax, $dataLast);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA024";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $numMax > 0){
	//last date timestamp
	$dtLast = DateTime::createFromFormat("d/m/Y H:i:s", $dataLast." 00:00:00");
	$dtLastTime = $dtLast->getTimestamp();

	//this entry validade timestamp
	$dtThisValidade = DateTime::createFromFormat("d/m/Y H:i:s", $validade." 00:00:00");
	$dtThisValidadeTime = $dtThisValidade->getTimestamp();

	//this entry date timestamp
	$dtThisDate = DateTime::createFromFormat("d/m/Y H:i:s", $data." 00:00:00");
	$dtThisDateTime = $dtThisDate->getTimestamp();

	//process new dates
	// if( $dtThisDateTime < $dtLastTime ){
	// 	// $dataNew = $dataLast;
	// 	// //update invoiceDate and period
	// 	// $invoiceDate = date("Y-m-d");
	// 	// $period = date("m");
	// 	// //define start time
	// 	// $movementStartTime = date("Y-m-d H:i:s");
	// 	// $movementStartTime = str_replace (' ','T',$movementStartTime);
		
	// 	//alert user that the date is before the last one
	// 	$response["errors"] = true;
	// 	$response["type"] = "FTGA024A";
	// 	$response["data_superior"] = true;
	// 	$response["dataUltima"] = $dataLast;
	// 	$response["message"] = "Data superior à última fatura.";
	// 	die(json_encode($response));
	// }

	if( $dtThisValidadeTime < $dtThisDateTime ){
		$validadeNew = $data;
	}
}

// DEFINE NEW NUMBER
$queryStmt = "SELECT MAX(Numero) AS NumeroMax FROM faturacao_guias_transporte WHERE ID_Serie=".intval($serie).";";
$maxID = getMaxNumberDocument($queryStmt);
$initNumber = getInitNumber("NumeroInicial_GT","faturacao_series", "WHERE ID_Serie=?", $serie);
if($nextID < $initNumber && $maxID < 1){
	$query = "UPDATE faturacao_guias_transporte SET Numero = ".$initNumber.", ID_Serie=?, Data=?, Validade=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_GuiaTransporte = ?";
}else{
	$query = "UPDATE faturacao_guias_transporte SET Numero = ((SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_guias_transporte WHERE ID_Serie=?) AS SubNumeroMax) + 1), Data=?, Validade=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_GuiaTransporte = ?";
}
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dssdsd", $serie, $dataNew, $validadeNew, $id_utilizador, $dataAtualizacao, $idGuia);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA025";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA026";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// UPDATE REMAIN FIELDS
$query = "UPDATE faturacao_guias_transporte SET InvoiceStatusDate=?, SourceID=?, Hash=?, HashControl=?, Hash_Print=?, Period=?, InvoiceDate=?, MovementEndTime=?, MovementStartTime=?, TotalLiquidado=?, SystemEntryDate=? WHERE ID_GuiaTransporte = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssdsssssssd", $invoiceStatusDate, $sourceID, $hash, $hashControl, $hashPrint, $period, $invoiceDate, $movementEndTime, $movementStartTime, $totalLiquidado, $systemEntryDateUpdate, $idGuia );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA025";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA026";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// UPDATE REMAIN FIELDS LINES
$query = "UPDATE faturacao_guias_transporte_linhas SET TaxPointDate=? WHERE ID_GuiaTransporte = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sd", $invoiceDate, $idGuia );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA026A";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA026B";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Finalisation du bulletin de livraison (id: ".$idGuia.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>