<?php 
$helpersFile = true;
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}

$ids_list = array(1160,234,942,1393,77,1354,349,484,1052,1052,1077,919,1665,1444,918,700,1068,120,1058,933,932,1468,1258,409,1733,1734,1735,1736,1737,1738,1739,1740,1741,1742,1743,1744,1745,1746,1747,1748,1749,1750,1751,1752,1753,1754,1755,1756,1757,1758,1759,1760,1761,1762,1763,1764,1765,1766,1767,1768,1769,1770,1771,1772,1773,1774,1775,1776,1777,1778,1779,1780,1781,1782,1783,1784,1785,1786,1787,1788,1789,1790,1791,1792,1793,1794,1795,1796,1797,1798,1799,1800,1801,1802,1803,1804,1805,1806,1807,1808,1809,1810,1811,1812,1813,1814,1815,1816,1817,1818,1819,1820,1821,1822,1823,1824,1825,1826,1827,1828,1829,1830,1831,1832,1833,1834,1835,1836,1837,1838,1839,1840,1841,1842,1843,1844,1845,1846,1847,1848,1849,1850,1851,1852,1853,1854,1855,1856,1857,1858,1859,1860,1861,1862,1863,1864,1865,1866,1867,1868,1869,1870,1871,1872,1873,1874,1875,1876,1877,1878,1879,1880,1881,1882,1883,1884,1885,1886,1887,1888,1889,1890,1891,1892,1893,1894,1895,1896,1897,1898,1899,1900,1901,1902,1903,1904,1905,1906,1907,1908,1909,1910,1911,1912,1913,1914,1915,1916,1917,1918,1919,1920,1921,1922,1923,1924,1925,1926,1927,1928,1929,1930,1931,1932,1933,1934,1935,1936,1937,1938,1939,1940,1275,928,1062,70,1249);
if(isset($datatrad)){
	$datatrad = $datatrad + get_trad($ids_list);
} else {
	global $datatrad;
	$datatrad = get_trad($ids_list);
}

//init common vars
$uniMedida = getValorPadrao('UnidadesMedida', 'faturacao_personalizar_documentos');
$numDecimaisPrice = getValorPadrao('NumCasasDecimais', 'faturacao_personalizar_documentos');
if(!$uniMedida) $uniMedida = 0;
if(!$numDecimaisPrice) $numDecimaisPrice = 2;
$numDecimais = 2;

/**
 * |-----------------------------------------------------------------------
 * |
 * |						Helper Functions
 * |
 * | Functions to be used anytime, anywhere. Just like a service provider.
 * |
 * |-----------------------------------------------------------------------
 */

//CHECK IF ADMIN FATURAÇÃO
function adminCheckerFat($userID){
	global $sqli_connection;
	//process
	$query = "SELECT AdministradorFaturacao FROM utilizador WHERE ID_Utilizador = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $userID);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($administrador);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000B";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//return next id
	return $administrador;
}

/**
 * Get the Next ID for table
 * @param  $fieldName
 * @param  $tableName
 * @return next id
 */
function getNextID($fieldName,$tableName){
	global $sqli_connection;

	$nextID = 0;

	//process
	$query = "SELECT MAX(CAST(".$fieldName." AS UNSIGNED)) FROM ".$tableName."";
	// var_dump($query);
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($nextID);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//return next id
	return $nextID+1;
}

/**
 * Get the Next ID for table
 * @param  $fieldName
 * @param  $tableName
 * @return next id
 */
function getNextID_Perm($fieldName,$tableName){
	global $sqli_connection;

	$nextID = 0;

	//process
	$query = "SELECT MAX(CAST(".$fieldName." AS UNSIGNED)) FROM ".$tableName."";
	// var_dump($query);
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($nextID);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	
	//new id
	$newID = $nextID+1;
	$finalID = $newID;

	if($newID < 10) $finalID = '000'.$newID;
	elseif($newID < 100) $finalID = '00'.$newID;
	elseif($newID < 1000) $finalID = '0'.$newID;

	//return next id
	return $finalID;
}

/**
 * Get the Next ID for table
 * @param  $fieldName
 * @param  $tableName
 * @return next id
 */
function getUserFullName($userID){
	global $sqli_connection;
	//process
	$query = "SELECT Nome FROM utilizador WHERE ID_Utilizador = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $userID);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($nomeUtilizador);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000B";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//return next id
	return $nomeUtilizador;
}

/**
 * Get The base table
 * @return return base table string
 */
function getSncBaseTable(){
	global $sqli_connection;
	//GET SNC TABLE IN USE --------------------------------------------------
	$snc_table = '';

	//GET TYPE OF SNC (S OR M)
	$query = "SELECT NormaContabilistica FROM faturacao_empresa_dados WHERE ID_dados_empresa = 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
	    $result = $stmt -> execute();
	    if (false === $result) {}
	    $stmt -> bind_result($typeSNC);
	    $stmt -> fetch();
	    $stmt -> close();
	} else {
	    $response["errors"] = true;
		$response["type"] = "HELP003";
	    $response["message"] = $sqli_connection -> error;
	    die(json_encode($response));
	}
	if($typeSNC == 'S') $snc_table = 'faturacao_snc_base';
	else if($typeSNC == 'M') $snc_table = 'faturacao_snc_micro';
	else{
	    $response["errors"] = true;
		$response["type"] = "HELP004";
	    $response["message"] = 'SNC base não definido!';
	    die(json_encode($response));
	}
	//-----------------------------------------------------------------------
	
	return $snc_table;
}

/**
 * Get Valores Padrão
 * @return padrão
 */
function getValorPadrao($fieldName, $tableName){
	global $sqli_connection;
	$padrao = '';
	//process
	$query = "SELECT ".$fieldName." FROM ".$tableName." LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP005";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($padrao);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP006";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	
	return $padrao;
}

/**
 * Check if document can be edited
 * @param  $idObject
 * @param  $statusFieldName
 * @param  $statusString
 * @param  $tableName
 * @return bool
 */
function checkIfCanBeEdit($idObject, $idFieldName, $statusFieldName, $statusString, $tableName){
	global $sqli_connection;
	$canEdit = false;

	//process
	$query = "SELECT ".$statusFieldName." FROM ".$tableName." WHERE ".$idFieldName." = ".$idObject." LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP007";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($statusDB);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP008";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	if( $statusDB != $statusString ) $canEdit = false;
	else $canEdit = true;

	return $canEdit;
}

/**
 * Check if document can be edited
 * @param  $idObject
 * @param  $statusFieldName
 * @param  $statusString
 * @param  $tableName
 * @return bool
 */
function checkIfCanBeEditCompra($idObject){
	global $sqli_connection;
	$canEdit = false;

	$extraCondition = "(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras.ID_Compra)";

	//process
	$query = "SELECT (SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras.ID_Compra) AS CountNotasCredito, (SELECT COUNT(*) FROM faturacao_compras_pagamentos WHERE faturacao_compras_pagamentos.ID_Compra = faturacao_compras.ID_Compra) AS CountPagamentos, Estado FROM faturacao_compras WHERE ID_Compra = ".$idObject." LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP007";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($countNC, $countPayments, $estadoAchat);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP008";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//process checker
	if($estado == 'Anulado' || $estado == 'Pago' ) $canEdit = false;
	else {
		if($countNC == 0 && $countPayments == 0) $canEdit = true;
		else $canEdit = false;
	}

	// if( $statusDB != $statusString ) $canEdit = false;
	// else $canEdit = true;

	return $canEdit;
}

/**
 * Check payment values
 * @param  $idObject
 * @param  $statusFieldName
 * @param  $statusString
 * @param  $tableName
 * @return bool
 */
function resetDocumentPaymentTotals($idDocument, $type){
	global $sqli_connection;
	$resultChecker = true;

	$totalPagoGeral = 0;
	$totalPagoDocument = 0;
	$fieldIdName = '';
	$tableName = '';

	//MAIN DOCUMENT TABLE NAME
	switch ($type) {
		case 'FT':
			$fieldIdName = 'ID_Fatura';
			$tableName = 'faturacao_faturas';
			break;
		case 'FS':
			$fieldIdName = 'ID_FaturaSimplificada';
			$tableName = 'faturacao_faturas_simplificadas';
			break;
		case 'FR':
			$fieldIdName = 'ID_FaturaRecibo';
			$tableName = 'faturacao_faturas_recibo';
			break;
		
		default:
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0001";
			$response["message"] = 'Tipo inválido!';
			die(json_encode($response));
			break;
	}

	//#GET ASSOCIATED DOCS (ND) --------------------------
	$query = "SELECT SUM(TotalLiquidado) FROM faturacao_notas_debito WHERE ID_Documento_Origem=? AND Tipo_Documento_Origem=? AND Estado IN ('Aberto','Pago')";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ds", $idDocument, $type);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0002";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($sumTotalLiquidadoND );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0003";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//#---------------------------------------------------
	
	//#GET ASSOCIATED DOCS (NC) --------------------------	
	$query = "SELECT SUM(GrossTotal) FROM faturacao_notas_credito WHERE ID_Documento_Origem=? AND Tipo_Documento_Origem=? AND Estado IN ('Aberto','Pago')";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ds", $idDocument, $type);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0004";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($sumTotalLiquidadoNC );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0005";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//#---------------------------------------------------

	//GET RECEIPT LINES FOR MAIN DOCUMENT ----------------
	$query = "SELECT CreditAmount, valorIVA FROM faturacao_recibos_linhas, faturacao_recibos 
	WHERE faturacao_recibos_linhas.TipoDocumento=? AND faturacao_recibos_linhas.ID_Documento=? AND faturacao_recibos_linhas.ID_Recibo=faturacao_recibos.ID_Recibo AND faturacao_recibos.Estado = 'Pago' ORDER BY ID_Linha";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("sd", $type, $idDocument);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0006";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($creditAmount, $valorIva );
		while ($stmt -> fetch()) {
			$totalCalc = $creditAmount + $valorIva;
			// $totalCalc = round($totalCalc,2);
			$totalPagoGeral += $totalCalc;
			$totalPagoDocument += $totalCalc;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0007";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//GET MAIN DOCUMENT TOTAL TO PAY
	$query = "SELECT TotalPagar, GrossTotal FROM ".$tableName." WHERE ".$fieldIdName."=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocument);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0008";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($totalPagarDocumento, $totalGrossDocumento);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0009";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//UPDATE MAIN DOCUMENT -----------------------------
	$totalPagarDocumento = round($totalPagarDocumento,2);
	$totalPagoGeral = $totalPagoGeral + $sumTotalLiquidadoND + $sumTotalLiquidadoNC;
	$totalPagoDocument = $totalPagoDocument + $sumTotalLiquidadoNC;
	$totalPagoGeral_tmp = round($totalPagoGeral,2);

	$totalPagoDocument_tmp = round($totalPagoDocument,2);
	
	if( $totalPagoDocument_tmp > $totalGrossDocumento){
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0010A";
		$response["message"] = "Total Inválido!";
		die(json_encode($response));
	}
	
	//process estado
	$estadoProcessed = 'Aberto';
	if( $totalPagoGeral_tmp > $totalPagarDocumento){
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0010B";
		$response["message"] = "Total Inválido!";
		die(json_encode($response));
	}else if($totalPagoGeral_tmp == $totalPagarDocumento){
		$estadoProcessed = 'Pago';
	}else{
		$estadoProcessed = 'Aberto';
	}

	$query = "UPDATE ".$tableName." SET TotalLiquidadoDocumento=?, TotalLiquidado=?, Estado=? WHERE ".$fieldIdName."=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sssd", $totalPagoDocument, $totalPagoGeral, $estadoProcessed, $idDocument);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP0011";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP0012";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	return $resultChecker;
}

/**
 * Increase the stock levels for the articles present on the document
 * @param  $idDocument
 * @param  $tableName 
 * @param  $fieldName 
 * @return bool
 */
function increaseArticlesStock($idDocument, $tableName, $fieldName){
	global $sqli_connection;
	$result = true;

	//Get the arcticles and the stock value to update
	$query = "SELECT ID_Artigo, Quantidade FROM ".$tableName."_linhas WHERE ".$fieldName." =?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocument);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP013";
			$response["message"] = $stmt -> error;
			return $result = false;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($idArticle, $stockNovo);
		while ($stmt -> fetch()) {
			$articles[] = array(
		        	"idArticle" => $idArticle,
		        	"stockNovo" => $stockNovo,
		        );
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP014";
		$response["message"] = $sqli_connection -> error;
		return $result = false;
		die(json_encode($response));
	}

	//Process the articles and change stock
	foreach ($articles as $item) {
		$stockAtual = 0;
		$calculatedStock = 0;
		//Get current stock to be changed later
		$query = "SELECT Stock FROM faturacao_artigos WHERE ID_Artigo=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $item['idArticle']);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP015";
				$response["message"] = $stmt -> error;
				return $result = false;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($stockAtual);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP016";
			$response["message"] = $sqli_connection -> error;
			return $result = false;
			die(json_encode($response));
		}

		//clean vars for calculation
		$stockAtual = round($stockAtual, 3);
		$stockNovoClean = round($item['stockNovo'], 3);
		//new stock level
		$calculatedStock = $stockAtual + $stockNovoClean;

		//Update stock levels
		$query = "UPDATE faturacao_artigos SET Stock=? WHERE ID_Artigo = ?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("sd", $calculatedStock, $item['idArticle']);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP017";
				$response["message"] = $stmt -> error;
				return $result = false;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP018";
			$response["message"] = $sqli_connection -> error;
			return $result = false;
			die(json_encode($response));
		}
	}

	return $result;
}

/**
 * Decrease the stock levels for the articles present on the document
 * @param  $idDocument
 * @param  $tableName 
 * @param  $fieldName 
 * @return bool
 */
function decreaseArticlesStock($idDocument, $tableName, $fieldName){
	global $sqli_connection;
	$result = true;

	//get init vars
	$stockminimo = getValorPadrao('StockMinimo', 'faturacao_personalizar_documentos');
	$emailrececaostock = getValorPadrao('EmailRececaoStock', 'faturacao_personalizar_documentos');

	//Get the arcticles and the stock value to update
	$query = "SELECT ID_Artigo, Quantidade FROM ".$tableName."_linhas WHERE ".$fieldName." =?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocument);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP013";
			$response["message"] = $stmt -> error;
			return $result = false;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($idArticle, $stockNovo);
		while ($stmt -> fetch()) {
			$articles[] = array(
		        	"idArticle" => $idArticle,
		        	"stockNovo" => $stockNovo,
		        );
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP014";
		$response["message"] = $sqli_connection -> error;
		return $result = false;
		die(json_encode($response));
	}

	//Process the articles and change stock
	foreach ($articles as $item) {
		$stockAtual = 0;
		$calculatedStock = 0;
		//Get current stock to be changed later
		$query = "SELECT Stock, Codigo, Nome, Tipo FROM faturacao_artigos WHERE ID_Artigo=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $item['idArticle']);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP015";
				$response["message"] = $stmt -> error;
				return $result = false;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($stockAtual, $articleCode, $articleDescprition, $articleType);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP016";
			$response["message"] = $sqli_connection -> error;
			return $result = false;
			die(json_encode($response));
		}

		//clean vars for calculation
		$stockAtual = round($stockAtual, 3);
		$stockNovoClean = round($item['stockNovo'], 3);
		//new stock level
		$calculatedStock = $stockAtual - $stockNovoClean;

		//Update stock levels
		$query = "UPDATE faturacao_artigos SET Stock=? WHERE ID_Artigo = ?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("sd", $calculatedStock, $item['idArticle']);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP017";
				$response["message"] = $stmt -> error;
				return $result = false;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP018";
			$response["message"] = $sqli_connection -> error;
			return $result = false;
			die(json_encode($response));
		}

		//check if stock is lower
		if($calculatedStock < $stockminimo){
			if($emailrececaostock && $articleType == 'P'){
				$subject = 'Frifacturation: '.$GLOBALS['datatrad'][1160]['trad'];

				$htmlContent = '<p>'.$GLOBALS['datatrad'][234]['trad'].'</p>';
				$htmlContent .= '<p>'.str_replace('xxx',$articleDescprition,$GLOBALS['datatrad'][942]['trad']).'</p>';
				$htmlContent .= '<p><br></p>';
				$htmlContent .= '<p><b>'.$GLOBALS['datatrad'][1393]['trad'].':</b> '.$articleCode.'</p>';
				$htmlContent .= '<p><b>'.$GLOBALS['datatrad'][77]['trad'].':</b> '.$articleDescprition.'</p>';
				$htmlContent .= '<p><b>'.$GLOBALS['datatrad'][1354]['trad'].':</b> '.$calculatedStock.'</p>';
				$htmlContent .= '<p><br></p><p>'.$GLOBALS['datatrad'][349]['trad'].'</p><p>Frifacturation.</p>';

				sendEmailPHPMailer($htmlContent, $subject, $emailrececaostock);
			}
		}
	}

	return $result;
}

/**
 * Check the usage of specific plan comptable
 * @param  $idPlano
 * @return bool
 */
function checkPlanoContasUsage($codePlano){
	global $sqli_connection;

	//returner flag
	$checker = false;

	//PROCESS TAXES TABLE ---------------------------
	$counterPlanos = 0;

	$query = "SELECT COUNT(*) FROM faturacao_impostos WHERE PlanoContas = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP019";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP020";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 ){
		$checker = true;
	}

	//PROCESS BANQUE TABLE --------------------------
	$counterPlanos = 0;

	$query = "SELECT COUNT(*) FROM faturacao_bancos WHERE PlanoContas = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP021";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP022";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 ){
		$checker = true;
	}

	//PROCESS ARTICLE TABLE -------------------------
	$counterPlanos = 0;

	$query = "SELECT COUNT(*) FROM faturacao_artigos WHERE PlanoContas = ? OR PlanoContasCompras=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP023";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP024";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 ){
		$checker = true;
	}

	//PROCESS CLIENT TABLE --------------------------
	$counterPlanos = 0;

	$query = "SELECT COUNT(*) FROM faturacao_clientes WHERE PlanoContas = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP025";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP026";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 ){
		$checker = true;
	}

	//PROCESS FOURNISSEUR TABLE ---------------------
	$counterPlanos = 0;

	$query = "SELECT COUNT(*) FROM faturacao_fornecedores WHERE PlanoContas = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP027";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP028";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 ){
		$checker = true;
	}

	//PROCESS FACTURES TABLE ------------------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_faturas WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_faturas WHERE PlanoContasBanco = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP029";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP030";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS FACTURES LINES TABLE ------------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_faturas_linhas WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_faturas_linhas WHERE PlanoContasTVA = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP031";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP032";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS NOTES CREDIT FACTURES TABLE -----------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_notas_credito WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_notas_credito WHERE PlanoContasBanco = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP033";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP034";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS NOTES CREDIT LINES FACTURES TABLE -----
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_notas_credito_linhas WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_notas_credito_linhas WHERE PlanoContasTVA = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP035";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP036";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS ACHATS TABLE --------------------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_compras WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_compras WHERE PlanoContasBanco = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP037";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP038";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS ACHATS LINES TABLE --------------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_compras_linhas WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_compras_linhas WHERE PlanoContasTVA = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP039";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP040";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS NOTES CREDIT ACHATS TABLE -------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE PlanoContasBanco = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP041";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP042";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS NOTES CREDIT LINES ACHATS TABLE -------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT 
				(SELECT COUNT(*) FROM faturacao_compras_notas_credito_linhas WHERE PlanoContas = ?), 
				(SELECT COUNT(*) FROM faturacao_compras_notas_credito_linhas WHERE PlanoContasTVA = ?)
			";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP043";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos, $counterPlanos2);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP044";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//PROCESS MOVEMENTS LINES TABLE -----------------
	$counterPlanos = 0;
	$counterPlanos2 = 0;

	$query = "SELECT COUNT(*) FROM faturacao_movimentos_contabilisticos WHERE PlanoContas_Credito = ? OR PlanoContas_Debito = ?	";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $codePlano, $codePlano);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP045A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($counterPlanos);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP045B";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $counterPlanos > 0 || $counterPlanos2 > 0 ){
		$checker = true;
	}

	//RETURN BOOL (TRUE -> IS USED // FALSE -> IS NOT USED)
	return $checker;
}

/**
 * Get Plano Code
 * @return code
 */
function getPlanoCode($fieldName, $tableName, $fieldObject, $idObject, $info = []){
	global $sqli_connection;
	$code = '';

	//process
	$query = "SELECT ".$fieldName." FROM ".$tableName." WHERE ".$fieldObject." IN (".$idObject.") LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP045C";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($code);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP046";
		$response["query"] = $query;
		$response["fieldName"] = $fieldName;
		$response["tableName"] = $tableName;
		$response["fieldObject"] = $fieldObject;
		$response["idObject"] = $idObject;
		$response["data2"] = $info;
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	
	//return
	return $code;
}

/**
 * Inserir Novo Movimento Contabilistico
 * @param  $PlanoContas  
 * @param  $Descricao    
 * @param  $TotalPVP     
 * @param  $TotalUnit    
 * @param  $TotalTVA     
 * @param  $TipoMovimento
 * @return result (bool)
 */
function insertMovimentoContabilistico($PlanoContasDebito, $PlanoContasCredito, $Descricao, $TotalPVP, $TotalUnit, $TotalTVA, $TipoMovimento, $codeTVA = 0, $inclTVA = 0){
	global $sqli_connection;
	$result = true;

	//prepare remaining vars
	$data = date("d/m/Y H:i:s");
	$timestamp = microtime(true);
	/*$PlanoContasDebito = 0;
	$PlanoContasCredito = 0;*/

	//Round Values
	// $TotalPVP = round($TotalPVP,2);
	// $TotalUnit = round($TotalUnit,2);
	// $TotalTVA = round($TotalTVA,2);

	//Process Movimentos Débito
	/*if($TipoMovimento == 'D'){
		$PlanoContasDebito = $PlanoContas;
		// var_dump($TotalPVP, $TotalUnit, $TotalTVA);
	}else{
		$TotalPVP = $TotalPVP * (-1);
		$TotalUnit = $TotalUnit * (-1);
		$TotalTVA = $TotalTVA * (-1);
		$PlanoContasCredito = $PlanoContas;
	}*/
	if($TipoMovimento == 'D') $TipoMovimento = 0;
	elseif($TipoMovimento == 'C') $TipoMovimento = 1;
	elseif($TipoMovimento == 0) $TipoMovimento = 0;
	else $TipoMovimento = 1;

	//PROCESS CODE_TVA
	$percentageTVA = 0;
	$percentageTVA_tmp = 0;
	if( $codeTVA < 1 || !$codeTVA ) $codeTVA = 0;
	else{
		$query = "SELECT Valor FROM faturacao_impostos WHERE ID_Imposto = ? ";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			$stmt -> bind_param("d", $codeTVA);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP047AA";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($percentageTVA_tmp);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP047AB";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		if($percentageTVA_tmp != null) $percentageTVA = $percentageTVA_tmp;
	}

	if( $inclTVA < 1 || !$inclTVA ) {
		$inclTVA = 0;
		$TotalTVA = 0;
	}

	//INSERT RECORD
	$query = "INSERT INTO faturacao_movimentos_contabilisticos 
				(Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA, TipoMovimento, TimeStampMovimento, ID_ImpostoTVA, PercentageTVA, IncludeTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sssssssdssss", 
		                    $data, 
		                    $PlanoContasDebito, 
		                    $PlanoContasCredito, 
		                    $Descricao, 
		                    $TotalPVP, 
		                    $TotalUnit, 
		                    $TotalTVA,
		                    $TipoMovimento,
		                    $timestamp,
		                    $codeTVA,
		                    $percentageTVA,
		                    $inclTVA
		        );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP047";
			$response["message"] = $stmt -> error;
			
			$result = false;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP048";
		$response["message"] = $sqli_connection -> error;
		
		$result = false;
		die(json_encode($response));
	}

	//return result
	return $result;
}

/**
 * Inserir Novo Movimento Contabilistico (Manual)
 * @param  $PlanoContas  
 * @param  $Descricao    
 * @param  $TotalPVP     
 * @param  $TotalUnit    
 * @param  $TotalTVA     
 * @param  $TipoMovimento
 * @param  $DataMovimento
 * @return result (bool)
 */
function insertMovimentoContabilisticoManual($PlanoContasDebito, $PlanoContasCredito, $Descricao, $TotalPVP, $TotalUnit, $TotalTVA, $TipoMovimento, $DataMovimento, $NaturezaMovimento = null, $codeTVA = null, $inclTVA = 0){
	global $sqli_connection;
	$result = true;
	$naturezaProcessed = null;

	//prepare remaining vars
	// $data = date("d/m/Y H:i:s");
	$tmpDT = DateTime::createFromFormat('d/m/Y', $DataMovimento);
	$data = $tmpDT->format('d/m/Y H:i:s');
	$timestamp = microtime(true);
	/*$PlanoContasDebito = 0;
	$PlanoContasCredito = 0;*/

	//Round Values
	// $TotalPVP = round($TotalPVP,2);
	// $TotalUnit = round($TotalUnit,2);
	// $TotalTVA = round($TotalTVA,2);

	//Process Movimentos Débito
	/*if($TipoMovimento == 'D'){
		$PlanoContasDebito = $PlanoContas;
		// var_dump($TotalPVP, $TotalUnit, $TotalTVA);
	}else{
		$TotalPVP = $TotalPVP * (-1);
		$TotalUnit = $TotalUnit * (-1);
		$TotalTVA = $TotalTVA * (-1);
		$PlanoContasCredito = $PlanoContas;
	}*/
	if($TipoMovimento == 'D') $TipoMovimento = 0;
	elseif($TipoMovimento == 'C') $TipoMovimento = 1;
	elseif($TipoMovimento == 0) $TipoMovimento = 0;
	else $TipoMovimento = 0;

	//PROCESS CODE_TVA
	$percentageTVA = 0;
	$percentageTVA_tmp = 0;
	if( $codeTVA < 1 || !$codeTVA ) $codeTVA = 0;
	else{
		$query = "SELECT Valor FROM faturacao_impostos WHERE ID_Imposto = ? ";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			$stmt -> bind_param("d", $codeTVA);
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP047BA";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($percentageTVA_tmp);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP047BB";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		if($percentageTVA_tmp != null) $percentageTVA = $percentageTVA_tmp;
	}

	if( $inclTVA < 1 || !$inclTVA ) {
		$inclTVA = 0;
		$TotalTVA = 0;
	}

	//Process Movement Nature
	if($NaturezaMovimento) $naturezaProcessed = $NaturezaMovimento;
	else $naturezaProcessed = 'A';

	//INSERT RECORD
	$query = "INSERT INTO faturacao_movimentos_contabilisticos 
				(Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA, TipoMovimento, TimeStampMovimento, NaturezaMovimento, ID_ImpostoTVA, PercentageTVA, IncludeTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sssssssdsssss", 
		                    $data, 
		                    $PlanoContasDebito, 
		                    $PlanoContasCredito, 
		                    $Descricao, 
		                    $TotalPVP, 
		                    $TotalUnit, 
		                    $TotalTVA,
		                    $TipoMovimento,
		                    $timestamp,
		                    $naturezaProcessed,
		                    $codeTVA,
		                    $percentageTVA,
		                    $inclTVA
		        );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "HELP047B";
			$response["message"] = $stmt -> error;
			
			$result = false;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "HELP048B";
		$response["message"] = $sqli_connection -> error;
		
		$result = false;
		die(json_encode($response));
	}

	//return result
	return $result;
}

/**
 * Get the Initial Number
 * @param  $fieldName
 * @param  $tableName
 * @param  $whereClause
 * @param  $idParam
 * @return initNumber
 */
function getInitNumber($fieldName, $tableName, $whereClause = '', $idParam = 0){
	global $sqli_connection;

	$initNumber = 1;

	//process
	$query = "SELECT ".$fieldName." FROM ".$tableName." ".$whereClause." LIMIT 1;";
	// var_dump($query);
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		if(intval($idParam) > 0) $stmt -> bind_param("d", $idParam );
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP050";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($initNumber);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP051";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//return next id
	return $initNumber;
}

/**
 * Get the Max Number for table
 * @param  $query
 * @return max number
 */
function getMaxNumberDocument($queryStmt){
	global $sqli_connection;

	$maxNumber = 0;

	//process
	$query = $queryStmt;
	// var_dump($query);
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP052";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($maxNumber);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP052";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//return next id
	return $maxNumber;
}

/**
 * Get list of <options/> with available years for history select box
 * @return $listYears [array of years]
 */
function getYearsHistoryOtps(){
	global $sqli_connection;

	//init vars
	$currentYear = intval($_SESSION['ano']);
	$listYearsStrs = array();
	$listYears = array(
		array(
			"ano_val" => $currentYear,
			"ano_label" => $currentYear,
		)
	);

	//get oldest log date
	$query = "SELECT YEAR(STR_TO_DATE(Data, '%d/%m/%Y')) FROM log WHERE ID_Log > 0 GROUP BY YEAR(STR_TO_DATE(Data, '%d/%m/%Y')) ORDER BY YEAR(STR_TO_DATE(Data, '%d/%m/%Y')) DESC;";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $codeTVA);
		//result
		$result = $stmt -> execute();
		if (false === $result) {}
		$stmt -> store_result();
		$stmt -> bind_result($oldestYear);
		while($stmt -> fetch()){
			if(intval($oldestYear) != $currentYear){
				$listYears[] = array(
					"ano_val" => $oldestYear,
					"ano_label" => $oldestYear,
				);
			}
		}
		$stmt -> close();
	} else {}

	//generate <options/>
	foreach ($listYears as $yearItem) {
		$selectedAttr = intval($yearItem['ano_val']) == $currentYear ? 'selected="selected"' : '';

		array_push($listYearsStrs, '<option value="'.$yearItem['ano_val'].'" '.$selectedAttr.'>'.$yearItem['ano_label'].'</option>');
	}

	//response
	return $listYearsStrs;
}

/**
 * Check if Date is Bloqued / Closed
 * @param $month
 * @param $year
 * @return $listYears [array of years]
 */
function checkIfClosedMonth($month, $year){
	global $sqli_connection;

	//init vars
	$isClosed = false;
	$countExists = 0;
	$processedMonth = $month;
	if($month < 10) $processedMonth = str_replace("0", "", $month);

	//get oldest log date
	$query = "SELECT COUNT(*) FROM faturacao_fecho_mes WHERE Mes=? AND Ano=? AND Estado = 1;";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("dd", $processedMonth, $year);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP053";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($countExists);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP054";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if($countExists > 0){
		$isClosed = true;
	}
	//response
	return $isClosed;
}


/**
 * Get Custom Rounded UP Value for Invoices (0.05 UP)
 * @param  [float] $valueToRise
 * @return formatted value
 *  
 * Exemple - Facture CHF 2,60 c'est CHF 2,60
 * Exemple - Facture CHF 2,61 c'est CHF 2,60
 * Exemple - Facture CHF 2,62 c'est CHF 2,60
 * Exemple - Facture CHF 2,63 c’est CHF 2,65
 * Exemple - Facture CHF 2,64 c’est CHF 2,65
 * Exemple - Facture CHF 2,65 c’est CHF 2,65
 * Exemple - Facture CHF 2,66 c’est CHF 2,65
 * Exemple - Facture CHF 2,67 c’est CHF 2,65
 * Exemple - Facture CHF 2,68 c'est CHF 2,70
 * Exemple - Facture CHF 2,69 c’est CHF 2,70
 * Exemple - Facture CHF 2,70 c’est CHF 2,70

 */
function roundPriceUp($valueToRise) {
	$finalValue = 0;
	//confirm that the value is rounded
	$roundedValue = round($valueToRise, 2);
	$roundedValue = number_format($roundedValue, 2, '.', '');
	// var_dump($roundedValue);
	//grab last decimal number
	$lastNumber = substr($roundedValue, -1);

	/* === process the last decimal number === */
	
	//when is bigger than 0 and smaller than 3, 
	//it means that the last decimal needs to be replaced by 0 (from 0.00)
	if($lastNumber > 0 && $lastNumber <= 2) {
		$replacement = 0;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 2 and smaller than 8, 
	//it means that the last decimal needs to be replaced by 5 (from 0.05)
	elseif($lastNumber > 2 && $lastNumber <= 7) {
		$replacement = 5;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 7 and smaller than 10, 
	//it meand we need to round up to 1 decimal case
	//and it will return the 1.00 (number rounded 0.05 up) from the number
	elseif($lastNumber > 7 && $lastNumber <=9 ) {
		$finalValue = round($valueToRise, 1);
	}
	else{
		$finalValue = $roundedValue;
	}
	/* =========== /end processing =========== */

	//return final formatted value
	return round($finalValue,2);
}

/**
 * Calculate and print extensive date in french
 * @param  $date [ enter date format 2011-01-31 (Y-m-d) ]
 * @return extensive date
 */
function date_in_french($date){
	$week_name = array($GLOBALS['datatrad'][484]['trad'],$GLOBALS['datatrad'][1052]['trad'],$GLOBALS['datatrad'][1062]['trad'],$GLOBALS['datatrad'][1077]['trad'],$GLOBALS['datatrad'][919]['trad'],$GLOBALS['datatrad'][1665]['trad'],$GLOBALS['datatrad'][1444]['trad']);
	$month_name=array("",$GLOBALS['datatrad'][918]['trad'],$GLOBALS['datatrad'][700]['trad'],$GLOBALS['datatrad'][1068]['trad'],$GLOBALS['datatrad'][120]['trad'],$GLOBALS['datatrad'][1058]['trad'],$GLOBALS['datatrad'][933]['trad'],$GLOBALS['datatrad'][932]['trad'],$GLOBALS['datatrad'][70]['trad'],
	$GLOBALS['datatrad'][1468]['trad'],$GLOBALS['datatrad'][1258]['trad'],$GLOBALS['datatrad'][1249]['trad'],$GLOBALS['datatrad'][409]['trad']);

	$split = preg_split('/-/', $date);
	$year = $split[0];
	$month = round($split[1]);
	$day = round($split[2]);

	$week_day = date("w", mktime(12, 0, 0, $month, $day, $year));
	// return $date_fr = $week_name[$week_day] .' '. $day .' '. $month_name[$month] .' '. $year;
	return $date_fr = $day .' '. $month_name[$month] .' '. $year;
}

/**
 * Get Month Desc in french
 * @param  $month (1 - 12)
 * @return extensive month
 */
function month_in_french($month){
	$finalStr = '';

	switch ($month) {
		case 1: $finalStr = $GLOBALS['datatrad'][918]['trad']; break;
		case 2: $finalStr = $GLOBALS['datatrad'][700]['trad']; break;
		case 3: $finalStr = $GLOBALS['datatrad'][1068]['trad']; break;
		case 4: $finalStr = $GLOBALS['datatrad'][120]['trad']; break;
		case 5: $finalStr = $GLOBALS['datatrad'][1058]['trad']; break;
		case 6: $finalStr = $GLOBALS['datatrad'][933]['trad']; break;
		case 7: $finalStr = $GLOBALS['datatrad'][932]['trad']; break;
		case 8: $finalStr = $GLOBALS['datatrad'][70]['trad']; break;
		case 9: $finalStr = $GLOBALS['datatrad'][1468]['trad']; break;
		case 10: $finalStr = $GLOBALS['datatrad'][1258]['trad']; break;
		case 11: $finalStr = $GLOBALS['datatrad'][1249]['trad']; break;
		case 12: $finalStr = $GLOBALS['datatrad'][409]['trad']; break;
		
		default: break;
	}

	return $finalStr;
}

/**
 * Get Month Formated
 * @param  $month (1 - 12)
 * @return formated month (01 - 12)
 */
function format_numeric_month($month){
	$finalStr = '';

	switch ($month) {
		case 1: $finalStr = '0'.$month; break;
		case 2: $finalStr = '0'.$month; break;
		case 3: $finalStr = '0'.$month; break;
		case 4: $finalStr = '0'.$month; break;
		case 5: $finalStr = '0'.$month; break;
		case 6: $finalStr = '0'.$month; break;
		case 7: $finalStr = '0'.$month; break;
		case 8: $finalStr = '0'.$month; break;
		case 9: $finalStr = '0'.$month; break;
		case 10: $finalStr = ''.$month; break;
		case 11: $finalStr = ''.$month; break;
		case 12: $finalStr = ''.$month; break;
		
		default: break;
	}

	return $finalStr;
}

/**
 * Calculate and print extensive date in french
 * @param  $date [ enter date format 2011-01-31 (Y-m-d) ]
 * @return extensive date
 */
function date_french_ByElement($date, $format, $element){
	//init vars
	$week_name = array($GLOBALS['datatrad'][484]['trad'],$GLOBALS['datatrad'][1052]['trad'],$GLOBALS['datatrad'][1062]['trad'],$GLOBALS['datatrad'][1077]['trad'],$GLOBALS['datatrad'][919]['trad'],$GLOBALS['datatrad'][1665]['trad'],$GLOBALS['datatrad'][1444]['trad']);
	$month_name=array("",$GLOBALS['datatrad'][918]['trad'],$GLOBALS['datatrad'][700]['trad'],$GLOBALS['datatrad'][1068]['trad'],$GLOBALS['datatrad'][120]['trad'],$GLOBALS['datatrad'][1058]['trad'],$GLOBALS['datatrad'][933]['trad'],$GLOBALS['datatrad'][932]['trad'],$GLOBALS['datatrad'][70]['trad'],
	$GLOBALS['datatrad'][1468]['trad'],$GLOBALS['datatrad'][1258]['trad'],$GLOBALS['datatrad'][1249]['trad'],$GLOBALS['datatrad'][409]['trad']);
	$finalResult = '';

	//process date using received format
	$tmpDT = DateTime::createFromFormat($format, $date);

	//process element to retreied
	switch ($element) {
		case 'd':
			$finalResult = $tmpDT->format('d');
			break;
		case 'm':
			$finalResult = $tmpDT->format('m');
			break;
		case 'M':
			$month = round( $tmpDT->format('m') );
			$finalResult = strtolower( $month_name[$month] );
			break;
		case 'y':
			$finalResult = $tmpDT->format('y');
			break;
		case 'Y':
			$finalResult = $tmpDT->format('Y');
			break;
		case 'time':
			$finalResult = $tmpDT->format('H:i:s');
			break;
		
		default:
			$finalResult = $tmpDT->format($format);
			break;
	}

	//return result
	return $finalResult;
}
/**
 * Send emails using PHP Mailer
 * @param  [type] $htmlContent [description]
 * @param  [type] $subject     [description]
 * @param  [type] $toEmail     [description]
 * @return [type]              [description]
 */
function sendEmailPHPMailer($htmlContent, $subject, $toEmail){
	require_once $_SERVER["DOCUMENT_ROOT"] . '/server/PHPMailer/PHPMailerAutoload.php';

	//send email
    try{
        $body = $htmlContent;
        //echo $body;

        $Mailer = new PHPMailer();

        // define que será usado SMTP
        $Mailer -> IsSMTP();

        // envia email HTML
        $Mailer -> isHTML(true);

        // codificação UTF-8, a codificação mais usada recentemente
        $Mailer -> CharSet = 'UTF-8';

        // Configurações do SMTP
        $Mailer -> SMTPAuth = true;
		$Mailer -> SMTPSecure = 'ssl';
		$Mailer -> Host = 'mail.frifacturation.ch';
		$Mailer -> Port = 465;
		$Mailer -> Username = 'no-reply@frifacturation.ch';
		$Mailer -> Password = 'k5xc0dBFaESq';
		$Mailer -> From = 'no-reply@frifacturation.ch';
		$Mailer -> FromName = 'Frifacturation';
		$Mailer -> Subject = $subject;
		// $Mailer -> AddAttachment($invoiceLink, $invoiceName);
		$Mailer -> AddAddress($toEmail);
		// $Mailer -> AddCC('tiago.pais@ftkode.com');
		$Mailer -> Body = $body;

		//RECEIPT
		// $Mailer->AddCustomHeader( "X-Confirm-Reading-To: ".$fromEmail."" );
		// $Mailer->AddCustomHeader( "Return-receipt-to: ".$fromEmail."" );

        //send email and check response
        $send = $Mailer -> Send();

        if($send) return true;
        else return false;
    }catch(Exception $e){
        return false;
    }

    //return
    return true;
}

/**
 * CLEAN STRING: " AND ' AND TRIM
 * @param  $stringToClean
 * @return cleaned string
 */
function stringCleanerDB($stringToClean) {
	// Replaces "
	$stringToClean = str_replace('"', ' ', $stringToClean);
	// Replaces '
	$stringToClean = str_replace("'", " ", $stringToClean);
	// TRIM
	$stringToClean = trim($stringToClean);

	//reponse
	return $stringToClean;
}

/**
 * CLEAN STRING FROM SPECIAL CHARS AND BLANK SPACES
 * @param  $string
 * @return cleaned string
 */
function stringCleanerSC($stringToClean) {
	// Replaces all spaces.
	$stringToClean = str_replace(' ', '', $stringToClean);
	// Removes special chars.
	$stringToClean = preg_replace('/[^A-Za-z0-9\-]/', '', $stringToClean);
	
	// Replaces multiple hyphens.
	return preg_replace('/-+/', '', $stringToClean);
}

/**
 * CLEAN STRING FOR FILE NAMES
 * @param  $string
 * @return cleaned string
 */
function stringCleanerFileName($stringToClean) {
	// Replaces all spaces.
	$stringToClean = stringCleanerDB($stringToClean);
	// Removes special chars.
	$stringToClean = stringCleanerSC($stringToClean);
	
	// Replaces multiple hyphens.
	return $stringToClean;
}


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// 								LOW PRIORITY RESOURCES
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
/**
 * Get The country full name
 * @param  [string] $iso2Code
 * @return response
 */
function getCountryByISO2($iso2Code){
	$fullname = '';
	switch ($iso2Code) {		
		case "CH" : $fullname = $GLOBALS['datatrad'][1733]['trad'] ; break;
		case "FR" : $fullname = $GLOBALS['datatrad'][1734]['trad'] ; break;
		case "IT" : $fullname = $GLOBALS['datatrad'][1735]['trad'] ; break;
		case "DE" : $fullname = $GLOBALS['datatrad'][1736]['trad'] ; break;
		case "PT" : $fullname = $GLOBALS['datatrad'][1737]['trad'] ; break;
		case "ES" : $fullname = $GLOBALS['datatrad'][1738]['trad'] ; break;
		case "AT" : $fullname = $GLOBALS['datatrad'][1739]['trad'] ; break;
		case "LU" : $fullname = $GLOBALS['datatrad'][1740]['trad'] ; break;
		case "LI" : $fullname = $GLOBALS['datatrad'][1741]['trad'] ; break;
		case "AF" : $fullname = $GLOBALS['datatrad'][1742]['trad'] ; break;
		case "ZA" : $fullname = $GLOBALS['datatrad'][1743]['trad'] ; break;
		case "AL" : $fullname = $GLOBALS['datatrad'][1744]['trad'] ; break;
		case "DZ" : $fullname = $GLOBALS['datatrad'][1745]['trad'] ; break;
		case "AD" : $fullname = $GLOBALS['datatrad'][1746]['trad'] ; break;
		case "AO" : $fullname = $GLOBALS['datatrad'][1747]['trad'] ; break;
		case "AI" : $fullname = $GLOBALS['datatrad'][1748]['trad'] ; break;
		case "AG" : $fullname = $GLOBALS['datatrad'][1749]['trad'] ; break;
		case "AN" : $fullname = $GLOBALS['datatrad'][1750]['trad'] ; break;
		case "SA" : $fullname = $GLOBALS['datatrad'][1751]['trad'] ; break;
		case "AR" : $fullname = $GLOBALS['datatrad'][1752]['trad'] ; break;
		case "AM" : $fullname = $GLOBALS['datatrad'][1753]['trad'] ; break;
		case "AW" : $fullname = $GLOBALS['datatrad'][1754]['trad'] ; break;
		case "AU" : $fullname = $GLOBALS['datatrad'][1755]['trad'] ; break;
		case "AZ" : $fullname = $GLOBALS['datatrad'][1756]['trad'] ; break;
		case "BH" : $fullname = $GLOBALS['datatrad'][1757]['trad'] ; break;
		case "BD" : $fullname = $GLOBALS['datatrad'][1758]['trad'] ; break;
		case "BB" : $fullname = $GLOBALS['datatrad'][1759]['trad'] ; break;
		case "BE" : $fullname = $GLOBALS['datatrad'][1760]['trad'] ; break;
		case "BZ" : $fullname = $GLOBALS['datatrad'][1761]['trad'] ; break;
		case "BJ" : $fullname = $GLOBALS['datatrad'][1762]['trad'] ; break;
		case "BY" : $fullname = $GLOBALS['datatrad'][1763]['trad'] ; break;
		case "MM" : $fullname = $GLOBALS['datatrad'][1764]['trad'] ; break;
		case "BO" : $fullname = $GLOBALS['datatrad'][1765]['trad'] ; break;
		case "BA" : $fullname = $GLOBALS['datatrad'][1766]['trad'] ; break;
		case "BW" : $fullname = $GLOBALS['datatrad'][1767]['trad'] ; break;
		case "BR" : $fullname = $GLOBALS['datatrad'][1768]['trad'] ; break;
		case "BN" : $fullname = $GLOBALS['datatrad'][1769]['trad'] ; break;
		case "BG" : $fullname = $GLOBALS['datatrad'][1770]['trad'] ; break;
		case "BF" : $fullname = $GLOBALS['datatrad'][1771]['trad'] ; break;
		case "BI" : $fullname = $GLOBALS['datatrad'][1772]['trad'] ; break;
		case "KH" : $fullname = $GLOBALS['datatrad'][1773]['trad'] ; break;
		case "CM" : $fullname = $GLOBALS['datatrad'][1774]['trad'] ; break;
		case "CA" : $fullname = $GLOBALS['datatrad'][1775]['trad'] ; break;
		case "CV" : $fullname = $GLOBALS['datatrad'][1776]['trad'] ; break;
		case "CL" : $fullname = $GLOBALS['datatrad'][1777]['trad'] ; break;
		case "CN" : $fullname = $GLOBALS['datatrad'][1778]['trad'] ; break;
		case "CY" : $fullname = $GLOBALS['datatrad'][1779]['trad'] ; break;
		case "CO" : $fullname = $GLOBALS['datatrad'][1780]['trad'] ; break;
		case "KM" : $fullname = $GLOBALS['datatrad'][1781]['trad'] ; break;
		case "CG" : $fullname = $GLOBALS['datatrad'][1782]['trad'] ; break;
		case "CD" : $fullname = $GLOBALS['datatrad'][1783]['trad'] ; break;
		case "KP" : $fullname = $GLOBALS['datatrad'][1784]['trad'] ; break;
		case "KR" : $fullname = $GLOBALS['datatrad'][1785]['trad'] ; break;
		case "CR" : $fullname = $GLOBALS['datatrad'][1786]['trad'] ; break;
		case "CI" : $fullname = $GLOBALS['datatrad'][1787]['trad'] ; break;
		case "HR" : $fullname = $GLOBALS['datatrad'][1788]['trad'] ; break;
		case "CU" : $fullname = $GLOBALS['datatrad'][1789]['trad'] ; break;
		case "DK" : $fullname = $GLOBALS['datatrad'][1790]['trad'] ; break;
		case "DJ" : $fullname = $GLOBALS['datatrad'][1791]['trad'] ; break;
		case "DM" : $fullname = $GLOBALS['datatrad'][1792]['trad'] ; break;
		case "EG" : $fullname = $GLOBALS['datatrad'][1793]['trad'] ; break;
		case "AE" : $fullname = $GLOBALS['datatrad'][1794]['trad'] ; break;
		case "EC" : $fullname = $GLOBALS['datatrad'][1795]['trad'] ; break;
		case "ER" : $fullname = $GLOBALS['datatrad'][1796]['trad'] ; break;
		case "EE" : $fullname = $GLOBALS['datatrad'][1797]['trad'] ; break;
		case "US" : $fullname = $GLOBALS['datatrad'][1798]['trad'] ; break;
		case "ET" : $fullname = $GLOBALS['datatrad'][1799]['trad'] ; break;
		case "FJ" : $fullname = $GLOBALS['datatrad'][1800]['trad'] ; break;
		case "FI" : $fullname = $GLOBALS['datatrad'][1801]['trad'] ; break;
		case "GA" : $fullname = $GLOBALS['datatrad'][1802]['trad'] ; break;
		case "GM" : $fullname = $GLOBALS['datatrad'][1803]['trad'] ; break;
		case "GE" : $fullname = $GLOBALS['datatrad'][1804]['trad'] ; break;
		case "GH" : $fullname = $GLOBALS['datatrad'][1805]['trad'] ; break;
		case "GR" : $fullname = $GLOBALS['datatrad'][1806]['trad'] ; break;
		case "GD" : $fullname = $GLOBALS['datatrad'][1807]['trad'] ; break;
		case "GU" : $fullname = $GLOBALS['datatrad'][1808]['trad'] ; break;
		case "GT" : $fullname = $GLOBALS['datatrad'][1809]['trad'] ; break;
		case "GN" : $fullname = $GLOBALS['datatrad'][1810]['trad'] ; break;
		case "GQ" : $fullname = $GLOBALS['datatrad'][1811]['trad'] ; break;
		case "GW" : $fullname = $GLOBALS['datatrad'][1812]['trad'] ; break;
		case "GY" : $fullname = $GLOBALS['datatrad'][1813]['trad'] ; break;
		case "HT" : $fullname = $GLOBALS['datatrad'][1814]['trad'] ; break;
		case "HN" : $fullname = $GLOBALS['datatrad'][1815]['trad'] ; break;
		case "HU" : $fullname = $GLOBALS['datatrad'][1816]['trad'] ; break;
		case "KY" : $fullname = $GLOBALS['datatrad'][1817]['trad'] ; break;
		case "CK" : $fullname = $GLOBALS['datatrad'][1818]['trad'] ; break;
		case "PN" : $fullname = $GLOBALS['datatrad'][1819]['trad'] ; break;
		case "TC" : $fullname = $GLOBALS['datatrad'][1820]['trad'] ; break;
		case "VG" : $fullname = $GLOBALS['datatrad'][1821]['trad'] ; break;
		case "VI" : $fullname = $GLOBALS['datatrad'][1822]['trad'] ; break;
		case "IN" : $fullname = $GLOBALS['datatrad'][1823]['trad'] ; break;
		case "ID" : $fullname = $GLOBALS['datatrad'][1824]['trad'] ; break;
		case "IQ" : $fullname = $GLOBALS['datatrad'][1825]['trad'] ; break;
		case "IR" : $fullname = $GLOBALS['datatrad'][1826]['trad'] ; break;
		case "IE" : $fullname = $GLOBALS['datatrad'][1827]['trad'] ; break;
		case "IS" : $fullname = $GLOBALS['datatrad'][1828]['trad'] ; break;
		case "IL" : $fullname = $GLOBALS['datatrad'][1829]['trad'] ; break;
		case "JM" : $fullname = $GLOBALS['datatrad'][1830]['trad'] ; break;
		case "JP" : $fullname = $GLOBALS['datatrad'][1831]['trad'] ; break;
		case "JO" : $fullname = $GLOBALS['datatrad'][1832]['trad'] ; break;
		case "KZ" : $fullname = $GLOBALS['datatrad'][1833]['trad'] ; break;
		case "KE" : $fullname = $GLOBALS['datatrad'][1834]['trad'] ; break;
		case "KG" : $fullname = $GLOBALS['datatrad'][1835]['trad'] ; break;
		case "KI" : $fullname = $GLOBALS['datatrad'][1836]['trad'] ; break;
		case "KW" : $fullname = $GLOBALS['datatrad'][1837]['trad'] ; break;
		case "LA" : $fullname = $GLOBALS['datatrad'][1838]['trad'] ; break;
		case "LS" : $fullname = $GLOBALS['datatrad'][1839]['trad'] ; break;
		case "LV" : $fullname = $GLOBALS['datatrad'][1840]['trad'] ; break;
		case "LB" : $fullname = $GLOBALS['datatrad'][1841]['trad'] ; break;
		case "LR" : $fullname = $GLOBALS['datatrad'][1842]['trad'] ; break;
		case "LY" : $fullname = $GLOBALS['datatrad'][1843]['trad'] ; break;
		case "LT" : $fullname = $GLOBALS['datatrad'][1844]['trad'] ; break;
		case "MO" : $fullname = $GLOBALS['datatrad'][1845]['trad'] ; break;
		case "MK" : $fullname = $GLOBALS['datatrad'][1846]['trad'] ; break;
		case "MG" : $fullname = $GLOBALS['datatrad'][1847]['trad'] ; break;
		case "MY" : $fullname = $GLOBALS['datatrad'][1848]['trad'] ; break;
		case "MW" : $fullname = $GLOBALS['datatrad'][1849]['trad'] ; break;
		case "MV" : $fullname = $GLOBALS['datatrad'][1850]['trad'] ; break;
		case "ML" : $fullname = $GLOBALS['datatrad'][1851]['trad'] ; break;
		case "MT" : $fullname = $GLOBALS['datatrad'][1852]['trad'] ; break;
		case "MA" : $fullname = $GLOBALS['datatrad'][1853]['trad'] ; break;
		case "MH" : $fullname = $GLOBALS['datatrad'][1854]['trad'] ; break;
		case "MU" : $fullname = $GLOBALS['datatrad'][1855]['trad'] ; break;
		case "MR" : $fullname = $GLOBALS['datatrad'][1856]['trad'] ; break;
		case "MX" : $fullname = $GLOBALS['datatrad'][1857]['trad'] ; break;
		case "FM" : $fullname = $GLOBALS['datatrad'][1858]['trad'] ; break;
		case "MD" : $fullname = $GLOBALS['datatrad'][1859]['trad'] ; break;
		case "MC" : $fullname = $GLOBALS['datatrad'][1860]['trad'] ; break;
		case "MN" : $fullname = $GLOBALS['datatrad'][1861]['trad'] ; break;
		case "ME" : $fullname = $GLOBALS['datatrad'][1862]['trad'] ; break;
		case "MS" : $fullname = $GLOBALS['datatrad'][1863]['trad'] ; break;
		case "MZ" : $fullname = $GLOBALS['datatrad'][1864]['trad'] ; break;
		case "NA" : $fullname = $GLOBALS['datatrad'][1865]['trad'] ; break;
		case "NR" : $fullname = $GLOBALS['datatrad'][1866]['trad'] ; break;
		case "NP" : $fullname = $GLOBALS['datatrad'][1867]['trad'] ; break;
		case "NI" : $fullname = $GLOBALS['datatrad'][1868]['trad'] ; break;
		case "NE" : $fullname = $GLOBALS['datatrad'][1869]['trad'] ; break;
		case "NG" : $fullname = $GLOBALS['datatrad'][1870]['trad'] ; break;
		case "NU" : $fullname = $GLOBALS['datatrad'][1871]['trad'] ; break;
		case "NF" : $fullname = $GLOBALS['datatrad'][1872]['trad'] ; break;
		case "NO" : $fullname = $GLOBALS['datatrad'][1873]['trad'] ; break;
		case "NZ" : $fullname = $GLOBALS['datatrad'][1874]['trad'] ; break;
		case "OM" : $fullname = $GLOBALS['datatrad'][1875]['trad'] ; break;
		case "UG" : $fullname = $GLOBALS['datatrad'][1876]['trad'] ; break;
		case "UZ" : $fullname = $GLOBALS['datatrad'][1877]['trad'] ; break;
		case "PK" : $fullname = $GLOBALS['datatrad'][1878]['trad'] ; break;
		case "PW" : $fullname = $GLOBALS['datatrad'][1879]['trad'] ; break;
		case "PA" : $fullname = $GLOBALS['datatrad'][1880]['trad'] ; break;
		case "PG" : $fullname = $GLOBALS['datatrad'][1881]['trad'] ; break;
		case "PY" : $fullname = $GLOBALS['datatrad'][1882]['trad'] ; break;
		case "NL" : $fullname = $GLOBALS['datatrad'][1883]['trad'] ; break;
		case "PE" : $fullname = $GLOBALS['datatrad'][1884]['trad'] ; break;
		case "PH" : $fullname = $GLOBALS['datatrad'][1885]['trad'] ; break;
		case "PL" : $fullname = $GLOBALS['datatrad'][1886]['trad'] ; break;
		case "PR" : $fullname = $GLOBALS['datatrad'][1887]['trad'] ; break;
		case "QA" : $fullname = $GLOBALS['datatrad'][1888]['trad'] ; break;
		case "DO" : $fullname = $GLOBALS['datatrad'][1889]['trad'] ; break;
		case "CZ" : $fullname = $GLOBALS['datatrad'][1890]['trad'] ; break;
		case "CF" : $fullname = $GLOBALS['datatrad'][1891]['trad'] ; break;
		case "RO" : $fullname = $GLOBALS['datatrad'][1892]['trad'] ; break;
		case "GB" : $fullname = $GLOBALS['datatrad'][1893]['trad'] ; break;
		case "RU" : $fullname = $GLOBALS['datatrad'][1894]['trad'] ; break;
		case "RW" : $fullname = $GLOBALS['datatrad'][1895]['trad'] ; break;
		case "KN" : $fullname = $GLOBALS['datatrad'][1896]['trad'] ; break;
		case "LC" : $fullname = $GLOBALS['datatrad'][1897]['trad'] ; break;
		case "SM" : $fullname = $GLOBALS['datatrad'][1898]['trad'] ; break;
		case "VC" : $fullname = $GLOBALS['datatrad'][1899]['trad'] ; break;
		case "SB" : $fullname = $GLOBALS['datatrad'][1900]['trad'] ; break;
		case "SV" : $fullname = $GLOBALS['datatrad'][1901]['trad'] ; break;
		case "WS" : $fullname = $GLOBALS['datatrad'][1902]['trad'] ; break;
		case "ST" : $fullname = $GLOBALS['datatrad'][1903]['trad'] ; break;
		case "SN" : $fullname = $GLOBALS['datatrad'][1904]['trad'] ; break;
		case "RS" : $fullname = $GLOBALS['datatrad'][1905]['trad'] ; break;
		case "SC" : $fullname = $GLOBALS['datatrad'][1906]['trad'] ; break;
		case "SL" : $fullname = $GLOBALS['datatrad'][1907]['trad'] ; break;
		case "SG" : $fullname = $GLOBALS['datatrad'][1908]['trad'] ; break;
		case "SK" : $fullname = $GLOBALS['datatrad'][1909]['trad'] ; break;
		case "SI" : $fullname = $GLOBALS['datatrad'][1910]['trad'] ; break;
		case "SO" : $fullname = $GLOBALS['datatrad'][1911]['trad'] ; break;
		case "SD" : $fullname = $GLOBALS['datatrad'][1912]['trad'] ; break;
		case "LK" : $fullname = $GLOBALS['datatrad'][1913]['trad'] ; break;
		case "SE" : $fullname = $GLOBALS['datatrad'][1914]['trad'] ; break;
		case "SR" : $fullname = $GLOBALS['datatrad'][1915]['trad'] ; break;
		case "SZ" : $fullname = $GLOBALS['datatrad'][1916]['trad'] ; break;
		case "SY" : $fullname = $GLOBALS['datatrad'][1917]['trad'] ; break;
		case "TJ" : $fullname = $GLOBALS['datatrad'][1918]['trad'] ; break;
		case "TW" : $fullname = $GLOBALS['datatrad'][1919]['trad'] ; break;
		case "TZ" : $fullname = $GLOBALS['datatrad'][1920]['trad'] ; break;
		case "TD" : $fullname = $GLOBALS['datatrad'][1921]['trad'] ; break;
		case "TH" : $fullname = $GLOBALS['datatrad'][1922]['trad'] ; break;
		case "TL" : $fullname = $GLOBALS['datatrad'][1923]['trad'] ; break;
		case "TG" : $fullname = $GLOBALS['datatrad'][1924]['trad'] ; break;
		case "TK" : $fullname = $GLOBALS['datatrad'][1925]['trad'] ; break;
		case "TO" : $fullname = $GLOBALS['datatrad'][1926]['trad'] ; break;
		case "TT" : $fullname = $GLOBALS['datatrad'][1927]['trad'] ; break;
		case "TN" : $fullname = $GLOBALS['datatrad'][1928]['trad'] ; break;
		case "TM" : $fullname = $GLOBALS['datatrad'][1929]['trad'] ; break;
		case "TR" : $fullname = $GLOBALS['datatrad'][1930]['trad'] ; break;
		case "TV" : $fullname = $GLOBALS['datatrad'][1931]['trad'] ; break;
		case "UA" : $fullname = $GLOBALS['datatrad'][1932]['trad'] ; break;
		case "UY" : $fullname = $GLOBALS['datatrad'][1933]['trad'] ; break;
		case "VU" : $fullname = $GLOBALS['datatrad'][1934]['trad'] ; break;
		case "VA" : $fullname = $GLOBALS['datatrad'][1935]['trad'] ; break;
		case "VE" : $fullname = $GLOBALS['datatrad'][1936]['trad'] ; break;
		case "VN" : $fullname = $GLOBALS['datatrad'][1937]['trad'] ; break;
		case "YE" : $fullname = $GLOBALS['datatrad'][1938]['trad'] ; break;
		case "ZM" : $fullname = $GLOBALS['datatrad'][1939]['trad'] ; break;
		case "ZW" : $fullname = $GLOBALS['datatrad'][1940]['trad'] ; break;
	
		default:	break;
	}
	return $fullname;
}

?>