<?php 
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/tcpdf/tcpdf.php";
// include "../../../../resources/tcpdf/tcpdf.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ids_list = array(766,294,543,550,103,1599,1485,1545,1486,1374,245,244,923,1292,403,10,377,1167,427,474,1146,274,1485);
if(isset($data2)){
	$data2 = $data2 + get_trad($ids_list);
} else {
	$data2 = get_trad($ids_list);
}

// setlocale(LC_MONETARY, 'fr_CH.UTF-8');

//process filters and related
$dateAccuel = "01/01/".date("Y");
$dateFin = "31/12/".date("Y");
if(isset( $_GET['dateAccuel']) ) $dateAccuel = $_GET['dateAccuel'];
if(isset( $_GET['dateFin']) ) $dateFin = $_GET['dateFin'];
$GLOBALS['dateAccuel'] = $dateAccuel;
$GLOBALS['dateFin'] = $dateFin;

//log sistema - processo
$descricao_log ="Impression du document: Clients - Journal des factures";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

/**
 * |---------------------------------------------------------------------------
 * |	Informações Globais
 * | ------------------------
 * |
 * | @Tamanho da Page PDF - 267 Horizontal
 * | @Tamanho da Page PDF - 160 Vertical
 * | MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false
 * | Line -> $x1, $y1, $x2, $y2, $style=array()
 * |---------------------------------------------------------------------------
 */


//COMPANY INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT  Designacao, Nif, RegistoComercial, Endereco1, Endereco2, CodigoPostal, Cidade, Email, Website, CapitalSocial, Conservatoria, Telefone, Fax, Logotipo, NormaContabilistica, CAE_Principal  from faturacao_empresa_dados LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($designacao, $nif, $registo_comercial, $endereco1, $endereco2, $codigo_postal, $cidade, $email, $website, $capital_social, $conservatoria, $telefone, $fax, $logotipo, $norma_contabilistica, $cae_principal);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
$GLOBALS['Designacao'] = $designacao;
$GLOBALS['Nif'] = $nif;
$GLOBALS['RegistoComercial'] = $registo_comercial;
$GLOBALS['Endereco1'] = $endereco1;
$GLOBALS['Endereco2'] = $endereco2;
$GLOBALS['CodigoPostal'] = $codigo_postal;
$GLOBALS['Cidade'] = $cidade;
$GLOBALS['Email'] = $email;
$GLOBALS['Website'] = $website;
$GLOBALS['CapitalSocial'] = $capital_social;
$GLOBALS['Conservatoria'] = $conservatoria;
$GLOBALS['Telefone'] = $telefone;
$GLOBALS['Fax'] = $fax;
$GLOBALS['Logotipo'] = $logotipo;
$GLOBALS['NormaContabilistica'] = $norma_contabilistica;
$GLOBALS['CAE_Principal'] = $cae_principal;


$clientsInfos = array();
//DOC INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT ID_Cliente, Codigo, CONCAT(Nome,' ',Apelido) AS NomeCliente, Endereco, CodigoPostal, Cidade, 

(SELECT COUNT(*) FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') AND faturacao_faturas.ID_Cliente = faturacao_clientes.ID_Cliente AND (
				STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') 
				) ) AS TotFaturas,

(SELECT COUNT(*) FROM faturacao_notas_credito WHERE Estado IN ('Aberto','Pago') AND faturacao_notas_credito.ID_Cliente = faturacao_clientes.ID_Cliente AND (
				STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') 
				) ) AS TotNotasCredito, PlanoContas, (SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = faturacao_clientes.PlanoContas) AS PlanoContasDescricao
FROM faturacao_clientes ORDER BY CAST(Codigo AS UNSIGNED)";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("ss", $dateAccuel, $dateFin);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($ID_Cliente, $Codigo, $NomeCliente, $Endereco, $CodigoPostal, $Cidade, $TotFaturas, $TotNotasCredito, $PlanoContas, $PlanoContasDescricao);
	while($stmt->fetch()){
		if( $TotFaturas > 0 || $TotNotasCredito > 0 ){
			$clientsInfos[] = array(
				"ID_Cliente" => $ID_Cliente,
				"Codigo" => $Codigo,
				"NomeCliente" => $NomeCliente,
				"Endereco" => $Endereco,
				"CodigoPostal" => $CodigoPostal,
				"Cidade" => $Cidade,
				"TotFaturas" => $TotFaturas,
				"TotNotasCredito" => $TotNotasCredito,
				"PlanoContas" => $PlanoContas,
				"PlanoContasDescricao" => $PlanoContasDescricao,
				"Documentos" => array(),
				"Solde" => 0,
			);
		}
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

//PROCESS CLIENTS
foreach($clientsInfos as $index => $cliente) {
	//INIT VARS
	$documentosCliente = array();
	$soldeTotal = 0;

	//FATURAS
	$ID_Fatura = null;
	$DataFatura = null;
	$NumeroFatura = null;
	$ReferenciaFatura = null;
	$GrossTotalFatura = null;
	$InvoiceDateFatura = null;

	//GET DOCS FOR THIS CLIENT
	$query1 = "SELECT ID_Fatura, Data, CONCAT('FA ', (SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),'/', faturacao_faturas.Numero) AS NumeroFatura, Referencia, GrossTotal, InvoiceDate
		FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') AND ID_Cliente = ? 
			AND (
				STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') 
			) ";
	if ($stmt1 = $sqli_connection -> prepare($query1)) {
		$stmt1 -> bind_param("d", $cliente['ID_Cliente']);
		$result1 = $stmt1 -> execute();

		if (false === $result1) {
			$response["errors"] = true;
			$response["message"] = $stmt1 -> error;
			die(json_encode($response));
		}
		$stmt1 -> store_result();
		$stmt1 -> bind_result($ID_Fatura, $DataFatura, $NumeroFatura, $ReferenciaFatura, $GrossTotalFatura, $InvoiceDateFatura);
		while($stmt1->fetch()){
			$documentosCliente[] = array(
				"ID_Documento" => $ID_Fatura,
				"DataDocumento" => $DataFatura,
				"NumeroDocumento" => $NumeroFatura,
				"ReferenciaDocumento" => $ReferenciaFatura,
				"GrossTotalDocumento" => $GrossTotalFatura,
				"InvoiceDate" => $InvoiceDateFatura,
				"Tipo" => 'FA',
			);

			//add to solde total
			$soldeTotal = $soldeTotal + $GrossTotalFatura;
		}
		$stmt1 -> close();
	} else {
		$response["errors"] = true;
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//FATURAS
	$ID_NotaCredito = null;
	$DataNotaCredito = null;
	$NumeroNotaCredito = null;
	$ReferenciaNotaCredito = null;
	$GrossTotalNotaCredito = null;
	$InvoiceDateNotaCredito = null;

	//GET DOCS FOR THIS CLIENT
	$query2 = "SELECT ID_NotaCredito, Data, CONCAT('NC ', (SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie),'/', faturacao_notas_credito.Numero) AS NumeroNotaCredito, Referencia, GrossTotal, InvoiceDate
		FROM faturacao_notas_credito WHERE Estado IN ('Aberto','Pago') AND ID_Cliente = ? 
			AND (
				STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') 
			) ";
	if ($stmt2 = $sqli_connection -> prepare($query2)) {
		$stmt2 -> bind_param("d", $cliente['ID_Cliente']);
		$result1 = $stmt2 -> execute();

		if (false === $result1) {
			$response["errors"] = true;
			$response["message"] = $stmt2 -> error;
			die(json_encode($response));
		}
		$stmt2 -> store_result();
		$stmt2 -> bind_result($ID_NotaCredito, $DataNotaCredito, $NumeroNotaCredito, $ReferenciaNotaCredito, $GrossTotalNotaCredito, $InvoiceDateNotaCredito);
		while($stmt2->fetch()){
			$documentosCliente[] = array(
				"ID_Documento" => $ID_NotaCredito,
				"DataDocumento" => $DataNotaCredito,
				"NumeroDocumento" => $NumeroNotaCredito,
				"ReferenciaDocumento" => $ReferenciaNotaCredito,
				"GrossTotalDocumento" => $GrossTotalNotaCredito * (-1),
				"InvoiceDate" => $InvoiceDateNotaCredito,
				"Tipo" => 'NC',
			);

			//add to solde total
			$soldeTotal = $soldeTotal + ( $GrossTotalNotaCredito * (-1) );
		}
		$stmt2 -> close();
	} else {
		$response["errors"] = true;
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//organize Dates
	usort($documentosCliente,'sortMovimentosDateHelper2');

	//add this to client info
	$clientsInfos[$index]['Documentos'] = $documentosCliente;
	$clientsInfos[$index]['Solde'] = $soldeTotal;
}

/* Compare 2 arrays by value of Date 
 * ASCENDENT
 */
function sortMovimentosDateHelper2($item1,$item2) {
	if ($item1['InvoiceDate'] == $item2['InvoiceDate']) {
		return ($item1['Tipo'] == 'FA') ? -1 : 1;
        // return 0;
    }
    return ($item1['InvoiceDate'] > $item2['InvoiceDate']) ? 1 : -1;
}


/* Compare 2 arrays by value of Date 
 * DESCENDENT
 */
function sortMovimentosHelper($item1,$item2) {
	if ($item1['InvoiceDate'] == $item2['InvoiceDate']) {
		return ($item1['Tipo'] == 'FA') ? -1 : 1;
        // return 0;
    }
    return ($item1['InvoiceDate'] < $item2['InvoiceDate']) ? 1 : -1;
}

/**
 * |----------------------------------------------------
 * |				BASE CLASS
 * |----------------------------------------------------
 */
class MYPDF extends TCPDF {
	//Page header
	public function Header($data2) {

		$half_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
		$third_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
		$fourth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
		$fifth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
		$six_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
		$seven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
		$eigth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
		$nine_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
		$ten_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
		$eleven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
		$twelve_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

		$fourth_touch_right = ($this -> getPageWidth() - PDF_MARGIN_RIGHT - $fourth_page);

		$destX = $third_page + $third_page ;
		$typeImg = explode('.', $GLOBALS["Logotipo"]);
		$typeImg = end($typeImg);
		$typeImg = strtoupper($typeImg);
		// var_dump($GLOBALS["Logotipo"],$typeImg);

		// Image method signature:
		// Image($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)
		$this -> Image($_SERVER["DOCUMENT_ROOT"] . "/uploads/faturacao/".$GLOBALS["Logotipo"], 0, 3, 0, 24, $typeImg, '', 'C', false, 300, 'L', false, false, 0, false, false, false);

		// $this -> SetFont('opensans', '', 8, '', true);
		$this -> setY(27);

		
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($third_page, '', $GLOBALS["Designacao"],   0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["Endereco1"],    0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["CodigoPostal"] . " " . $GLOBALS["Cidade"] , 0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[766]['trad'].': ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Nif"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[294]['trad'].': ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Telefone"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[543]['trad'].':', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Email"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//line
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()+2, $third_page+$seven_page, $this->GetY()+2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));
	}

	// Page footer
	public function Footer($data2) {

		$line1 = '<p>'.$data2[550]['trad'].': ' . date('d/m/Y H:i:s') . '<br>'.$data2[103]['trad'].': ' . $GLOBALS['Designacao'] . '. - '.$data2[1599]['trad'].': ' . $GLOBALS['Nif'] . '</p>';

		$right_marg = $this -> getPageWidth() - PDF_MARGIN_RIGHT;
		$paginationX = $this -> getPageWidth() - PDF_MARGIN_LEFT - 4;

		// Position at 20 mm from bottom
		$this -> SetY(-18);
		$lineY = $this->GetY();
		// Set font
		$this -> SetFont('opensans', '', 8);
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()-2, $right_marg, $this->GetY()-2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));

		$this -> writeHTMLCell(0, 5, '', $this->GetY(), $line1, 0, 1, 0, true, 'C', false);
		
		/*$this -> SetFont('opensans', '', 7);
		$this -> SetY(-15);
		$this -> Cell($paginationX, 10, 'Page ' . $this -> getAliasNumPage() . '/' . $this -> getAliasNbPages(), 0, 0, 'R', 0, '', 0, false, 'T', 'M');*/
	}
}

//=====================================================+
// 					START FILE
//=====================================================+

$pdf = new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf -> SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE . ' 001', PDF_HEADER_STRING, array(0, 64, 255), array(0, 64, 128));
$pdf -> setFooterData(array(0, 64, 0), array(0, 64, 128));

$pdf -> setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf -> setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

$pdf -> SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf -> SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf -> SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf -> SetFooterMargin(PDF_MARGIN_FOOTER);

$pdf -> SetAutoPageBreak(TRUE, 0);
$pdf -> setImageScale(PDF_IMAGE_SCALE_RATIO);

$tagvs = array('p' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'div' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'ul' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'br' => array(0 => array('h' => 0.2, 'n' => 1), 1 => array('h' => 0.2, 'n'=> 1)));
$pdf->setHtmlVSpace($tagvs);

// Add a page
$pdf -> setPrintHeader(false);
$pdf -> setPrintFooter(false);

$pdf -> setFillColor(255, 255, 255);

//Defs
$full_page = $pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT;
$half_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
$third_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
$fourth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
$fifth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
$six_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
$seven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
$eigth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
$nine_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
$ten_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
$eleven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
$twelve_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

//Defs2
$border_bottom = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_full = array('TLRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lr = array('LR' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lt = array('LT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rt = array('RT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrt = array('LRT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrb = array('LRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lb = array('LB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rb = array('RB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_tb = array('TB' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$border_r = array('R' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_l = array('L' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_b = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_t = array('T' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$style_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_bold_line = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_light_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150));

$right_marg = $pdf -> getPageWidth() - PDF_MARGIN_RIGHT;

//--------------- First Page ---------------
// $pdf -> startPageGroup();
$pdf -> AddPage();

// Início do conteudo (Y)
$startContentY = $pdf -> getPageHeight() / 5;

$pdf -> Header($data2);

$restoHeaderClient = $full_page - ($ten_page);
$restoFooterClient = $full_page - ($fourth_page + (($twelve_page/2)+1) + $seven_page);
$resto = $full_page - ($ten_page + $seven_page + (($twelve_page/2)+1) + $seven_page);
$restoRecap = $full_page - ($six_page + (($twelve_page/2)+1) + $seven_page);

//init page
cabecalho($pdf,$data2);

// cabecalho_tabela($pdf);

//init some vars
$totalsResumeTable = array();
$soldeTotalTous = 0;

//process info
foreach ($clientsInfos as $keyCliente => $client) {
	//prepare some vars
	$clientDesignation = $client['NomeCliente'].', '.$client['CodigoPostal'].' '.$client['Cidade'];
	
	$pdf -> SetFont('opensans', 'B', 9);

	//check line heights
	$Ha = $pdf->getStringHeight($ten_page, $client['Codigo']);
	$Hb = $pdf->getStringHeight($restoHeaderClient, $clientDesignation);
	$Hheight = calcHeightProd([$Ha, $Hb]);

	if( ($pdf -> getY() + $Hheight) >= 275) {
		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		// cabecalho_tabela($pdf);
		$pdf -> setY($pdf -> getY() );
	}

	//Client Name
	$pdf -> SetFont('opensans', 'B', 9);

	$pdf -> MultiCell($ten_page, $Hheight, $client['Codigo'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($restoHeaderClient, $Hheight, $clientDesignation,  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	//init table first header
	cabecalho_tabela($pdf,$data2);

	// Linhas de documentos
	$pdf -> SetFont('opensans', '', 8);
	foreach ($client['Documentos'] as $linha) {
		//check line heights
		$a = $pdf->getStringHeight($ten_page, $linha['DataDocumento']);
		$b = $pdf->getStringHeight($seven_page, $linha['NumeroDocumento']);
		$c = $pdf->getStringHeight($resto, $linha['ReferenciaDocumento']);
		$d = $pdf->getStringHeight(($twelve_page/2)+1, "CHF");
		$e = $pdf->getStringHeight($seven_page, number_format($linha['GrossTotalDocumento'], $numDecimais, '.', '\'' ));
		$height = calcHeightProd([$a, $b, $c, $d, $e]);

		if( ($pdf -> getY() + $height) >= 275) {
			//page break ---------------------------------------------------------------------------------------------------
			$pdf -> AddPage();
			cabecalho_tabela($pdf,$data2);
			$pdf -> setY($pdf -> getY() );
		}

		$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

		$pdf -> MultiCell($ten_page,$height,$linha['DataDocumento'], 0,'L',false,0,'','',true,0,false,false,0,'T',true);
		$pdf -> MultiCell($seven_page,$height,$linha['NumeroDocumento'], 0,'L',false,0,'','',true,0,false,false,0,'T',true);
		$pdf -> MultiCell($resto,$height,$linha['ReferenciaDocumento'], 0,'L',false,0,'','',true,0,false,false,0,'T',true);
		$pdf -> MultiCell(($twelve_page/2)+1,$height,"CHF", 0,'L',false,0,'','',true,0,false,false,0,'T',true);
		$pdf -> MultiCell($seven_page,$height,number_format($linha['GrossTotalDocumento'], $numDecimais, '.','\'' ),0,'R',false,1,'','',true,0,false,false,0,'T',true);
	}
	
	//close last line (table) ----------------------------------------------------------
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);

	$pdf -> SetFont('helvetica', 'BI', 8);

	//process some vars
	$finalResumeTable1 = $data2[1485]['trad']." CHF";
	$finalResumeTable2 = "CHF";
	$finalResumeTable3 = $client['Solde'];

	//check line heights
	$Fa = $pdf->getStringHeight($fourth_page, $finalResumeTable1);
	$Fb = $pdf->getStringHeight($restoFooterClient, ' ');
	$Fc = $pdf->getStringHeight(($twelve_page/2)+1, $finalResumeTable2);
	$Fd = $pdf->getStringHeight($seven_page, number_format($finalResumeTable3, $numDecimais, '.', '\'' ) );
	$Fheight = calcHeightProd([$Fa, $Fb, $Fc, $Fd]);

	if( ($pdf -> getY() + $Fheight) >= 275) {
		//page break --------------------------------------------------------------------
		$pdf -> AddPage();
		$pdf -> setY($pdf -> getY() );
	}

	//print resume soldes
	$pdf -> MultiCell($fourth_page,'',$finalResumeTable1,0,'L',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell($restoFooterClient,'',' ',0,'L',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell(($twelve_page/2)+1,'',$finalResumeTable2,0,'C',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell($seven_page,'',number_format($finalResumeTable3, $numDecimais, '.', '\'' ),0,'R',true,1,'','',true,0,false,false,0,'T',false);

	//client resume ---------------------------------------------------------------------
	//check line heights
	$finalLine = $data2[1545]['trad']." ".$client['Codigo']." CHF ".number_format($finalResumeTable3, $numDecimais, '.', '\'' );
	$FLa = $pdf->getStringHeight($full_page, $finalLine);
	$FLheight = calcHeightProd([$FLa]);

	if( ($pdf -> getY() + $FLheight) >= 275) {
		//page break --------------------------------------------------------------------
		$pdf -> AddPage();
		$pdf -> setY($pdf -> getY() );
	}
	$pdf -> MultiCell($full_page,'',$finalLine,0,'L',true,1,'','',true,0,false,false,0,'T',false);

	$pdf -> Ln();
	$pdf -> Ln();

	$pdf -> SetFont('opensans', '', 8);

	//increment to totals table
	if( !isset($totalsResumeTable[$client['PlanoContas']]) ){
		$totalsResumeTable[$client['PlanoContas']] = array(
			"PlanoContas" => $client['PlanoContas'],
			"Description" => $client['PlanoContasDescricao'],
			"SoldeTotalTous" => $client['SoldeTotal'],
		);
		$totalsResumeTable[$client['PlanoContas']]['SoldeTotal'] += $client['Solde'];
	}else{
		$totalsResumeTable[$client['PlanoContas']]['SoldeTotal'] += $client['Solde'];
	}

	//solde total tous
	$soldeTotalTous += $client['Solde'];

}

//final total -----------------------------------------------------------------------
$pdf -> SetFont('opensans', 'B', 8);
//check line heights
$soldeLine = $data2[1486]['trad']." CHF ".number_format($soldeTotalTous, $numDecimais, '.', '\'' );
$SLa = $pdf->getStringHeight($full_page, $soldeLine);
$SLheight = calcHeightProd([$SLa]);

if( ($pdf -> getY() + $SLheight) >= 275) {
	//page break --------------------------------------------------------------------
	$pdf -> AddPage();
	$pdf -> setY($pdf -> getY() );
}
$pdf -> MultiCell($full_page,'',$soldeLine,0,'L',true,1,'','',true,0,false,false,0,'T',false);

$pdf -> Ln();

$pdf -> SetFont('opensans', '', 8);


//recapitulation resume -------------------------------------------------------------
$pdf -> SetFont('helvetica', 'I', 8);
//check line heights
$recapLine1 = $data2[1374]['trad']." ".date('d-m-Y');
$RLa = $pdf->getStringHeight($full_page, $recapLine1);
// $RLb = $pdf->getStringHeight($full_page, cabecalho_tabela_resumo($pdf));
$RLheight = calcHeightProd([$RLa]);

if( ($pdf -> getY() + $RLheight + 5) >= 275) {
	//page break --------------------------------------------------------------------
	$pdf -> AddPage();
	$pdf -> setY($pdf -> getY() );
}
$pdf -> MultiCell($full_page,'',$recapLine1,0,'L',true,1,'','',true,0,false,false,0,'T',false);
cabecalho_tabela_resumo($pdf,$data2);

$pdf -> SetFont('opensans', '', 8);

//process resume
foreach ($totalsResumeTable as $resumeLine) {
	//check line heights
	$TLa = $pdf->getStringHeight($six_page, $resumeLine['PlanoContas']);
	$TLb = $pdf->getStringHeight($restoRecap, $resumeLine['Description']);
	$TLc = $pdf->getStringHeight(($twelve_page/2)+1, "CHF");
	$TLd = $pdf->getStringHeight($seven_page, number_format($resumeLine['SoldeTotal'], $numDecimais, '.', '\'' ) );
	$TLheight = calcHeightProd([$TLa, $TLb, $TLc, $TLd]);

	if( ($pdf -> getY() + $TLheight) >= 275) {
		//page break --------------------------------------------------------------------
		$pdf -> AddPage();
		cabecalho_tabela_resumo($pdf,$data2);
		$pdf -> setY($pdf -> getY() );
	}

	//print resume soldes
	$pdf -> MultiCell($six_page,'',$resumeLine['PlanoContas'],0,'L',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell($restoRecap,'',$resumeLine['Description'],0,'L',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell(($twelve_page/2)+1,'',"CHF",0,'C',true,0,'','',true,0,false,false,0,'T',false);
	$pdf -> MultiCell($seven_page,'',number_format($resumeLine['SoldeTotal'], $numDecimais, '.', '\'' ),0,'R',true,1,'','',true,0,false,false,0,'T',false);
}

$pdf -> SetFont('opensans', '', 8);

$pdf -> Ln();

// ----------- Paginação e colocação de 'Originale', 'Duplicata', 'Triplé' e 'Quadruplé' -----------
$max = $pdf -> PageNo();

// ----------------- Page Numbers -----------------------------
$paginationX = $right_marg - PDF_MARGIN_RIGHT;
$pages = $pdf -> getNumPages();
for($i = 1; $i <= $pages; ){
	for($k = 1; $k <= $max; $k++, $i++){
		$pdf -> setPage($i);

		$pdf -> SetFont('opensans', '', 7);
		$pdf -> SetY(-10);
		$pdf -> Cell($paginationX, 0, 'Page ' . $k . '/' . $max, 0, 0, 'R', 0, '', 0, false, 'B', 'B');

	}
}
// ----------------------------------------------------------

// ------------- Certificação Vertical Lado Esquerdo -------- 
$total_pages = $pdf -> getNumPages();
for ($i = 1; $i <= $total_pages; $i++) {
    $pdf -> setPage($i);

    // $myPageWidth = $pdf -> getPageWidth();
    $myPageHeight = $pdf -> getPageHeight();

    $myX = PDF_MARGIN_LEFT / 2 + 2;
    $myY = $myPageHeight - 35;

    $pdf -> SetAlpha(0.5);

    $pdf -> StartTransform();
    $pdf -> Rotate(90, $myX, $myY);
    $pdf -> SetFont('opensans', '', 7);
    $pdf -> SetTextColor(0, 0, 0);

    $pdf -> Text($myX, $myY, ' ');
    $pdf -> StopTransform();

    // Reset the transparency to default
    $pdf -> SetAlpha(1);
}
$pdf -> Footer($data2);
// Close and output PDF document
// This method has several options, check the source code documentation for more information.
$pdf -> Output($data2[245]['trad'].str_replace('/','', $dateAccuel).'_'.str_replace('/','', $dateFin).'.pdf', 'I');

//=====================================================+
// 					END OF FILE
//=====================================================+

//DOC HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho($pdf,$data2){
	global $full_page;
	global $half_page;
	global $third_page;
	global $fourth_page;
	global $fifth_page;
	global $six_page;
	global $seven_page;
	global $eigth_page;
	global $nine_page;
	global $ten_page;
	global $eleven_page;
	global $twelve_page;

	global $style_line;
	global $style_bold_line;
	global $style_light_line;

	global $right_marg;
	global $startContentY;

	global $dateAccuel;
	global $dateFin;
	global $stringLabelPeriod;

	
	$pdf -> SetFont('opensans', 'B', 10);
	$pdf -> MultiCell($half_page, '', $data2[244]['trad'].': '.$data2[923]['trad'].' ', 0, 'L',  false, 1, '', $startContentY, false, 0, false, true, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);
	$pdf -> MultiCell($fourth_page, '', $data2[1292]['trad'], 0, 'L', false, 1, '', '', false, 0, false, true, 0, 'T', false);
	// $pdf -> MultiCell($fourth_page, '', 'Monnaie', 0, 'L', false, 1, PDF_MARGIN_LEFT + $half_page + $fourth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page - 4, $pdf->GetY(), $style_line);
	// $pdf -> Line(PDF_MARGIN_LEFT + $half_page, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page + $fourth_page - 4, $pdf->GetY(), $style_line);
	// $pdf -> Line(PDF_MARGIN_LEFT + $half_page + $fourth_page, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> MultiCell($fourth_page, '', $data2[403]['trad'].': '.$dateAccuel, 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $data2[10]['trad'].': '.$dateFin, 0, 'L', false, 1, PDF_MARGIN_LEFT + $fourth_page, '', false, 0, false, true, 0, 'T', false);
	// $pdf -> MultiCell($fourth_page, '', $GLOBALS['NifCliente'], 0, 'L', false, 0, PDF_MARGIN_LEFT + $half_page, '', false, 0, false, true, 0, 'T', false);
	// $pdf -> MultiCell($fourth_page, '', 'Franc Suisse (CHF)', 0, 'L', false, 1, PDF_MARGIN_LEFT + $half_page + $fourth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);

	// $pdf -> Ln();

}

//LINES HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho_tabela($pdf,$data2){
	global $right_marg;

	global $style_line;
	global $style_bold_line;

	global $fourth_page;
	global $six_page;
	global $seven_page;
	global $eigth_page;
	global $nine_page;
	global $ten_page;
	global $eleven_page;
	global $twelve_page;
	global $full_page;

	global $resto;
	
	$pdf -> SetFont('opensans', 'B', 8);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);
	$pdf -> setFillColor(230, 230, 230);

	$pdf -> MultiCell($ten_page, '', $data2[377]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($seven_page, '', $data2[1167]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($resto, '', $data2[427]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2)+1, '', $data2[474]['trad'], 0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
 	$pdf -> MultiCell($seven_page, '', $data2[1146]['trad'], 0, 'R', true, 1, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
	$pdf -> setFillColor(255, 255, 255);
	$pdf -> SetFont('opensans', '', 8);
}

//RESUME HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho_tabela_resumo($pdf,$data2){
	global $right_marg;

	global $style_line;
	global $style_bold_line;

	global $fourth_page;
	global $six_page;
	global $seven_page;
	global $eigth_page;
	global $nine_page;
	global $ten_page;
	global $eleven_page;
	global $twelve_page;
	global $full_page;

	global $restoRecap;
	
	$pdf -> SetFont('opensans', 'B', 8);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);
	$pdf -> setFillColor(230, 230, 230);

	$pdf -> MultiCell($six_page, '', $data2[274]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($restoRecap, '', $data2[427]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2)+1, '', $data2[474]['trad'], 0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
 	$pdf -> MultiCell($seven_page, '', $data2[1485]['trad'], 0, 'R', true, 1, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
	$pdf -> setFillColor(255, 255, 255);
	$pdf -> SetFont('opensans', '', 8);
}

// Calculate Min Height of Line
function calcHeightProd($strHeight){
	return max($strHeight) + 1;
}

 ?>