<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idRapport = $_POST['idRapport'];
$referencia = $_POST['referencia'];
$remarque = $_POST['remarque'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idRapport == '' || $idRapport < 1) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}

//INSERT OPEN DOCUMENT ---------------------------------------------------
$query = "UPDATE faturacao_rapports_travail SET Referencia=?, Remarque=? WHERE ID_Rapport=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("ssd", $referencia, $remarque, $idRapport );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA010";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA011";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

$response["rapport"] = $idRapport;

//log sistema - processo
$descricao_log ="Édition du rapport de travail - Référence et Remarques (id: ".$idRapport.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);
//------------------------------------------------------------------------

//response
$response["errors"] = false;
die(json_encode($response));
?>