<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];


//GET POST VARS ---------------------------------------------------------
$idResponsavel = $_POST['idResponsavel'];
$nome_responsavel = $_POST['nome_responsavel'];
$prenom_responsavel = $_POST['prenom_responsavel'];
$email_responsavel = $_POST['email_responsavel'];
$contacto_responsavel = $_POST['contacto_responsavel'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idResponsavel == '' || $nome_responsavel == '' || $prenom_responsavel == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}
//INSERT DB ------------------------------------------------------------------
$query = "UPDATE faturacao_responsaveis SET
	Nome=?, 
	Prenom=?,
	Email=?,
	Contacto=?
	WHERE ID_Responsavel = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("ssssd", 
	    $nome_responsavel, 
	    $prenom_responsavel, 
		$email_responsavel,
		$contacto_responsavel,
		$idResponsavel 
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//VERIFICA SE PODE SER ALTERADO -----------------------------------------
$query = "SELECT Codigo FROM faturacao_responsaveis WHERE ID_Responsavel=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idResponsavel);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS005";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($codigoResponsavel);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS006";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Édition du responsable (code: ".$codigoResponsavel.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);
	
//response
$response["errors"] = false;
die(json_encode($response));
?>