<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1145,1056,1057,1687,182,183,184,1983,1963);
if(isset($data4)){
	$data4 = $data4 + get_trad($ids_list);
} else {
	$data4 = get_trad($ids_list);
}
// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idCliente = $_POST['idCliente'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Cliente,
	Nome,
	Nif,
	Codigo,
	Endereco,
	CodigoPostal,
	Cidade,
	Pais,
	Regiao,
	Email,
	Telefone,
	Telemovel,
	Fax,
	Website,
	(SELECT Nome AS Grupo FROM faturacao_clientes_grupos WHERE faturacao_clientes_grupos.ID_Grupo = faturacao_clientes.ID_Grupo),
	ID_Grupo,
	(SELECT Descricao AS Metodo FROM faturacao_metodos_pagamento WHERE faturacao_metodos_pagamento.ID_Metodo = faturacao_clientes.MetPagamento),
	MetPagamento,
	Vencimento,
	Desconto,
	PreferenciaNome,
	PreferenciaTelefone,
	PreferenciaEmail,
	PreferenciaTelemovel,
	(SELECT CONCAT(AccountID,' - ',AccountDescription) AS Account FROM faturacao_accounts WHERE faturacao_accounts.ID_Account = faturacao_clientes.ID_Account),
	(SELECT ContaSistema AS ContaGeral FROM faturacao_accounts WHERE faturacao_accounts.ID_Account = faturacao_clientes.ID_Account),
	Usado,
	(SELECT SUM(TotalLiquidado) - SUM(TotalPagar) FROM faturacao_faturas WHERE faturacao_faturas.ID_Cliente=faturacao_clientes.ID_Cliente AND Estado IN ('Aberto', 'Pago')),
	(SELECT SUM(TotalPagar) FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_Cliente=faturacao_clientes.ID_Cliente AND Estado IN ('Aberto', 'Pago')),
	(SELECT SUM(TotalPagar) FROM faturacao_faturas WHERE faturacao_faturas.ID_Cliente=faturacao_clientes.ID_Cliente AND Estado IN ('Aberto', 'Pago')),
	CASE Titulo WHEN 'M' THEN '".$data4[1983]['trad']."' WHEN 'Mme' THEN '".$data4[1963]['trad']."' WHEN 'Mlle' THEN '".$data4[1057]['trad']."' ELSE NULL END,
	Titulo,
	Apelido,
	(SELECT Codigo_Interno AS Vendedor FROM faturacao_responsavel_contratos WHERE faturacao_responsavel_contratos.ID_RespContrato = faturacao_clientes.ID_Vendedor),
	(SELECT COUNT(*) FROM faturacao_faturas WHERE faturacao_faturas.ID_Cliente=faturacao_clientes.ID_Cliente AND Estado IN ('Aberto') AND datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) > 10),
	ID_Vendedor,
	(SELECT Nome AS Responsavel FROM faturacao_responsavel_contratos WHERE faturacao_responsavel_contratos.ID_RespContrato = faturacao_clientes.ID_Responsavel),
	ID_Responsavel,
	PlanoContas,
	(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = faturacao_clientes.PlanoContas ) AS PlanoContasDesc,
	Photo,
	Equipe,
	Role,
	Club,
	Annee_Naissance,
	AVS
	FROM faturacao_clientes WHERE ID_Cliente=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idCliente);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
        $objectData['ID_Cliente'],
		$objectData['Nome'],
		$objectData['Nif'],
		$objectData['Codigo'],
		$objectData['Endereco'],
		$objectData['CodigoPostal'],
		$objectData['Cidade'],
		$objectData['Pais'],
		$objectData['Regiao'],
		$objectData['Email'],
		$objectData['Telefone'],
		$objectData['Telemovel'],
		$objectData['Fax'],
		$objectData['Website'],
		$objectData['Grupo'],
		$objectData['GrupoID'],
		$objectData['Metodo'],
		$objectData['MetodoID'],
		$objectData['Vencimento'],
		$objectData['Desconto'],
		$objectData['PreferenciaNome'],
		$objectData['PreferenciaTelefone'],
		$objectData['PreferenciaEmail'],
		$objectData['PreferenciaTelemovel'],
		$objectData['Account'],
		$objectData['ContaGeral'],
		$objectData['Usado'],
		$objectData['Solde'],
		$objectData['ChiffreCredit'],
		$objectData['ChiffreFat'],
		$objectData['Titulo'],
		$objectData['TituloSmall'],
		$objectData['Apelido'],
		$objectData['Vendedor'],
		$objectData['Rappel'],
		$objectData['ID_Vendedor'],
		$objectData['Responsavel'],
		$objectData['ID_Responsavel'],
		$objectData['PlanoContas'],
		$objectData['PlanoContasDesc'],
		$objectData['Photo'],
		$objectData['Equipe'],
		$objectData['Role'],
		$objectData['Club'],
		$objectData['Annee_Naissance'],
		$objectData['Avs']
	);
	$stmt -> fetch();
	$stmt -> close();
		
	$objectData['PaisFull'] = getCountryByISO2($objectData['Pais']);
	$objectData['NomeFull'] = $objectData['Nome'] + $objectData['Apelido'];
	
	$objectData['Chiffre'] = $objectData['ChiffreFat'] - $objectData['ChiffreCredit'];
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
switch($objectData['Metodo']){
	case "Cash":
		$objectData['Metodo'] = $data4[184]['trad'];
		break;
	case "Virement Bancaire":
		$objectData['Metodo'] = $data4[1687]['trad'];
		break;
	case "Carte de Crédit":
		$objectData['Metodo'] = $data4[182]['trad'];
		break;
	case "Carte de Débit":
		$objectData['Metodo'] = $data4[183]['trad'];
		break;
}
$data = "";
//GET RESPONSABLES
$objectData['Responsaveis'] = array();
$query = "SELECT ID_Responsavel,
	(SELECT Codigo FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel),
	(SELECT Nome FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel),
	(SELECT Prenom FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel),
	(SELECT Contacto FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel),
	(SELECT Email FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel),
	Posicao
	FROM faturacao_responsavel_entidades WHERE ID_Cliente=? ORDER BY ID_Responsavel";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $objectData['ID_Cliente']);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idResponsavel, $codigo, $nome, $prenom, $contacto, $email,$posicao );
	while ($stmt -> fetch()) {
		$datalin[] = array(
		        	"id" => $idResponsavel,
		        	"codigo" => $codigo,
		        	"nome" => $nome,
		        	"prenom" => $prenom,
		        	"contacto" => $contacto,
		        	"email" => $email,
		        	"posicao" => $posicao,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
if($datalin != null) $objectData['Responsaveis'] = $datalin;
else $objectData['Responsaveis'] = array();
//-----------------------------------------------------------------------

//GET RESPONSABLES
$objectData['Vendedores'] = array();
$query = "SELECT ID_Vendedor_Rel,
	faturacao_vendedores.Codigo_Interno,
	faturacao_vendedores.Nome,
	faturacao_vendedores.Codigo,
	faturacao_vendedores.Contacto
	FROM faturacao_cliente_vendedor, faturacao_vendedores  WHERE ID_Cliente_Rel=? AND ID_Vendedor_Rel = ID_Vendedor ORDER BY faturacao_vendedores.Codigo_Interno";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $objectData['ID_Cliente']);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Vendedor_Rel, $Codigo_Interno, $Nome, $Codigo, $Contacto );
	while ($stmt -> fetch()) {
		$datavend[] = array(
		        	"id" => $ID_Vendedor_Rel,
		        	"codigo_interno" => $Codigo_Interno,
		        	"nome" => $Nome,
		        	"codigo" => $Codigo,
		        	"contacto" => $Contacto,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
if($datavend != null) $objectData['Vendedores'] = $datavend;
else $objectData['Vendedores'] = array();
//-----------------------------------------------------------------------
//GET RESPONSABLES
$objectData['Perfs'] = array();
$query = "SELECT ID_Perf,
	Activite,
	Adversaire,
	Resultat,
	Technique,
	Intelligence,
	Personalite,
	Vitesse,
	Titulaire,
	Minutes,
	Position,
	Buts,
	Assistances,
	Avertissements,
	Note,
	Details
	FROM faturacao_performances WHERE ID_Sportif=? ORDER BY ID_Perf";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $objectData['ID_Cliente']);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Perf, $activite, $adversaire, $resultat, $technique, $intelligence, $personalite, $vitesse, $titulaire, $minutes, $position, $buts, $assistances, $avertissements, $note, $details );
	while ($stmt -> fetch()) {
		$data3[] = array(
		        	"id" => $ID_Perf,
		        	"activite" => $activite,
		        	"adversaire" => $adversaire,
		        	"resultat" => $resultat,
		        	"technique" => $technique,
		        	"intelligence" => $intelligence,
		        	"personalite" => $personalite,
		        	"vitesse" => $vitesse,
		        	"titulaire" => $titulaire,
		        	"minutes" => $minutes,
		        	"position" => $position,
		        	"buts" => $buts,
		        	"assistances" => $assistances,
		        	"avertissements" => $avertissements,
		        	"note" => $note,
		        	"details" => $details,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
if($data3 != null) $objectData['Perfs'] = $data3;
else $objectData['Perfs'] = array();
// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>