<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idCliente = $_POST['idCliente'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

$query = "SELECT ID_Perf,
	Activite,
	Adversaire,
	Resultat,
	Technique,
	Intelligence,
	Personalite,
	Vitesse,
	Titulaire,
	Minutes,
	Position,
	Buts,
	Assistances,
	Avertissements,
	Note,
	Details
	FROM faturacao_performances WHERE ID_Sportif=? ORDER BY ID_Perf";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idCliente );
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Perf, $activite, $adversaire, $resultat, $technique, $intelligence, $personalite, $vitesse, $titulaire, $minutes, $position, $buts, $assistances, $avertissements, $note, $details );
	while ($stmt -> fetch()) {
		$data3[] = array(
		        	"id" => $ID_Perf,
		        	"activite" => $activite,
		        	"adversaire" => $adversaire,
		        	"resultat" => $resultat,
		        	"technique" => $technique,
		        	"intelligence" => $intelligence,
		        	"personalite" => $personalite,
		        	"vitesse" => $vitesse,
		        	"titulaire" => $titulaire,
		        	"minutes" => $minutes,
		        	"position" => $position,
		        	"buts" => $buts,
		        	"assistances" => $assistances,
		        	"avertissements" => $avertissements,
		        	"note" => $note,
		        	"details" => $details,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
if($data3 != null) $objectData = $data3;
else $objectData = array();
// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>