<?php

//INCLUDE CONNECTIONS

include 'connection.php';

$query = "SELECT ID_Artigo FROM faturacao_ghosts_artigos WHERE Codigo = 9999";

if ($stmt = $sqli_connection_ges -> prepare($query)) {

	$result = $stmt -> execute();

	if (false === $result) {

		$response["errors"] = true;

		$response["message"] = $stmt -> error;

		die(json_encode($response));

	}

	$stmt -> store_result();

	$total = $stmt -> num_rows;

	$stmt -> bind_result($id_portes);

	$stmt -> fetch();

	$stmt -> close();

} else {

	$response["errors"] = true;

	$response["message"] = $sqli_connection_ges -> error;

	die(json_encode($response));

}

if ($id_portes == NULL) {
	$query17 = "INSERT INTO faturacao_ghosts_artigos(

	Nome, 

	Codigo, 

	Tipo, 

	SerialNumber, 

	ID_Categoria, 

	ID_Unidade, 

	Preco, 

	ID_Imposto, 

	PrecoPVP, 

	Usado, 

	ID_Prestashop) 

	VALUES ('Frais de Port','9999','P','',0,1,0,4,0,0,9999)";

	if ($stmt17 = $sqli_connection_ges -> prepare($query17)) {

		$result17 = $stmt17 -> execute();

		if (false === $result17) {

			$response["errors"] = true;

			$response["type"] = "query17";

			$response["line"] = "FTGA010";

			$response["message"] = $stmt17 -> error;

			die(json_encode($response));

		}

		$stmt17 -> close();

	} else {

		$response["errors"] = true;

		$response["type"] = "query17";

		$response["line"] = "FTGA011";

		$response["message"] = $sqli_connection_ges -> error;

		die(json_encode($response));

	}
}

// GET ORDER REFERENCES ALREADY IN GES (Références das Faturas já inseridas)

$referencias = [];

$query18 = "SELECT Referencia FROM faturacao_ghosts_faturas";

if ($stmt18 = $sqli_connection_ges -> prepare($query18)) {

	$result18 = $stmt18 -> execute();

	if (false === $result18) {

		$response["errors"] = true;

		$response["message"] = $stmt18 -> error;

		die(json_encode($response));

	}

	$stmt18 -> store_result();

	$total18 = $stmt18 -> num_rows;

	$stmt18 -> bind_result($referencia);

	while ($stmt18 -> fetch()) {

		if ($referencia != '')

			array_push($referencias, $referencia);

		/*else

		 $referencias[] = [];*/

	}

	$stmt18 -> close();

} else {

	$response["errors"] = true;

	$response["message"] = $sqli_connection_ges -> error;

	die(json_encode($response));

}

$refs_aux = implode('", "', $referencias);

$refs = '"' . $refs_aux . '"';

//----------

// GET PAID STATUS OF PRESTASHOP

$estados = [];

$query20 = "SELECT id_order_state FROM ps_order_state WHERE paid = 1";

if ($stmt20 = $sqli_connection -> prepare($query20)) {

	$result20 = $stmt20 -> execute();

	if (false === $result20) {

		$response["errors"] = true;

		$response["message"] = $stmt20 -> error;

		die(json_encode($response));

	}

	$stmt20 -> store_result();

	$total18 = $stmt20 -> num_rows;

	$stmt20 -> bind_result($id_status);

	while ($stmt20 -> fetch()) {
		array_push($estados, $id_status);
	}

	$stmt20 -> close();

} else {

	$response["errors"] = true;

	$response["message"] = $sqli_connection -> error;

	die(json_encode($response));

}

// Adicionar outros estados de pagamento que devem ser considerados
// 10 - A Aguardar Transferência Bancária;
// 13 - Sem Stock;
array_push($estados, 10);
array_push($estados, 13);

$estados_aux = implode('", "', $estados);

$estados = '"' . $estados_aux . '"';

//----------

// GET ORDERS AND ITS DETAILS WHERE REFERENCE NOT IN GES (Encomendas ainda sem fatura inserida no GES)

$query = "SELECT id_order, 

	reference, 

	id_customer, 

	id_currency, 

	id_address_invoice, 

	date_add,

	total_shipping,

	module,

	total_shipping_tax_excl,

	carrier_tax_rate,

	IFNULL( (SELECT message FROM ps_message WHERE ps_message.id_order = ps_orders.id_order ORDER BY ps_message.id_message DESC LIMIT 1), '' )

	FROM ps_orders WHERE reference NOT IN ($refs) AND current_state IN ($estados)";

if ($stmt = $sqli_connection -> prepare($query)) {

	$result = $stmt -> execute();

	if (false === $result) {

		$response["errors"] = true;

		$response["message"] = $stmt -> error;

		die(json_encode($response));

	}

	$stmt -> store_result();

	$total = $stmt -> num_rows;

	$stmt -> bind_result($id_order, $reference, $id_customer, $id_currency, $id_address_invoice, $invoice_date, $total_shipping, $tipo_pagamento, $total_shipping_tax_excl, $carrier_tax_rate, $observacoes);

	$index = 0;

	// EACH ORDER:

	while ($stmt -> fetch()) {

		switch ($tipo_pagamento) {
			case 'ps_wirepayment' :
				$tipo_pagamento = 3;
				break;
			case 'bankwire' :
				$tipo_pagamento = 3;
				break;
			case 'postfinance' :
				$tipo_pagamento = 3;
				break;
			case 'ps_checkpayment' :
				$tipo_pagamento = 6;
				break;
			default :
				$tipo_pagamento = 1;
				break;
		}

		$detalhes[$index] = array('id_order' => $id_order, 'reference' => $reference, 'id_customer' => $id_customer, 'id_currency' => $id_currency, 'id_address_invoice' => $id_address_invoice, 'invoice_date' => $invoice_date, 'total_shipping' => $total_shipping, 'tipo_pagamento' => $tipo_pagamento, 'total_shipping_tax_excl' => $total_shipping_tax_excl, 'carrier_tax_rate' => $carrier_tax_rate, 'observacoes' => utf8_encode($observacoes), );

		// GET CLIENT DETAILS

		$query1 = "SELECT id_customer, 

			firstname, 

			lastname, 

			email, 

			website/*,*/

			-- (SELECT name FROM ps_gender_lang WHERE ps_customer.id_gender = ps_gender_lang.id_gender)

			FROM ps_customer WHERE id_customer = ?";

		if ($stmt1 = $sqli_connection -> prepare($query1)) {

			$stmt1 -> bind_param("d", $id_customer);

			$result1 = $stmt1 -> execute();

			if (false === $result1) {

				$response["errors"] = true;

				$response["message"] = $stmt1 -> error;

				die(json_encode($response));

			}

			$stmt1 -> store_result();

			$total1 = $stmt1 -> num_rows;

			$stmt1 -> bind_result($id_customer1, $firstname, $lastname, $email, $website/*,

			 $titulo*/

			);

			$stmt1 -> fetch();

			$cliente = array('ID_Customer_Prestashop' => $id_customer1, 'Firstname' => $firstname, 'Lastname' => $lastname, 'Email' => $email, 'Website' => $website/*,

			 'Titulo' => $titulo */

			);

			$stmt1 -> close();

			// ADD CLIENT DETAILS TO $detalhes

			$detalhes[$index]["cliente"] = $cliente;

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection -> error;

			die(json_encode($response));

		}

		// -------------------

		// GET INVOICE ADDRESS INDICATED IN ORDER

		$query3 = "SELECT id_address, 

			(SELECT iso_code AS pais FROM ps_country WHERE ps_address.id_country = ps_country.id_country), 

			-- id_state, 
			(SELECT name AS regiao FROM ps_state WHERE ps_address.id_state = ps_state.id_state),

			address1, 

			address2, 

			postcode, 

			city, 

			phone, 

			phone_mobile, 

			vat_number

			FROM ps_address WHERE id_address=?";

		if ($stmt3 = $sqli_connection -> prepare($query3)) {

			$stmt3 -> bind_param("d", $id_address_invoice);

			$result3 = $stmt3 -> execute();

			if (false === $result3) {

				$response["errors"] = true;

				$response["message"] = $stmt3 -> error;

				die(json_encode($response));

			}

			$stmt3 -> store_result();

			$total3 = $stmt3 -> num_rows;

			$stmt3 -> bind_result($id_address, $country, $id_state, $address1, $address2, $postcode, $city, $phone, $phone_mobile, $vat_number);

			$stmt3 -> fetch();

			$detalhes_morada = array('id_address' => $id_address, 'country' => $country, 'id_state' => $id_state, 'address1' => $address1, 'address2' => $address2, 'postcode' => $postcode, 'city' => $city, 'phone' => $phone, 'phone_mobile' => $phone_mobile, 'vat_number' => $vat_number);

			$stmt3 -> close();

			// ADD ADDRESS DETAILS TO $detalhes

			$detalhes[$index]["detalhes_morada"] = $detalhes_morada;

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection -> error;

			die(json_encode($response));

		}

		// ----------------------

		$detalhes_produtos = [];

		// ADD SHIPPING
		if ($total_shipping != 0) {
			$detalhes_produtos[] = array('id_order_detail' => $id_order_detail, 'id_order' => $id_order, 'product_id' => 9999, 'product_name' => 'Frais de Port', 'product_quantity' => 1, 'product_price' => $total_shipping_tax_excl, 'reduction_percent' => 0, 'product_reference' => '', 'id_tax_rules_group' => 0, 'unit_price_tax_incl' => $total_shipping, 'unit_price_tax_excl' => $total_shipping_tax_excl, 'id_tax_linha' => 0, 'tax_rate' => $carrier_tax_rate, 'tax_name' => '');
		}

		// ----------------------

		// GET ORDER DETAILS (Linhas da fatura)

		$query5 = "SELECT ps_order_detail.id_order_detail, 

			id_order, 

			product_id, 

			product_name, 

			product_quantity, 

			product_price, 

			reduction_percent, 

			(SELECT ps_product.reference FROM ps_product WHERE ps_product.id_product=ps_order_detail.product_id), 

			id_tax_rules_group, 

			tax_name, 

			tax_rate, 

			unit_price_tax_incl, 

			unit_price_tax_excl, 

			(SELECT id_tax AS id_tax_linha 

				FROM ps_order_detail_tax 

				WHERE ps_order_detail.id_order_detail = ps_order_detail_tax.id_order_detail)

			FROM ps_order_detail WHERE id_order=?";

		if ($stmt5 = $sqli_connection -> prepare($query5)) {

			$stmt5 -> bind_param("d", $id_order);

			$result5 = $stmt5 -> execute();

			if (false === $result5) {

				$response["errors"] = true;

				$response["message"] = $stmt5 -> error;

				die(json_encode($response));

			}

			$stmt5 -> store_result();

			$total5 = $stmt5 -> num_rows;

			$stmt5 -> bind_result($id_order_detail, $id_order3, $product_id, $product_name, $product_quantity, $product_price, $reduction_percent, $product_reference, $id_tax_rules_group, $tax_name, $tax_rate, $unit_price_tax_incl, $unit_price_tax_excl, $id_tax_linha);

			while ($stmt5 -> fetch()) {
				// GET RATE DETAILS (Detalhes Imposto)

				$query13 = "SELECT ps_tax.rate, 

					ps_tax_lang.name 

					FROM ps_tax INNER JOIN ps_tax_lang ON ps_tax.id_tax = ps_tax_lang.id_tax 

					WHERE ps_tax.id_tax = ?";

				if ($stmt13 = $sqli_connection -> prepare($query13)) {

					$stmt13 -> bind_param("d", $id_tax_linha);

					$result13 = $stmt13 -> execute();

					if (false === $result13) {

						$response["errors"] = true;

						$response["message"] = $stmt13 -> error;

						die(json_encode($response));

					}

					$stmt13 -> store_result();

					$total13 = $stmt13 -> num_rows;

					$stmt13 -> bind_result($rate, $tax_name1);

					$stmt13 -> fetch();

					$stmt13 -> close();

				} else {

					$response["errors"] = true;

					$response["message"] = $sqli_connection -> error;

					die(json_encode($response));

				}

				// --------------------------

				$detalhes_produtos[] = array('id_order_detail' => $id_order_detail, 'id_order' => $id_order3, 'product_id' => $product_id, 'product_name' => $product_name, 'product_quantity' => $product_quantity, 'product_price' => $product_price, 'reduction_percent' => $reduction_percent, 'product_reference' => $product_reference, 'id_tax_rules_group' => $id_tax_rules_group, 'unit_price_tax_incl' => $unit_price_tax_incl, 'unit_price_tax_excl' => $unit_price_tax_excl, 'id_tax_linha' => $id_tax_linha, 'tax_rate' => $rate, 'tax_name' => $tax_name1);

			}

			$stmt5 -> close();

			// ADD ORDER DETAILS TO $detalhes

			$detalhes[$index]["detalhes_produtos"] = $detalhes_produtos;

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection -> error;

			die(json_encode($response));

		}

		// GET ORDER CURRENCY DETAILS (Moeda)

		$query6 = "SELECT id_currency, iso_code FROM ps_currency WHERE id_currency=?";

		if ($stmt6 = $sqli_connection -> prepare($query6)) {

			$stmt6 -> bind_param("d", $id_currency);

			$result6 = $stmt6 -> execute();

			if (false === $result6) {

				$response["errors"] = true;

				$response["message"] = $stmt6 -> error;

				die(json_encode($response));

			}

			$stmt6 -> store_result();

			$total6 = $stmt6 -> num_rows;

			$stmt6 -> bind_result($id_currency, $iso_code);

			$stmt6 -> fetch();

			$detalhes_currency = array('id_currency' => $id_currency, 'iso_code' => $iso_code);

			$stmt6 -> close();

			// ADD CURRENCY DETAILS TO $detalhes

			$detalhes[$index]["detalhes_currency"] = $detalhes_currency;

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection -> error;

			die(json_encode($response));

		}

		// ---------------------

		$index++;

	}// END OF ORDERS WHILE

	$stmt -> close();

} else {

	$response["errors"] = true;

	$response["message"] = $sqli_connection -> error;

	die(json_encode($response));

}

//-----------------------------------------------------------------------------------------------------

// PREPARE ORDERS TO INSERT AND ADD IT TO $response['detalhes']

// COUNTERS OF CLIENTES AND ARTIGOS

$clientes_inseridos = 0;

$produtos_inseridos = 0;

// CHECK IF EXISTS NEW ORDERS TO REGISTER, IF NOT -> EXIT (DIE)

if ($detalhes == []) {

	$response['errors'] = false;

	$response['detalhes'] = [];

	$response['clientes_inseridos'] = 0;

	$response['produtos_inseridos'] = 0;

	$response['message'] = 'success';

	die(json_encode($response));

}

// PREPARE EACH ORDER

foreach ($detalhes as $counter => $detalhes_encomenda) {

	// GET CLIENTE FROM GES (IF NOT EXISTS, CREATE)

	$query7 = "SELECT ID_Cliente, Nif, Email FROM faturacao_ghosts_clientes WHERE ID_Prestashop=?";

	if ($stmt7 = $sqli_connection_ges -> prepare($query7)) {

		$stmt7 -> bind_param("d", $detalhes_encomenda['cliente']['ID_Customer_Prestashop']);

		$result7 = $stmt7 -> execute();

		if (false === $result7) {

			$response["errors"] = true;

			$response["message"] = $stmt7 -> error;

			die(json_encode($response));

		}

		$stmt7 -> store_result();

		$total7 = $stmt7 -> num_rows;

		$stmt7 -> bind_result($id_cliente, $nif, $email_cliente);

		$stmt7 -> fetch();

		$detalhes_cliente = array('id_cliente' => $id_cliente, 'nif' => $nif, 'email_cliente' => $email_cliente);

		$stmt7 -> close();

		// GET ID cliente

		// IF ( $total7 == 0 ), CLIENTE DO NOT EXISTS

		if ($total7 == 0) {

			// PREPARE CLIENTE DETAILS TO INSERT

			$titulo_inserir = $detalhes_encomenda['cliente']['Titulo'] ? $detalhes_encomenda['cliente']['Titulo'] : 'M';

			$nome_inserir = $detalhes_encomenda['cliente']['Firstname'] ? $detalhes_encomenda['cliente']['Firstname'] : 'Inconnu';

			$apelido_inserir = $detalhes_encomenda['cliente']['Lastname'] ? $detalhes_encomenda['cliente']['Lastname'] : 'Inconnu';

			if ($detalhes_encomenda['detalhes_morada']['vat_number'] != '') {

				$nif_inserir = $detalhes_encomenda['detalhes_morada']['vat_number'];

			} else {

				$nif_inserir = '999999990';

			}

			$morada_inserir = $detalhes_encomenda['detalhes_morada']['address1'] . ' ' . $detalhes_encomenda['detalhes_morada']['address2'];

			$codpostal_inserir = $detalhes_encomenda['detalhes_morada']['postcode'];

			$pais_inserir = $detalhes_encomenda['detalhes_morada']['country'] ? $detalhes_encomenda['detalhes_morada']['country'] : '';

			$email_inserir = $detalhes_encomenda['cliente']['Email'] ? $detalhes_encomenda['cliente']['Email'] : '';

			$id_prestashop_inserir = $detalhes_encomenda['cliente']['ID_Customer_Prestashop'];

			// TIPO DE PAGAMENTO ------------------------------------------------------------------------
			$query22 = "SELECT MetodoPagamento, Vencimento FROM faturacao_personalizar_documentos WHERE ID_personalizar > 0 LIMIT 1";

			if ($stmt22 = $sqli_connection_ges -> prepare($query22)) {

				$result22 = $stmt22 -> execute();

				if (false === $result22) {

					$response["errors"] = true;

					$response["message"] = $stmt22 -> error;

					die(json_encode($response));

				}

				$stmt22 -> store_result();

				$total22 = $stmt22 -> num_rows;

				$stmt22 -> bind_result($tipo_pagamento_defeito, $vencimento_defeito);

				$stmt22 -> fetch();

				$stmt22 -> close();

				if ($tipo_pagamento_defeito) {

					$tipo_pagamento_inserir = $tipo_pagamento_defeito;
					$vencimento_inserir = $vencimento_defeito;
				} else {

					$tipo_pagamento_inserir = $detalhes_encomenda['tipo_pagamento'];
					$vencimento_inserir = 0;
				}
			} else {

				$response["errors"] = true;

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

			// --------- GET ID_Cidade
			/*$cidade_inserir = '';

			 $query9 = "SELECT ID_Concelho FROM concelho WHERE Nome = ?";

			 if ($stmt9 = $sqli_connection_ges -> prepare($query9)) {

			 $stmt9 -> bind_param("s", $detalhes_encomenda['detalhes_morada']['city']);

			 $result9 = $stmt9 -> execute();

			 if (false === $result9) {

			 $response["errors"] = true;

			 $response["message"] = $stmt9 -> error;

			 die(json_encode($response));

			 }

			 $stmt9 -> store_result();

			 $total9 = $stmt9 -> num_rows;

			 $stmt9 -> bind_result($id_concelho);

			 $stmt9 -> fetch();

			 $stmt9 -> close();

			 if($id_concelho != null)

			 $cidade_inserir = $id_concelho;

			 else

			 $cidade_inserir = 0;

			 } else {

			 $response["errors"] = true;

			 $response["message"] = $sqli_connection_ges -> error;

			 die(json_encode($response));

			 }*/

			$cidade_inserir = $detalhes_encomenda['detalhes_morada']['city'] ? $detalhes_encomenda['detalhes_morada']['city'] : '';
			// TIPO DE PAGAMENTO ------------------------------------------------------------------------

			// GET ID_Cidade ---------

			// --------- GET ID_Distrito

			/*$regiao_inserir = '';

			 $query9 = "SELECT ID_Distrito FROM distrito WHERE Nome = ?";

			 if ($stmt9 = $sqli_connection_ges -> prepare($query9)) {

			 $stmt9 -> bind_param("s", $detalhes_encomenda['detalhes_morada']['id_state']);

			 $result9 = $stmt9 -> execute();

			 if (false === $result9) {

			 $response["errors"] = true;

			 $response["message"] = $stmt9 -> error;

			 die(json_encode($response));

			 }

			 $stmt9 -> store_result();

			 $total9 = $stmt9 -> num_rows;

			 $stmt9 -> bind_result($id_regiao);

			 $stmt9 -> fetch();

			 $stmt9 -> close();

			 if($id_regiao != null)

			 $regiao_inserir = $id_regiao;

			 else

			 $regiao_inserir = '';

			 } else {

			 $response["errors"] = true;

			 $response["message"] = $sqli_connection_ges -> error;

			 die(json_encode($response));

			 }*/

			$regiao_inserir = $detalhes_encomenda['detalhes_morada']['id_state'] ? $detalhes_encomenda['detalhes_morada']['id_state'] : '';

			// GET ID_Distrito ---------

			//GET NEXT CODIGO CLIENTE -----------------

			$query15 = "SELECT MAX(CAST( Codigo AS UNSIGNED )) FROM faturacao_clientes WHERE Codigo NOT LIKE  '%[a-z]%'";

			if ($stmt15 = $sqli_connection_ges -> prepare($query15)) {

				$result15 = $stmt15 -> execute();

				if (false === $result15) {

					$response["errors"] = true;

					$response["type"] = "HELP001";

					$response["message"] = $stmt15 -> error;

					die(json_encode($response));

				}

				$stmt15 -> store_result();

				$stmt15 -> bind_result($nextID);

				$stmt15 -> fetch();

				$stmt15 -> close();

			} else {

				$response["errors"] = true;

				$response["type"] = "HELP002";

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

			//return next id

			$codigoCliente_inserir = $nextID + 1;

			//-----------------------------------------

			$timestamp = microtime(true);

			//------------ INSERT NEW CLIENTE

			$query8 = "INSERT INTO faturacao_ghosts_clientes(

				Titulo,

				Nome, 

				Apelido,

				Nif, 

				Codigo, 

				Endereco, 

				CodigoPostal, 

				Cidade, 

				Pais, 

				Regiao,

				Email, 

				ID_Grupo, 

				MetPagamento, 

				Desconto, 

				PreferenciaNome, 

				PreferenciaEmail, 

				Usado, 

				TimestampCliente, 

				ID_Prestashop,

				Vencimento) 

				VALUES (?,?,?,?,?,?,?,?,?,?,?,1,?,0,?,?,1,?,?,?)";

			if ($stmt8 = $sqli_connection_ges -> prepare($query8)) {

				$stmt8 -> bind_param("ssssssssssssdssdd", $titulo_inserir, $nome_inserir, $apelido_inserir, $nif_inserir, $codigoCliente_inserir, $morada_inserir, $codpostal_inserir, $cidade_inserir, $pais_inserir, $regiao_inserir, $email_inserir, $tipo_pagamento_inserir, $nome_inserir, $email_inserir, $timestamp, $id_prestashop_inserir, $vencimento_inserir);

				$result8 = $stmt8 -> execute();

				if (false === $result8) {

					$response["errors"] = true;

					$response["type"] = "query8";

					$response["line"] = "FTGA010";

					$response["message"] = $stmt8 -> error;

					die(json_encode($response));

				}

				$stmt8 -> close();

				$clientes_inseridos++;

			} else {

				$response["errors"] = true;

				$response["type"] = "query8";

				$response["line"] = "FTGA011";

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

			// INSERT NEW CLIENTE ------------

			// ----- GET ID_Cliente OF NEW CLIENTE

			$query10 = "SELECT ID_Cliente FROM faturacao_ghosts_clientes WHERE TimestampCliente = ?";

			if ($stmt10 = $sqli_connection_ges -> prepare($query10)) {

				$stmt10 -> bind_param("s", $timestamp);

				$result10 = $stmt10 -> execute();

				if (false === $result10) {

					$response["errors"] = true;

					$response["message"] = $stmt10 -> error;

					die(json_encode($response));

				}

				$stmt10 -> store_result();

				$total10 = $stmt10 -> num_rows;

				$stmt10 -> bind_result($id_new_cliente);

				$stmt10 -> fetch();

				$stmt10 -> close();

				// ADD ID_Cliente TO RESPONSE

				$dados_inserir_fatura[$counter]['cliente'] = $id_new_cliente;

			} else {

				$response["errors"] = true;

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

		} else {

			// ADD ID_Cliente TO RESPONSE

			$dados_inserir_fatura[$counter]['cliente'] = $id_cliente;

		}

		// -------------------------------------

	} else {

		$response["errors"] = true;

		$response["message"] = $sqli_connection_ges -> error;

		die(json_encode($response));

	}

	//-------------------------------------------------

	// ---------- GET ID_Moeda

	$query11 = "SELECT ID_Moeda FROM faturacao_moedas WHERE ISO_Code = ?";

	if ($stmt11 = $sqli_connection_ges -> prepare($query11)) {

		$stmt11 -> bind_param("s", $detalhes_encomenda['detalhes_currency']['iso_code']);

		$result11 = $stmt11 -> execute();

		if (false === $result11) {

			$response["errors"] = true;

			$response["message"] = $stmt11 -> error;

			die(json_encode($response));

		}

		$stmt11 -> store_result();

		$total11 = $stmt11 -> num_rows;

		$stmt11 -> bind_result($id_moeda);

		$stmt11 -> fetch();

		$stmt11 -> close();

		// ADD ID_Moeda TO RESPONSE

		if ($id_moeda != null || $id_moeda != 0)

			$dados_inserir_fatura[$counter]['moeda'] = $id_moeda;
		
else

			$dados_inserir_fatura[$counter]['moeda'] = 1;
		//DEFAULT: chf

	} else {

		$response["errors"] = true;

		$response["message"] = $sqli_connection_ges -> error;

		die(json_encode($response));

	}

	// GET ID_Moeda ----------

	// ---------- GET ID_Serie

	$query19 = "SELECT ID_Serie FROM faturacao_series WHERE Predefinida = 1";

	if ($stmt19 = $sqli_connection_ges -> prepare($query19)) {

		$result19 = $stmt19 -> execute();

		if (false === $result19) {

			$response["errors"] = true;

			$response["message"] = $stmt19 -> error;

			die(json_encode($response));

		}

		$stmt19 -> store_result();

		$total19 = $stmt19 -> num_rows;

		$stmt19 -> bind_result($id_serie);

		$stmt19 -> fetch();

		$stmt19 -> close();

		// ADD ID_Moeda TO RESPONSE

		if ($id_serie != null)

			$dados_inserir_fatura[$counter]['serie'] = $id_serie;
		
else

			$dados_inserir_fatura[$counter]['serie'] = 1;

	} else {

		$response["errors"] = true;

		$response["message"] = $sqli_connection_ges -> error;

		die(json_encode($response));

	}

	// GET ID_Serie ----------

	// ADD OTHER DATA TO RESPONSE

	$tempDate = DateTime::createFromFormat('Y-m-d H:i:s', $detalhes_encomenda['invoice_date']);

	$invoiceDate = $tempDate -> format('d/m/Y');
	$invoiceDateToCalculate = $tempDate -> format('Y-m-d');

	$dateProcessed = date('Y-m-d', strtotime($invoiceDateToCalculate. " + " . $vencimento_inserir . " days"));
	$validadeNew = DateTime::createFromFormat('Y-m-d', $dateProcessed);
	$validadeNew = $validadeNew -> format('d/m/Y');

	$dados_inserir_fatura[$counter]['numero'] = '0';

	$dados_inserir_fatura[$counter]['data'] = $invoiceDate;

	$dados_inserir_fatura[$counter]['validade'] = $validadeNew;

	$dados_inserir_fatura[$counter]['referencia'] = $detalhes_encomenda['reference'];

	$dados_inserir_fatura[$counter]['pagamento'] = $detalhes_encomenda['tipo_pagamento'];

	$dados_inserir_fatura[$counter]['banco'] = 0;

	$dados_inserir_fatura[$counter]['vencimento'] = $vencimento_inserir;

	$dados_inserir_fatura[$counter]['desconto'] = 0;

	$dados_inserir_fatura[$counter]['observacoes'] = $detalhes_encomenda['observacoes'];

	$dados_inserir_fatura[$counter]['finalizarDocumento'] = 0;

	$dados_inserir_fatura[$counter]['precisaBanco'] = 0;

	// GET LINES OF ORDER ($data[1024]['trad'];)

	$dados_inserir_fatura[$counter]['linhas'] = [];

	foreach ($detalhes_encomenda['detalhes_produtos'] as $k => $linha_prod) {

		$linha = [];

		// VERIFY IF ARTIGO ALREADY EXISTS IN GES

		$query12 = "SELECT ID_Artigo FROM faturacao_ghosts_artigos WHERE ID_Prestashop=?";

		if ($stmt12 = $sqli_connection_ges -> prepare($query12)) {

			$stmt12 -> bind_param("d", $linha_prod['product_id']);

			$result12 = $stmt12 -> execute();

			if (false === $result12) {

				$response["errors"] = true;

				$response["message"] = $stmt12 -> error;

				die(json_encode($response));

			}

			$stmt12 -> store_result();

			$total12 = $stmt12 -> num_rows;

			$stmt12 -> bind_result($id_artigo);

			$stmt12 -> fetch();

			//if($linha_prod['product_id'] == 9999)

			$taxa = (string)(float)$linha_prod['tax_rate'];
			$query14 = "SELECT ID_Imposto FROM faturacao_impostos WHERE FinalidadeTipo = 'C' AND Valor = ? ORDER BY `Predefinido` DESC LIMIT 1";
			if ($stmt14 = $sqli_connection_ges -> prepare($query14)) {
				$stmt14 -> bind_param("s", $taxa);
				$result14 = $stmt14 -> execute();
				if (false === $result14) {
					$response["errors"] = true;
					$response["message"] = $stmt14 -> error;
					die(json_encode($response));
				}
				$stmt14 -> store_result();
				$total14 = $stmt14 -> num_rows;
				$stmt14 -> bind_result($id_imposto_ges);
				$stmt14 -> fetch();
				$stmt14 -> close();
			} else {
				$response["errors"] = true;
				$response["message"] = $sqli_connection_ges -> error;
				die(json_encode($response));
			}

			$nome = $linha_prod['product_name'];
			$preco = $linha_prod['unit_price_tax_excl'];
			$id_imposto = $id_imposto_ges;

			$linha = array('artigo' => $id_artigo, 'descricao' => $nome, 'preco' => $preco, 'imposto' => $id_imposto);

			$stmt12 -> close();

			// GET ID_Artigo

			// IF ( $total12 == 0 ) ARTIGO DO NOT EXISTS, CREATE

			if ($total12 == 0) {

				// PREPARE ARTIGO DETAILS TO INSERT

				$nome_prod_inserir = $linha_prod['product_name'];

				$tipo_prod_inserir = 'P';

				$serial_number_prod_inserir = $linha_prod['product_reference'];

				$categoria_prod_inserir = '0';

				$unidade_prod_inserir = '1';

				$preco_pvp_prod_inserir = $linha_prod['unit_price_tax_incl'];

				$usado_prod_inserir = '1';

				$id_prestashop_prod_inserir = $linha_prod['product_id'] != 9999 ? $linha_prod['product_id'] : NULL;

				// ---------------- GET ID_Imposto

				$id_imposto_inserir = '';

				$taxa = (string)(float)$linha_prod['tax_rate'];

				$query14 = "SELECT ID_Imposto FROM faturacao_impostos WHERE FinalidadeTipo = 'C' AND Valor = ? ORDER BY `Predefinido` DESC LIMIT 1";

				if ($stmt14 = $sqli_connection_ges -> prepare($query14)) {

					$stmt14 -> bind_param("s", $taxa);

					$result14 = $stmt14 -> execute();

					if (false === $result14) {

						$response["errors"] = true;

						$response["message"] = $stmt14 -> error;

						die(json_encode($response));

					}

					$stmt14 -> store_result();

					$total14 = $stmt14 -> num_rows;

					$stmt14 -> bind_result($id_imposto_ges);

					$stmt14 -> fetch();

					$stmt14 -> close();

					// ADD ID_Imposto TO RESPONSE

					if ($id_imposto_ges)

						$id_imposto_inserir = $id_imposto_ges;
					
					else {

						$query21 = "SELECT ID_Imposto FROM faturacao_impostos WHERE FinalidadeTipo = 'C' AND Predefinido = 1";

						if ($stmt21 = $sqli_connection_ges -> prepare($query21)) {

							$result21 = $stmt21 -> execute();

							if (false === $result21) {

								$response["errors"] = true;

								$response["message"] = $stmt21 -> error;

								die(json_encode($response));

							}

							$stmt21 -> store_result();

							$total21 = $stmt21 -> num_rows;

							$stmt21 -> bind_result($id_imposto_ges);

							$stmt21 -> fetch();

							$stmt21 -> close();

							// ADD ID_Imposto TO RESPONSE

							$id_imposto_inserir = $id_imposto_ges;

						} else {

							$response["errors"] = true;

							$response["message"] = $sqli_connection_ges -> error;

							die(json_encode($response));

						}

					}
				} else {

					$response["errors"] = true;

					$response["message"] = $sqli_connection_ges -> error;

					die(json_encode($response));

				}

				// GET ID_Imposto -----------------

				//GET NEXT CODIGO ARTIGO -----------------
				if ($serial_number_prod_inserir == "" || $serial_number_prod_inserir == NULL) {
					$query16 = "SELECT MAX(CAST( Codigo AS UNSIGNED )) FROM faturacao_ghosts_artigos WHERE Codigo NOT LIKE  '%[a-z]%' AND Codigo != 9999";

					if ($stmt16 = $sqli_connection_ges -> prepare($query16)) {

						$result16 = $stmt16 -> execute();

						if (false === $result16) {

							$response["errors"] = true;

							$response["type"] = "HELP001";

							$response["message"] = $stmt16 -> error;

							die(json_encode($response));

						}

						$stmt16 -> store_result();

						$stmt16 -> bind_result($nextCodigo);

						$stmt16 -> fetch();

						$stmt16 -> close();

					} else {

						$response["errors"] = true;

						$response["type"] = "HELP002";

						$response["message"] = $sqli_connection_ges -> error;

						die(json_encode($response));

					}

					if ($nextCodigo == 9998)
						$nextCodigo++;
					$serial_number_prod_inserir = $nextCodigo + 1;
				}
				//----------------------------------------------

				$preco_prod_inserir = $linha_prod['unit_price_tax_excl'];
				$serial = "";

				$timestamp = time();

				//------------ INSERT NEW ARTIGO

				$query17 = "INSERT INTO faturacao_ghosts_artigos(

					Nome, 

					Codigo, 

					Tipo, 

					SerialNumber, 

					ID_Categoria, 

					ID_Unidade, 

					Preco, 

					ID_Imposto, 

					PrecoPVP, 

					Usado, 

					ID_Prestashop) 

					VALUES (?,?,?,?,?,?,?,?,?,?,?)";

				if ($stmt17 = $sqli_connection_ges -> prepare($query17)) {

					$stmt17 -> bind_param("ssssddddddd", $nome_prod_inserir, $serial_number_prod_inserir, $tipo_prod_inserir, $serial, $categoria_prod_inserir, $unidade_prod_inserir, $preco_prod_inserir, $id_imposto_inserir, $preco_pvp_prod_inserir, $usado_prod_inserir, $id_prestashop_prod_inserir);

					$result17 = $stmt17 -> execute();

					if (false === $result17) {

						$response["errors"] = true;

						$response["type"] = "query17";

						$response["line"] = "FTGA010";

						$response["message"] = $stmt17 -> error;

						die(json_encode($response));

					}

					$stmt17 -> close();

					$produtos_inseridos++;

				} else {

					$response["errors"] = true;

					$response["type"] = "query17";

					$response["line"] = "FTGA011";

					$response["message"] = $sqli_connection_ges -> error;

					die(json_encode($response));

				}

				// INSERT NEW ARTIGO ------------

				// ----- GET ID_Artigo OF NEW ARTIGO

				if ($id_prestashop_prod_inserir == NULL) {
					$linha = array('artigo' => 9999, 'descricao' => 'Frais de Port', 'preco' => $preco_prod_inserir, 'imposto' => $id_imposto_inserir);
				} else {

					$query12 = "SELECT ID_Artigo, Nome, Preco, ID_Imposto FROM faturacao_ghosts_artigos WHERE ID_Prestashop=?";

					if ($stmt12 = $sqli_connection_ges -> prepare($query12)) {

						$stmt12 -> bind_param("d", $id_prestashop_prod_inserir);

						$result12 = $stmt12 -> execute();

						if (false === $result12) {

							$response["errors"] = true;

							$response["message"] = $stmt12 -> error;

							die(json_encode($response));

						}

						$stmt12 -> store_result();

						$total12 = $stmt12 -> num_rows;

						$stmt12 -> bind_result($id_artigo, $nome, $preco, $id_imposto);

						$stmt12 -> fetch();

						$linha = array('artigo' => $id_artigo, 'descricao' => $nome, 'preco' => $preco, 'imposto' => $id_imposto);

						$stmt12 -> close();

					} else {

						$response["errors"] = true;

						$response["message"] = $sqli_connection_ges -> error;

						die(json_encode($response));

					}
				}

				// ---------------------------------

			} else {

				// UPDATE ARTIGO
				$nome_prod_atualizar = $linha_prod['product_name'];

				$serial_number_prod_atualizar = $linha_prod['product_reference'];

				$preco_pvp_prod_atualizar = $linha_prod['unit_price_tax_incl'];

				$id_prestashop_prod_atualizar = $linha_prod['product_id'] != 9999 ? $linha_prod['product_id'] : NULL;

				$id_prestashop_prod_atualizar = $linha_prod['product_id'] != 9999 ? $linha_prod['product_id'] : NULL;
				// ---------------- GET ID_Imposto

				//----------------------------------------------
				$id_imposto_atualizar = '';

				$taxa = (string)(float)$linha_prod['tax_rate'];

				$query14 = "SELECT ID_Imposto FROM faturacao_impostos WHERE FinalidadeTipo = 'C' AND Valor = ? ORDER BY `Predefinido` DESC LIMIT 1";

				if ($stmt14 = $sqli_connection_ges -> prepare($query14)) {

					$stmt14 -> bind_param("s", $taxa);

					$result14 = $stmt14 -> execute();

					if (false === $result14) {

						$response["errors"] = true;

						$response["message"] = $stmt14 -> error;

						die(json_encode($response));

					}

					$stmt14 -> store_result();

					$total14 = $stmt14 -> num_rows;

					$stmt14 -> bind_result($id_imposto_ges);

					$stmt14 -> fetch();

					$stmt14 -> close();

					// ADD ID_Imposto TO RESPONSE

					if ($id_imposto_ges)

						$id_imposto_atualizar = $id_imposto_ges;
					
					else {

						$query21 = "SELECT ID_Imposto FROM faturacao_impostos WHERE FinalidadeTipo = 'C' AND Predefinido = 1";

						if ($stmt21 = $sqli_connection_ges -> prepare($query21)) {

							$result21 = $stmt21 -> execute();

							if (false === $result21) {

								$response["errors"] = true;

								$response["message"] = $stmt21 -> error;

								die(json_encode($response));

							}

							$stmt21 -> store_result();

							$total21 = $stmt21 -> num_rows;

							$stmt21 -> bind_result($id_imposto_ges);

							$stmt21 -> fetch();

							$stmt21 -> close();

							// ADD ID_Imposto TO RESPONSE

							$id_imposto_atualizar = $id_imposto_ges;

						} else {

							$response["errors"] = true;

							$response["message"] = $sqli_connection_ges -> error;

							die(json_encode($response));

						}

					}
				} else {

					$response["errors"] = true;

					$response["message"] = $sqli_connection_ges -> error;

					die(json_encode($response));

				}

				// GET ID_Imposto -----------------

				$preco_prod_atualizar = $linha_prod['unit_price_tax_excl'];

				if ($serial_number_prod_atualizar == "" || $serial_number_prod_atualizar == NULL) {
					//------------ INSERT NEW ARTIGO

					$query17 = "UPDATE faturacao_ghosts_artigos SET Nome=? 

						WHERE ID_Prestashop=?";

					if ($stmt17 = $sqli_connection_ges -> prepare($query17)) {

						$stmt17 -> bind_param("sd", $nome_prod_atualizar, $id_prestashop_prod_atualizar);

						$result17 = $stmt17 -> execute();

						if (false === $result17) {

							$response["errors"] = true;

							$response["type"] = "query17";

							$response["line"] = "FTGA010";

							$response["message"] = $stmt17 -> error;

							die(json_encode($response));

						}

						$stmt17 -> close();

						$produtos_inseridos++;

					} else {

						$response["errors"] = true;

						$response["type"] = "query17";

						$response["line"] = "FTGA011";

						$response["message"] = $sqli_connection_ges -> error;

						die(json_encode($response));

					}
				} else {

					//------------ INSERT NEW ARTIGO

					$query17 = "UPDATE faturacao_ghosts_artigos SET Nome=?, 

						Codigo=? 

						WHERE ID_Prestashop=?";

					if ($stmt17 = $sqli_connection_ges -> prepare($query17)) {

						$stmt17 -> bind_param("ssd", $nome_prod_atualizar, $serial_number_prod_atualizar, $id_prestashop_prod_atualizar);

						$result17 = $stmt17 -> execute();

						if (false === $result17) {

							$response["errors"] = true;

							$response["type"] = "query17";

							$response["line"] = "FTGA010";

							$response["message"] = $stmt17 -> error;

							die(json_encode($response));

						}

						$stmt17 -> close();

						$produtos_inseridos++;

					} else {

						$response["errors"] = true;

						$response["type"] = "query17";

						$response["line"] = "FTGA011";

						$response["message"] = $sqli_connection_ges -> error;

						die(json_encode($response));

					}

					//------------ INSERT NEW ARTIGO

					$query17 = "UPDATE faturacao_artigos SET Nome=?, 

						Codigo=? 

						WHERE ID_Prestashop=?";

					if ($stmt17 = $sqli_connection_ges -> prepare($query17)) {

						$stmt17 -> bind_param("ssd", $nome_prod_atualizar, $serial_number_prod_atualizar, $id_prestashop_prod_atualizar);

						$result17 = $stmt17 -> execute();

						if (false === $result17) {

							$response["errors"] = true;

							$response["type"] = "query17";

							$response["line"] = "FTGA010";

							$response["message"] = $stmt17 -> error;

							die(json_encode($response));

						}

						$stmt17 -> close();

						$produtos_inseridos++;

					} else {

						$response["errors"] = true;

						$response["type"] = "query17";

						$response["line"] = "FTGA011";

						$response["message"] = $sqli_connection_ges -> error;

						die(json_encode($response));

					}
				}


				// INSERT NEW ARTIGO ------------

			}

			// ADD OTHER DETAILS OF ARTIGO TO LINHA

			$linha['qtd'] = $linha_prod['product_quantity'];

			$linha['motivo'] = 18;

			$linha['desconto'] = 0;

			$linha['retencao'] = 0;

			// ADD LINHA TO RESPONSE

			$dados_inserir_fatura[$counter]['linhas'][$k] = $linha;

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection_ges -> error;

			die(json_encode($response));

		}

	} // END OF LINHAS FOREACH

}// END OF ORDERS FOREACH

// var_dump($dados_inserir_fatura);

//----------------------------------------------------

$response['errors'] = false;

$response['clientes_inseridos'] = $clientes_inseridos;

$response['produtos_inseridos'] = $produtos_inseridos;

$response['message'] = 'Existem novas faturas!';

$response['detalhes'] = $dados_inserir_fatura;

// die(json_encode($response));
?>