<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];


//GET POST VARS ---------------------------------------------------------
$idTecnico = $_POST['idTecnico'];
$nome_tecnico = $_POST['nome_tecnico'];
$contacto_tecnico = $_POST['contacto_tecnico'];
$email_tecnico = $_POST['email_tecnico'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idTecnico == '' || $nome_tecnico == ''  ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//UPDATE DB ------------------------------------------------------------------
$query = "UPDATE faturacao_tecnicos SET
	Nome=?,
	Contacto=?,
	Email=?
	WHERE ID_Tecnico = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssd", 
	    $nome_tecnico,	    
		$contacto_tecnico,
		$email_tecnico,
		$idTecnico 
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Édition du Technicien (id: ".$idTecnico.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);
	
//response
$response["errors"] = false;
die(json_encode($response));
?>