<?php
/**
 * |-----------------------------------------------------------------------
 * |
 * |						Articles Actions - API
 * |
 * |-----------------------------------------------------------------------
 */
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/auth/controltoken.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/resources/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/resources/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/resources/processor.php";

//GLOBAL VARS -----------------------------------------------------------
$opcao = $gOpcaoProcessor;
$baseLnk = getBaseLink();
$api_path = getApiPath();
$webservices_path = getWebservicesPath();
$_tokenRequest = $recToken;
//-----------------------------------------------------------------------

//GET POST VARS ---------------------------------------------------------
switch ($opcao) {
	case 0:
		//GET ALL ACTIF ARTICLES (AJAX)
		$search = $_GET['search'];
		$idarticle = $_GET['idarticle']; /*DON'T USE FOR NOW*/
		$page = $_GET['page'];

		getAllArticles($search, $idarticle, $page);
		//---------------------------------
		break;

	case 1:
		//GET ARTICLE DETAILS
		$idarticle = $_GET['idarticle'];

		getArticleDetails($idarticle);
		//---------------------------------
		break;

	case 2:
		//ADD ARTIGO
		// #TO DO
		//---------------------------------
		break;

	case 3:
		//EDIT ARTIGO
		// #TO DO
		//---------------------------------
		break;

	case 4:
		//DELETE ARTIGO
		// #TO DO
		//---------------------------------
		break;

	case 5:
		//CHANGE ARTIGO STATUS
		// #TO DO
		//---------------------------------
		break;

	case 6:
		//ATUALIZAR ARTIGO STOCK
		// #TO DO
		//---------------------------------
		break;

	default:
		//CANCEL THE REQUEST
		header('Content-Type: application/json; charset=UTF-8');
		header('HTTP/1.1 400 Bad Request.');
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "WAPI_VAR001";
		$response["message"] = 'Invalid option received. Please provide a valid option.';
		die(json_encode($response));
		break;
}
//-----------------------------------------------------------------------
//-----------------------------------------------------------------------

//GET ALL ARTICLES ------------------------------------------------------
function getAllArticles($search, $idarticle, $page){
	global $_tokenRequest;
	global $baseLnk;
	global $api_path;

	//init / prepare vars
	$actionLnk = $baseLnk.$api_path.'/combobox/vendas_select2_ajax.php';
	$actionLnkDev = 'http://192.168.1.233'.$api_path.'/combobox/vendas_select2_ajax.php';

	//post vars
	$postData = array(
		"_token" => $_tokenRequest,
		"opcao" => 9,
		"search_term" => $search ? $search : null,
		"search_idarticle" => $idarticle ? $idarticle : null,
		"page" => $page ? $page : 1,
	);

	//POST CALL
	$resultCURL = cUrlPostCall( $actionLnk, $postData);
	// $resultCURL = cUrlPostCall( $actionLnkDev, $postData, true);

	//---------------------------------
	header('Content-Type: application/json; charset=UTF-8');
	header('HTTP/1.1 200 Ok.');
	// $response["errors"] = false;
	// $response["actionLnk"] = $actionLnk;
	// $response["actionLnkDev"] = $actionLnkDev;
	// $response["postData"] = $postData;
	// die(json_encode($response));
	die(json_encode($resultCURL));
}
//-----------------------------------------------------------------------

//GET DETAILS ARTICLE ---------------------------------------------------
function getArticleDetails($idarticle){
	global $_tokenRequest;
	global $baseLnk;
	global $api_path;

	//init / prepare vars
	$actionLnk = $baseLnk.$api_path.'/artigos/ws_artigos_detalhes.php';
	$actionLnkDev = 'http://192.168.1.233'.$api_path.'/artigos/ws_artigos_detalhes.php';

	//post vars
	$postData = array(
		"_token" => $_tokenRequest,
		"idArtigo" => $idarticle,
	);

	//POST CALL
	$resultCURL = cUrlPostCall( $actionLnk, $postData);
	// $resultCURL = cUrlPostCall( $actionLnkDev, $postData, true);

	//---------------------------------
	header('Content-Type: application/json; charset=UTF-8');
	header('HTTP/1.1 200 Ok.');
	// $response["errors"] = false;
	// $response["actionLnk"] = $actionLnk;
	// $response["actionLnkDev"] = $actionLnkDev;
	// $response["postData"] = $postData;
	// die(json_encode($response));
	die(json_encode($resultCURL));
}
//-----------------------------------------------------------------------

?>