<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0153']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/sportifs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Sportifs'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1495,1228,527,252,1175,1990,385,1456,1995,1531,1145,35,1288,260,1684,1496,1428,920,1996,265,1056,574,1415,1155,251,810,543,1417,1526,485,1464,1091,284,1275,562,1976,67,214,1464,285,928,1073);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title>Frifacturation | <?php echo $data[1495]['trad']; ?> > <?php echo $data[1228]['trad']; ?> </title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../sportifs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li style="margin-top: 5px;">
								<a href="../sportifs"><?php echo $data[1495]['trad']; ?></a>
							</li>
							<li class="active" style="margin-top: 5px;">
								<?php echo $data[1228]['trad']; ?> 
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[527]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[252]['trad']; ?></label>
															<input type="text" class="form-control" id="codigo_cliente" name="codigo_cliente" placeholder="..." disabled value="<?php echo getNextID('Codigo', 'faturacao_clientes') ?>" />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1175]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_cliente" name="nome_cliente" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1990]['trad']; ?></label>
															<input type="text" class="form-control" id="apelido_cliente" name="apelido_cliente" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label"><?php echo $data[385]['trad']; ?><span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepickerNormal today" data-provide="datepicker" name="naissance_cliente" id="naissance_cliente" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>	
													<div class="col-sm-2">
														<!-- <div class="form-group">
															<label class="control-label">VAT</label>
															<input type="text" class="form-control nif_field" id="nif_cliente" name="nif_cliente" placeholder="..." />
														</div> -->
														<div class="form-group">
															<label class="control-label"><?php echo $data[1531]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" id="titulo_cliente" name="titulo_cliente">
																<option value="" selected><?php echo $data[1456]['trad']; ?></option>
																<option value="M"><?php echo $data[1145]['trad']; ?></option>
																<option value="Mme"><?php echo $data[1056]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label"><?php echo $data[35]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="endereco_cliente" name="endereco_cliente" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1288]['trad']; ?><span class="require">*</span></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="pais_cliente" name="pais_cliente">
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[260]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control cpostal_field" id="codigopostal_cliente" name="codigopostal_cliente" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Canton</label>
															<input type="text" class="form-control" id="regiao_cliente" name="regiao_cliente" placeholder="..." />
															<!-- <select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="regiao_cliente" name="regiao_cliente"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1684]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="cidade_cliente_estrang" name="cidade_cliente_estrang" placeholder="..." style="display: none;" />
															<div id="selectCidadeWrapper">
																<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="cidade_cliente" name="cidade_cliente">
																</select>
															</div>
															<!-- <select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="cidade_cliente" name="cidade_cliente"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-3 ">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1428]['trad']; ?><span class="require">*</span></label>
															<select class="form-control " data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="role_cliente" name="role_cliente">
																<option value="1"><?php echo $data[920]['trad']; ?></option>
																<option value="2"><?php echo $data[1496]['trad']; ?> 1</option>
																<option value="3"><?php echo $data[1496]['trad']; ?> 2</option>
																<option value="4"><?php echo $data[265]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[574]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="equipe_cliente" name="equipe_cliente" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-3 hide <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1415]['trad']; ?><span class="require">*</span></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="responsavel_cliente" name="responsavel_cliente">
															</select>
														</div>
													</div>	
												</div>
												<!-- <div class="row mtm">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Grupo de Clients</label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="grupo_cliente" name="grupo_cliente"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>	
												</div> -->
												<div class="row mtm">
													<div class="col-xs-4 col-md-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1155]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="avs_cliente" name="avs_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[251]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" id="club_cliente" name="club_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-xs-4 col-md-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[810]['trad']; ?> <small>(<?php echo $data[1073]['trad']; ?>: 2MB)</small></label>
															<input class="form-control file" type="file" id="img_cliente" name="img_cliente">
														</div>
													</div>
													
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[298]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[543]['trad']; ?></label>
															<input type="email" class="form-control" id="email_cliente" name="email_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="tlm_cliente" name="tlm_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1481]['trad']; ?></label>
															<input type="text" class="form-control" id="website_cliente" name="website_cliente" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="tlf_cliente" name="tlf_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Fax</label>
															<input type="text" class="form-control" id="fax_cliente" name="fax_cliente" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[1417]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
															<thead>
																<tr>
																	<!-- <th style="width: 100px;">Code</th> -->
																	<th><?php echo $data[1175]['trad']; ?></th>
																	<th><?php echo $data[1990]['trad']; ?></th>
																	<th style="width: 200px;"><?php echo $data[1526]['trad']; ?></th>
																	<th style="width: 200px;"><?php echo $data[543]['trad']; ?></th>
																	<th style="width: 20px;">&nbsp;</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_1" name="nome_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_1" name="prenom_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_1" name="contacto_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_1" name="email_responsavel_1" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(1)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_2" name="nome_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_2" name="prenom_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_2" name="contacto_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_2" name="email_responsavel_2" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(2)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_3" name="nome_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_3" name="prenom_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_3" name="contacto_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_3" name="email_responsavel_3" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(3)" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a></td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>

											<h5 class="form-header hide">
												<legend class="form-legend">
													<?php echo $data[296]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form hide">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_nome_cliente" name="preferencial_nome_cliente" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1990]['trad']; ?></label>
															<input type="email" class="form-control" id="preferencial_email_cliente" name="preferencial_email_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_tlm_cliente" name="preferencial_tlm_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
															<input type="text" class="form-control" id="preferencial_tlf_cliente" name="preferencial_tlf_cliente" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[485]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row hide">
													<div class="col-sm-12">
														<div class="form-group">
														<label class="control-label">Conta Corrente?<span class="require">*</span></label>
														<div class="radio">
															<label class="radio-inline padding-left-radio">
																<input id="conta_geral_cliente" type="radio" name="conta_cliente" value="geral" class="default_radio" checked="checked"/>
																Conta Geral
															</label>
															<label class="radio-inline">
																<input id="conta_propria_cliente" type="radio" name="conta_cliente" value="propria"/>
																Conta Própria
															</label>
														</div>
													</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1091]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1464]['trad']; ?>" id="pagamento_cliente" name="pagamento_cliente"  >
																<option value="" data-hidden="true"><?php echo $data[1464]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label"><?php echo $data[284]['trad']; ?></label>
															<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1464]['trad']; ?>" id="vencimento_Cliente" name="vencimento_Cliente"  >
																<option value="" data-hidden="true"><?php echo $data[1464]['trad']; ?></option>
																<option value="-" selected><?php echo $data[285]['trad']; ?></option>
																<option value="0"><?php echo $data[1275]['trad']; ?></option>
																<option value="10">10 <?php echo $data[928]['trad']; ?></option>
																<option value="20">20 <?php echo $data[928]['trad']; ?></option>
																<option value="30">30 <?php echo $data[928]['trad']; ?></option>
																<option value="60">60 <?php echo $data[928]['trad']; ?></option>
																<option value="90">90 <?php echo $data[928]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Réduction (%)</label>
															<input type="text" class="form-control percentage" id="desconto_cliente" name="desconto_cliente" placeholder="0 %" />
														</div>
													</div>
													<div class="col-sm-4 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1976]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="vendedor_cliente" multiple name="vendedor_cliente">
															</select>
														</div>
													</div>	
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
											</button>
											<a  href="../sportifs" class="btn btn-default" type="button"> <?php echo $data[1995]['trad']; ?> </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('../modals/responsaveis.php');  ?>
		<?php include('novo_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.sportifs_faturacao").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 1;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type="radio"]:not(".switch")').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				//fill necessary data
				fill_metodos();
				fill_vendedores();
				fill_responsaveis();
				fill_comptes();
			});
			
			//open new people modal
			function new_responsavel() {
				$('#modal-responsavel').modal("show");
			}

			/* ----------- LISTNERS ----------- */
			$('input#conta_geral_cliente').on('ifChecked', function (event) {
				flagContaGeral = 1;
			});
			$('input#conta_propria_cliente').on('ifChecked', function (event) {
				flagContaGeral = 0;
			});
			$("select#vendedor_cliente").select2({
				escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
			});

			//change country
			$("select#pais_cliente").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_cliente').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_cliente_estrang").show(); 
				}else{
					// $('#nif_cliente').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_cliente_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
				}
			});

			//Key Listner
			$("#codigopostal_cliente").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_cliente").val() != 'CH'){ 
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_cliente_estrang").show(); 
				}
				else { 
					$("#cidade_cliente_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_cliente');
				}
			});

			//get localite
			function getLocaliteFromNpa(valueNPA,selectID){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									if(resposta.data){
										$.each(resposta.data, function() {
											$(options).append($("<option />").val(this.Nome).text(this.Nome));
										});
									}
								}
							}
						}
					},
					complete : function() {
						$(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).selectpicker('refresh');
					}
				});
			}

			//change region
			// $("select#regiao_cliente").on('change', function(event){
			// 	fill_cities( $(this).val() );
			// });

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			 $.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = new Date();;
				var dt_begin = $('#naissance_cliente').datepicker('getDate');
				
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "<?php echo $data[950]['trad']; ?>");
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valorInput = $(element).autoNumeric('get');
				if(valorInput >= 0 && valorInput != '') return true;
				else return false;
			}, "<?php echo $data[567]['trad']; ?>");
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_cliente : {
						required : true,
					},
					pais_cliente : {
						required : true,
					},
					codigopostal_cliente : {
						required : true,
					},

					role_cliente : {
						required : true,
					},
					equipe_cliente : {
						required : true,
					},
					club_cliente : {
						required : true,
					},
					endereco_cliente : {
						required : true,
					},
					<?php if($_SESSION['mod_Contratos'] == 1) { ?>
						vendedor_cliente : {
							required : true,
						},
					<?php } ?>
					avs_cliente : {
						required : true,
					},
					naissance_cliente : {
						checkDataValidade: true,
					}
				},
				messages : {
					nome_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					pais_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					codigopostal_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					role_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					vendedor_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					equipe_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					club_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					endereco_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					avs_cliente : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					email_responsavel_1 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_2 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_3 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_4 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_5 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_6 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
					email_responsavel_7 : {
						email : "<?php echo $data[1676]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?>...');

					var cidadeCustom = '';
					if( $("#pais_cliente").val() != 'CH'){ 
						cidadeCustom = $("#cidade_cliente_estrang").val();
					}
					else { 
						cidadeCustom = $("#cidade_cliente").val();
					}

					<?php if($_SESSION['mod_Contratos'] == 1) { ?>
						
					if( cidadeCustom != null && cidadeCustom != ''){ 

					<?php } else { ?>

					if( cidadeCustom != null && cidadeCustom != '' ){ 
					
					<?php } ?>
						var formData = new FormData(this);
						//formData.set("desconto_cliente", $("#desconto_cliente").autoNumeric('get'));
						formData.set("nif_cliente", '');
						formData.set("plano_cliente", '1100');
						formData.set("desconto_cliente", "");
						formData.set("vendedor_cliente", $("#vendedor_cliente").val());
						
						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/sportifs/inserir.php',
							dataType : 'json',
							cache: false,
							contentType: false,
							processData: false,
							data :  formData,
								/*{
								nome_cliente : $("#nome_cliente").val(),
								apelido_cliente : $("#apelido_cliente").val(),
								nif_cliente : '',
								titulo_cliente : $("#titulo_cliente").val(),
								pais_cliente : $("#pais_cliente").val(),
								endereco_cliente : $("#endereco_cliente").val(),
								codigopostal_cliente : $("#codigopostal_cliente").val(),
								regiao_cliente : $("#regiao_cliente").val(),
								cidade_cliente : cidadeCustom,
								role_cliente : $("#role_cliente").val(),
								equipe_cliente : $("#equipe_cliente").val(),
								email_cliente : $("#email_cliente").val(),
								website_cliente : $("#website_cliente").val(),
								tlm_cliente : $("#tlm_cliente").val(),
								tlf_cliente : $("#tlf_cliente").val(),
								fax_cliente : $("#fax_cliente").val(),
								preferencial_nome_cliente : $("#preferencial_nome_cliente").val(),
								preferencial_email_cliente : $("#preferencial_email_cliente").val(),
								preferencial_tlm_cliente : $("#preferencial_tlm_cliente").val(),
								preferencial_tlf_cliente : $("#preferencial_tlf_cliente").val(),
								pagamento_cliente : $("#pagamento_cliente").val(),
								vencimento_Cliente : $("#vencimento_Cliente").val(),
								desconto_cliente : $("#desconto_cliente").autoNumeric('get'),
								flagContaGeral : flagContaGeral,
								plano_cliente : $("#plano_cliente").val(),
								naissance_cliente: $("#naissance_cliente").val(),
								img_cliente : $("#img_cliente").val(), //c'est l'image il va falloir verifier que c'est ok

								nome_responsavel_1 : $("#nome_responsavel_1").val(),
								prenom_responsavel_1 : $("#prenom_responsavel_1").val(),
								email_responsavel_1 : $("#email_responsavel_1").val(),
								contacto_responsavel_1 : $("#contacto_responsavel_1").val(),

								nome_responsavel_2 : $("#nome_responsavel_2").val(),
								prenom_responsavel_2 : $("#prenom_responsavel_2").val(),
								email_responsavel_2 : $("#email_responsavel_2").val(),
								contacto_responsavel_2 : $("#contacto_responsavel_2").val(),

								nome_responsavel_3 : $("#nome_responsavel_3").val(),
								prenom_responsavel_3 : $("#prenom_responsavel_3").val(),
								email_responsavel_3 : $("#email_responsavel_3").val(),
								contacto_responsavel_3 : $("#contacto_responsavel_3").val(),
							},*/
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null)
									$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("<?php echo $data[1013]['trad']; ?>", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resp.responseJSON.errors) {
									if (resp.responseJSON.nif_error) {
										$.scojs_message("[FAT002] <?php echo $data[1660]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									}else{
										$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									}
								} else {
									$.scojs_message("<?php echo $data[1013]['trad']; ?>", $.scojs_message.TYPE_OK);
									//reload
									setTimeout(function() {
										window.location.href = "../sportifs";
									}, 1000);
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
							}
						});
					}
					else{
						$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						$("#form_new").find('.submit_button').attr("disabled", false);
						$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
					}

				}
			});

			//remover
			function eliminarResponsavel(idLinha){
				$("#nome_responsavel_"+idLinha).val('');
				$("#prenom_responsavel_"+idLinha).val('');
				$("#email_responsavel_"+idLinha).val('');
				$("#contacto_responsavel_"+idLinha).val('');
			}
		</script>
	</body>
</html>