<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0070']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/plan-comptable&redirectto=/frifacturation');
	}
	
	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
	if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1509,1096,1299,515,1456,256,427,262,185,138,275,1159,1491,27,215,912,1283,1404,264,348,758,820,541,370,404,1159,562,67,186,1403,214,1633,1013,1995);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[1509]['trad']; ?>: <?php echo $data[1096]['trad']; ?> | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../plan-comptable"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../plan-comptable"><?php echo $data[1299]['trad']; ?></a>
							</li>
							<li class="active">
								<?php echo $data[1096]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[515]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-12 col-md-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1299]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="plano_contas_plano" name="plano_contas_plano"  >
																<option value="" data-hidden="true"><?php echo $data[1456]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group ">
															<label class="control-label"><?php echo $data[256]['trad']; ?><span class="require">*</span></label>
															<span style="display: block">
																<div style="width: 18%; display: inline-block;"><b id="lbl_codigo_plano">0000</b></div>
																<input type="number" min="0" name="codigo_plano" id="codigo_plano" class="form-control" style="display: inline-block; width: 80%" placeholder="..." value="0"/>
															</span>
														</div>
													</div>
													<div class="col-md-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[427]['trad']; ?><span class="require">*</span></label>
															<input type="text" class="form-control" name="descricao_plano" id="descricao_plano" placeholder="...">
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[262]['trad']; ?></label>
															<select data-id-line="0" class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="iva_plano" name="iva_plano" >
																<option value="" data-hidden="true"><?php echo $data[262]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[185]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="categoria_plano" name="categoria_plano"  >
																<option value=""><?php echo $data[1456]['trad']; ?></option>
																<option value="Bilan"><?php echo $data[138]['trad']; ?></option>
																<option value="Compte d'exploitation"><?php echo $data[275]['trad']; ?></option>
																<option value="Neutre"><?php echo $data[1159]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1491]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="subcategoria_plano" name="subcategoria_plano"  >
																<option value=""><?php echo $data[1456]['trad']; ?></option>
																<option value="Actif"><?php echo $data[27]['trad']; ?></option>
																<option value="Charges"><?php echo $data[215]['trad']; ?></option>
																<option value="Indéfini"><?php echo $data[912]['trad']; ?></option>
																<option value="Passif"><?php echo $data[1283]['trad']; ?></option>
																<option value="Rendement"><?php echo $data[1404]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[264]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="collect_plano" name="collect_plano"  >
																<option value=""><?php echo $data[1456]['trad']; ?></option>
																<option value="Contrepartie TVA"><?php echo $data[348]['trad']; ?></option>
																<option value="Hors TVA"><?php echo $data[758]['trad']; ?></option>
																<option value="Imposable"><?php echo $data[820]['trad']; ?></option>
															</select>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[541]['trad']; ?><span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="ecriture_plano" name="ecriture_plano"  >
																<option value=""><?php echo $data[1456]['trad']; ?></option>
																<option value="Crédit"><?php echo $data[370]['trad']; ?></option>
																<option value="Débit"><?php echo $data[404]['trad']; ?></option>
																<option value="Neutre"><?php echo $data[1159]['trad']; ?></option>
															</select>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
											</button>
											<a  href="../plan-comptable" class="btn btn-default" type="button"> <?php echo $data[1995]['trad']; ?> </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php'; ?>
		<?php include('../../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.plano_contas").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				//init select2
				$("select#plano_contas_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#iva_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>", allowClear: true,
				});
				$("select#categoria_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#subcategoria_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#collect_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});
				$("select#ecriture_plano").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "<?php echo $data[1456]['trad']; ?>",
				});

				//get id
				var idPlano = getParameterByName('plan');
				//fill infos
				fill_details(idPlano);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			//on account change
			$("select#plano_contas_plano").on('change', function(event){
				if( $("select#plano_contas_plano").val() > 0 ) getNextAccountNumber();
			});

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("checkEnable", function(value, element) {
				var isDisable = $(element).is(':disabled');
				var result = false;

				// console.log('current Stat: '+isDisable);
				// console.log('val: '+$(element).val());

				if(isDisable == true){
					result = true;
				}else{
					if( $(element).val() == '' ) result = false;
					else result = true;
				}

			    return result;
			}, "<?php echo $data[186]['trad']; ?>");
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					plano_contas_plano : {
						required : true
					},
					codigo_plano : {
						required : true
					},
					descricao_plano : {
						required : true
					},
					categoria_plano : {
						required : true
					},
					subcategoria_plano : {
						required : true
					},
					collect_plano : {
						checkEnable : true
					},
					ecriture_plano : {
						checkEnable : true
					},
					// iva_plano : {
					// 	required : true
					// },
				},
				messages : {
					plano_contas_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					codigo_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					descricao_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					categoria_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					subcategoria_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					collect_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					ecriture_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					iva_plano : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var idPlano = getParameterByName('plan');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?> ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/contabilidade/plano-contas/editar.php',
						dataType : 'json',
						data : {
							idPlano : idPlano,
							plano_contas_plano : $("#plano_contas_plano").val(),
							codigo_plano : $("#codigo_plano").val(),
							descricao_plano : $("#descricao_plano").val(),
							categoria_plano : $("#categoria_plano").val(),
							subcategoria_plano : $("#subcategoria_plano").val(),
							collect_plano : $("#collect_plano").val(),
							ecriture_plano : $("#ecriture_plano").val(),
							iva_plano : $("#iva_plano").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[1013]['trad']; ?>", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("<?php echo $data[1013]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../plan-comptable/details?plan="+idPlano;
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
						}
					});
				}
			});
		</script>
	</body>
</html>