<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1565,1446,1702,1704,1503,1312,1310,421,917,700,1068,120,1058,933,931,70,1468,1258,1249,408,2048,1267,1505,698,2049,1377,2050,2051,2052,2053,2054,2055);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[1, "desc"],[0, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/server/datatable/fermeture_mois.php",
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1446]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [null, null, 
		{
			"sClass" : "text-center",
		}, 
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				
				switch(full[0]){
					case '1': element = '<?php echo $data[917]['trad']; ?>'; break;
					case '2': element = '<?php echo $data[700]['trad']; ?>'; break;
					case '3': element = '<?php echo $data[1068]['trad']; ?>'; break;
					case '4': element = '<?php echo $data[120]['trad']; ?>'; break;
					case '5': element = '<?php echo $data[1058]['trad']; ?>'; break;
					case '6': element = '<?php echo $data[933]['trad']; ?>'; break;
					case '7': element = '<?php echo $data[931]['trad']; ?>'; break;
					case '8': element = '<?php echo $data[70]['trad']; ?>'; break;
					case '9': element = '<?php echo $data[1468]['trad']; ?>'; break;
					case '10': element = '<?php echo $data[1258]['trad']; ?>'; break;
					case '11': element = '<?php echo $data[1249]['trad']; ?>'; break;
					case '12': element = '<?php echo $data[408]['trad']; ?>'; break;
					
					default: element = full[0]; break;
				}

				//return html
				return element;
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				var element = '';
				
				if(full[2] == 1) element = '<span class="label label-red"><?php echo $data[2048]['trad']; ?></span>'
				else element = '<span class="label label-green"><?php echo $data[1267]['trad']; ?></span>'

				//return html
				return element;
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var processedName = full[1].replace(/'/gi, " ");
				var nome = "'"+ processedName +"'";
				
				var html = '';

				if(full[2] == 1) html += '<a class="options-link text-green" onclick="alterState('+ full[3] +', '+nome+')" title="<?php echo $data[2049]['trad']; ?>"><i class="fa fa-unlock"></i></a>';
				else html += '<a class="options-link text-red" onclick="alterState('+ full[3] +', '+nome+')" title="<?php echo $data[698]['trad']; ?>"><i class="fa fa-lock"></i></a>';

				html += '<a class="options-link text-red" onclick="eliminarFermeture('+ full[3] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[3]);


			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		}

	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-blue dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//remover
	function eliminarFermeture(idFermeture, nome){
		if (confirm("<?php echo $data[2050]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/server/autorisations/fermeture_mois/apagar.php',
				dataType : 'json',
				data : {
					idFermeture : idFermeture
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[2051]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[2051]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[2052]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					// //reload
					// setTimeout(function() {
					// 	location.reload();
					// }, 1500);
					pesquisar();
				}
			});
		} else { return false; }
	}
	
	//alter state
	function alterState(idFermeture, nome){
		if (confirm("<?php echo $data[2053]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/server/autorisations/fermeture_mois/alterstate.php',
				dataType : 'json',
				data : {
					idFermeture : idFermeture
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[2054]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[2054]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[2055]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					// setTimeout(function() {
					// 	location.reload();
					// }, 1500);
					pesquisar();
				}
			});
		} else { return false; }
	}
</script>