<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Motivo, 
	Codigo, 
	Descricao
	FROM faturacao_motivos_isencao ";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $id,
		$codigo,
		$descricao
	);
	while ($stmt -> fetch()) {
		$data[] = array('ID' => $id,'Codigo' => $codigo, 'Descricao' => $descricao);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
$response["errors"] = false;
$response["data"] = $data;
die(json_encode($response));

?>