<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idDados = 1;

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT Versao, 
	N_Certificado_AT, 
	ID_Software, 
	Versao_SAFT_Atual, 
	Nif_Produtor, 
	Nome_Produtor, 
	Header_Comment,
	Telefone, 
	Email, 
	Website
	FROM faturacao_dados_aplicacao 
	WHERE ID_Dados_Aplicacao=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDados);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$objectData['Versao'],
		$objectData['N_Certificado_AT'],
		$objectData['ID_Software'],
		$objectData['Versao_SAFT_Atual'],
		$objectData['Nif_Produtor'],
		$objectData['Nome_Produtor'],
		$objectData['Header_Comment'],
		$objectData['Telefone'],
		$objectData['Email'],
		$objectData['Website']
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>