<?php 
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$nome = $_POST['nome'];
$timestamp = microtime(true);

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $nome == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}

//INSERT NEW DOCUMENT ----------------------------------------------------
$query = "INSERT INTO faturacao_roles (
			Timestamp_Role, 
			Name
			) 
	VALUES (?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param(
		"ss", 
		$timestamp,
		$nome
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS0003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS0003B";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//GET DOCUMENT ID
$query = "SELECT ID_Role FROM faturacao_roles  WHERE Timestamp_Role = ? LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("s", $timestamp);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FATS0004";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idRole);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FATS0005";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $idRole < 1){
	$response["errors"] = true;
	$response["type"] = "FATS0006";
	$response["message"] = "Role invalid";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Création de profil (nom: ".$nome.")";
insert_log(0,"Inserir",$descricao_log,$sqli_connection);

//response
$response["role"] = $idRole;
$response["errors"] = false;
die(json_encode($response));

?>