<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[1, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/faturas.php",
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		}, null, null, null, null, null,
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-right",
		}, 
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
		},
		{
			"bVisible" : false,
		},
		{
			"bVisible" : false,
		},
		{
			"bVisible" : false,
		},
		{
			"bVisible" : false,
		}],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var tmp = full[5].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				var processedName = full[3].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";

				var html2 = '-';
				
				if(full[9] == 'Rascunho') {
					html2 = '<a class="options-link text-red" onclick="eliminarFatura('+ full[10] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';

					html2 = '<input type="checkbox" name="row_checkbox_'+this.ID_Leitura+'" class="row_checkbox" id="row_checkbox_'+full[10]+'" data-id="'+full[10]+'" data-cliID="'+full[13]+'"/>';

					$("input#global_checkbox").iCheck("enable");
					$(".endBtns").attr("disabled", false);
				}
				return html2;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[9] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[9] == 'Pago') element = '<span style="color: green;">'+full[1]+'</span>';
				if(full[9] == 'Aberto') element = '<span style="color: blue;">'+full[1]+'</span>';
				if(full[9] == 'Anulado') element = '<span style="color: black;">'+full[1]+'</span>';
				//else element = full[1];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[2]) element = full[2];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="28">'+element+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="24">'+full[3]+'</span>';
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[5].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_fatura_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[6].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_fatura_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money">'+full[7]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[8] < 0) colorLabel = 'text-red';
            	else colorLabel = 'text-green';
				element ='<span class="money '+colorLabel+'">'+full[8]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var tmp = full[5].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[9] != 'Rascunho') docNumber = " - "+ full[1];
				var processedName = full[3].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var html = '';
				var typeDoc = "'FT'";

				html += '<a href="details?facture='+ full[10] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

				//edition options
				if( full[9] != 'Rascunho' ){
					html += '<a href="modifier_lines?facture='+full[10]+'" class="options-link text-orange"><i class="fa fa-terminal" title="Modifier Référence et Remarques"></i></a>';

					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[10] +')" title="Générer le document"><i class="fa fa-files-o"></i></a>';
					if( full[9] == 'Aberto' || full[9] == 'Pago' ){
						html += '<a class="options-link text-green" onclick="lancarPagamento('+ full[10] +','+typeDoc+')" title="Paiement"><i class="fa fa-dollar"></i></a>';
					}
					html += '<a class="options-link text-blue" onclick="verPagamentos('+ full[10] +','+typeDoc+')" title=Recettes><i class="fa fa-list-ul"></i></a>';
				}else{
					html += '<a href="modifier?facture='+full[10]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';
					
					html += '<a class="options-link text-green" onclick="finalizarFatura('+ full[10] +', '+nome+')" title="Finaliser"><i class="fa fa-flag-checkered"></i></a>';
				}
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exporter_facture.php?idDoc='+full[10]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
				
				
				
				if( full[9] == 'Aberto' || full[9] == 'Pago'){
					html += '<a class="options-link text-blue" onclick="enviarFatura('+ full[10] +', '+nome+')" title="Envoyer"><i class="fa fa-paper-plane"></i></a>';
					if( full[11] != ''){
						html += '<a href="/frifacturation/server/imprimer_pdf/exportar_payment_slip.php?idDoc='+full[10]+'" target="_blank" class="options-link text-grey"><i class="fa fa-truck fa-flip-horizontal" title="Imprimer Payment Slip"></i></a>';
					}
				}

				if(full[9] == 'Aberto'){
					<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
						html += '<a class="options-link text-red" onclick="anularFatura('+ full[10] +', '+nome+')" title="Annuler"><i class="fa fa-times"></i></a>';
					<?php } ?>
				}

				if(full[9] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarFatura('+ full[10] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[10]);

			if(aData[9] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		},

		"footerCallback" : function(row, data, start, end, display) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function(i) {
                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
            };

            // Total current page
            var valorTotal = api.column(7, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);
            // Total current page
            var valorSolde = api.column(8, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);

            //Por liquidar -> Used extra field to calculate already rounded for a better real value
			$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
			$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
			valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
			$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
			valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

			$( "#valorDocTemp" ).remove();

            //final calculation
            //-------------------------------------------------------------------------------------
            
            $('.money').not(".table-menu > tbody > tr > td > span").html("");
            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

            if(valorSolde < 0) colorLabel = 'text-red';
            else colorLabel = 'text-green';
            // Update footer
            $(api.column(6).footer()).html('<span class="money">' + valorTotal + '</span>');
            $(api.column(7).footer()).html('<span class="money '+colorLabel+'">' + valorSolde + '</span>');
        }

	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0029']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-faturas-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Paiement
	function lancarPagamento(idDocument, typeDoc){
	<?php if (hasPermission(['P0030']) == 1) { ?>
		//call the init script
		fill_dados_pagamento(idDocument, typeDoc);
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//ver recibos
	function verPagamentos(idDocument, typeDoc){
	<?php if (hasPermission(['P0030']) == 1) { ?>
		//call the init script
		fill_list_payments(idDocument, typeDoc);
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//check if selected date is bigger than today
	function checkDataBiggerThanToday(inputID){
		var result;

		var dt_Today = new Date();
		var dt_begin = new Date( $('#'+inputID).attr('data-normalizeDate') );
		console.log(dt_begin);
		//set hours, minutes and seconds to 0
		dt_Today.setHours(0);
		dt_Today.setMinutes(0);
		dt_Today.setSeconds(0);
		dt_begin.setHours(0);
		dt_begin.setMinutes(0);
		dt_begin.setSeconds(0);
		//check dates
		if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
			result = true;
		} else {
			result = false;
		}

	    return result;
	}

	//finalizar
	function finalizarFatura(idFatura, nome){
	<?php if (hasPermission(['P0026']) == 1) { ?>
		var inputID = 'data_fatura_'+idFatura;
		var result = checkDataBiggerThanToday(inputID);
		var dataFatura = $('#'+inputID).html();
		var question = '';
		if(result == true) question = "La date de facture est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette facture?\n\nATTENTION: Vous ne pouvez plus tard modifier cette facture ou insérer de nouvelles factures datées inférieures à ["+dataFatura+"].";
		else question = "Êtes-vous sûr de vouloir finaliser la facture \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas/finalizar.php',
				dataType : 'json',
				data : {
					idFatura : idFatura
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Facture terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de facture existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière facture ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else if (resp.responseJSON.exists) $.scojs_message(resp.responseJSON.message, $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularFatura(idFatura, nome){
	<?php if (hasPermission(['P0026']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler la facture \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas/anular.php',
				dataType : 'json',
				data : {
					idFatura : idFatura
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette facture a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette facture parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Facture avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarFatura(idFatura, nome){
	<?php if (hasPermission(['P0027']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer la facture de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas/apagar.php',
				dataType : 'json',
				data : {
					idFatura : idFatura
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Facture supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Enviar email
	function enviarFatura(idFatura, nome){
	<?php if (hasPermission(['P0028']) == 1) { ?>
		$('#document_iden').val('');
		$('#document_iden').val(idFatura);
		$('#confirmar_envio_detalhes').html('-');
		$('#confirmar_envio_detalhes').html(nome);
		fill_senderEmail(idFatura);
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirm email sender
	function confirmFaturaSender(idFatura, email_sender){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/faturas/email.php',
			dataType : 'json',
			data : {
				idDoc : idFatura,
				senderEmail : email_sender
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Facture envoyé avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				$.scojs_message("Facture envoyé avec succès.", $.scojs_message.TYPE_OK);
				//reload
				setTimeout(function() {
					location.reload();
				}, 1000);
			}
		});
	}
	
	//email -- antigo
	// function enviarFatura(idFatura, nome){
	// 	if (confirm("Êtes-vous sûr de vouloir envoyer par courrier électronique la facture de \n'" + nome + "' ?") == true) {
	// 		$.ajax({
	// 			type : 'POST',
	// 			url : '/frifacturation/server/faturas/email.php',
	// 			dataType : 'json',
	// 			data : {
	// 				idDoc : idFatura
	// 			},
	// 			success : function(resposta) {
	// 				var resp = resposta;
	// 				if (resposta == null)
	// 					$.scojs_message("[FAT001] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
	// 				else {
	// 					if (resposta.errors) {
	// 						$.scojs_message("[FAT002] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
	// 					} else {
	// 						$.scojs_message("Facture envoyé avec succès.", $.scojs_message.TYPE_OK);
	// 					}
	// 				}
	// 			},
	// 			complete : function(resposta) {
	// 				//reload
					
	// 			}
	// 		});
	// 	} else { return false; }
	// }
	


	//agregar
	function agregarDocumentos(){
	<?php if (hasPermission(['P0026']) == 1) { ?>
		
		//init vars
		var invalidCheck = true;
		var invalidIDCliente = false;
		var lastClientID = 0;
		var counterSelected = 0;
		var selectedItems = [];

		//check if exists any selected doc
		$(".row_checkbox").each(function(key, value) {
			if($(this).is(":checked")){
				invalidCheck = false;
				counterSelected++;
				
				//check client invalid
				if(lastClientID != Number($(this).attr('data-cliID')) && lastClientID != 0 ){
					invalidIDCliente = true;
				}

				lastClientID = Number($(this).attr('data-cliID'));
			}

			// $(this).iCheck('check');
			// console.log($(this).is(":checked"), $(this).attr('data-id'), $(this).attr('data-cliID'));
		});

		if(invalidCheck){
			alert('S\'il vous plaît sélectionner au moins un document!');
			return false;
		}

		if(invalidIDCliente){
			alert('S\'il vous plaît sélectionner uniquement les documents du même client!');
			return false;
		}

		//confirm action
		// console.log(counterSelected);
		if(counterSelected > 1){
			var question = 'Êtes-vous sûr de vouloir agrégés les '+counterSelected+' documents sélectionnés?';
		}else{
			var question = 'Êtes-vous sûr de vouloir agrégés le document sélectionné?';
		}
		
		if (confirm(question) == true) {
			//get documentos selecionados
			$(".row_checkbox").each(function(key, value) {
				if($(this).is(":checked")){
					selectedItems.push($(this).attr('data-id'));
				}
			});
			// console.log(lastClientID, selectedItems);return false;


			//process request
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/agregar_documentos/fatura_agrega_faturas.php',
				dataType : 'json',
				data : {
					idsFaturas : JSON.stringify( selectedItems ),
					idCliente : lastClientID
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Documents agrégés avec succès!", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT004] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							if(resp.responseJSON.idDocumento){
								window.location.href = "../factures/details?facture="+resp.responseJSON.idDocumento;
							}
							else location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>