<script type="text/javascript">
	//load data
	function fill_document(idDocument) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/compras-notas-credito/detalhes.php',
			dataType : 'json',
			data : { idDocument : idDocument },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {					
							var dados = resposta.data;

							//fill extra credit note
							var htmlLinkOrigem = '<a href="/frifacturation/achats/details?achat='+dados.ID_Documento_Origem+'">'+dados.Reference+'&nbsp;<i class="fa fa-eye"></i></a>';
							$("#documentoOrigem_nota").html(htmlLinkOrigem);
							$("#dataOrigem_nota").html(dados.Data_Documento_Origem);
							$("#valorOrigem_nota").autoNumeric('set', dados.ValorOrigem);
							$("#motivoOrigem_nota").html(dados.Reason_Origem);
							
							//fill Data
							$("#fornecedor_nota").html(dados.Fornecedor);
							$("#nif_fornecedor_nota").html(dados.Nif);
							$("#endereco_fornecedor_nota").html(dados.EnderecoFornecedor);
							$("#codigopostal_fornecedor_nota").html(dados.CodigoPostalFornecedor);
							$("#regiao_fornecedor_nota").html(dados.RegiaoFornecedor);
							$("#cidade_fornecedor_nota").html(dados.CidadeFornecedor);
							$("#pais_fornecedor_nota").html(dados.PaisFull);
							$("#referencia_nota").html(dados.Referencia);
							$("#observacoes_nota").html(dados.Observacoes);
							if(dados.Vencimento == 0) $("#vencimento_nota").html('Prêt paiement');
							else $("#vencimento_nota").html(dados.Vencimento+' jours après l\'émission');
							$("#desconto_nota").autoNumeric('set', dados.PercentagemDesconto);
							$("#data_nota").html(dados.Data);
							$("#data_nota").attr('data-normalizeDate', dados.DataNormalizada);
							$("#validade_nota").html(dados.Validade);
							$("#pagamento_nota").html(dados.MetodoPagamento);
							if(dados.Banco != '' && dados.Banco != null) { $("#banco_nota").html(dados.Banco); }
							else { $("#banco_nota").html('-'); }
							$("#numero_nota").html(dados.Numero);
							$("#moeda_nota").html(dados.Moeda);
							$("#moeda_nota").attr('data-iso',dados.IsoCode).attr('data-simbolo',dados.Simbolo);
							taxaCambio = dados.TaxaMoeda;

							//STATUS BLOCK -----------------------
							var statusHTML = '';
							var borderStamp = '';
							var detailStatus = '';
							var totalsDocument = '';
							if(dados.Estado == 'Rascunho') { statusHTML = '<strong class="text-orange">Brouillon</strong>'; borderStamp = 'stamp-label-orange'}
							if(dados.Estado == 'Pago') { statusHTML = '<strong class="text-green">Payé</strong>'; borderStamp = 'stamp-label-green'}
							if(dados.Estado == 'Aberto') { statusHTML = '<strong class="text-blue">Ouvert</strong>'; borderStamp = 'stamp-label-blue'}
							if(dados.Estado == 'Anulado') { statusHTML = '<strong class="text-red">Annulé</strong>'; borderStamp = 'stamp-label-red'}

							$('#statusDocumentLabel').html(statusHTML);
							$('#statusDocumentLabel').addClass(borderStamp);

							if(dados.Estado == 'Rascunho'){
								detailStatus = '<p><b>Créé par:</b></p>';
								detailStatus += '<p style="margin: 0px;">'+dados.UtilizadorCriador+'&nbsp;&nbsp;&nbsp;<i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataCriacao+'</p>';
							}else{
								detailStatus = '<p><b>Dernière mise à jour par:</b></p>';
								detailStatus += '<p style="margin: 0px;">'+dados.ID_UtilizadorAtualizacao+'&nbsp;&nbsp;&nbsp;<i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataAtualizacao+'</p>';
							}

							totalsDocument += '<div class="row mbm mtm">';
								totalsDocument += '<div class="col-sm-12">';
									totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
										totalsDocument += '<p><b>Total Crédité:</b></p>';
										totalsDocument += '<p class="text-red" style="font-size: 15px;">';
										totalsDocument += '<b><span class="money">'+dados.TotalPagar+'</span></b>';
										if(dados.IsoCode != 'CHF') totalsDocument += '<br/><b><span class="moneyCountry" style="font-size: 11px;">'+dados.TotalPagar_Estrangeiro+'</span></b>';
										totalsDocument += '</p>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
							totalsDocument += '</div>';

							$('#lastUpdate').append(detailStatus);
							$('#totalsDocument').append(totalsDocument);
							// -----------------------------------
							
							//END BTNS BLOCK ---------------------
							var btnsHTML = '';
							var btnsHTML2 = '';
							var docNumber = '';
							docNumber = dados.Numero;
							var processedName = dados.Fornecedor.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+dados.Data+" "+docNumber+" - " + processedName + "'";
							if(dados.Estado == 'Rascunho'){
								btnsHTML += '<a href="modifier?note='+dados.ID_NotaCreditoCompra+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>';
								btnsHTML += '&nbsp;<button class="btn btn-green" type="button" onClick="finalizarNota('+dados.ID_NotaCreditoCompra+','+nome+')"> <i class="fa fa-flag-checkered"></i>&nbsp;Finaliser </button>';
								btnsHTML += '&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarNota('+dados.ID_NotaCreditoCompra+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>';
								btnsHTML2 += btnsHTML;
							}else{ 
								if(dados.Estado == 'Aberto'){
									btnsHTML2 += '&nbsp;<button class="btn btn-red" type="button" onClick="anularNota('+dados.ID_NotaCreditoCompra+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								}
						        btnsHTML = btnsHTML2;
							}
							
						    btnsHTML2 += '&nbsp;&nbsp;<a class="text-red only-ic" href="../achats-notes-credit"><i class="fa fa-times"></i></a>';

							btnsHTML +='&nbsp;<a  href="../achats-notes-credit" class="btn btn-default" type="button"> Annuler </a>';
							$('#btns-wrapper').append(btnsHTML);
							$('#BtnTopWrapper').append(btnsHTML2);
							// -----------------------------------

							//process lines ----------------------
							valorLinhas = 0;
							$.each(dados.linhas, function() {
								var lineID = lastIdLine;

								var htmlLine = '<tr class="articles_lines" id="line_'+lineID+'">'+
													'<td style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="codigo_linha_'+lineID+'" class="lineInputArtigo" style="display: block"></span>'+
													'</td>'+
													'<td style="width:70;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">'+
														'<span data-id-line="'+lineID+'" id="plano_artigo_linha_'+lineID+'" class="lineInputPlano" style="display: block"></span>'+
													'</td>'+
													'<td>'+
														'<span data-id-line="'+lineID+'" id="descricao_linha_'+lineID+'" class="lineInputDescricao" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" id="qtd_linha_'+lineID+'" class="lineInputQTD qtd"></span>'+
													'</td>'+
													'<td class="text-center" style="width:35px; <?php echo $spanStyleOnly; ?>">'+
														'<span id="unidade_linha_'+lineID+'" style="font-size: 10px; display: inline-block;">UN</span>'+
													'</td>'+
													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="preco_linha_'+lineID+'" class="lineInputPreco moneyBig" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" data-ivaID="'+this.idIva+'" data-valor="'+this.valorIva+'" data-descricao="'+this.desc_imposto+'" id="iva_linha_'+lineID+'" class="lineInputImposto" style="display: block"></span>'+
													'</td>'+
													// '<td style="width:120px;">'+
													// 	'<span data-id-line="'+lineID+'" id="motivo_linha_'+lineID+'" class="lineInputMotivo" style="display: block"></span>'+
													// '</td>'+
													'<td class="text-right" style="width:80px;">'+
														'<span data-id-line="'+lineID+'" id="desc_linha_'+lineID+'" class="lineInputDesconto percentage" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right hide" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="retencao_linha_'+lineID+'" class="lineInputRetencao money" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="total_linha_'+lineID+'" style="display: block" class="money">0</span>'+
													'</td>'+
												'</tr>';
								$('#tbody_artigos').append(htmlLine);

								//init Elements
								$(".money").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								$(".moneyBig").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									mDec : <?php echo $numDecimaisPrice; ?>,
									vMin:'0'
								});
								$(".moneyCountry").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' ',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								//init elements
								$(".qtd").autoNumeric("init", {
									aSep : '',
									aDec : '.',
									aSign : '',
									pSign : 's',
									mDec : 3,
									vMin:'0'
								});
								//init elements
								$(".percentage").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : '%',
									vMax : '100',
									pSign : 's',
									mDec : 2,
									vMin:'0'
								});
								
								//fill values
								$("#codigo_linha_"+lineID).html(this.artigo);
								$("#iva_linha_"+lineID).html(this.imposto);
								$("#plano_artigo_linha_"+lineID).html(this.PlanoContas);
								if(this.id_motivo > 0) $("#motivo_linha_"+lineID).html(this.motivo);
								else $("#motivo_linha_"+lineID).html('-');
								$("#descricao_linha_"+lineID).html(this.descricao);
								$("#qtd_linha_"+lineID).autoNumeric('set', this.qtd);
								$("#unidade_linha_"+lineID).html(this.unidade);
								$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
								$("#preco_linha_"+lineID).attr('data-valueOrig', this.preco);
								$("#desc_linha_"+lineID).autoNumeric('set', this.desconto);
								$("#retencao_linha_"+lineID).autoNumeric('set', this.retencao);
								$("#total_linha_"+lineID).autoNumeric('set', this.totalLinha);

								lastIdLine++;
								valorLinhas++;
							});
							// -----------------------------------

							//calculations
							calculateTaxesLines();
							updateDocumentTotals();
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Calculate the taxes
	 * @return taxes totals
	 */
	function calculateTaxesLines(){
		//clean table and sum fields
		$('.taxes_lines').remove();
		valorSiva = 0;
		valorIva = 0;

		//desconto generico
		var desconto2 = $('#desconto_nota').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputImposto").each(function() {
			var ivaID = $(this).attr('data-ivaID');
			var ivaValor = $(this).attr('data-valor');
			var lineID = $(this).attr('data-id-line');
			var descricaoIVA = $(this).attr('data-descricao')+': '+$(this).html();
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var iva = Number( ivaValor );
			iva = Number ( (iva * 0.01) );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			
			var totalIncidencia = 0;

			//process line totals
			totalIncidencia = qtd * preco;
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto);
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto2);
			totalIVA = totalIncidencia * iva;

			//update resume table fields
			valorSiva += totalIncidencia;
			valorIva += totalIVA;

			//check if line exists or create it
			if( $("#tax_id_"+ivaID).length ){
				var somatorioIncidencia = Number( $("#taxes_incidencia_"+ivaID).attr('data-real-value') );
				var somatorioIVA = Number( $("#taxes_valor_"+ivaID).attr('data-real-value') );
				
				totalIncidencia = totalIncidencia + somatorioIncidencia;
				totalIVA = totalIVA + somatorioIVA;

				$("#taxes_incidencia_"+ivaID).attr('data-real-value', totalIncidencia);
				$("#taxes_valor_"+ivaID).attr('data-real-value', totalIVA);
				$("#taxes_incidencia_"+ivaID).autoNumeric('set', totalIncidencia);
				$("#taxes_valor_"+ivaID).autoNumeric('set', totalIVA);
			}else{

				var htmlLine = '<tr class="taxes_lines" id="tax_id_'+ivaID+'">'+
									'<th class="textCell paddingRight"><span class="" id="taxes_iva_'+ivaID+'">'+descricaoIVA+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_incidencia_'+ivaID+'" data-real-value="'+totalIncidencia+'">'+totalIncidencia+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_valor_'+ivaID+'" data-real-value="'+totalIVA+'">'+totalIVA+'</span></th>'+
								'</tr>';
				$('.taxes-table').append(htmlLine);
			}

			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
		});
	}

	/**
	 * Update the document totals table
	 * @return totals
	 */
	function updateDocumentTotals(){
		//totals vars
		valorSomatorio = 0;
		valorDescontos = 0;
		valorRetencao = 0;
		// valorSiva;
		// valorIva;
		valorTotal = 0;

		//desconto generico
		var desconto2 = $('#desconto_nota').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputDescricao").each(function() {
			var lineID = $(this).attr('data-id-line');
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			var retencao = Number( $("#retencao_linha_"+lineID).autoNumeric('get') );
			
			//process line totals
			var somaTotal = qtd * preco;
			var descontoTotal = somaTotal * desconto;
			var somaDesconto = somaTotal - (somaTotal * desconto);
			descontoTotal = descontoTotal + (somaDesconto * desconto2);

			//update resume table fields
			valorSomatorio += somaTotal;
			valorDescontos += descontoTotal;
			valorRetencao += retencao;
		});
		
		//remain totals
		// valorTotal = (valorSiva + valorIva) - valorRetencao;
		valorTotal = (valorSiva + valorIva);

		//update resume table
		update_resumeTable();

		//if currency != 'CHF'
		calculateCurrencyCambio();
	}

	/**
	 * Update the resume table
	 * @return none
	 */
	function update_resumeTable(){
		valorTotal = roundPriceUp(valorTotal);
		$('#valor-linhas').html( valorLinhas );
		$('#valor-somatorio').autoNumeric( 'set', valorSomatorio );
		$('#valor-descontos').autoNumeric( 'set', valorDescontos );
		$('#valor-retencao').autoNumeric( 'set', valorRetencao );
		$('#valor-siva').autoNumeric( 'set', valorSiva );
		$('#valor-iva').autoNumeric( 'set', valorIva );
		$('#valor-total').autoNumeric( 'set', valorTotal );
		return true;
	}

	/**
	 * Get Custom Rounded UP Value for Invoices (0.05 UP)
	 * @return rounded value
	 */
	function roundPriceUp(valueToRise){
		var finalValue = 0;
		//confirm that the value is rounded
		var roundedValue = Number(valueToRise).toFixed(2);
		//grab last decimal number
		var lastNumber = roundedValue.substr(roundedValue.length - 1);

		/* === process the last decimal number === */
		if(lastNumber > 0 && lastNumber <= 2) {
			var replacement = 0;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 2 && lastNumber <= 7) {
			var replacement = 5;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 7 && lastNumber <=9 ) {
			finalValue = Number(valueToRise).toFixed(1);
		}
		else{
			finalValue = roundedValue;
		}
		/* =========== /end processing =========== */
		// console.log(roundedValue,lastNumber, finalValue)

		// console.log( roundedValue,lastNumber, finalValue );
		
		//return final formatted value
		return finalValue;
	}

	/**
	 * Change Currency Cambio
	 * @return none
	 */
	function calculateCurrencyCambio(){
		var iso = $("#moeda_nota").attr('data-iso');
		var simbolo = $("#moeda_nota").attr('data-simbolo');
		var valorTaxa = 0;
		var totalMoeda = 0;

		if( iso != 'CHF' ){
			$("#moeda_estrangeira").html('Total en '+simbolo+':');
			// $("valor-moeda-estrangeira");

			$(".moneyCountry").autoNumeric("update", {
				aSign : ' '+simbolo
			});

			$("#taxa-cambio").html(taxaCambio);

			//calculate currency
			totalMoeda = valorTotal * taxaCambio;
			$("#valor-moeda-estrangeira").autoNumeric('set', totalMoeda);

			$("#linha_moeda_estrangeira").show();
			$("#linha_moeda_estrangeira2").show();
		}else{
			$("#moeda_estrangeira").html('');

			$("#linha_moeda_estrangeira").hide();
			$("#linha_moeda_estrangeira2").hide();
		}
	}

	//----------------------- Document Functions ------------------------//

	//Générer le document
	// function gerarDocumento(idNota){
	// 	alert('Générer le document:\n...\nFonctionnalité bientôt disponible...');
	// }

	//check if selected date is bigger than today
	function checkDataBiggerThanToday(){
		var result;

		var dt_Today = new Date();
		var dt_begin = new Date( $('#data_nota').attr('data-normalizeDate') );
		console.log(dt_begin);
		//set hours, minutes and seconds to 0
		dt_Today.setHours(0);
		dt_Today.setMinutes(0);
		dt_Today.setSeconds(0);
		dt_begin.setHours(0);
		dt_begin.setMinutes(0);
		dt_begin.setSeconds(0);
		//check dates
		if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
			result = true;
		} else {
			result = false;
		}

	    return result;
	}

	//finalizar
	function finalizarNota(idNota, nome){
	<?php if (hasPermission(['P0056']) == 1) { ?>
		var inputID = 'data_nota_'+idNota;
		var result = checkDataBiggerThanToday(inputID);
		// var dataNota = $('#'+inputID).html();
		var dataNota = $('#data_nota').html();
		var question = '';
		if(result == true) question = "La date de la note de crédit est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette note de crédit?\n\nATTENTION: Vous ne pourrez pas modifier cette note de crédit ou insérer de nouvelles notes de crédit avec une date ci-dessous ["+dataNota+"].";
		else question = "Êtes-vous sûr de vouloir mettre fin à la note de crédit de \n" + nome + "?\n\nVEUILLEZ NOTER: Vous ne pourrez pas supprimer ou modifier ce document.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras-notas-credito/finalizar.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Il est impossible de finaliser cette note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Il est impossible de finaliser cette note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Note de crédit complété avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.pagavel) $.scojs_message("[FAT003] Le total est supérieur à la valeur à payer du document source.", $.scojs_message.TYPE_ERROR);
						else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière note de crédit ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else if(resp.responseJSON.data_superior2) $.scojs_message("[FAT003] La date est inférieure à la date du document source ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else if (resp.responseJSON.exists) $.scojs_message(resp.responseJSON.message, $.scojs_message.TYPE_ERROR);
						else  $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularNota(idNota, nome){
	<?php if (hasPermission(['P0056']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler la note de crédit de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras-notas-credito/anular.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Il est impossible d'annuler la note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Il est impossible d'annuler la note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Note de crédit annulée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarNota(idNota, nome){
	<?php if (hasPermission(['P0057']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer la note de crédit de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras-notas-credito/apagar.php',
				dataType : 'json',
				data : {
					idNota : idNota
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer cette note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer cette note de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Note de crédit supprimée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../achats-notes-credit";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>