<?php 
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idRole = $_POST['idRole'];
$nome = $_POST['nome'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idRole == '' || $nome == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}

//UPDATE DOCUMENT --------------------------------------------------------
$query = "UPDATE faturacao_roles SET
			Name=? 
			WHERE ID_Role = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param(
		"sd", 
		$nome,
		$idRole
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS0003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS0003B";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Édition de profil (nom: ".$nome.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["role"] = $idRole;
$response["errors"] = false;
die(json_encode($response));

?>