<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0056']) == 1 ) {
		//check if can edit or redirect it
		$result = checkIfCanBeEdit( $_GET['note'], 'ID_NotaCreditoCompra', 'Estado', 'Rascunho', 'faturacao_compras_notas_credito' );
		if ( $result == true ) {}
		else{
			header('Location: ../operation-refusee?redirectfrom=/frifacturation/achats-notes-credit/modifier&redirectto=/frifacturation/notes-credit');
		}
	}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/achats-notes-credit&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = " display: inline-block; ";
		$spanStyle = " style='display: inline-block;' ";
		$qtdSizePerc = "70%";
	}

?>
<html>
	<title>Modifier la Note de Crédit du Achat | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../achats-notes-credit"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../achats-notes-credit">Notes de crédit de Achats</a>
							</li>
							<li class="active">
								Modifier l'inscription
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Document Source
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<div class="form-group">
															<label class="control-label">Document<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="documentoOrigem_nota" name="documentoOrigem_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données du Fournisseur
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Fournisseur<span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="fornecedor_nota" name="fornecedor_nota" disabled>
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
																<span class="input-group-btn">
																	<button type="button" class="btn btn-grey" disabled>
																		<i class="fa fa-user"></i>&nbsp;Nouveau fournisseur
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">VAT:</label>
															<input type="text" class="form-control" id="nif_fornecedor_nota" name="nif_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_fornecedor_nota" name="endereco_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control" id="codigopostal_fornecedor_nota" name="codigopostal_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_fornecedor_nota" name="regiao_fornecedor_nota" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_fornecedor_nota" name="cidade_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<input type="text" class="form-control" id="pais_fornecedor_nota" name="pais_fornecedor_nota" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de Note de Crédit
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<!-- <div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Série<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="serie_nota" name="serie_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div> -->
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_nota" name="numero_nota" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_nota" id="data_nota" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date Expiration<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker 15days" disabled data-provide="datepicker" name="validade_nota" id="validade_nota" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Réduction</label>
															<input type="text" class="form-control percentage" id="desconto_nota" name="desconto_nota" placeholder="0 %" />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Mode de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_nota" name="pagamento_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3" id="banco_select_nota" style="display: none;">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="banco_nota" name="banco_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Conditions de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vencimento_nota" name="vencimento_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours après l'émission</option>
																<option value="20">20 jours après l'émission</option>
																<option value="30">30 jours après l'émission</option>
																<option value="60">60 jours après l'émission</option>
																<option value="90">90 jours après l'émission</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Monnaie</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="moeda_nota" name="moeda_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_nota" name="referencia_nota" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-9">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<input type="text" class="form-control" id="observacoes_nota" name="observacoes_nota" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Suggestions de Raisons</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="sugestoes_motivo_nota" name="sugestoes_motivo_nota"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Raison<span class="require">*</span></label>
															<input type="text" class="form-control" id="motivo_nota" name="motivo_nota" placeholder="" />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:100px; max-width:150px;">Référence</th>
																<th style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">Compte</th>
																<th>Description</th>
																<th style="width:105px;">Qté.</th>
																<th style="width:100px;">Prix Uni.</th>
																<th style="width:120px;">TVA</th>
																<!-- <th style="width:120px;">Motif</th> -->
																<th style="width:80px;">Rédu.%</th>
																<th style="width:80px;" class=" hide">Rétention</th>
																<th class="text-right" style="width:100px;">Total</th>
																<th style="width:30px; text-align: center;">
																	&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:100px; max-width:150px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" >
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
																	<select data-id-line="0" class="lineInputPlano form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_artigo_linha_0" name="plano_artigo_linha_0" >
																		<option value="" data-hidden="true">Plan</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1"></textarea>
																</td>
																<td style="width:105px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_0" name="qtd_linha_0" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />
																	<span id="unidade_linha_0" style="margin-left: 1px; font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>
																</td>
																<td style="width:100px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_0" name="preco_linha_0" placeholder="0.00 CHF" />
																</td>
																<td style="width:120px;">
																	<select data-id-line="0" class="lineInputChange lineInputImposto form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez la taxe" id="iva_linha_0" name="iva_linha_0" >
																		<option value="" data-hidden="true">Taxe</option>
																	</select>
																</td>
																<!-- <td style="width:120px;">
																	<select data-id-line="0" class="lineInputMotivo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez Raison" id="motivo_linha_0" name="motivo_linha_0" disabled >
																		<option value="" data-hidden="true">Motif</option>
																	</select>
																</td> -->
																<td style="width:80px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_0" name="desc_linha_0" placeholder="0 %" />
																</td>
																<td style="width:80px;" class=" hide">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_0" name="retencao_linha_0" placeholder="0.00 CHF" />
																</td>
																<td class="text-right" style="width:100px;">
																	<span id="total_linha_0" style="display: block" class="money">0</span>
																</td>
																<td style="width:30px; text-align: center;">
																	<a class="options-link text-red" onclick="eliminarLinha(0)" title="Remover Linha"><i class="fa fa-trash"></i></a>
																</td>
															</tr>
														</tbody>
													</table>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer taxes-table">
														<thead>
															<tr>
																<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
															</tr>
															<tr>
																<th colspan="3" style="padding-bottom: 10px;"></th>
															</tr>
														</thead>
													</table>
												</div>
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer resume-table">
														<thead>
															<tr>
																<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Lignes: </th>
																<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Somme: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Réductions: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
															</tr>
															<tr class=" hide">
																<th class="textCell paddingRight">Rétention: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">s/TVA: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">TVA: </th>
																<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira" style="display: none;">
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira2" style="display: none;">
																<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
															</tr>
														</thead>
													</table>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<button class="btn btn-green submit_button2" type="button" id="finishDocumentBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer et Finir
											</button>
											<a  href="../achats-notes-credit" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php //include('../modals/fornecedors.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.notas_credito_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var precisaBanco = 0;
			var xhrTotals = null;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					mDec : 2,
					pSign : 's',
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					mDec : 2,
					pSign : 's',
					vMin:'0'
				});

				//init select2 condicoes
				$("select#vencimento_nota").val(0);
				$("select#vencimento_nota").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				//clear session
				sessionStorage.removeItem('coins');
				sessionStorage.removeItem('plans');
				sessionStorage.removeItem('motivesDoc');
				sessionStorage.removeItem('payment_types');
				sessionStorage.removeItem('banks');
				sessionStorage.removeItem('taxes');
				sessionStorage.removeItem('motives');

				//init lines
				init_general_resources();
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();

				//payments types
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/compras_notas_credito.php',
					dataType : 'json',
					data : { 
						opcao: 11
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									var options = $("select#pagamento_nota");
									$(options).empty();
									var defaultID = 0;

									//get data
									var dadosPay = resposta.data;
									
									//prepare select
									$(options).attr("disabled", false);

									$.each(dadosPay, function() {
										if( this.Predefinido > 0 ) defaultID = this.ID_Metodo;
										$(options).append($("<option />").val(this.ID_Metodo).html(this.Nome).attr('data-bank', this.Banco));
									});
									
									if(defaultID > 0) $(options).val(defaultID);
									else $(options).val($("select#pagamento_nota option:eq(1)").val());

									//store in session
									sessionStorage.setItem('payment_types', true );
									
									//init select2
									$(options).select2({
										escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
									});
								}
							}
						}
					},
					complete : function() {
						$(".fullscreen").show();

						//banks
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/compras_notas_credito.php',
							dataType : 'json',
							data : { 
								opcao: 12
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											var options = $("select#banco_nota");
											$(options).empty();
											var defaultID = 0;

											//get data
											var dadosBanks = resposta.data;
											
											//prepare select
											$(options).attr("disabled", false);

											$.each(dadosBanks, function() {
												if( this.Predefinido > 0 ) defaultID = this.ID_Banco;
												$(options).append($("<option />").val(this.ID_Banco).html(this.Nome));
											});

											//store in session
											sessionStorage.setItem('banks', true );

											if(defaultID > 0) $(options).val(defaultID);
											else $(options).val($("select#banco_nota option:eq(1)").val());

											//active the select or not
											var needBank = Number( $('option:selected', $("select#pagamento_nota") ).attr('data-bank') );
											if(needBank == 1){
												precisaBanco = 1;
												$('#banco_select_nota').show();
											}else{
												precisaBanco = 0;
												$('#banco_select_nota').hide();
											}
											
											//init select2
											$(options).select2({ 
												escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
											});
										}
									}
								}
							},
							complete : function() {
								$(".fullscreen").fadeOut();

								//lines resources
								init_lines_resources();
							}
						});
					}
				});
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//taxes
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/compras_notas_credito.php',
					dataType : 'json',
					data : { 
						opcao: 7
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									$("body").append('<select id="iva_xBASEx" class="select2" style="display:none;"></select>');
									var options = $("select#iva_xBASEx");

									$.each(resposta.data, function() {
										$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
									});

									//store in session
									sessionStorage.setItem('taxes', $(options).html() );

									//remove element
									$( "#iva_xBASEx" ).remove();
								}
							}
						}
					},
					complete : function() {
						$(".fullscreen").show();

						//motives
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/compras_notas_credito.php',
							dataType : 'json',
							data : { 
								opcao: 8
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											$("body").append('<select id="motivos_xBASEx" class="select2" style="display:none;"></select>');
											var options = $("select#motivos_xBASEx");

											$.each(resposta.data, function() {
												$descriptionSummary = '';
												/*if(this.Descricao.length > 20) descriptionSummary = this.Descricao.substr(0,20)+"...";
												else*/ descriptionSummary = this.Descricao;
												$(options).append( $("<option />").val(this.ID_Motivo).html('<small>'+this.Codigo+': '+descriptionSummary+'</small>') );
											});

											//store in session
											sessionStorage.setItem('motives', $(options).html() );

											//remove element
											$( "#motivos_xBASEx" ).remove();
										}
									}
								}
							},
							complete : function() {
								$(".fullscreen").show();

								//plans
								$.ajax({
									type : 'POST',
									url : '/frifacturation/server/combobox/plano_contas.php',
									dataType : 'json',
									data : { 
										opcao : 4
									},
									success : function(resposta) {
										if (resposta == null) {
											$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										} else {
											if (resposta.errors == true) {
												$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											} else {
												if (resposta.data == null) {
												} else {
													$("body").append('<select id="plans_xBASEx" class="select2" style="display:none;"></select>');
													var options = $("select#plans_xBASEx");

													$.each(resposta.data, function() {
														$(options).append($("<option />").val(this.codigo).html(this.codigo+' - '+this.descricao).attr('title',this.codigo));
													});

													//store in session
													sessionStorage.setItem('plans', $(options).html() );

													//remove element
													$( "#plans_xBASEx" ).remove();
												}
											}
										}
									},
									complete : function() {
										$(".fullscreen").show();

										//motivesDoc
										$.ajax({
											type : 'POST',
											url : '/frifacturation/server/combobox/compras_notas_credito.php',
											dataType : 'json',
											data : { 
												opcao: 14
											},
											success : function(resposta) {
												if (resposta == null) {
													$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
												} else {
													if (resposta.errors == true) {
														$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
													} else {
														if (resposta.data == null) {
														} else {
															var options = $("select#sugestoes_motivo_nota");
															$(options).empty();
															var defaultID = 0;

															//get data
															var dadosMotives = resposta.data;
															
															//prepare select
															$(options).attr("disabled", false);

															$.each(dadosMotives, function() {
																$(options).append($("<option />").val(this.Descricao).html(this.Descricao));
															});
															
															$(options).val($("select#sugestoes_motivo_nota option:eq(0)").val());
															$(options).trigger('change');

															//store in session
															sessionStorage.setItem('motivesDoc', true );
															
															//init select2
															$(options).select2({
																escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
															});
														}
													}
												}
											},
											complete : function() {
												$(".fullscreen").fadeOut();
												
												//disable the fields of the lines
												$("#descricao_linha_0").prop('disabled', true);
												$("#qtd_linha_0").prop('disabled', true);
												$("#preco_linha_0").prop('disabled', true);
												$("#desc_linha_0").prop('disabled', true);
												$("#retencao_linha_0").prop('disabled', true);

												//init first line selects
												$("select#fornecedor_nota").select2({
													escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
												});

												$("select#codigo_linha_0").select2({
													escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
												});

												$("select#iva_linha_0").select2({
													escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
												});

												$("select#plano_artigo_linha_0").select2({
													escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
												});

												//fill select boxes
												var idNota = getParameterByName('note');
												fill_document(idNota);
											}
										});
									}
								});
							}
						});
					}
				});
			}

			//open new people modal
			// function new_fornecedor() {
			// 	$('#modal-fornecedor').modal("show");
			// }
			

			//change currency
			$("select#vencimento_nota").on('change', function(event){
				calculateDataValidade();
			});

			//change date
			$(".today").on('change', function(event){
				calculateDataValidade();
			});

			//calculate data validade
			function calculateDataValidade(){
				var dataBase = $(".today").datepicker().datepicker("getDate");
				dataBase = new Date(dataBase).getTime();
				var dias = $("select#vencimento_nota").val();
				var newValidadeDate =  new Date( dataBase+(dias*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", newValidadeDate);
			}

			//change doc origin
			$("select#documentoOrigem_nota").on('change', function(event){
				// var fornecedorID = Number( $('option:selected', $(this) ).attr('data-fornecedor') );

				// var options = $("select#fornecedor_nota");
				// if(fornecedorID != 0) $(options).val(fornecedorID);
				// $(options).trigger('change');

				// getFornecedorDetails(fornecedorID);
				// var docID = $('option:selected', $("#documentoOrigem_nota") ).val();
				var docID = $(this).val();
				if(docID > 0) fill_origens_detalhes(docID);
			});

			//change fornecedor details
			$("select#fornecedor_nota").on('change', function(event){
				getFornecedorDetails( $(this).val() );
			});

			//change serie
			$("select#serie_nota").on('change', function(event){
				getNextNumber();
			});

			//change payment method
			$("select#pagamento_nota").on('change', function(event){
				var needBank = Number( $('option:selected', $(this) ).attr('data-bank') );
				if(needBank == 1){
					precisaBanco = 1;
					$('#banco_select_nota').show();
				}else{
					precisaBanco = 0;
					$('#banco_select_nota').hide();
				}
			});

			//change motives
			$("select#sugestoes_motivo_nota").on('change', function(event){
				$('#motivo_nota').val( $(this).val() );
			});

			//change currency
			$("select#moeda_nota").on('change', function(event){
				calculateCurrencyCambio();
			});

			$("#desconto_nota").on('keyup', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});
			$("#desconto_nota").on('change', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});

			//------------------------ LINES ----------------------------
			// linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_nota').datepicker('getDate');
				var dt_begin = $('#data_nota').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_nota').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					documentoOrigem_nota : {
						required : true,
					},
					fornecedor_nota : {
						required : true,
					},
					numero_nota : {
						required : true
					},
					data_nota : {
						required : true
					},
					pagamento_nota : {
						required : true
					},
					validade_nota : {
						required : true,
						checkDataValidade : true
					},
					motivo_nota : {
						required : true
					},
				},
				messages : {
					documentoOrigem_nota : {
						required : "Ce champ est obligatoire"
					},
					fornecedor_nota : {
						required : "Ce champ est obligatoire"
					},
					numero_nota : {
						required : "Ce champ est obligatoire"
					},
					data_nota : {
						required : "Ce champ est obligatoire"
					},
					pagamento_nota : {
						required : "Ce champ est obligatoire"
					},
					validade_nota : {
						required : "Ce champ est obligatoire"
					},
					motivo_nota : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//store and close document
			$('#finishDocumentBtn').on('click', function(event){
				salvarFinalizar();
			});

			//FINISH THE DOCUMENT
			function salvarFinalizar(){
				var result = checkDataBiggerThanToday();
				var dataNota = $('#data_nota').val();
				var question = '';
				if(result == true) question = "La date de la note de crédit est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette note de crédit?\n\nATTENTION: Vous ne pourrez pas modifier cette note de crédit ou insérer de nouvelles notes de crédit avec une date ci-dessous ["+dataNota+"].";
				else question = "Êtes-vous sûr de vouloir inscrire et terminer la note de crédit?\n\nVEUILLEZ NOTER: Vous ne pourrez pas supprimer ou modifier ce document.";
				if (confirm(question) == true) {
					finalizarDocumento = 1;
					$("#submitFormBtn").click();
				} else { finalizarDocumento = 0; return false; }
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalidTotals = 0;
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idNota = getParameterByName('note');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					//check total document and compare to origin document
					var totalNC = Number ( $('#valor-total').autoNumeric('get') ); 
					var totalPorPagarOrig = Number ( $('option:selected', $("#documentoOrigem_nota") ).attr('data-value') );
					console.log(totalNC);
					console.log(totalPorPagarOrig);

					if( totalNC > totalPorPagarOrig ) {
						invalidTotals++;
						$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							vMin:'0',
							mDec : <?php echo $numDecimais; ?>
						});
						
						$( "#valorDocTemp" ).autoNumeric('set', totalPorPagarOrig);
						totalPorPagarOrig = $( "#valorDocTemp" ).html();

						$( "#valorDocTemp" ).remove();
					}

					//check if exists 1 article at least
					$("select.lineInputArtigo").each(function() {
						var lineID = $(this).attr('data-id-line');
						//check lines with articles
						if( $(this).val() > 0 ) linesWithArticles++;
						//check invalid totals
						if( $("#total_linha_"+lineID).parent().attr('data-status') == 'invalid'	) invalid++;
						//check invalid quantities
						if( $("#qtd_linha_"+lineID).autoNumeric('get') <= 0	) articlesQTD++;
						//check isenções
						var subclasse = $('option:selected', $("#iva_linha_"+lineID)).attr('data-subclasse');
						if (subclasse == 'ISE'){
							if( $("#motivo_linha_"+lineID).val() < 1) /*motives++;*/ motives=0;
						}
					});

					//process validation
					if( invalidTotals > 0 ) $.scojs_message("La note de crédit totale doit être égale ou inférieure à l\'encours total du document original [ "+ totalPorPagarOrig +" ].", $.scojs_message.TYPE_ERROR);
					if( invalid > 0 ) $.scojs_message("Vérifiez les valeurs des rétentions et / ou des prix.", $.scojs_message.TYPE_ERROR);
					if( linesWithArticles == 0 ) $.scojs_message("S'il vous plaît ajouter au moins 1 point.", $.scojs_message.TYPE_ERROR);
					if( articlesQTD > 0 ) $.scojs_message("S'il vous plaît vérifier les quantités.", $.scojs_message.TYPE_ERROR);
					if( motives > 0 ) $.scojs_message("S'il vous plaît vérifier des raisons d'exemption.", $.scojs_message.TYPE_ERROR);
					if( precisaBanco > 0 && ( $("#banco_nota").val() < 1 || $("#banco_nota").val() == '' )  ) $.scojs_message("Sélectionnez une banque valide.", $.scojs_message.TYPE_ERROR);

					if( invalidTotals == 0 && invalid == 0 && linesWithArticles > 0 && articlesQTD == 0 && motives == 0){
						//process the lines array
						var linesArticles = [];
						$("select.lineInputArtigo").each(function() {
							var lineID = $(this).attr('data-id-line');
							//add to array
							linesArticles.push({
								"idLinhaOrigem" : $(this).attr('data-lnOrig'),
								"artigo" : $(this).val(),
								"descricao" : $("#descricao_linha_"+lineID).val(),
								"qtd" : $("#qtd_linha_"+lineID).autoNumeric('get'),
								"preco" : $("#preco_linha_"+lineID).autoNumeric('get'),
								"imposto" : $("#iva_linha_"+lineID).val(),
								"motivo" : $("#motivo_linha_"+lineID).val(),
								"desconto" : $("#desc_linha_"+lineID).autoNumeric('get'),
								"retencao" : $("#retencao_linha_"+lineID).autoNumeric('get'),
							});
						});

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/compras-notas-credito/editar.php',
							dataType : 'json',
							data : {
								idNota : idNota,
								docOrigem : $("#documentoOrigem_nota").val(),
								docType : $('option:selected', $("#documentoOrigem_nota") ).attr('data-type'),
								fornecedor : $("#fornecedor_nota").val(),
								numero : $("#numero_nota").val(),
								data : $("#data_nota").val(),
								validade : $("#validade_nota").val(),
								referencia : $("#referencia_nota").val(),
								pagamento : $("#pagamento_nota").val(),
								banco : $("#banco_nota").val(),
								vencimento : $("#vencimento_nota").val(),
								moeda : $("#moeda_nota").val(),
								desconto : $("#desconto_nota").autoNumeric('get'),
								observacoes : $("#observacoes_nota").val(),
								motivo : $("#motivo_nota").val(),
								linhas : linesArticles,
								finalizarDocumento : finalizarDocumento,
								precisaBanco : precisaBanco
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								console.log(resp);
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.pagavel) $.scojs_message("[FAT003] Le total est supérieur à la valeur à payer du document source.", $.scojs_message.TYPE_ERROR);
									else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière note de crédit ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else if(resp.responseJSON.data_superior2) $.scojs_message("[FAT003] La date est inférieure à la date du document source ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else if (resp.responseJSON.exists) $.scojs_message(resp.responseJSON.message, $.scojs_message.TYPE_ERROR);
									else  $.scojs_message("[FAT004] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
									//reload
									setTimeout(function() {
										if(finalizarDocumento > 0 ) window.location.href = "../achats-notes-credit";
										else window.location.href = "../achats-notes-credit/details?note="+resp.responseJSON.nota;
									}, 1000);
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
				}
			});
		</script>
	</body>
</html>