<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0063']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/articles&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Tableaux  > Détails d'Articles</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../articles"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../articles">Articles</a>
							</li>
							<li class="active">
								Détails d'Articles
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données d'Article
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Référence<span class="require">*</span></label>
															<span id="codigo_artigo" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Nom<span class="require">*</span></label>
															<span id="nome_artigo" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Type<span class="require">*</span></label>
															<span id="tipo_artigo" style="display: block"></span>
														</div>
													</div>
												</div>

												<div class="row mtl">
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Barcode</label>
															<span id="codigobarras_artigo" style="display: block"></span>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<span id="numeroserie_artigo" style="display: block"></span>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Stock</label>
															<span id="stock_artigo" style="display: block"></span>
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Unité de Mesure<span class="require">*</span></label>
															<span id="unidade_artigo" style="display: block"></span>
														</div>
													</div>

													</div>

												<div class="row mtl">

													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">Prix TTC<span class="require">*</span></label>
															<span id="precoPVP_artigo" class="money" style="display: block"></span>
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">TVA (Impôt Chiffre d'affaires)<span class="require">*</span></label>
															<span id="imposto_artigo" class="percentage" style="display: block"></span>
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">Prix HT</label>
															<span id="preco_artigo" class="moneyBig" style="display: block"></span>
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">TVA (Impôt préalable)<span class="require">*</span></label>
															<span id="imposto_fornecedor_artigo" class="percentage" style="display: block"></span>
														</div>
													</div>
												</div>

												<div class="row mtl <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
													
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Plan Comptable (Impôt Chiffre)</label>
															<span id="plano_artigo" class="" style="display: block"></span>
														</div>
													</div>
													
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Plan Comptable (Impôt préalable)</label>
															<span id="plano_2_artigo" class="" style="display: block"></span>
														</div>
													</div>
												</div>
												
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right" id="btns-wrapper">
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.artigos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				//fill select boxes
				var idArtigo = getParameterByName('article');
				fill_artigo(idArtigo);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}


			//load data
			function fill_artigo(idArtigo) {
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/artigos/artigos_detalhes.php',
					dataType : 'json',
					data : { idArtigo : idArtigo },
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									
									//active or disabled
									if(dados.Ativo == 1){
										$('#btns-wrapper').append('&nbsp;<button type="button" onClick="alterState('+idArtigo+')" class="btn btn-violet" title="Désactiver"><i class="fa fa-ban"></i>&nbsp;Désactiver</a>');
									}else{
										$('#btns-wrapper').append('&nbsp;<button type="button" onClick="alterState('+idArtigo+')" class="btn btn-green" title="Activer"><i class="fa fa-check-square-o"></i>&nbsp;Activer</a>');
									}
									//process used or not used
									$('#btns-wrapper').append('&nbsp;<a href="modifier?article='+idArtigo+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');
									if(dados.Usado == 1){
										$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
									}else{
										var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
										var nome = "'" + processedName + "'";
										$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarArtigo('+idArtigo+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
									}

									$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../articles" class="btn btn-default" type="button"> Annuler </a>');

									$("#codigo_artigo").html(dados.Codigo);
									$("#nome_artigo").html(dados.Nome);
									// if(dados.Categoria) $("#categoria_artigo").html(dados.Categoria);
									// else $("#categoria_artigo").html('Sem categoria');
									$("#stock_artigo").html(dados.Stock);
									$("#tipo_artigo").html(dados.Tipo);
									$("#unidade_artigo").html(dados.Unidade);
									$("#plano_artigo").html(dados.PlanoContas+'&nbsp;>>&nbsp;'+dados.PlanoContasDesc);
									$("#plano_2_artigo").html(dados.PlanoContasCompras+'&nbsp;>>&nbsp;'+dados.PlanoContasComprasDesc);
									$("#precoPVP_artigo").autoNumeric('set', dados.PrecoPVP);
									$("#imposto_artigo").autoNumeric('set', dados.IVA);
									$("#imposto_fornecedor_artigo").autoNumeric('set', dados.IVA_Fornecedor);
									$("#preco_artigo").autoNumeric('set', dados.Preco);
									$("#codigobarras_artigo").html(dados.CodigoBarras);
									$("#numeroserie_artigo").html(dados.SerialNumber);
									$("#retencao_artigo").autoNumeric('set', dados.Retencao);

									//remake percentage
									$(".percentage").autoNumeric("init", {
										aSep : '\'',
										aDec : '.',
										aSign : '  %',
										vMax : '100',
										mDec : 2,
										vMin:'0',
										pSign : 's'
									});

									//remake money
									$(".money").autoNumeric("init", {
										aSep : '\'',
										aDec : '.',
										aSign : ' CHF',
										pSign : 's',
										mDec : <?php echo $numDecimais; ?>
									});
									$(".moneyBig").autoNumeric("init", {
										aSep : '\'',
										aDec : '.',
										aSign : ' CHF',
										pSign : 's',
										mDec : <?php echo $numDecimaisPrice; ?>
									});
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//ALTER STATE ARTIGO
			function alterState(idArtigo){
			<?php if (hasPermission(['P0061']) == 1) { ?>
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/artigos/artigos_estado.php',
					dataType : 'json',
					data : {
						idArtigo : idArtigo
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//REMOVER ARTIGO
			function eliminarArtigo(idArtigo, nome){
			<?php if (hasPermission(['P0062']) == 1) { ?>
				if (confirm("Êtes-vous sûr de vouloir supprimer l'article \n'" + nome + "' ?") == true) {
					var resp = null;
					//send data
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/artigos/artigos_apagar.php',
						dataType : 'json',
						data : {
							idArtigo : idArtigo
						},
						success : function(resposta) {
							resp = resposta.errors;
							if (resposta == null) {
								$.scojs_message("[FTGP000] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.errors) {
									$.scojs_message("[" + resposta.type + "] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								}else {
									$.scojs_message("Article supprimé avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function() {
							if (resp == false) {
								window.location.href = "../articles";
							}
						}
					});
				} else { return false; }
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}	
		</script>
	</body>
</html>