<script type="text/javascript">
	//load data
	function fill_artigo(idArtigo) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/artigos/artigos_detalhesEditar.php',
			dataType : 'json',
			data : { idArtigo : idArtigo },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							$("#codigo_artigo").val(dados.Codigo);
							$("#nome_artigo").val(dados.Nome);
							// if(dados.Categoria) $("#categoria_artigo").val(dados.Categoria);
							// else $("#categoria_artigo").val('Sem categoria');
							$("#tipo_artigo").val(dados.Tipo);
							$("#tipo_artigo").trigger('change');
							// $("#unidade_artigo").val(dados.Unidade);
							$("#stock_artigo").autoNumeric('set', dados.Stock);
							$("#precoPVP_artigo").autoNumeric('set', dados.PrecoPVP);
							// $("#imposto_artigo").autoNumeric('set', dados.IVA);
							$("#preco_artigo").autoNumeric('set', dados.Preco);
							$("#codigobarras_artigo").val(dados.CodigoBarras);
							$("#numeroserie_artigo").val(dados.SerialNumber);

							$("#retencao_percentagem_artigo").autoNumeric('set', dados.RetencaoPercentagem);
							$("#retencao_valor_artigo").autoNumeric('set', dados.RetencaoValor);

							if(dados.RetencaoValor > 0){
								$('#retencao_valor_artigo').show();
								$('#retencao_percentagem_artigo').hide();
								$('#retencao_percentagem_artigo').autoNumeric('set', 0);
								$('#retencao_select_artigo').val( $("select#retencao_select_artigo option:eq(0)").val() );
								$('#retencao_select_artigo').trigger('change');
							}else{
								$('#retencao_percentagem_artigo').show();
								$('#retencao_valor_artigo').hide();
								$('#retencao_valor_artigo').autoNumeric('set', 0);
								$('#retencao_select_artigo').val( $("select#retencao_select_artigo option:eq(1)").val() );
								$('#retencao_select_artigo').trigger('change');
							}

							if(dados.Tipo == 'S'){
								$("#retencao_select_artigo").prop('disabled', false);
								$("#retencao_select_artigo").trigger('change');
								$("#retencao_valor_artigo").prop('disabled', false);
								$("#retencao_percentagem_artigo").prop('disabled', false);
							}else{
								$("#retencao_select_artigo").prop('disabled', true);
								$("#retencao_select_artigo").trigger('change');
								$("#retencao_valor_artigo").autoNumeric('set',0);
								$("#retencao_valor_artigo").prop('disabled', true);
								$("#retencao_percentagem_artigo").autoNumeric('set',0);
								$("#retencao_percentagem_artigo").prop('disabled', true);
							}


							//remake percentage
							$(".percentage").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : '  %',
								vMax : '100',
								mDec : 2,
								vMin:'0',
								pSign : 's'
							});

							//remake money
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimais; ?>
							});
							$(".moneyBig").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimaisPrice; ?>
							});

							//block when used
							if(dados.Usado > 0){
								$("#codigo_artigo").prop('disabled', true);
								// $("#nome_artigo").prop('disabled', true);
								$("#tipo_artigo").prop('disabled', true);
								$("#tipo_artigo").trigger('change');
								// $("#codigobarras_artigo").prop('disabled', true);
								// $("#numeroserie_artigo").prop('disabled', true);
							}

							//fill values
							// fill_categories(dados.Categoria, dados.Usado);
							fill_impostos(dados.IVA);
							fill_impostosFornecedores(dados.IVA_Fornecedor);
							fill_unidades(dados.Unidade, dados.Usado);
							fill_comptes(dados.PlanoContas,dados.PlanoContasCompras);
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Fill the categories
	 * @return select list
	 */
	function fill_categories(lastID = 0, Usado = 0){
		var options = $("select#categoria_artigo");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/artigos.php',
			data : {
				opcao : 1,
				idCategoria : lastID
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							
							var html_categorias = '';
							html_categorias += '<option value="0" selected>Sem Categoria</option>';
							
							var current_group = '';
							
							$.each(resposta.data, function() {
								html_categorias += '<option value="' + this.id + '">' + this.nome + '</option>';
							});

							$(options).html(html_categorias);
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#categoria_artigo option:eq(0)").val());
				$(options).trigger('change');

				//block when used
				if(Usado > 0){
					$("#categoria_artigo").prop('disabled', true);
					$("#categoria_artigo").trigger('change');
				}
			}
		});
	}

	/**
	 * Fill the impostos
	 * @return select list
	 */
	function fill_impostos(lastID = 0){
		var options = $("select#imposto_artigo");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/artigos.php',
			data : {
				opcao : 2,
				idImposto : lastID
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append( $("<option />").val(this.id).text(this.nome).attr('data-taxa', this.taxa) );
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				// else $(options).val($("select#imposto_artigo option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill the impostos
	 * @return select list
	 */
	function fill_impostosFornecedores(lastID = 0){
		var options = $("select#imposto_fornecedor_artigo");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/artigos.php',
			data : {
				opcao : 4,
				idImposto : lastID
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append( $("<option />").val(this.id).text(this.nome).attr('data-taxa', this.taxa) );
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				// else $(options).val($("select#imposto_fornecedor_artigo option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill the unidades
	 * @return select list
	 */
	function fill_unidades(lastID = 0, Usado = 0){
		var options = $("select#unidade_artigo");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/artigos.php',
			data : {
				opcao : 3,
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#unidade_artigo option:eq(1)").val());
				$(options).trigger('change');

				//block when used
				if(Usado > 0){
					// $("#unidade_artigo").prop('disabled', true);
					// $("#unidade_artigo").trigger('change');
				}
			}
		});
	}

	/**
	 * Calculate Price
	 * @return price pvp value
	 */
	function calculaPreco(){
		var taxa = $('select#imposto_artigo option:selected').attr('data-taxa');
		taxa = Number ( (taxa * 0.01)+1 );
		var preco_pvp = Number( $("#precoPVP_artigo").autoNumeric('get') );
		//calculate new
		var preco_final = (preco_pvp / taxa);
		$("#preco_artigo").autoNumeric('set', preco_final );
	}

	/**
	 * Calculate Price PVP
	 * @return price value
	 */
	function calculaPrecoPVP(){
		var taxa = $('select#imposto_artigo option:selected').attr('data-taxa');
		taxa = Number ( (taxa * 0.01)+1 );
		var preco = Number( $("#preco_artigo").autoNumeric('get') );
		//calculate new
		var preco_final = (preco * taxa);
		$("#precoPVP_artigo").autoNumeric('set', preco_final );
	}

	//load data
	function fill_comptes(lastID = 0, lastID2 = 0) {
		var options = $("select#plano_artigo");
		$(options).empty();

		var options2 = $("select#plano_2_artigo");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							$(options2).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);
							$(options2).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
								$(options2).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#plano_artigo option:eq(1)").val());
				$(options).trigger('change');

				if(lastID != 0) $(options2).val(lastID2);
				else $(options2).val($("select#plano_2_artigo option:eq(1)").val());
				$(options2).trigger('change');
			}
		});
	}
</script>