<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0063']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/articles&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Tableaux  > Articles </title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a href="importer" class="btn btn-violet btn-outlined btn-square"><i class="fa fa-file-excel-o"></i>&nbsp;&nbsp;Importer les articles</a>&nbsp;&nbsp;
							<a href="nouveau" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouvel article</a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li style="margin-top:5px;">
								<a>Tableaux</a>
							</li>
							<li class="active" style="margin-top:5px;">Liste des articles
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12 text-center">
								<button class="btns_filters_states btn btn-yellow btn-outlined btn-square active" type="button" data-value="1">
									<i class="fa fa-check"></i> Actif
								</button>
								<button class="btns_filters_states btn btn-yellow btn-outlined btn-square" type="button" data-value="2">
									<i class="fa fa-ban"></i> Désactivé
								</button>
								<button class="btns_filters_states btn btn-yellow btn-outlined btn-square" type="button" data-value="3">
									<i class="fa fa-list"></i> Tous
								</button>
							</div>
							<div class="col-md-12 ">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 100px;">Référence</th>
											<th style="width: 90px;">Référence</th>
											<th>Nom</th>
											<th style="width: 10px;">T</th>
											<th style="width: 90px;">Prix TTC&nbsp;&nbsp;</th>
											<th style="width: 50px;">TVA</th>
											<th style="width: 50px;">Stock</th>
											<th style="width: 30px;">UNI.</th>
											<th style="width: 70px;">C.Chiffre</th>
											<th style="width: 70px;">C.Préalable</th>
											<th style="width: 100px;">Options</th>
											<th>Hidden</th>
											<th>Hidden</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('index_scripts.php');  ?>
		<?php include('../modals/stock_artigos.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.artigos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});

			$(document).ready(function() {


				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});
		</script>
	</body>
</html>