<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0060']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/articles&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Tableaux  > Articles Nouveau </title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../articles"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li style="margin-top:5px;">
								<a href="../articles">Article</a>
							</li>
							<li class="active" style="margin-top:5px;">
								Nouvel article
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Détails de l'article
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Référence<span class="require">*</span></label>
															<input type="text" class="form-control" id="codigo_artigo" name="codigo_artigo" placeholder="0001A..." pattern="[0-9]+" autofocus="true" value="<?php echo getNextID('Codigo','faturacao_artigos'); ?>" />
														</div>
													</div>
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label">Nom<span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_artigo" name="nome_artigo" placeholder="Article..." />
														</div>
													</div>
												</div>

												<div class="row mtl">
													<!-- <div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Categoria</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="categoria_artigo" name="categoria_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div> -->
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Type<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="tipo_artigo" name="tipo_artigo">
																<option value="P">Produits</option>
																<option value="S">Services</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Qté. Stock</label>
															<input type="text" class="form-control qtd" id="stock_artigo" name="stock_artigo" placeholder="0.000" style="" />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Unité de mesure<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="unidade_artigo" name="unidade_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>

												<div class="row mtl">
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">Prix TTC<span class="require">*</span></label>
															<input type="text" class="form-control money" id="precoPVP_artigo" name="precoPVP_artigo" placeholder="0.00 CHF" value="0" disabled />
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">TVA (Impôt Chiffre d'affaires)<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="imposto_artigo" name="imposto_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">Prix HT<span class="require">*</span></label>
															<input type="text" class="form-control moneyBig" id="preco_artigo" name="preco_artigo" placeholder="0.00 CHF" value="0" />
														</div>
													</div>
													<div class="col-xs-12 col-sm-3">
														<div class="form-group">
															<label class="control-label">TVA (Impôt préalable)<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="imposto_fornecedor_artigo" name="imposto_fornecedor_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtl">
													<div class="col-sm-4">
														<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label">Barcode</label>
																	<input type="text" class="form-control" id="codigobarras_artigo" name="codigobarras_artigo" placeholder="123456" pattern="[0-9]+" />
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label">Référence</label>
																	<input type="text" class="form-control" id="numeroserie_artigo" name="numeroserie_artigo" placeholder="123456" pattern="[0-9]+" />
																</div>
															</div>
														</div>
													</div>
													<div class="col-xs-12 col-sm-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label">Plan Comptable (Impôt Chiffre)<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_artigo" name="plano_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-xs-12 col-sm-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label">Plan Comptable (Impôt préalable)<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_2_artigo" name="plano_2_artigo">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Type de Rétention</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="retencao_select_artigo" name="retencao_select_artigo">
																<option value="Valor" selected>Valeur (CHF)</option>
																<option value="Percentagem">Pourcentage (%)</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Rétention</label>
															<input type="text" class="form-control money" id="retencao_valor_artigo" name="retencao_valor_artigo" placeholder="0.00 CHF" value="0"/>
															<input type="text" class="form-control percentage" id="retencao_percenteagem_artigo" name="retencao_percenteagem_artigo" placeholder="0 %" style="display: none;" value="0" />
														</div>
													</div>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../articles" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('novo_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.artigos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});

				//init select2
				$("select#tipo_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#retencao_select_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#categoria_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#imposto_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#imposto_fornecedor_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#unidade_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_2_artigo").select2({ 
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				//fill select boxes
				fill_impostos();
				fill_impostosFornecedores();
				fill_unidades();
				fill_comptes();

				//block Rétention at the begin
				$("#retencao_select_artigo").prop('disabled', true);
				$("#retencao_select_artigo").trigger('change');
				$("#retencao_valor_artigo").prop('disabled', true);
				$("#retencao_percenteagem_artigo").prop('disabled', true);
			});


			//calcula recalcula preco
			$("#imposto_artigo").on('change', function(event){
				calculaPreco();
			});

			//bloqueia Rétention ou não
			$("#tipo_artigo").on('change', function(event){
				var tipoArtigo = $(this).val();

				if(tipoArtigo == 'S'){
					$("#retencao_select_artigo").prop('disabled', false);
					$("#retencao_select_artigo").trigger('change');
					$("#retencao_valor_artigo").prop('disabled', false);
					$("#retencao_percenteagem_artigo").prop('disabled', false);
				}else{
					$("#retencao_select_artigo").prop('disabled', true);
					$("#retencao_select_artigo").trigger('change');
					$("#retencao_valor_artigo").autoNumeric('set',0);
					$("#retencao_valor_artigo").prop('disabled', true);
					$("#retencao_percenteagem_artigo").autoNumeric('set',0);
					$("#retencao_percenteagem_artigo").prop('disabled', true);
				}
			});

			//calcula preco
			$("#precoPVP_artigo").on('keyup', function(event){
				calculaPreco();
			});
			//calcula preco
			$("#precoPVP_artigo").on('change', function(event){
				calculaPreco();
			});

			//calcula preco pvp
			$("#preco_artigo").on('keyup', function(event){
				calculaPrecoPVP();
			});
			//calcula preco pvp
			$("#preco_artigo").on('change', function(event){
				calculaPrecoPVP();
			});

			//change Rétention type
			$("#retencao_select_artigo").on('change', function(event){
				var tipo = $(this).val();

				if(tipo == 'Valor'){
					$('#retencao_valor_artigo').show();
					$('#retencao_percenteagem_artigo').hide();
					$('#retencao_percenteagem_artigo').autoNumeric('set', 0);
				}else{
					$('#retencao_percenteagem_artigo').show();
					$('#retencao_valor_artigo').hide();
					$('#retencao_valor_artigo').autoNumeric('set', 0);
				}
			});

			// ----------------- FORM PROCESSING ------------------
			/* Custom validators for letters and numbers only.  Uppercase/lowercase letters and numbers (0-9). */
			$.validator.addMethod("lettersAndNumbersOnly", function (value, element) {
			    return this.optional(element) || /^[a-zA-Z0-9-]+$/i.test(value);
			}, "Entrez uniquement des lettres et des chiffres.");

			/* Custom validators numbers bigger than. */
			$.validator.addMethod("smallerThan", function (value, element, param) {
				var valorPVP = Number( $(param).autoNumeric('get') );
				var retencaoValor = Number( $(element).autoNumeric('get') );
				var result;

				if(valorPVP >= retencaoValor) result = true;
				else result = false;

			    return result;
			}, "La valeur doit être inférieure au champ 'Prix TTC'");

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					codigo_artigo : {
						required : true,
						lettersAndNumbersOnly : true
					},
					nome_artigo : {
						required : true
					},
					tipo_artigo : {
						required : true
					},
					unidade_artigo : {
						required : true
					},
					precoPVP_artigo : {
						required : true
					},
					imposto_artigo : {
						required : true
					},
					imposto_fornecedor_artigo : {
						required : true
					},
					codigobarras_artigo : {
						lettersAndNumbersOnly : true
					},
					retencao_valor_artigo : {
						smallerThan : "#precoPVP_artigo"
					},
					plano_artigo : {
						required : true
					},
					plano_2_artigo : {
						required : true
					},
				},
				messages : {
					codigo_artigo : {
						required : "Ce champ est obligatoire"
					},
					nome_artigo : {
						required : "Ce champ est obligatoire"
					},
					tipo_artigo : {
						required : "Ce champ est obligatoire"
					},
					unidade_artigo : {
						required : "Ce champ est obligatoire"
					},
					precoPVP_artigo : {
						required : "Ce champ est obligatoire"
					},
					imposto_artigo : {
						required : "Ce champ est obligatoire"
					},
					imposto_fornecedor_artigo : {
						required : "Ce champ est obligatoire"
					},
					plano_artigo : {
						required : "Ce champ est obligatoire"
					},
					plano_2_artigo : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});
			//check validation and submit the form
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/artigos/artigos_inserir.php',
						dataType : 'json',
						data : {
							codigo_artigo : $("#codigo_artigo").val(),
							nome_artigo : $("#nome_artigo").val(),
							// categoria_artigo : $("#categoria_artigo").val(),
							tipo_artigo : $("#tipo_artigo").val(),
							stock_artigo : $("#stock_artigo").autoNumeric('get'),
							unidade_artigo : $("#unidade_artigo").val(),
							precoPVP_artigo : $("#precoPVP_artigo").autoNumeric('get'),
							imposto_artigo : $("#imposto_artigo").val(),
							imposto_fornecedor_artigo : $("#imposto_fornecedor_artigo").val(),
							preco_artigo : $("#preco_artigo").autoNumeric('get'),
							codigobarras_artigo : $("#codigobarras_artigo").val(),
							numeroserie_artigo : $("#numeroserie_artigo").val(),
							retencao_valor_artigo : $("#retencao_valor_artigo").autoNumeric('get'),
							retencao_percenteagem_artigo : $("#retencao_percenteagem_artigo").autoNumeric('get'),
							plano_artigo: $("#plano_artigo").val(),
							plano_2_artigo: $("#plano_2_artigo").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							console.log(resp);
							if (resp.responseJSON.errors) {
								if (resp.responseJSON.codigo) {
									$.scojs_message("[FAT003] Le référence est déjà enregistré. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								}else if (resp.responseJSON.codigobarras) {
									$.scojs_message("[FAT004] Le barcode est déjà enregistré. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("[FAT005] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								}
							} else {
								$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../articles";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>