<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0021']) == 1 ) { }
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/bulletin-livraison&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Livraison'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = " display: inline-block; ";
		$spanStyle = " style='display: inline-block;' ";
		$qtdSizePerc = "70%";
	}

?>
<html>
	<title>Modifier le Livraison (Référence et Remarques) | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/bootstrap-timepicker/css/bootstrap-timepicker.min.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../bulletin-livraison"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../bulletin-livraison">Bulletin de Livraison</a>
							</li>
							<li class="active">
								Modifier l'inscription (Référence et Remarques)
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											
											<div class="row">
												<div class="col-xs-12 col-md-8">
													<h5 class="form-header">
														<legend class="form-legend">
															Données du client
														</legend>
													</h5>
													<div class="section-form">
														<div class="row">
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Client<span class="require">*</span></label>
																	<div class="input-group">
																		<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cliente_guia" name="cliente_guia" disabled  >
																			<option value="" data-hidden="true">Sélectionnez</option>
																		</select>
																		<span class="input-group-btn">
																			<button type="button" class="btn btn-yellow" disabled>
																				<i class="fa fa-user"></i>&nbsp;Nouveau
																			</button> 
																		</span>
																	</div>
																</div>
															</div>
															<div class="col-sm-12 hide">
																<div class="form-group">
																	<label class="control-label">VAT:</label>
																	<input type="text" class="form-control" id="nif_cliente_guia" name="nif_cliente_guia" placeholder="..." disabled />
																</div>
															</div>	
														</div>
														<div class="row ">
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Adresse</label>
																	<input type="text" class="form-control" id="endereco_cliente_guia" name="endereco_cliente_guia" placeholder="..." disabled />
																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Code Postal</label>
																	<input type="text" class="form-control" id="codigopostal_cliente_guia" name="codigopostal_cliente_guia" placeholder="..." disabled />
																</div>
															</div>	
															<div class="col-sm-6 hide">
																<div class="form-group">
																	<label class="control-label">Région</label>
																	<input type="text" class="form-control" id="regiao_cliente_guia" name="regiao_cliente_guia" placeholder="..." disabled />

																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Ville</label>
																	<input type="text" class="form-control" id="cidade_cliente_guia" name="cidade_cliente_guia" placeholder="..." disabled />
																</div>
															</div>	
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Pays</label>
																	<input type="text" class="form-control" id="pais_cliente_guia" name="pais_cliente_guia" placeholder="..." disabled />
																</div>
															</div>
														</div>
													</div>	
												</div>
												<div class="col-xs-12 col-md-4 hide">
													<h5 class="form-header">
														<legend class="form-legend">
															Données de Charge
														</legend>
													</h5>
													<div class="section-form">
														<div class="row">
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Date<span class="require">*</span></label>
																	<div class="input-buttons form-group">
																		<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_carga_guia" id="data_carga_guia" data-date-format="dd/mm/yyyy" disabled>
																		<div class="input-group-addon">
																			<span class="fa fa-calendar"></span>
																		</div>
																	</div>
																</div>
															</div>
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Heure<span class="require">*</span></label>
																	<div class="input-buttons form-group bootstrap-timepicker">
																		<input type="text" class="form-control timepicker-default" data-provide="timepicker" name="hora_carga_guia" id="hora_carga_guia" required disabled>
																		<div class="input-group-addon">
																			<span class="fa fa-clock-o"></span>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														<div class="row ">
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Adresse<span class="require">*</span></label>
																	<input type="text" class="form-control" id="endereco_carga_guia" name="endereco_carga_guia" placeholder="..." disabled />
																</div>
															</div>
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Enregistrement</label>
																	<input type="text" class="form-control matricula" id="matricula_carga_guia" name="matricula_carga_guia" placeholder=""  disabled/>
																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Pays<span class="require">*</span></label>
																	<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_carga_guia" name="pais_carga_guia" disabled>
																		<?php include('paises.php'); ?>
																	</select>
																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Code Postal<span class="require">*</span></label>
																	<input type="text" class="form-control" id="codigopostal_carga_guia" name="codigopostal_carga_guia" placeholder="..." disabled />
																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Ville<span class="require">*</span></label>
																	<input type="text" class="form-control" id="cidade_carga_guia_estrang" name="cidade_carga_guia_estrang" placeholder="..." style="display: none;"  disabled/>
																	<div id="selectCidadeWrapper1">
																		<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_carga_guia" name="cidade_carga_guia" disabled>
																		</select>
																	</div>
																</div>
															</div>	
															<div class="col-sm-6 hide">
																<div class="form-group">
																	<label class="control-label">Région</label>
																	<input type="text" class="form-control" id="regiao_carga_guia" name="regiao_carga_guia" placeholder="..."  disabled/>

																</div>
															</div>	
														</div>
													</div>	
												</div>
												<div class="col-xs-12 col-md-4">
													<h5 class="form-header">
														<legend class="form-legend">
															Données de Livraison
														</legend>
													</h5>
													<div class="section-form">
														<div class="row">
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Date<span class="require">*</span></label>
																	<div class="input-buttons form-group">
																		<input type="text" class="form-control datepicker tomorrow" data-provide="datepicker" name="data_descarga_guia" id="data_descarga_guia" data-date-format="dd/mm/yyyy" disabled>
																		<div class="input-group-addon">
																			<span class="fa fa-calendar"></span>
																		</div>
																	</div>
																</div>
															</div>
															<div class="col-sm-6 hide">
																<div class="form-group">
																	<label class="control-label">Heure<span class="require">*</span></label>
																	<div class="input-buttons form-group bootstrap-timepicker">
																		<input type="text" class="form-control timepicker-default" data-provide="timepicker" name="hora_descarga_guia" id="hora_descarga_guia" required disabled>
																		<div class="input-group-addon">
																			<span class="fa fa-clock-o"></span>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														<div class="row ">
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Adresse<span class="require">*</span></label>
																	<input type="text" class="form-control" id="endereco_descarga_guia" name="endereco_descarga_guia" placeholder="..."  disabled/>
																</div>
															</div>	
															<div class="col-sm-12">
																<div class="form-group">
																	<label class="control-label">Pays<span class="require">*</span></label>
																	<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_descarga_guia" name="pais_descarga_guia" disabled>
																		<?php include('paises.php'); ?>
																	</select>
																</div>
															</div>
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Code Postal<span class="require">*</span></label>
																	<input type="text" class="form-control" id="codigopostal_descarga_guia" name="codigopostal_descarga_guia" placeholder="..."  disabled/>
																</div>
															</div>	
															<div class="col-sm-6">
																<div class="form-group">
																	<label class="control-label">Ville<span class="require">*</span></label>
																	<input type="text" class="form-control" id="cidade_descarga_guia_estrang" name="cidade_descarga_guia_estrang" placeholder="..." style="display: none;"  disabled/>
																	<div id="selectCidadeWrapper2">
																		<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_descarga_guia" name="cidade_descarga_guia" disabled>
																		</select>
																	</div>
																</div>
															</div>	
															<div class="col-sm-6 hide">
																<div class="form-group">
																	<label class="control-label">Région</label>
																	<input type="text" class="form-control" id="regiao_descarga_guia" name="regiao_descarga_guia" placeholder="..." disabled />

																</div>
															</div>	
														</div>
													</div>	
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de composition de document
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Série<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="serie_guia" name="serie_guia"  disabled >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_guia" name="numero_guia" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_guia" id="data_guia" data-date-format="dd/mm/yyyy" disabled>
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Date Expiration<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker 15days" disabled data-provide="datepicker" name="validade_guia" id="validade_guia" data-date-format="dd/mm/yyyy" disabled>
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Mode de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_guia" name="pagamento_guia"  disabled >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3" id="banco_select_guia" style="display: none;">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="banco_guia" name="banco_guia"  disabled >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Conditions de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vencimento_guia" name="vencimento_guia" disabled  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours après l'émission</option>
																<option value="20">20 jours après l'émission</option>
																<option value="30">30 jours après l'émission</option>
																<option value="60">60 jours après l'émission</option>
																<option value="90">90 jours après l'émission</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Monnaie</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="moeda_guia" name="moeda_guia"  disabled >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Réduction</label>
															<input type="text" class="form-control percentage" id="desconto_guia" name="desconto_guia" placeholder="0 %" disabled />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_guia" name="referencia_guia" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-9">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<input type="text" class="form-control" id="observacoes_guia" name="observacoes_guia" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:100px; max-width:150px;">Référence&nbsp;
																	
																</th>
																<th>Description</th>
																<th style="width:105px;">Qté.</th>
																<th style="width:100px;">Prix Uni.</th>
																<th style="width:120px;">TVA</th>
																<!-- <th style="width:120px;">Motif</th> -->
																<th style="width:80px;">Rédu.%</th>
																<th style="width:80px;" class=" hide">Rétention</th>
																<th class="text-right" style="width:100px;">Total</th>
																<th style="width:30px; text-align: center;">&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:100px; max-width:150px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" disabled >
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1" disabled></textarea>
																</td>
																<td style="width:105px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_0" name="qtd_linha_0" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />
																	<span id="unidade_linha_0" style="margin-left: 1px; font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>
																</td>
																<td style="width:100px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_0" name="preco_linha_0" placeholder="0.00 CHF" disabled />
																</td>
																<td style="width:120px;">
																	<select data-id-line="0" class="lineInputChange lineInputImposto form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez la taxe" id="iva_linha_0" name="iva_linha_0" disabled >
																		<option value="" data-hidden="true">Taxe</option>
																	</select>
																</td>
																<!-- <td style="width:120px;">
																	<select data-id-line="0" class="lineInputMotivo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez Raison" id="motivo_linha_0" name="motivo_linha_0" disabled >
																		<option value="" data-hidden="true">Motif</option>
																	</select>
																</td> -->
																<td style="width:80px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_0" name="desc_linha_0" placeholder="0 %"  disabled/>
																</td>
																<td style="width:80px;" class=" hide">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_0" name="retencao_linha_0" placeholder="0.00 CHF"  disabled/>
																</td>
																<td class="text-right" style="width:100px;">
																	<span id="total_linha_0" style="display: block" class="money">0</span>
																</td>
																<td style="width:30px; text-align: center;">
																	-
																</td>
															</tr>
														</tbody>
													</table>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer taxes-table">
														<thead>
															<tr>
																<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
															</tr>
															<tr>
																<th colspan="3" style="padding-bottom: 10px;"></th>
															</tr>
														</thead>
													</table>
												</div>
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer resume-table">
														<thead>
															<tr>
																<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Lignes: </th>
																<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Somme: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Réductions: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
															</tr>
															<tr class=" hide">
																<th class="textCell paddingRight">Rétention: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">s/TVA: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">TVA: </th>
																<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira" style="display: none;">
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira2" style="display: none;">
																<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
															</tr>
														</thead>
													</table>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../bulletin-livraison" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('editar_linhas_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.guias_faturacao").addClass("active");
			
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var precisaBanco = 0;
			var elementoPVP = undefined;
			var xhrTotals = null;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var tomorrow =  new Date( new Date().getTime()+(1*24*60*60*1000) );
				$('.tomorrow').datepicker().datepicker("setDate", tomorrow);
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				$('.timepicker-default').timepicker({
					minuteStep : 5,
					showSeconds : false,
					showMeridian : false,
					upArrowStyle : 'fa fa-chevron-up',
					downArrowStyle : 'fa fa-chevron-down'
				});
				$('[data-provide="timepicker"]').mask("99:99");
				$('[data-provide="timepicker-inline"]').mask("99:99");

				$('.timepicker-default').keydown(function(event) {
					var is_focus = $(".timepicker-default").is(":focus");
					if (event.keyCode == 9 || !is_focus) {
						$(".bootstrap-timepicker-widget").removeClass("open");

					}
				});

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});

				//init select2 condicoes
				$("select#vencimento_guia").val(0);
				$("select#vencimento_guia").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				//clear session
				sessionStorage.removeItem('series');
				sessionStorage.removeItem('coins');
				sessionStorage.removeItem('payment_types');
				sessionStorage.removeItem('banks');
				sessionStorage.removeItem('taxes');
				sessionStorage.removeItem('motives');

				//init lines
				init_general_resources();
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();

				//series
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/guias-transporte.php',
					dataType : 'json',
					data : { 
						opcao: 3
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									var options = $("select#serie_guia");
									$(options).empty();
									var id_predefinida = 0;

									//get data
									var dadosSeries = resposta.data;
									
									//prepare select
									$(options).attr("disabled", false);

									$.each(dadosSeries, function() {
										$(options).append($("<option />").val(this.ID_Serie).html(this.Nome));
										if(this.Predefinida > 0) id_predefinida = this.ID_Serie;
									});

									if(id_predefinida > 0) $(options).val(id_predefinida);
									else $(options).val($("select#serie_guia option:eq(1)").val());

									//store in session
									sessionStorage.setItem('series', true );
									
									//init select2
									$(options).select2({
										escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
									});
								}
							}
						}
					},
					complete : function() {
						//coins
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/guias-transporte.php',
							dataType : 'json',
							data : { 
								opcao: 5
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											var options = $("select#moeda_guia");
											$(options).empty();
											var defaultID = 0;

											//get data
											var dadosCoins = resposta.data;
											
											//prepare select
											$(options).attr("disabled", false);

											$.each(dadosCoins, function() {
												if( this.Predefinido > 0 ) defaultID = this.ID_Moeda;
												$(options).append($("<option />").val(this.ID_Moeda).html(this.Nome).attr('data-simbolo', this.Simbolo).attr('data-iso', this.ISO));
											});

											if(defaultID > 0) $(options).val(defaultID);
											else $(options).val($("select#moeda_guia option:eq(1)").val());

											//store in session
											sessionStorage.setItem('coins', true );
											
											//init select2
											$(options).select2({
												escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
											});
										}
									}
								}
							},
							complete : function() {
								$(".fullscreen").show();

								//payments types
								$.ajax({
									type : 'POST',
									url : '/frifacturation/server/combobox/guias-transporte.php',
									dataType : 'json',
									data : { 
										opcao: 11
									},
									success : function(resposta) {
										if (resposta == null) {
											$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										} else {
											if (resposta.errors == true) {
												$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											} else {
												if (resposta.data == null) {
												} else {
													var options = $("select#pagamento_guia");
													$(options).empty();
													var defaultID = 0;

													//get data
													var dadosPay = resposta.data;
													
													//prepare select
													$(options).attr("disabled", false);

													$.each(dadosPay, function() {
														if( this.Predefinido > 0 ) defaultID = this.ID_Metodo;
														$(options).append($("<option />").val(this.ID_Metodo).html(this.Nome).attr('data-bank', this.Banco));
													});
													
													if(defaultID > 0) $(options).val(defaultID);
													else $(options).val($("select#pagamento_guia option:eq(1)").val());

													//store in session
													sessionStorage.setItem('payment_types', true );
													
													//init select2
													$(options).select2({
														escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
													});
												}
											}
										}
									},
									complete : function() {
										$(".fullscreen").show();

										//banks
										$.ajax({
											type : 'POST',
											url : '/frifacturation/server/combobox/guias-transporte.php',
											dataType : 'json',
											data : { 
												opcao: 12
											},
											success : function(resposta) {
												if (resposta == null) {
													$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
												} else {
													if (resposta.errors == true) {
														$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
													} else {
														if (resposta.data == null) {
														} else {
															var options = $("select#banco_guia");
															$(options).empty();
															var defaultID = 0;

															//get data
															var dadosBanks = resposta.data;
															
															//prepare select
															$(options).attr("disabled", false);

															$.each(dadosBanks, function() {
																if( this.Predefinido > 0 ) defaultID = this.ID_Banco;
																$(options).append($("<option />").val(this.ID_Banco).html(this.Nome));
															});

															//store in session
															sessionStorage.setItem('banks', true );

															if(defaultID > 0) $(options).val(defaultID);
															else $(options).val($("select#banco_guia option:eq(1)").val());

															//active the select or not
															var needBank = Number( $('option:selected', $("select#pagamento_guia") ).attr('data-bank') );
															if(needBank == 1){
																precisaBanco = 1;
																$('#banco_select_guia').show();
															}else{
																precisaBanco = 0;
																$('#banco_select_guia').hide();
															}
															
															//init select2
															$(options).select2({
																escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
															});
														}
													}
												}
											},
											complete : function() {
												$(".fullscreen").fadeOut();

												//lines resources
												init_lines_resources();
											}
										});
									}
								});
							}
						});
					}
				});
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//taxes
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/guias-transporte.php',
					dataType : 'json',
					data : { 
						opcao: 7
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									$("body").append('<select id="iva_xBASEx" class="select2" style="display:none;"></select>');
									var options = $("select#iva_xBASEx");

									$.each(resposta.data, function() {
										$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
									});

									//store in session
									sessionStorage.setItem('taxes', $(options).html() );

									//remove element
									$( "#iva_xBASEx" ).remove();
								}
							}
						}
					},
					complete : function() {
						$(".fullscreen").show();

						//motives
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/guias-transporte.php',
							dataType : 'json',
							data : { 
								opcao: 8
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											$("body").append('<select id="motivos_xBASEx" class="select2" style="display:none;"></select>');
											var options = $("select#motivos_xBASEx");

											$.each(resposta.data, function() {
												$descriptionSummary = '';
												/*if(this.Descricao.length > 20) descriptionSummary = this.Descricao.substr(0,20)+"...";
												else*/ descriptionSummary = this.Descricao;
												$(options).append( $("<option />").val(this.ID_Motivo).html('<small>'+this.Codigo+': '+descriptionSummary+'</small>') );
											});

											//store in session
											sessionStorage.setItem('motives', $(options).html() );

											//remove element
											$( "#motivos_xBASEx" ).remove();
										}
									}
								}
							},
							complete : function() {
								//disable the fields of the lines
								$("#descricao_linha_0").prop('disabled', true);
								$("#qtd_linha_0").prop('disabled', true);
								$("#preco_linha_0").prop('disabled', true);
								$("#desc_linha_0").prop('disabled', true);
								$("#retencao_linha_0").prop('disabled', true);

								//init selects
								$("select#pais_carga_guia").val('CH');
								$("select#pais_carga_guia").select2({
									escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
								});

								$("select#pais_descarga_guia").val('CH');
								$("select#pais_descarga_guia").select2({
									escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
								});

								$("select#cidade_carga_guia").select2({
									escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
								});

								$("select#cidade_descarga_guia").select2({
									escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
								});

								//fill select boxes
								var idGuia = getParameterByName('livraison');
								fill_document(idGuia);
							}
						});
					}
				});
			}

			//change currency
			$("select#vencimento_guia").on('change', function(event){
				calculateDataValidade();
			});

			//change date
			$("#data_guia").on('change', function(event){
				calculateDataValidade();
			});

			//calculate data validade
			function calculateDataValidade(){
				var dataBase = $("#data_guia").datepicker().datepicker("getDate");
				dataBase = new Date(dataBase).getTime();
				var dias = $("select#vencimento_guia").val();
				var newValidadeDate =  new Date( dataBase+(dias*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", newValidadeDate);
			}

			//change client details
			$("select#cliente_guia").on('change', function(event){
				getClientDetails( $(this).val() );
			});

			//change serie
			$("select#serie_guia").on('change', function(event){
				getNextNumber();
			});

			//change payment method
			$("select#pagamento_guia").on('change', function(event){
				var needBank = Number( $('option:selected', $(this) ).attr('data-bank') );
				if(needBank == 1){
					precisaBanco = 1;
					$('#banco_select_guia').show();
				}else{
					precisaBanco = 0;
					$('#banco_select_guia').hide();
				}
			});

			//change currency
			$("select#moeda_guia").on('change', function(event){
				calculateCurrencyCambio();
			});

			$("#desconto_guia").on('keyup', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});
			$("#desconto_guia").on('change', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});
			
			//change country
			$("select#pais_carga_guia").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_cliente').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper1").hide(); 

					$("#cidade_carga_guia_estrang").val(''); 
					$("#codigopostal_carga_guia").val('');
					$("select#cidade_carga_guia").empty();
					$("select#cidade_carga_guia").trigger('change');

					$("#cidade_carga_guia_estrang").show();
				}else{
					// $('#nif_cliente').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_carga_guia_estrang").hide(); 

					$("#cidade_carga_guia_estrang").val(''); 
					$("#codigopostal_carga_guia").val('');
					$("select#cidade_carga_guia").empty();
					$("select#cidade_carga_guia").trigger('change');

					$("#selectCidadeWrapper1").show(); 
				}
			});

			//change country
			$("select#pais_descarga_guia").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_cliente').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper2").hide(); 

					$("#cidade_descarga_guia_estrang").val(''); 
					$("#codigopostal_descarga_guia").val('');
					$("select#cidade_descarga_guia").empty();
					$("select#cidade_descarga_guia").trigger('change');

					$("#cidade_descarga_guia_estrang").show(); 
				}else{
					// $('#nif_cliente').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_descarga_guia_estrang").hide(); 

					$("#cidade_descarga_guia_estrang").val(''); 
					$("#codigopostal_descarga_guia").val('');
					$("select#cidade_descarga_guia").empty();
					$("select#cidade_descarga_guia").trigger('change');

					$("#selectCidadeWrapper2").show(); 
				}
			});

			//Key Listner
			$("#codigopostal_carga_guia").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_carga_guia").val() != 'CH'){ 
					$("#selectCidadeWrapper1").hide(); 
					$("#cidade_carga_guia_estrang").show(); 
				}
				else { 
					$("#cidade_carga_guia_estrang").hide(); 
					$("#selectCidadeWrapper1").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_carga_guia');
				}
			});

			//Key Listner
			$("#codigopostal_descarga_guia").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_descarga_guia").val() != 'CH'){ 
					$("#selectCidadeWrapper2").hide(); 
					$("#cidade_descarga_guia_estrang").show(); 
				}
				else { 
					$("#cidade_descarga_guia_estrang").hide(); 
					$("#selectCidadeWrapper2").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_descarga_guia');
				}
			});

			//get localite
			function getLocaliteFromNpa(valueNPA,selectID){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									// $(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.Nome).text(this.Nome));
										console.log();
									});
								}
							}
						}
					},
					complete : function() {
						$(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).trigger('change');
					}
				});
			}

			//------------------------ LINES ----------------------------
			// linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_guia').datepicker('getDate');
				var dt_begin = $('#data_guia').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataCarga", function (value, element) {
				var result;

				var dt_Today = new Date();

				var date = $('#data_carga_guia').datepicker('getDate');
				var timer = $('#hora_carga_guia').val();
				var timerArray = timer.split(":");
				//set hours, minutes and seconds to 0
				date.setHours(timerArray[0]);
				date.setMinutes(timerArray[1]);
				date.setSeconds(59);
				//check dates
				if ( Date.parse(dt_Today) > Date.parse(date)) {
					result = false;
				} else {
					result = true;
				}
				// console.log('today - '+dt_Today);
				// console.log('date - '+date);
			    return result;
			}, "A data/hora de carga tem que ser maior do que a data/hora atual.");

			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataDescarga", function (value, element) {
				var result;

				var date1 = $('#data_carga_guia').datepicker('getDate');
				var timer1 = $('#hora_carga_guia').val();
				var timer1Array = timer1.split(":");

				var date2 = $('#data_descarga_guia').datepicker('getDate');
				var timer2 = $('#hora_descarga_guia').val();
				var timer2Array = timer2.split(":");
				//set hours, minutes and seconds to 0
				date1.setHours(timer1Array[0]);
				date1.setMinutes(timer1Array[1]);
				date1.setSeconds(59);
				date2.setHours(timer2Array[0]);
				date2.setMinutes(timer2Array[1]);
				date2.setSeconds(59);
				//check dates
				if ( Date.parse(date1) > Date.parse(date2)) {
					result = false;
				} else {
					result = true;
				}
				// console.log('date 1 - '+date1);
				// console.log('date 2 - '+date2);

			    return result;
			}, "A data/hora de descarga tem que ser maior do que a data/hora de carga.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_guia').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
				},
				messages : {
				},
				highlight : function(element, errorClass, validClass) {
					
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_guia').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idGuia = getParameterByName('livraison');
				


				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					
					if( invalid == 0 ){
						
						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						if( invalid == 0 ){ 
							//submite the form
							$.ajax({
								type : 'POST',
								url : '/frifacturation/server/guias-transporte/editar_linhas.php',
								dataType : 'json',
								data : {
									idGuia : idGuia,
									referencia : $("#referencia_guia").val(),
									observacoes : $("#observacoes_guia").val(),
								},
								success : function(resposta) {
									var resp = resposta;
									if (resposta == null){
										$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									}
									else {
										if (resposta.errors) {
											$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											finalizarDocumento = 0;
										} else {
											$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
										}
									}
								},
								complete : function(resposta) {
									var resp = resposta;
									console.log(resp);
									if (resp.responseJSON.errors) {
										finalizarDocumento = 0;
										if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière livraison ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
										else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
										//reload
										setTimeout(function() {
											window.location.href = "../bulletin-livraison/details?livraison="+resp.responseJSON.guia;
										}, 1000);
									}
									$("#form_new").find('.submit_button').attr("disabled", false);
									$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
								}
							});
						}
						else{
							$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					}
				}
			});
		</script>
	</body>
</html>