<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0087']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/cartes&redirectto=/frifacturation');
	}

	// if ($_SESSION['mod_Contabilidade'] == 0) {
	// 	header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	// }
?>
<html>
	<title>Décompte Périodique TVA | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			.label { font-size: 12px; }
			tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; }
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							</form>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Générer une décompte périodique TVA
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<form id="form_new" class="form-validate">
							<div class="row">
								<div class="col-sm-2"></div>
								<div class="col-sm-4">
									<div class="form-group ">
										<label class="control-label">Début<span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataInicial" id="FiltroDataInicial" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>

								<div class="col-sm-4">
									<div class="form-group ">
										<label class="control-label">Fin<span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataFinal" id="FiltroDataFinal" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row ptl">
								<div class="col-md-12"  align="center">
									<button class="btn btn-yellow submit_button" type="submit">
										<i class="fa fa-tasks"></i> Générer
									</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.mapas_menu").addClass("active");
			$(".navbar-nav li.mapas_menu li.mapas_decompte_periodique").addClass("active");
			
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
			});

			/* ---------- Page Scripts ---------- */
			$(document).ready(function() {
				//datepicker plugin ----------------------
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});

				var dInicial = new Date();
				dInicial.setMonth(dInicial.getMonth() - 3);
				dInicial.setDate(1);

				var dFinal = new Date();
				dFinal.setMonth(dFinal.getMonth() + 1);
				dFinal.setDate(0);

				$('#FiltroDataInicial').datepicker().datepicker("setDate", dInicial);
				$('#FiltroDataFinal').datepicker().datepicker("setDate", dFinal);

				$('[data-provide="datepicker-inline"]').mask("99/99/9999");
				$('[data-provide="datepicker"]').mask("99/99/9999");

			});
			/* ---------------------------------- */

			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#FiltroDataFinal').datepicker('getDate');
				var dt_begin = $('#FiltroDataInicial').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date finale doit être supérieure à la date initiale.");
			
			val_form_new = $("#form_new").validate({
				rules : {
					FiltroDataInicial : {
						required : true
					},
					FiltroDataFinal : {
						required : true,
						checkDataValidade : true
					},
				},
				messages : {
					FiltroDataInicial : {
						required : "Ce champ est obligatoire"
					},
					FiltroDataFinal : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('datepicker')) {
						if (element.parent().hasClass("input-buttons"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			$("#form_new").submit(function(e) {
				e.preventDefault();
				//process
				var resp = null;
				var valid = $("#form_new").valid();
				if (valid == false ) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {
					window.open( "/frifacturation/server/imprimer_pdf/exportar_decompte_periodique?FiltroDataInicial=" + $("#FiltroDataInicial").val() + "&FiltroDataFinal=" + $("#FiltroDataFinal").val() );
				}
				return false;
			});	
		</script>
	</body>
</html>