<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0086']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/cartes&redirectto=/frifacturation');
	}

	// if ($_SESSION['mod_Contabilidade'] == 0) {
	// 	header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	// }
?>
<html>
	<title>Décompte TVA | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			.label { font-size: 12px; }
			tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; }
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<form id="form_new" class="form-validate">
	                        	<button class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-tasks"></i> Générer
								</button>
							</form>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Générer une Décompte TVA
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						
						<div class="row">
							<div class="col-xs-12">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 50px;">Nº</th>
											<th>Description</th>
											<th style="width: 120px;">Date</th>
											<th>Créé par</th>
											<th style="width: 80px;">Options</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.mapas_menu").addClass("active");
			$(".navbar-nav li.mapas_menu li.mapas_tva").addClass("active");
			
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
			});

			/* ---------- Page Scripts ---------- */
			$(document).ready(function() {
				//datepicker plugin ----------------------
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});

				// var dInicial = new Date();
				// dInicial.setMonth(dInicial.getMonth() - 3);
				// dInicial.setDate(1);

				// var dFinal = new Date();
				// dFinal.setMonth(dFinal.getMonth() + 1);
				// dFinal.setDate(0);

				// $('#FiltroDataInicial').datepicker().datepicker("setDate", dInicial);
				// $('#FiltroDataFinal').datepicker().datepicker("setDate", dFinal);

				// $('[data-provide="datepicker-inline"]').mask("99/99/9999");
				// $('[data-provide="datepicker"]').mask("99/99/9999");

			});
			/* ---------------------------------- */
			
			val_form_new = $("#form_new").validate({
				rules : {
					// trimestre_tva : {
					// 	required : true
					// },
				},
				messages : {
					// trimestre_tva : {
					// 	required : "Ce champ est obligatoire"
					// },
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				}
			});

			$("#form_new").submit(function(e) {
				e.preventDefault();
			<?php if (hasPermission(['P0085']) == 1) { ?>
				//process
				var resp = null;
				var valid = $("#form_new").valid();
				if (valid == false ) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {
					window.open( "/frifacturation/server/imprimer_pdf/exportar_mapa_iva" );
				}
				return false;
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			});	
		</script>

		<script type="text/javascript">
			table = $('#table_id').dataTable({
				"dom" : '<lfrtip><"clear">',
				"sRowSelect" : "os",
				"sRowSelector" : 'td:first-child',
				"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
				"iDisplayLength" : 100,
				"aaSorting" : [[0, "desc"]],
				"bProcessing" : true,
				"bServerSide" : true,
				"sAjaxSource" : "/frifacturation/server/datatable/mapas_iva.php",
				"oLanguage" : {
					"sLengthMenu" : "Show _MENU_ enregistrements par page",
					"sZeroRecords" : "Sans enregistrements",
					"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
					"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
					"sProcessing" : "<div></div>",
					"sInfoFiltered" : "",
					"oPaginate" : {
						"sNext" : "Suivant",
						"sFirst" : "Premier",
						"sPrevious" : "Précédent",
						"sLast" : "Dernier"
					}
				},
				"aoColumns" : [null, null, null, null,
				
				{
					"bVisible" : true,
					"bSortable" : false,
					"bSearchable" : true,
					"sClass" : "text-center",
				}
				],
				"aoColumnDefs" : [
				{
					"aTargets" : [4],
					"mRender" : function(data, type, full) {
						var html = '';

						html += '<a href="/frifacturation/server/imprimer_pdf/exportar_mapa_gravado.php?mapa='+full[4]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer Décompte TVA"></i></a>';

						//return all html composed
						return html;
					}
				}],

				"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
					$(nRow).attr("dbID", aData[9]);

					return nRow;
				},
				
			});

			$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
				$('#table_id tbody tr').removeClass('selected');
				$(this).parent('tr').removeClass('DTTT_selected');
				$(this).parent('tr').addClass('selected');
			});

			$('#table_id_filter input').unbind();

			$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

			$('#table_id_filter input').bind('keyup', function(e) {
				if (e.keyCode == 13) {
					table.fnFilter(this.value);
				}

			});
			function pesquisar() {
				table.fnFilter($('#table_id_filter input').val());
			}
			$('#table_id_filter input').bind('keyup', function(e) {
				if (($(this).val().length) == 0) {
					table.fnFilter('');
				}
			});
			function fnGetSelected(tabela) {
				var aReturn = new Array();
				var aTrs = tabela.fnGetNodes();
				for (var i = 0; i < aTrs.length; i++) {
					if ($(aTrs[i]).hasClass('row_selected')) {
						aReturn.push(aTrs[i]);
					}
				}
				return aReturn;
			}

			//END OF TABLE ---------------------------------------------
		</script>
	</body>
</html>