<script type="text/javascript">
	//load data
	function fill_cliente(idCliente) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/clientes/detalhes.php',
			dataType : 'json',
			data : { idCliente : idCliente },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+processedName+"'";

							if(dados.Rappel > 0){
								$('#btns-wrapper').append('&nbsp;<a href="/frifacturation/server/imprimer_pdf/exportar_rappel.php?idCliente='+idCliente+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Rappel </a>&nbsp;');
							}

							$('#btns-wrapper').append('&nbsp;<a href="modifier?client='+idCliente+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');
							
							//process used or not used
							if(dados.Usado > 0){
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}else{
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarCliente('+idCliente+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../clients" class="btn btn-default" type="button"> Annuler </a>');

							$("#codigo_cliente").html(dados.Codigo);
							$("#nome_cliente").html(dados.Nome);
							$("#apelido_cliente").html(dados.Apelido);
							$("#titulo_cliente").html(dados.Titulo);
							$("#pais_cliente").html(dados.PaisFull);
							$("#endereco_cliente").html(dados.Endereco);
							$("#codigopostal_cliente").html(dados.CodigoPostal);
							$("#regiao_cliente").html(dados.Regiao);
							$("#cidade_cliente").html(dados.Cidade);
							// $("#vendedor_cliente").html(dados.Vendedor);
							$("#responsavel_cliente").html(dados.Responsavel);
							// if(dados.Grupo)	$("#grupo_cliente").html(dados.Grupo);
							// else $("#grupo_cliente").html('Sem grupo');
							$("#email_cliente").html(dados.Email);
							$("#website_cliente").html(dados.Website);
							$("#tlm_cliente").html(dados.Telemovel);
							$("#tlf_cliente").html(dados.Telefone);
							$("#fax_cliente").html(dados.Fax);
							$("#preferencial_nome_cliente").html(dados.PreferenciaNome);
							$("#preferencial_email_cliente").html(dados.PreferenciaEmail);
							$("#preferencial_tlm_cliente").html(dados.PreferenciaTelemovel);
							$("#preferencial_tlf_cliente").html(dados.PreferenciaTelefone);
							$("#contacorrente_cliente").html(dados.Account);
							$("#pagamento_cliente").html(dados.Metodo);
							if(dados.Vencimento == 0) $("#vencimento_Cliente").html('Prêt paiement');
							else $("#vencimento_Cliente").html(dados.Vencimento+' jours');
							$("#desconto_cliente").autoNumeric('set', dados.Desconto);

							if(dados.PlanoContas) {
								$("#plano_cliente").html(dados.PlanoContas+' >> '+dados.PlanoContasDesc);
							}
							else{
								$("#plano_cliente").html('-');
							}

							var vendedoresString = '';
							$.each(dados.Vendedores, function(){
								if(vendedoresString == '') vendedoresString += ""+this.codigo_interno;
								else vendedoresString += ", "+this.codigo_interno;
							});

							$("#vendedor_cliente").html(vendedoresString);


							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								// vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});

							//remake money
							$(".percentage").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : '  %',
								vMax : '100',
								mDec : 2,
								vMin:'0',
								pSign : 's'
							});

							//ATUALIZAR TOTAIS
							if(dados.Chiffre != null){
								$("#chiffre_value").autoNumeric('set', dados.Chiffre);
							}
							if(dados.Solde != null){
								$("#solde_value").autoNumeric('set', dados.Solde);

								if(dados.Solde < 0) $("#solde_value").addClass('text-red');
								else $("#solde_value").addClass('text-green');
							}else{
								$("#solde_value").addClass('text-green');
							}

							$(".moneyTotal").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimais; ?>
							});

							fill_documents(idCliente);
							fill_comments(idCliente);

							//fill responsables
							$("#r1_code_responsavel_cliente").html( '-' );
							$("#r1_nom_responsavel_cliente").html( '-' );
							$("#r1_contact_responsavel_cliente").html( '-' );
							$("#r1_email_responsavel_cliente").html( '-' );

							$("#r2_code_responsavel_cliente").html( '-' );
							$("#r2_nom_responsavel_cliente").html( '-' );
							$("#r2_contact_responsavel_cliente").html( '-' );
							$("#r2_email_responsavel_cliente").html( '-' );

							$("#r3_code_responsavel_cliente").html( '-' );
							$("#r3_nom_responsavel_cliente").html( '-' );
							$("#r3_contact_responsavel_cliente").html( '-' );
							$("#r3_email_responsavel_cliente").html( '-' );

							//fill responsables
							$.each(dados.Responsaveis, function() {
								// $("#r"+ind+"_code_responsavel_cliente").html( this.codigo );
								// $("#r"+ind+"_nom_responsavel_cliente").html( this.nome );
								// $("#r"+ind+"_contact_responsavel_cliente").html( this.contacto );
								// $("#r"+ind+"_email_responsavel_cliente").html( this.email );
								
								//html to add
								var htmlCode = '<tr>';
										// htmlCode += '<td>';
										// 	htmlCode += this.codigo;
										// htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.nome;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.prenom;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.contacto;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.email;
										htmlCode += '</td>';

								//append
								$("#responsablesTable tbody").append(htmlCode);
							});
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//remover
	function eliminarCliente(idCliente, nome){
	<?php if (hasPermission(['P0018']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le client \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/clientes/apagar.php',
				dataType : 'json',
				data : {
					idCliente : idCliente
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce client. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce client. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Client supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../clients";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//load documents
	function fill_documents(idCliente) {
		table = $('#documentsAssociados').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"aaSorting" : [[3, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/clientes/documentos_associados.php?cliente="+idCliente,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, null, null,
			{
				"sClass" : "text-right",
			},
			{
				"sClass" : "text-right",
			}, 
			{
				"sClass" : "text-center",
				"bVisible" : false,
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [0],
				"mRender" : function(data, type, full) {
					var element = '';
					// if(full[7] == 'Rascunho') element = '<span style="color: orange;">---</span>';
					if(full[7] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
					if(full[7] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
					if(full[7] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
					//else element = full[0];
					//return html
					return element;
				}
			},
			{
				"aTargets" : [3],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[3].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[8]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[4].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[8]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[0] == 'Facture' || full[0] == 'FA' || full[0] == 'N. Crédit' || full[0] == 'NC'){
						var colorText = 'text-red';
						if(full[5] >= 0) colorText = 'text-green';
						element ='<span class="money '+colorText+'">'+full[5]+'</span>';

						//init elements
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							mDec : <?php echo $numDecimais; ?>
						});
					}else{
						element = '-';
					}

					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';

					if(full[0] == 'Facture' || full[0] == 'FA'){
						var colorText = 'text-red';
						if(full[6] >= 0) colorText = 'text-green';
						element ='<span class="money '+colorText+'">'+full[6]+'</span>';

						//init elements
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							mDec : <?php echo $numDecimais; ?>
						});
					}else{
						element = '-';
					}

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[7] == 'Rascunho') element = '<span class="label label-orange">'+full[7]+'</span>';
					if(full[7] == 'Pago') element = '<span class="label label-green">'+full[7]+'</span>';
					if(full[7] == 'Aberto') element = '<span class="label label-blue">'+full[7]+'</span>';
					if(full[7] == 'Anulado') element = '<span class="label label-red">'+full[7]+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [8],
				"mRender" : function(data, type, full) {
					var html = '';

					if(full[0] == 'Facture' || full[0] == 'FA'){
						html += '<a href="/frifacturation/factures/details?facture='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
						html += '<a href="/frifacturation/server/imprimer_pdf/exporter_facture.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
						if( ( full[7] == 'Aberto' || full[7] == 'Pago' ) && full[2] != ''){
							html += '<a href="/frifacturation/server/imprimer_pdf/exportar_payment_slip.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-truck fa-flip-horizontal" title="Imprimer Payment Slip"></i></a>';
						}
					}

					if(full[0] == 'B. Livraison' || full[0] == 'BL' ){
						html += '<a href="/frifacturation/bulletin-livraison/details?livraison='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
						html += '<a href="/frifacturation/server/imprimer_pdf/exportar_guia.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
					}

					if(full[0] == 'N. Crédit' || full[0] == 'NC' ){
						html += '<a href="/frifacturation/notes-credit/details?note='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
						html += '<a href="/frifacturation/server/imprimer_pdf/exporter_credit.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
					}

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[8]);
				
				if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");
				
				return nRow;
			},

			"footerCallback" : function(row, data, start, end, display) {
	            var api = this.api(), data;

	            // Remove the formatting to get integer data for summation
	            var intVal = function(i) {
	                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
	            };

	            // Total current page
	            var valorTotalDoc = api.column(5, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);
	            // Total current page
	            var valorLiquidado = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);

	            //Por liquidar -> Used extra field to calculate already rounded for a better real value
				$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				
				$( "#valorDocTemp" ).autoNumeric('set', valorTotalDoc);
				var valorTotalDoc = $( "#valorDocTemp" ).autoNumeric('get');
				$( "#valorDocTemp" ).autoNumeric('set', valorLiquidado);
				var valorLiquidado = $( "#valorDocTemp" ).autoNumeric('get');

				$( "#valorDocTemp" ).remove();

	            //final calculation
	            //-------------------------------------------------------------------------------------
	            
	            $('.money').not(".table-menu > tbody > tr > td > span").html("");
	            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

	            var colorLabel = '';
	            if( valorLiquidado != valorTotalDoc ) colorLabel = 'text-red';
	            else colorLabel = 'text-green';

	            // Update footer
	            $(api.column(5).footer()).html('<span class="money">' + valorTotalDoc + '</span>');
	            $(api.column(6).footer()).html('<span class="money '+colorLabel+'">' + valorLiquidado + '</span>');
	        }

		});

		$('#documentsAssociados').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#documentsAssociados tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		//END OF TABLE ---------------------------------------------
		$('#documentsAssociados_filter input').unbind();

		$('#documentsAssociados_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="documentsAssociados"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});

		$('#documentsAssociados_wrapper > div').append('<div class="otherBtns" id="otherBtns" style="position:absolute; left:0; right:0; margin-left:auto; margin-right:auto; width:fit-content; padding:6px 0 6px;"><a href="/frifacturation/server/imprimer_pdf/exportar_lista_documentos_cliente.php?cliente='+idCliente+'" target="_blank" class="btn btn-flat btn-grey"><i class="fa fa-print"></i>Imprimer</a></div>')
	}
	function pesquisar() {
		table.fnFilter($('#documentsAssociados_filter input').val());
	}
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}



	/**
	 * Fill up comments
	 * @return void
	 */
	function fill_comments(idCliente){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/clientes.php',
			data : { 
				opcao: 8,
				idCliente : idCliente
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[COM009] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[COM010] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data != null) {
							var comentarios = resposta.data;
							var counter = 0;
							$('#commentsWrapperBody').empty();
							//Process attachments
							$.each(comentarios, function() {
								var txtTemp = this.Texto.replace(/(?:\r\n|\r|\n)/g, '<br />');
								counter++;

								var idComentario = "'"+this.ID_comentario+"'";
								var Codigo = "'"+this.Codigo+"'";

								// var htmlCom = '<div class="row">';
								var htmlCom = '';

									htmlCom += '<div class="col-xs-12">'+
														'<div class="note note-info" style="margin: 0 0 10px 0;">'+
															'<span><i class="fa fa-clock-o" aria-hidden="true"></i> <small><b>'+this.Data+
																' par '+this.NomeFinal+'</b></small>'+
															'</span>'+
															'<p>' + txtTemp + '</p>'+
														'</div>'+
												'</div>';
								// htmlCom += '</div>';

								//Append
								$('#commentsWrapperBody').append(htmlCom);
							});							
							//update total documents
							$('#totalCommentsSpan').html('('+counter+' commentaires'+')');
							
						} else {
							$('#totalCommentsSpan').html('(0 commentaires)');
							$('#commentsWrapperBody').append('<div class="col-xs-12"><p class="text-center text-red"><i class="fa fa-warning"></i>&nbsp;Il n\'y a pas de commentaires pour ce client.</p></div>');
						}
					}
				}
			},
			complete : function() {}
		});
	}
</script>