<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[2, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/clientes.php",
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [
		{
			"bVisible" : false,
		}, 
		{
			"bVisible" : false,
		}, 
		null, null, null, null, null,
		{
			// "sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-right",
		},
		<?php if ($_SESSION['mod_Contratos'] == 1) { ?>
		{
			"sClass" : "text-left",
		},
		<?php } else { ?>
		{
			// "sClass" : "text-center",
			"bVisible" : false,
		},
		<?php } ?>
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="19">'+full[2]+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="19">'+full[3]+'</span>';
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="19">'+full[4]+'</span>';
			}
		},{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="19">'+full[6]+'</span>';
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				//return html
				return '<div class="text-center">'+full[7]+'</div>';
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var element = '';
				var color = 'text-black';
				if(full[8] == null) full[8] = 0;
				// if(full[8] >= 0) color = 'text-blue';
				element ='<span class="money '+color+'">'+full[8]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				//return html
				return element;
			}
		},
		{
			"aTargets" : [9],
			"mRender" : function(data, type, full) {
				var element = '';
				var color = 'text-red';
				if(full[9] == null) full[9] = 0;
				if(full[9] >= 0) color = 'text-green';
				element ='<span class="money '+color+'">'+full[9]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				//return html
				return element;
			}
		},
		{
			"aTargets" : [10],
			"mRender" : function(data, type, full) {
				var cleanString = full[10];
				if(cleanString == '' || cleanString == null) cleanString = '-';
				//return html
				return '<span class="ellipsis" data-size="6">'+cleanString+'</span>';
			}
		},
		{
			"aTargets" : [11],
			"mRender" : function(data, type, full) {
				var processedName = full[2].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'" + processedName + "'";
				var html = '';

				html += '<a href="details?client='+ full[11] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
				html += '<a href="modifier?client='+full[11]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';

				//edition options
				if( full[12] > 0 ){
					html += '<span class="text-gray" style="margin: 4px;"><i class="fa fa-trash"></i></span>';
				}else{
					html += '<a class="options-link text-red" onclick="eliminarCliente('+ full[11] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[11]);

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		},
		"footerCallback" : function(row, data, start, end, display) {
	            var api = this.api(), data;

	            // Remove the formatting to get integer data for summation
	            var intVal = function(i) {
	                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
	            };

	            // Total current page
	            var valorTotalDoc = api.column(8, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);
	            // Total current page
	            var valorLiquidado = api.column(9, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);

	            //Por liquidar -> Used extra field to calculate already rounded for a better real value
				$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				
				$( "#valorDocTemp" ).autoNumeric('set', valorTotalDoc);
				var valorTotalDoc = $( "#valorDocTemp" ).autoNumeric('get');
				$( "#valorDocTemp" ).autoNumeric('set', valorLiquidado);
				var valorLiquidado = $( "#valorDocTemp" ).autoNumeric('get');

				$( "#valorDocTemp" ).remove();

	            //final calculation
	            //-------------------------------------------------------------------------------------
	            
	            $('.money').not(".table-menu > tbody > tr > td > span").html("");
	            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

	            var colorLabel = '';
	            if( valorLiquidado != valorTotalDoc ) colorLabel = 'text-red';
	            else colorLabel = 'text-green';

	            // Update footer
	            $(api.column(8).footer()).html('<span class="money">' + valorTotalDoc + '</span>');
	            $(api.column(9).footer()).html('<span class="money '+colorLabel+'">' + valorLiquidado + '</span>');
	        }
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//remover
	function eliminarCliente(idCliente, nome){
	<?php if (hasPermission(['P0018']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le client \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/clientes/apagar.php',
				dataType : 'json',
				data : {
					idCliente : idCliente
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce client. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce client. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Client supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>