<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0017']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/clients&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Vendas'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Clients > Modifier le Client</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../clients"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../clients">Clients</a>
							</li>
							<li class="active">
								Modifier Client
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du Client
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code</label>
															<input type="text" class="form-control" id="codigo_cliente" name="codigo_cliente" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Nom<span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_cliente" name="nome_cliente" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Prenom</label>
															<input type="text" class="form-control" id="apelido_cliente" name="apelido_cliente" placeholder="..." autofocus="true" />
														</div>
													</div>

													<div class="col-sm-2">
														<!-- <div class="form-group">
															<label class="control-label">VAT</label>
															<input type="text" class="form-control nif_field" id="nif_cliente" name="nif_cliente" placeholder="..." />
														</div> -->
														<div class="form-group">
															<label class="control-label">Titre</label>
															<select class="form-control select2 show-tick" id="titulo_cliente" name="titulo_cliente"  >
																<option value="" selected="">Sélectionnez</option>
																<option value="M">Monsieur</option>
																<option value="Mme">Madame</option>
																<option value="Mlle">Mademoiselle</option>
															</select>
														</div>
													</div>
												</div>
	
												<div class="row mtm">
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label">Adresse<span class="require">*</span></label>
															<input type="text" class="form-control" id="endereco_cliente" name="endereco_cliente" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Pays<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_cliente" name="pais_cliente">
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Code Postal<span class="require">*</span></label>
															<input type="text" class="form-control cpostal_field" id="codigopostal_cliente" name="codigopostal_cliente" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Canton</label>
															<input type="text" class="form-control" id="regiao_cliente" name="regiao_cliente" placeholder="..." />
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="regiao_cliente" name="regiao_cliente"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Ville<span class="require">*</span></label>
															<input type="text" class="form-control" id="cidade_cliente_estrang" name="cidade_cliente_estrang" placeholder="..." style="display: none;" />
															<div id="selectCidadeWrapper">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_cliente" name="cidade_cliente">
																</select>
															</div>
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_cliente" name="cidade_cliente"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-3 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label">Vendeurs<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendedor_cliente" multiple name="vendedor_cliente">
															</select>
														</div>
													</div>	
													<div class="col-sm-3 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label">Responsable<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="responsavel_cliente" name="responsavel_cliente">
															</select>
														</div>
													</div>	
												</div>
												<!-- <div class="row mtm">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Grupo de Clients</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="grupo_cliente" name="grupo_cliente"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>	
												</div> -->
												<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
													<div class="col-xs-12 col-md-12">
														<div class="form-group">
															<label class="control-label">Plan Comptable<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_cliente" name="plano_cliente">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Contacts
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="email" class="form-control" id="email_cliente" name="email_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="tlm_cliente" name="tlm_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Site Internet</label>
															<input type="text" class="form-control" id="website_cliente" name="website_cliente" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="tlf_cliente" name="tlf_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Fax</label>
															<input type="text" class="form-control" id="fax_cliente" name="fax_cliente" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Responsables
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
															<thead>
																<tr>
																	<!-- <th style="width: 100px;">Code</th> -->
																	<th>Nom</th>
																	<th>Prénom</th>
																	<th style="width: 200px;">Téléphone</th>
																	<th style="width: 200px;">Email</th>
																	<th style="width: 20px;">&nbsp;</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_1" name="nome_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_1" name="prenom_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_1" name="contacto_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_1" name="email_responsavel_1" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(1)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_2" name="nome_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_2" name="prenom_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_2" name="contacto_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_2" name="email_responsavel_2" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(2)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_3" name="nome_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_3" name="prenom_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_3" name="contacto_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_3" name="email_responsavel_3" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(3)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_4" name="nome_responsavel_4" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_4" name="prenom_responsavel_4" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_4" name="contacto_responsavel_4" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_4" name="email_responsavel_4" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(4)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_5" name="nome_responsavel_5" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_5" name="prenom_responsavel_5" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_5" name="contacto_responsavel_5" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_5" name="email_responsavel_5" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(5)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_6" name="nome_responsavel_6" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_6" name="prenom_responsavel_6" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_6" name="contacto_responsavel_6" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_6" name="email_responsavel_6" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(6)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_7" name="nome_responsavel_7" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_7" name="prenom_responsavel_7" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_7" name="contacto_responsavel_7" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_7" name="email_responsavel_7" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(7)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>

											<h5 class="form-header hide">
												<legend class="form-legend">
													Contact Responsable
												</legend>
											</h5>
											<div class="section-form hide">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Nom</label>
															<input type="text" class="form-control" id="preferencial_nome_cliente" name="preferencial_nome_cliente" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="email" class="form-control" id="preferencial_email_cliente" name="preferencial_email_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="preferencial_tlm_cliente" name="preferencial_tlm_cliente" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="preferencial_tlf_cliente" name="preferencial_tlf_cliente" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Facturation
												</legend>
											</h5>
											<div class="section-form">
												<div class="row hide">
													<div class="col-sm-12">
														<div class="form-group">
														<label class="control-label">Conta Corrente?<span class="require">*</span></label>
														<div class="radio" id="contaCorrenteWrapper">
															<label class="radio-inline padding-left-radio">
																<input id="conta_geral_cliente" type="radio" name="conta_cliente" value="geral"/>
																Conta Geral
															</label>
															<label class="radio-inline">
																<input id="conta_propria_cliente" type="radio" name="conta_cliente" value="propria"/>
																Conta Própria
															</label>
														</div>
														<span id="contaCorrente_cliente" style="display: block"></span>
													</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Méthode de Paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez une option" id="pagamento_cliente" name="pagamento_cliente"  >
																<option value="" data-hidden="true">Sélectionnez une option</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Conditions de Paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez une option" id="vencimento_Cliente" name="vencimento_Cliente"  >
																<option value="" data-hidden="true">Sélectionnez une option</option>
																<option value="-" selected>Conditions Standard</option>
																<option value="0">Paiement Prêt</option>
																<option value="10">10 jours après l'émission</option>
																<option value="20">20 jours après l'émission</option>
																<option value="30">30 jours après l'émission</option>
																<option value="60">60 jours après l'émission</option>
																<option value="90">90 jours après l'émission</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Réduction (%)</label>
															<input type="text" class="form-control percentage" id="desconto_cliente" name="desconto_cliente" placeholder="0 %" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../clients" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('../modals/responsaveis.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.clientes_faturacao").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				$('.cpostal_field').mask('0000-000');
				// $('.nif_field').mask('000000000');

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type="radio"]:not(".switch")').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				//init selects
				$("select#titulo_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});
				$("select#pais_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#cidade_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#vendedor_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#responsavel_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#grupo_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#pagamento_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#vencimento_Cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				//fill necessary data
				var idCliente = getParameterByName('client');
				//fill infos
				fill_cliente(idCliente);
			});
			
			//open new people modal
			function new_responsavel() {
				$('#modal-responsavel').modal("show");
			}

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/* ----------- LISTNERS ----------- */
			$('input#conta_geral_cliente').on('ifChecked', function (event) {
				flagContaGeral = 1;
			});
			$('input#conta_propria_cliente').on('ifChecked', function (event) {
				flagContaGeral = 0;
			});

			//change country
			$("select#pais_cliente").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_cliente').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_cliente_estrang").show(); 
				}else{
					// $('#nif_cliente').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_cliente_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
				}
			});

			//Key Listner
			$("#codigopostal_cliente").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_cliente").val() != 'CH'){ 
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_cliente_estrang").show(); 
				}
				else { 
					$("#cidade_cliente_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_cliente');
				}
			});

			//get localite
			function getLocaliteFromNpa(valueNPA,selectID){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.Nome).text(this.Nome));
										console.log();
									});
								}
							}
						}
					},
					complete : function() {
						$(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).trigger('change');
					}
				});
			}

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valorInput = $(element).autoNumeric('get');
				if(valorInput >= 0 && valorInput != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_cliente : {
						required : true,
					},
					pais_cliente : {
						required : true,
					},
					codigopostal_cliente : {
						required : true,
					},

					<?php if($_SESSION['mod_Contratos'] == 1) { ?>

					vendedor_cliente : {
						required : true,
					},
					responsavel_cliente : {
						required : true,
					},

					<?php } ?>

					endereco_cliente : {
						required : true,
					},
					plano_cliente : {
						required : true,
					},
				},
				messages : {
					nome_cliente : {
						required : "Ce champ est obligatoire"
					},
					pais_cliente : {
						required : "Ce champ est obligatoire"
					},
					codigopostal_cliente : {
						required : "Ce champ est obligatoire"
					},
					vendedor_cliente : {
						required : "Ce champ est obligatoire"
					},
					responsavel_cliente : {
						required : "Ce champ est obligatoire"
					},
					endereco_cliente : {
						required : "Ce champ est obligatoire"
					},
					plano_cliente : {
						required : "Ce champ est obligatoire"
					},
					email_responsavel_1 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_2 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_3 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_4 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_5 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_6 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
					email_responsavel_7 : {
						email : "Veuillez entrer une adresse e-mail valide"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();
				
				var idCliente = getParameterByName('client');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement...');

					var cidadeCustom = '';
					if( $("#pais_cliente").val() != 'CH'){ 
						cidadeCustom = $("#cidade_cliente_estrang").val();
					}
					else { 
						cidadeCustom = $("#cidade_cliente").val();
					}

					<?php if($_SESSION['mod_Contratos'] == 1) { ?>
						
					if( cidadeCustom != null && cidadeCustom != '' && $("#vendedor_cliente").val() != '' && $("#vendedor_cliente").val() != null && $("#responsavel_cliente").val() != '' && $("#responsavel_cliente").val() != null){ 

					<?php } else { ?>

					if( cidadeCustom != null && cidadeCustom != '' ){ 
					
					<?php } ?>

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/clientes/editar.php',
							dataType : 'json',
							data : {
								idCliente : idCliente,
								nome_cliente : $("#nome_cliente").val(),
								apelido_cliente : $("#apelido_cliente").val(),
								nif_cliente : '',
								titulo_cliente : $("#titulo_cliente").val(),
								pais_cliente : $("#pais_cliente").val(),
								endereco_cliente : $("#endereco_cliente").val(),
								codigopostal_cliente : $("#codigopostal_cliente").val(),
								regiao_cliente : $("#regiao_cliente").val(),
								cidade_cliente : cidadeCustom,
								vendedor_cliente : $("#vendedor_cliente").val(),
								responsavel_cliente : $("#responsavel_cliente").val(),
								email_cliente : $("#email_cliente").val(),
								website_cliente : $("#website_cliente").val(),
								tlm_cliente : $("#tlm_cliente").val(),
								tlf_cliente : $("#tlf_cliente").val(),
								fax_cliente : $("#fax_cliente").val(),
								preferencial_nome_cliente : $("#preferencial_nome_cliente").val(),
								preferencial_email_cliente : $("#preferencial_email_cliente").val(),
								preferencial_tlm_cliente : $("#preferencial_tlm_cliente").val(),
								preferencial_tlf_cliente : $("#preferencial_tlf_cliente").val(),
								pagamento_cliente : $("#pagamento_cliente").val(),
								vencimento_Cliente : $("#vencimento_Cliente").val(),
								desconto_cliente : $("#desconto_cliente").autoNumeric('get'),
								flagContaGeral : flagContaGeral,
								plano_cliente : $("#plano_cliente").val(),

								nome_responsavel_1 : $("#nome_responsavel_1").val(),
								prenom_responsavel_1 : $("#prenom_responsavel_1").val(),
								email_responsavel_1 : $("#email_responsavel_1").val(),
								contacto_responsavel_1 : $("#contacto_responsavel_1").val(),

								nome_responsavel_2 : $("#nome_responsavel_2").val(),
								prenom_responsavel_2 : $("#prenom_responsavel_2").val(),
								email_responsavel_2 : $("#email_responsavel_2").val(),
								contacto_responsavel_2 : $("#contacto_responsavel_2").val(),

								nome_responsavel_3 : $("#nome_responsavel_3").val(),
								prenom_responsavel_3 : $("#prenom_responsavel_3").val(),
								email_responsavel_3 : $("#email_responsavel_3").val(),
								contacto_responsavel_3 : $("#contacto_responsavel_3").val(),

								nome_responsavel_4 : $("#nome_responsavel_4").val(),
								prenom_responsavel_4 : $("#prenom_responsavel_4").val(),
								email_responsavel_4 : $("#email_responsavel_4").val(),
								contacto_responsavel_4 : $("#contacto_responsavel_4").val(),

								nome_responsavel_5 : $("#nome_responsavel_5").val(),
								prenom_responsavel_5 : $("#prenom_responsavel_5").val(),
								email_responsavel_5 : $("#email_responsavel_5").val(),
								contacto_responsavel_5 : $("#contacto_responsavel_5").val(),

								nome_responsavel_6 : $("#nome_responsavel_6").val(),
								prenom_responsavel_6 : $("#prenom_responsavel_6").val(),
								email_responsavel_6 : $("#email_responsavel_6").val(),
								contacto_responsavel_6 : $("#contacto_responsavel_6").val(),

								nome_responsavel_7 : $("#nome_responsavel_7").val(),
								prenom_responsavel_7 : $("#prenom_responsavel_7").val(),
								email_responsavel_7 : $("#email_responsavel_7").val(),
								contacto_responsavel_7 : $("#contacto_responsavel_7").val(),
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null)
									$.scojs_message("[FAT001] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resp.responseJSON.errors) {
									if (resp.responseJSON.nif_error) {
										$.scojs_message("[FAT002] VAT invalide. Entrez un VAT valide.", $.scojs_message.TYPE_ERROR);
									}else{
										$.scojs_message("[FAT003] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									}
								} else {
									$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
									//reload
									setTimeout(function() {
										window.location.href = "../clients";
									}, 1000);
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
					else{
						$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
						$("#form_new").find('.submit_button').attr("disabled", false);
						$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					}
				}
			});

			//remover
			function eliminarResponsavel(idLinha){
				$("#nome_responsavel_"+idLinha).val('');
				$("#prenom_responsavel_"+idLinha).val('');
				$("#email_responsavel_"+idLinha).val('');
				$("#contacto_responsavel_"+idLinha).val('');
			}
		</script>
	</body>
</html>