<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0088','P0089']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/liste_des_soldes&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Comptabilité: Liste des soldes | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Comptabilité
							</li>
							<li class="active">
								Liste des soldes
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<form id="form_new" class="form-validate">
							<div class="row">
								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label">Du compte</label>
										<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="compte_de" name="compte_de">
											<option value="" >Sélectionnez</option>
										</select>
									</div>
								</div>

								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label">Au compte</label>
										<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="compte_au" name="compte_au">
											<option value="" >Sélectionnez</option>
										</select>
									</div>
								</div>

								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label">Début<span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataInicial" id="FiltroDataInicial" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>

								<div class="col-sm-3">
									<div class="form-group ">
										<label class="control-label">Fin<span class="require">*</span></label>
										<div class="input-buttons form-group">
											<input type="text" class="form-control datepicker today" data-provide="datepicker" name="FiltroDataFinal" id="FiltroDataFinal" data-date-format="dd/mm/yyyy" required>
											<div class="input-group-addon">
												<span class="fa fa-calendar"></span>
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="row ptl">
								<div class="col-md-12"  align="center">
									<button class="btn btn-yellow submit_button" type="submit">
										<i class="fa fa-tasks"></i> Générer
									</button>
								</div>
							</div>
						</form>						
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		
		<?php include('index_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.comptab").addClass("active");
			$(".navbar-nav li.comptab li.listesoldes_comptab").addClass("active");
		</script>
		
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			/* ---------- Page Scripts ---------- */
				//datepicker plugin ----------------------
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});

				//init select2
				$("select#compte_de").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});
				$("select#compte_au").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});

				var dInicial = new Date();
				dInicial.setMonth(0);
				dInicial.setDate(1);

				var dFinal = new Date();
				dFinal.setMonth(12);
				dFinal.setDate(0);

				$('#FiltroDataInicial').datepicker().datepicker("setDate", dInicial);
				$('#FiltroDataFinal').datepicker().datepicker("setDate", dFinal);

				$('[data-provide="datepicker-inline"]').mask("99/99/9999");
				$('[data-provide="datepicker"]').mask("99/99/9999");
				
				//init datatables
				fill_comptes_sels();
			});
			/* ---------------------------------- */
			
			val_form_new = $("#form_new").validate({
				rules : {
					FiltroDataInicial : {
						required : true
					},
					FiltroDataFinal : {
						required : true
					},
				},
				messages : {
					FiltroDataInicial : {
						required : "Ce champ est obligatoire"
					},
					FiltroDataFinal : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				}
			});

			$("#form_new").submit(function(e) {
				e.preventDefault();
				//process
				// $("#FiltroDataInicial").val()
				// $("#FiltroDataFinal").val()
				var resp = null;
				var valid = $("#form_new").valid();
				if (valid == false ) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {
					$.scojs_message("Liste des soldes généré avec succès.", $.scojs_message.TYPE_OK);
					
					//prepare vars
					var compteDe = $("#compte_de").val();
					var compteAu = $("#compte_au").val();

					var dateAccuel = $("#FiltroDataInicial").val();
					var dateFin = $("#FiltroDataFinal").val();

					printRangeAccounts();
				}
				return false;
			});	
		</script>
	</body>
</html>