<script type="text/javascript">
	/**
	 * Fill Comptes
	 * @return select list
	 */
	function fill_comptes_sels(){
		var options = $("select#compte_de");
		$(options).empty();

		var options2 = $("select#compte_au");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/bilan_et_resultat.php',
			data : {
				opcao : 7 //BILAN COMPTES
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							
							$(options2).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});

							//----------------------------------
							
							$(options2).attr("disabled", false);

							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options2).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).trigger('change');
				$(options2).trigger('change');
			}
		});
	}

	//call print options for range accounts
	function printRangeAccounts(){
		//prepare vars
		var compteDe = $("#compte_de").val();
		var compteAu = $("#compte_au").val();
		if(!compteDe) compteDe = null;
		if(!compteAu) compteAu = null;

		var dateAccuel = $("#FiltroDataInicial").val();
		var dateFin = $("#FiltroDataFinal").val();

		window.open( "/frifacturation/server/imprimer_pdf/exportar_planos_contas_liste_soldes.php?compteDe=" + compteDe + "&compteAu=" + compteAu + "&dateAccuel=" + dateAccuel + "&dateFin=" + dateFin );

		return false;
	};
</script>