<script type="text/javascript">
	//load data
	function fill_movimento(idMovimento) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/comptabilite/mouvements/detalhes.php',
			dataType : 'json',
			data : { idMovimento : idMovimento },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var nome = "'"+dados.Nome+"'";

							//remain fields
							$("#data_movimento").val(dados.Data);

							var contaFinal = '';
							contaDebitFinal = dados.PlanoContas_Debito;
							contaCreditFinal = dados.PlanoContas_Credito;
							var codeTva = dados.ID_ImpostoTVA;

							$("#tipo_movimento").trigger('change');


							$("#valor_movimento").autoNumeric('set', dados.Total_PVP);						
							$("#descricao_movimento").val(dados.Descricao);						
							
							var inclTVA = 0;
							if(dados.IncludeTVA == 1) inclTVA = 1;
							
							fill_comptes(contaDebitFinal, contaCreditFinal, codeTva, inclTVA);
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//load data
	function fill_comptes(lastID_debit = 0, lastID_credit = 0, lastTVA = 0, inclTVA = 0) {
		var options = $("select#plano_movimento");
		var options2 = $("select#plano_movimento_2");
		$(options).empty();
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							$(options2).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);
							$(options2).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));
							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").attr('data-taxeid', this.ID_Imposto).val(this.codigo).html(this.descricao+''));
								$(options2).append($("<option />").attr('data-taxeid', this.ID_Imposto).val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID_debit != 0) $(options).val(lastID_debit);
				else $(options).val($("select#plano_movimento option:eq(1)").val());
				if(lastID_credit != 0) $(options2).val(lastID_credit);
				else $(options2).val($("select#plano_movimento_2 option:eq(1)").val());
				$(options).trigger('change');
				$(options2).trigger('change');

				//call tva fill function
				fill_codesTVA(lastTVA,inclTVA);
			}
		});
	}

	//load data
	function fill_codesTVA(lastTVA = 0, inclTVA = 0) {
		var options = $("select#codetva_movimento");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 6
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("-- Hors TVA --"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.ID_Imposto).html(this.NomeComposto+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastTVA > 0) {
					$(options).val(lastTVA);
					if(inclTVA > 0) $('input#tva_oui').iCheck('check');
				}
				else $(options).val($("select#codetva_movimento option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}
</script>