<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0091']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/mouvements&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Modifier Mouvement | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../mouvements"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../mouvements">Mouvements comptables</a>
							</li>
							<li class="active">
								Modifier Mouvement
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données de Mouvement
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_movimento" id="data_movimento" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<!-- <div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Type de mouvement<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="tipo_movimento" name="tipo_movimento">
																<option value="">Sélectionnez</option>
																<option value="D">Débit</option>
																<option value="C">Crédit</option>
															</select>
														</div>
													</div> -->
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Montant<span class="require">*</span></label>
															<input type="text" class="form-control money" name="valor_movimento" id="valor_movimento" placeholder="0.00 CHF">
														</div>
													</div>
													<div class="col-md-4">
														<label>Mouvement de la TVA?</label><br>
														<label class="radio-inline padding-left-radio">
															<input id="tva_oui" type="radio" name="include_tva" value="1" class="default_radio"/>
															Oui ?
														</label>
														<label class="radio-inline padding-left-radio">
															<input id="tva_non" type="radio" name="include_tva" value="0" class="default_radio" checked/>
															Non ?
														</label>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-md-4">
														<div class="form-group">
															<label class="control-label">Plan Comptable Débit<span class="require">**</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_movimento" name="plano_movimento">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label class="control-label">Plan Comptable Crédit<span class="require">**</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_movimento_2" name="plano_movimento_2">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label class="control-label">Code TVA</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codetva_movimento" name="codetva_movimento">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-xs-12">
														<div class="form-group">
															<label class="control-label">Description<span class="require">*</span></label>
															<input type="text" class="form-control" id="descricao_movimento" name="descricao_movimento" placeholder="..." autofocus="true" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../mouvements" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php'; ?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.comptab").addClass("active");
			$(".navbar-nav li.comptab li.mouvements_comptab").addClass("active");
		</script>
		<script type="text/javascript">
			var includeTva = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				
				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=radio]').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				//init select2
				$("select#plano_movimento").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_movimento_2").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#codetva_movimento").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});

				//get id
				var idMovimento = getParameterByName('mouvement');
				//fill infos
				fill_movimento(idMovimento);
				
				/* ----------- LISTNERS ----------- */
				$('input#tva_oui').on('ifChecked', function (event) {
					includeTva = 1;
				});
				$('input#tva_non').on('ifChecked', function (event) {
					includeTva = 0;
				});
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			//on account change
			$("select#plano_contas_plano").on('change', function(event){
				getNextAccountNumber();
			});

			//change compte
			$("select#plano_movimento").on('change', function(event){
				//get id of taxe if exists
				var taxe = $("select#plano_movimento option:selected").attr('data-taxeid');
				
				//process
				if(taxe && taxe > 0){
					$("select#codetva_movimento").val(taxe);
					$("select#codetva_movimento").trigger('change');
				}
			});

			//change compte 2
			$("select#plano_movimento_2").on('change', function(event){
				//get id of taxe if exists
				var taxe = $("select#plano_movimento_2 option:selected").attr('data-taxeid');
				
				//process
				if(taxe && taxe > 0){
					$("select#codetva_movimento").val(taxe);
					$("select#codetva_movimento").trigger('change');
				}
			});

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					data_movimento : {
						required : true
					},
					plano_movimento : {
						required : true
					},
					plano_movimento_2 : {
						required : true
					},
					valor_movimento : {
						required : true
					},
					descricao_movimento : {
						required : true
					},
				},
				messages : {
					data_movimento : {
						required : "Ce champ est obligatoire"
					},
					plano_movimento : {
						required : "Ce champ est obligatoire"
					},
					plano_movimento_2 : {
						required : "Ce champ est obligatoire"
					},
					valor_movimento : {
						required : "Ce champ est obligatoire"
					},
					descricao_movimento : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var idMovimento = getParameterByName('mouvement');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/comptabilite/mouvements/editar.php',
						dataType : 'json',
						data : {
							idMovimento : idMovimento,
							includeTva : includeTva,
							data_movimento : $("#data_movimento").val(),
							plano_movimento : $("#plano_movimento").val(),
							plano_movimento_2 : $("#plano_movimento_2").val(),
							codetva_movimento : $("#codetva_movimento").val(),
							valor_movimento : $("#valor_movimento").autoNumeric('get'),
							descricao_movimento : $("#descricao_movimento").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../mouvements";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>