<script type="text/javascript">
	//load data
	function fill_comptes() {
		var options = $("select#plano_movimento");
		$(options).empty();

		var options2 = $("select#plano_2_movimento");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							$(options2).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);
							$(options2).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").attr('data-taxeid', this.ID_Imposto).val(this.codigo).html(this.descricao+'') );
								$(options2).append($("<option />").attr('data-taxeid', this.ID_Imposto).val(this.codigo).html(this.descricao+'') );
							});
						}
					}
				}
			},
			complete : function() {
				$(options).val($("select#plano_movimento option:eq(1)").val());
				$(options).trigger('change');

				$(options2).val($("select#plano_2_movimento option:eq(1)").val());
				$(options2).trigger('change');

				//call tva fill function
				fill_codesTVA(0);
			}
		});
	}

	//load data
	function fill_codesTVA(lastTVA = 0) {
		var options = $("select#codetva_movimento");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 6
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("-- Hors TVA --"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.ID_Imposto).html(this.NomeComposto+''));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).val($("select#codetva_movimento option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}
</script>

<script type="text/javascript">
	//Load records into the table
	function reloadTableLines(compteDe = null, compteAu = null, dateAccuel = null, dateFin = null, firstTime = false){
		//clear previous records
		if(firstTime == false){
			// table.dataTable().fnReloadAjax();
		}

		//process table
		table = $('#table_id').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[0, "desc"]],
			"bProcessing" : true,
			"bDestroy" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/movimentos_contabilisticos.php?compteDe="+compteDe+"&compteAu="+compteAu+"&dateAccuel="+dateAccuel+"&dateFin="+dateFin,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [
			null, null, null, null, null,  
			{
				"sClass" : "text-center",
			}, 
			{
				"sClass" : "text-right",
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[1].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[8]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="100">'+full[4]+'</span>';
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';

					//process color
					if(full[5] == 'A') element = '<span class="text-blue"><b>'+full[5]+'</b></span>';
					else element = '<span class="text-yellow"><b>'+full[5]+'</b></span>';

					//return html
					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					element ='<span class="money">'+full[6]+'</span>';

					//init elements
					$(".money").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
					var nome = "'" + full[0] + " >> "+processedName+"'";
					var html = '';
					
					html += '<a href="modifier?mouvement='+ full[9] +'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';

					html += '<a class="options-link text-red" onclick="eliminarMovimento('+ full[9] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';

					//return all html composed
					return html;
				}
			}
			],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[9]);

				if(aData[10] == 1) $(nRow).find("td:eq(4)").css("font-weight", "bold");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},
		});

		$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#table_id tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#table_id_filter input').unbind();

		$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#table_id_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		$('#table_id_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}
	}
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	//END OF TABLE ---------------------------------------------
	


	/**
	 * Fill Comptes
	 * @return select list
	 */
	function fill_comptes_sels(){
		var options = $("select#compte_de");
		$(options).empty();

		var options2 = $("select#compte_au");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/mouvements_comptables.php',
			data : {
				opcao : 1 //RESULTAT COMPTES
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							
							$(options2).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});

							//----------------------------------
							
							$(options2).attr("disabled", false);

							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options2).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).trigger('change');
				$(options2).trigger('change');
			}
		});
	}
	// ./ END OF SCRIPTS ---------------------------------------------
	
	//REMOVER
	function eliminarMovimento(idMovimento, nome){
	<?php if (hasPermission(['P0092']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le mouvement \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/comptabilite/mouvements/apagar.php',
				dataType : 'json',
				data : {
					idMovimento : idMovimento
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce mouvement. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce mouvement. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Mouvement supprimée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					if (resposta.responseJSON.errors) {
					}else{
						// setTimeout(function() {
						// 	// location.reload();
						// 	window.location.href = "../mouvements";
						// }, 1500);
						
						//reload table
						$("#form_filters").trigger('submit');
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>