<script type="text/javascript">
	//Load records into the table
	function reloadTableLines(compteDe = null, compteAu = null, dateAccuel = null, dateFin = null, firstTime = false){
		//clear previous records
		if(firstTime == false){
			// table.dataTable().fnReloadAjax();
		}

		table = $('#table_id').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[0, "asc"]],
			"bProcessing" : true,
			"bDestroy" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/resultat.php?compteDe="+compteDe+"&compteAu="+compteAu+"&dateAccuel="+dateAccuel+"&dateFin="+dateFin,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [
			null, null, null, null, null, null,
			{
				"sClass" : "text-right",
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis">'+full[1]+'</span>';
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[0].substr(0,1) == 3) colorLabel = 'text-red';
					else if(full[0].substr(0,1) >= 4) colorLabel = 'text-green';
	            	else colorLabel = '';
					element ='<span class="money '+colorLabel+'">'+full[6]+'</span>';

					//init elements
					$(".money").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
					var nome = "'" + full[0] + " >> "+processedName+"'";
					var html = '';
					
					html += '<a onclick="printSingleAccount('+full[0]+')" class="options-link text-grey"><i class="fa fa-print" title="Imprimer Mouvements comptables"></i></a>';

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[7]);

				if(aData[5] == '') $(nRow).css("font-weight", "bold");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},
		});

		$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#table_id tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#table_id_filter input').unbind();

		$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#table_id_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		function pesquisar() {
			table.fnFilter($('#table_id_filter input').val());
		}
		$('#table_id_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}

		//END OF TABLE ---------------------------------------------
	}

	/**
	 * Fill Comptes
	 * @return select list
	 */
	function fill_comptes_sels(){
		var options = $("select#compte_de");
		$(options).empty();

		var options2 = $("select#compte_au");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/bilan_et_resultat.php',
			data : {
				opcao : 6 //RESULTAT COMPTES
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							
							$(options2).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});

							//----------------------------------
							
							$(options2).attr("disabled", false);

							$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options2).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options2).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).trigger('change');
				$(options2).trigger('change');
			}
		});
	}

	//call print options for individual accounts
	function printSingleAccount(accountCode = null){
		if (accountCode == null || accountCode == '' ) {
			$.scojs_message("S\'il vous plaît sélectionner un compte valide", $.scojs_message.TYPE_ERROR);
		} else {
			//prepare vars
			// var compteDe = $("#compte_de").val();
			// var compteAu = $("#compte_au").val();

			var dateAccuel = $("#FiltroDataInicial").val();
			var dateFin = $("#FiltroDataFinal").val();

			window.open( "/frifacturation/server/imprimer_pdf/exportar_resultat.php?compte="+accountCode+"&dateAccuel=" + dateAccuel + "&dateFin=" + dateFin );
		}
		return false;
	};

	//call print options for range accounts
	function printRangeAccounts(){
		//prepare vars
		var compteDe = $("#compte_de").val();
		var compteAu = $("#compte_au").val();
		if(!compteDe) compteDe = null;
		if(!compteAu) compteAu = null;

		var dateAccuel = $("#FiltroDataInicial").val();
		var dateFin = $("#FiltroDataFinal").val();

		window.open( "/frifacturation/server/imprimer_pdf/exportar_planos_contas.php?plan=resultat&compteDe=" + compteDe + "&compteAu=" + compteAu + "&dateAccuel=" + dateAccuel + "&dateFin=" + dateFin );

		return false;
	};

	//call print options for range accounts
	function printRangeAccounts2(){
		//prepare vars
		var compteDe = $("#compte_de").val();
		var compteAu = $("#compte_au").val();
		if(!compteDe) compteDe = null;
		if(!compteAu) compteAu = null;

		var dateAccuel = $("#FiltroDataInicial").val();
		var dateFin = $("#FiltroDataFinal").val();

		window.open( "/frifacturation/server/imprimer_pdf/exportar_planos_contas_detalhado.php?plan=resultat&compteDe=" + compteDe + "&compteAu=" + compteAu + "&dateAccuel=" + dateAccuel + "&dateFin=" + dateFin );

		return false;
	};
</script>