<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/contrats_achats.php",
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [null, null, null, null, null,  
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[6] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[6] == 'Confirmado') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[6] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[6] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';

				if(full[8]) element = '<span style="color: grey; font-weight: bold;">'+full[0]+'</span>';
				//else element = full[0];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1]) element = full[1];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="28">'+element+'</span>';
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="28">'+full[2]+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[3].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_achat_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="28">'+full[4]+'</span>';
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money text-green">'+full[5]+'</span>';

				if(full[8]) element = '<span class="money " style="color: grey;">'+full[5]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>,
					vMin:'0'
				});

				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[6] == 'Rascunho') element = '<span class="label label-orange">'+full[6]+'</span>';
				if(full[6] == 'Confirmado') element = '<span class="label label-green">'+full[6]+'</span>';
				if(full[6] == 'Aberto') element = '<span class="label label-blue">'+full[6]+'</span>';
				if(full[6] == 'Anulado') element = '<span class="label label-red">'+full[6]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var tmp = full[3].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[6] != 'Rascunho') docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var datatermo = "''";
				if(full[8]) datatermo = "'" + full[8] +"'";
				
				var html = '';

				html += '<a href="details?achat='+ full[7] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

				//edition options
				if( full[6] != 'Rascunho' ){
					html += '<a href="modifier_lines?achat='+full[7]+'" class="options-link text-orange"><i class="fa fa-terminal" title="Modifier lignes"></i></a>';

					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[7] +')" title="Générer le document"><i class="fa fa-files-o"></i></a>';
					if( full[6] == 'Aberto' ){
						html += '<a class="options-link text-green" onclick="confirmarAchat('+ full[7] +','+nome+')" title="Marquer Confirmé"><i class="fa fa-check"></i></a>';
					}
				}else{
					html += '<a href="modifier?achat='+full[7]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';
					
					html += '<a class="options-link text-green" onclick="finalizarAchat('+ full[7] +', '+nome+')" title="Finaliser"><i class="fa fa-flag-checkered"></i></a>';
				}
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exportar_contrat_achat.php?idDoc='+full[7]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
								
				if(full[6] != 'Rascunho' && full[6] != 'Anulado'){
					<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
						html += '<a class="options-link text-red" onclick="anularAchat('+ full[7] +', '+nome+')" title="Annuler"><i class="fa fa-times"></i></a>';
					<?php } ?>

					<?php if (hasPermission(['P0145']) == 1){ ?>
						html += '<a class="options-link text-violet" onclick="termineContrat('+ full[7] +', '+nome+', '+datatermo+')" title="Résilier"><i class="fa fa-ban"></i></a>';
					<?php } ?>
				}

				if(full[6] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarAchat('+ full[7] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[7]);

			if(aData[6] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
			$(".ellipsis").ellipsis(); 
		},
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0144']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-achats-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Terminé le Contrat
	function termineContrat(idDocument, name, datatermo){
	<?php if (hasPermission(['P0145']) == 1) { ?>
		$('#idDoc_Termo').val('');
		$('#doc_name').html('-');
		$('#data_termo').datepicker().datepicker("setDate", "<?php echo date('d/m/Y'); ?>");

		$('#idDoc_Termo').val(idDocument);
		$('#doc_name').html(name);
		if(datatermo && datatermo != '') $('#data_termo').datepicker().datepicker("setDate", datatermo);
		
		$( ".datepicker" ).datepicker("refresh");
		
		$('#modal-achats-termo').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//finalizar
	function finalizarAchat(idAchat, nome){
	<?php if (hasPermission(['P0142']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir finaliser le contrat de achat \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/achats/finalizar.php',
				dataType : 'json',
				data : {
					idAchat : idAchat
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de achat terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de contrat de achat existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière contrat de achat ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//generate invoice
						generateDocumentAutomaticaly(idAchat)
						//reload
						// setTimeout(function() {
						// 	location.reload();
						// }, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	<?php if (hasPermission(['P0142']) == 1) { ?>
	//generate automatique invoices
	function generateDocumentAutomaticaly(idDocumento){
		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/gerar_documentos/achat_gera_fatura.php',
			dataType : 'json',
			data : {
				idDocumento : idDocumento,
				firstTime : 1,
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Document Automatique généré avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
					$.scojs_message("[FAT003] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			}
		});
	}
	<?php } ?>

	//confirmar documento
	function confirmarAchat(idAchat, nome){
	<?php if (hasPermission(['P0142']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir confirmé le contrat de achat \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/achats/confirmar.php',
				dataType : 'json',
				data : {
					idAchat : idAchat
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'confirmer cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de achat a déjà été exportée et ne peut pas être confirmé!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de confirmer cette contrat de achat parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'confirmer cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de achat confirmé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularAchat(idAchat, nome){
	<?php if (hasPermission(['P0142']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le contrat de achat \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/achats/anular.php',
				dataType : 'json',
				data : {
					idAchat : idAchat
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de achat a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette contrat de achat parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de achat avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarAchat(idAchat, nome){
	<?php if (hasPermission(['P0141']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le contrat de achat de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/achats/apagar.php',
				dataType : 'json',
				data : {
					idAchat : idAchat
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette contrat de achat. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de achat supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>