<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0043']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/contrats/consommables&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Consommables'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Contrat d'entretien: Détails | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}

			/* STAUTS LABELS */
			.stamp-label-orange{ border: 1px solid #E9662C; }
			.stamp-label-blue{ border: 1px solid #428BCA; }
			.stamp-label-green{ border: 1px solid #488C6C; }
			.stamp-label-red{ border: 1px solid #BF4346; }
			.stamp-label-violet{ border: 1px solid #9352AD; }
			span { word-wrap: break-word; }
		</style>
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" id="BtnTopWrapper">
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../consommables">Contrats d'entretien</a>
							</li>
							<li class="active">
								Détails du Contrat
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-xs-12 col-sm-8">
												<h5 class="form-header">
													<legend class="form-legend">
														Données du client
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Client</label>
																<span id="cliente_consommable" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row ">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Adresse</label>
																<span id="endereco_cliente_consommable" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Code Postal</label>
																<span id="codigopostal_cliente_consommable" style="display: block" placeholder="..."></span>
															</div>
														</div>	
													</div>
													<div class="row ">
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Ville</label>
																<span id="cidade_cliente_consommable" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays</label>
																<span id="pais_cliente_consommable" style="display: block"></span>
															</div>
														</div>
													</div>
													<hr>
													<div class="row">
														<div class="col-sm-6">
															<div class="form-group">
																<label class="control-label">Nom (Emplacement)</label>
																<span id="nome2_consommable" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-6">
															<div class="form-group">
																<label class="control-label">Prénom (Emplacement)</label>
																<span id="apelido2_consommable" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row">
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Adresse (Emplacement)</label>
																<span id="endereco_cliente_descarga_consommable" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Adresse (2) (Emplacement)</label>
																<span id="endereco_cliente_descarga_2_consommable" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Code Postal (Emplace.)</label>
																<span id="codigopostal_cliente_descarga_consommable" style="display: block" placeholder="..."></span>
															</div>
														</div>	
													</div>
													<div class="row ">
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Ville (Emplace.)</label>
																<span id="cidade_cliente_descarga_consommable" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays (Emplace.)</label>
																<span id="pais_cliente_descarga_consommable" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="row">
													<div class="col-sm-12 text-center">
														<div class="form-group">
															<h2 id="statusDocumentLabel" style="margin-top: 10px; padding: 10px; margin-bottom: 0px;"></h2>

															<?php  if ( hasPermission(['P0146']) == 1 ) { ?>
															<div class="row">
																<div class="col-sm-12" id="totalsDocument"></div>
																<div class="col-sm-12 text-left" id="lastUpdate"></div>
															</div>
															<?php } ?>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Données de Contrat d'entretien
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Numéro</label>
														<span id="numero_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Date</label>
														<span id="data_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Début</label>
														<span id="debut_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<?php  if ( hasPermission(['P00147']) == 1 ) { ?>

													<div class="form-group">
														<label class="control-label">Facturation</label>
														<span id="facturation_consommable" style="display: block"></span>
													</div>

													<?php } ?>
												</div>
											</div>
											
											<?php  if ( hasPermission(['P00147']) == 1 ) { ?>

											<div class="row">
												<div class="col-sm-6">
														<div class="row">
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Prix Noir<span class="require">*</span></label>
																	<span id="prix_noir_consommable" class="moneyMedium" style="display: block">0</span>
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Etat (Pages)<span class="require">*</span></label>
																	<span id="etat_noir_consommable" style="display: block"></span>
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Prix Couleur<span class="require">*</span></label>
																	<span id="prix_couleur_consommable" class="moneyMedium" style="display: block">0</span>
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Etat (Pages)<span class="require">*</span></label>
																	<span id="etat_couleur_consommable" style="display: block"></span>
																</div>
															</div>
														</div>
													</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Paiement</label>
														<span id="pagamento_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Décompte des pages</label>
														<span id="decompte_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Forfait mensuel?<span class="require">*</span></label>
														<span id="forfait_disponivel_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Forfait Mensuel<span class="require">*</span></label>
														<span id="forfait_mensuel_consommable" class="moneyMedium" style="display: block">0</span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Forfait Noir<span class="require">*</span></label>
														<span id="forfait_noir_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Forfait Couleur<span class="require">*</span></label>
														<span id="forfait_couleur_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<?php } ?>

											<div class="row">
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">Référence</label>
														<span id="referencia_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">Remarques</label>
														<span id="remarques_consommable" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header mtl">
											<legend class="form-legend">
												Lignes d'Articles
											</legend>
										</h5>
										<div class="row">
											<div class="col-xs-12">
												<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
													<thead>
														<tr>
															<th style="width:100px;">Référence</th>
															<th>Description</th>
														</tr>
													</thead>
													<tbody id="tbody_artigos">
													</tbody>
												</table>
											</div>
										</div>

										<div class="row mtl">
											<div class="col-xs-12 col-sm-6">
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">1er Responsable (Client)</label>
														<span id="resp_client_1_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">2ème Responsable (Client)</label>
														<span id="resp_client_2_consommable" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-6">
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">Vendeur</label>
														<span id="vendeur_1_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6">
													<div class="form-group">
														<label class="control-label">Responsable</label>
														<span id="vendeur_2_consommable" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<!-- Contagens Associadas -->
										<div class="panel panel-default mtxl" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse0" style="display:block;font-weight: bold;" disabled="disabled">Compteurs (automatique)<i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse0" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="contagensAssociadas" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th style="width: 80px;">Comptage</th>
																		<th style="width: 80px;">Date</th>
																		<th>Nom Appareil</th>
																		<th style="width: 100px;">Fabricant</th>
																		<th style="width: 100px;">Modèle</th>
																		<th style="width: 100px;">N.Série</th>
																		<th style="width: 90px;">C. Appareil</th>
																		<th style="width: 90px;">Noir</th>
																		<th style="width: 90px;">Couleur</th>
																		<th style="width: 60px;">Facturé</th>
																		<th style="width: 50px;">Options</th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>

										<!-- Documentos Associados -->
										<div class="panel panel-default mtm" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse1" style="display:block;font-weight: bold;" disabled="disabled">Factures Associées (automatique)<i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse1" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="documentsAssociados" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th style="width: 80px;">Nº Doc.</th>
																		<th style="width: 250px;">Référence</th>
																		<th style="width: 200px;">Client</th>
																		<th style="width: 40px;">Nº C.</th>
																		<th style="width: 70px;">Date</th>
																		<th style="width: 70px;">Date Exp.</th>
																		<th style="width: 90px;">Total&nbsp;&nbsp;</th>
																		<th style="width: 90px;">Solde &nbsp;&nbsp;</th>
																		<th style="width: 90px;">État</th>
																		<th style="width: 50px;">Options</th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                        <tr>
							                                            <th colspan="6" class="text-right">Totaux:&nbsp;</th>
							                                            <th class="text-green"></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                            <th></th>
							                                        </tr>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>

		<!-- //ADDED SCRIPTS -->
		<?php include('modal-gerar-doc.php');  ?>
		<?php include('modal-termine.php');  ?>
		<?php include('detalhes_scripts.php');  ?>

		<script>
			$(".navbar-nav li.contrats").addClass("active");
			$(".navbar-nav li.contrats li.consommables_contrats").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }

				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});

				//fill select boxes
				var idDocument = getParameterByName('consommable');
				fill_document(idDocument);
				fill_factures(idDocument);
				fill_compteurs(idDocument);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>