<script type="text/javascript">
	//load data
	function fill_document(idDocument) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contrats/consommables/detalhes.php',
			dataType : 'json',
			data : { idDocument : idDocument },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {					
							var dados = resposta.data;
							
							//fill Data
							if(dados.Numero > 0) $("#numero_consommable").html(dados.Numero);
							else $("#numero_consommable").html('-');

							$("#cliente_consommable").html(dados.Cliente);
							$("#endereco_cliente_consommable").html(dados.EnderecoCliente);
							$("#codigopostal_cliente_consommable").html(dados.CodigoPostalCliente);
							$("#regiao_cliente_consommable").html(dados.RegiaoCliente);
							$("#cidade_cliente_consommable").html(dados.CidadeCliente);
							$("#pais_cliente_consommable").html(dados.PaisFull);

							$("#nome2_consommable").html(dados.NomeCliente2);
							$("#apelido2_consommable").html(dados.ApelidoCliente2);

							$("#endereco_cliente_descarga_consommable").html(dados.EnderecoClienteDescarga);
							$("#endereco_cliente_descarga_2_consommable").html(dados.EnderecoCliente2Descarga);
							$("#codigopostal_cliente_descarga_consommable").html(dados.CodigoPostalClienteDescarga);
							$("#regiao_cliente_descarga_consommable").html(dados.RegiaoClienteDescarga);
							$("#cidade_cliente_descarga_consommable").html(dados.CidadeClienteDescarga);
							$("#pais_cliente_descarga_consommable").html(dados.PaisFullDescarga);

							if(dados.VendedorPrimeiro != null) $("#vendeur_1_consommable").html(dados.VendedorPrimeiro);
							else $("#vendeur_1_consommable").html('-');

							if(dados.VendedorSegundo != null) $("#vendeur_2_consommable").html(dados.VendedorSegundo);
							else $("#vendeur_2_consommable").html('-');
							// $("#vendeur_1_consommable").html(dados.VendedorPrimeiro);
							// $("#vendeur_2_consommable").html(dados.VendedorSegundo);

							if(dados.ResponsavelPrimeiro != null) $("#resp_client_1_consommable").html(dados.ResponsavelPrimeiro);
							else $("#resp_client_1_consommable").html('-');

							if(dados.ResponsavelSegundo != null) $("#resp_client_2_consommable").html(dados.ResponsavelSegundo);
							else $("#resp_client_2_consommable").html('-');
							
							$("#data_consommable").html(dados.Data);
							$("#debut_consommable").html(dados.Debut);

							<?php  if ( hasPermission(['P00147']) == 1 ) { ?>
							$("#facturation_consommable").html(dados.Facturation);
							<?php } ?>

							<?php  if ( hasPermission(['P00147']) == 1 ) { ?>

							$("#decompte_consommable").html(dados.Decompte_pages);
							
							if(dados.Paiment == 0) $("#pagamento_consommable").html('Prêt paiement');
							else $("#pagamento_consommable").html(dados.Paiment+' jours net');

							$("#prix_noir_consommable").autoNumeric('set',dados.Prix_noir);
							$("#prix_couleur_consommable").autoNumeric('set',dados.Prix_couleur);
							$("#etat_noir_consommable").html(dados.Etat_noir_begin+'<b>/</b> '+dados.Etat_noir);
							$("#etat_couleur_consommable").html(dados.Etat_couleur_begin+'<b>/</b> '+dados.Etat_couleur);

							$("#forfait_disponivel_consommable").html(dados.ForfaitDisponivel);
							$("#forfait_mensuel_consommable").autoNumeric('set', dados.ForfaitMensuel);
							$("#forfait_noir_consommable").html(dados.ForfaitNoir);
							$("#forfait_couleur_consommable").html(dados.ForfaitCouleur);
							
							<?php  } ?>

							$("#referencia_consommable").html(dados.Referencia);
							$("#remarques_consommable").html(dados.Remarque);

							//STATUS BLOCK -----------------------
							var statusHTML = '';
							var borderStamp = '';
							var detailStatus = '';
							var totalsDocument = '';
							if(dados.Estado == 'Rascunho') { statusHTML = '<strong class="text-orange">Brouillon</strong>'; borderStamp = 'stamp-label-orange'}
							if(dados.Estado == 'Confirmado') { statusHTML = '<strong class="text-green">Confirmé</strong>'; borderStamp = 'stamp-label-green'}
							if(dados.Estado == 'Aberto') { statusHTML = '<strong class="text-blue">Ouvert</strong>'; borderStamp = 'stamp-label-blue'}
							if(dados.Estado == 'Anulado') { statusHTML = '<strong class="text-red">Annulé</strong>'; borderStamp = 'stamp-label-red'}

							$('#statusDocumentLabel').html(statusHTML);
							$('#statusDocumentLabel').addClass(borderStamp);

							<?php  if ( hasPermission(['P0146']) == 1 ) { ?>

							detailStatus = '<div class="row">';
								detailStatus += '<div class="col-sm-6"><b>Créé par:</b>';
								detailStatus += '<br>'+dados.ID_Utilizador_Criacao+'<br><i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataCriacao+'</div>';

								detailStatus += '<div class="col-sm-6"><b>Mis à jour par:</b>';
								detailStatus += '<br>'+dados.ID_Utilizador_Atualizacao+'<br><i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataAtualizacao+'</div>';
							detailStatus += '</div>';

							totalsDocument += '<div class="row mbm mtm">';
								totalsDocument += '<div class="col-sm-6">';
									totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
										totalsDocument += '<p><b>Prix Noir</b></p>';
										totalsDocument += '<p class="text-green" style="font-size: 15px;">';
										totalsDocument += '<b><span class="moneyMedium">'+dados.Prix_noir+'</span></b>';
										totalsDocument += '</p>';
										totalsDocument += '<p class="text-green" style="font-size: 14px;"><span class=""><small>'+dados.Etat_noir+' pages</small></span></p>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
								totalsDocument += '<div class="col-sm-6">';
									totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
										totalsDocument += '<p><b>Prix Couleur</b></p>';
										totalsDocument += '<p class="text-green" style="font-size: 15px;">';
										totalsDocument += '<b><span class="moneyMedium">'+dados.Prix_couleur+'</span></b>';
										totalsDocument += '</p>';
										totalsDocument += '<p class="text-green" style="font-size: 14px;"><span class=""><small>'+dados.Etat_couleur+' pages</small></span></p>';
										totalsDocument += '</p>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
							totalsDocument += '</div>';
							if(dados.DataTermo){
								totalsDocument += '<div class="row mbm mtm">';
									totalsDocument += '<div class="col-sm-12">';
										totalsDocument += '<h4 id="statusDocumentLabelTermo" style="margin-top: 10px; padding: 10px; margin-bottom: 0px;" class="stamp-label-violet"><b>Résiliation en:</b> '+dados.DataTermo+'</h4>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
							}

							$('#lastUpdate').append(detailStatus);
							$('#totalsDocument').append(totalsDocument);

							<?php  } ?>

							// -----------------------------------
							
							//END BTNS BLOCK ---------------------
							var btnsHTML = ''; //buttons down
							var btnsHTML2 = ''; //buttons top
							var docNumber = '';
							if(dados.Estado != 'Rascunho') docNumber = " - "+dados.Numero;
							var processedName = dados.Cliente.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+dados.Data+ docNumber +" - " + processedName + "'";

							//buttons top and down
							if(dados.Estado == 'Rascunho'){
								btnsHTML += '<a href="modifier?consommable='+dados.ID_Consommable+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>';
								btnsHTML += '&nbsp;<button class="btn btn-green" type="button" onClick="finalizarConsommables('+dados.ID_Consommable+','+nome+')"> <i class="fa fa-flag-checkered"></i>&nbsp;Finaliser </button>';
								btnsHTML += '&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarConsommables('+dados.ID_Consommable+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>&nbsp;';
								btnsHTML2 += btnsHTML;
							}else{ 
								btnsHTML2 += '<a href="modifier_lines?consommable='+dados.ID_Consommable+'" class="btn btn-yellow" type="button"> <i class="fa fa-terminal"></i>&nbsp;Modifier lignes</a>&nbsp;';

								if(dados.Estado == 'Aberto'){
									btnsHTML2 += '<button class="btn btn-green" type="button" onClick="confirmarConsommables('+dados.ID_Consommable+','+nome+')" title="Confirmer"><i class="fa fa-check"></i>&nbsp;Marquer Confirmé </button>&nbsp;';
								}

						  		//copy the buttons
						        btnsHTML = btnsHTML2;

								btnsHTML2 += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Consommable+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>';
								
								btnsHTML += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Consommable+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>';
							}

						    <?php  if ( hasPermission(['P0148']) == 1 ) { ?>

							btnsHTML2 += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exportar_consommable.php?idDoc='+dados.ID_Consommable+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';
						    
						    <?php } ?>

							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML2 += '&nbsp;<button class="btn btn-red" type="button" onClick="anularConsommables('+dados.ID_Consommable+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
								
								var datatermo = "''";
								if(dados.DataTermo) datatermo = "'" + dados.DataTermo +"'";

								<?php if( hasPermission(['P0123']) == 1 ){ ?>
									btnsHTML2 += '&nbsp;<button class="btn btn-violet" type="button" onClick="termineContrat('+dados.ID_Consommable+','+nome+','+datatermo+')" title="Résilier le Document"><i class="fa fa-ban"></i>&nbsp;Résilier </button>';
								<?php } ?>
						    }
							
						    btnsHTML2 += '&nbsp;&nbsp;<a class="text-red only-ic" href="../consommables"><i class="fa fa-times"></i></a>';

						    <?php  if ( hasPermission(['P0148']) == 1 ) { ?>

							btnsHTML += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exportar_consommable.php?idDoc='+dados.ID_Consommable+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';

							<?php } ?>

							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML += '&nbsp;<button class="btn btn-red" type="button" onClick="anularConsommables('+dados.ID_Consommable+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
								
								var datatermo = "''";
								if(dados.DataTermo) datatermo = "'" + dados.DataTermo +"'";

								<?php if( hasPermission(['P0123']) == 1 ){ ?>
									btnsHTML += '&nbsp;<button class="btn btn-violet" type="button" onClick="termineContrat('+dados.ID_Consommable+','+nome+','+datatermo+')" title="Résilier le Document"><i class="fa fa-ban"></i>&nbsp;Résilier </button>';
								<?php } ?>
							}

							btnsHTML +='&nbsp;<a  href="../consommables" class="btn btn-default" type="button"> Annuler </a>';
							$('#btns-wrapper').append(btnsHTML);
							$('#BtnTopWrapper').append(btnsHTML2);
							// -----------------------------------

							//process lines ----------------------
							valorLinhas = 0;
							$.each(dados.linhas, function() {
								var lineID = lastIdLine;

								var htmlLine = '<tr class="articles_lines" id="line_'+lineID+'">'+
													'<td style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="codigo_linha_'+lineID+'" class="lineInputArtigo" style="display: block"></span>'+
													'</td>'+
													
													'<td>'+
														'<span data-id-line="'+lineID+'" id="descricao_linha_'+lineID+'" class="lineInputDescricao" style="display: block"></span>'+
													'</td>'+
												'</tr>';
								$('#tbody_artigos').append(htmlLine);

								//init Elements
								$(".money").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								$(".moneyMedium").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									mDec : <?php echo $numDecimaisPrice; ?>,
									vMin:'0'
								});
								$(".moneyBig").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									mDec : <?php echo $numDecimaisPrice; ?>,
									vMin:'0'
								});
								$(".moneyCountry").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' ',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								//init elements
								$(".qtd").autoNumeric("init", {
									aSep : '',
									aDec : '.',
									aSign : '',
									pSign : 's',
									mDec : 3,
									vMin:'0'
								});
								//init elements
								$(".percentage").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : '%',
									vMax : '100',
									pSign : 's',
									mDec : 2,
									vMin:'0'
								});
								
								//fill values
								$("#codigo_linha_"+lineID).html(this.codigo_artigo);
								$("#descricao_linha_"+lineID).html(this.descricao);

								lastIdLine++;
								valorLinhas++;
							});
							// -----------------------------------
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//load compteurs
	function fill_compteurs(idDocument) {
		table = $('#contagensAssociadas').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[0, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/contagens_consommables.php?consommable="+idDocument,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, null, null, null,
			{
				"sClass" : "text-center",
			},
			{
				"sClass" : "text-center",
			}, 
			{
				"sClass" : "text-center",
			},
			{
				"sClass" : "text-center",
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			},
			],
			"aoColumnDefs" : [
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[1].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_contagem_'+full[10]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [2],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="30">'+full[2]+'</span>';
				}
			},
			{
				"aTargets" : [3],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="20">'+full[3]+'</span>';
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="20">'+full[4]+'</span>';
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="20">'+full[5]+'</span>';
				}
			},
			{
				"aTargets" : [10],
				"mRender" : function(data, type, full) {
					var html = '';

					html += '<a href="/frifacturation/contrats/consommables/compteur_details?compteur='+ full[10] +'&consommable='+idDocument+'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[8]);

				if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},

		});

		$('#contagensAssociadas').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#contagensAssociadas tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#contagensAssociadas_filter input').unbind();

		$('#contagensAssociadas_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="contagensAssociadas"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#contagensAssociadas_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		$('#contagensAssociadas_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}

		//END OF TABLE ---------------------------------------------
	}
	function pesquisar() {
		table.fnFilter($('#contagensAssociadas_filter input').val());
	}

	//load documents
	function fill_factures(idDocument) {
		table2 = $('#documentsAssociados').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[0, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/faturas_consommables.php?consommable="+idDocument,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, 
			{
				"bVisible" : false,
			}, null, null,
			{
				"sClass" : "text-right",
			},
			{
				"sClass" : "text-right",
			}, 
			{
				"sClass" : "text-center",
				"bVisible" : false,
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			},
			{
				"bVisible" : false,
			},
			/*{
				"bVisible" : false,
			},*/
			{
				"bVisible" : false,
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [0],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[7] == 'Rascunho') element = '<span style="color: orange;">---</span>';
					if(full[7] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
					if(full[7] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
					if(full[7] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
					//else element = full[0];
					//return html
					return element;
				}
			},
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[11]) element = full[11];
					else element = '-';

					//return html
					return '<span class="ellipsis" data-size="45">'+element+'</span>';
				}
			},
			{
				"aTargets" : [2],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="30">'+full[1]+'</span>';
				}
			},
			{
				"aTargets" : [3],
				"mRender" : function(data, type, full) {
					//return html
					return full[2];
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[3].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[4].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					element ='<span class="moneyTable">'+full[5]+'</span>';

					//init elements
					$(".moneyTable").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[6] < 0) colorLabel = 'text-red';
	            	else colorLabel = 'text-green';
					element ='<span class="moneyTable '+colorLabel+'">'+full[6]+'</span>';

					//init elements
					$(".moneyTable").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [8],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[7] == 'Rascunho') element = '<span class="label label-orange">'+full[7]+'</span>';
					if(full[7] == 'Pago') element = '<span class="label label-green">'+full[7]+'</span>';
					if(full[7] == 'Aberto') element = '<span class="label label-blue">'+full[7]+'</span>';
					if(full[7] == 'Anulado') element = '<span class="label label-red">'+full[7]+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [9],
				"mRender" : function(data, type, full) {
					var tmp = full[3].split("-");
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					var docNumber = '';
					if(full[7] != 'Rascunho') docNumber = " - "+ full[0];
					var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
					var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
					var html = '';
					var typeDoc = "'FT'";

					html += '<a href="/frifacturation/factures/details?facture='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[8]);

				if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},

			"footerCallback" : function(row, data, start, end, display) {
	            var api = this.api(), data;

	            // Remove the formatting to get integer data for summation
	            var intVal = function(i) {
	                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
	            };

	            // Total current page
	            var valorTotal = api.column(5, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);
	            // Total current page
	            var valorSolde = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);

	            //Por liquidar -> Used extra field to calculate already rounded for a better real value
				$('body').append( $("<span />").val(0).addClass('moneyTable').attr('id','valorDocTemp') );
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					//vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				
				$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
				valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
				$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
				valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

				$( "#valorDocTemp" ).remove();

	            //final calculation
	            //-------------------------------------------------------------------------------------
	            
	            $('.moneyTable').not(".table-menu > tbody > tr > td > span").html("");
	            $('.moneyTable').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

	            if(valorSolde < 0) colorLabel = 'text-red';
	            else colorLabel = 'text-green';
	            // Update footer
	            $(api.column(6).footer()).html('<span class="moneyTable">' + valorTotal + '</span>');
	            $(api.column(7).footer()).html('<span class="moneyTable '+colorLabel+'">' + valorSolde + '</span>');
	        }

		});

		$('#documentsAssociados').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#documentsAssociados tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#documentsAssociados_filter input').unbind();

		$('#documentsAssociados_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="documentsAssociados"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar2()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table2.fnFilter(this.value);
			}

		});
		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table2.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}

		//END OF TABLE ---------------------------------------------
	}
	function pesquisar2() {
		table2.fnFilter($('#documentsAssociados_filter input').val());
	}

	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0044']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-consommables-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Terminé le Contrat
	function termineContrat(idDocument, name, datatermo){
	<?php if (hasPermission(['P0123']) == 1) { ?>
		$('#idDoc_Termo').val('');
		$('#doc_name').html('-');
		$('#data_termo').datepicker().datepicker("setDate", "<?php echo date('d/m/Y'); ?>");

		$('#idDoc_Termo').val(idDocument);
		$('#doc_name').html(name);
		if(datatermo && datatermo != '') $('#data_termo').datepicker().datepicker("setDate", datatermo);
		
		$( ".datepicker" ).datepicker("refresh");
		
		$('#modal-consommables-termo').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//finalizar
	function finalizarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir finaliser le contrat de consommables \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/finalizar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de consommables terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de contrat de consommables existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière contrat de consommables ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirmar documento
	function confirmarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir confirmé le contrat de consommables \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/confirmar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'confirmer cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de consommables a déjà été exportée et ne peut pas être confirmé!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de confirmer cette contrat de consommables parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'confirmer cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de consommables confirmé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le contrat de consommables \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/anular.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de consommables a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette contrat de consommables parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de consommables avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0042']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le contrat de consommables de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/apagar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de Consommables supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../consommables";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>