<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0040']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/contrats/consommables&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Consommables'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Nouveau Contrat d'entretien | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/* special css */
			.special-selects-group .bootstrap-select{ display: inline-block !important; width: 49% !important; }

			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../../contrats/consommables"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../../contrats/consommables">Contrats d'entretien</a>
							</li>
							<li class="active">
								Nouveau contrat
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du client
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Client<span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cliente_consommable" name="cliente_consommable"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
																<span class="input-group-btn">
																	<button type="button" class="btn btn-yellow" onclick="new_cliente()">
																		<i class="fa fa-user"></i>&nbsp;Nouveau client
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">VAT:</label>
															<input type="text" class="form-control" id="nif_cliente_consommable" name="nif_cliente_consommable" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_cliente_consommable" name="endereco_cliente_consommable" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control" id="codigopostal_cliente_consommable" name="codigopostal_cliente_consommable" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_cliente_consommable" name="regiao_cliente_consommable" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_cliente_consommable" name="cidade_cliente_consommable" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<input type="text" class="form-control" id="pais_cliente_consommable" name="pais_cliente_consommable" placeholder="..." disabled />
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Nom (Emplacement)</label>
															<input type="text" class="form-control" id="nome2_consommable" name="nome2_consommable" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Prénom (Emplacement)</label>
															<input type="text" class="form-control" id="apelido2_consommable" name="apelido2_consommable" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Adresse (Emplacement)</label>
															<input type="text" class="form-control" id="endereco_cliente_descarga_consommable" name="endereco_cliente_descarga_consommable" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Adresse (2) (Emplacement)</label>
															<input type="text" class="form-control" id="endereco_cliente_descarga_2_consommable" name="endereco_cliente_descarga_2_consommable" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal (Emplace.)</label>
															<input type="text" class="form-control" id="codigopostal_cliente_descarga_consommable" name="codigopostal_cliente_descarga_consommable" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région (Emplace.)</label>
															<input type="text" class="form-control" id="regiao_cliente_descarga_consommable" name="regiao_cliente_descarga_consommable" placeholder="..." />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville (Emplace.)</label>
															<input type="text" class="form-control" id="cidade_cliente_descarga_consommable" name="cidade_cliente_descarga_consommable" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays (Emplace.)</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_cliente_descarga_consommable" name="pais_cliente_descarga_consommable">
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de Contrat d'entretien
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_consommable" name="numero_consommable" placeholder="..." disabled value="<?php echo getNextID('Numero', 'faturacao_consommables') > 1 ? getNextID('Numero', 'faturacao_consommables') : 200000 + getInitNumber("NumeroInicial_CCON","faturacao_personalizar_documentos", "", 0); ?>"/>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_consommable" id="data_consommable" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Début<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="debut_consommable" id="debut_consommable" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Facturation<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="facturation_consommable" name="facturation_consommable"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="mensuellement">mensuellement</option>
																<option value="trimestriellement">trimestriellement</option>
																<option value="annuellement">annuellement</option>
															</select>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="col-sm-6">
														<div class="row">
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Prix Noir<span class="require">*</span></label>
																	<input type="text" class="form-control moneyMedium" id="prix_noir_consommable" name="prix_noir_consommable" placeholder="0.0000 CHF" />
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Etat (Pages)<span class="require">*</span></label>
																	<input type="number" class="form-control" id="etat_noir_consommable" name="etat_noir_consommable" min="0" placeholder="0"/>
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Prix Couleur<span class="require">*</span></label>
																	<input type="text" class="form-control moneyMedium" id="prix_couleur_consommable" name="prix_couleur_consommable" placeholder="0.0000 CHF" />
																</div>
															</div>
															<div class="col-sm-3">
																<div class="form-group">
																	<label class="control-label">Etat (Pages)<span class="require">*</span></label>
																	<input type="number" class="form-control" id="etat_couleur_consommable" name="etat_couleur_consommable" min="0" placeholder="0"/>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Paiement<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_consommable" name="pagamento_consommable"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours net</option>
																<option value="20">20 jours net</option>
																<option value="30">30 jours net</option>
																<option value="60">60 jours net</option>
																<option value="90">90 jours net</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Décompte des pages<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="decompte_consommable" name="decompte_consommable"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="Mensuellement">Mensuellement</option>
																<option value="Trimestriellement">Trimestriellement</option>
																<option value="Annuellement">Annuellement</option>
															</select>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Forfait Mensuel?<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="forfait_disponivel_consommable" name="forfait_disponivel_consommable"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="1">Oui</option>
																<option value="0">Non</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 forfait_fields_list hide">
														<div class="form-group">
															<label class="control-label">Forfait Mensuel<span class="require">*</span></label>
															<input type="text" class="form-control money" id="forfait_mensuel_consommable" name="forfait_mensuel_consommable" placeholder="0.000 CHF" />
														</div>
													</div>
													<div class="col-sm-3 forfait_fields_list hide">
														<div class="form-group">
															<label class="control-label">Forfait Noir<span class="require">*</span></label>
															<input type="number" class="form-control" id="forfait_noir_consommable" name="forfait_noir_consommable" min="0" placeholder="0"/>
														</div>
													</div>
													<div class="col-sm-3 forfait_fields_list hide">
														<div class="form-group">
															<label class="control-label">Forfait Couleur<span class="require">*</span></label>
															<input type="number" class="form-control" id="forfait_couleur_consommable" name="forfait_couleur_consommable" min="0" placeholder="0"/>
														</div>
													</div>
												</div>
												
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_consommable" name="referencia_consommable" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<input type="text" class="form-control" id="remarque_consommable" name="remarque_consommable" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:200px;">Référence&nbsp;
																	<a class="options-link text-yellow" onclick="new_article()" title="Ajouter un Article"><i class="fa fa-plus-circle"></i></i></a>
																</th>
																<th>Description</th>
																<th style="width:30px; text-align: center;">&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:200px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" >
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1"></textarea>
																</td>
																<td style="width:30px; text-align: center;">
																	<a class="options-link text-red" onclick="eliminarLinha(0)" title="Remover Linha"><i class="fa fa-trash"></i></a>
																</td>
															</tr>
														</tbody>
													</table>
												</div>
												<div class="col-xs-12">
													<button type="button" class="btn btn-blue btn-xs btn-outlined" onclick="addArticleLine()" title="Ajouter une Ligne"><i class="fa fa-plus"></i>&nbsp;Ajouter une Ligne</button>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">1er Responsable (Client)</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="resp_client_1_consommable" name="resp_client_1_consommable"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">2ème Responsable (Client)</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="resp_client_2_consommable" name="resp_client_2_consommable"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
													</div>
												</div>
												<div class="col-xs-12 col-sm-6">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Vendeur</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_1_consommable" name="vendeur_1_consommable"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Responsable</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_2_consommable" name="vendeur_2_consommable"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<button class="btn btn-green submit_button2" type="button" id="finishDocumentBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer et Finir
											</button>
											<a  href="../../contrats/consommables" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('../../modals/clientes.php');  ?>
		<?php include('../../modals/artigos.php');  ?>
		<?php include('novo_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contrats").addClass("active");
			$(".navbar-nav li.contrats li.consommables_contrats").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var enviarDocumento = 0;
			var precisaBanco = 0;
			var elementoPVP = undefined;
			var xhrTotals = null;


			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});

				//init select2
				$("select#facturation_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#pagamento_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#decompte_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#forfait_disponivel_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				$("select#resp_client_1_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "-- Responsable --", allowClear: true
				});
				$("select#resp_client_2_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "-- Responsable --", allowClear: true
				});

				//init lines
				init_general_resources();
			});

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();

				//lines resources
				init_lines_resources();
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//fill select boxes
				fill_clientes();
				fill_articles(0);
				fill_vendedores_Consommables();
				fill_responsaveis_consommable();
				//calculations
				// update_resumeTable();

				//disable the fields of the lines
				$("#descricao_linha_0").prop('disabled', true);

				//init select2
				$("select#pais_cliente_descarga_consommable").val('CH');
				$("select#pais_cliente_descarga_consommable").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
			}

			//open new people modal
			function new_cliente() {
				$('#modal-cliente').modal("show");
			}

			//open new article modal
			function new_article() {
				$('#modal-artigo').modal("show");
			}

			//change client details
			$("select#cliente_consommable").on('change', function(event){
				getClientDetails( $(this).val() );
			});

			//------------------------ LINES ----------------------------
			linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_consommable').datepicker('getDate');
				var dt_begin = $('#data_consommable').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_consommable').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					cliente_consommable : {
						required : true,
					},
					numero_consommable : {
						required : true
					},
					data_consommable : {
						required : true
					},
					facturation_consommable : {
						required : true
					},
					debut_consommable : {
						required : true
					},
					prix_noir_consommable : {
						required : true
					},
					prix_couleur_consommable : {
						required : true
					},
					pagamento_consommable : {
						required : true
					},
					decompte_consommable : {
						required : true
					},
					etat_noir_consommable : {
						required : true
					},
					etat_couleur_consommable : {
						required : true
					},
					forfait_disponivel_consommable : {
						required : true
					},
					forfait_mensuel_consommable : {
						required : function(element) {
					        return $("#forfait_disponivel_consommable").val() == 1;
					    }
					},
					forfait_noir_consommable : {
						required : function(element) {
					        return $("#forfait_disponivel_consommable").val() == 1;
					    }
					},
					forfait_couleur_consommable : {
						required : function(element) {
					        return $("#forfait_disponivel_consommable").val() == 1;
					    }
					},
				},
				messages : {
					cliente_consommable : {
						required : "Ce champ est obligatoire"
					},
					numero_consommable : {
						required : "Ce champ est obligatoire"
					},
					data_consommable : {
						required : "Ce champ est obligatoire"
					},
					pagamento_consommable : {
						required : "Ce champ est obligatoire"
					},
					facturation_consommable : {
						required : "Ce champ est obligatoire"
					},
					prix_noir_consommable : {
						required : "Ce champ est obligatoire"
					},
					prix_couleur_consommable : {
						required : "Ce champ est obligatoire"
					},
					pagamento_consommable : {
						required : "Ce champ est obligatoire"
					},
					decompte_consommable : {
						required : "Ce champ est obligatoire"
					},
					etat_noir_consommable : {
						required : "Ce champ est obligatoire"
					},
					etat_couleur_consommable : {
						required : "Ce champ est obligatoire"
					},
					forfait_disponivel_consommable : {
						required : "Ce champ est obligatoire"
					},
					forfait_mensuel_consommable : {
						required : "Ce champ est obligatoire"
					},
					forfait_noir_consommable : {
						required : "Ce champ est obligatoire"
					},
					forfait_couleur_consommable : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//change forfait
			$('#forfait_disponivel_consommable').on('change', function(event){
				if( $(this).val() == 1 ){
					$('.forfait_fields_list').removeClass('hide');
				}else{
					$('.forfait_fields_list').addClass('hide');
				}
			});

			//store and close document
			$('#finishDocumentBtn').on('click', function(event){
				salvarFinalizar();
			});
			
			//FINISH THE DOCUMENT
			function salvarFinalizar(){
				var question = "Êtes-vous sûr de vouloir finaliser le contrat de consommables?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
				if (confirm(question) == true) {
					finalizarDocumento = 1;
					$("#submitFormBtn").click();
				} else { finalizarDocumento = 0; return false; }
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					//check if exists 1 article at least
					$("select.lineInputArtigo").each(function() {
						var lineID = $(this).attr('data-id-line');
						//check lines with articles
						if( $(this).val() > 0 ) linesWithArticles++;
						// //check invalid totals
						// if( $("#total_linha_"+lineID).parent().attr('data-status') == 'invalid'	) invalid++;
						// //check invalid plans
						// if( $("#plano_artigo_linha_"+lineID).val() <= 0	) invalid++;
						// //check invalid quantities
						// if( $("#qtd_linha_"+lineID).autoNumeric('get') <= 0	) articlesQTD++;
						//check isenções
						// var subclasse = $('option:selected', $("#iva_linha_"+lineID)).attr('data-subclasse');
						// if (subclasse == 'ISE'){
						// 	if( $("#motivo_linha_"+lineID).val() < 1) /*motives++;*/ motives=0;
						// }
					});

					//process validation
					if( invalid > 0 ) $.scojs_message("Vérifiez les valeurs des comptes et / ou des prix.", $.scojs_message.TYPE_ERROR);
					if( linesWithArticles == 0 ) $.scojs_message("S'il vous plaît ajouter au moins 1 point.", $.scojs_message.TYPE_ERROR);
					if( articlesQTD > 0 ) $.scojs_message("S'il vous plaît vérifier les quantités.", $.scojs_message.TYPE_ERROR);
					if( motives > 0 ) $.scojs_message("S'il vous plaît vérifier des raisons d'exemption.", $.scojs_message.TYPE_ERROR);

					if( invalid == 0 && linesWithArticles > 0 && articlesQTD == 0 && motives == 0){
						//process the lines array
						var linesArticles = [];
						$("select.lineInputArtigo").each(function() {
							var lineID = $(this).attr('data-id-line');

							//add to array
							linesArticles.push({
								"artigo" : $(this).val(),
								// "planocontas_artigo" : $("#plano_artigo_linha_"+lineID).val(),
								"descricao" : $("#descricao_linha_"+lineID).val(),
								// "qtd" : $("#qtd_linha_"+lineID).autoNumeric('get'),
							});
						});

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/contrats/consommables/inserir.php',
							dataType : 'json',
							data : {
								cliente : $("#cliente_consommable").val(),
								
								nome2 : $("#nome2_consommable").val(),
								apelido2 : $("#apelido2_consommable").val(),
								
								endereco_cliente_descarga : $("#endereco_cliente_descarga_consommable").val(),
								endereco_cliente_descarga_2 : $("#endereco_cliente_descarga_2_consommable").val(),
								codigopostal_cliente_descarga : $("#codigopostal_cliente_descarga_consommable").val(),
								regiao_cliente_descarga : $("#regiao_cliente_descarga_consommable").val(),
								cidade_cliente_descarga : $("#cidade_cliente_descarga_consommable").val(),
								pais_cliente_descarga : $("#pais_cliente_descarga_consommable").val(),

								numero : $("#numero_consommable").val(),
								data : $("#data_consommable").val(),
								debut : $("#debut_consommable").val(),
								facturation : $("#facturation_consommable").val(),
								prix_noir : $("#prix_noir_consommable").autoNumeric('get'),
								prix_couleur : $("#prix_couleur_consommable").autoNumeric('get'),

								etat_noir : $("#etat_noir_consommable").val(),
								etat_couleur : $("#etat_couleur_consommable").val(),

								pagamento : $("#pagamento_consommable").val(),
								decompte : $("#decompte_consommable").val(),
								referencia : $("#referencia_consommable").val(),
								remarque : $("#remarque_consommable").val(),
								vendeur_1 : $("#vendeur_1_consommable").val(),
								vendeur_2 : $("#vendeur_2_consommable").val(),
								resp_client_1 : $("#resp_client_1_consommable").val(),
								resp_client_2 : $("#resp_client_2_consommable").val(),

								forfait_disponivel_consommable : $("#forfait_disponivel_consommable").val(),
								forfait_mensuel_consommable : $("#forfait_mensuel_consommable").val(),
								forfait_noir_consommable : $("#forfait_noir_consommable").val(),
								forfait_couleur_consommable : $("#forfait_couleur_consommable").val(),
								linhas : linesArticles,
								finalizarDocumento : finalizarDocumento,
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								var idDoc = resp.responseJSON.consommable;
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.referencia) {
										$.scojs_message("[FAT002] La référence de contrat de consommables existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
									}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière contrat de consommables ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);

									//reload
									setTimeout(function() {
										if(finalizarDocumento > 0 ) window.location.href = "../../contrats/consommables";
										else window.location.href = "../../contrats/consommables/details?consommable="+resp.responseJSON.consommable;
									}, 1000);
									
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
				}
			});
		</script>
	</body>
</html>