<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0035']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/contrats/location&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Contratos'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Nouvelle Contrat de Location | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/* special css */
			.special-selects-group .bootstrap-select{ display: inline-block !important; width: 49% !important; }

			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../../contrats/location"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../../contrats/location">Contrats de Location</a>
							</li>
							<li class="active">
								Nouvelle Location
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du client
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Client<span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cliente_location" name="cliente_location"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
																<span class="input-group-btn">
																	<button type="button" class="btn btn-yellow" onclick="new_cliente()">
																		<i class="fa fa-user"></i>&nbsp;Nouveau client
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">VAT:</label>
															<input type="text" class="form-control" id="nif_cliente_location" name="nif_cliente_location" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_cliente_location" name="endereco_cliente_location" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control" id="codigopostal_cliente_location" name="codigopostal_cliente_location" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_cliente_location" name="regiao_cliente_location" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_cliente_location" name="cidade_cliente_location" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<input type="text" class="form-control" id="pais_cliente_location" name="pais_cliente_location" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de Contrat de Location
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_location" name="numero_location" placeholder="..." disabled value="<?php echo getNextID('Numero', 'faturacao_locations') > 1 ? getNextID('Numero', 'faturacao_locations') : 500000 + getInitNumber("NumeroInicial_CLOC","faturacao_personalizar_documentos", "", 0); ?>"/>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepickerNormal today" data-provide="datepicker" name="data_location" id="data_location" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Durée<span class="require">*</span></label>
															<div class="row">
																<div class="col-sm-6" style="padding-right: 2px;">
																	<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="duree_location" name="duree_location"  >
																		<option value="" data-hidden="true">Sélectionnez</option>
																		<option value="12">12</option>
																		<option value="24">24</option>
																		<option value="36">36</option>
																		<option value="48">48</option>
																		<option value="60">60</option>
																	</select>
																</div>
																<div class="col-sm-6" style="padding-left: 2px;">
																	<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="duree_type_location" name="duree_type_location"  >
																		<option value="" data-hidden="true">Sélectionnez</option>
																		<option value="jours">jours</option>
																		<option value="mois" selected>mois</option>
																		<option value="ans">ans</option>
																	</select>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Début<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker beginmonth" data-provide="datepicker" name="debut_location" id="debut_location" data-date-format="mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
												</div>

												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Location Mensuelle<span class="require">*</span></label>
															<input type="text" class="form-control money" id="location_location" name="location_location" placeholder="0.00 CHF" />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Emolument Admin.<span class="require">*</span></label>
															<input type="text" class="form-control money" id="emolument_location" name="emolument_location" placeholder="0.00 CHF" />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Paiement<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_location" name="pagamento_location"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours net</option>
																<option value="20">20 jours net</option>
																<option value="30">30 jours net</option>
																<option value="60">60 jours net</option>
																<option value="90">90 jours net</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Location facturée<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="tva_exclue_location" name="tva_exclue_location"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="">Sélectionnez</option>
																<option value="Location facturée: Mensuellement">Location facturée: Mensuellement</option>
																<option value="Location facturée: Trimestriellement">Location facturée: Trimestriellement</option>
																<option value="Location facturée: Annuellement">Location facturée: Annuellement</option>
															</select>
														</div>
													</div>
												</div>
												
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_location" name="referencia_location" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-9">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<input type="text" class="form-control" id="remarque_location" name="remarque_location" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Décompte des pages</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="decompte_location" name="decompte_location"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="Mensuellement">Mensuellement</option>
																<option value="Trimestriellement">Trimestriellement</option>
																<option value="Annuellement">Annuellement</option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:200px;">Référence&nbsp;
																	<a class="options-link text-yellow" onclick="new_article()" title="Ajouter un Article"><i class="fa fa-plus-circle"></i></i></a>
																</th>
																<th>Description</th>
																<th style="width:30px; text-align: center;">&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:200px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" >
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1"></textarea>
																</td>
																<td style="width:30px; text-align: center;">
																	<a class="options-link text-red" onclick="eliminarLinha(0)" title="Remover Linha"><i class="fa fa-trash"></i></a>
																</td>
															</tr>
														</tbody>
													</table>
												</div>
												<div class="col-xs-12">
													<button type="button" class="btn btn-blue btn-xs btn-outlined" onclick="addArticleLine()" title="Ajouter une Ligne"><i class="fa fa-plus"></i>&nbsp;Ajouter une Ligne</button>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">1er Responsable (Client)</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="resp_client_1_location" name="resp_client_1_location"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">2ème Responsable (Client)</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="resp_client_2_location" name="resp_client_2_location"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
													</div>
												</div>
												<div class="col-xs-12 col-sm-6">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Vendeur</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_1_location" name="vendeur_1_location"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Responsable</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_2_location" name="vendeur_2_location"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<button class="btn btn-green submit_button2" type="button" id="finishDocumentBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer et Finir
											</button>
											<a  href="../../contrats/location" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('../../modals/clientes.php');  ?>
		<?php include('../../modals/artigos.php');  ?>
		<?php include('novo_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contrats").addClass("active");
			$(".navbar-nav li.contrats li.location_contrats").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var enviarDocumento = 0;
			var precisaBanco = 0;
			var elementoPVP = undefined;
			var xhrTotals = null;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//Calendario Début
				$('.datepicker').datepicker({
					format: "dd/mm/yyyy",
				    viewMode: 1,
  					minViewMode: 1,
					language : 'pt'
				});
				var currDate = new Date();
				$('.beginmonth').datepicker().datepicker("setDate", new Date(currDate.getFullYear(), currDate.getMonth(), 1));
				$( ".datepicker" ).datepicker("refresh");

				//datepicker init
				$('.datepickerNormal').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepickerNormal" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});

				//init select2
				$("select#duree_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#duree_type_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#pagamento_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#tva_exclue_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				$("select#resp_client_1_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "-- Responsable --", allowClear: true
				});
				$("select#resp_client_2_location").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "-- Responsable --", allowClear: true
				});

				//init lines
				init_general_resources();
			});

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();

				//lines resources
				init_lines_resources();
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//fill select boxes
				fill_clientes();
				fill_articles(0);
				fill_vendedores_location();
				fill_responsaveis_location();
				//calculations
				// update_resumeTable();

				//disable the fields of the lines
				$("#descricao_linha_0").prop('disabled', true);
			}

			//open new people modal
			function new_cliente() {
				$('#modal-cliente').modal("show");
			}

			//open new article modal
			function new_article() {
				$('#modal-artigo').modal("show");
			}

			//change client details
			$("select#cliente_location").on('change', function(event){
				getClientDetails( $(this).val() );
			});

			//------------------------ LINES ----------------------------
			linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_location').datepicker('getDate');
				var dt_begin = $('#data_location').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_location').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					cliente_location : {
						required : true,
					},
					numero_location : {
						required : true
					},
					data_location : {
						required : true
					},
					duree_location : {
						required : true
					},
					debut_location : {
						required : true
					},
					location_location : {
						required : true
					},
					emolument_location : {
						required : true
					},
					pagamento_location : {
						required : true
					},
					tva_exclue_location : {
						required : true
					},
				},
				messages : {
					cliente_location : {
						required : "Ce champ est obligatoire"
					},
					numero_location : {
						required : "Ce champ est obligatoire"
					},
					data_location : {
						required : "Ce champ est obligatoire"
					},
					pagamento_location : {
						required : "Ce champ est obligatoire"
					},
					duree_location : {
						required : "Ce champ est obligatoire"
					},
					location_location : {
						required : "Ce champ est obligatoire"
					},
					emolument_location : {
						required : "Ce champ est obligatoire"
					},
					pagamento_location : {
						required : "Ce champ est obligatoire"
					},
					tva_exclue_location : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//store and close document
			$('#finishDocumentBtn').on('click', function(event){
				salvarFinalizar();
			});
			
			//FINISH THE DOCUMENT
			function salvarFinalizar(){
				var question = "Êtes-vous sûr de vouloir finaliser le contrat de location?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
				if (confirm(question) == true) {
					finalizarDocumento = 1;
					$("#submitFormBtn").click();
				} else { finalizarDocumento = 0; return false; }
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					//check if exists 1 article at least
					$("select.lineInputArtigo").each(function() {
						var lineID = $(this).attr('data-id-line');
						//check lines with articles
						if( $(this).val() > 0 ) linesWithArticles++;
						// //check invalid totals
						// if( $("#total_linha_"+lineID).parent().attr('data-status') == 'invalid'	) invalid++;
						// //check invalid plans
						// if( $("#plano_artigo_linha_"+lineID).val() <= 0	) invalid++;
						// //check invalid quantities
						// if( $("#qtd_linha_"+lineID).autoNumeric('get') <= 0	) articlesQTD++;
						//check isenções
						// var subclasse = $('option:selected', $("#iva_linha_"+lineID)).attr('data-subclasse');
						// if (subclasse == 'ISE'){
						// 	if( $("#motivo_linha_"+lineID).val() < 1) /*motives++;*/ motives=0;
						// }
					});

					//process validation
					if( invalid > 0 ) $.scojs_message("Vérifiez les valeurs des comptes et / ou des prix.", $.scojs_message.TYPE_ERROR);
					if( linesWithArticles == 0 ) $.scojs_message("S'il vous plaît ajouter au moins 1 point.", $.scojs_message.TYPE_ERROR);
					if( articlesQTD > 0 ) $.scojs_message("S'il vous plaît vérifier les quantités.", $.scojs_message.TYPE_ERROR);
					if( motives > 0 ) $.scojs_message("S'il vous plaît vérifier des raisons d'exemption.", $.scojs_message.TYPE_ERROR);

					if( invalid == 0 && linesWithArticles > 0 && articlesQTD == 0 && motives == 0){
						//process the lines array
						var linesArticles = [];
						$("select.lineInputArtigo").each(function() {
							var lineID = $(this).attr('data-id-line');

							//add to array
							linesArticles.push({
								"artigo" : $(this).val(),
								// "planocontas_artigo" : $("#plano_artigo_linha_"+lineID).val(),
								"descricao" : $("#descricao_linha_"+lineID).val(),
								// "qtd" : $("#qtd_linha_"+lineID).autoNumeric('get'),
							});
						});

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/contrats/location/inserir.php',
							dataType : 'json',
							data : {
								cliente : $("#cliente_location").val(),
								numero : $("#numero_location").val(),
								data : $("#data_location").val(),
								duree : $("#duree_location").val(),
								duree_type : $("#duree_type_location").val(),
								debut : $("#debut_location").val(),
								location : $("#location_location").autoNumeric('get'),
								emolument : $("#emolument_location").autoNumeric('get'),
								pagamento : $("#pagamento_location").val(),
								tva_exclue : $("#tva_exclue_location").val(),
								referencia : $("#referencia_location").val(),
								remarque : $("#remarque_location").val(),
								vendeur_1 : $("#vendeur_1_location").val(),
								vendeur_2 : $("#vendeur_2_location").val(),
								resp_client_1 : $("#resp_client_1_location").val(),
								resp_client_2 : $("#resp_client_2_location").val(),
								decompte : $("#decompte_location").val(),
								linhas : linesArticles,
								finalizarDocumento : finalizarDocumento,
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								var idDoc = resp.responseJSON.location;
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.referencia) {
										$.scojs_message("[FAT002] La référence de contrat de location existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
									}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière contrat de location ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);

									//reload
									setTimeout(function() {
										if(finalizarDocumento > 0 ) {
											// window.location.href = "../../contrats/location";
											generateDocumentAutomaticaly(resp.responseJSON.location);
										}
										else window.location.href = "../../contrats/location/details?location="+resp.responseJSON.location;
									}, 1000);
									
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
				}
			});
			
			//generate automatique invoices
			function generateDocumentAutomaticaly(idDocumento){
				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/gerar_documentos/location_gera_fatura.php',
					dataType : 'json',
					data : {
						idDocumento : idDocumento,
						firstTime : 1,
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Document Automatique généré avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							setTimeout(function() {
								window.location.href = "../../contrats/location";
							}, 1000);
						} else {
							window.location.href = "../../contrats/location/details?location="+idDocumento;
						}
					}
				});
			}
		</script>
	</body>
</html>