<script type="text/javascript">
	//load data
	function fill_document(idDocument) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/devis/detalhes.php',
			dataType : 'json',
			data : { idDocument : idDocument },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {					
							var dados = resposta.data;
							
							//fill Data
							$("#cliente_devis").html(dados.Cliente);
							$("#nif_cliente_devis").html(dados.Nif);
							$("#endereco_cliente_devis").html(dados.EnderecoCliente);
							$("#codigopostal_cliente_devis").html(dados.CodigoPostalCliente);
							$("#regiao_cliente_devis").html(dados.RegiaoCliente);
							$("#cidade_cliente_devis").html(dados.CidadeCliente);
							$("#pais_cliente_devis").html(dados.PaisFull);
							$("#referencia_devis").html(dados.Referencia);
							$("#observacoes_devis").html(dados.Observacoes);
							if(dados.Vencimento == 0) $("#vencimento_devis").html('Prêt paiement');
							else $("#vencimento_devis").html(dados.Vencimento+' jours après l\'émission');
							$("#desconto_devis").autoNumeric('set', dados.PercentagemDesconto);
							$("#data_devis").html(dados.Data);
							$("#data_devis").attr('data-normalizeDate', dados.DataNormalizada);
							$("#validade_devis").html(dados.Validade);
							$("#pagamento_devis").html(dados.MetodoPagamento);
							if(dados.Banco != '' && dados.Banco != null) { 
								$("#banco_devis").html(dados.Banco);
								// $("#bvr_devis").html(dados.BVR); 
							}
							else { 
								$("#banco_devis").html('-'); 
								// $("#bvr_devis").html('-'); 
							}
							$("#serie_devis").html(dados.Serie);
							if(dados.Numero > 0) $("#numero_devis").html(dados.Numero);
							else $("#numero_devis").html('-');
							$("#moeda_devis").html(dados.Moeda);
							$("#moeda_devis").attr('data-iso',dados.IsoCode).attr('data-simbolo',dados.Simbolo);
							taxaCambio = dados.TaxaMoeda;

							//STATUS BLOCK -----------------------
							var statusHTML = '';
							var borderStamp = '';
							var detailStatus = '';
							var totalsDocument = '';
							if(dados.Estado == 'Rascunho') { statusHTML = '<strong class="text-orange">Brouillon</strong>'; borderStamp = 'stamp-label-orange'}
							if(dados.Estado == 'Confirmado') { statusHTML = '<strong class="text-green">Confirmé</strong>'; borderStamp = 'stamp-label-green'}
							if(dados.Estado == 'Aberto') { statusHTML = '<strong class="text-blue">Ouvert</strong>'; borderStamp = 'stamp-label-blue'}
							if(dados.Estado == 'Anulado') { statusHTML = '<strong class="text-red">Annulé</strong>'; borderStamp = 'stamp-label-red'}

							$('#statusDocumentLabel').html(statusHTML);
							$('#statusDocumentLabel').addClass(borderStamp);

							if(dados.Estado == 'Rascunho'){
								detailStatus = '<p><b>Créé par:</b></p>';
								detailStatus += '<p style="margin: 0px;">'+dados.UtilizadorCriador+'&nbsp;&nbsp;&nbsp;<i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataCriacao+'</p>';
							}else{
								detailStatus = '<p><b>Dernière mise à jour par:</b></p>';
								detailStatus += '<p style="margin: 0px;">'+dados.ID_UtilizadorAtualizacao+'&nbsp;&nbsp;&nbsp;<i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataAtualizacao+'</p>';
							}

							totalsDocument += '<div class="row mbm mtm">';
								totalsDocument += '<div class="col-sm-12">';
									totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
										totalsDocument += '<p><b>Total du Devis:</b></p>';
										totalsDocument += '<p class="text-green" style="font-size: 15px;">';
										totalsDocument += '<b><span class="money">'+dados.TotalPagar+'</span></b>';
										if(dados.IsoCode != 'CHF') totalsDocument += '<br/><b><span class="moneyCountry" style="font-size: 11px;">'+dados.TotalLiquidado_Estrangeiro+'</span></b>';
										totalsDocument += '</p>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
								// totalsDocument += '<div class="col-sm-6">';
								// 	totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
								// 		totalsDocument += '<p><b>Total à Payer:</b></p>';
								// 		totalsDocument += '<p class="text-red" style="font-size: 15px;">';
								// 		totalsDocument += '<b><span class="money">'+dados.TotalPagar+'</span></b>';
								// 		if(dados.IsoCode != 'CHF') totalsDocument += '<br/><b><span class="moneyCountry" style="font-size: 11px;">'+dados.TotalPagar_Estrangeiro+'</span></b>';
								// 		totalsDocument += '</p>';
								// 	totalsDocument += '</div>';
								// totalsDocument += '</div>';
							totalsDocument += '</div>';

							$('#lastUpdate').append(detailStatus);
							$('#totalsDocument').append(totalsDocument);
							// -----------------------------------
							
							//END BTNS BLOCK ---------------------
							var btnsHTML = ''; //buttons down
							var btnsHTML2 = ''; //buttons top
							var docNumber = '';
							if(dados.Estado != 'Rascunho') docNumber = " - "+"DV "+dados.Serie+"/"+dados.Numero;
							var processedName = dados.Cliente.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+dados.Data+ docNumber+" - " + processedName + "'";
							var typeDoc = "'DV'";

						    // =========== Buttons top and bottom =========== //
						    
							if(dados.Estado == 'Rascunho'){
								btnsHTML += '<a href="modifier?devis='+dados.ID_Devis+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>';
								btnsHTML += '&nbsp;<button class="btn btn-green" type="button" onClick="finalizarFatura('+dados.ID_Devis+','+nome+')"> <i class="fa fa-flag-checkered"></i>&nbsp;Finaliser </button>';
								btnsHTML += '&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarFatura('+dados.ID_Devis+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>&nbsp;';
								btnsHTML2 += btnsHTML;
							}else{ 
								if(dados.Estado == 'Aberto'){
									btnsHTML2 += '<button class="btn btn-green" type="button" onClick="confirmarDevis('+dados.ID_Devis+','+nome+')" title="Confirmer"><i class="fa fa-check"></i>&nbsp;Marquer Confirmé </button>&nbsp;';
								}

						  		//copy the buttons
						        btnsHTML = btnsHTML2;

								btnsHTML2 += '<a class="btn btn-orange" href="modifier_lines?devis='+dados.ID_Devis+'" title="Modifier Référence et Remarques"><i class="fa fa-terminal"></i>&nbsp;Modifier</a>&nbsp;';

								btnsHTML2 += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Devis+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>&nbsp;';
								
								btnsHTML += '<a class="btn btn-orange" href="modifier_lines?devis='+dados.ID_Devis+'" title="Modifier Référence et Remarques"><i class="fa fa-terminal"></i>&nbsp;Modifier</a>&nbsp;';
								btnsHTML += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Devis+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>&nbsp;';
							}

							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado' ){
								btnsHTML2 += '<button class="btn btn-blue" type="button" onClick="enviarDevis('+dados.ID_Devis+','+typeDoc+')" title="Envoyer"><i class="fa fa-paper-plane"></i>&nbsp;Envoyer </button>';
							}

							
							btnsHTML2 += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exporter_devis.php?idDoc='+dados.ID_Devis+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';

							if(dados.Estado == 'Aberto'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML2 += '&nbsp;<button class="btn btn-red" type="button" onClick="anularFatura('+dados.ID_Devis+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
						    }
							
						    btnsHTML2 += '&nbsp;&nbsp;<a class="text-red only-ic" href="../devis"><i class="fa fa-times"></i></a>';

						    // =========== ============== =========== //
						    
						    // =========== Buttons bottom =========== //
						    
							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado' ){
								btnsHTML += '<button class="btn btn-blue" type="button" onClick="enviarDevis('+dados.ID_Devis+','+typeDoc+')" title="Envoyer"><i class="fa fa-paper-plane"></i>&nbsp;Envoyer </button>';
							}

							btnsHTML += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exporter_devis.php?idDoc='+dados.ID_Devis+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';

							if(dados.Estado == 'Aberto'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML += '&nbsp;<button class="btn btn-red" type="button" onClick="anularFatura('+dados.ID_Devis+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
							}

							btnsHTML +='&nbsp;<a  href="../devis" class="btn btn-default" type="button"> Annuler </a>';

						    // ====================================== //
						    
							$('#btns-wrapper').append(btnsHTML);
							$('#BtnTopWrapper').append(btnsHTML2);
							// -----------------------------------

							//process lines ----------------------
							valorLinhas = 0;
							$.each(dados.linhas, function() {
								var lineID = lastIdLine;

								var htmlLine = '<tr class="articles_lines" id="line_'+lineID+'">'+
													'<td style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="codigo_linha_'+lineID+'" class="lineInputArtigo" style="display: block"></span>'+
													'</td>'+
													'<td style="width:70;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">'+
														'<span data-id-line="'+lineID+'" id="plano_artigo_linha_'+lineID+'" class="lineInputPlano" style="display: block"></span>'+
													'</td>'+
													'<td>'+
														'<span data-id-line="'+lineID+'" id="descricao_linha_'+lineID+'" class="lineInputDescricao" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" id="qtd_linha_'+lineID+'" class="lineInputQTD qtd"></span>'+
													'</td>'+
													'<td class="text-center" style="width:35px; <?php echo $spanStyleOnly; ?>">'+
														'<span id="unidade_linha_'+lineID+'" style="font-size: 10px; display: inline-block;">UN</span>'+
													'</td>'+
													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="preco_linha_'+lineID+'" class="lineInputPreco moneyBig" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" data-ivaID="'+this.idIva+'" data-valor="'+this.valorIva+'" data-descricao="'+this.desc_imposto+'" id="iva_linha_'+lineID+'" class="lineInputImposto" style="display: block"></span>'+
													'</td>'+
													// '<td style="width:120px;">'+
													// 	'<span data-id-line="'+lineID+'" id="motivo_linha_'+lineID+'" class="lineInputMotivo" style="display: block"></span>'+
													// '</td>'+
													'<td class="text-right" style="width:80px;">'+
														'<span data-id-line="'+lineID+'" id="desc_linha_'+lineID+'" class="lineInputDesconto percentage" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right hide" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="retencao_linha_'+lineID+'" class="lineInputRetencao money" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="total_linha_'+lineID+'" style="display: block" class="money">0</span>'+
													'</td>'+
												'</tr>';
								$('#tbody_artigos').append(htmlLine);

								//init Elements
								$(".money").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								$(".moneyBig").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									mDec : <?php echo $numDecimaisPrice; ?>,
									vMin:'0'
								});
								$(".moneyCountry").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' ',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								//init elements
								$(".qtd").autoNumeric("init", {
									aSep : '',
									aDec : '.',
									aSign : '',
									pSign : 's',
									mDec : 3,
									vMin:'0'
								});
								//init elements
								$(".percentage").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : '%',
									vMax : '100',
									pSign : 's',
									mDec : 2,
									vMin:'0'
								});
								
								//fill values
								$("#codigo_linha_"+lineID).html(this.artigo);
								$("#iva_linha_"+lineID).html(this.imposto);
								$("#plano_artigo_linha_"+lineID).html(this.PlanoContas);
								if(this.id_motivo > 0) $("#motivo_linha_"+lineID).html(this.motivo);
								else $("#motivo_linha_"+lineID).html('-');
								if(this.serial_number!=""){
									$("#descricao_linha_"+lineID).html(this.descricao+" - "+this.serial_number);
								}else{
									$("#descricao_linha_"+lineID).html( this.descricao);
								}
								
								$("#qtd_linha_"+lineID).autoNumeric('set', this.qtd);
								$("#unidade_linha_"+lineID).html(this.unidade);
								$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
								$("#preco_linha_"+lineID).attr('data-valueOrig', this.preco);
								$("#desc_linha_"+lineID).autoNumeric('set', this.desconto);
								$("#retencao_linha_"+lineID).autoNumeric('set', this.retencao);
								$("#total_linha_"+lineID).autoNumeric('set', this.totalLinha);

								lastIdLine++;
								valorLinhas++;
							});
							// -----------------------------------

							//calculations
							calculateTaxesLines();
							updateDocumentTotals();
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Calculate the taxes
	 * @return taxes totals
	 */
	function calculateTaxesLines(){
		//clean table and sum fields
		$('.taxes_lines').remove();
		valorSiva = 0;
		valorIva = 0;

		//desconto generico
		var desconto2 = $('#desconto_devis').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputImposto").each(function() {
			var ivaID = $(this).attr('data-ivaID');
			var ivaValor = $(this).attr('data-valor');
			var lineID = $(this).attr('data-id-line');
			var descricaoIVA = $(this).attr('data-descricao')+': '+$(this).html();
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var iva = Number( ivaValor );
			iva = Number ( (iva * 0.01) );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			
			var totalIncidencia = 0;

			//process line totals
			totalIncidencia = qtd * preco;
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto);
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto2);
			totalIVA = totalIncidencia * iva;

			//update resume table fields
			valorSiva += totalIncidencia;
			valorIva += totalIVA;

			//check if line exists or create it
			if( $("#tax_id_"+ivaID).length ){
				var somatorioIncidencia = Number( $("#taxes_incidencia_"+ivaID).attr('data-real-value') );
				var somatorioIVA = Number( $("#taxes_valor_"+ivaID).attr('data-real-value') );
				
				totalIncidencia = totalIncidencia + somatorioIncidencia;
				totalIVA = totalIVA + somatorioIVA;

				$("#taxes_incidencia_"+ivaID).attr('data-real-value', totalIncidencia);
				$("#taxes_valor_"+ivaID).attr('data-real-value', totalIVA);
				$("#taxes_incidencia_"+ivaID).autoNumeric('set', totalIncidencia);
				$("#taxes_valor_"+ivaID).autoNumeric('set', totalIVA);
			}else{

				var htmlLine = '<tr class="taxes_lines" id="tax_id_'+ivaID+'">'+
									'<th class="textCell paddingRight"><span class="" id="taxes_iva_'+ivaID+'">'+descricaoIVA+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_incidencia_'+ivaID+'" data-real-value="'+totalIncidencia+'">'+totalIncidencia+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_valor_'+ivaID+'" data-real-value="'+totalIVA+'">'+totalIVA+'</span></th>'+
								'</tr>';
				$('.taxes-table').append(htmlLine);
			}

			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
		});
	}

	/**
	 * Update the document totals table
	 * @return totals
	 */
	function updateDocumentTotals(){
		//totals vars
		valorSomatorio = 0;
		valorDescontos = 0;
		valorRetencao = 0;
		// valorSiva;
		// valorIva;
		valorTotal = 0;

		//desconto generico
		var desconto2 = $('#desconto_devis').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputDescricao").each(function() {
			var lineID = $(this).attr('data-id-line');
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			var retencao = Number( $("#retencao_linha_"+lineID).autoNumeric('get') );
			
			//process line totals
			var somaTotal = qtd * preco;
			var descontoTotal = somaTotal * desconto;
			var somaDesconto = somaTotal - (somaTotal * desconto);
			descontoTotal = descontoTotal + (somaDesconto * desconto2);

			//update resume table fields
			valorSomatorio += somaTotal;
			valorDescontos += descontoTotal;
			valorRetencao += retencao;
		});
		
		//remain totals
		// valorTotal = (valorSiva + valorIva) - valorRetencao;
		valorTotal = (valorSiva + valorIva);

		//update resume table
		update_resumeTable();

		//if currency != 'CHF'
		calculateCurrencyCambio();
	}

	/**
	 * Update the resume table
	 * @return none
	 */
	function update_resumeTable(){
		valorTotal = roundPriceUp(valorTotal);
		$('#valor-linhas').html( valorLinhas );
		$('#valor-somatorio').autoNumeric( 'set', valorSomatorio );
		$('#valor-descontos').autoNumeric( 'set', valorDescontos );
		$('#valor-retencao').autoNumeric( 'set', valorRetencao );
		$('#valor-siva').autoNumeric( 'set', valorSiva );
		$('#valor-iva').autoNumeric( 'set', valorIva );
		$('#valor-total').autoNumeric( 'set', valorTotal );
		return true;
	}

	/**
	 * Get Custom Rounded UP Value for Invoices (0.05 UP)
	 * @return rounded value
	 */
	function roundPriceUp(valueToRise){
		var finalValue = 0;
		//confirm that the value is rounded
		var roundedValue = Number(valueToRise).toFixed(2);
		//grab last decimal number
		var lastNumber = roundedValue.substr(roundedValue.length - 1);

		/* === process the last decimal number === */
		if(lastNumber > 0 && lastNumber <= 2) {
			var replacement = 0;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 2 && lastNumber <= 7) {
			var replacement = 5;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 7 && lastNumber <=9 ) {
			finalValue = Number(valueToRise).toFixed(1);
		}
		else{
			finalValue = roundedValue;
		}
		/* =========== /end processing =========== */
		// console.log(roundedValue,lastNumber, finalValue)

		// console.log( roundedValue,lastNumber, finalValue );
		
		//return final formatted value
		return finalValue;
	}

	/**
	 * Change Currency Cambio
	 * @return none
	 */
	function calculateCurrencyCambio(){
		var iso = $("#moeda_devis").attr('data-iso');
		var simbolo = $("#moeda_devis").attr('data-simbolo');
		var valorTaxa = 0;
		var totalMoeda = 0;

		if( iso != 'CHF' ){
			$("#moeda_estrangeira").html('Total en '+simbolo+':');
			// $("valor-moeda-estrangeira");

			$(".moneyCountry").autoNumeric("update", {
				aSign : ' '+simbolo
			});

			$("#taxa-cambio").html(taxaCambio);

			//calculate currency
			totalMoeda = valorTotal * taxaCambio;
			$("#valor-moeda-estrangeira").autoNumeric('set', totalMoeda);

			$("#linha_moeda_estrangeira").show();
			$("#linha_moeda_estrangeira2").show();
		}else{
			$("#moeda_estrangeira").html('');

			$("#linha_moeda_estrangeira").hide();
			$("#linha_moeda_estrangeira2").hide();
		}
	}

	//----------------------- Document Functions ------------------------//

	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0121']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-devis-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirmar documento
	function confirmarDevis(idDevis, nome){
	<?php if (hasPermission(['P0119']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir confirmé le devis \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/devis/confirmar.php',
				dataType : 'json',
				data : {
					idDevis : idDevis
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'confirmer cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette devis a déjà été exportée et ne peut pas être confirmé!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de confirmer cette devis parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'confirmer cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Devis confirmé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//check if selected date is bigger than today
	function checkDataBiggerThanToday(){
		var result;

		var dt_Today = new Date();
		var dt_begin = new Date( $('#data_devis').attr('data-normalizeDate') );
		console.log(dt_begin);
		//set hours, minutes and seconds to 0
		dt_Today.setHours(0);
		dt_Today.setMinutes(0);
		dt_Today.setSeconds(0);
		dt_begin.setHours(0);
		dt_begin.setMinutes(0);
		dt_begin.setSeconds(0);
		//check dates
		if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
			result = true;
		} else {
			result = false;
		}

	    return result;
	}

	//finalizar
	function finalizarFatura(idDevis, nome){
	<?php if (hasPermission(['P0119']) == 1) { ?>
		var result = checkDataBiggerThanToday();
		var dataFatura = $('#data_devis').html();
		var question = '';
		if(result == true) question = "La date de devis est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette devis?\n\nATTENTION: Vous ne pouvez plus tard modifier cette devis ou insérer de nouvelles devis datées inférieures à ["+dataFatura+"].";
		else question = "Êtes-vous sûr de vouloir finaliser le devis \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/devis/finalizar.php',
				dataType : 'json',
				data : {
					idDevis : idDevis
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Devis terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de devis existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la dernière date de facturation ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularFatura(idDevis, nome){
	<?php if (hasPermission(['P0119']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le devis \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/devis/anular.php',
				dataType : 'json',
				data : {
					idDevis : idDevis
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette devis a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette devis parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Devis avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//remover
	function eliminarFatura(idDevis, nome){
	<?php if (hasPermission(['P0120']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le devis de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/devis/apagar.php',
				dataType : 'json',
				data : {
					idDevis : idDevis
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Devis supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../devis";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Enviar email
	function enviarDevis(idDevis, nome){
	<?php if (hasPermission(['P0117']) == 1) { ?>
		$('#document_iden').val('');
		$('#document_iden').val(idDevis);
		$('#confirmar_envio_detalhes').html('-');
		$('#confirmar_envio_detalhes').html(nome);
		fill_senderEmail(idDevis);
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirm email sender
	function confirmDevisSender(idDevis, email_sender){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/devis/email.php',
			dataType : 'json',
			data : {
				idDoc : idDevis,
				senderEmail : email_sender
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Impossible d'envoyer par courrier électronique cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Impossible d'envoyer par courrier électronique cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Devis envoyé avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				$.scojs_message("Devis envoyé avec succès.", $.scojs_message.TYPE_OK);
				//reload
				setTimeout(function() {
					location.reload();
				}, 1000);
			}
		});
	}
</script>