<div id="modal-devis-gerar" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title"><i class="fa fa-clipboard"></i>&nbsp;Générer un nouveau document</h4>
			</div>
			<form id="form_new_document" class="form-validate" novalidate="novalidate">
				<input type="hidden" id="idDoc_gerar"/>
				<div class="modal-body">
					<div id="form_div">
						<h5 class="form-header">
							<legend class="form-legend">
								Sélectionnez le type de document
							</legend>
						</h5>
						<div class="section-form">
							<div class="row">
								<div class="col-sm-12">
									<div class="form-group">
									<!-- <label class="control-label">Conta Corrente?<span class="require">*</span></label> -->
									<div class="radio">
										<div class="row">
											<div class="col-xs-12 form-group">
												<label class="radio-inline padding-left-radio">
													<input id="gerar_devis" type="radio" name="tipo_documento" value="1" class="default_radio" checked="checked"/>
													Générer une Nouvelle Devis?
												</label>
												<p class="padding-left-radio"><small><b>Remarque:&nbsp;</b>Toutes les données seront copiées dans une nouvelle devis préliminaire.</small></p>
											</div>
											<div class="col-xs-12 form-group">
												<label class="radio-inline padding-left-radio">
													<input id="gerar_fatura" type="radio" name="tipo_documento" value="2" class="default_radio"/>
													Générer une Nouvelle Facture?
												</label>
												<p class="padding-left-radio"><small><b>Remarque:&nbsp;</b>Toutes les données seront copiées dans une nouvelle facture préliminaire.</small></p>
											</div>
											<div class="col-xs-12 form-group">
												<label class="radio-inline padding-left-radio">
													<input id="gerar_guia" type="radio" name="tipo_documento" value="3" class="default_radio"/>
													Générer un Nouveau Bulletin de Livraison?
												</label>
												<p class="padding-left-radio">
													<small class="text-red"><b>Note:&nbsp;</b>Uniquement disponible pour les devis confirmés!</small>
													<br>
													<small><b>Remarque:&nbsp;</b>Toutes les données seront copiées dans un nouveau Bulletin de livraison.</small>
												</p>
											</div>
										</div>
									</div>
								</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button  class="btn btn-violet submit_button" type="submit">
						<i class="fa fa-clipboard"></i> Générer le document
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-default">
						Annuler
					</button>

				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript">
	var decisionFlag = 1;
	$(document).ready(function() {
		// iCheck ------------------------
		$('input:checkbox').attr("checked");
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_flat-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_minimal-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type=radio]').iCheck({
			radioClass : 'iradio_square-yellow',
			increaseArea : '20%' // optional
		});

		/* ----------- LISTNERS ----------- */
		$('input#gerar_devis').on('ifChecked', function (event) {
			decisionFlag = 1;
		});
		$('input#gerar_fatura').on('ifChecked', function (event) {
			decisionFlag = 2;
		});
		$('input#gerar_guia').on('ifChecked', function (event) {
			decisionFlag = 3;
		});
	});
	// ----------------- FORM PROCESSING ------------------

	//check validation and submit the form
	$("#form_new_document").submit(function(e) {
		e.preventDefault();

		var url_file = '';
		if (decisionFlag == 1) {
			url_file = 'devis_gera_devis.php';
		} else if (decisionFlag == 2) {
			url_file = 'devis_gera_fatura.php';
		} else {
			url_file = 'devis_gera_guia.php';
		}

		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/gerar_documentos/'+url_file,
			dataType : 'json',
			data : {
				idDocumento : $('#idDoc_gerar').val(),
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Une erreur s'est produite dans Générer le document. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						if (resposta.associado) {
							$.scojs_message("[FAT002] Une facture est déjà associée à ce document. ["+resposta.fatura_associada+"]", $.scojs_message.TYPE_ERROR);
						}else if (resposta.estado_confirmado_invalido) {
							$.scojs_message("[FAT004] Cette option est uniquement disponible pour les devis confirmés!", $.scojs_message.TYPE_ERROR);
						}else{
							$.scojs_message("[FAT003] Une erreur s'est produite dans Générer le document. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						}
					} else {
						$.scojs_message("Document généré avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
					if (resp.responseJSON.associado) {
						$.scojs_message("[FAT002] Une facture est déjà associée à ce document. ["+resp.responseJSON.fatura_associada+"]", $.scojs_message.TYPE_ERROR);
					}else if (resp.responseJSON.estado_confirmado_invalido) {
						$.scojs_message("[FAT004] Cette option est uniquement disponible pour les devis confirmés!", $.scojs_message.TYPE_ERROR);
					}else{
						$.scojs_message("[FAT003] Une erreur s'est produite dans Générer le document. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					}
				} else {
					if(decisionFlag == 1) window.location.href = "../devis/details?devis="+resp.responseJSON.idDestino;
					else if(decisionFlag == 2) window.location.href = "../factures/details.php?facture="+resp.responseJSON.idDestino;
					else window.location.href = "../bulletin-livraison/details.php?livraison="+resp.responseJSON.idDestino;
				}
				$("#form_new_document").find('.submit_button').attr("disabled", false);
				$("#form_new_document").find('.submit_button').html('<i class="fa fa-clipboard"></i> Générer le document');
			}
		});
	});
</script>