<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0119']) == 1 ) {
		//check if can edit or redirect it
		$result = checkIfCanBeEdit( $_GET['devis'], 'ID_Devis', 'Estado', 'Rascunho', 'faturacao_devis' );
		if ( $result == true ) {}
		else{
			header('Location: ../operation-refusee?redirectfrom=/frifacturation/devis/modifier&redirectto=/frifacturation/devis');
		}
	}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/devis&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Devis'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=devis&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = " display: inline-block; ";
		$spanStyle = " style='display: inline-block;' ";
		$qtdSizePerc = "70%";
	}
?>
<html>
	<title>Modifier le Devis | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../devis"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../devis">Devis</a>
							</li>
							<li class="active">
								Modifier le Devis
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du client
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Client<span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cliente_devis" name="cliente_devis"  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
																<span class="input-group-btn">
																	<button type="button" class="btn btn-yellow" onclick="new_cliente()">
																		<i class="fa fa-user"></i>&nbsp;Nouveau client
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">VAT:</label>
															<input type="text" class="form-control" id="nif_cliente_devis" name="nif_cliente_devis" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_cliente_devis" name="endereco_cliente_devis" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control" id="codigopostal_cliente_devis" name="codigopostal_cliente_devis" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_cliente_devis" name="regiao_cliente_devis" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_cliente_devis" name="cidade_cliente_devis" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<input type="text" class="form-control" id="pais_cliente_devis" name="pais_cliente_devis" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de Devis
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Série<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="serie_devis" name="serie_devis"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_devis" name="numero_devis" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker today" data-provide="datepicker" name="data_devis" id="data_devis" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Date Expiration<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker 15days" data-provide="datepicker" name="validade_devis" id="validade_devis" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Mode de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_devis" name="pagamento_devis"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3" id="banco_select_devis" style="display: none;">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="banco_devis" name="banco_devis"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Conditions de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vencimento_devis" name="vencimento_devis"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours après l'émission</option>
																<option value="20">20 jours après l'émission</option>
																<option value="30">30 jours après l'émission</option>
																<option value="60">60 jours après l'émission</option>
																<option value="90">90 jours après l'émission</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Monnaie</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="moeda_devis" name="moeda_devis"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Réduction</label>
															<input type="text" class="form-control percentage" id="desconto_devis" name="desconto_devis" placeholder="0 %" />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_devis" name="referencia_devis" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<textarea rows="2" type="text" class="form-control" id="observacoes_devis" name="observacoes_devis" placeholder="..." ></textarea>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:100px; max-width:150px;">Référence&nbsp;
																	<a class="options-link text-yellow" onclick="new_article()" title="Ajouter un Article"><i class="fa fa-plus-circle"></i></i></a>
																</th>
																<th style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">Compte</th>
																<th>Description</th>
																<th style="width:105px;">Qté.</th>
																<th style="width:100px;">Prix Uni.</th>
																<th style="width:120px;">TVA</th>
																<!-- <th style="width:120px;">Motif</th> -->
																<th style="width:80px;">Rédu.%</th>
																<th style="width:80px;" class=" hide">Rétention</th>
																<th class="text-right" style="width:100px;">Total</th>
																<th style="width:30px; text-align: center;">&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:100px; max-width:150px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" >
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
																	<select data-id-line="0" class="lineInputPlano form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_artigo_linha_0" name="plano_artigo_linha_0" >
																		<option value="" data-hidden="true">Plan</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1"></textarea>
																</td>
																<td style="width:105px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_0" name="qtd_linha_0" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />
																	<span id="unidade_linha_0" style="margin-left: 1px; font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>
																</td>
																<td style="width:100px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_0" name="preco_linha_0" placeholder="0.00 CHF" />
																</td>
																<td style="width:120px;">
																	<select data-id-line="0" class="lineInputChange lineInputImposto form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez la taxe" id="iva_linha_0" name="iva_linha_0" >
																		<option value="" data-hidden="true">Taxe</option>
																	</select>
																</td>
																<!-- <td style="width:120px;">
																	<select data-id-line="0" class="lineInputMotivo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez Raison" id="motivo_linha_0" name="motivo_linha_0" disabled >
																		<option value="" data-hidden="true">Motif</option>
																	</select>
																</td> -->
																<td style="width:80px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_0" name="desc_linha_0" placeholder="0 %" />
																</td>
																<td style="width:80px;" class=" hide">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_0" name="retencao_linha_0" placeholder="0.00 CHF" />
																</td>
																<td class="text-right" style="width:100px;">
																	<span id="total_linha_0" style="display: block" class="money">0</span>
																</td>
																<td style="width:30px; text-align: center;">
																	<a class="options-link text-red" onclick="eliminarLinha(0)" title="Remover Linha"><i class="fa fa-trash"></i></a>
																</td>
															</tr>
														</tbody>
													</table>
												</div>
												<div class="col-xs-12">
													<button type="button" class="btn btn-blue btn-xs btn-outlined" onclick="addArticleLine()" title="Ajouter une Ligne"><i class="fa fa-plus"></i>&nbsp;Ajouter une Ligne</button>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer taxes-table">
														<thead>
															<tr>
																<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
															</tr>
															<tr>
																<th colspan="3" style="padding-bottom: 10px;"></th>
															</tr>
														</thead>
													</table>
												</div>
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer resume-table">
														<thead>
															<tr>
																<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Lignes: </th>
																<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Somme: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Réductions: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
															</tr>
															<tr class=" hide">
																<th class="textCell paddingRight">Rétention: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">s/TVA: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">TVA: </th>
																<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira" style="display: none;">
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira2" style="display: none;">
																<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
															</tr>
														</thead>
													</table>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<button class="btn btn-green submit_button2" type="button" id="finishDocumentBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer et Finir
											</button>
											<button class="btn btn-blue submit_button3" type="button" id="sendDocumentBtn">
												<i class="fa fa-paper-plane"></i> Finir et Envoyer
											</button>
											<a  href="../devis" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<?php include('../modals/clientes.php');  ?>
		<?php include('../modals/artigos.php');  ?>
		<?php include('../modals/confirmar_enviar_devis_forms.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.devis_deviscao").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var enviarDocumento = 0;
			var precisaBanco = 0;
			var xhrTotals = null;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});

				//init select2 condicoes
				$("select#vencimento_devis").val(0);
				$("select#vencimento_devis").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				//clear session
				sessionStorage.removeItem('series');
				sessionStorage.removeItem('coins');
				sessionStorage.removeItem('plans');
				sessionStorage.removeItem('payment_types');
				sessionStorage.removeItem('banks');
				sessionStorage.removeItem('taxes');
				sessionStorage.removeItem('motives');

				//init lines
				init_general_resources();
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();

				//series
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/devis.php',
					dataType : 'json',
					data : { 
						opcao: 3
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									var options = $("select#serie_devis");
									$(options).empty();
									var id_predefinida = 0;

									//get data
									var dadosSeries = resposta.data;
									
									//prepare select
									$(options).attr("disabled", false);

									$.each(dadosSeries, function() {
										$(options).append($("<option />").val(this.ID_Serie).html(this.Nome));
										if(this.Predefinida > 0) id_predefinida = this.ID_Serie;
									});

									if(id_predefinida > 0) $(options).val(id_predefinida);
									else $(options).val($("select#serie_devis option:eq(1)").val());

									//store in session
									sessionStorage.setItem('series', true );
									
									//init select2
									$(options).select2({
										escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
									});
								}
							}
						}
					},
					complete : function() {
						//coins
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/devis.php',
							dataType : 'json',
							data : { 
								opcao: 5
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											var options = $("select#moeda_devis");
											$(options).empty();
											var defaultID = 0;

											//get data
											var dadosCoins = resposta.data;
											
											//prepare select
											$(options).attr("disabled", false);

											$.each(dadosCoins, function() {
												if( this.Predefinido > 0 ) defaultID = this.ID_Moeda;
												$(options).append($("<option />").val(this.ID_Moeda).html(this.Nome).attr('data-simbolo', this.Simbolo).attr('data-iso', this.ISO));
											});

											if(defaultID > 0) $(options).val(defaultID);
											else $(options).val($("select#moeda_devis option:eq(1)").val());

											//store in session
											sessionStorage.setItem('coins', true );
											
											//init select2
											$(options).select2({
												escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
											});
										}
									}
								}
							},
							complete : function() {
								$(".fullscreen").show();

								//payments types
								$.ajax({
									type : 'POST',
									url : '/frifacturation/server/combobox/devis.php',
									dataType : 'json',
									data : { 
										opcao: 11
									},
									success : function(resposta) {
										if (resposta == null) {
											$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										} else {
											if (resposta.errors == true) {
												$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											} else {
												if (resposta.data == null) {
												} else {
													var options = $("select#pagamento_devis");
													$(options).empty();
													var defaultID = 0;

													//get data
													var dadosPay = resposta.data;
													
													//prepare select
													$(options).attr("disabled", false);

													$.each(dadosPay, function() {
														if( this.Predefinido > 0 ) defaultID = this.ID_Metodo;
														$(options).append($("<option />").val(this.ID_Metodo).html(this.Nome).attr('data-bank', this.Banco));
													});
													
													if(defaultID > 0) $(options).val(defaultID);
													else $(options).val($("select#pagamento_devis option:eq(1)").val());

													//store in session
													sessionStorage.setItem('payment_types', true );
													
													//init select2
													$(options).select2({
														escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
													});
												}
											}
										}
									},
									complete : function() {
										$(".fullscreen").show();

										//banks
										$.ajax({
											type : 'POST',
											url : '/frifacturation/server/combobox/devis.php',
											dataType : 'json',
											data : { 
												opcao: 12
											},
											success : function(resposta) {
												if (resposta == null) {
													$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
												} else {
													if (resposta.errors == true) {
														$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
													} else {
														if (resposta.data == null) {
														} else {
															var options = $("select#banco_devis");
															$(options).empty();
															var defaultID = 0;

															//get data
															var dadosBanks = resposta.data;
															
															//prepare select
															$(options).attr("disabled", false);

															$.each(dadosBanks, function() {
																if( this.Predefinido > 0 ) defaultID = this.ID_Banco;
																$(options).append($("<option />").val(this.ID_Banco).html(this.Nome));
															});

															//store in session
															sessionStorage.setItem('banks', true );

															if(defaultID > 0) $(options).val(defaultID);
															else $(options).val($("select#banco_devis option:eq(1)").val());

															//active the select or not
															var needBank = Number( $('option:selected', $("select#pagamento_devis") ).attr('data-bank') );
															if(needBank == 1){
																precisaBanco = 1;
																$('#banco_select_devis').show();
															}else{
																precisaBanco = 0;
																$('#banco_select_devis').hide();
															}
															
															//init select2
															$(options).select2({
																escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
															});
														}
													}
												}
											},
											complete : function() {
												$(".fullscreen").fadeOut();

												//lines resources
												init_lines_resources();
											}
										});
									}
								});
							}
						});
					}
				});
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//taxes
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/devis.php',
					dataType : 'json',
					data : { 
						opcao: 7
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									$("body").append('<select id="iva_xBASEx" class="select2" style="display:none;"></select>');
									var options = $("select#iva_xBASEx");

									$.each(resposta.data, function() {
										$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
									});

									//store in session
									sessionStorage.setItem('taxes', $(options).html() );

									//remove element
									$( "#iva_xBASEx" ).remove();
								}
							}
						}
					},
					complete : function() {
						$(".fullscreen").show();

						//motives
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/combobox/devis.php',
							dataType : 'json',
							data : { 
								opcao: 8
							},
							success : function(resposta) {
								if (resposta == null) {
									$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									if (resposta.errors == true) {
										$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									} else {
										if (resposta.data == null) {
										} else {
											$("body").append('<select id="motivos_xBASEx" class="select2" style="display:none;"></select>');
											var options = $("select#motivos_xBASEx");

											$.each(resposta.data, function() {
												$descriptionSummary = '';
												/*if(this.Descricao.length > 20) descriptionSummary = this.Descricao.substr(0,20)+"...";
												else*/ descriptionSummary = this.Descricao;
												$(options).append( $("<option />").val(this.ID_Motivo).html('<small>'+this.Codigo+': '+descriptionSummary+'</small>') );
											});

											//store in session
											sessionStorage.setItem('motives', $(options).html() );

											//remove element
											$( "#motivos_xBASEx" ).remove();
										}
									}
								}
							},
							complete : function() {
								$(".fullscreen").show();

								//plans
								$.ajax({
									type : 'POST',
									url : '/frifacturation/server/combobox/plano_contas.php',
									dataType : 'json',
									data : { 
										opcao: 4
									},
									success : function(resposta) {
										if (resposta == null) {
											$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										} else {
											if (resposta.errors == true) {
												$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											} else {
												if (resposta.data == null) {
												} else {
													$("body").append('<select id="plans_xBASEx" class="select2" style="display:none;"></select>');
													var options = $("select#plans_xBASEx");

													$.each(resposta.data, function() {
														$(options).append($("<option />").val(this.codigo).html(this.codigo+' - '+this.descricao).attr('title',this.codigo));
													});

													//store in session
													sessionStorage.setItem('plans', $(options).html() );

													//remove element
													$( "#plans_xBASEx" ).remove();
												}
											}
										}
									},
									complete : function() {
										$(".fullscreen").fadeOut();

										$("#descricao_linha_0").prop('disabled', true);
										$("#qtd_linha_0").prop('disabled', true);
										$("#preco_linha_0").prop('disabled', true);
										$("#desc_linha_0").prop('disabled', true);
										$("#retencao_linha_0").prop('disabled', true);

										//fill select boxes
										var idDevis = getParameterByName('devis');
										fill_document(idDevis);
									}
								});
							}
						});
					}
				});
			}

			//open new people modal
			function new_cliente() {
				$('#modal-cliente').modal("show");
			}

			//open new article modal
			function new_article() {
				$('#modal-artigo').modal("show");
			}

			//change currency
			$("select#vencimento_devis").on('change', function(event){
				calculateDataValidade();
			});

			//change date
			$(".today").on('change', function(event){
				calculateDataValidade();
			});

			//calculate data validade
			function calculateDataValidade(){
				// var dataBase = $(".today").datepicker().datepicker("getDate");
				// dataBase = new Date(dataBase).getTime();
				// var dias = $("select#vencimento_devis").val();
				// var newValidadeDate =  new Date( dataBase+(dias*24*60*60*1000) );
				// $('.15days').datepicker().datepicker("setDate", newValidadeDate);
			}

			//change client details
			$("select#cliente_devis").on('change', function(event){
				getClientDetails( $(this).val() );
			});

			//change serie
			$("select#serie_devis").on('change', function(event){
				getNextNumber();
			});

			//change payment method
			$("select#pagamento_devis").on('change', function(event){
				var needBank = Number( $('option:selected', $(this) ).attr('data-bank') );
				if(needBank == 1){
					precisaBanco = 1;
					$('#banco_select_devis').show();
				}else{
					precisaBanco = 0;
					$('#banco_select_devis').hide();
				}
			});

			//change currency
			$("select#moeda_devis").on('change', function(event){
				calculateCurrencyCambio();
			});

			$("#desconto_devis").on('keyup', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});
			$("#desconto_devis").on('change', function(event){
				$(".lineInputDescricao").each(function() {
					var lineID = $(this).attr('data-id-line');
					calculaLinha(lineID, true);
				});
				updateDocumentTotals();
			});

			//------------------------ LINES ----------------------------
			// linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_devis').datepicker('getDate');
				var dt_begin = $('#data_devis').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_devis').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					cliente_devis : {
						required : true,
					},
					serie_devis : {
						required : true
					},
					numero_devis : {
						required : true
					},
					data_devis : {
						required : true
					},
					validade_devis : {
						required : true,
						checkDataValidade : true
					},
				},
				messages : {
					cliente_devis : {
						required : "Ce champ est obligatoire"
					},
					serie_devis : {
						required : "Ce champ est obligatoire"
					},
					numero_devis : {
						required : "Ce champ est obligatoire"
					},
					data_devis : {
						required : "Ce champ est obligatoire"
					},
					validade_devis : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//store and close document
			$('#finishDocumentBtn').on('click', function(event){
				salvarFinalizar();
			});
			//store and close document
			$('#sendDocumentBtn').on('click', function(event){
				enviarDevis();
			});
			
			//FINISH THE DOCUMENT -- NEW
			function enviarDevis(){
				var result = checkDataBiggerThanToday();
				var dataFatura = $('#data_devis').val();
				var question = '';
				if(result == true) question = "La date de devis est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette devis??\n\nATTENTION: Vous ne pouvez plus tard modifier cette devis ou insérer de nouvelles devis datées inférieures à ["+dataFatura+"].";
				else question = "Êtes-vous sûr de vouloir enregistrer et terminer le devis?\n\nVEUILLEZ NOTER: Vous ne pourrez pas supprimer ou modifier ce document.";
				
				//prepare client id
				var clientID = $("#cliente_devis").val();
				$('#document_iden').val('');
				$('#document_iden').val(clientID);
				$('#confirmar_envio_detalhes').html('-');
				$('#confirmar_envio_detalhes').html(question);
				fill_senderEmail(clientID);
			}
			function enviarDevisConfirmada(){
				finalizarDocumento = 1;
				enviarDocumento = 1;
				$("#submitFormBtn").click();
			}
			

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_devis').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}			
			
			//FINISH THE DOCUMENT
			function salvarFinalizar(){
				var result = checkDataBiggerThanToday();
				var dataFatura = $('#data_devis').val();
				var question = '';
				if(result == true) question = "La date de devis est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir mettre fin à cette devis??\n\nATTENTION: Vous ne pouvez plus tard modifier cette devis ou insérer de nouvelles devis datées inférieures à ["+dataFatura+"].";
				else question = "Êtes-vous sûr de vouloir enregistrer et terminer le devis?\n\nVEUILLEZ NOTER: Vous ne pourrez pas supprimer ou modifier ce document.";
				if (confirm(question) == true) {
					finalizarDocumento = 1;
					$("#submitFormBtn").click();
				} else { finalizarDocumento = 0; return false; }
			}

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idDevis = getParameterByName('devis');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					//check if exists 1 article at least
					$("select.lineInputArtigo").each(function() {
						var lineID = $(this).attr('data-id-line');
						//check lines with articles
						if( $(this).val() > 0 ) linesWithArticles++;
						//check invalid totals
						if( $("#total_linha_"+lineID).parent().attr('data-status') == 'invalid'	) invalid++;
						//check invalid plans
						if( $("#plano_artigo_linha_"+lineID).val() <= 0	) invalid++;
						//check invalid quantities
						if( $("#qtd_linha_"+lineID).autoNumeric('get') <= 0	) articlesQTD++;
						//check isenções
						var subclasse = $('option:selected', $("#iva_linha_"+lineID)).attr('data-subclasse');
						if (subclasse == 'ISE'){
							if( $("#motivo_linha_"+lineID).val() < 1) /*motives++;*/ motives=0;
						}
					});

					//process validation
					if( invalid > 0 ) $.scojs_message("Vérifiez les valeurs des comptes et / ou des prix.", $.scojs_message.TYPE_ERROR);
					if( linesWithArticles == 0 ) $.scojs_message("S'il vous plaît ajouter au moins 1 point.", $.scojs_message.TYPE_ERROR);
					if( articlesQTD > 0 ) $.scojs_message("S'il vous plaît vérifier les quantités.", $.scojs_message.TYPE_ERROR);
					if( motives > 0 ) $.scojs_message("S'il vous plaît vérifier des raisons d'exemption.", $.scojs_message.TYPE_ERROR);

					if( invalid == 0 && linesWithArticles > 0 && articlesQTD == 0 && motives == 0){
						//process the lines array
						var linesArticles = [];
						$("select.lineInputArtigo").each(function() {
							var lineID = $(this).attr('data-id-line');
							//add to array
							linesArticles.push({
								"artigo" : $(this).val(),
								"planocontas_artigo" : $("#plano_artigo_linha_"+lineID).val(),
								"descricao" : $("#descricao_linha_"+lineID).val(),
								"qtd" : $("#qtd_linha_"+lineID).autoNumeric('get'),
								"preco" : $("#preco_linha_"+lineID).autoNumeric('get'),
								"imposto" : $("#iva_linha_"+lineID).val(),
								"motivo" : $("#motivo_linha_"+lineID).val(),
								"desconto" : $("#desc_linha_"+lineID).autoNumeric('get'),
								"retencao" : $("#retencao_linha_"+lineID).autoNumeric('get'),
							});
						});

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/devis/editar.php',
							dataType : 'json',
							data : {
								idDevis : idDevis,
								cliente : $("#cliente_devis").val(),
								serie : $("#serie_devis").val(),
								numero : $("#numero_devis").val(),
								data : $("#data_devis").val(),
								validade : $("#validade_devis").val(),
								pagamento : $("#pagamento_devis").val(),
								banco : $("#banco_devis").val(),
								referencia : $("#referencia_devis").val(),
								vencimento : $("#vencimento_devis").val(),
								moeda : $("#moeda_devis").val(),
								desconto : $("#desconto_devis").autoNumeric('get'),
								observacoes : $("#observacoes_devis").val(),
								linhas : linesArticles,
								finalizarDocumento : finalizarDocumento,
								precisaBanco : precisaBanco
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.referencia) {
										$.scojs_message("[FAT002] La référence de devis existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
									}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière devis ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
									if(enviarDocumento==1){
										var emailSender = $("#confirmar_envio_emailnovo").val();
										// console.log('enviar doc? ', enviarDocumento, emailSender);
											$.ajax({
												type : 'POST',
												url : '/frifacturation/server/devis/email.php',
												dataType : 'json',
												data : {
													idDoc : idDevis,
													senderEmail : emailSender
												},
												success : function(resposta) {
													if (resposta == null)
														$.scojs_message("[FAT001] Impossible d'envoyer par courrier électronique cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
													else {
														if (resposta.errors) {
															$.scojs_message("[FAT002] Impossible d'envoyer par courrier électronique cette devis. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
														} else {
															$.scojs_message("Devis envoyé avec succès.", $.scojs_message.TYPE_OK);
														}
													}
												},
												complete : function(resposta) {
													//reload
													setTimeout(function() {
														window.location.href = "../devis";
													}, 1000);
												}
											});
									}else{
										//reload
										setTimeout(function() {
											if(finalizarDocumento > 0 ) window.location.href = "../devis";
											else window.location.href = "../devis/details?devis="+resp.responseJSON.devis;
										}, 1000);
									}
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}


				}
			});
		</script>
	</body>
</html>