<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0028']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/factures&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Vendas'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = "  ";
		$spanStyle = " style='' ";
		$qtdSizePerc = "70%";
	}
?>
<html>
	<title>Facture: Détails | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}

			/* STAUTS LABELS */
			.stamp-label-orange{ border: 1px solid #E9662C; }
			.stamp-label-blue{ border: 1px solid #428BCA; }
			.stamp-label-green{ border: 1px solid #488C6C; }
			.stamp-label-red{ border: 1px solid #BF4346; }
			span { word-wrap: break-word; }
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" id="BtnTopWrapper">
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../factures">Factures</a>
							</li>
							<li class="active">
								Détails de la Facture
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-xs-12 hide" id="originDocWrapper">
												<h5 class="form-header">
													<legend class="form-legend">
														Document d'origine
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Document</label>
																<div id="documentoOrigem_fatura" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Date</label>
																<div id="dataOrigem_fatura" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label" id="label_element1_fatura">Date/Hora de Carga</label>
																<span id="element1_fatura" style="display: block"></span>
															</div>
														</div>
														<div class="col-xs-12 col-sm-12 col-md-3">
															<div class="form-group">
																<label class="control-label" id="label_element2_fatura">Date/Hora de Descarga</label>
																<span id="element2_fatura" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>

											<div class="col-xs-12 hide" id="agregadosDocWrapper">
												<h5 class="form-header">
													<legend class="form-legend">
														Documents agrégés
													</legend>
												</h5>
												<div class="section-form" id="agregadosLinesWrapper">
												</div>
											</div>
											<div class="col-xs-12 col-sm-8">
												<h5 class="form-header">
													<legend class="form-legend">
														Données du client
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Client</label>
																<span id="cliente_fatura" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4 hide">
															<div class="form-group">
																<label class="control-label">VAT:</label>
																<span id="nif_cliente_fatura" style="display: block"></span>
															</div>
														</div>	
													</div>
													<div class="row ">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Adresse</label>
																<span id="endereco_cliente_fatura" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Code Postal</label>
																<span id="codigopostal_cliente_fatura" style="display: block" placeholder="..."></span>
															</div>
														</div>	
													</div>
													<div class="row ">
														<div class="col-sm-4 hide">
															<div class="form-group">
																<label class="control-label">Région</label>
																<span id="regiao_cliente_fatura" style="display: block"></span>

															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Ville</label>
																<span id="cidade_cliente_fatura" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays</label>
																<span id="pais_cliente_fatura" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="row">
													<div class="col-sm-12 text-center">
														<div class="form-group">
															<h2 id="statusDocumentLabel" style="margin-top: 10px; padding: 10px; margin-bottom: 0px;"></h2>
															<div class="row">
																<div class="col-sm-12" id="totalsDocument"></div>
																<div class="col-sm-12 text-left" id="lastUpdate"></div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Données de Facture
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Série</label>
														<span id="serie_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Numéro</label>
														<span id="numero_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Date</label>
														<span id="data_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Date Expiration</label>
														<span id="validade_fatura" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row ">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Mode de paiement</label>
														<span id="pagamento_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3" id="wrapperBanco">
													<div class="form-group">
														<label class="control-label">Banque</label>
														<span id="banco_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Conditions de paiement</label>
														<span id="vencimento_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3 hide">
													<div class="form-group">
														<label class="control-label">Monnaie</label>
														<span id="moeda_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Réduction</label>
														<span id="desconto_fatura" class="percentage" style="display: block"></span>
													</div>
												</div>
											</div>	

											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Référence</label>
														<span id="referencia_fatura" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-9">
													<div class="form-group">
														<label class="control-label">Remarques</label>
														<span id="observacoes_fatura" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-sm-12">
													<div class="form-group">
														<label class="control-label">Code BVR</label>
														<span id="bvr_fatura" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header mtl">
											<legend class="form-legend">
												Lignes d'Articles
											</legend>
										</h5>
										<div class="row">
											<div class="col-xs-12">
												<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
													<thead>
														<tr>
															<th style="width:100px;">Référence</th>
															<th style="width:70px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">Compte</th>
															<th>Description</th>
															<th class="text-right" style="width:60px;">Qté.</th>
															<th class="text-center" style="width:35px;<?php echo $spanStyleOnly; ?>">Un.</th>
															<th class="text-right" style="width:100px;">Prix Uni.</th>
															<th class="text-right" style="width:60px;">TVA</th>
															<!-- <th style="width:120px;">Motif</th> -->
															<th class="text-right" style="width:80px;">Rédu.%</th>
															<th class="text-right hide" style="width:100px;">Rétention</th>
															<th class="text-right" style="width:100px;">Total</th>
														</tr>
													</thead>
													<tbody id="tbody_artigos">
													</tbody>
												</table>
											</div>
										</div>

										<div class="row mtl">
											<div class="col-xs-12 col-sm-6">
												<table class="table table-bordered table-footer taxes-table">
													<thead>
														<tr>
															<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
															<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
															<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
														</tr>
														<tr>
															<th colspan="3" style="padding-bottom: 10px;"></th>
														</tr>
													</thead>
												</table>
											</div>
											<div class="col-xs-12 col-sm-6">
												<table class="table table-bordered table-footer resume-table">
													<thead>
														<tr>
															<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
														</tr>
														<tr>
															<th colspan="2" style="padding-bottom: 10px;"></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">Lignes: </th>
															<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">Somme: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">Réductions: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
														</tr>
														<tr class=" hide">
															<th class="textCell paddingRight">Rétention: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">s/TVA: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">TVA: </th>
															<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
														</tr>
														<tr>
															<th colspan="2" style="padding-bottom: 10px;"></th>
														</tr>
														<tr>
															<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
															<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
														</tr>
														<tr id="linha_moeda_estrangeira" style="display: none;">
															<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
															<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
														</tr>
														<tr id="linha_moeda_estrangeira2" style="display: none;">
															<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
														</tr>
													</thead>
												</table>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<!-- //ADDED SCRIPTS -->
		<?php include('../modals/pagamentos.php');  ?>
		<?php include('../modals/detalhe_recibo.php');  ?>
		<?php include('../modals/recibos.php');  ?>
		<?php include('../modals/confirmar_enviar_fatura.php');  ?>
		<?php include('modal-gerar-doc.php');  ?>
		<?php include('detalhes_scripts.php');  ?>

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.faturas_faturacao").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});

				//fill select boxes
				var idDocument = getParameterByName('facture');
				fill_document(idDocument);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}



		</script>
	</body>
</html>