<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0049']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/fournisseurs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Fournisseurs: Détails | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../fournisseurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../fournisseurs">Fournisseurs</a>
							</li>
							<li class="active">
								Détails du fournisseur
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-md-8">
												<h5 class="form-header">
													<legend class="form-legend">
														Données du Fournisseur
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label">Code</label>
																<span id="codigo_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-2">
															<!-- <div class="form-group">
																<label class="control-label">VAT</label>
																<span id="nif_fornecedor" style="display: block"></span>
															</div> -->
															<div class="form-group">
																<label class="control-label">Titre</label>
																<span id="titulo_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Nom</label>
																<span id="nome_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Prenom</label>
																<span id="apelido_fornecedor" style="display: block"></span>
															</div>
														</div>
													</div>

													<div class="row mtm">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Adresse</label>
																<span id="endereco_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays</label>
																<span id="pais_fornecedor" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row mtm">
														<div class="col-sm-6 col-md-4">
															<div class="form-group">
																<label class="control-label">Code Postal</label>
																<span id="codigopostal_fornecedor" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-4 hide">
															<div class="form-group">
																<label class="control-label">Région</label>
																<span id="regiao_fornecedor" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-8">
															<div class="form-group">
																<label class="control-label">Ville</label>
																<span id="cidade_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div>
													<!-- <div class="row mtm">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Grupo de Fornecedores</label>
																<span id="grupo_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div> -->
													<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Plan Comptable</label>
																<span id="plano_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div>
												</div>
											</div>
											<div class="col-md-4 text-center">
												<div class="row mbm mtm">
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b>Totals:</b></h4><br>
															<p class="text-green" style="font-size: 18px;">
																<b><span class="moneyTotal" id="chiffre_value">0</span></b>
															</p>
														</div>
													</div>
													<p>&nbsp;</p>
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b>Solde:</b></h4><br>
															<p id="solde_value_wrapper" class="" style="font-size: 18px;">
																<b><span class="moneyTotal" id="solde_value">0</span></b>
															</p>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Détails Bancaires
											</legend>
										</h5>
										<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Type de Paiement</label>
															<span id="new_tipopagamento_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">IBAN</label>
															<span id="new_iban_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">BIC/SWIFT</label>
															<span id="new_bicswift_fornecedor" style="display: block"></span>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<span id="new_banco_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Compte Postal</label>
															<span id="new_contapostal_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">ID BVR</label>
															<span id="new_bvr_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro de Compte</label>
															<span id="new_numconta_fornecedor" style="display: block"></span>
														</div>
													</div>
												</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Contacts
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Email</label>
														<span id="email_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="tlm_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Website</label>
														<span id="website_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="tlf_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label">Fax</label>
														<span id="fax_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Responsables 
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
														<thead>
															<tr>
																<!-- <th style="width: 100px;">Code</th> -->
																<th>Nom</th>
																<th>Prénom</th>
																<th style="width: 200px;">Téléphone</th>
																<th style="width: 200px;">Email</th>
																<!-- <th style="width: 80px;">Options</th> -->
															</tr>
														</thead>
														<tbody>
														</tbody>
													</table>
												</div>
											</div>
										</div>

										<h5 class="form-header hide">
											<legend class="form-legend">
												Contact Préféré
											</legend>
										</h5>
										<div class="section-form hide">
											<div class="row">
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Nom</label>
														<span id="preferencial_nome_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Email</label>
														<span id="preferencial_email_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="preferencial_tlm_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="preferencial_tlf_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Facturation
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-6 col-md-3 hide">
													<div class="form-group">
													<label class="control-label">Conta Corrente</label>
													<span id="contacorrente_fornecedor" style="display: block"></span>
												</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Méthode de Paiement</label>
														<span id="pagamento_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Conditions de paiement</label>
														<span id="vencimento_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Réduction (%)</label>
														<span id="desconto_fornecedor" class="percentage" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<!-- Documentos Associados -->
										<div class="panel panel-default mtm" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse0" style="display:block;font-weight: bold;" disabled="disabled">Afficher Tout <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse0" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="documentsAssociados" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th >Tipo</th>
																		<th style="width: 100px;">Nº Document</th>
																		<th style="width: 80px;">Date</th>
																		<th style="width: 110px;">Date Expiration</th>
																		<th style="width: 90px;">Total&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 90px;">Solde&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 80px;">État</th>
																		<th style="width: 60px;">Options</th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                        <tr>
							                                            <th colspan="4" class="text-right">Totaux:&nbsp;</th>
							                                            <th class="text-green"></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                        </tr>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.fornecedores_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idFornecedor = getParameterByName('fournisseur');
				//fill infos
				fill_fornecedor(idFornecedor);
			});

			//accordion toggles
			function toggleChevron(e) {
				$(e.target).prev('.panel-heading').find("i.indicator").toggleClass('glyphicon-chevron-left glyphicon-chevron-down');
			}
			//list of accordions
			$('#collapse0').on('hidden.bs.collapse', toggleChevron);
			$('#collapse0').on('shown.bs.collapse', toggleChevron);

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>