<script type="text/javascript">
	//load data
	function fill_fornecedor(idFornecedor) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/fornecedores/detalhes.php',
			dataType : 'json',
			data : { idFornecedor : idFornecedor },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+processedName+"'";

							$('#btns-wrapper').append('&nbsp;<a href="modifier?fournisseur='+idFornecedor+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');
							
							//process used or not used
							if(dados.Usado > 0){
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}else{
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarFornecedor('+idFornecedor+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../fournisseurs" class="btn btn-default" type="button"> Annuler </a>');

							$("#codigo_fornecedor").html(dados.Codigo);
							$("#nome_fornecedor").html(dados.Nome);
							$("#apelido_fornecedor").html(dados.Apelido);
							$("#titulo_fornecedor").html(dados.Titulo);
							$("#pais_fornecedor").html(dados.PaisFull);
							$("#endereco_fornecedor").html(dados.Endereco);
							$("#codigopostal_fornecedor").html(dados.CodigoPostal);
							$("#regiao_fornecedor").html(dados.Regiao);
							$("#cidade_fornecedor").html(dados.Cidade);
							// if(dados.Grupo)	$("#grupo_fornecedor").html(dados.Grupo);
							// else $("#grupo_fornecedor").html('Sem grupo');
							$("#email_fornecedor").html(dados.Email);
							$("#website_fornecedor").html(dados.Website);
							$("#tlm_fornecedor").html(dados.Telemovel);
							$("#tlf_fornecedor").html(dados.Telefone);
							$("#fax_fornecedor").html(dados.Fax);
							$("#preferencial_nome_fornecedor").html(dados.PreferenciaNome);
							$("#preferencial_email_fornecedor").html(dados.PreferenciaEmail);
							$("#preferencial_tlm_fornecedor").html(dados.PreferenciaTelemovel);
							$("#preferencial_tlf_fornecedor").html(dados.PreferenciaTelefone);
							$("#contacorrente_fornecedor").html(dados.Account);
							$("#pagamento_fornecedor").html(dados.Metodo);
							if(dados.Vencimento == 0) $("#vencimento_fornecedor").html('Prêt paiement');
							else $("#vencimento_fornecedor").html(dados.Vencimento+' jours');
							$("#desconto_fornecedor").autoNumeric('set', dados.Desconto);

							if(dados.PlanoContas) {
								$("#plano_fornecedor").html(dados.PlanoContas+' >> '+dados.PlanoContasDesc);
							}
							else{
								$("#plano_fornecedor").html('-');
							}

							//NEW BANK FIELDS
							$("#new_tipopagamento_fornecedor").html(dados.TypePaymentLBL);
							$("#new_iban_fornecedor").html(dados.IBAN);
							$("#new_bicswift_fornecedor").html(dados.BIC_SWIFT);
							$("#new_banco_fornecedor").html(dados.BancoLBL);
							$("#new_contapostal_fornecedor").html(dados.ComptePostal);
							$("#new_bvr_fornecedor").html(dados.ID_BVR);
							$("#new_numconta_fornecedor").html(dados.NumeroCompte);
							
							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								// vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});

							//remake money
							$(".percentage").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : '  %',
								vMax : '100',
								mDec : 2,
								vMin:'0',
								pSign : 's'
							});

							//ATUALIZAR TOTAIS
							if(dados.Chiffre != null){
								$("#chiffre_value").autoNumeric('set', dados.Chiffre);
							}
							if(dados.Solde != null){
								$("#solde_value").autoNumeric('set', dados.Solde);

								if(dados.Solde < 0) $("#solde_value").addClass('text-red');
								else $("#solde_value").addClass('text-green');
							}else{
								$("#solde_value").addClass('text-green');
							}

							$(".moneyTotal").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimais; ?>
							});

							fill_documents(idFornecedor);

							//fill responsables
							$.each(dados.Responsaveis, function() {
								// $("#r"+ind+"_code_responsavel_cliente").html( this.codigo );
								// $("#r"+ind+"_nom_responsavel_cliente").html( this.nome );
								// $("#r"+ind+"_contact_responsavel_cliente").html( this.contacto );
								// $("#r"+ind+"_email_responsavel_cliente").html( this.email );
								
								//html to add
								var htmlCode = '<tr>';
										// htmlCode += '<td>';
										// 	htmlCode += this.codigo;
										// htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.nome;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.prenom;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.contacto;
										htmlCode += '</td>';
										htmlCode += '<td>';
											htmlCode += this.email;
										htmlCode += '</td>';

								//append
								$("#responsablesTable tbody").append(htmlCode);
							});

						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//remover
	function eliminarFornecedor(idFornecedor, nome){
	<?php if (hasPermission(['P0048']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le fournisseur \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/fornecedores/apagar.php',
				dataType : 'json',
				data : {
					idFornecedor : idFornecedor
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce fournisseur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce fournisseur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Le fournisseur a été éliminé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../fournisseurs";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//load documents
	function fill_documents(idFornecedor) {
		table = $('#documentsAssociados').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"aaSorting" : [[2, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/fornecedores/documentos_associados.php?fornecedor="+idFornecedor,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, null,
			{
				"sClass" : "text-right",
			},
			{
				"sClass" : "text-right",
			}, 
			{
				"sClass" : "text-center",
				"bVisible" : false,
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [0],
				"mRender" : function(data, type, full) {
					var element = '';
					// if(full[6] == 'Rascunho') element = '<span style="color: orange;">---</span>';
					if(full[6] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
					if(full[6] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
					if(full[6] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
					//else element = full[0];
					//return html
					return element;
				}
			},
			{
				"aTargets" : [2],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[2].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [3],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[3].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[7]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[0] == 'Facture' || full[0] == 'FA' || full[0] == 'N. Crédit' || full[0] == 'NC'){
						var colorText = 'text-red';
						if(full[4] >= 0) colorText = 'text-green';
						element ='<span class="money '+colorText+'">'+full[4]+'</span>';

						//init elements
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							mDec : <?php echo $numDecimais; ?>
						});
					}else{
						element = '-';
					}

					return element;
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';

					if(full[0] == 'Facture' || full[0] == 'FA'){
						var colorText = 'text-red';
						if(full[5] >= 0) colorText = 'text-green';
						element ='<span class="money '+colorText+'">'+full[5]+'</span>';

						//init elements
						$(".money").autoNumeric("init", {
							aSep : '\'',
							aDec : '.',
							aSign : ' CHF',
							pSign : 's',
							mDec : <?php echo $numDecimais; ?>
						});
					}else{
						element = '-';
					}

					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[6] == 'Rascunho') element = '<span class="label label-orange">'+full[6]+'</span>';
					if(full[6] == 'Pago') element = '<span class="label label-green">'+full[6]+'</span>';
					if(full[6] == 'Aberto') element = '<span class="label label-blue">'+full[6]+'</span>';
					if(full[6] == 'Anulado') element = '<span class="label label-red">'+full[6]+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var html = '';

					if(full[0] == 'Facture' || full[0] == 'FA'){
						html += '<a href="/frifacturation/achats/details.php?achat='+ full[7] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
					}

					if(full[0] == 'N. Crédit' || full[0] == 'NC' ){
						html += '<a href="/frifacturation/achats-notes-credit/details.php?note='+ full[7] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
					}

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[7]);
				
				if(aData[6] == 'Anulado') $(nRow).css("text-decoration", "line-through");
				
				return nRow;
			},

			"footerCallback" : function(row, data, start, end, display) {
	            var api = this.api(), data;

	            // Remove the formatting to get integer data for summation
	            var intVal = function(i) {
	                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
	            };

	            // Total current page
	            var valorTotalDoc = api.column(4, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);
	            // Total current page
	            var valorLiquidado = api.column(5, { page: 'current'}).data().reduce(function(a, b) {
	                return intVal(a) + intVal(b);
	            }, 0);

	            //Por liquidar -> Used extra field to calculate already rounded for a better real value
				$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				
				$( "#valorDocTemp" ).autoNumeric('set', valorTotalDoc);
				var valorTotalDoc = $( "#valorDocTemp" ).autoNumeric('get');
				$( "#valorDocTemp" ).autoNumeric('set', valorLiquidado);
				var valorLiquidado = $( "#valorDocTemp" ).autoNumeric('get');

				$( "#valorDocTemp" ).remove();

	            //final calculation
	            //-------------------------------------------------------------------------------------
	            
	            $('.money').not(".table-menu > tbody > tr > td > span").html("");
	            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

	            var colorLabel = '';
	            if( valorLiquidado != valorTotalDoc ) colorLabel = 'text-red';
	            else colorLabel = 'text-green';

	            // Update footer
	            $(api.column(4).footer()).html('<span class="money">' + valorTotalDoc + '</span>');
	            $(api.column(5).footer()).html('<span class="money '+colorLabel+'">' + valorLiquidado + '</span>');
	        }

		});

		$('#documentsAssociados').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#documentsAssociados tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#documentsAssociados_filter input').unbind();

		$('#documentsAssociados_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="documentsAssociados"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		function pesquisar() {
			table.fnFilter($('#documentsAssociados_filter input').val());
		}
		$('#documentsAssociados_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}

		//END OF TABLE ---------------------------------------------
	}
</script>