<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
?>
<html>
	<title>Accueil | Frifacturation</title>
	<head>
		<?php include('base/css.php')
		?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			h4{font-weight: bolder;}
		</style>
	</head>
	<body>
		<div class="container">
			<?php
			include 'menu.php';
			?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						<div class="pull-left">
							Statistiques
						</div>
						<div align="right">
							&nbsp;
						</div>
					</div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12 col-sm-4 col-md-2">
								<label>Historique</label>
								<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="history_year" name="history_year"  >
									<option value="" data-hidden="true">Sélectionnez</option>
									<?php 
										$getYearsListOpt = getYearsHistoryOtps();
										foreach ($getYearsListOpt as $optItem) {
											echo $optItem;
										}
									?>
								</select>
							</div>
						</div>

						<div class="row mtm">
							<div class="col-xs-12 col-md-12">
								<div class="text-center" id="graphicWrapperTitle5"></div>
								<div class="row">
									<div class="col-xs-12" id="graphicWrapper5"></div>
								</div>
							</div>
						</div>
						<hr>
						<div class="row mtxl">
							<div class="col-xs-12 col-md-12">
								<div class="text-center" id="graphicWrapperTitle6"></div>
								<div class="row">
									<div class="col-xs-12" id="graphicWrapper6"></div>
								</div>
							</div>
						</div>
						<hr>
						<?php if (hasPermission(['P0014','P0106']) == 1 && $_SESSION['mod_Vendas'] == 1) { ?>

						<div class="row mtxl">
							<div class="col-xs-12 col-md-12">
								<div class="text-center">
									<h4><i class="fa fa-dollar"></i>&nbsp;Rappels</h4>
								</div>
								<div class="row mtxxl">
									<div class="col-xs-12" id="tableFatDividaWrapper"></div>
								</div>
							</div>
						</div>

						<?php } ?>
					</div>
				</div>
			</div>
		</div>

		<?php include 'footer.php'; ?>
		<?php include('base/scripts.php'); ?>

		<!-- ADDED SCRIPTS -->
		<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>

		<?php
		include ('modals/alerta_prazo_licenca.php');
		include ('index_scripts.php');
		?>
		<?php include('modals/confirmar_enviar_fatura_rappels.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script type="text/javascript">
		</script>

		<script>
			//load libraries
			google.charts.load('current', {
				packages : ['corechart','table']
			});

			$(".navbar-nav li.home").addClass("active");

			var val_form_new;
			/* LOADING ------------------------ */
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
			});
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
					$(".fullscreen").fadeOut();
				}
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				//init select
				$("select#history_year").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
			});

			/* LISTNER HISTORY YEAR */
			$("#history_year").on('change', function(){
				$(".fullscreen").show();
				
				setTimeout( callGraphData(5), 500);
				setTimeout( callGraphData(6), 1000);
			});
			/* //LOADING ------------------------ */

			/* ---------- Page Scripts ---------- */
			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				//call graph
				// callGraphData(5);
				// callGraphData(6);
				setTimeout( callGraphData(5), 500);
				setTimeout( callGraphData(6), 1000);
				// callGraphData(3);
				// callGraphData(4);
				//call tables
				// fill_faturacao();
				// fill_faturas_divida();
				google.charts.setOnLoadCallback( fill_faturas_divida );
			});
			/* ---------------------------------- */

			//Call Graph Data
			function callGraphData(idSelected){
				//active load
				$(".fullscreen").show();

				//vars
				var ID = idSelected;

				//choose graph
				switch(ID) {
					// case 1:
					// 	google.charts.setOnLoadCallback( getGraphVariacao );
					// 	break;
					// case 2:
					// 	google.charts.setOnLoadCallback( getGraphContasCorrentes );
					// 	break;
					// case 3:
					// 	google.charts.setOnLoadCallback( getGraphTopClientes );
					// 	break;
					// case 4:
					// 	google.charts.setOnLoadCallback( getGraphTopDevedores );
					// 	break;
					case 5:
						google.charts.setOnLoadCallback( getGraphFaturacaoFat );
						break;
					case 6:
						google.charts.setOnLoadCallback( getGraphFaturacaoComp );
						break;

					default:
						break;
				}
				//disable loading
				$(".fullscreen").fadeOut();

				//finish form
				return false;
			}
		</script>
	</body>
</html>