<script type="text/javascript">
	/** |------------------- Ajax Calls ------------------| */
	function getDataJSON(graphID){
		var graphFile='';
		var selectedYear=$("#history_year").val();
		
		//process graphID
		switch(graphID){
			// case 1: graphFile="variacao.php"; break;
			// case 2: graphFile="contas_correntes.php"; break;
			// case 3: graphFile="top_clientes.php"; break;
			// case 4: graphFile="top_devedores.php"; break;
			case 5: graphFile="variacao.php?year="+selectedYear; break;
			case 6: graphFile="variacao_compras.php?year="+selectedYear; break;
			
			default: graphFile=""; break; 
		}

		//ajax 
		var jsonData;
		if(graphFile != ''){
			jsonData = $.ajax({
				url : "/frifacturation/server/graficos/"+graphFile,
				type : "POST",
				data : null,
				dataType : "json",
				async : false
			}).responseText;
		}else{
			jsonData = null;
		}
		var myObject = JSON.parse(jsonData);

		//return the data
		return myObject;
	}

	/** |--------------- Graphics Funcions ---------------| */
	
	//variacao anual
	function getGraphVariacao(){
		var wrapperMain = $('#graphicWrapperTitle1');
		
		var htmlContent = '<h4><i class="fa fa-bar-chart"></i>&nbsp;Variação Anual da Facturation</h4><br>';
		// htmlContent += '<div id="graphWrapper1"></div>';

		wrapperMain.html(htmlContent);
        
    	var options = {
			width : '100%',
			height : 300,
			// colors: ['#1976D2', '#E53935', '#FF9900'],
			sliceVisibilityThreshold:0,
          	// is3D: true,
	        legend: { position: "none" },
		};
	
		//get the data from json
		var jsonData = getDataJSON(1);
		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);
		
		// Instantiate and draw the chart.
		var chart = new google.visualization.ColumnChart(document.getElementById('graphicWrapper1'));
		chart.draw(data, options);
	}

	//contas correntes
	function getGraphContasCorrentes(){
		var wrapperMain = $('#graphicWrapperTitle2');
		
		var htmlContent = '<h4><i class="fa fa-pie-chart"></i>&nbsp;Top 10 Contas Correntes</h4><br>';
		// htmlContent += '<div id="graphWrapper2"></div>';

		wrapperMain.html(htmlContent);
	
		var options = {
			width : '100%',
			height : 300,
			colors: ['#1976D2', '#E53935', '#FF9900'],
			sliceVisibilityThreshold:0,
          	// is3D: true,
		};
		
		//get the data from json
		var jsonData = getDataJSON(2);
		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);
		
		
	
		// Instantiate and draw the chart.
		var chart = new google.visualization.PieChart(document.getElementById('graphicWrapper2'));
		chart.draw(data, options);
	}

	//top clientes
	function getGraphTopClientes(){
		var wrapperMain = $('#graphicWrapperTitle3');
		
		var htmlContent = '<h4><i class="fa fa-dot-circle-o"></i>&nbsp;Top 10 Melhores Clientes</h4><br>';
		// htmlContent += '<div id="graphWrapper3"></div>';

		wrapperMain.html(htmlContent);
	
		var options = {
			width : '100%',
			height : 300,
			colors: ['#1976D2', '#E53935', '#FF9900'],
			sliceVisibilityThreshold:0,
          	// is3D: true,
          	pieHole: 0.4,
		};
		
		//get the data from json
		var jsonData = getDataJSON(3);
		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);
		
		
	
		// Instantiate and draw the chart.
		var chart = new google.visualization.PieChart(document.getElementById('graphicWrapper3'));
		chart.draw(data, options);
	}

	//top devedores
	function getGraphTopDevedores(){
		var wrapperMain = $('#graphicWrapperTitle4');
		
		var htmlContent = '<h4><i class="fa fa-dot-circle-o"></i>&nbsp;Top 10 Devedores</h4><br>';
		// htmlContent += '<div id="graphWrapper3"></div>';

		wrapperMain.html(htmlContent);
	
		var options = {
			width : '100%',
			height : 300,
			colors: ['#1976D2', '#E53935', '#FF9900'],
			sliceVisibilityThreshold:0,
          	// is3D: true,
          	pieHole: 0.4,
		};
		
		//get the data from json
		var jsonData = getDataJSON(4);
		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);
		
		
	
		// Instantiate and draw the chart.
		var chart = new google.visualization.PieChart(document.getElementById('graphicWrapper4'));
		chart.draw(data, options);
	}
	
	//faturacao
	function fill_faturacao(){
		var htmlCode = '';
		htmlCode += '<div class="row mbm mtxl">';
			htmlCode += '<div class="col-xs-12 col-md-10 col-md-offset-1 mtm">';
				htmlCode += '<a>';
					htmlCode += '<div class="portlet box color portlet-gesautarquia">';
						htmlCode += '<div class="pam">';
							htmlCode += '<i class="fa fa-dollar fa-5x flt-left"></i>';
							htmlCode += '<div class="text-right">';
								htmlCode += '<h4 class="man mts">';
									htmlCode += '<span id="" class="money text-green mtl font500"><b>1000</b></span>';
								htmlCode += '</h4>';
							htmlCode += '</div>';
							htmlCode += '<div class="text-right mts">';
								htmlCode += 'Total Faturado<br> Hoje';
							htmlCode += '</div>';
						htmlCode += '</div>';
					htmlCode += '</div>';
				htmlCode += '</a>';
			htmlCode += '</div>';
			htmlCode += '<div class="col-xs-12 col-md-10 col-md-offset-1 mtm">';
				htmlCode += '<a>';
					htmlCode += '<div class="portlet box color portlet-gesautarquia">';
						htmlCode += '<div class="pam">';
							htmlCode += '<i class="fa fa-dollar fa-5x flt-left"></i>';
							htmlCode += '<div class="text-right">';
								htmlCode += '<h4 class="man mts">';
									htmlCode += '<span id="" class="money text-blue mtl font500"><b>8000</b></span>';
								htmlCode += '</h4>';
							htmlCode += '</div>';
							htmlCode += '<div class="text-right mts">';
								htmlCode += 'Total Faturado<br> Este mês';
							htmlCode += '</div>';
						htmlCode += '</div>';
					htmlCode += '</div>';
				htmlCode += '</a>';
			htmlCode += '</div>';
			htmlCode += '<div class="col-xs-12 col-md-10 col-md-offset-1 mtm">';
				htmlCode += '<a>';
					htmlCode += '<div class="portlet box color portlet-gesautarquia">';
						htmlCode += '<div class="pam">';
							htmlCode += '<i class="fa fa-dollar fa-5x flt-left"></i>';
							htmlCode += '<div class="text-right">';
								htmlCode += '<h4 class="man mts">';
									htmlCode += '<span id="" class="money text-info mtl font500"><b>35000</b></span>';
								htmlCode += '</h4>';
							htmlCode += '</div>';
							htmlCode += '<div class="text-right mts">';
								htmlCode += 'Total Faturado<br> Este ano';
							htmlCode += '</div>';
						htmlCode += '</div>';
					htmlCode += '</div>';
				htmlCode += '</a>';
			htmlCode += '</div>';
		htmlCode += '</div>';

		$('#tableFaturacaoWrapper').append(htmlCode);

		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			mDec : <?php echo $numDecimais; ?>
		});
	}

	//top faturas em divida
	function fill_faturas_divida(){
	<?php if (hasPermission(['P0014','P0106']) == 1 && $_SESSION['mod_Vendas'] == 1) { ?>
		
		var htmlCode = '';
		htmlCode += '<table class="table table-bordered table-striped" id="table_dividas">';
			htmlCode += '<thead>';
				htmlCode += '<tr>';
					htmlCode += '<th style="width: 100px;">Rappel</th>';
					htmlCode += '<th style="width: 100px;">Nº Document</th>';
					htmlCode += '<th style="width: 70px;">Nº Client</th>';
					htmlCode += '<th>Client</th>';
					htmlCode += '<th style="width: 80px;">Date</th>';
					htmlCode += '<th style="width: 100px;">Date Expiration</th>';
					htmlCode += '<th style="width: 90px;">Total&nbsp;&nbsp;&nbsp;</th>';
					htmlCode += '<th style="width: 90px;">Solde&nbsp;&nbsp;&nbsp;</th>';
					htmlCode += '<th style="width: 80px;">État</th>';
					htmlCode += '<th style="width: 60px;">Options</th>';
				htmlCode += '</tr>';
			htmlCode += '</thead>';
			htmlCode += '<tbody>';
			htmlCode += '</tbody>';
			htmlCode += '<tfoot>';
            	htmlCode += '<tr style="display:none;">';
                    htmlCode += '<th colspan="6" class="text-right">Totaux:&nbsp;</th>';
                    htmlCode += '<th class="text-green"></th>';
                    htmlCode += '<th class=""></th>';
                    htmlCode += '<th class=""></th>';
                    htmlCode += '<th></th>';
                htmlCode += '</tr>';
            htmlCode += '</tfoot>';
		htmlCode += '</table>';
		$('#tableFatDividaWrapper').append(htmlCode);

		//load table items
		table = $('#table_dividas').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[4, "asc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/graficos/faturas_atraso.php",
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null,null, null, null, null, null,
			{
				"sClass" : "text-right",
			},
			{
				"sClass" : "text-right",
			}, 
			{
				"sClass" : "text-center",
				"bVisible" : false,
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [2],
				"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis">'+full[2]+'</span>';
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[4].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[10]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[5].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[10]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					element ='<span class="money">'+full[6]+'</span>';

					//init elements
					$(".money").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[7] < 0) colorLabel = 'text-red';
	            	else colorLabel = 'text-green';
					element ='<span class="money '+colorLabel+'">'+full[7]+'</span>';

					//init elements
					$(".money").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [8],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[8] == 'Rascunho') element = '<span class="label label-orange">'+full[8]+'</span>';
					if(full[8] == 'Pago') element = '<span class="label label-green">'+full[8]+'</span>';
					if(full[8] == 'Aberto') element = '<span class="label label-blue">'+full[8]+'</span>';
					if(full[8] == 'Anulado') element = '<span class="label label-red">'+full[8]+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [9],
				"mRender" : function(data, type, full) {
					var tmp = full[4].split("-");
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					var docNumber = '';
					if(full[8] != 'Rascunho') docNumber = " - "+ full[0];
					var processedName = full[3].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
					var nome = "'"+tmpLBL+ docNumber+" - " +full[1]+" - " + processedName +"'";
					var html = '';
					var typeDoc = "'FT'";
					var processedRappel = full[0].replace(/'/gi, " "); processedRappel = processedRappel.replace(/"/gi, " ");
					processedRappel = "'"+processedRappel+"'";

					html += '<a href="/frifacturation/factures/details?facture='+ full[9] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

					html += '<a class="options-link text-blue" onclick="enviarFatura('+ full[9] +', '+nome+','+ processedRappel +')" title="Envoyer"><i class="fa fa-paper-plane"></i></a>';

					html += '<a href="/frifacturation/server/imprimer_pdf/exporter_facture.php?idDoc='+full[9]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';

					//return all html composed
					return html;
				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[9]);

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},
			"footerCallback" : function(row, data, start, end, display) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function(i) {
                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
            };

            // Total current page
            var valorTotal = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);
            // Total current page
            var valorSolde = api.column(7, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);

            //Por liquidar -> Used extra field to calculate already rounded for a better real value
			$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
			$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
			valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
			$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
			valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

			$( "#valorDocTemp" ).remove();

            //final calculation
            //-------------------------------------------------------------------------------------
            
            $('.money').not(".table-menu > tbody > tr > td > span").html("");
            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

            if(valorSolde < 0) colorLabel = 'text-red';
            else colorLabel = 'text-green';
            // Update footer
            $(api.column(6).footer()).html('<span class="money">' + valorTotal + '</span>');
            $(api.column(7).footer()).html('<span class="money '+colorLabel+'">' + valorSolde + '</span>');
        }
		});

		$('#table_dividas').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#table_dividas tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#table_dividas_filter input').unbind();

		$('#table_dividas_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_dividas"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#table_dividas_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}
		});
		$('#table_dividas_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}
		
		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			mDec : <?php echo $numDecimais; ?>
		});

	<?php } else {?>
		$('#tableFatDividaWrapper').html('<div class="col-xs-12 text-center text-red"><i class="fa fa-warning"></i>&nbsp;&nbsp;Sans enregistrements disponibles.</div>');
	<?php } ?>
	}

	//search table
	function pesquisar() {
		table.fnFilter($('#table_dividas_filter input').val());
	}

	//Faturacao faturas
	function getGraphFaturacaoFat(){
		var wrapperMain = $('#graphicWrapperTitle5');
		
		var htmlContent = '<h4><i class="fa fa-bar-chart"></i>&nbsp;Variation de facturation annuelle</h4><br>';
		// htmlContent += '<div id="graphWrapper1"></div>';
	
	<?php if (hasPermission(['P0013','P0105']) == 1 && $_SESSION['mod_Vendas'] == 1) { ?>
		wrapperMain.html(htmlContent);

        
    	var options = {
			width : '100%',
			height : 300,
			colors: ['#4285F4', '#1D975A'],
			sliceVisibilityThreshold:0,
			// hAxis: { 
			// }
          	// is3D: true,
	        // legend: { position: "none" },
		};
	
		//get the data from json
		var jsonData = getDataJSON(5);

		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);
		
		var formatter = new google.visualization.NumberFormat({decimalSymbol: '.',groupingSymbol: '\'', negativeColor: 'red', negativeParens: false, prefix: ' '});
  		formatter.format(data, 1);
  		formatter.format(data, 2);

		// Instantiate and draw the chart.
		var chart = new google.visualization.ColumnChart(document.getElementById('graphicWrapper5'));
		chart.draw(data, options);

	<?php } else {?>
		// $('#graphicWrapper5').html('<div class="col-xs-12 text-center text-red"><i class="fa fa-warning"></i>&nbsp;&nbsp;Sans enregistrements disponibles.</div>');
	<?php } ?>
	}

	//Faturacao compras
	function getGraphFaturacaoComp(){
		var wrapperMain = $('#graphicWrapperTitle6');
		
		var htmlContent = '<h4><i class="fa fa-bar-chart"></i>&nbsp;Variation annuelle des achats</h4><br>';
		// htmlContent += '<div id="graphWrapper1"></div>';

	<?php if (hasPermission(['P0013']) == 1 && $_SESSION['mod_Compras'] == 1) { ?>
		wrapperMain.html(htmlContent);

        
    	var options = {
			width : '100%',
			height : 300,
			colors: ['#C84334', '#1D975A'],
			sliceVisibilityThreshold:0,
          	// is3D: true,
	        // legend: { position: "none" },
		};
	
		//get the data from json
		var jsonData = getDataJSON(6);

		//process graph1 - Bars
		var data = new google.visualization.arrayToDataTable(jsonData);

		var formatter = new google.visualization.NumberFormat({decimalSymbol: '.',groupingSymbol: '\'', negativeColor: 'red', negativeParens: false, prefix: ' '});
  		formatter.format(data, 1);
  		formatter.format(data, 2);
		
		// Instantiate and draw the chart.
		var chart = new google.visualization.ColumnChart(document.getElementById('graphicWrapper6'));
		chart.draw(data, options);

	<?php } else {?>
		// $('#graphicWrapper6').html('<div class="col-xs-12 text-center text-red"><i class="fa fa-warning"></i>&nbsp;&nbsp;Sans enregistrements disponibles.</div>');
	<?php } ?>
	}



	//Enviar email
	function enviarFatura(idFatura, nome, rappel = '1º Rappel'){
	<?php if (hasPermission(['P0028']) == 1) { ?>
		$('#document_iden').val('');
		$('#document_iden').val(idFatura);
		$('#confirmar_envio_detalhes').html('-');
		$('#confirmar_envio_detalhes').html(nome);
		$('#rappel_number').val('');
		$('#rappel_number').val(rappel);
		fill_senderEmail(idFatura);
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirm email sender
	function confirmFaturaSender(idFatura, numRappel, email_sender){
		// console.log(idFatura, numRappel, email_sender);

		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/faturas/email_rappels.php',
			dataType : 'json',
			data : {
				idDoc : idFatura,
				numRappel : numRappel,
				senderEmail : email_sender
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Facture envoyé avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta
				if(resp.responseJSON){
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT004] Impossible d'envoyer par courrier électronique cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Facture envoyé avec succès.", $.scojs_message.TYPE_OK);
						//reload
						setTimeout(function() {
							// location.reload();
							pesquisar();
							$('#modal-confirmar-envio').modal("hide");
						}, 1000);
					}
				}else{
					$.scojs_message("[FAT003] Impossible d'envoyer cette facture. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
				}
			}
		});
	}
</script>