<style type="text/css">
	#tableDocumentsOrigins>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
	#tableLinesNC>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
	#tableLinesND>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
</style>
<div id="modal-listaOrigensRapports" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title">Liste de Contrats d'entretien</h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;">
				<div id="form_div">
					<div class="row">
						<div class="col-xs-12">
							<table class="table table-bordered table-striped" id="tableDocumentsOrigins">
								<thead>
									<tr>
										<th style="width: 100px;">Nº Doc.</th>
										<th style="width: 70px;">Début</th>
										<th>Client</th>
										<th style="width: 70px;">Code</th>
										<th style="width: 120px;">Prix Noir.&nbsp;&nbsp;&nbsp;</th>
										<th style="width: 120px;">Prix Coul.&nbsp;&nbsp;&nbsp;</th>
										<th style="width: 20px;">&nbsp;</th>
										<th style="width: 20px;">Hidden</th>
										<th style="width: 20px;">Hidden</th>
										<th style="width: 20px;">Hidden</th>
										<th style="width: 20px;">Hidden</th>
									</tr>
								</thead>
								<tbody></tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" data-dismiss="modal" class="btn btn-default">
					Fermer
				</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
	/**
	 * Fill up regions
	 * @return select
	 */
	function fill_OriginDocuments(typeDoc){
		//fill table
		table = $('#tableDocumentsOrigins').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"bDestroy" : true,
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Todos"]],
			"aaSorting" : [[1, "desc"], [0, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/listagem_origens_rapports.php?typeDoc="+typeDoc,
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, null, 
			{
				"sClass" : "text-right",
			}, 
			{
				"sClass" : "text-right",
			},
			{
				"bVisible" : true,
				"sClass" : "text-center",
				"bSortable" : false,
			},
			{
				"bVisible" : false,
			},
			{
				"bVisible" : false,
			},
			{
				"bVisible" : false,
			},
			{
				"bVisible" : false,
			}
			],
			"aoColumnDefs" : [
			{
				"aTargets" : [0],
				"mRender" : function(data, type, full) {
					var element = '';
					if(full[7] == 'Rascunho') element = '<span style="color: orange;">---</span>';
					if(full[7] == 'Pago') element = '<span style="color: green;">'+full[0]+'</span>';
					if(full[7] == 'Confirmado') element = '<span style="color: green;">'+full[0]+'</span>';
					if(full[7] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
					if(full[7] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[1].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_contrat_'+full[6]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [2],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="35">'+full[2]+'</span>';
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					var element = '';
					element ='<span class="moneyOrigenSpecial">'+full[4]+'</span>';

					//init elements
					$(".moneyOrigenSpecial").autoNumeric("init", {
						aSep : '.',
						aDec : ',',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';
					var colorLabel = 'text-green';
					if(full[5] < 0) colorLabel = 'text-red';
					element ='<span class="moneyOrigenSpecial '+colorLabel+'">'+full[5]+'</span>';

					//init elements
					$(".moneyOrigenSpecial").autoNumeric("init", {
						aSep : '.',
						aDec : ',',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var html = '';
					var typeDoc = "'CC'"; // Contrat d'entretien
					var clientID = full[9];
					// var valOriginal = Number( full[5] ) * (- 1);

					html += '<a onClick="selectedDocumentToUse('+ full[6] +','+typeDoc+')" class="options-link text-green"><i class="fa fa-check" title="Sélectionnez"></i></a>';
					html += '&nbsp;<div class="itemClientID_'+full[6]+'" style="display:none;" data-clientID="'+clientID+'"></div>';
					// html += '&nbsp;<div class="itemValueOrigin_'+full[6]+'" style="display:none;" data-valOrigin="'+valOriginal+'"></div>';
					html += '&nbsp;<div class="itemValueOrigin_'+full[6]+'" style="display:none;" data-valOrigin="0"></div>';

					//return all html composed
					return html;
				}
			}

			],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[6]);

				if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
	            //init elements
				$(".moneyOrigenSpecial").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
			},
		});

		//END OF TABLE ---------------------------------------------
		
		//TABLE REMAINING FUNCTIONS --------------------------------------
		$('#tableDocumentsOrigins').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#tableDocumentsOrigins tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#tableDocumentsOrigins_filter input').unbind();

		$('#tableDocumentsOrigins_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="tableDocumentsOrigins"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisarTabRapportsOrigem()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

		$('#tableDocumentsOrigins_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		//------------------------------------------------------------
			
				
		//OPEN MODAL
		$('#modal-listaOrigensRapports').modal("show");
		
	}

	//----------------------------------------------------------------

	function pesquisarTabRapportsOrigem() {
		table.fnFilter($('#tableDocumentsOrigins_filter input').val());
	}
	$('#tableDocumentsOrigins_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela, rowDBID, typeDoc = '') {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		// console.log(aTrs);
		for (var i = 0; i < aTrs.length; i++) {
			// console.log( $(aTrs[i]).attr('dbid') == rowDBID);
			if ( $(aTrs[i]).attr('dbid') == rowDBID ) {
				if( typeDoc != '' ){
					// if( $(aTrs[i]).find('td').eq(0).text().split(' ')[0] == typeDoc ){
						aReturn.push(aTrs[i]);
					// }
				} else {
					aReturn.push(aTrs[i]);
				}
			}
		}
		return aReturn;
	}
	//----------------------------------------------------------------
	//----------------------------------------------------------------

	function selectedDocumentToUse(idDocSelected, typeDocSelected){
		var selectedRow = fnGetSelected(table, idDocSelected, typeDocSelected) ;
		// console.log(selectedRow);
		//prepare fields interface
		var stringDocOrigem = '';
		stringDocOrigem += $(selectedRow).find('td').eq(0).text()+' | ';
		stringDocOrigem += $(selectedRow).find('td').eq(1).text()+' | ';
		if($(selectedRow).find('td').eq(2).find('span.full-text').text() != ''){
			stringDocOrigem += $(selectedRow).find('td').eq(2).find('span.full-text').text()+' | ';
		} else {
			stringDocOrigem += $(selectedRow).find('td').eq(2).text()+' | ';
		}
		stringDocOrigem += $(selectedRow).find('td').eq(3).text()+' | ';
		stringDocOrigem += $(selectedRow).find('td').eq(4).text()+' | ';
		stringDocOrigem += $(selectedRow).find('td').eq(5).text();

		var clienteID = $(selectedRow).find('.itemClientID_'+idDocSelected).attr('data-clientID');
		var valueOriginalReceived = $(selectedRow).find('.itemValueOrigin_'+idDocSelected).attr('data-valOrigin');

		$('#documentoOrigem_rapport').val(stringDocOrigem);
		$('#documentoOrigem_rapport').attr('data-client', clienteID);
		$('#documentoOrigem_rapport').attr('data-value', valueOriginalReceived);
		$('#documentoOrigem_rapport').attr('data-type', typeDocSelected);
		$('#documentoOrigem_rapport').attr('data-idDoc', idDocSelected);
				
		//fill document details
		fill_origens_detalhes(idDocSelected, typeDocSelected);

		//clear the table and close the modal
		table.empty();
		table.fnDestroy();
		$('#modal-listaOrigensRapports').modal("hide");
	}


	//ver documents
	function selectOriginDocument(typeDocument){
		//call the init script
		fill_OriginDocuments(typeDocument);
	}
</script>