<style type="text/css">
	#tableLinesReceipts>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
	#tableLinesNC>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
</style>
<div id="modal-listaRecibos" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title">Liste de Paiement</h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;">
				<div id="form_div">
					<div class="row">
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Document</label>
								<span id="fatura_listaRecibos" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Date du Document</label>
								<span id="dataFatura_listaRecibos" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Document Total</label>
								<div style="display: block;">	
									<b><span id="valorFatura_listaRecibos" class="money text-red" style=""></span></b>
									<span id="lista_divisao_moedas1" style="display: none;">&nbsp;/&nbsp;</span><b><span id="valorFaturaEstrangeiro_listaRecibos" class="moneyCountry text-red" style="display: none;"></span></b>
									<br>
									<div id="lista_taxaMoeda_Wrapper" style="display: none; font-size: 11px !important;">Taux: <span id="taxaMoeda_listaRecibos" class="" style="font-size: 11px;"></span></div>
								</div>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Total Payable</label>
								<div style="display: block;">	
									<b><span id="valorFalta_listaRecibos" class="money text-red" style=""></span></b>
									<span id="lista_divisao_moedas2" style="display: none;">&nbsp;/&nbsp;</span><b><span id="valorFaltaEstrangeiro_listaRecibos" class="moneyCountry text-red" style="display: none;"></span></b>
								</div>
							</div>
						</div>
					</div>
					<div class="row mtl">
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Nº de Client</label>
								<span id="fatura_codigo" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-9">
							<div class="form-group">
								<label class="control-label">Nom de Client</label>
								<span id="fatura_cliente" style="display: block"></span>
							</div>
						</div>
						<div class="col-xs-12"><hr></div>
					</div>
					<div class="row">
						<div class="col-xs-12">
							<label class="control-label">Recettes associées</label>
							<table class="table table-bordered table-striped" id="tableLinesReceipts">
								<thead>
									<tr>
										<th style="width: 120px;">Numéro</th>
										<th style="width: 120px;">Date</th>
										<th class="text-right" style="width: 120px;">Reçu</th>
										<th class="text-right hide" style="width: 120px;">Rétention</th>
										<th class="text-right" style="width: 120px;">Total Liquidé</th>
										<th class="text-center" style="width: 80px;">État</th>
										<th class="text-center" style="width: 80px;">Options</th>
									</tr>
								</thead>
								<tbody></tbody>
								<tfoot></tfoot>
							</table>
						</div>
					</div>
					<div class="row mtl">
						<div class="col-xs-12">
							<label class="control-label">Notes de Crédit Associé</label>
							<table class="table table-bordered table-striped" id="tableLinesNC">
								<thead>
									<tr>
										<th style="width: 120px;">Numéro</th>
										<th style="width: 120px;">Date</th>
										<th class="text-right" style="width: 120px;">Total Crédité</th>
										<th class="text-center" style="width: 80px;">État</th>
										<th class="text-center" style="width: 80px;">Options</th>
									</tr>
								</thead>
								<tbody></tbody>
								<tfoot></tfoot>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" data-dismiss="modal" class="btn btn-default">
					Fermer
				</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
	/**
	 * Fill up regions
	 * @return select
	 */
	function fill_list_payments(idDocument, typeDoc){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/faturas-comum/detalhes_lista_recibos.php',
			data : { 
				idDocument : idDocument,
				typeDoc : typeDoc
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							//disable the selects
							$(seriesSel).attr("disabled", true);
							$(metodosSel).attr("disabled", true);
							$(bancosSel).attr("disabled", true);
						} else {
							var dados = resposta.data;

							$('#fatura_listaRecibos').html('FA '+dados.Serie+'/'+dados.Numero);
							$('#dataFatura_listaRecibos').html(dados.Data).attr('data-normalizeDate', dados.DataNormalizada);
							$('#valorFatura_listaRecibos').autoNumeric('set', dados.TotalPagar);
							$('#valorFalta_listaRecibos').autoNumeric('set', dados.TotalEmFalta);

							if(dados.ISOCode != 'CHF'){
								$('#valorFaturaEstrangeiro_listaRecibos').autoNumeric('set', dados.ValorPagavel_Estrangeiro);
								$('#valorFaturaEstrangeiro_listaRecibos').show();
								$('#valorFaltaEstrangeiro_listaRecibos').autoNumeric('set', dados.ValorFalta_Estrangeiro);
								$('#valorFaltaEstrangeiro_listaRecibos').show();
								$('#lista_divisao_moedas1').show();
								$('#lista_divisao_moedas2').show();
								$('#taxaMoeda_listaRecibos').html(dados.TaxaMoeda);
								$('#lista_taxaMoeda_Wrapper').show();
							}else{
								$('#valorFaturaEstrangeiro_listaRecibos').hide();
								$('#valorFaltaEstrangeiro_listaRecibos').hide();
								$('#lista_divisao_moedas1').hide();
								$('#lista_divisao_moedas2').hide();
								$('#lista_taxaMoeda_Wrapper').hide();
							}

							$('#fatura_cliente').html(dados.Cliente);
							$('#fatura_codigo').html(dados.Codigo);

							//inits
							$(".moneyCountry").autoNumeric("update", {
								aSign : ' '+dados.Simbolo
							});

							//RECEIPTS -----------------------------------
							$('#tableLinesReceipts tbody').html('');
							$('#tableLinesReceipts tfoot').html('');
							var trHTML = '';
							var trHTMLfooter = '';
							var totalRecebido = 0;
							var totalRetencao = 0;
							var totalLiquidado = 0;
							//process the lines
							$.each(dados.lines, function() {
								var btnOptsHTML = '';
								var estadoHTML = '';
								var extraStyle = '';
								
								btnOptsHTML += '<a onclick="verRecibo('+ this.ID_Recibo +')" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
								btnOptsHTML += '<a href="/frifacturation/server/imprimer_pdf/exportar_recibo.php?idDoc='+this.ID_Recibo+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
								if(this.Estado == 'Pago'){
									btnOptsHTML += '<a onclick="anularRecibo('+ this.ID_Recibo +', \''+ this.Numero +'\')" class="options-link text-red"><i class="fa fa-times" title="Anular Recibo"></i></a>';
									estadoHTML += '<span class="label label-green">Payé</span>';
								}else{
									estadoHTML += '<span class="label label-red">Annulé</span>';
									extraStyle += ' style="text-decoration: line-through;"';
								}

								trHTML += '<tr data-recID="'+this.ID_Recibo+'" data-normalizeDate="'+this.DataNormalizada+'" '+extraStyle+'>';
								trHTML += '<td style="width: 120px;">'+this.Numero+'</td>';
								trHTML += '<td style="width: 120px;">'+this.Data+'</td>';
								if(this.Estado == 'Pago'){
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">'+this.Recebido+'</span></td>';
									trHTML += '<td class="text-right hide" style="width: 120px;"><span class="money">'+this.Retencao+'</span></td>';
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">'+this.TotalRecibo+'</span></td>';
								}else{
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">0</span></td>';
									trHTML += '<td class="text-right hide" style="width: 120px;"><span class="money">0</span></td>';
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">0</span></td>';
								}
								trHTML += '<td class="text-center" style="width: 80px;">'+estadoHTML+'</td>';
								trHTML += '<td class="text-center" style="width: 80px;">'+btnOptsHTML+'</td>';
								trHTML += '</tr>';

								if(this.Estado == 'Pago'){
									totalRecebido += Number(this.Recebido);
									totalRetencao += Number(this.Retencao);
									totalLiquidado += Number(this.TotalRecibo);
								}
							});

							//process footer
							trHTMLfooter += '<tr>';
								trHTMLfooter += '<th class="text-right" colspan="2">Totaux:</th>';
								trHTMLfooter += '<th class="text-right"><span class="money">'+totalRecebido+'</span></th>';
								trHTMLfooter += '<th class="text-right hide"><span class="money">'+totalRetencao+'</span></th>';
								trHTMLfooter += '<th class="text-right"><span class="money">'+totalLiquidado+'</span></th>';
								trHTMLfooter += '<th class="text-right" colspan="2">&nbsp;</th>';
							trHTMLfooter += '</tr>';

							$('#tableLinesReceipts tbody').append(trHTML);
							$('#tableLinesReceipts tfoot').append(trHTMLfooter);
							//--------------------------------------------
							
							//NC -----------------------------------------
							$('#tableLinesNC tbody').html('');
							$('#tableLinesNC tfoot').html('');
							var trHTML = '';
							var trHTMLfooter = '';
							var totalCreditado = 0;
							var extraStyle = '';
							
							//process the lines
							$.each(dados.lines_nc, function() {
								var btnOptsHTML = '';
								var estadoHTML = '';
								
								btnOptsHTML += '<a href="/frifacturation/notes-credit/details?note='+ this.ID_NotaCredito +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
								btnOptsHTML += '<a href="/frifacturation/server/imprimer_pdf/exporter_credit.php?idDoc='+this.ID_NotaCredito+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';

								if(this.Estado == 'Pago'){
									estadoHTML += '<span class="label label-green">Payé</span>';
								}else{
									estadoHTML += '<span class="label label-red">Annulé</span>';
									extraStyle += ' style="text-decoration: line-through;"';
								}

								trHTML += '<tr data-recID="'+this.ID_NotaCredito+'" data-normalizeDate="'+this.DataNormalizada+'" '+extraStyle+'>';
								trHTML += '<td style="width: 120px;">'+this.Numero+'</td>';
								trHTML += '<td style="width: 120px;">'+this.Data+'</td>';
								if(this.Estado == 'Pago'){
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">'+this.TotalCreditado+'</span></td>';
								}else{
									trHTML += '<td class="text-right" style="width: 120px;"><span class="money">0</span></td>';
								}
								trHTML += '<td class="text-center" style="width: 80px;">'+estadoHTML+'</td>';
								trHTML += '<td class="text-center" style="width: 80px;">'+btnOptsHTML+'</td>';
								trHTML += '</tr>';

								if(this.Estado == 'Pago'){
									totalCreditado += Number(this.TotalCreditado);
								}
							});

							//process footer
							trHTMLfooter += '<tr>';
								trHTMLfooter += '<th class="text-right" colspan="2">Totaux:</th>';
								trHTMLfooter += '<th class="text-right"><span class="money">'+totalCreditado+'</span></th>';
								trHTMLfooter += '<th class="text-right" colspan="2">&nbsp;</th>';
							trHTMLfooter += '</tr>';

							$('#tableLinesNC tbody').append(trHTML);
							$('#tableLinesNC tfoot').append(trHTMLfooter);
							//--------------------------------------------

							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});
						}
					}
				}
			},
			complete : function() {
				$('#modal-listaRecibos').modal("show");
			}
		});
	}

	//ver recibo
	function verRecibo(idDocument){
		//call the init script
		fill_details_payment(idDocument);
	}

	//anular documento
	function anularRecibo(idRecibo, nome){
	<?php if (hasPermission(['P0030']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le reçu \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/faturas-comum/anular_recibo.php',
				dataType : 'json',
				data : {
					idRecibo : idRecibo
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette reçu. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette reçu a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette reçu parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette reçu. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Reçu avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>