<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0108']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/rapports-travail/&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Rapports'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=rapports-travail&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = "  ";
		$spanStyle = " style='' ";
		$qtdSizePerc = "70%";
	}
?>
<html>
	<title>Rapport de Travail: Détails | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">

		<link rel="stylesheet" href="/js/vendors/signature-pad/assets/jquery.signaturepad.css">

		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}

			/* STAUTS LABELS */
			.stamp-label-orange{ border: 1px solid #E9662C; }
			.stamp-label-blue{ border: 1px solid #428BCA; }
			.stamp-label-green{ border: 1px solid #488C6C; }
			.stamp-label-red{ border: 1px solid #BF4346; }
			span { word-wrap: break-word; }

			.sigPad { width: 600px; margin: auto; }
			.sigWrapper { height: 152px; width: 602px; }
			.sigPad button.btn-green:hover { background-color: #3a7157; color: #ffffff; border-color: #305d48; }
			.sigPad button.btn-green { background-color: #488c6c; color: #ffffff; border-color: #458567; }
			canvas.pad { cursor: unset; }
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" id="BtnTopWrapper">
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../rapports-travail">Rapports de Travail</a>
							</li>
							<li class="active">
								Détails du Rapport de Travail
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-xs-12 hide" id="originDocWrapper">
												<h5 class="form-header">
													<legend class="form-legend">
														Contrat d'entretien
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Document</label>
																<div id="documentoOrigem_rapport" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Date</label>
																<div id="dataOrigem_rapport" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label" id="label_element1_rapport">Date/Hora de Carga</label>
																<span id="element1_rapport" style="display: block"></span>
															</div>
														</div>
														<div class="col-xs-12 col-sm-12 col-md-3">
															<div class="form-group">
																<label class="control-label" id="label_element2_rapport">Date/Hora de Descarga</label>
																<span id="element2_rapport" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-8">
												<h5 class="form-header">
													<legend class="form-legend">
														Données du client
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Client</label>
																<span id="cliente_rapport" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row ">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Adresse</label>
																<span id="endereco_cliente_rapport" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Code Postal</label>
																<span id="codigopostal_cliente_rapport" style="display: block" placeholder="..."></span>
															</div>
														</div>	
													</div>
													<div class="row ">
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Ville</label>
																<span id="cidade_cliente_rapport" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays</label>
																<span id="pais_cliente_rapport" style="display: block"></span>
															</div>
														</div>
													</div>
													<hr>
													<div class="row">
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Téléphone</label>
																<span id="telefone_cliente_rapport" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Email</label>
																<span id="email_cliente_rapport" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-4">
												<div class="row">
													<div class="col-sm-12 text-center">
														<div class="form-group">
															<h2 id="statusDocumentLabel" style="margin-top: 10px; padding: 10px; margin-bottom: 0px;"></h2>
															<div class="row">
																<div class="col-sm-12" id="totalsDocument"></div>
																<div class="col-sm-12 text-left" id="lastUpdate"></div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Données du emplacement
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-5">
													<div class="form-group">
														<label class="control-label">Nom/Société</label>
														<span id="nome_emp_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-5">
													<div class="form-group">
														<label class="control-label">Prénom</label>
														<span id="apelido_emp_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Titre</label>
														<span id="titulo_emp_cliente" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-5">
													<div class="form-group">
														<label class="control-label">Adresse</label>
														<span id="endereco_cliente_descarga_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4 hide">
													<div class="form-group">
														<label class="control-label">Adresse (2)</label>
														<span id="endereco_cliente_descarga_2_consommable" style="display: block"></span>
													</div>
												</div>	
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Code Postal</label>
														<span id="codigopostal_cliente_descarga_consommable" style="display: block" placeholder="..."></span>
													</div>
												</div>	
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Ville</label>
														<span id="cidade_cliente_descarga_consommable" style="display: block"></span>
													</div>
												</div>	
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Pays</label>
														<span id="pais_cliente_descarga_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-5">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="telefone_emp_cliente_rapport" style="display: block"></span>
													</div>
												</div>	
												<div class="col-sm-7">
													<div class="form-group">
														<label class="control-label">Email</label>
														<span id="email_emp_cliente_rapport" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Données de Rapport de Travail
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Numéro</label>
														<span id="numero_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Date</label>
														<span id="data_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Nom du Technicien</label>
														<span id="tecnico_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Nom du Technicien 2</label>
														<span id="tecnico2_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Date de début</label>
														<span id="data_rapport_debut" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2">
													<div class="form-group">
														<label class="control-label">Date de fin</label>
														<span id="data_rapport_fin" style="display: block"></span>
													</div>
												</div>
											</div>

											<?php 
												$showHideFields = '';
												if ( hasPermission(['P0043']) == 1 && $_SESSION['mod_Consommables'] == 1 ) { $showHideFields = ''; }
												else { $showHideFields = ' hide'; }

												$specialRapportsCols = 'col-sm-4';
												$specialRapportsShowHide = 'hide';
												$titre1 = 'Type';
												$titre2 = 'No';
												if(getValorPadrao('RapportsTravailSpecial', 'faturacao_personalizar_documentos') == 1){
													$specialRapportsCols = 'col-sm-4';
													$specialRapportsShowHide = '';
													$titre1 = 'Type d\'appareil';
													$titre2 = 'No d\'appareil';
												}
											?>

											<div class="row <?php echo $showHideFields; ?>">
												<div class="<?php echo $specialRapportsCols; ?>">
													<div class="form-group">
														<label class="control-label"><?php echo $titre1; ?></label>
														<span id="impressora_rapport" class="" style="display: block"></span>
													</div>
												</div>
												<div class="<?php echo $specialRapportsCols; ?>">
													<div class="form-group">
														<label class="control-label"><?php echo $titre2; ?></label>
														<span id="num_impressora_rapport" class="" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2 <?php echo $specialRapportsShowHide; ?>">
													<div class="form-group">
														<label class="control-label">Compteur N/B</label>
														<span id="compteur_nb_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-2 <?php echo $specialRapportsShowHide; ?>">
													<div class="form-group">
														<label class="control-label">Compteur Coul.</label>
														<span id="compteur_coul_rapport" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-12">
													<div class="form-group">
														<label class="control-label">Référence</label>
														<span id="referencia_rapport" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-12">
													<div class="form-group">
														<label class="control-label">Remarques</label>
														<span id="remarques_rapport" style="display: block"></span>
													</div>
												</div>
												<!-- <div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Décompte des pages</label>
														<span id="decompte_location" style="display: block"></span>
													</div>
												</div> -->
											</div>
										</div>

										<h5 class="form-header mtl">
											<legend class="form-legend">
												Lignes d'Articles
											</legend>
										</h5>
										<div class="row">
											<div class="col-xs-12">
												<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
													<thead>
														<tr>
															<th style="width:100px;">Article</th>
															<th>Description</th>
															<th class="text-right" style="width:60px;">Qté.</th>
															<th class="text-center" style="width:35px;<?php echo $spanStyleOnly; ?>">Un.</th>
															<th class="text-right" style="width:100px;">Prix Uni.</th>
															<th class="text-right" style="width:60px;">TVA</th>
															<th class="text-right" style="width:80px;">Rédu.%</th>
															<th class="text-right hide" style="width:100px;">Rétention</th>
															<th class="text-right" style="width:100px;">Total</th>
														</tr>
													</thead>
													<tbody id="tbody_artigos">
													</tbody>
												</table>
											</div>
										</div>

										<div class="row mtl">
											<div class="col-xs-12 col-sm-6">
												<table class="table table-bordered table-footer taxes-table">
													<thead>
														<tr>
															<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
															<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
															<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
														</tr>
														<tr>
															<th colspan="3" style="padding-bottom: 10px;"></th>
														</tr>
													</thead>
												</table>
											</div>
											<div class="col-xs-12 col-sm-6">
												<table class="table table-bordered table-footer resume-table">
													<thead>
														<tr>
															<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
														</tr>
														<tr>
															<th colspan="2" style="padding-bottom: 10px;"></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">Lignes: </th>
															<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">Somme: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
														</tr>
														<tr class="">
															<th class="textCell paddingRight">Réductions: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
														</tr>
														<tr class=" hide">
															<th class="textCell paddingRight">Rétention: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">s/TVA: </th>
															<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
														</tr>
														<tr>
															<th class="textCell paddingRight">TVA: </th>
															<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
														</tr>
														<tr>
															<th colspan="2" style="padding-bottom: 10px;"></th>
														</tr>
														<tr>
															<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
															<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
														</tr>
														<!-- <tr id="linha_moeda_estrangeira" style="display: none;">
															<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
															<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
														</tr>
														<tr id="linha_moeda_estrangeira2" style="display: none;">
															<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
														</tr> -->
													</thead>
												</table>
											</div>
										</div>

										<div class="row mtl hide">
											<div class="col-sm-6">
												<div class="form-group">
													<label class="control-label">Vendeur</label>
													<span id="vendeur_1_rapport" style="display: block"></span>
												</div>
											</div>
											<div class="col-sm-6">
												<div class="form-group">
													<label class="control-label">Responsable</label>
													<span id="vendeur_2_rapport" style="display: block"></span>
												</div>
											</div>
										</div>

										<h5 class="form-header mtl">
											<legend class="form-legend">
												Signature
											</legend>
										</h5>
										<div class="section-form">
											<div class="row mtl">
												<div class="col-sm-8 col-sm-offset-2">
													<div class="form-group">
														<div class="sigPad signed">
															<div class="sigWrapper">
																<!-- <div class="typed">Sir John A. Macdonald</div> -->
																<canvas class="pad" width="600" height="150"></canvas>
															</div>
														</div>
														<p id="semAssinatura" style="display: none;border-bottom: 1px solid grey; height: 100px;"></p>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		
		<script src="/js/vendors/signature-pad/assets/flashcanvas.js"></script>
		<script src="/js/vendors/signature-pad/jquery.signaturepad.js"></script>
		<script src="/js/vendors/signature-pad/assets/json2.min.js"></script>

		<!-- //ADDED SCRIPTS -->
		<?php include('modal-gerar-doc.php');  ?>
		<?php include('detalhes_scripts.php');  ?>

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.rapports_travail_faturacao").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});

				//fill select boxes
				var idDocument = getParameterByName('rapport');
				fill_document(idDocument);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>