<script type="text/javascript">
	//load data
	function fill_document(idDocument) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/rapports-travail/detalhes.php',
			dataType : 'json',
			data : { idDocument : idDocument },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {					
							var dados = resposta.data;
							
							//fill Data
							if(dados.Numero > 0) $("#numero_rapport").html(dados.Numero);
							else $("#numero_rapport").html('-');

							$("#cliente_rapport").html(dados.Cliente);
							$("#endereco_cliente_rapport").html(dados.EnderecoCliente);
							$("#codigopostal_cliente_rapport").html(dados.CodigoPostalCliente);
							$("#regiao_cliente_rapport").html(dados.RegiaoCliente);
							$("#cidade_cliente_rapport").html(dados.CidadeCliente);
							$("#pais_cliente_rapport").html(dados.PaisFull);

							$("#endereco_cliente_descarga_consommable").html(dados.EnderecoClienteDescarga);
							$("#endereco_cliente_descarga_2_consommable").html(dados.EnderecoCliente2Descarga);
							$("#codigopostal_cliente_descarga_consommable").html(dados.CodigoPostalClienteDescarga);
							$("#regiao_cliente_descarga_consommable").html(dados.RegiaoClienteDescarga);
							$("#cidade_cliente_descarga_consommable").html(dados.CidadeClienteDescarga);
							$("#pais_cliente_descarga_consommable").html(dados.PaisFullDescarga);

							//New Fields Emplacement --------------
							$("#nome_emp_cliente").html(dados.NomeEmplacement);
							$("#apelido_emp_cliente").html(dados.ApelidoEmplacement);
							$("#titulo_emp_cliente").html(dados.TituloEmplacement);
							$("#telefone_emp_cliente_rapport").html(dados.ContactoEmplacement);
							$("#email_emp_cliente_rapport").html(dados.EmailEmplacement);
							//-------------------------------------

							if(dados.VendedorPrimeiro != null) $("#vendeur_1_rapport").html(dados.VendedorPrimeiro);
							else $("#vendeur_1_rapport").html('-');

							if(dados.VendedorSegundo != null) $("#vendeur_2_rapport").html(dados.VendedorSegundo);
							else $("#vendeur_2_rapport").html('-');
							// $("#vendeur_1_rapport").html(dados.VendedorPrimeiro);
							// $("#vendeur_2_rapport").html(dados.VendedorSegundo);
							/*
							if(dados.ResponsavelPrimeiro != null) $("#resp_client_1_location").html(dados.ResponsavelPrimeiro);
							else $("#resp_client_1_location").html('-');

							if(dados.ResponsavelSegundo != null) $("#resp_client_2_location").html(dados.ResponsavelSegundo);
							else $("#resp_client_2_location").html('-');*/
							
							$("#data_rapport").html(dados.Data);
							$("#data_rapport_debut").html(dados.DateDebut);
							$("#data_rapport_fin").html(dados.DateFin);
							$("#debut_rapport").html(dados.Debut);
							$("#duree_rapport").html(dados.Duree);
							$("#telefone_cliente_rapport").html(dados.TelefoneCliente);
							$("#email_cliente_rapport").html(dados.EmailCliente);
							
							/*if(dados.Paiment == 0) $("#pagamento_location").html('Prêt paiement');
							else $("#pagamento_location").html(dados.Paiment+' jours net');*/

							$("#referencia_rapport").html(dados.Referencia);
							$("#remarques_rapport").html(dados.Observacoes);
							// $("#decompte_location").html(dados.Decompte_pages);

							// $("#location_location").autoNumeric('set',dados.Location_Mensuelle);
							// $("#emolument_location").autoNumeric('set',dados.Emolument_Admin);
							// $("#tva_exclue_location").html(dados.TVA_Exclue_Primeiro);
							
							$("#tecnico_rapport").html(dados.Tecnico);
							$("#tecnico2_rapport").html(dados.TecnicoSegundo);
							// console.log(dados.Impressora, dados.NumImpressora);
							if(dados.Impressora) $("#impressora_rapport").html(dados.Impressora);
							else $("#impressora_rapport").html('-');
							if(dados.NumImpressora) $("#num_impressora_rapport").html(dados.NumImpressora);
							else $("#num_impressora_rapport").html('-');
							$("#compteur_nb_rapport").html(dados.CompteurNB);
							$("#compteur_coul_rapport").html(dados.CompteurCoul);
							
							// $("#assinatura_rapport").html('');
							// $("#assinatura_rapport").append('<img src="' + dados.Assinatura + '">');
							if(dados.Assinatura != '') {
								$('.sigPad').signaturePad({displayOnly:true}).regenerate(dados.Assinatura);
								$('#semAssinatura').hide();
							} else {
								$('.sigPad').hide();
								$('#semAssinatura').show();
							}

							//PROCESS ORIGIN IF EXISTS
							if(dados.ID_Documento_Origem > 0){
								if(dados.Tipo_Documento_Origem == 'CC'){
									var htmlLinkOrigem = '<a href="/frifacturation/contrats/consommables/details?consommable='+dados.ID_Documento_Origem+'">C. d\'entretien '+dados.Reference+'&nbsp;<i class="fa fa-eye"></i></a>';
									$("#documentoOrigem_rapport").html(htmlLinkOrigem);
									$("#dataOrigem_rapport").html(dados.Data_Documento_Origem);
									$("#label_element1_rapport").html('Paiement');
									$("#label_element2_rapport").html('Début');
									$("#element1_rapport").html(dados.Paiment+' jours net');
									$("#element2_rapport").html(dados.Debut);
									$('#originDocWrapper').removeClass('hide');
								}
							}

							//STATUS BLOCK -----------------------
							var statusHTML = '';
							var borderStamp = '';
							var detailStatus = '';
							var totalsDocument = '';
							if(dados.Estado == 'Rascunho') { statusHTML = '<strong class="text-orange">Brouillon</strong>'; borderStamp = 'stamp-label-orange'}
							if(dados.Estado == 'Confirmado') { statusHTML = '<strong class="text-green">Confirmé</strong>'; borderStamp = 'stamp-label-green'}
							if(dados.Estado == 'Aberto') { statusHTML = '<strong class="text-blue">Ouvert</strong>'; borderStamp = 'stamp-label-blue'}
							if(dados.Estado == 'Anulado') { statusHTML = '<strong class="text-red">Annulé</strong>'; borderStamp = 'stamp-label-red'}

							$('#statusDocumentLabel').html(statusHTML);
							$('#statusDocumentLabel').addClass(borderStamp);

							detailStatus = '<div class="row">';
								detailStatus += '<div class="col-sm-6"><b>Créé par:</b>';
								detailStatus += '<br>'+dados.ID_Utilizador_Criacao+'<br><i class="fa fa-clock-o"></i>&nbsp;';
								detailStatus += ''+dados.DataCriacao+'</div>';

								if(dados.ID_Utilizador_Atualizacao) {
									detailStatus += '<div class="col-sm-6"><b>Mis à jour par:</b>';
									detailStatus += '<br>'+dados.ID_Utilizador_Atualizacao+'<br><i class="fa fa-clock-o"></i>&nbsp;';
									detailStatus += ''+dados.DataAtualizacao+'</div>';
								}
							detailStatus += '</div>';

							totalsDocument += '<div class="row mbm mtm">';
								totalsDocument += '<div class="col-sm-12">';
									totalsDocument += '<div style="background-color: #EAEAEA; padding: 5px;">';
										totalsDocument += '<p><b>Total</b></p>';
										totalsDocument += '<p class="text-green" style="font-size: 15px;">';
										totalsDocument += '<b><span class="money">'+dados.TotalPagar+'</span></b>';
										totalsDocument += '</p>';
									totalsDocument += '</div>';
								totalsDocument += '</div>';
							totalsDocument += '</div>';

							$('#lastUpdate').append(detailStatus);
							$('#totalsDocument').append(totalsDocument);
							// -----------------------------------
							
							//END BTNS BLOCK ---------------------
							var btnsHTML = ''; //buttons down
							var btnsHTML2 = ''; //buttons top
							var docNumber = '';
							if(dados.Estado != 'Rascunho') docNumber = " - "+dados.Numero;
							var processedName = dados.Cliente.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+dados.Data+ docNumber +" - " + processedName + "'";

							//buttons top and down
							if(dados.Estado == 'Rascunho'){
								btnsHTML += '<a href="modifier?rapport='+dados.ID_Rapport+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>';
								btnsHTML += '&nbsp;<button class="btn btn-green" type="button" onClick="finalizarRapport('+dados.ID_Rapport+','+nome+')"> <i class="fa fa-flag-checkered"></i>&nbsp;Finaliser </button>';
								btnsHTML += '&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarRapport('+dados.ID_Rapport+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>&nbsp;';
								btnsHTML2 += btnsHTML;
							}else{ 
								btnsHTML2 += '<a class="btn btn-orange" href="modifier_lines?rapport='+dados.ID_Rapport+'" title="Modifier Référence et Remarques"><i class="fa fa-terminal"></i>&nbsp;Modifier</a>&nbsp;';


								// btnsHTML2 += '<a href="editar_linhas.php?rapport='+dados.ID_Rapport+'" class="btn btn-yellow" type="button"> <i class="fa fa-terminal"></i>&nbsp;Modifier Lines</a>&nbsp;';
								if(dados.Assinatura == '') {
									btnsHTML2 += '<a href="signer?rapport='+dados.ID_Rapport+'" class="btn btn-yellow" type="button"> <i class="fa fa-pencil"></i>&nbsp;Signer</a>&nbsp;';
								}

								if(dados.Estado == 'Aberto'){
									btnsHTML2 += '<button class="btn btn-green" type="button" onClick="confirmarRapport('+dados.ID_Rapport+','+nome+')" title="Confirmer"><i class="fa fa-check"></i>&nbsp;Marquer Confirmé </button>&nbsp;';
								}

						  		//copy the buttons
						        btnsHTML = btnsHTML2;

								btnsHTML2 += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Rapport+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>&nbsp;';
								
								btnsHTML += '<button class="btn btn-violet" type="button" onClick="gerarDocumento('+dados.ID_Rapport+')" title="Générer le document"><i class="fa fa-files-o"></i>&nbsp;Générer le document</button>&nbsp;';

							}
						    
							btnsHTML2 += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exportar_rapport_travail.php?idDoc='+dados.ID_Rapport+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';

							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML2 += '&nbsp;<button class="btn btn-red" type="button" onClick="anularRapport('+dados.ID_Rapport+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
						    }
							
						    btnsHTML2 += '&nbsp;&nbsp;<a class="text-red only-ic" href="../rapports-travail"><i class="fa fa-times"></i></a>';

							btnsHTML += '&nbsp;<a href="/frifacturation/server/imprimer_pdf/exportar_rapport_travail.php?idDoc='+dados.ID_Rapport+'" target="_blank" class="btn btn-grey"><i class="fa fa-print" title="Imprimer"></i>&nbsp;Imprimer </a>&nbsp;';

							if(dados.Estado != 'Rascunho' && dados.Estado != 'Anulado'){
								<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
									btnsHTML += '&nbsp;<button class="btn btn-red" type="button" onClick="anularRapport('+dados.ID_Rapport+','+nome+')" title="Annuler le Document"><i class="fa fa-times"></i>&nbsp;Annuler </button>';
								<?php } ?>
							}

							btnsHTML +='&nbsp;<a  href="../rapports-travail" class="btn btn-default" type="button"> Annuler </a>';
							$('#btns-wrapper').append(btnsHTML);
							$('#BtnTopWrapper').append(btnsHTML2);
							// -----------------------------------

							//process lines ----------------------
							valorLinhas = 0;
							$.each(dados.linhas, function() {
								var lineID = lastIdLine;

								var htmlLine = '<tr class="articles_lines" id="line_'+lineID+'">'+
													'<td style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="codigo_linha_'+lineID+'" class="lineInputArtigo" style="display: block"></span>'+
													'</td>'+
													
													'<td>'+
														'<span data-id-line="'+lineID+'" id="descricao_linha_'+lineID+'" class="lineInputDescricao" style="display: block"></span>'+
													'</td>'+

													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" id="qtd_linha_'+lineID+'" class="lineInputQTD qtd"></span>'+
													'</td>'+
													'<td class="text-center" style="width:35px; <?php echo $spanStyleOnly; ?>">'+
														'<span id="unidade_linha_'+lineID+'" style="font-size: 10px; display: inline-block;">UN</span>'+
													'</td>'+

													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="preco_linha_'+lineID+'" class="lineInputPreco moneyBig" style="display: block"></span>'+
													'</td>'+

													'<td class="text-right" style="width:60px;">'+
														'<span data-id-line="'+lineID+'" data-ivaID="'+this.idIva+'" data-valor="'+this.valorIva+'" data-descricao="'+this.desc_imposto+'" id="iva_linha_'+lineID+'" class="lineInputImposto" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right" style="width:80px;">'+
														'<span data-id-line="'+lineID+'" id="desc_linha_'+lineID+'" class="lineInputDesconto percentage" style="display: block"></span>'+
													'</td>'+
													'<td class="text-right hide" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="retencao_linha_'+lineID+'" class="lineInputRetencao money" style="display: block"></span>'+
													'</td>'+

													'<td class="text-right" style="width:100px;">'+
														'<span data-id-line="'+lineID+'" id="total_linha_'+lineID+'" style="display: block" class="money">0</span>'+
													'</td>'+
												'</tr>';
								$('#tbody_artigos').append(htmlLine);

								//init Elements
								$(".money").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								$(".moneyBig").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' CHF',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimaisPrice; ?>
								});
								$(".moneyCountry").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : ' ',
									pSign : 's',
									vMin:'0',
									mDec : <?php echo $numDecimais; ?>
								});
								//init elements
								$(".qtd").autoNumeric("init", {
									aSep : '',
									aDec : '.',
									aSign : '',
									pSign : 's',
									mDec : 3,
									vMin:'0'
								});
								//init elements
								$(".percentage").autoNumeric("init", {
									aSep : '\'',
									aDec : '.',
									aSign : '%',
									vMax : '100',
									pSign : 's',
									mDec : 2,
									vMin:'0'
								});
								
								//fill values
								$("#codigo_linha_"+lineID).html(this.artigo);
								$("#iva_linha_"+lineID).html(this.imposto);
								$("#descricao_linha_"+lineID).html(this.descricao);
								$("#qtd_linha_"+lineID).autoNumeric('set', this.qtd);
								$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
								$("#preco_linha_"+lineID).attr('data-valueOrig', this.preco);
								$("#desc_linha_"+lineID).autoNumeric('set', this.desconto);
								$("#retencao_linha_"+lineID).autoNumeric('set', 0);
								$("#total_linha_"+lineID).autoNumeric('set', this.totalLinha);
								$("#unidade_linha_"+lineID).html(this.unidade);

								lastIdLine++;
								valorLinhas++;
							});
							// -----------------------------------

							//calculations
							calculateTaxesLines();
							updateDocumentTotals();
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Calculate the taxes
	 * @return taxes totals
	 */
	function calculateTaxesLines(){
		//clean table and sum fields
		$('.taxes_lines').remove();
		valorSiva = 0;
		valorIva = 0;

		//desconto generico
		// var desconto2 = $('#desconto_fatura').autoNumeric('get');
		// desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputImposto").each(function() {
			var ivaID = $(this).attr('data-ivaID');
			var ivaValor = $(this).attr('data-valor');
			var lineID = $(this).attr('data-id-line');
			var descricaoIVA = $(this).attr('data-descricao')+': '+$(this).html();
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var iva = Number( ivaValor );
			if(isNaN(iva)) iva = 0;
			iva = Number ( (iva * 0.01) );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			
			var totalIncidencia = 0;

			//process line totals
			totalIncidencia = qtd * preco;
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto);
			// totalIncidencia = totalIncidencia - (totalIncidencia * desconto2);
			totalIVA = totalIncidencia * iva;

			//update resume table fields
			valorSiva += totalIncidencia;
			valorIva += totalIVA;

			//check if line exists or create it
			if( $("#tax_id_"+ivaID).length ){
				var somatorioIncidencia = Number( $("#taxes_incidencia_"+ivaID).attr('data-real-value') );
				var somatorioIVA = Number( $("#taxes_valor_"+ivaID).attr('data-real-value') );
				
				totalIncidencia = totalIncidencia + somatorioIncidencia;
				totalIVA = totalIVA + somatorioIVA;

				$("#taxes_incidencia_"+ivaID).attr('data-real-value', totalIncidencia);
				$("#taxes_valor_"+ivaID).attr('data-real-value', totalIVA);
				$("#taxes_incidencia_"+ivaID).autoNumeric('set', totalIncidencia);
				$("#taxes_valor_"+ivaID).autoNumeric('set', totalIVA);
			}else{

				var htmlLine = '<tr class="taxes_lines" id="tax_id_'+ivaID+'">'+
									'<th class="textCell paddingRight"><span class="" id="taxes_iva_'+ivaID+'">'+descricaoIVA+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_incidencia_'+ivaID+'" data-real-value="'+totalIncidencia+'">'+totalIncidencia+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_valor_'+ivaID+'" data-real-value="'+totalIVA+'">'+totalIVA+'</span></th>'+
								'</tr>';
				$('.taxes-table').append(htmlLine);
			}

			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
		});
	}

	/**
	 * Update the document totals table
	 * @return totals
	 */
	function updateDocumentTotals(){
		//totals vars
		valorSomatorio = 0;
		valorDescontos = 0;
		valorRetencao = 0;
		// valorSiva;
		// valorIva;
		valorTotal = 0;

		//desconto generico
		// var desconto2 = $('#desconto_fatura').autoNumeric('get');
		// desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputDescricao").each(function() {
			var lineID = $(this).attr('data-id-line');
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).attr('data-valueOrig') );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			var retencao = Number( 0 );
			
			//process line totals
			var somaTotal = qtd * preco;
			var descontoTotal = somaTotal * desconto;
			var somaDesconto = somaTotal - (somaTotal * desconto);
			// descontoTotal = descontoTotal + (somaDesconto * desconto2);

			//update resume table fields
			valorSomatorio += somaTotal;
			valorDescontos += descontoTotal;
			// valorRetencao += retencao;
		});
		
		//remain totals
		// valorTotal = (valorSiva + valorIva) - valorRetencao;
		valorTotal = (valorSiva + valorIva);

		//update resume table
		update_resumeTable();

		//if currency != 'CHF'
		// calculateCurrencyCambio();
	}

	/**
	 * Update the resume table
	 * @return none
	 */
	function update_resumeTable(){
		valorTotal = roundPriceUp(valorTotal);
		$('#valor-linhas').html( valorLinhas );
		$('#valor-somatorio').autoNumeric( 'set', valorSomatorio );
		$('#valor-descontos').autoNumeric( 'set', valorDescontos );
		// $('#valor-retencao').autoNumeric( 'set', valorRetencao );
		$('#valor-siva').autoNumeric( 'set', valorSiva );
		$('#valor-iva').autoNumeric( 'set', valorIva );
		$('#valor-total').autoNumeric( 'set', valorTotal );
		return true;
	}

	/**
	 * Get Custom Rounded UP Value for Invoices (0.05 UP)
	 * @return rounded value
	 */
	function roundPriceUp(valueToRise){
		var finalValue = 0;
		//confirm that the value is rounded
		var roundedValue = Number(valueToRise).toFixed(2);
		//grab last decimal number
		var lastNumber = roundedValue.substr(roundedValue.length - 1);

		/* === process the last decimal number === */
		if(lastNumber > 0 && lastNumber <= 2) {
			var replacement = 0;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 2 && lastNumber <= 7) {
			var replacement = 5;
			finalValue = roundedValue.slice(0, -1) + ''+replacement;
		}
		else if(lastNumber > 7 && lastNumber <=9 ) {
			finalValue = Number(valueToRise).toFixed(1);
		}
		else{
			finalValue = roundedValue;
		}
		/* =========== /end processing =========== */
		// console.log(roundedValue,lastNumber, finalValue)

		// console.log( roundedValue,lastNumber, finalValue );
		
		//return final formatted value
		return finalValue;
	}

	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0112']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-rapports-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//finalizar
	function finalizarRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir finaliser le rapports de travail \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/finalizar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette rapports de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette rapports de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Rapport de Travail terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de rapport de travail existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière rapport de travail ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//generate invoice
						/*generateDocumentAutomaticaly(idRapport)*/
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	<?php //if (hasPermission(['P0110']) == 1) { ?>
	//generate automatique invoices
	/*function generateDocumentAutomaticaly(idDocumento){
		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/gerar_documentos/location_gera_fatura.php',
			dataType : 'json',
			data : {
				idDocumento : idDocumento,
				firstTime : 1,
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Document Automatique généré avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
					$.scojs_message("[FAT003] Une erreur s'est produite dans Générer le document automatique. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			}
		});
	}*/
	<?php //} ?>

	//confirmar documento
	function confirmarRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir confirmé le rapport de travail \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/confirmar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'confirmer cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette rapport de travail a déjà été exportée et ne peut pas être confirmé!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de confirmer cette rapport de travail parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'confirmer cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Rapport de Travail confirmé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le rapport de travail \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/anular.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette rapport de travail a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette rapport de travail parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Rapport de Travail avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarRapport(idRapport, nome){
	<?php if (hasPermission(['P0111']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le rapport de travail de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/apagar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette rapport de travail. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Rapport de Travail supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../rapports-travail";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>