<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0110']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/rapports-travail/&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Rapports'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=rapports-travail&redirectto=/frifacturation');
	}

	//prepare unité de mesure to be showed or not
	$spanStyleOnly = " display: none; ";
	$spanStyle = " style='display: none;' ";
	$qtdSizePerc = "100%";
	if($uniMedida == 1){
		$spanStyleOnly = " display: inline-block; ";
		$spanStyle = " style='display: inline-block;' ";
		$qtdSizePerc = "70%";
	}
?>
<html>
	<title>Modifier le Rapport de Travail (Référence et Remarques) | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/bootstrap-timepicker/css/bootstrap-timepicker.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/* special css */
			.special-selects-group .bootstrap-select{ display: inline-block !important; width: 49% !important; }

			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../rapports-travail"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../rapports-travail">Rapports de Travail</a>
							</li>
							<li class="active">
								Modifier Rapport de Travail (Référence et Remarques)
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<?php 
												$checkFirst = ' checked="checked"';
												$checkSecond = ' checked="checked"';
												$showHideFields = '';
												
												if ( hasPermission(['P0043']) == 1 && $_SESSION['mod_Consommables'] == 1 ) { $showHideFields = ''; $checkSecond = ''; }
												else { $showHideFields = ' hide'; $checkFirst = ''; }
											?>
											<h5 class="form-header <?php echo $showHideFields; ?>">
												<legend class="form-legend">
													Contrat d'entretien
													<label class="radio-inline padding-left-radio">
														<input id="origin_oui" type="radio" name="documento_origem" value="1" class="default_radio" checked="checked" disabled/>
														Oui ?
													</label>
													<label class="radio-inline padding-left-radio">
														<input id="origin_non" type="radio" name="documento_origem" value="0" class="default_radio" disabled/>
														Non ?
													</label>
												</legend>
											</h5>
											<div class="section-form <?php echo $showHideFields; ?>">
												<div class="row">
													<div class="col-xs-12">
														<div class="form-group">
															<label class="control-label">Document<span class="require">*</span></label>
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="Selecionar opção" id="documentoOrigem_rapport" name="documentoOrigem_rapport"  >
																<option value="" data-hidden="true">Selecionar</option>
															</select> -->
															<div class="input-group">
																<input type="text" class="form-control" id="documentoOrigem_rapport" name="documentoOrigem_rapport" placeholder="..." disabled />
																<span class="input-group-btn">
																	<button id="DocOrigemBTN" type="button" class="btn btn-yellow" disabled>
																		<i class="fa fa-search"></i>&nbsp;Sélectionnez
																	</button> 
																</span>
															</div>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données du client
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Client<span class="require">*</span></label>
															<div class="input-group">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cliente_rapport" name="cliente_rapport" disabled >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
																<span class="input-group-btn">
																	<button id="newClientBTN" type="button" class="btn btn-yellow" disabled>
																		<i class="fa fa-user"></i>&nbsp;Nouveau client
																	</button> 
																</span>
															</div>
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">VAT:</label>
															<input type="text" class="form-control" id="nif_cliente_rapport" name="nif_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_cliente_rapport" name="endereco_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control" id="codigopostal_cliente_rapport" name="codigopostal_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_cliente_rapport" name="regiao_cliente_rapport" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_cliente_rapport" name="cidade_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<input type="text" class="form-control" id="pais_cliente_rapport" name="pais_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="telefone_cliente_rapport" name="telefone_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="text" class="form-control" id="email_cliente_rapport" name="email_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données du emplacement
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-5">
														<div class="form-group">
															<label class="control-label">Nom/Société</label>
															<input type="text" class="form-control" id="nome_emp_cliente" name="nome_emp_cliente" placeholder="..." autofocus="true" disabled />
														</div>
													</div>
													<div class="col-sm-5">
														<div class="form-group">
															<label class="control-label">Prénom</label>
															<input type="text" class="form-control" id="apelido_emp_cliente" name="apelido_emp_cliente" placeholder="..." autofocus="true" disabled />
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Titre</label>
															<select class="form-control select2 show-tick" id="titulo_emp_cliente" name="titulo_emp_cliente" disabled>
																<option value="" selected>Sélectionnez</option>
																<option value="M">Monsieur</option>
																<option value="Mme">Madame</option>
																<option value="Mlle">Mademoiselle</option>
															</select>
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_cliente_descarga_rapport" name="endereco_cliente_descarga_rapport" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label">Adresse (2)</label>
															<input type="text" class="form-control" id="endereco_cliente_descarga_2_rapport" name="endereco_cliente_descarga_2_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal </label>
															<input type="text" class="form-control" id="codigopostal_cliente_descarga_rapport" name="codigopostal_cliente_descarga_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2 hide">
														<div class="form-group">
															<label class="control-label">Région </label>
															<input type="text" class="form-control" id="regiao_cliente_descarga_rapport" name="regiao_cliente_descarga_rapport" placeholder="..." disabled />

														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville </label>
															<input type="text" class="form-control" id="cidade_cliente_descarga_rapport" name="cidade_cliente_descarga_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Pays </label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_cliente_descarga_rapport" name="pais_cliente_descarga_rapport" disabled>
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
												<div class="row ">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="telefone_emp_cliente_rapport" name="telefone_emp_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>	
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="text" class="form-control" id="email_emp_cliente_rapport" name="email_emp_cliente_rapport" placeholder="..." disabled />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Données de Rapport de Travail
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Numéro<span class="require">*</span></label>
															<input type="text" class="form-control" id="numero_rapport" name="numero_rapport" placeholder="..." disabled value="<?php echo getNextID('Numero', 'faturacao_rapports_travail') > 1 ? getNextID('Numero', 'faturacao_rapports_travail') : getInitNumber("NumeroInicial_RT","faturacao_personalizar_documentos", "", 0); ?>"/>
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Date<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepickerNormal today" data-provide="datepicker" name="data_rapport" id="data_rapport" data-date-format="dd/mm/yyyy" disabled>
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Nom du Technicien<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="id_tecnico_rapport" name="id_tecnico_rapport" disabled>
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Nom du Technicien 2</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="id_tecnico2_rapport" name="id_tecnico2_rapport" disabled>
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group ">
															<label class="control-label">Heure d'arrivée</label>
															<div class="input-buttons form-group bootstrap-timepicker">
																<input type="text" class="form-control timepicker-default" data-provide="timepicker" name="data_rapport_debut" id="data_rapport_debut" disabled required>
																<div class="input-group-addon">
																	<span class="fa fa-clock-o"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group ">
															<label class="control-label">Heure de départ</label>
															<div class="input-buttons form-group bootstrap-timepicker">
																<input type="text" class="form-control timepicker-default" data-provide="timepicker" name="data_rapport_fin" id="data_rapport_fin" disabled required>
																<div class="input-group-addon">
																	<span class="fa fa-clock-o"></span>
																</div>
															</div>
														</div>
													</div>
													<!-- <div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Début<span class="require">*</span></label>
															<div class="input-buttons form-group">
																<input type="text" class="form-control datepicker beginmonth" data-provide="datepicker" name="debut_location" id="debut_location" data-date-format="dd/mm/yyyy">
																<div class="input-group-addon">
																	<span class="fa fa-calendar"></span>
																</div>
															</div>
														</div>
													</div> -->
												</div>

												<?php 
													$showHideFields = '';
													if ( hasPermission(['P0043']) == 1 && $_SESSION['mod_Consommables'] == 1 ) { $showHideFields = ''; }
													else { $showHideFields = ' hide'; }

													$specialRapportsCols = 'col-sm-6';
													$specialRapportsShowHide = 'hide';
													$titre1 = 'Type';
													$titre2 = 'No';
													if(getValorPadrao('RapportsTravailSpecial', 'faturacao_personalizar_documentos') == 1){
														$specialRapportsCols = 'col-sm-4';
														$specialRapportsShowHide = '';
														$titre1 = 'Type d\'appareil';
														$titre2 = 'No d\'appareil';
													}
												?>

												<div class="row <?php echo $showHideFields; ?>">
													<div class="<?php echo $specialRapportsCols; ?>">
														<div class="form-group">
															<label class="control-label"><?php echo $titre1; ?></label>
															<input type="text" class="form-control" id="impressora_rapport" name="impressora_rapport" placeholder="..." disabled/>
														</div>
													</div>
													<div class="<?php echo $specialRapportsCols; ?>">
														<div class="form-group">
															<label class="control-label"><?php echo $titre2; ?></label>
															<input type="text" class="form-control" id="num_impressora_rapport" name="num_impressora_rapport" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-2 <?php echo $specialRapportsShowHide; ?>">
														<div class="form-group">
															<label class="control-label">Compteur N/B </label>
															<input type="number" class="form-control" id="compteur_nb_rapport" name="compteur_nb_rapport" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-2 <?php echo $specialRapportsShowHide; ?>">
														<div class="form-group">
															<label class="control-label">Compteur Coul. </label>
															<input type="number" class="form-control" id="compteur_coul_rapport" name="compteur_coul_rapport" placeholder="..." disabled />
														</div>
													</div>
												</div>
												
												<div class="row ">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Référence</label>
															<input type="text" class="form-control" id="referencia_rapport" name="referencia_rapport" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Remarques</label>
															<textarea type="text" class="form-control" id="remarque_rapport" name="remarque_rapport" placeholder="..." ></textarea>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header mtl">
												<legend class="form-legend">
													Lignes d'Articles
												</legend>
											</h5>
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered linesTable" id="table_artigos" style="margin-bottom: 10px;">
														<thead>
															<tr>
																<th style="width:200px;">Article&nbsp;
																	
																</th>
																<th>Description</th>
																<th style="width:105px;">Qté.&nbsp;</th>
																<th style="width:100px;">Prix Uni.&nbsp;</th>
																<th style="width:120px;">TVA&nbsp;</th>
																<th style="width:80px;">Rédu.%</th>
																<th style="width:80px;" class=" hide">Rétention</th>
																<th style="width:100px;">Total&nbsp;</th>
																<th style="width:30px; text-align: center;">&nbsp;
																</th>
															</tr>
														</thead>
														<tbody id="tbody_artigos">
															<tr class="articles_lines" id="line_0">
																<td style="width:200px;">
																	<select data-id-line="0" class="lineInputArtigo form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="codigo_linha_0" name="codigo_linha_0" disabled>
																		<option value="" data-hidden="true">Article</option>
																	</select>
																</td>
																<td>
																	<textarea data-id-line="0" class="lineInputDescricao form-control" id="descricao_linha_0" name="descricao_linha_0" placeholder="..." rows="1" disabled ></textarea>
																</td>
																<td style="width:105px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_0" name="qtd_linha_0" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />
																	<span id="unidade_linha_0" style="margin-left: 1px; font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>
																</td>
																<td style="width:100px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_0" name="preco_linha_0" placeholder="0.00 CHF" disabled />
																</td>
																<td style="width:120px;">
																	<select data-id-line="0" class="lineInputChange lineInputImposto form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez la taxe" id="iva_linha_0" name="iva_linha_0" disabled >
																		<option value="" data-hidden="true">Taxe</option>
																	</select>
																</td>
																<td style="width:80px;">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_0" name="desc_linha_0" placeholder="0 %" disabled />
																</td>
																<td style="width:80px;" class=" hide">
																	<input type="text" data-id-line="0" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_0" name="retencao_linha_0" placeholder="0.00 CHF" disabled />
																</td>
																<td class="text-right" style="width:100px;">
																	<span id="total_linha_0" style="display: block" class="money">0</span>
																</td>
																<td style="width:30px; text-align: center;">
																	-
																</td>
															</tr>
															
														</tbody>
													</table>
												</div>
											</div>

											<div class="row mtl">
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer taxes-table">
														<thead>
															<tr>
																<th style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Taxe</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Incidence</b></th>
																<th class="text-right" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Valeur</b></th>
															</tr>
															<tr>
																<th colspan="3" style="padding-bottom: 10px;"></th>
															</tr>
														</thead>
													</table>
												</div>
												<div class="col-xs-12 col-sm-6">
													<table class="table table-bordered table-footer resume-table">
														<thead>
															<tr>
																<th colspan="2" style="padding-bottom: 5px; border-bottom: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Résumé</b></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Lignes: </th>
																<th class="valueCell right paddingLeft"><span class="" id="valor-linhas">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">Somme: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-somatorio">0</span></th>
															</tr>
															<tr class="">
																<th class="textCell paddingRight">Réductions: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-descontos">0</span></th>
															</tr>
															<tr class=" hide">
																<th class="textCell paddingRight">Rétention: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-retencao">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">s/TVA: </th>
																<th class="valueCell right paddingLeft"><span class="money" id="valor-siva">0</span></th>
															</tr>
															<tr>
																<th class="textCell paddingRight">TVA: </th>
																<th class="valueCell right paddingLeft"><span  class="money" id="valor-iva">0</span></th>
															</tr>
															<tr>
																<th colspan="2" style="padding-bottom: 10px;"></th>
															</tr>
															<tr>
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;">Total: </b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="money" id="valor-total">0</span></b></th>
															</tr>
															<!-- <tr id="linha_moeda_estrangeira" style="display: none;">
																<th class="textCell paddingRight" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;" id="moeda_estrangeira"></b></th>
																<th class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;"><b style="font-size: 12px !important;"><span  class="moneyCountry" id="valor-moeda-estrangeira">0</span></b></th>
															</tr>
															<tr id="linha_moeda_estrangeira2" style="display: none;">
																<th colspan="2" class="valueCell right paddingLeft" style="border-top: 1px solid #ddd !important;">Taux de change: <span  class="" id="taxa-cambio">0</span></th>
															</tr> -->
														</thead>
													</table>
												</div>
											</div>

											<div class="row mtl hide">
												<div class="col-xs-12">
													<div class="row">
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Vendeur</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_1_rapport" name="vendeur_1_rapport" disabled  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
														<div class="col-xs-12 col-sm-6">
															<div class="form-group">
																<label class="control-label">Responsable</label>
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vendeur_2_rapport" name="vendeur_2_rapport" disabled  >
																	<option value="" data-hidden="true">Sélectionnez</option>
																</select>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>									
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../rapports-travail" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>

		<?php include('editar_linhas_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.faturacao_rapports_travail").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars
			var lastIdLine = 0;
			var valorLinhas = 1;
			var valorSomatorio = 0;
			var valorDescontos = 0;
			var valorRetencao = 0;
			var valorSiva = 0;
			var valorIva = 0;
			var valorTotal = 0;
			var taxaCambio = 0;
			var lastSimbolo = 'CHF';
			var finalizarDocumento = 0;
			var enviarDocumento = 0;
			var precisaBanco = 0;
			var usarContrato = 1;
			var elementoPVP = undefined;
			var xhrTotals = null;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimaisPrice; ?>
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
			});

			$(document).ready(function() {
				//Calendario Début
				$('.datepicker').datepicker({
					format: "dd/mm/yyyy",
				    viewMode: 1,
  					minViewMode: 1,
					language : 'pt'
				});
				var currDate = new Date();
				$('.beginmonth').datepicker().datepicker("setDate", new Date(currDate.getFullYear(), currDate.getMonth(), 1));
				$( ".datepicker" ).datepicker("refresh");

				//datepicker init
				$('.datepickerNormal').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepickerNormal" ).datepicker("refresh");

				//define default time (minstep 15 --> /15)*15 )
				var dTime = new Date();
				var hours = dTime.getHours();
				var minutes = Math.floor(dTime.getMinutes() / 15) * 15 + 15;
				// console.log(dTime,hours,minutes);
				
				$('.timepicker-default').timepicker({
					defaultTime: hours+':'+minutes,
					minuteStep : 15,
					showSeconds : false,
					showMeridian : false,
					upArrowStyle : 'fa fa-chevron-up',
					downArrowStyle : 'fa fa-chevron-down'
				});
				$('[data-provide="timepicker"]').mask("99:99");
				$('[data-provide="timepicker-inline"]').mask("99:99");

				$('.timepicker-default').keydown(function(event) {
					var is_focus = $(".timepicker-default").is(":focus");
					if (event.keyCode == 9 || !is_focus) {
						$(".bootstrap-timepicker-widget").removeClass("open");

					}
				});

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyBig").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimaisPrice; ?>
				});
				$(".moneyCountry").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' ',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3,
					vMin:'0'
				});
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '%',
					vMax : '100',
					pSign : 's',
					mDec : 2,
					vMin:'0'
				});
				
				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=radio]').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				/* ----------- LISTNERS ----------- */
				$('input#origin_oui').on('ifChecked', function (event) {
					usarContrato = 1;
					headerFieldsAllowed('disable');
				});
				$('input#origin_non').on('ifChecked', function (event) {
					usarContrato = 0;
					headerFieldsAllowed('enable');
				});

				//init select2
				$("select#titulo_emp_cliente").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true,
				});
				$("select#codigo_linha_0").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true,
				});
				$("select#iva_linha_0").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true,
				});

				//clear session
				sessionStorage.removeItem('taxes');
				sessionStorage.removeItem('motives');

				//init lines
				init_general_resources();
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/**
			 * Get the general resources into session storage
			 * @return void
			 */
			function init_general_resources(){
				$(".fullscreen").show();				

				//lines resources
				init_lines_resources();
			}

			/**
			 * Get the lines resources into session storage
			 * @return void
			 */
			function init_lines_resources(){
				$(".fullscreen").show();

				//taxes
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/rapports_travail.php',
					dataType : 'json',
					data : { 
						opcao: 7
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
								} else {
									$("body").append('<select id="iva_xBASEx" class="select2" style="display:none;"></select>');
									var options = $("select#iva_xBASEx");

									$.each(resposta.data, function() {
										$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
									});

									//store in session
									sessionStorage.setItem('taxes', $(options).html() );

									//remove element
									$( "#iva_xBASEx" ).remove();
								}
							}
						}
					},
					complete : function() {
						$(".fullscreen").fadeOut();

						//init select2
						$("select#pais_cliente_descarga_rapport").val('CH');
						$("select#pais_cliente_descarga_rapport").select2({
							escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
						});

						//disable the fields of the lines
						$("#descricao_linha_0").prop('disabled', true);
						$("#qtd_linha_0").prop('disabled', true);
						$("#preco_linha_0").prop('disabled', true);
						$("#desc_linha_0").prop('disabled', true);

						//fill select boxes
						var idRapport = getParameterByName('rapport');
						fill_document(idRapport);
					}
				});
			}

			//open new people modal
			/*function new_cliente() {
				$('#modal-cliente').modal("show");
			}*/
			
			//change doc origin
			$("select#documentoOrigem_rapport").on('change', function(event){
				var docID = $('option:selected', $("#documentoOrigem_rapport") ).val();
				var docType = $('option:selected', $("#documentoOrigem_rapport") ).attr('data-type');
				fill_origens_detalhes(docID, docType);
			});

			//enable/disable client fields
			function headerFieldsAllowed(action) {
				if(action == 'enable'){
					//client part
					$("select#cliente_rapport").val(0);
					$("select#cliente_rapport").attr("disabled", false);
					$("select#cliente_rapport").trigger('change');
					$("#newClientBTN").attr("disabled", false);
					//doc part
					$('#documentoOrigem_rapport').val(null);
					$('#documentoOrigem_rapport').attr('data-client', null);
					$('#documentoOrigem_rapport').attr('data-value', null);
					$('#documentoOrigem_rapport').attr('data-idDoc', null);
					$('#documentoOrigem_rapport').attr('data-type', null);
					$("#DocOrigemBTN").attr("disabled", true);
				}else{
					//client part
					$("select#cliente_rapport").val(0);
					$("select#cliente_rapport").attr("disabled", true);
					$("select#cliente_rapport").trigger('change');
					$("#newClientBTN").attr("disabled", true);
					//doc part
					$('#documentoOrigem_rapport').val(null);
					$('#documentoOrigem_rapport').attr('data-client', null);
					$('#documentoOrigem_rapport').attr('data-value', null);
					$('#documentoOrigem_rapport').attr('data-idDoc', null);
					$('#documentoOrigem_rapport').attr('data-type', null);
					$("#DocOrigemBTN").attr("disabled", false);
				}
			}

			//change client details
			$("select#cliente_rapport").on('change', function(event){
				getClientDetails( $(this).val(), 0, false, usarContrato );
			});

			//------------------------ LINES ----------------------------
			// linesListenersInit();
			//-----------------------------------------------------------
			
			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------
			/* Custom validators numbers bigger than. */
			$.validator.addMethod("checkDataValidade", function (value, element) {
				var result;

				var dt_validade = $('#validade_location').datepicker('getDate');
				var dt_begin = $('#data_rapport').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_validade.setHours(0);
				dt_validade.setMinutes(0);
				dt_validade.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_validade)) {
					result = false;
				} else {
					result = true;
				}

			    return result;
			}, "La date expiration doit être supérieure à la date du document.");

			//check if selected date is bigger than today
			function checkDataBiggerThanToday(){
				var result;

				var dt_Today = new Date();
				var dt_begin = $('#data_rapport').datepicker('getDate');
				//set hours, minutes and seconds to 0
				dt_Today.setHours(0);
				dt_Today.setMinutes(0);
				dt_Today.setSeconds(0);
				dt_begin.setHours(0);
				dt_begin.setMinutes(0);
				dt_begin.setSeconds(0);
				//check dates
				if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
					result = true;
				} else {
					result = false;
				}

			    return result;
			}

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
				},
				messages : {
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idRapport = getParameterByName('rapport');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{

					if( invalid == 0 ){

						$("#form_new").find('.submit_button').attr("disabled", true);
						$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/rapports-travail/editar_linhas.php',
							dataType : 'json',
							data : {
								idRapport : idRapport,
								referencia : $("#referencia_rapport").val(),
								remarque : $("#remarque_rapport").val(),
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null){
									$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
									finalizarDocumento = 0;
								}
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
										finalizarDocumento = 0;
									} else {
										$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								var idDoc = resp.responseJSON.rapport;
								if (resp.responseJSON.errors) {
									finalizarDocumento = 0;
									if(resp.responseJSON.referencia) {
										$.scojs_message("[FAT002] La référence de rapport de travail existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
									}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière rapport de travail ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
									else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);

									//reload
									setTimeout(function() {
										window.location.href = "../rapports-travail/details?rapport="+resp.responseJSON.rapport;
									}, 1000);
									
								}
								$("#form_new").find('.submit_button').attr("disabled", false);
								$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
				}
			});
		</script>
	</body>
</html>