<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0110']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/rapports-travail/&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Rapports'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=rapports-travail&redirectto=/frifacturation');
	}
?>
<html>
	<title>Rapport de Travail: Signer | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">

		<link rel="stylesheet" href="/js/vendors/signature-pad/assets/jquery.signaturepad.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}

			/* STAUTS LABELS */
			.stamp-label-orange{ border: 1px solid #E9662C; }
			.stamp-label-blue{ border: 1px solid #428BCA; }
			.stamp-label-green{ border: 1px solid #488C6C; }
			.stamp-label-red{ border: 1px solid #BF4346; }
			span { word-wrap: break-word; }

			.sigPad { width: 600px; margin: auto; }
			.sigWrapper { height: 152px; width: 602px; }
			.sigPad button.btn-green:hover { background-color: #3a7157; color: #ffffff; border-color: #305d48; }
			.sigPad button.btn-green { background-color: #488c6c; color: #ffffff; border-color: #458567; }
		</style>
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../rapports-travail<?php if(isset($_GET['rapport'])) echo '/details?rapport='.$_GET['rapport'] ?>"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../rapports-travail">Rapports de Travail</a>
							</li>
							<li class="active">
								Signer Rapport de Travail
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">

										<h5 class="form-header mtl">
											<legend class="form-legend">
												Signature
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-xs-12">
													<form method="" action="" class="sigPad">
														<!-- <label for="name">Print your name</label> -->
														<!-- <input type="text" name="name" id="name" class="name"> -->
														<!-- <p class="drawItDesc">Draw your signature</p> -->
														<ul class="sigNav">
															<!-- <li class="drawIt"><a href="#draw-it" >Draw It</a></li> -->
															<li class="clearButton"><a href="#clear"><i class="fa fa-eraser"></i>&nbsp;Supprimer</a></li>
														</ul>
														<div class="sig sigWrapper">
															<div class="typed"></div>
															<canvas class="pad" width="600" height="150"></canvas>
															<input type="hidden" name="output" class="output">
														</div>
														<button type="button" id="submitAssinatura" class="btn btn-green pull-right"><i class="fa fa-floppy-o"></i> Enregistrer</button>
													</form>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
										<a  href="../rapports-travail" class="btn btn-default" type="button"> Annuler </a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		
		<script src="/js/vendors/signature-pad/assets/flashcanvas.js"></script>
		<script src="/js/vendors/signature-pad/jquery.signaturepad.js"></script>
		<script src="/js/vendors/signature-pad/assets/json2.min.js"></script>

		<script>
			$(document).ready(function() {
				var options = {
					defaultAction : 'drawIt',
					drawOnly : true,
					bgColour : '#eee', 
					lineTop : 100,
				};
				$('.sigPad').signaturePad(options);
			});
		</script>

		<!-- //ADDED SCRIPTS -->
		<?php //include('modal-gerar-doc.php');  ?>
		<?php //include('detalhes_scripts.php');  ?>

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.rapports_travail_faturacao").addClass("active");
		</script>
		<script type="text/javascript">
			//define global vars

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
			});

			$(document).ready(function() {
				
				var idDocument = getParameterByName('rapport');
				// fill_document(idDocument);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}


			//store and close document
			$('#submitAssinatura').on('click', function(e){
				e.preventDefault();
				submeterAssinatura();
			});
			
			//FINISH THE DOCUMENT
			function submeterAssinatura(){
				var question = "Êtes-vous sûr de vouloir soumettre cette signature?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce signature plus tard.";
				if (confirm(question) == true) {					
					$("form.sigPad").submit();
				} else { return false; }
			}

			//FORM SUBMIT ---------------------------
			$("form.sigPad").submit(function(e) {
				e.preventDefault();

				var idRapport = getParameterByName('rapport');
				var encImage = $('.sigPad').signaturePad().getSignatureString();

				var valid = $("form.sigPad").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("form.sigPad").find('#submitAssinatura').attr("disabled", true);
					$("form.sigPad").find('#submitAssinatura').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/rapports-travail/assinar.php',
						dataType : 'json',
						data : {
							idRapport : idRapport,
							encImage : encImage,
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null){
								$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							}
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							var idDoc = resp.responseJSON.rapport;
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);

								//reload
								setTimeout(function() {
									window.location.href = "../rapports-travail/details?rapport="+resp.responseJSON.rapport;
								}, 1000);
								
							}
							$("form.sigPad").find('#submitAssinatura').attr("disabled", false);
							$("form.sigPad").find('#submitAssinatura').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>