<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/responsaveis.php",
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [null, null, null, null,
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1].length > 80) element = full[1].substr(0,80)+"...";
				else element = full[1];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'" + processedName + "'";
				var html = '';

				html += '<a href="details?responsable='+ full[4] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
				html += '<a href="modifier?responsable='+full[4]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';

				//edition options
				if( full[5] > 0 ){
					html += '<span class="text-gray" style="margin: 4px;"><i class="fa fa-trash"></i></span>';
				}else{
					html += '<a class="options-link text-red" onclick="eliminarResponsavel('+ full[4] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[4]);

			return nRow;
		}
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//remover
	function eliminarResponsavel(idResponsavel, nome){
	<?php if (hasPermission(['P0079']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le responsable \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/responsaveis/apagar.php',
				dataType : 'json',
				data : {
					idResponsavel : idResponsavel
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce responsable. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce responsable. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Responsable supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>