<script type="text/javascript">
	//load data
	function fill_responsavel(idResponsavel) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/responsaveis_contratos/detalhes.php',
			dataType : 'json',
			data : { idResponsavel : idResponsavel },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+processedName+"'";

							//remain fields
							$("#codigo_responsavel").html(dados.Codigo);
							$("#nome_responsavel").html(dados.Nome);
							$("#contacto_responsavel").html(dados.Contacto);

							$('#btns-wrapper').append('&nbsp;<a href="modifier?responsable='+idResponsavel+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');

							if(dados.Usado > 0){
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}else{ 
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarresponsavel('+idResponsavel+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../responsables_contrats" class="btn btn-default" type="button"> Annuler </a>');
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//remover
	function eliminarresponsavel(idResponsavel, nome){
	<?php if (hasPermission(['P0102']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le Responsable \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/responsaveis_contratos/apagar.php',
				dataType : 'json',
				data : {
					idResponsavel : idResponsavel
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce Responsable. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce Responsable. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Responsable supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../responsables_contrats";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>