<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

//PERMS VALIDATION-------------------------------------------------------
if ( hasPermission(['P0016']) != 1 ) {
	$response["errors"] = true;
	$response["type"] = "permission";
	$response["line"] = "PERM001";
	$response["message"] = "Access is not allowed!";
	die(json_encode($response));
}

if ($_SESSION['mod_Vendas'] == 0) {
	$response["errors"] = true;
	$response["type"] = "permission";
	$response["line"] = "PERM002";
	$response["message"] = "Access is not allowed!";
	$response["session"] = $_SESSION;
	die(json_encode($response));
}
//------------------------------------------------------------------------

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
$code = '';
if($snc_table == 'faturacao_snc_base'){$code = '2111';}
elseif($snc_table == 'faturacao_snc_micro'){$code = '211';}
else{
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS000";
	$response["message"] = 'SNC - tabela invalida';
	die(json_encode($response));
}

//VALIDATE NIF FUNCTION -------------------------------------------------
function validaNIF($nif, $ignoreFirst=true) {
	return true;
	//Limpamos eventuais espaços a mais
	$nif=trim($nif);
	//Verificamos se é numérico e tem comprimento 9
	if (!is_numeric($nif) || strlen($nif)!=9) {
		return false;
	} else {
		$nifSplit=str_split($nif);
		//O primeiro digíto tem de ser 1, 2, 5, 6, 8 ou 9
		//Ou não, se optarmos por ignorar esta "regra"
		if ( in_array($nifSplit[0], array(1, 2, 3, 5, 6, 8, 9))	||	$ignoreFirst ) {
			//Calculamos o dígito de controlo
			$checkDigit=0;
			for($i=0; $i<8; $i++) {
				$checkDigit+=$nifSplit[$i]*(10-$i-1);
			}
			$checkDigit=11-($checkDigit % 11);
			//Se der 10 então o dígito de controlo tem de ser 0
			if($checkDigit>=10) $checkDigit=0;
			//Comparamos com o último dígito
			if ($checkDigit==$nifSplit[8]) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}
}

//GET POST VARS ---------------------------------------------------------
$nome_cliente = $_POST['nome_cliente'];
$apelido_cliente = $_POST['apelido_cliente'];
$nif_cliente = $_POST['nif_cliente'];
$titulo_cliente = $_POST['titulo_cliente'];
$pais_cliente = $_POST['pais_cliente'];
$endereco_cliente = $_POST['endereco_cliente'];
$codigopostal_cliente = $_POST['codigopostal_cliente'];
$regiao_cliente = $_POST['regiao_cliente'];
$cidade_cliente = $_POST['cidade_cliente'];
$vendedor_cliente = $_POST['vendedor_cliente'];
$responsavel_cliente = $_POST['responsavel_cliente'];
$grupo_cliente = 0;
$email_cliente = $_POST['email_cliente'];
$website_cliente = $_POST['website_cliente'];
$tlm_cliente = $_POST['tlm_cliente'];
$tlf_cliente = $_POST['tlf_cliente'];
$fax_cliente = $_POST['fax_cliente'];
$preferencial_nome_cliente = $_POST['preferencial_nome_cliente'];
$preferencial_email_cliente = $_POST['preferencial_email_cliente'];
$preferencial_tlm_cliente = $_POST['preferencial_tlm_cliente'];
$preferencial_tlf_cliente = $_POST['preferencial_tlf_cliente'];
$pagamento_cliente = $_POST['pagamento_cliente'];
$vencimento_Cliente = $_POST['vencimento_Cliente'];
$desconto_cliente = $_POST['desconto_cliente'];
$flagContaGeral = $_POST['flagContaGeral'];
$plano_cliente = $_POST['plano_cliente'];
$vendedor_null = 0;

$nome_responsavel_1 = $_POST['nome_responsavel_1'];
$prenom_responsavel_1 = $_POST['prenom_responsavel_1'];
$email_responsavel_1 = $_POST['email_responsavel_1'];
$contacto_responsavel_1 = $_POST['contacto_responsavel_1'];

$nome_responsavel_2 = $_POST['nome_responsavel_2'];
$prenom_responsavel_2 = $_POST['prenom_responsavel_2'];
$email_responsavel_2 = $_POST['email_responsavel_2'];
$contacto_responsavel_2 = $_POST['contacto_responsavel_2'];

$nome_responsavel_3 = $_POST['nome_responsavel_3'];
$prenom_responsavel_3 = $_POST['prenom_responsavel_3'];
$email_responsavel_3 = $_POST['email_responsavel_3'];
$contacto_responsavel_3 = $_POST['contacto_responsavel_3'];

$nome_responsavel_4 = $_POST['nome_responsavel_4'];
$prenom_responsavel_4 = $_POST['prenom_responsavel_4'];
$email_responsavel_4 = $_POST['email_responsavel_4'];
$contacto_responsavel_4 = $_POST['contacto_responsavel_4'];

$nome_responsavel_5 = $_POST['nome_responsavel_5'];
$prenom_responsavel_5 = $_POST['prenom_responsavel_5'];
$email_responsavel_5 = $_POST['email_responsavel_5'];
$contacto_responsavel_5 = $_POST['contacto_responsavel_5'];

$nome_responsavel_6 = $_POST['nome_responsavel_6'];
$prenom_responsavel_6 = $_POST['prenom_responsavel_6'];
$email_responsavel_6 = $_POST['email_responsavel_6'];
$contacto_responsavel_6 = $_POST['contacto_responsavel_6'];

$nome_responsavel_7 = $_POST['nome_responsavel_7'];
$prenom_responsavel_7 = $_POST['prenom_responsavel_7'];
$email_responsavel_7 = $_POST['email_responsavel_7'];
$contacto_responsavel_7 = $_POST['contacto_responsavel_7'];

//VERIFICA SE HA NULOS ---------------------------------------------------
// if ( $nome_cliente == '' || $pais_cliente == '' || $vendedor_cliente == '' || $endereco_cliente == '' || $cidade_cliente == '' || $plano_cliente == '' || $plano_cliente == '' || $responsavel_cliente == '' ) 
if ( $nome_cliente == '' || $pais_cliente == '' || $endereco_cliente == '' || $cidade_cliente == '' || $plano_cliente == '' || $plano_cliente == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//VALIDATE NIF -----------------------------------------------------------
if($pais_cliente == 'PT' && $nif_cliente > 0){	
	$validNIF = validaNIF($nif_cliente, false);
	if($validNIF == false){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["nif_error"] = true;
		$response["line"] = "FATS001";
		die(json_encode($response));
	}
// }else{
	// $nif_cliente = '999999990';
}

// if($nif_cliente != '999999990' && $nif_cliente > 0){
// 	//CHECK IF NIF EXISTS
// 	$query = "SELECT COUNT(*) FROM faturacao_clientes WHERE Nif = ".$nif_cliente;
// 	if ( $stmt = $sqli_connection -> prepare($query) ) {
// 		//result
// 		$result = $stmt -> execute();
// 		if (false === $result) {
// 			$response["errors"] = true;
// 			$response["type"] = "FATS001A";
// 			$response["message"] = $stmt -> error;
// 			die(json_encode($response));
// 		}
// 		$stmt -> store_result();
// 		$stmt -> bind_result($counterNif);
// 		$stmt -> fetch();
// 		$stmt -> close();
// 	} else {
// 		$response["errors"] = true;
// 		$response["type"] = "FATS001B";
// 		$response["message"] = $sqli_connection -> error;
// 		die(json_encode($response));
// 	}

// 	if($counterNif > 0){
// 		$response["errors"] = true;
// 		$response["type"] = "var";
// 		$response["nif_error"] = true;
// 		$response["line"] = "FATS001C";
// 		die(json_encode($response));
// 	}
// }

//GET ACCOUNT ID --------------------------------------------------------
$idSncBase = 0;
$query = "SELECT ID_Snc_Base FROM ".$snc_table." WHERE Snc_Code = ".$code."";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA002";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idSncBase);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

$idAccount = 0;
if($flagContaGeral == 1){
	// $query = "SELECT ID_Account FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." AND ContaSistema =1";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA004";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($idAccount);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "FTGA005";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
}else{
	//RECALCULATE THE ACCOUNT ID ---------------------------------------------
	// $query = "SELECT MAX(AccountID) FROM faturacao_accounts WHERE ID_SNC=".$idSncBase." ";
	// if ($stmt = $sqli_connection -> prepare($query)) { 
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA006";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($accountMaxNumber);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }

	// $query = "SELECT Snc_Code, Taxonomy_Code FROM ".$snc_table." WHERE ID_Snc_Base = ?";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("d", $idSncBase);
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA007";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($sncCode, $taxonomyCode);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
	// //get parent base
	// $baseParent = substr($sncCode, 0, 2);
	// // var_dump($baseParent);
	// if ($accountMaxNumber < 1) {
	// 	$tmpAccount = $sncCode."0000";
	// 	$finalAccountNumber = $tmpAccount;
	// }
	// else{
	// 	$tmpAccount = $accountMaxNumber + 1;
	// 	$finalAccountNumber = $tmpAccount;
	// }
	// //------------------------------------------------------------------------

	// //INSERT DB --------------------------------------------------------------
	// $query = "INSERT INTO faturacao_accounts (ID_SNC, AccountID, AccountDescription, TaxonomyCode, OpeningDebit, OpeningCredit) VALUES (?,?,?,?,0,0)";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("dsss", $idSncBase, $finalAccountNumber, $nome_cliente, $taxonomyCode);
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "query";
	// 		$response["line"] = "FATS008";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "query";
	// 	$response["line"] = "FATS004";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }

	// //GET THE ID_ACCOUNT -----------------------------------------------------
	// $query = "SELECT ID_Account FROM faturacao_accounts WHERE AccountID = ".$finalAccountNumber;
	// if ($stmt = $sqli_connection -> prepare($query)) { 
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA009";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($idAccount);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
	// //------------------------------------------------------------------------
}

$idAccount = 0;

//PROCESS FIELDS -------------------------------------------------------------
$finalMetPagamento = $pagamento_cliente;
if($pagamento_cliente == '-'){
	$query = "SELECT MetodoPagamento FROM faturacao_personalizar_documentos WHERE ID_personalizar = 1";
	if ($stmt = $sqli_connection -> prepare($query)) { 
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA010";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($finalMetPagamento);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA011";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}

$finalVencimento = $vencimento_Cliente;
if($vencimento_Cliente == '-'){
	$query = "SELECT Vencimento FROM faturacao_personalizar_documentos WHERE ID_personalizar = 1";
	if ($stmt = $sqli_connection -> prepare($query)) { 
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA011";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($finalVencimento);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA012";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//----------------------------------------------------------------------------

//GET NEXT CODIGO CLIENTE ----------------------------------------------------
// $query = "SELECT MAX(CAST(Codigo AS UNSIGNED)) FROM faturacao_clientes";
// if ( $stmt = $sqli_connection -> prepare($query) ) {
// 	//result
// 	$result = $stmt -> execute();
// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["type"] = "HELP001";
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> store_result();
// 	$stmt -> bind_result($nextID);
// 	$stmt -> fetch();
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["type"] = "HELP002";
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));
// }

//GET NEXT CODIGO
$nextID = getNextID('Codigo', 'faturacao_clientes');

//return next id
$codigoCliente = $nextID;

$timestampCliente = microtime(true);

//INSERT DB ------------------------------------------------------------------
$query = "INSERT INTO faturacao_clientes (
	Nome, 
	Apelido, 
	Nif, 
	Codigo, 
	Endereco, 
	CodigoPostal, 
	Cidade, 
	Pais, 
	Regiao, 
	Email, 
	Telefone, 
	Telemovel, 
	Fax, 
	Website, 
	ID_Grupo, 
	MetPagamento, 
	Vencimento, 
	Desconto, 
	PreferenciaNome, 
	PreferenciaTelefone, 
	PreferenciaEmail, 
	PreferenciaTelemovel, 
	ID_Account,
	TimestampCliente,
	Titulo,
	ID_Vendedor,
	ID_Responsavel,
	PlanoContas
	) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssdssssssssssdsssssssdssdds", 
	    $nome_cliente, 
	    $apelido_cliente, 
		$nif_cliente, 
		$codigoCliente, 
		$endereco_cliente, 
		$codigopostal_cliente, 
		$cidade_cliente, 
		$pais_cliente, 
		$regiao_cliente, 
		$email_cliente, 
		$tlf_cliente, 
		$tlm_cliente, 
		$fax_cliente, 
		$website_cliente, 
		$grupo_cliente, 
		$finalMetPagamento, 
		$finalVencimento, 
		$desconto_cliente, 
		$preferencial_nome_cliente, 
		$preferencial_tlf_cliente, 
		$preferencial_email_cliente,
		$preferencial_tlm_cliente, 
		$idAccount,
		$timestampCliente, 
		$titulo_cliente,
		$vendedor_null,
		$responsavel_cliente,
		$plano_cliente
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//GET CLIENTE --------------------------------------------------------------
$query = "SELECT ID_Cliente FROM faturacao_clientes WHERE TimestampCliente = ?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$stmt -> bind_param("s", $timestampCliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP005";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($idCliente);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP006";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//process vendors for insertion
foreach ($vendedor_cliente as $vendedor) {
	insertIntoVendedoresCliente($vendedor, $idCliente);
}
//insert vendedor cliente
function insertIntoVendedoresCliente($id_vendedor, $id_cliente){
	global $sqli_connection;
		
	//INSERT IF NOT EXISTS
	$query = "INSERT INTO faturacao_cliente_vendedor (
		ID_Cliente_Rel, 
		ID_Vendedor_Rel
		) VALUES (?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dd", 
		    $id_cliente,
			$id_vendedor
		);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "INS004";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "INS005";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}
//------------------------------------------------------------------------

//DELETE DB -------------------------------------------------------------
$query = "SELECT ID_Responsavel FROM faturacao_responsavel_entidades WHERE ID_Cliente = ?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$stmt -> bind_param("s", $idCliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP005A";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($idResponsavel);
	while ($stmt -> fetch()) {
		deleteResponsables($idResponsavel);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP006A";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//remove
function deleteResponsables($idResponsavel){
	global $sqli_connection;

	$query = "DELETE FROM faturacao_responsaveis WHERE ID_Responsavel=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idResponsavel );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "DEL001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "DEL002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
}

//delete connections
$query = "DELETE FROM faturacao_responsavel_entidades WHERE ID_Cliente=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idCliente );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS007";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS008";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//----------------------------------------------------------------------

//INSERT INTO RESPONSABLES -------------------------------------------------
insertIntoResponsables($nome_responsavel_1, $prenom_responsavel_1, $email_responsavel_1, $contacto_responsavel_1,$idCliente,1);
insertIntoResponsables($nome_responsavel_2, $prenom_responsavel_2, $email_responsavel_2, $contacto_responsavel_2,$idCliente,2);
insertIntoResponsables($nome_responsavel_3, $prenom_responsavel_3, $email_responsavel_3, $contacto_responsavel_3,$idCliente,3);
insertIntoResponsables($nome_responsavel_4, $prenom_responsavel_4, $email_responsavel_4, $contacto_responsavel_4,$idCliente,4);
insertIntoResponsables($nome_responsavel_5, $prenom_responsavel_5, $email_responsavel_5, $contacto_responsavel_5,$idCliente,5);
insertIntoResponsables($nome_responsavel_6, $prenom_responsavel_6, $email_responsavel_6, $contacto_responsavel_6,$idCliente,6);
insertIntoResponsables($nome_responsavel_7, $prenom_responsavel_7, $email_responsavel_7, $contacto_responsavel_7,$idCliente,7);


//insert into
function insertIntoResponsables($nome_responsavel, $prenom_responsavel, $email_responsavel, $contacto_responsavel, $idCliente, $posicao){
	global $sqli_connection;

	if($nome_responsavel != '' || $prenom_responsavel != '' ){
		$query = "SELECT MAX( CAST(Codigo AS UNSIGNED) ) FROM faturacao_responsaveis";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//result
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "HELP001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> store_result();
			$stmt -> bind_result($nextID);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "HELP002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//return next id
		$codigoResponsavel = $nextID+1;

		$timestampResponsavel = microtime(true);

		$query = "INSERT INTO faturacao_responsaveis (
			Codigo, 
			Nome, 
			Prenom,
			Email,
			Contacto,
			TimeStampResponsavel
			) VALUES (?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("ssssss", 
				$codigoResponsavel,
			    $nome_responsavel, 
			    $prenom_responsavel, 
				$email_responsavel,
				$contacto_responsavel,
				$timestampResponsavel
			);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS003";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		$query = "SELECT ID_Responsavel FROM faturacao_responsaveis WHERE TimeStampResponsavel=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("s", $timestampResponsavel);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($idResponsavel);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//----- done inserting ------
		
		//INSERT IF NOT EXISTS
		$query = "INSERT INTO faturacao_responsavel_entidades (
			ID_Cliente, 
			ID_Responsavel,
			Posicao
			) VALUES (?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("sss", 
			    $idCliente,
				$idResponsavel,
				$posicao
			);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "INS002";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "INS003";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
	}
}
//--------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Création du client (code: ".$codigoCliente.", nom: ".$nome_cliente.")";
insert_log(0,"Inserir",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>