<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idCompra = $_POST['idDocument'];
	

//DEFINE VARS ------------------------------------------------------------
$fieldIdName = 'ID_Compra';
$tableName = 'faturacao_compras';
$objectData = array();

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idCompra == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000A";
	die(json_encode($response));
}

//OBTEM LINHAS MAIN DOCUMENT --------------------------------------------
$objectData['lines_payments'] = array();
$objectData['TotalLiquidado'] = 0;
$query = "SELECT ID_Liquidacao, ID_Compra, Data, TotalPago, Banco, Metodo, Observacoes FROM faturacao_compras_pagamentos WHERE ID_Compra=? ORDER BY STR_TO_DATE( Data,  '%d/%m/%Y' ) DESC";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idCompra);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FATS005";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Liquidacao, $ID_Compra, $Data, $TotalPago, $Banco, $Metodo, $Observacoes );
	while ($stmt -> fetch()) {		
		//Adicionar PAYMENT
		$objectData['lines_payments'][] = array(
		                       		'ID_Liquidacao' => $ID_Liquidacao, 
		                       		'ID_Compra' => $ID_Compra, 
		                       		'Data' => $Data, 
		                       		'TotalPago' => $TotalPago,
		                       		'Banco' => $Banco,
		                       		'Metodo' => $Metodo,
		                       		'Observacoes' => $Observacoes,
		                       	);

		$objectData['TotalLiquidado'] += $TotalPago;
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FATS006";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>