<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idDados = $_POST['idBanco'];

//UPDATE DB (REMOVE ALL PREDEFINIDAS) -----------------------------------
$query = "UPDATE faturacao_bancos_fornecedores SET ";
$query .= "Predefinido=0";

if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------

//UPDATE DB -------------------------------------------------------------
$query = "UPDATE faturacao_bancos_fornecedores SET ";
$query .= "Predefinido=1";
$query .= " WHERE ID_BancoFornecedor=?";

if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idDados );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------


$query = "SELECT Nome FROM faturacao_bancos_fornecedores WHERE ID_BancoFornecedor=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDados);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "SPEC001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result( $nomeBanco );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "SPEC002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Prédéfini du banque fournisseur (".$nomeBanco.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>