<?php 
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idConsommable = $_POST['idConsommable'];
$cliente = $_POST['cliente'];
$endereco_cliente_descarga = $_POST['endereco_cliente_descarga'];
$endereco_cliente_descarga_2 = $_POST['endereco_cliente_descarga_2'];
$codigopostal_cliente_descarga = $_POST['codigopostal_cliente_descarga'];
$regiao_cliente_descarga = $_POST['regiao_cliente_descarga'];
$cidade_cliente_descarga = $_POST['cidade_cliente_descarga'];
$pais_cliente_descarga = $_POST['pais_cliente_descarga'];
$numero = $_POST['numero'];
$data = $_POST['data'];
$debut = $_POST['debut'];
$facturation = $_POST['facturation'];
$prix_noir = $_POST['prix_noir'];
$prix_couleur = $_POST['prix_couleur'];
$etat_noir = $_POST['etat_noir'];
$etat_couleur = $_POST['etat_couleur'];
$pagamento = $_POST['pagamento'];
$decompte = $_POST['decompte'];
$referencia = $_POST['referencia'];
$remarque = $_POST['remarque'];
$vendeur_1 = $_POST['vendeur_1'];
$vendeur_2 = $_POST['vendeur_2'];
$resp_client_1 = $_POST['resp_client_1'];
$resp_client_2 = $_POST['resp_client_2'];
$forfait_disponivel_consommable = $_POST['forfait_disponivel_consommable'];
$forfait_mensuel_consommable = $_POST['forfait_mensuel_consommable'];
$forfait_noir_consommable = $_POST['forfait_noir_consommable'];
$forfait_couleur_consommable = $_POST['forfait_couleur_consommable'];
$linhas = $_POST['linhas'];
$finalizarDocumento = $_POST['finalizarDocumento'];

$nome2 = $_POST['nome2'];
$apelido2 = $_POST['apelido2'];

//SYSTEM FIELDS --------------------------------------------------------
$timestamp = microtime(true);
$dataCriacao = date("d/m/Y H:i:s");
$dataAtualizacao = date("d/m/Y H:i:s");
$utilizadorCriacao = $id_utilizador;
$utilizadorAtualizacao = $id_utilizador;
$estado = 'Rascunho';
//------------------------------------------------------------------------

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $cliente == '' || $data == '' || $facturation == '' || $debut == '' || $prix_noir == '' || $prix_couleur == '' || $etat_noir == '' || $etat_couleur == '' || $pagamento == '' || $decompte == '' || $forfait_disponivel_consommable == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}

if( sizeof($linhas) < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000B";
	die(json_encode($response));
}

if($vendeur_1 == $vendeur_2){
	// $vendeur_2 = 0;
}

if($forfait_disponivel_consommable == 1){
	if ( $forfait_mensuel_consommable == '' || $forfait_noir_consommable == '' || $forfait_couleur_consommable == '' ){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FATS0000C";
		die(json_encode($response));
	}
}else{
	$forfait_mensuel_consommable = 0; 
	$forfait_noir_consommable = 0; 
	$forfait_couleur_consommable = 0;
}
//------------------------------------------------------------------------

//CHECK LINES
if(!is_array($linhas) || empty($linhas)){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000x";
	$response["lines_empty"] = true;
	$response["message"] = "";
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//GET CLIENT DATA --------------------------------------------------------
$query = "SELECT Nif, Endereco, CodigoPostal, Cidade, Regiao, Pais, Email, Codigo, Titulo, Nome, Apelido FROM faturacao_clientes WHERE ID_Cliente = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $cliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Nif, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Pais, $Email, $CodigoCliente, $Titulo, $Nome, $Apelido );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//process fields
if( trim($Endereco) == '' ) $Endereco = '-';
if( trim($CodigoPostal) == '' ) $CodigoPostal = '-';
if( trim($Cidade) == '' ) $Cidade = '-';
if( trim($Regiao) == '' ) $Regiao = '-';
if( trim($Pais) == '' ) $Pais = '-';

if( trim($endereco_cliente_descarga) == '' ) $endereco_cliente_descarga = '-';
if( trim($endereco_cliente_descarga_2) == '' ) $endereco_cliente_descarga_2 = '-';
if( trim($codigopostal_cliente_descarga) == '' ) $codigopostal_cliente_descarga = '-';
if( trim($regiao_cliente_descarga) == '' ) $regiao_cliente_descarga = '-';
if( trim($cidade_cliente_descarga) == '' ) $cidade_cliente_descarga = '-';
if( trim($pais_cliente_descarga) == '' ) $pais_cliente_descarga = '-';

if( trim($Titulo) == '' ) $Titulo = NULL;
if( trim($Nome) == '' ) $Nome = NULL;
if( trim($Apelido) == '' ) $Apelido = NULL;

if( trim($nome2) == '' ) $nome2 = NULL;
if( trim($apelido2) == '' ) $apelido2 = NULL;
//------------------------------------------------------------------------

//INSERT NEW DOCUMENT ----------------------------------------------------

//prepare some fields
$duree_final = $duree." ".$duree_type;

//updating
$query = "UPDATE faturacao_consommables SET 
		ID_Cliente=?, 
		EnderecoCliente=?, 
		CodigoPostalCliente=?, 
		CidadeCliente=?, 
		RegiaoCliente=?, 
		EmailCliente=?, 
		EmailClienteDescarga=?, 
		PaisCliente=?, 
		EnderecoClienteDescarga=?, 
		EnderecoCliente2Descarga=?, 
		CodigoPostalClienteDescarga=?, 
		CidadeClienteDescarga=?, 
		RegiaoClienteDescarga=?, 
		PaisClienteDescarga=?, 
		ID_Vendedor_Primeiro=?, 
		ID_Vendedor_Segundo=?, 
		Data=?, 
		Debut=?, 
		Facturation=?, 
		Decompte_pages=?, 
		Paiment=?, 
		Referencia=?, 
		Remarque=?, 
		Prix_noir=?, 
		Prix_couleur=?, 
		Etat_noir=?, 
		Etat_couleur=?, 
		Etat_noir_begin=?, 
		Etat_couleur_begin=?, 
		Estado=?, 
		DataAtualizacao=?, 
		ID_Utilizador_Atualizacao=?, ID_ResponsavelPrimeiro=?, ID_ResponsavelSegundo=?,
		ForfaitDisponivel=?,
		ForfaitMensuel=?,
		ForfaitNoir=?,
		ForfaitCouleur=?,
		TituloCliente=?,
		NomeCliente=?,
		ApelidoCliente=?,
		NomeCliente2=?,
		ApelidoCliente2=?
	WHERE ID_Consommable=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param(
		"dsssssssssssssddsssssssssssssssdddsssssssssd", 
		$cliente,
		$Endereco,
		$CodigoPostal,
		$Cidade,
		$Regiao,
		$Email,
		$Email,
		$Pais,
		$endereco_cliente_descarga,
		$endereco_cliente_descarga_2,
		$codigopostal_cliente_descarga,
		$cidade_cliente_descarga,
		$regiao_cliente_descarga,
		$pais_cliente_descarga,
		$vendeur_1,
		$vendeur_2,
		$data,
		$debut,
		$facturation,
		$decompte,
		$pagamento,
		$referencia,
		$remarque,
		$prix_noir,
		$prix_couleur,
		$etat_noir,
		$etat_couleur,
		$etat_noir,
		$etat_couleur,
		$estado,
		$dataAtualizacao,
		$utilizadorAtualizacao,
		$resp_client_1,
		$resp_client_2,
		$forfait_disponivel_consommable,
		$forfait_mensuel_consommable,
		$forfait_noir_consommable,
		$forfait_couleur_consommable,
		$Titulo,
		$Nome,
		$Apelido,
		$nome2,
		$apelido2,
		$idConsommable
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA010";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA011";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//CLEAN ALL LINES --------------------------------------------------------
$query = "DELETE FROM faturacao_consommables_linhas WHERE ID_Consommable=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idConsommable );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA012";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA013";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//PROCESS LINES ----------------------------------------------------------
$numLinha = 1;
foreach ($linhas as $linha) {
	//init vars
	$ProductCode = '';
	$SerialNumber = '';
	$Quantidade = 1;

	//GET ARTICLE DATA ---------------------------------------------------
	$query = "SELECT  Codigo, SerialNumber FROM faturacao_artigos WHERE ID_Artigo = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA015";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> bind_result($ProductCode, $SerialNumber);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA016";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------

	//INSERT INTO DB -----------------------------------------------------
	$query = "INSERT INTO faturacao_consommables_linhas (ID_Consommable, ID_Artigo, 
		NumeroLinha, ProductCode, ProductDescription, SerialNumber, Quantidade ) 
		VALUES (?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddsssd", $idConsommable, $linha['artigo'], $numLinha, $ProductCode, $linha['descricao'], $SerialNumber, $Quantidade );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA019";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
	
	$numLinha++;

	//BLOCK ARTICLE ------------------------------------------------------
	$query = "UPDATE faturacao_artigos SET Usado=1 WHERE ID_Artigo=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA020A";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020B";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
}
//------------------------------------------------------------------------

//CLOSE THE DOCUMENT -----------------------------------------------------
if( $finalizarDocumento > 0 ){
	//prepare vars
	$dataAtualizacao = date("d/m/Y H:i:s");
	$utilizadorAtualizacao = $id_utilizador;
	$estadoUpdate = 'Confirmado';

	// DEFINE NEW NUMBER
	$queryStmt = "SELECT MAX(Numero) AS NumeroMax FROM faturacao_consommables;";
	$maxID = getMaxNumberDocument($queryStmt);
	$initNumber = 200000 + getInitNumber("NumeroInicial_CCON","faturacao_personalizar_documentos", "", 0);
	if($nextID < $initNumber && $maxID < 1){
		$query = "UPDATE faturacao_consommables SET Numero = ".$initNumber.", Estado=?, ID_Utilizador_Atualizacao=?, DataAtualizacao=? WHERE ID_Consommable = ?";
	}else{
		$query = "UPDATE faturacao_consommables SET Numero = (CASE WHEN (SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_consommables) AS SubNumeroMaxP) > 0 THEN (SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_consommables) AS SubNumeroMaxS) + 1 ELSE 200001 END), Estado=?, ID_Utilizador_Atualizacao=?, DataAtualizacao=? WHERE ID_Consommable = ?";
	}
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("sdsd", $estadoUpdate, $utilizadorAtualizacao, $dataAtualizacao, $idConsommable);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA025";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA026";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}

	//log sistema - processo
	$descricao_log ="Édition et finalisation de contrat de consommables (id: ".$idConsommable.")";
	insert_log(0,"Editar",$descricao_log,$sqli_connection);
	
	$response["consommable"] = $idConsommable;
}else{
	$response["consommable"] = $idConsommable;

	//log sistema - processo
	$descricao_log ="Édition de contrat de consommables (id: ".$idConsommable.")";
	insert_log(0,"Editar",$descricao_log,$sqli_connection);
}
//------------------------------------------------------------------------

//BLOCK CLIENT -----------------------------------------------------------
$query = "UPDATE faturacao_clientes SET Usado=1 WHERE ID_Cliente=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $cliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA027";
		$response["message"] = $stmt -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA028";
	$response["message"] = $sqli_connection -> error;
	// restoreRecord($idConsommable);
	die(json_encode($response));
}
//------------------------------------------------------------------------

//response
$response["errors"] = false;
die(json_encode($response));

?>