<?php 
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idConsommable = $_POST['idConsommable'];
$linhas = $_POST['linhas'];
$referencia = $_POST['referencia'];
$remarque = $_POST['remarque'];

$nome2 = $_POST['nome2'];
$apelido2 = $_POST['apelido2'];
$endereco_cliente_descarga = $_POST['endereco_cliente_descarga'];
$endereco_cliente_descarga_2 = $_POST['endereco_cliente_descarga_2'];
$codigopostal_cliente_descarga = $_POST['codigopostal_cliente_descarga'];
$cidade_cliente_descarga = $_POST['cidade_cliente_descarga'];
$pais_cliente_descarga = $_POST['pais_cliente_descarga'];

$cliente = $_POST['cliente'];
$vendeur_1 = $_POST['vendeur_1'];
$vendeur_2 = $_POST['vendeur_2'];
$resp_client_1 = $_POST['resp_client_1'];
$resp_client_2 = $_POST['resp_client_2'];

//SYSTEM FIELDS --------------------------------------------------------
$timestamp = microtime(true);
$dataCriacao = date("d/m/Y H:i:s");
$dataAtualizacao = date("d/m/Y H:i:s");
$utilizadorCriacao = $id_utilizador;
$utilizadorAtualizacao = $id_utilizador;
$estado = 'Rascunho';
//------------------------------------------------------------------------

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idConsommable < 1 || $cliente == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}

if( sizeof($linhas) < 1){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000B";
	die(json_encode($response));
}

//PREPARE VARS
if( trim($endereco_cliente_descarga) == '' ) $endereco_cliente_descarga = '-';
if( trim($endereco_cliente_descarga_2) == '' ) $endereco_cliente_descarga_2 = '-';
if( trim($codigopostal_cliente_descarga) == '' ) $codigopostal_cliente_descarga = '-';
if( trim($cidade_cliente_descarga) == '' ) $cidade_cliente_descarga = '-';
if( trim($pais_cliente_descarga) == '' ) $pais_cliente_descarga = '-';

if( trim($nome2) == '' ) $nome2 = NULL;
if( trim($apelido2) == '' ) $apelido2 = NULL;
//------------------------------------------------------------------------

//CHECK LINES
if(!is_array($linhas) || empty($linhas)){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000x";
	$response["lines_empty"] = true;
	$response["message"] = "";
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//GET CLIENT DATA --------------------------------------------------------
$query = "SELECT Nif, Endereco, CodigoPostal, Cidade, Regiao, Pais, Email, Codigo, Titulo, Nome, Apelido FROM faturacao_clientes WHERE ID_Cliente = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $cliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Nif, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Pais, $Email, $CodigoCliente, $Titulo, $Nome, $Apelido );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//process fields
if( trim($Endereco) == '' ) $Endereco = '-';
if( trim($CodigoPostal) == '' ) $CodigoPostal = '-';
if( trim($Cidade) == '' ) $Cidade = '-';
if( trim($Regiao) == '' ) $Regiao = '-';
if( trim($Pais) == '' ) $Pais = '-';

if( trim($Titulo) == '' ) $Titulo = NULL;
if( trim($Nome) == '' ) $Nome = NULL;
if( trim($Apelido) == '' ) $Apelido = NULL;
//------------------------------------------------------------------------

//CLEAN ALL LINES --------------------------------------------------------
$query = "DELETE FROM faturacao_consommables_linhas WHERE ID_Consommable=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idConsommable );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA012";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA013";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//PROCESS LINES ----------------------------------------------------------
$numLinha = 1;
foreach ($linhas as $linha) {
	//init vars
	$ProductCode = '';
	$SerialNumber = '';
	$Quantidade = 1;

	//GET ARTICLE DATA ---------------------------------------------------
	$query = "SELECT  Codigo, SerialNumber FROM faturacao_artigos WHERE ID_Artigo = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA015";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> bind_result($ProductCode, $SerialNumber);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA016";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------

	//INSERT INTO DB -----------------------------------------------------
	$query = "INSERT INTO faturacao_consommables_linhas (ID_Consommable, ID_Artigo, 
		NumeroLinha, ProductCode, ProductDescription, SerialNumber, Quantidade ) 
		VALUES (?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddsssd", $idConsommable, $linha['artigo'], $numLinha, $ProductCode, $linha['descricao'], $SerialNumber, $Quantidade );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA019";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
	
	$numLinha++;

	//BLOCK ARTICLE ------------------------------------------------------
	$query = "UPDATE faturacao_artigos SET Usado=1 WHERE ID_Artigo=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $linha['artigo']);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA020A";
			$response["message"] = $stmt -> error;
			// restoreRecord($idConsommable);
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA020B";
		$response["message"] = $sqli_connection -> error;
		// restoreRecord($idConsommable);
		die(json_encode($response));
	}
	//--------------------------------------------------------------------
}
//------------------------------------------------------------------------

//UPDATE DB --------------------------------------------------------------
$query = "UPDATE faturacao_consommables SET Referencia = ?, Remarque = ?, NomeCliente2=?, ApelidoCliente2=?, EnderecoClienteDescarga=?, EnderecoCliente2Descarga=?, CodigoPostalClienteDescarga=?, CidadeClienteDescarga=?, PaisClienteDescarga=?, 
	ID_Cliente=?, 
	EnderecoCliente=?, 
	CodigoPostalCliente=?, 
	CidadeCliente=?, 
	RegiaoCliente=?, 
	EmailCliente=?, 
	PaisCliente=?, 
	ID_Vendedor_Primeiro=?, 
	ID_Vendedor_Segundo=?, 
	ID_ResponsavelPrimeiro=?, 
	ID_ResponsavelSegundo=?,
	TituloCliente=?,
	NomeCliente=?,
	ApelidoCliente=? 
	WHERE ID_Consommable = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssssssssssssssssssssssd", $referencia, $remarque, $nome2, $apelido2, $endereco_cliente_descarga, $endereco_cliente_descarga_2, $codigopostal_cliente_descarga, $cidade_cliente_descarga, $pais_cliente_descarga, 
	    $cliente,
		$Endereco,
		$CodigoPostal,
		$Cidade,
		$Regiao,
		$Email,
		$Pais,
		$vendeur_1,
		$vendeur_2,
		$resp_client_1,
		$resp_client_2,
		$Titulo,
		$Nome,
		$Apelido, 
		$idConsommable
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA021";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA022";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//CLOSE THE DOCUMENT -----------------------------------------------------
$response["consommable"] = $idConsommable;

//log sistema - processo
$descricao_log ="Édition de lines du contrat de consommables (id: ".$idConsommable.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);


//response
$response["errors"] = false;
die(json_encode($response));

?>