<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";

/* Array of database columns which should be read and sent back to DataTables. Use a space where
 * you want to insert a non-database field (for example a counter or static image)
 */
$aColumns = array(
    '(SELECT AccountID FROM faturacao_accounts WHERE faturacao_accounts.ID_Account=faturacao_bancos.ID_Account)',
    'Nome', 
    'CodigoBVR', 
    'DebitoInicial', 
    'CreditoInicial', 
    'Predefinido',
    'Ativo',
    'PlanoContas',
    'ID_Banco',
    'Usado',
    '(SELECT Usado FROM faturacao_accounts WHERE faturacao_accounts.ID_Account=faturacao_bancos.ID_Account)'
);

/* Column to filter*/
$fFilter = array(
    '(SELECT AccountID FROM faturacao_accounts WHERE faturacao_accounts.ID_Account=faturacao_bancos.ID_Account)',
    'Nome', 
    'CodigoBVR', 
    'DebitoInicial', 
    'CreditoInicial', 
    'Predefinido',
    'Ativo',
    'PlanoContas',
    'ID_Banco',
    'Usado',
    '(SELECT Usado FROM faturacao_accounts WHERE faturacao_accounts.ID_Account=faturacao_bancos.ID_Account)'
);

/* Indexed column (used for fast and accurate table cardinality) */
$sIndexColumn = "faturacao_bancos.ID_Banco";

/* DB table to use */
$sTable = "faturacao_bancos";

/*DB Table to count*/
$cTable = "faturacao_bancos";

/*LEFT JOIN Table*/
$sLeft="";

/*Join Table*/
$sJoin = "ID_Banco > 0";


include 'commun.php';
?>