<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ----------------------------------------------------------
$idDevis = $_POST['idDevis'];

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idDevis == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//VERIFICA SE PODE SER ALTERADO -----------------------------------------
$query = "SELECT Estado, Data, Validade, ID_Serie, TotaRetencao, ID_Banco, CustomerID, Referencia  FROM faturacao_devis WHERE ID_Devis=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDevis);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Estado, $data, $validade, $serie, $retencaoTotal, $bancoFinalID, $CodigoCliente,$referencia );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if($Estado != 'Rascunho') {
	$response["errors"] = true;
	$response["type"] = "usado";
	$response["line"] = "FATS003";
	$response["message"] = "Devis já finalizada!";
	$response["estado"] = $Estado;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//VALIDAR REFERENCIA -----------------------------------------------------
// if( $referencia  != ''){
// 	$query = "SELECT COUNT(*) FROM faturacao_devis WHERE Referencia = ? AND ID_Devis <> ?";
// 	if ($stmt = $sqli_connection -> prepare($query)) {
// 		$stmt -> bind_param("sd", $referencia, $idDevis);
// 		$result = $stmt -> execute();
// 		if (false === $result) {
// 			$response["errors"] = true;
// 			$response["type"] = "FTGA001A";
// 			$response["message"] = $stmt -> error;
// 			die(json_encode($response));
// 		}
// 		$stmt -> bind_result($counterRef );
// 		$stmt -> fetch();
// 		$stmt -> close();
// 	} else {
// 		$response["errors"] = true;
// 		$response["type"] = "FTGA001B";
// 		$response["message"] = $sqli_connection -> error;
// 		die(json_encode($response));
// 	}
// }
// if($counterRef > 0){
// 	$response["errors"] = true;
// 	$response["type"] = "FTGA001C";
// 	$response["referencia"] = true;
// 	$response["message"] = "Referencia já existente.";
// 	die(json_encode($response));
// }
//------------------------------------------------------------------------
//
//CLOSE THE DOCUMENT -----------------------------------------------------
$dataNew = $data;
$validadeNew = $validade;
$dataAtualizacao = date("d/m/Y H:i:s");

$systemEntryDateUpdate = date("Y-m-d H:i:s");
$systemEntryDateUpdate = str_replace (' ','T',$systemEntryDateUpdate);
$invoiceStatusDate = date("Y-m-d H:i:s");
$invoiceStatusDate = str_replace (' ','T',$invoiceStatusDate);
$sourceID = $_SESSION['username'];
$hash = 'TESTE';
$hashControl = 1;
$hashPrint = 'ABCD';
$movementEndTime = '';
// $retencaoCalc = round($retencaoTotal,2);
$retencaoCalc = $retencaoTotal;
$totalLiquidado = 0;

//process InvoiceDate and period to the choosen one
$tempDate = DateTime::createFromFormat('d/m/Y', $data);
$invoiceDate = $tempDate->format('Y-m-d');
$period = $tempDate->format('m');
//define start time
$movementStartTime = $tempDate->format("Y-m-d H:i:s");
$movementStartTime = str_replace (' ','T',$movementStartTime);


//GET LAST DATE
$query = "SELECT Numero, Data FROM faturacao_devis WHERE ID_Serie = ? AND Numero > 0 ORDER BY STR_TO_DATE( Data,  '%d/%m/%Y' ) DESC LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $serie);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA005";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($numMax, $dataLast);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA024";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $numMax > 0){
	//last date timestamp
	$dtLast = DateTime::createFromFormat("d/m/Y H:i:s", $dataLast." 00:00:00");
	$dtLastTime = $dtLast->getTimestamp();

	//this entry validade timestamp
	$dtThisValidade = DateTime::createFromFormat("d/m/Y H:i:s", $validade." 00:00:00");
	$dtThisValidadeTime = $dtThisValidade->getTimestamp();

	//this entry date timestamp
	$dtThisDate = DateTime::createFromFormat("d/m/Y H:i:s", $data." 00:00:00");
	$dtThisDateTime = $dtThisDate->getTimestamp();

	//process new dates
	if( $dtThisDateTime < $dtLastTime ){
			// $dataNew = $dataLast;
			// //update invoiceDate and period
			// $invoiceDate = date("Y-m-d");
			// $period = date("m");
			// //define start time
			// $movementStartTime = date("Y-m-d H:i:s");
			// $movementStartTime = str_replace (' ','T',$movementStartTime);
			
			//alert user that the date is before the last one
			$response["errors"] = true;
			$response["type"] = "FTGA024A";
			$response["data_superior"] = true;
			$response["dataUltima"] = $dataLast;
			$response["message"] = "Data superior à última Devis.";
			die(json_encode($response));
	}

	if( $dtThisValidadeTime < $dtThisDateTime ){
		$validadeNew = $data;
	}
}

// DEFINE NEW NUMBER
$queryStmt = "SELECT MAX(Numero) AS NumeroMax FROM faturacao_devis WHERE ID_Serie=".intval($serie).";";
$maxID = getMaxNumberDocument($queryStmt);
$initNumber = getInitNumber("NumeroInicial_DV","faturacao_series", "WHERE ID_Serie=?", $serie);
if($nextID < $initNumber && $maxID < 1){
	$query = "UPDATE faturacao_devis SET Numero = ".$initNumber.", ID_Serie=?, Data=?, Validade=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_Devis = ?";
}else{
	$query = "UPDATE faturacao_devis SET Numero = ((SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_devis WHERE ID_Serie=?) AS SubNumeroMax) + 1), Data=?, Validade=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_Devis = ?";
}
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dssdsd", $serie, $dataNew, $validadeNew, $id_utilizador, $dataAtualizacao, $idDevis);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA007";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA008";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------
// UPDATE REMAIN FIELDS
$query = "UPDATE faturacao_devis SET InvoiceStatusDate=?, SourceID=?, Hash=?, HashControl=?, Hash_Print=?, Period=?, InvoiceDate=?, MovementEndTime=?, MovementStartTime=?, TotalLiquidado=?, SystemEntryDate=? WHERE ID_Devis = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssdsssssssd", $invoiceStatusDate, $sourceID, $hash, $hashControl, $hashPrint, $period, $invoiceDate, $movementEndTime, $movementStartTime, $totalLiquidado, $systemEntryDateUpdate, $idDevis );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA009";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA010";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// UPDATE REMAIN FIELDS LINES
$query = "UPDATE faturacao_devis_linhas SET TaxPointDate=? WHERE ID_Devis = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sd", $invoiceDate, $idDevis );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA011";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA012";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//UPDATE STOCKS
$stockUpdateResult = decreaseArticlesStock($idDevis, 'faturacao_devis', 'ID_Devis');
if($stockUpdateResult != true){
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA027";
	$response["message"] = 'Falha ao atualizar stocks.';
	die(json_encode($response));
}

//PROCESS BVR IF BANK SELECTED
if($bancoFinalID > 0){
	$query = "SELECT  CodigoBVR FROM faturacao_bancos WHERE ID_Banco = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $bancoFinalID);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA027A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result($codigoBVR_banco);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA027B";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	if( $codigoBVR_banco < 0){
		$response["errors"] = true;
		$response["type"] = "FTGA027C";
		$response["message"] = "Banco";
		die(json_encode($response));
	}
	//-------------------------------------------------
	
	// $n_ZerosLeft = 11 - strlen($codigoBVR_banco);
	// $zerosGenerated = str_pad('',  $n_ZerosLeft, "0");
	// $typeDoc = '0';
	// $docNumberFormated = str_pad($idDevis, 7, "0", STR_PAD_LEFT);
	// $clientNumberFormated = str_pad($CodigoCliente, 7, "0", STR_PAD_LEFT);

	// $new_code_bvr = $codigoBVR_banco.$docNumberFormated.$zerosGenerated.$clientNumberFormated.$typeDoc;

	// //CALCULATE BVR
	// $new_control_bvr_digit = Bvr::calculate($new_code_bvr);
	// $new_code_bvr = $new_code_bvr.$new_control_bvr_digit;

	// // UPDATE REMAIN FIELDS
	// $query = "UPDATE faturacao_devis SET BVR=? WHERE ID_Devis = ?";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("sd", $new_code_bvr, $idDevis );
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "query";
	// 		$response["line"] = "FTGA027D";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "query";
	// 	$response["line"] = "FTGA027E";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
}

//------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Finalisation de devis (id: ".$idDevis.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>