<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$id_utilizador = $_SESSION['id_utilizador'];

$array_results = array();

$ano = date("Y");
if(intval($_GET['year']) > 0) $ano = intval($_GET['year']);

//totals
$janTotal = 0;
$fevTotal = 0;
$marTotal = 0;
$abrTotal = 0;
$maiTotal = 0;
$junTotal = 0;
$julTotal = 0;
$agoTotal = 0;
$setTotal = 0;
$outTotal = 0;
$novTotal = 0;
$dezTotal = 0;

//start query FATURAS
$query = "SELECT ";

//get jan
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/01/".$ano."') AS janTOT, ";

//get fev
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/02/".$ano."') AS fevTOT, ";

//get mar
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/03/".$ano."') AS marTOT, ";

//get abr
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/04/".$ano."') AS abrTOT, ";

//get mai
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/05/".$ano."') AS maiTOT, ";

//get jun
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/06/".$ano."') AS junTOT, ";

//get jul
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/07/".$ano."') AS julTOT, ";

//get ago
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/08/".$ano."') AS agoTOT, ";

//get set
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/09/".$ano."') AS setTOT, ";

//get out
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/10/".$ano."') AS outTOT, ";

//get nov
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/11/".$ano."') AS novTOT, ";

//get dez
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Aberto','Pago') AND Data LIKE '%/12/".$ano."') AS dezTOT ";

if ($stmt = $sqli_connection -> prepare($query)) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "GRA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($jan, $fev, $mar, $abr, $mai, $jun, $jul, $ago, $set, $out, $nov, $dez);
	$stmt -> fetch();
	$stmt -> close();

	//add to totals
	$janTotal = $janTotal + $jan;
	$fevTotal = $fevTotal + $fev;
	$marTotal = $marTotal + $mar;
	$abrTotal = $abrTotal + $abr;
	$maiTotal = $maiTotal + $mai;
	$junTotal = $junTotal + $jun;
	$julTotal = $julTotal + $jul;
	$agoTotal = $agoTotal + $ago;
	$setTotal = $setTotal + $set;
	$outTotal = $outTotal + $out;
	$novTotal = $novTotal + $nov;
	$dezTotal = $dezTotal + $dez;

} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "GRA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//---------------------------------------------------------------------------------------------------------------------------------------

//totals
$janTotalReceived = 0;
$fevTotalReceived = 0;
$marTotalReceived = 0;
$abrTotalReceived = 0;
$maiTotalReceived = 0;
$junTotalReceived = 0;
$julTotalReceived = 0;
$agoTotalReceived = 0;
$setTotalReceived = 0;
$outTotalReceived = 0;
$novTotalReceived = 0;
$dezTotalReceived = 0;

//start query FATURAS
$query = "SELECT ";

//get jan
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/01/".$ano."') AS janTOT, ";

//get fev
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/02/".$ano."') AS fevTOT, ";

//get mar
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/03/".$ano."') AS marTOT, ";

//get abr
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/04/".$ano."') AS abrTOT, ";

//get mai
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/05/".$ano."') AS maiTOT, ";

//get jun
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/06/".$ano."') AS junTOT, ";

//get jul
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/07/".$ano."') AS julTOT, ";

//get ago
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/08/".$ano."') AS agoTOT, ";

//get set
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/09/".$ano."') AS setTOT, ";

//get out
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/10/".$ano."') AS outTOT, ";

//get nov
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/11/".$ano."') AS novTOT, ";

//get dez
$query .= "(SELECT SUM(GrossTotal) - SUM(TotalCreditado) FROM faturacao_compras WHERE Estado IN ('Pago') AND Data LIKE '%/12/".$ano."') AS dezTOT ";

if ($stmt = $sqli_connection -> prepare($query)) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "GRA003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($janRec, $fevRec, $marRec, $abrRec, $maiRec, $junRec, $julRec, $agoRec, $setRec, $outRec, $novRec, $dezRec);
	$stmt -> fetch();
	$stmt -> close();

	//add to totals
	$janTotalReceived = $janTotalReceived + $janRec;
	$fevTotalReceived = $fevTotalReceived + $fevRec;
	$marTotalReceived = $marTotalReceived + $marRec;
	$abrTotalReceived = $abrTotalReceived + $abrRec;
	$maiTotalReceived = $maiTotalReceived + $maiRec;
	$junTotalReceived = $junTotalReceived + $junRec;
	$julTotalReceived = $julTotalReceived + $julRec;
	$agoTotalReceived = $agoTotalReceived + $agoRec;
	$setTotalReceived = $setTotalReceived + $setRec;
	$outTotalReceived = $outTotalReceived + $outRec;
	$novTotalReceived = $novTotalReceived + $novRec;
	$dezTotalReceived = $dezTotalReceived + $dezRec;

} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "GRA004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//---------------------------------------------------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------------------------------------------------

//Print final totals
$array_results = array( array("Mois", "Acheté (CHF)", "Payé (CHF)"), 
                       	array("Janv", $janTotal, $janTotalReceived), 
                       	array("Févr", $fevTotal, $fevTotalReceived), 
                       	array("Mars", $marTotal, $marTotalReceived), 
                       	array("Avril", $abrTotal, $abrTotalReceived), 
                       	array("Mai", $maiTotal, $maiTotalReceived), 
                       	array("Juin", $junTotal, $junTotalReceived), 
                       	array("Juil", $julTotal, $julTotalReceived), 
                       	array("Aout", $agoTotal, $agoTotalReceived), 
                       	array("Sept", $setTotal, $setTotalReceived), 
                       	array("Oct", $outTotal, $outTotalReceived),
                       	array("Nov", $novTotal, $novTotalReceived),
                       	array("Déc", $dezTotal, $dezTotalReceived)
                    );

die(json_encode($array_results));
?>