<?php
/* INCLUDES */
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/PHPExcel/PHPExcel/IOFactory.php";

/* ALTER PHP VARS */
ini_set('max_execution_time', 300);
ini_set('memory_limit', '-1');

/* FORMATS ALLOWED */
$files = array("application/vnd.ms-excel", "application/vnd.ms-office", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", "application/octet-stream");
$extensionsAllowed = array("xls", "xlsx");

$id_ano = 0;
$id_utilizador = $_SESSION["id_utilizador"];

/* POST VARS */
// $id_banco = $_POST["banco"];


/* CHECK AND PROCESS UPLOADED FILE */
if (isset($_FILES["documento_anexo"])) {
	$error = $_FILES["documento_anexo"]["error"];

	//only proceed if is a single file
	if (!is_array($_FILES["documento_anexo"]['name']))
	{
		$fileName = $_FILES["documento_anexo"]["name"];
		$ext = pathinfo($fileName, PATHINFO_EXTENSION);
		$extAux = pathinfo($fileName, PATHINFO_EXTENSION);
		$ext = "." . $ext;

		$finfo = finfo_open(FILEINFO_MIME_TYPE);
		$info = finfo_file($finfo, $_FILES["documento_anexo"]["tmp_name"]);

		if (!in_array($info, $files) && !in_array($extAux, $extensionsAllowed) ) {
			header('Content-Type: application/json; charset=UTF-8');
			header('HTTP/1.1 409 Une erreur s\'est produite lors de la lecture du fichier.');
			$response["errors"] = true;
			$response["type"] = "FAT001";
			$response["fileName"] = $fileName;
			$response["ext"] = $ext;
			$response["local_tmp"] = $_FILES["documento_anexo"]["tmp_name"];
			$response["message"] = 'Une erreur s\'est produite lors de la lecture du fichier.';
			die(json_encode($response));
		}

		/* NEW FILENAME */
		$fileName = "importer_articles";

		if (move_uploaded_file($_FILES["documento_anexo"]["tmp_name"], $fileName . $ext)) {
			//file name
			$inputFileName = $fileName . $ext;

			// TRY TO READ TE EXCEL
			try {
				$inputFileType = PHPExcel_IOFactory::identify($inputFileName);
				$objReader = PHPExcel_IOFactory::createReader($inputFileType);
				$objPHPExcel = $objReader -> load($inputFileName);
			} catch(Exception $e) {
				header('Content-Type: application/json; charset=UTF-8');
				header('HTTP/1.1 409 Une erreur s\'est produite lors de la lecture du fichier.');
				$response["errors"] = true;
				$response["type"] = "FAT002";
				$response["message"] = 'Erreur de lecture du fichier "' . pathinfo($inputFileName, PATHINFO_BASENAME) . '": ' . $e -> getMessage();
				die(json_encode($response));
				// die('Ocorreu um erro na leitura do ficheiro "' . pathinfo($inputFileName, PATHINFO_BASENAME) . '": ' . $e -> getMessage());
			}

			/* INIT VARS */
			$data_final = null;
			$ids_inserted = null;


			// GET FIRST WORKSHEET
			$sheet1 = $objPHPExcel -> getSheet(0);

			/* ============= SHEET 1 ============= */

			// Get Main info for begin the process of the data
			$highestRow1 = $sheet1->getHighestRow();
		    $highestColumn1 = $sheet1->getHighestDataColumn();
			$highestColumnIndex1 = PHPExcel_Cell::columnIndexFromString($highestColumn1);
			//the excel most have at least 11 cols
			if($highestColumnIndex1 < 3) $highestColumnIndex1 = 3;

    		$cellCollection1 = $sheet1->getCellCollection();
		    // var_dump($highestRow1,$highestColumn1,$highestColumnIndex1);
		    
		    //start at row x (the first one is reserved to headers)
		    $startFromRow1 = 2;
		    //go to the last row
			$limitToRow1 = $highestRow1;
			// $limitToRow1 = 50;

			//process each row now
			// $collectionRows = $sheet1->getRowIterator($startFromRow1, $limitToRow1);
			// $sheetData = $objPHPExcel->getActiveSheet()->toArray(NULL,NULL,TRUE,FALSE);
			$sheetData = $objPHPExcel->getActiveSheet()->rangeToArray('A'.$startFromRow1.':'.$highestColumn1.$limitToRow1,NULL,TRUE,FALSE);
		    // die(json_encode($sheetData));

			//remove the temp file
			unlink($inputFileName);
		    
		    $indexArr = 1;
			$data_final = 0;
			
			//init vars
			$impostoArtigo = getImpostoClientes($sqli_connection);
			$impostoArtigoForn = getImpostoFornecedores($sqli_connection);
			$planoArtigo = getPlanoCliente($sqli_connection);
			$plano2Artigo = getPlanoFornecedor($sqli_connection);

			foreach( $sheetData as $rowData ){
				//get only the cells with data (min 11)
				// $rowData = $sheet1->rangeToArray('A' . $row->getRowIndex() . ':' . $highestColumn1 . $row->getRowIndex(), NULL, TRUE, FALSE);

				//process if the row has data to read
				if($rowData[0]){
					//init vars
					$uniArtigo = processUnidadeMedida($sqli_connection, $rowData[2]);

					//associate data with data_final array
					$data_tmp = array(
						"codigo_artigo" => $rowData[0],
						"nome_artigo" => $rowData[1],
						"tipo_artigo" => 'P',
						"stock_artigo" => 0,
						"unidade_artigo" => $uniArtigo,
						"precoPVP_artigo" => "0.00",
						"imposto_artigo" => $impostoArtigo,
						"imposto_fornecedor_artigo" => $impostoArtigoForn,
						"preco_artigo" => "0.00",
						"codigobarras_artigo" => '',
						"numeroserie_artigo" => '',
						"retencao_valor_artigo" => 0,
						"retencao_percenteagem_artigo" => 0,
						"plano_artigo" => $planoArtigo,
						"plano_2_artigo" => $plano2Artigo,
						"all_data" => $rowData,
					);
				    // var_dump($data_tmp);

					//first check if id is already inserted
					$processed = insertNewArticle($id_ano, $id_utilizador, $sqli_connection, $data_tmp);
					if($processed) $data_final++;
				    // foreach( $row->getCellIterator() as $cell ){
				    //     $value = $cell->getCalculatedValue();
				    //     var_dump($value);
				    // }
				    // var_dump($rowData[0]);
				    
		    		$indexArr++;
				}
			}
			
			//check if we have any data or throw an error
			if($data_final > 0){
				// $response["errors"] = false;
				// $response["data"] = $data_final;
				// $response["data_xls"] = $data_original;
				$respJson = json_encode($data_final);
        		header('Content-Type: application/json; charset=UTF-8');
				header('HTTP/1.1 200 OK');
				die($respJson);
				// $response["errors"] = false;
				// $response["type"] = "-";
				// $response["message"] = 'Les articles ont été importés avec succès!';
				// die(json_encode($response));
			}else{
        		header('Content-Type: application/json; charset=UTF-8');
				header('HTTP/1.1 409 Aucune donnée dans le fichier.');
				$response["errors"] = true;
				$response["type"] = "FAT003";
				$response["message"] = 'Impossible de trouver des données dans le fichier sélectionné.';
				die(json_encode($response));
			}
		} else {
    		header('Content-Type: application/json; charset=UTF-8');
			header('HTTP/1.1 409 Erreur de traitement du fichier.');
			$response["errors"] = true;
			$response["type"] = "FAT004";
			$response["message"] = 'Impossible de traiter le fichier sélectionné. Veuillez réessayer.';
			die(json_encode($response));
		}
	}else{
		header('Content-Type: application/json; charset=UTF-8');
		header('HTTP/1.1 403 Autorise seulement 1 fichier.');
		$response["errors"] = true;
		$response["type"] = "FAT005";
		$response["message"] = 'Ceci est uniquement autorisé d\'envoyer un fichier.';
		die(json_encode($response));
	}
} else {
	header('Content-Type: application/json; charset=UTF-8');
	header('HTTP/1.1 404 Aucun fichier.');
	$response["errors"] = true;
	$response["type"] = "FAT006";
	$response["message"] = 'Aucun fichier reçu.';
	die(json_encode($response));
}

/**
 * ===================================
 * Resource functions ----------------
 * ===================================
 */

//insert new article into db
function insertNewArticle($ano, $id_utilizador, $sqli_connection, $dados){
	$ano = $ano;
	$id_utilizador = $id_utilizador;

	//GET POST VARS ---------------------------------------------------------
	$codigo_artigo = $dados['codigo_artigo'];
	$nome_artigo = $dados['nome_artigo'];
	// $categoria_artigo = $dados['categoria_artigo'];
	$categoria_artigo = 0;
	$tipo_artigo = $dados['tipo_artigo'];
	$stock_artigo = $dados['stock_artigo'];
	$unidade_artigo = $dados['unidade_artigo'];
	$precoPVP_artigo = $dados['precoPVP_artigo'];
	$imposto_artigo = $dados['imposto_artigo'];
	$imposto_fornecedor_artigo = $dados['imposto_fornecedor_artigo'];
	$preco_artigo = $dados['preco_artigo'];
	$codigobarras_artigo = $dados['codigobarras_artigo'];
	$numeroserie_artigo = $dados['numeroserie_artigo'];
	$retencao_valor_artigo = $dados['retencao_valor_artigo'];
	$retencao_percenteagem_artigo = $dados['retencao_percenteagem_artigo'];
	$plano_artigo = $dados['plano_artigo'];
	$plano_2_artigo = $dados['plano_2_artigo'];

	//VERIFICA SE HA NULOS ---------------------------------------------------
	if ( $codigo_artigo == '' || $nome_artigo == '' || $tipo_artigo == '' || $unidade_artigo == '' || $precoPVP_artigo == '' || $imposto_artigo == '' || $imposto_fornecedor_artigo == '' || $plano_artigo == '' || $plano_2_artigo == '' ) 
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FATS0000A";
		$response["dados"] = $dados;
		return false;
	}
	// if($retencao_valor_artigo > $precoPVP_artigo){
	// 	$response["errors"] = true;
	// 	$response["type"] = "var";
	// 	$response["line"] = "FATS0000B";
	// 	return false;
	// }
	//------------------------------------------------------------------------

	//START PROCESSING -------------------------------------------------------
	try {
		// Turn off AUTOCOMMIT and begin Transaction
		mysqli_autocommit($sqli_connection, FALSE);
		$sqli_connection->begin_transaction(MYSQLI_TRANS_START_READ_WRITE);

		//RECALCULATE THE PRICE ----------------------------------------------
		$query = "SELECT Valor FROM faturacao_impostos WHERE ID_Imposto=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $imposto_artigo);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				return false;
			}
			$stmt -> bind_result($taxaImposto);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			return false;
		}
		//calculo da taxa
		$taxa = ($taxaImposto * 0.01) + 1;

		//confirmação dos preços
		// $precoPVP_artigo_tmp = ( $preco_artigo * $taxa );
		// $precoPVP_artigo_tmp = round($precoPVP_artigo_tmp,2);

		//validação
		// $precoPVP_artigo = floatval($precoPVP_artigo);    
		// $precoPVP_artigo_tmp = floatval($precoPVP_artigo_tmp);

		// if(bccomp($precoPVP_artigo, $precoPVP_artigo_tmp, 2) != 0){
		// 	$preco_artigo = ( $precoPVP_artigo / $taxa );
		// 	$preco_artigo = round($preco_artigo,4);
		// }

		//Para estar sempre correcto utilizando o PVP
		// $preco_artigo = ( $precoPVP_artigo / $taxa );
		// $preco_artigo = round($preco_artigo,4);

		//Para estar sempre correcto utilizando o Unitário
		$precoPVP_artigo = ( $preco_artigo * $taxa );
		$precoPVP_artigo = round($precoPVP_artigo,4);
		//--------------------------------------------------------------------
		
		//VERIFICAR SE CODIGO EXISTE -----------------------------------------
		$query = "SELECT COUNT(*) FROM faturacao_artigos WHERE Codigo=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("s", $codigo_artigo);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS003";
				$response["message"] = $stmt -> error;
				return false;
			}
			$stmt -> bind_result($counterCodigo);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $sqli_connection -> error;
			return false;
		}
		if($counterCodigo > 0){
			$response["errors"] = true;
			$response["codigo"] = true;
			$response["type"] = "var";
			$response["line"] = "FATS005";
			return false;
		}
		//--------------------------------------------------------------------

		//VERIFICAR SE CODIGO BARRAS EXISTE ----------------------------------
		if($codigobarras_artigo != ''){
			$query = "SELECT COUNT(*) FROM faturacao_artigos WHERE CodigoBarras=?";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//bind params
				$stmt -> bind_param("s", $codigobarras_artigo);
				//result single
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS006";
					$response["message"] = $stmt -> error;
					return false;
				}
				$stmt -> bind_result($counterCodigoBarras);
				$stmt -> fetch();
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS007";
				$response["message"] = $sqli_connection -> error;
				return false;
			}
			if($counterCodigoBarras > 0){
				$response["errors"] = true;
				$response["codigobarras"] = true;
				$response["type"] = "var";
				$response["line"] = "FATS008";
				return false;
			}
		}
		//--------------------------------------------------------------------
		
		//INSERT DB ----------------------------------------------------------
		$query = "INSERT INTO faturacao_artigos(Nome, Codigo, Tipo, CodigoBarras, SerialNumber,ID_Categoria, ID_Unidade, Preco, ID_Imposto, PrecoPVP, RetencaoValor, RetencaoPercentagem, Stock, PlanoContas, ID_Imposto_Fornecedor, PlanoContasCompras) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("sssssddsdsssssss", $nome_artigo, $codigo_artigo, $tipo_artigo, $codigobarras_artigo, $numeroserie_artigo, $categoria_artigo, $unidade_artigo, $preco_artigo, $imposto_artigo, $precoPVP_artigo, $retencao_valor_artigo, $retencao_percenteagem_artigo, $stock_artigo, $plano_artigo, $imposto_fornecedor_artigo, $plano_2_artigo );
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS009";
				$response["message"] = $stmt -> error;
				return false;
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS010";
			$response["message"] = $sqli_connection -> error;
			return false;
		}
		//--------------------------------------------------------------------

		//VERIFICAR SE IMPOSTO JÁ BLOQUEADO -------------------------------------
		$query = "SELECT COUNT(*) FROM faturacao_impostos_usados WHERE ID_Imposto=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $imposto_artigo);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS011";
				$response["message"] = $stmt -> error;
				return false;
			}
			$stmt -> bind_result($impostoUsed);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS012";
			$response["message"] = $sqli_connection -> error;
			return false;
		}
		if($impostoUsed < 1){
			//INSERT DB ---------------------------------------------------------
			$query = "INSERT INTO faturacao_impostos_usados(ID_Imposto) VALUES (?)";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("d", $imposto_artigo );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS013";
					$response["message"] = $stmt -> error;
					return false;
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS014";
				$response["message"] = $sqli_connection -> error;
				return false;
			}
			//-------------------------------------------------------------------
		}

		//IMPOSTO DO FORNECEDOR
		$query = "SELECT COUNT(*) FROM faturacao_impostos_usados WHERE ID_Imposto=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $imposto_fornecedor_artigo);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS011";
				$response["message"] = $stmt -> error;
				return false;
			}
			$stmt -> bind_result($impostoUsed2);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS012";
			$response["message"] = $sqli_connection -> error;
			return false;
		}
		if($impostoUsed2 < 1){
			//INSERT DB ---------------------------------------------------------
			$query = "INSERT INTO faturacao_impostos_usados(ID_Imposto) VALUES (?)";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("d", $imposto_fornecedor_artigo );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS013";
					$response["message"] = $stmt -> error;
					return false;
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS014";
				$response["message"] = $sqli_connection -> error;
				return false;
			}
			//-------------------------------------------------------------------
		}
		//-----------------------------------------------------------------------

		//--------------------------------------------------------------------
		//log sistema
		$descricao_log ="Création du produit (code: ".$codigo_artigo.")";
		insert_log(0,"Inserir",$descricao_log,$sqli_connection);

		// Save all querys on DB
		$sqli_connection->commit();

		return true;
	} catch (Exception $e) {
		$sqli_connection->rollback();

		$response["errors"] = true;
		$response["type"] = "transaction";
		$response["line"] = "DB001";
		$response["message"] = $e->getMessage();
		return false;
	}
}

//get imposto predefinido clientes
function getImpostoClientes($sqli_connection){
	//init vars
	$idImposto = 0;

	//try to get the default if exists
	$query = "SELECT ID_Imposto FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'C' AND Predefinido = 1 LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			// $response["errors"] = true;
			// $response["type"] = "FTGA001";
			// $response["message"] = $stmt -> error;
			// die(json_encode($response));
		}
		$stmt -> bind_result($idImposto);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		// $response["errors"] = true;
		// $response["message"] = $sqli_connection -> error;
		// die(json_encode($response));
	}

	if($idImposto < 1){
		//try to get one active
		$query = "SELECT ID_Imposto FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'C' LIMIT 1";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				// $response["errors"] = true;
				// $response["type"] = "FTGA001";
				// $response["message"] = $stmt -> error;
				// die(json_encode($response));
			}
			$stmt -> bind_result($idImposto);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			// $response["errors"] = true;
			// $response["message"] = $sqli_connection -> error;
			// die(json_encode($response));
		}

	}

	//return 
	return $idImposto;
}

//get imposto predefinido fornecedores
function getImpostoFornecedores($sqli_connection){
	//init vars
	$idImposto = 0;

	//try to get the default if exists
	$query = "SELECT ID_Imposto FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'F' AND Predefinido = 1 LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			// $response["errors"] = true;
			// $response["type"] = "FTGA001";
			// $response["message"] = $stmt -> error;
			// die(json_encode($response));
		}
		$stmt -> bind_result($idImposto);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		// $response["errors"] = true;
		// $response["message"] = $sqli_connection -> error;
		// die(json_encode($response));
	}

	if($idImposto < 1){
		//try to get one active
		$query = "SELECT ID_Imposto FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'F' LIMIT 1";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				// $response["errors"] = true;
				// $response["type"] = "FTGA001";
				// $response["message"] = $stmt -> error;
				// die(json_encode($response));
			}
			$stmt -> bind_result($idImposto);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			// $response["errors"] = true;
			// $response["message"] = $sqli_connection -> error;
			// die(json_encode($response));
		}

	}

	//return 
	return $idImposto;
}

//get unidades de medida
function processUnidadeMedida($sqli_connection, $siglaUnidade){
	//init vars
	$idUnidadeFinal = 0;

	//try to get the default if exists
	$query = "SELECT ID_Unidade FROM faturacao_unidades WHERE Sigla LIKE '%".$siglaUnidade."%' LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		// $stmt -> bind_param("s", $siglaUnidade );
		$result = $stmt -> execute();
		if (false === $result) {
			// $response["errors"] = true;
			// $response["type"] = "FTGA001";
			// $response["message"] = $stmt -> error;
			// die(json_encode($response));
		}
		$stmt -> bind_result($idUnidadeFinal);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		// $response["errors"] = true;
		// $response["message"] = $sqli_connection -> error;
		// die(json_encode($response));
	}

	if($idUnidadeFinal < 1){
		$query = "INSERT INTO faturacao_unidades(Descricao, Sigla) VALUES (?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("ss", $siglaUnidade, $siglaUnidade );
			$result = $stmt -> execute();
			$idUnidadeFinal = $stmt->insert_id;
			if (false === $result) {
				// $response["errors"] = true;
				// $response["type"] = "query";
				// $response["line"] = "FATS009";
				// $response["message"] = $stmt -> error;
				// die(json_encode($response));
			}
			$stmt -> close();
		} else {
			// $response["errors"] = true;
			// $response["type"] = "query";
			// $response["line"] = "FATS010";
			// $response["message"] = $sqli_connection -> error;
			// die(json_encode($response));
		}

		if($idUnidadeFinal < 1) $idUnidadeFinal = 1;
	}

	//return 
	return $idUnidadeFinal;
}

//get plano clientes
function getPlanoCliente($sqli_connection){
	//init vars
	$codPlano = null;

	//try to get the default if exists
	$query = "SELECT PlanoConta FROM faturacao_personalizar_planos_defeito WHERE Keyword LIKE 'artigo_chiffre%' LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			// $response["errors"] = true;
			// $response["type"] = "FTGA001";
			// $response["message"] = $stmt -> error;
			// die(json_encode($response));
		}
		$stmt -> bind_result($codPlano);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		// $response["errors"] = true;
		// $response["message"] = $sqli_connection -> error;
		// die(json_encode($response));
	}

	if(!$codPlano){
		$codPlano = '3200';
	}

	//return 
	return $codPlano;
}

//get plano fornecedores
function getPlanoFornecedor($sqli_connection){
	//init vars
	$codPlano = null;

	//try to get the default if exists
	$query = "SELECT PlanoConta FROM faturacao_personalizar_planos_defeito WHERE Keyword LIKE 'artigo_prealable%' LIMIT 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$result = $stmt -> execute();
		if (false === $result) {
			// $response["errors"] = true;
			// $response["type"] = "FTGA001";
			// $response["message"] = $stmt -> error;
			// die(json_encode($response));
		}
		$stmt -> bind_result($codPlano);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		// $response["errors"] = true;
		// $response["message"] = $sqli_connection -> error;
		// die(json_encode($response));
	}

	if(!$codPlano){
		$codPlano = '4200';
	}

	//return 
	return $codPlano;
}
?>