<?php 
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/tcpdf/tcpdf.php";
// include "../../../../resources/tcpdf/tcpdf.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// setlocale(LC_MONETARY, 'fr_CH.UTF-8');

//log sistema - processo
$descricao_log ="Impression du document: Décompte Périodique TVA";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//GET VARS

//process filters and related
$dateAccuel = "01/01/".date("Y");
$dateFin = "31/12/".date("Y");
if(isset( $_GET['FiltroDataInicial']) ) $dateAccuel = $_GET['FiltroDataInicial'];
if(isset( $_GET['FiltroDataFinal']) ) $dateFin = $_GET['FiltroDataFinal'];
$GLOBALS['dateAccuel'] = $dateAccuel;
$GLOBALS['dateFin'] = $dateFin;

/**
 * |---------------------------------------------------------------------------
 * |	Informações Globais
 * | ------------------------
 * |
 * | @Tamanho da Page PDF - 267 Horizontal
 * | @Tamanho da Page PDF - 160 Vertical
 * | MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false
 * | Line -> $x1, $y1, $x2, $y2, $style=array()
 * |---------------------------------------------------------------------------
 */


//COMPANY INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT  Designacao, Nif, RegistoComercial, Endereco1, Endereco2, CodigoPostal, Cidade, Email, Website, CapitalSocial, Conservatoria, Telefone, Fax, Logotipo, NormaContabilistica, CAE_Principal  from faturacao_empresa_dados LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($designacao, $nif, $registo_comercial, $endereco1, $endereco2, $codigo_postal, $cidade, $email, $website, $capital_social, $conservatoria, $telefone, $fax, $logotipo, $norma_contabilistica, $cae_principal);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
$GLOBALS['Designacao'] = $designacao;
$GLOBALS['Nif'] = $nif;
$GLOBALS['RegistoComercial'] = $registo_comercial;
$GLOBALS['Endereco1'] = $endereco1;
$GLOBALS['Endereco2'] = $endereco2;
$GLOBALS['CodigoPostal'] = $codigo_postal;
$GLOBALS['Cidade'] = $cidade;
$GLOBALS['Email'] = $email;
$GLOBALS['Website'] = $website;
$GLOBALS['CapitalSocial'] = $capital_social;
$GLOBALS['Conservatoria'] = $conservatoria;
$GLOBALS['Telefone'] = $telefone;
$GLOBALS['Fax'] = $fax;
$GLOBALS['Logotipo'] = $logotipo;
$GLOBALS['NormaContabilistica'] = $norma_contabilistica;
$GLOBALS['CAE_Principal'] = $cae_principal;


//MOVEMENTS INFO - - - - - - - - - - - - - - - - - - - - - -
$re_taxe = '/[0-9\.]+\%/';
// ===============================================

// TVA due (TVA à payer) Compte 2200 ---- NOTES CRÉDIT
$movimentos_TVA_PAYER = array();
$query = "SELECT ID_Fatura, 
(SELECT Data FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS DataFatura, 
(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = (SELECT ID_Serie FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) ) AS SerieFatura, 
(SELECT Numero FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS NumFatura, 
(SELECT CustomerID FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS CodigoCliente, 
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = (SELECT ID_Cliente FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) ) AS Cliente,
(SELECT Estado FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_faturas_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT InvoiceDate FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) ) AS Compte
	FROM faturacao_faturas_linhas
	WHERE PlanoContasTVA LIKE '2200%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Fatura, ID_Imposto
	ORDER BY TaxPointDate ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$SerieFatura,
					$NumFatura,
					$CodigoCliente,
					$Cliente,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_PAYER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'SerieFatura' => $SerieFatura,
					'NumFatura' => $NumFatura,
					'CodigoCliente' => $CodigoCliente,
					'Cliente' => $Cliente,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Cliente' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $InvoiceDate,
					'Descricao' => 'Facture '.$extralabel.$SerieFatura.'/'.$NumFatura.' - '.$CodigoCliente.' - '.$Cliente.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 300,
					'Compte' => $DCompte,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
// ===============================================

// TVA due (TVA à payer) Compte 2200 ---- NOTES CRÉDIT
$query = "SELECT ID_NotaCredito, 
(SELECT Data FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS DataFatura, 
(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = (SELECT ID_Serie FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) ) AS SerieFatura, 
(SELECT Numero FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS NumFatura, 
(SELECT CustomerID FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS CodigoCliente, 
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = (SELECT ID_Cliente FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) ) AS Cliente,
(SELECT Estado FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT InvoiceDate FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) ) AS Compte
	FROM faturacao_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '2200%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCredito, ID_Imposto
	ORDER BY TaxPointDate ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$SerieFatura,
					$NumFatura,
					$CodigoCliente,
					$Cliente,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_PAYER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'SerieFatura' => $SerieFatura,
					'NumFatura' => $NumFatura,
					'CodigoCliente' => $CodigoCliente,
					'Cliente' => $Cliente,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Cliente' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP * (-1),
					'Total_Unit' => $pTOTUNIT * (-1),
					'Total_TVA' => $pTOTTVA * (-1),
					'InvoiceDate' => $InvoiceDate,
					'Descricao' => 'Note de Crédit '.$extralabel.$SerieFatura.'/'.$NumFatura.' - '.$CodigoCliente.' - '.$Cliente.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 300,
					'Compte' => $DCompte,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

//PROCESS MOVEMENTS TO FINAL ARRAY
$movimentos_2200 = array();
foreach ($movimentos_TVA_PAYER as $mov) {
	// $matches = array();
	// preg_match_all($re_taxe, $mov['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $taxa = (sizeof($matches) > 0 ? $matches[0][0] : "desconhecida");
	$taxa = $mov['TaxPercentage'];
	
	$arrL1 = $taxa;
	$arrL2 = $mov['PlanoContas_Cliente'];

	if( isset($movimentos_2200[$arrL1][$arrL2]) && ($movimentos_2200[$arrL1][$arrL2]['Compte'] == $mov['PlanoContas_Cliente'] . ' ' . $mov['Compte']) && ($movimentos_2200[$arrL1][$arrL2]['Taux'] == $taxa)) {
		$movimentos_2200[$arrL1][$arrL2]['Montant'] += round($mov['Total_PVP'],$numDecimais);
		$movimentos_2200[$arrL1][$arrL2]['TVA'] += round($mov['Total_TVA'],$numDecimais);
	} else {
		$movimentos_2200[$arrL1][$arrL2]['Compte'] = $mov['PlanoContas_Cliente'] . ' ' . $mov['Compte'];
		$movimentos_2200[$arrL1][$arrL2]['Chiffre'] = $mov['Chiffre'];
		$movimentos_2200[$arrL1][$arrL2]['Methode'] = $mov['Methode'];
		$movimentos_2200[$arrL1][$arrL2]['Taux'] = $taxa;
		$movimentos_2200[$arrL1][$arrL2]['Soumis'] = $mov['PartSoumise'];
		$movimentos_2200[$arrL1][$arrL2]['Montant'] = round($mov['Total_PVP'],$numDecimais);
		$movimentos_2200[$arrL1][$arrL2]['TVA'] = round($mov['Total_TVA'],$numDecimais);
	}
}

// var_dump($movimentos_TVA_PAYER);
// var_dump($movimentos_2200);
// ===============================================

// Impôt préalable (TVA à récupérer) (COMPRAS 1170)
$movimentos_TVA_RECUPERER_1 = array();
$query = "SELECT ID_Compra, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS InvoiceDateFatura, 
(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras_linhas.ID_Compra) AS NotasCreditoTot, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Compte
	FROM faturacao_compras_linhas
	WHERE PlanoContasTVA LIKE '1170%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Compra, ID_Imposto
	ORDER BY ID_Compra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$NotasCreditoTot,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		if($NotasCreditoTot > 0){
			$extralabel = "";
			$pTOTPVP = $TOTPVP;
			$pTOTUNIT = $TOTUNIT;
			$pTOTTVA = $TOTTVA;
		}

		$movimentos_TVA_RECUPERER_1[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP*(-1),
					'Total_Unit' => $pTOTUNIT*(-1),
					'Total_TVA' => $pTOTTVA*(-1),
					'InvoiceDate' => $pInvoiceDate,
					'NotasCreditoTot' => $NotasCreditoTot,
					'Descricao' => 'Achat '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 400,
					'Compte' => $DCompte,
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// Impôt préalable (TVA à récupérer) (COMPRAS 1170) NOTAS CREDITO
$query = "SELECT ID_NotaCreditoCompra, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Compte
	FROM faturacao_compras_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '1170%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCreditoCompra, ID_Imposto
	ORDER BY ID_NotaCreditoCompra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_RECUPERER_1[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $pInvoiceDate,
					'Descricao' => 'Achat: Note de Crédit '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 400,
					'Compte' => $DCompte,
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//PROCESS MOVEMENTS TO FINAL ARRAY
$movimentos_1170 = array();
foreach ($movimentos_TVA_RECUPERER_1 as $mov) {
	// $matches = array();
	// preg_match_all($re_taxe, $mov['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $taxa = (sizeof($matches) > 0 ? $matches[0][0] : "desconhecida");
	$taxa = $mov['TaxPercentage'];
	
	$arrL1 = $taxa;
	$arrL2 = $mov['PlanoContas_Forncededor'];

	if( isset($movimentos_1170[$arrL1][$arrL2]) && ($movimentos_1170[$arrL1][$arrL2]['Compte'] == $mov['PlanoContas_Forncededor'] . ' ' . $mov['Compte']) && ($movimentos_1170[$arrL1][$arrL2]['Taux'] == $taxa)) {
		$movimentos_1170[$arrL1][$arrL2]['Montant'] += round($mov['Total_PVP'],$numDecimais);
		$movimentos_1170[$arrL1][$arrL2]['TVA'] += round($mov['Total_TVA'],$numDecimais);
	} else {
		$movimentos_1170[$arrL1][$arrL2]['Compte'] = $mov['PlanoContas_Forncededor'] . ' ' . $mov['Compte'];
		$movimentos_1170[$arrL1][$arrL2]['Chiffre'] = $mov['Chiffre'];
		$movimentos_1170[$arrL1][$arrL2]['Methode'] = $mov['Methode'];
		$movimentos_1170[$arrL1][$arrL2]['Taux'] = $taxa;
		$movimentos_1170[$arrL1][$arrL2]['Soumis'] = $mov['PartSoumise'];
		$movimentos_1170[$arrL1][$arrL2]['Montant'] = round($mov['Total_PVP'],$numDecimais);
		$movimentos_1170[$arrL1][$arrL2]['TVA'] = round($mov['Total_TVA'],$numDecimais);
	}
}
// var_dump($movimentos_1170);
// echo '<br>';
// ===============================================


// Impôt préalable (TVA à récupérer) (COMPRAS 1171)
$movimentos_TVA_RECUPERER_2 = array();
$query = "SELECT ID_Compra, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS InvoiceDateFatura, 
(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras_linhas.ID_Compra) AS NotasCreditoTot, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Compte
	FROM faturacao_compras_linhas
	WHERE PlanoContasTVA LIKE '1171%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Compra, ID_Imposto
	ORDER BY ID_Compra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$NotasCreditoTot,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		if($NotasCreditoTot > 0){
			$extralabel = "";
			$pTOTPVP = $TOTPVP;
			$pTOTUNIT = $TOTUNIT;
			$pTOTTVA = $TOTTVA;
		}

		$movimentos_TVA_RECUPERER_2[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP*(-1),
					'Total_Unit' => $pTOTUNIT*(-1),
					'Total_TVA' => $pTOTTVA*(-1),
					'InvoiceDate' => $pInvoiceDate,
					'NotasCreditoTot' => $NotasCreditoTot,
					'Descricao' => 'Achat '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 405,
					'Compte' => $DCompte,
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// Impôt préalable (TVA à récupérer) (COMPRAS 1171) NOTAS CREDITO
$query = "SELECT ID_NotaCreditoCompra, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA,
(SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = (SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Compte
	FROM faturacao_compras_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '1171%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCreditoCompra, ID_Imposto
	ORDER BY ID_NotaCreditoCompra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA,
					$DCompte
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_RECUPERER_2[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $pInvoiceDate,
					'Descricao' => 'Achat: Note de Crédit '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => '100%',
					'Methode' => 'Net',
					'Chiffre' => 405,
					'Compte' => $DCompte,
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//PROCESS MOVEMENTS TO FINAL ARRAY
$movimentos_1171 = array();
foreach ($movimentos_TVA_RECUPERER_2 as $mov) {
	// $matches = array();
	// preg_match_all($re_taxe, $mov['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $taxa = (sizeof($matches) > 0 ? $matches[0][0] : "desconhecida");
	$taxa = $mov['TaxPercentage'];
	
	$arrL1 = $taxa;
	$arrL2 = $mov['PlanoContas_Forncededor'];

	if( isset($movimentos_1171[$arrL1][$arrL2]) && ($movimentos_1171[$arrL1][$arrL2]['Compte'] == $mov['PlanoContas_Forncededor'] . ' ' . $mov['Compte']) && ($movimentos_1171[$arrL1][$arrL2]['Taux'] == $taxa)) {
		$movimentos_1171[$arrL1][$arrL2]['Montant'] += round($mov['Total_PVP'],$numDecimais);
		$movimentos_1171[$arrL1][$arrL2]['TVA'] += round($mov['Total_TVA'],$numDecimais);
	} else {
		$movimentos_1171[$arrL1][$arrL2]['Compte'] = $mov['PlanoContas_Forncededor'] . ' ' . $mov['Compte'];
		$movimentos_1171[$arrL1][$arrL2]['Chiffre'] = $mov['Chiffre'];
		$movimentos_1171[$arrL1][$arrL2]['Methode'] = $mov['Methode'];
		$movimentos_1171[$arrL1][$arrL2]['Taux'] = $taxa;
		$movimentos_1171[$arrL1][$arrL2]['Soumis'] = $mov['PartSoumise'];
		$movimentos_1171[$arrL1][$arrL2]['Montant'] = round($mov['Total_PVP'],$numDecimais);
		$movimentos_1171[$arrL1][$arrL2]['TVA'] = round($mov['Total_TVA'],$numDecimais);
	}
}




// Hors du champ de l'impôt (Hors taxe)
$movimentos_HORS_TAXE = array();
// $query = "SELECT NumSerie, Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA, (SELECT Descricao FROM faturacao_plano_conta WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito=faturacao_plano_conta.Codigo) AS Compte
// 	FROM faturacao_movimentos_contabilisticos 
// 	WHERE /*PlanoContas_Credito LIKE '1170%' AND*/ Total_PVP = 0 AND ( STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE(?, '%d/%m/%Y') AND STR_TO_DATE(?, '%d/%m/%Y') )
// 	ORDER BY NumSerie DESC";
// if ($stmt = $sqli_connection -> prepare($query)) {
// 	$stmt -> bind_param("ss", $dateAccuel, $dateFin);
// 	$result = $stmt -> execute();

// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> store_result();
// 	$stmt -> bind_result(
// 					$NumSerie,
// 					$Data,
// 					$PlanoContas_Debito,
// 					$PlanoContas_Credito,
// 					$Descricao,
// 					$Total_PVP,
// 					$Total_Unit,
// 					$Total_TVA,
// 					$Compte
// 				);
// 	while($stmt->fetch()){
// 		$movimentos_HORS_TAXE[] = array(
// 					'NumSerie' => $NumSerie,
// 					'Data' => $Data,
// 					'PlanoContas_Debito' => $PlanoContas_Debito,
// 					'PlanoContas_Credito' => $PlanoContas_Credito,
// 					'Descricao' => $Descricao,
// 					'Total_PVP' => $Total_PVP,
// 					'Total_Unit' => $Total_Unit,
// 					'Total_TVA' => $Total_TVA, 
// 					'PartSoumise' => '',
// 					'Chiffre' => 230,
// 					'Methode' => '-',
// 					'Compte' => $Compte,
// 				);
// 	}
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));
// }

// $movimentos_hors = array();
// foreach ($movimentos_HORS_TAXE as $mov) {
// 	$arrL1 = $mov['PlanoContas_Debito'];

// 	if( isset($movimentos_hors[$arrL1]) && ($movimentos_hors[$arrL1]['Compte'] == $mov['PlanoContas_Debito'] . ' ' . $mov['Compte'])) {
// 		$movimentos_hors[$arrL1]['Montant'] += $mov['Total_PVP'];
// 		$movimentos_hors[$arrL1]['TVA'] += $mov['Total_PVP'];
// 	} else {
// 		$movimentos_hors[$arrL1]['Compte'] = $mov['PlanoContas_Debito'] . ' ' . $mov['Compte'];
// 		$movimentos_hors[$arrL1]['Chiffre'] = $mov['Chiffre'];
// 		$movimentos_hors[$arrL1]['Methode'] = '-';
// 		$movimentos_hors[$arrL1]['Taux'] = '';
// 		$movimentos_hors[$arrL1]['Soumis'] = '';
// 		$movimentos_hors[$arrL1]['Montant'] = $mov['Total_PVP'];
// 		$movimentos_hors[$arrL1]['TVA'] = $mov['Total_PVP'];
// 	}
// }




/* Compare 2 arrays by value of NumSerie 
 * DESCENDENT
 */
function sortMovimentosHelper($item1,$item2) {
	if ($item1['PlanoContas_Debito'] == $item2['PlanoContas_Debito']) {
		return ($item1['Tipo'] == 'D') ? -1 : 1;
        // return 0;
    }
    return ($item1['PlanoContas_Debito'] < $item2['PlanoContas_Debito']) ? -1 : 1;
}

// Sort movimentos by PlanoContas_Debito
/*usort($movimentos_TVA_PAYER,'sortMovimentosHelper');
usort($movimentos_TVA_RECUPERER,'sortMovimentosHelper');
usort($movimentos_HORS_TAXE,'sortMovimentosHelper');*/

/**
 * |----------------------------------------------------
 * |				BASE CLASS
 * |----------------------------------------------------
 */
class MYPDF extends TCPDF {
	//Page header
	public function Header() {

		$half_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
		$third_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
		$fourth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
		$fifth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
		$six_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
		$seven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
		$eigth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
		$nine_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
		$ten_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
		$eleven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
		$twelve_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

		$fourth_touch_right = ($this -> getPageWidth() - PDF_MARGIN_RIGHT - $fourth_page);

		$destX = $third_page + $third_page ;
		if($GLOBALS["Logotipo"] && $GLOBALS["Logotipo"] != "") {
			$typeImg = explode('.', $GLOBALS["Logotipo"]);
			$typeImg = end($typeImg);
			$typeImg = strtoupper($typeImg);
			// var_dump($GLOBALS["Logotipo"],$typeImg);

			// Image method signature:
			// Image($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)
			$this -> Image($_SERVER["DOCUMENT_ROOT"] . "/uploads/faturacao/".$GLOBALS["Logotipo"], 0, 3, 0, 24, $typeImg, '', 'C', false, 300, 'L', false, false, 0, false, false, false);
		}

		// $this -> SetFont('opensans', '', 8, '', true);
		$this -> setY(27);

		
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($third_page, '', $GLOBALS["Designacao"],   0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["Endereco1"],    0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["CodigoPostal"] . " " . $GLOBALS["Cidade"] , 0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'IDE: ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Nif"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'Contact: ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Telefone"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'Email:', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Email"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Line
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()+2, $third_page+$seven_page, $this->GetY()+2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));
	}

	// Page footer
	public function Footer() {

		$line1 = '<p>Émis en: ' . date('d/m/Y H:i:s') . '<br>Autorisé à: ' . $GLOBALS['Designacao'] . '. - TVA: ' . $GLOBALS['Nif'] . '</p>';

		$right_marg = $this -> getPageWidth() - PDF_MARGIN_RIGHT;
		$paginationX = $this -> getPageWidth() - PDF_MARGIN_LEFT - 4;

		// Position at 20 mm from bottom
		$this -> SetY(-18);
		$lineY = $this->GetY();
		// Set font
		$this -> SetFont('opensans', '', 8);
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()-2, $right_marg, $this->GetY()-2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));

		$this -> writeHTMLCell(0, 5, '', $this->GetY(), $line1, 0, 1, 0, true, 'C', false);
		
		/*$this -> SetFont('opensans', '', 7);
		$this -> SetY(-15);
		$this -> Cell($paginationX, 10, 'Page ' . $this -> getAliasNumPage() . '/' . $this -> getAliasNbPages(), 0, 0, 'R', 0, '', 0, false, 'T', 'M');*/
	}
}

//=====================================================+
// 					START FILE
//=====================================================+

$pdf = new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf -> SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE . ' 001', PDF_HEADER_STRING, array(0, 64, 255), array(0, 64, 128));
$pdf -> setFooterData(array(0, 64, 0), array(0, 64, 128));

$pdf -> setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf -> setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

$pdf -> SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf -> SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf -> SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf -> SetFooterMargin(PDF_MARGIN_FOOTER);

$pdf -> SetAutoPageBreak(TRUE, 0);
$pdf -> setImageScale(PDF_IMAGE_SCALE_RATIO);

$tagvs = array('p' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'div' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'ul' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'br' => array(0 => array('h' => 0.2, 'n' => 1), 1 => array('h' => 0.2, 'n'=> 1)));
$pdf->setHtmlVSpace($tagvs);

// Add a page
$pdf -> setPrintHeader(false);
$pdf -> setPrintFooter(true);

$pdf -> setFillColor(255, 255, 255);

//Defs
$full_page = $pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT;
$half_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
$third_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
$fourth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
$fifth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
$six_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
$seven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
$eigth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
$nine_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
$ten_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
$eleven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
$twelve_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

//Defs2
$border_bottom = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_full = array('TLRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lr = array('LR' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lt = array('LT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rt = array('RT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrt = array('LRT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrb = array('LRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lb = array('LB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rb = array('RB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_tb = array('TB' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$border_r = array('R' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_l = array('L' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_b = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_t = array('T' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$style_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_bold_line = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_light_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150));

$right_marg = $pdf -> getPageWidth() - PDF_MARGIN_RIGHT;

//--------------- First Page ---------------
// $pdf -> startPageGroup();
$pdf -> AddPage();

// Início do conteudo (Y)
$startContentY = $pdf -> getPageHeight() / 5;

$pdf -> Header();

$resto = $full_page - ($twelve_page + $twelve_page + $twelve_page + $twelve_page + $eigth_page + $ten_page);
$firstLBL_total = $twelve_page + $twelve_page + $twelve_page;

cabecalho($pdf);

$document_Total_TVA = 0;

// ----------------------------------------
// 		TVA DUE (TVA À PAYER)
// ----------------------------------------

cabecalho_tabela($pdf, "TVA DUE (TVA À PAYER)");
$pdf -> SetFont('opensans', 'B', 7);
$pdf -> MultiCell($full_page, '', "Compte collectif 2200 TVA due",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);

$footer_Total_PVP = 0;
$footer_Total_TVA = 0;

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$taxe_Total_PVP = 0;
$taxe_Total_TVA = 0;

// Linhas de Fatura
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_2200 as $taxa => $movsTaxa) {
	$taxe_Total_PVP = 0;
	$taxe_Total_TVA = 0;

	foreach ($movsTaxa as $linha) {
		// -- $resto, 		-- $movimentos ['Compte']
		// -- $twelve_page, -- $movimentos ['Chiffre'] 
		// -- $twelve_page, -- $movimentos ['Méthode'] 
		// -- $twelve_page, -- $movimentos ['Taux'] 
		// -- $twelve_page, -- $movimentos ['Soumis'] 
		// -- $eigth_page, 	-- $movimentos ['Montant'] 
		// -- $ten_page, 	-- $movimentos ['TVA'] 

		if($pdf -> getY() >= 260) {

			//page break ---------------------------------------------------------------------------------------------------
			$pdf -> AddPage();
			cabecalho_tabela($pdf, "TVA DUE (TVA À PAYER)");
			$pdf -> setY($pdf -> getY() );
		}

		$a = $pdf->getStringHeight($resto, $linha['Compte']);
		$c = $pdf->getStringHeight($twelve_page, $linha['Chiffre']);
		$d = $pdf->getStringHeight($twelve_page, $linha['Methode']);
		$e = $pdf->getStringHeight($twelve_page, $linha['Taux']);
		$f = $pdf->getStringHeight($twelve_page, $linha['Soumis']);
		$g = $pdf->getStringHeight($eigth_page, number_format($linha['Montant'], $numDecimais, '.', '\'' ));
		$h = $pdf->getStringHeight($ten_page, number_format($linha['TVA'], $numDecimais, '.', '\'' ));

		//GET PAGE MAX HEIGHT
		$height = calcHeightProd([$a, $c, $d, $e, $f, $g, $h]);

		$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

		//LINE PRINT
		$pdf -> MultiCell($resto, $height, $linha['Compte'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Chiffre'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Methode'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Taux'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Soumis'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($eigth_page, $height, number_format($linha['Montant'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($ten_page, $height, number_format($linha['TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

		$pdf->SetTextColor(0,0,0);

		$footer_Total_PVP += round($linha['Montant'],$numDecimais);
		$footer_Total_TVA += round($linha['TVA'],$numDecimais);
		$table_Total_PVP += round($linha['Montant'],$numDecimais);
		$table_Total_TVA += round($linha['TVA'],$numDecimais);
		$taxe_Total_PVP += round($linha['Montant'],$numDecimais);
		$taxe_Total_TVA += round($linha['TVA'],$numDecimais);
		$document_Total_TVA += round($linha['TVA'],$numDecimais);
	}

	// TAXE TOTAL
	$lineHeight = $pdf->getStringHeight($firstLBL_total, ('Total '.$taxa.': ')) + 1;
	$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total '.$taxa.': '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($eigth_page, $lineHeight, number_format($taxe_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($ten_page, $lineHeight, number_format($taxe_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

}

// COMPTE/TABLE TOTAL
$lineHeight = $pdf->getStringHeight($firstLBL_total, 'Total compte collectif 2200: ') + 1;
$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total compte collectif 2200: '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// TOTAL TVA DUE
$pdf -> Line((PDF_MARGIN_LEFT + $resto + $twelve_page), $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
$pdf -> SetFont('opensans', 'B', 7, '', true);
$lineHeight = $pdf->getStringHeight($firstLBL_total, 'Total TVA due (TVA à payer): ');
$pdf -> MultiCell($firstLBL_total, $lineHeight, 'Total TVA due (TVA à payer): ',  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($footer_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($footer_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 8, '', true);

// ----------------------------------------

$pdf -> Ln();

// ----------------------------------------
// 	IMPÔT PRÉALABLE (TVA À RÉCUPÈRER)
// ----------------------------------------

cabecalho_tabela($pdf, "IMPÔT PRÉALABLE (TVA À RÉCUPÈRER)");
$pdf -> SetFont('opensans', 'B', 7);
$pdf -> MultiCell($full_page, '', "Compte collectif 1170 Impôt préalable déductible s/marchandises et services",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);

$footer_Total_PVP = 0;
$footer_Total_TVA = 0;

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$taxe_Total_PVP = 0;
$taxe_Total_TVA = 0;

// ----------------------------------------
// ----------------------------------------

$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_1170 as $taxa => $movsTaxa) {
	$taxe_Total_PVP = 0;
	$taxe_Total_TVA = 0;

	foreach ($movsTaxa as $linha) {
		// -- $resto, 		-- $movimentos ['Compte']
		// -- $twelve_page, -- $movimentos ['Chiffre'] 
		// -- $twelve_page, -- $movimentos ['Méthode'] 
		// -- $twelve_page, -- $movimentos ['Taux'] 
		// -- $twelve_page, -- $movimentos ['Soumis'] 
		// -- $eigth_page, 	-- $movimentos ['Montant'] 
		// -- $ten_page, 	-- $movimentos ['TVA'] 

		if($pdf -> getY() >= 260) {

			//page break ---------------------------------------------------------------------------------------------------
			$pdf -> AddPage();
			cabecalho_tabela($pdf, "IMPÔT PRÉALABLE (TVA À RÉCUPÈRER)");
			$pdf -> setY($pdf -> getY() );
		}

		$a = $pdf->getStringHeight($resto, $linha['Compte']);
		$c = $pdf->getStringHeight($twelve_page, $linha['Chiffre']);
		$d = $pdf->getStringHeight($twelve_page, $linha['Methode']);
		$e = $pdf->getStringHeight($twelve_page, $linha['Taux']);
		$f = $pdf->getStringHeight($twelve_page, $linha['Soumis']);
		$g = $pdf->getStringHeight($eigth_page, number_format($linha['Montant'], $numDecimais, '.', '\'' ));
		$h = $pdf->getStringHeight($ten_page, number_format($linha['TVA'], $numDecimais, '.', '\'' ));

		//GET PAGE MAX HEIGHT
		$height = calcHeightProd([$a, $c, $d, $e, $f, $g, $h]);

		$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

		//LINE PRINT
		$pdf -> MultiCell($resto, $height, $linha['Compte'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Chiffre'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Methode'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Taux'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Soumis'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($eigth_page, $height, number_format($linha['Montant'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($ten_page, $height, number_format($linha['TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

		$pdf->SetTextColor(0,0,0);

		$footer_Total_PVP += round($linha['Montant'],$numDecimais);
		$footer_Total_TVA += round($linha['TVA'],$numDecimais);
		$table_Total_PVP += round($linha['Montant'],$numDecimais);
		$table_Total_TVA += round($linha['TVA'],$numDecimais);
		$taxe_Total_PVP += round($linha['Montant'],$numDecimais);
		$taxe_Total_TVA += round($linha['TVA'],$numDecimais);
		// Subtratcting
		$document_Total_TVA += round($linha['TVA'],$numDecimais);
	}

	// TAXE TOTAL
	$lineHeight = $pdf->getStringHeight($firstLBL_total, ('Total '.$taxa.': ')) + 1;
	$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total '.$taxa.': '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($eigth_page, $lineHeight, number_format($taxe_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($ten_page, $lineHeight, number_format($taxe_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

}

// COMPTE/TABLE TOTAL
$lineHeight = $pdf->getStringHeight($firstLBL_total, 'Total compte collectif 1170: ') + 1;
$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total compte collectif 1170: '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// ----------------------------------------
$pdf -> SetFont('opensans', 'B', 7);
$pdf -> MultiCell($full_page, '', "Compte collectif 1171 Impôt préalable déductible s/investissements et ACE",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$taxe_Total_PVP = 0;
$taxe_Total_TVA = 0;

// ----------------------------------------
// ----------------------------------------

// Linhas de Fatura
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_1171 as $taxa => $movsTaxa) {
	$taxe_Total_PVP = 0;
	$taxe_Total_TVA = 0;

	foreach ($movsTaxa as $linha) {
		// -- $resto, 		-- $movimentos ['Compte']
		// -- $twelve_page, -- $movimentos ['Chiffre'] 
		// -- $twelve_page, -- $movimentos ['Méthode'] 
		// -- $twelve_page, -- $movimentos ['Taux'] 
		// -- $twelve_page, -- $movimentos ['Soumis'] 
		// -- $eigth_page, 	-- $movimentos ['Montant'] 
		// -- $ten_page, 	-- $movimentos ['TVA'] 

		if($pdf -> getY() >= 260) {

			//page break ---------------------------------------------------------------------------------------------------
			$pdf -> AddPage();
			cabecalho_tabela($pdf, "IMPÔT PRÉALABLE (TVA À RÉCUPÈRER)");
			$pdf -> setY($pdf -> getY() );
		}

		$a = $pdf->getStringHeight($resto, $linha['Compte']);
		$c = $pdf->getStringHeight($twelve_page, $linha['Chiffre']);
		$d = $pdf->getStringHeight($twelve_page, $linha['Methode']);
		$e = $pdf->getStringHeight($twelve_page, $linha['Taux']);
		$f = $pdf->getStringHeight($twelve_page, $linha['Soumis']);
		$g = $pdf->getStringHeight($eigth_page, number_format($linha['Montant'], $numDecimais, '.', '\'' ));
		$h = $pdf->getStringHeight($ten_page, number_format($linha['TVA'], $numDecimais, '.', '\'' ));

		//GET PAGE MAX HEIGHT
		$height = calcHeightProd([$a, $c, $d, $e, $f, $g, $h]);

		$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

		//LINE PRINT
		$pdf -> MultiCell($resto, $height, $linha['Compte'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Chiffre'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Methode'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Taux'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['Soumis'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($eigth_page, $height, number_format($linha['Montant'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($ten_page, $height, number_format($linha['TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

		$pdf->SetTextColor(0,0,0);

		$footer_Total_PVP += round($linha['Montant'],$numDecimais);
		$footer_Total_TVA += round($linha['TVA'],$numDecimais);
		$table_Total_PVP += round($linha['Montant'],$numDecimais);
		$table_Total_TVA += round($linha['TVA'],$numDecimais);
		$taxe_Total_PVP += round($linha['Montant'],$numDecimais);
		$taxe_Total_TVA += round($linha['TVA'],$numDecimais);
		// Subtratcting
		$document_Total_TVA += round($linha['TVA'],$numDecimais);
	}

	// TAXE TOTAL
	$lineHeight = $pdf->getStringHeight($firstLBL_total, ('Total '.$taxa.': ')) + 1;
	$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total '.$taxa.': '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($eigth_page, $lineHeight, number_format($taxe_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($ten_page, $lineHeight, number_format($taxe_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

}

// COMPTE/TABLE TOTAL
$lineHeight = $pdf->getStringHeight($firstLBL_total, 'Total compte collectif 1171: ') + 1;
$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total compte collectif 1171: '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// TOTAL TVA DUE
$pdf -> Line((PDF_MARGIN_LEFT + $resto + $twelve_page), $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
$pdf -> SetFont('opensans', 'B', 7, '', true);
$pdf -> MultiCell($firstLBL_total, '', 'Total Impôt préalable (TVA à récupérer): ',  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, '', number_format($footer_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, '', number_format($footer_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> Ln(); // Fix double line

$pdf -> SetFont('opensans', '', 8, '', true);

// ----------------------------------------

$pdf -> Ln();

// ----------------------------------------
// 		HORS DU CHAMP DE L'IMPÔT (HORS TAXE)
// ----------------------------------------

cabecalho_tabela($pdf, "HORS DU CHAMP DE L'IMPÔT (HORS TAXE)");
$pdf -> SetFont('opensans', 'B', 7);
$pdf -> MultiCell($full_page, '', "Compte collectif",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);

$footer_Total_PVP = 0;
$footer_Total_TVA = 0;

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$taxe_Total_PVP = 0;
$taxe_Total_TVA = 0;

// ----------------------------------------
// ----------------------------------------

// Linhas de Fatura
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_hors as $linha) {
	// -- $resto, 		-- $movimentos ['Compte']
	// -- $twelve_page, -- $movimentos ['Chiffre'] 
	// -- $twelve_page, -- $movimentos ['Méthode'] 
	// -- $twelve_page, -- $movimentos ['Taux'] 
	// -- $twelve_page, -- $movimentos ['Soumis'] 
	// -- $eigth_page, 	-- $movimentos ['Montant'] 
	// -- $ten_page, 	-- $movimentos ['TVA'] 

	if($pdf -> getY() >= 260) {

		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		cabecalho_tabela($pdf, "HORS DU CHAMP DE L'IMPÔT (HORS TAXE)");
		$pdf -> setY($pdf -> getY() );
	}

	$a = $pdf->getStringHeight($resto, $linha['Compte']);
	$c = $pdf->getStringHeight($twelve_page, $linha['Chiffre']);
	$d = $pdf->getStringHeight($twelve_page, $linha['Methode']);
	$e = $pdf->getStringHeight($twelve_page, $linha['Taux']);
	$f = $pdf->getStringHeight($twelve_page, $linha['Soumis']);
	$g = $pdf->getStringHeight($eigth_page, number_format($linha['Montant'], $numDecimais, '.', '\'' ));
	$h = $pdf->getStringHeight($ten_page, number_format($linha['TVA'], $numDecimais, '.', '\'' ));

	//GET PAGE MAX HEIGHT
	$height = calcHeightProd([$a, $c, $d, $e, $f, $g, $h]);

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

	//LINE PRINT
	$pdf -> MultiCell($resto, $height, $linha['Compte'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($twelve_page, $height, $linha['Chiffre'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($twelve_page, $height, $linha['Methode'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($twelve_page, $height, $linha['Taux'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($twelve_page, $height, $linha['Soumis'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($eigth_page, $height, number_format($linha['Montant'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($ten_page, $height, number_format($linha['TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	$pdf->SetTextColor(0,0,0);

	$footer_Total_PVP += round($linha['Montant'],$numDecimais);
	$footer_Total_TVA += round($linha['TVA'],$numDecimais);
	$table_Total_PVP += round($linha['Montant'],$numDecimais);
	$table_Total_TVA += round($linha['TVA'],$numDecimais);
	$taxe_Total_PVP += round($linha['Montant'],$numDecimais);
	$taxe_Total_TVA += round($linha['TVA'],$numDecimais);
	// Should be summing 0
	$document_Total_TVA += round($linha['TVA'],$numDecimais);

}

// TAXE TOTAL
$lineHeight = $pdf->getStringHeight($firstLBL_total, ('Total 0.00%: ')) + 1;
$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total 0.00%: '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($taxe_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($taxe_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// COMPTE/TABLE TOTAL
$lineHeight = $pdf->getStringHeight($firstLBL_total, 'Total compte collectif: ') + 1;
$pdf -> MultiCell($firstLBL_total, $lineHeight, ('Total compte collectif: '),  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, $lineHeight, number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, $lineHeight, number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// TOTAL TVA DUE
$pdf -> Line((PDF_MARGIN_LEFT + $resto + $twelve_page), $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
$pdf -> SetFont('opensans', 'B', 7, '', true);
$pdf -> MultiCell($firstLBL_total, '', "Total Hors du champ de l'impot (Hors taxe): ",  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($eigth_page, '', number_format($footer_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, '', number_format($footer_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> Ln(); // Fix double line

$pdf -> SetFont('opensans', '', 8, '', true);


$pdf -> Ln();

// TOTAL TVA DOCUMENT
$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
$pdf -> SetFont('opensans', '', 8, '', true);
$pdf -> MultiCell($firstLBL_total + $eigth_page, '', "Total TVA ",  0, 'L', false, 0, (PDF_MARGIN_LEFT + $resto + $twelve_page), '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($ten_page, '', number_format($document_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

// ----------------------------------------


// $pdf -> Ln();

	// Line -> $x1, $y1, $x2, $y2, $style=array()
	// MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false

// ----------- Paginação e colocação de 'Originale', 'Duplicata', 'Triplé' e 'Quadruplé' -----------
$max = $pdf -> PageNo();

// ----------------- Page Numbers -----------------------------
$paginationX = $right_marg - PDF_MARGIN_RIGHT;
$pages = $pdf -> getNumPages();
for($i = 1; $i <= $pages; ){
	for($k = 1; $k <= $max; $k++, $i++){
		$pdf -> setPage($i);

		$pdf -> SetFont('opensans', '', 7);
		$pdf -> SetY(-10);
		$pdf -> Cell($paginationX, 0, 'Page ' . $k . '/' . $max, 0, 0, 'R', 0, '', 0, false, 'B', 'B');

	}
}
// ----------------------------------------------------------

// ------------- Certificação Vertical Lado Esquerdo -------- 
$total_pages = $pdf -> getNumPages();
for ($i = 1; $i <= $total_pages; $i++) {
    $pdf -> setPage($i);

    // $myPageWidth = $pdf -> getPageWidth();
    $myPageHeight = $pdf -> getPageHeight();

    $myX = PDF_MARGIN_LEFT / 2 + 2;
    $myY = $myPageHeight - 35;

    $pdf -> SetAlpha(0.5);

    $pdf -> StartTransform();
    $pdf -> Rotate(90, $myX, $myY);
    $pdf -> SetFont('opensans', '', 7);
    $pdf -> SetTextColor(0, 0, 0);

    $pdf -> Text($myX, $myY, ' ');
    $pdf -> StopTransform();

    // Reset the transparency to default
    $pdf -> SetAlpha(1);
}

// Close and output PDF document
// This method has several options, check the source code documentation for more information.
$pdf -> Output('DECOMPTE_PERIODIQUE_TVA_'.date("d-m-Y").'.pdf', 'I');

//=====================================================+
// 					END OF FILE
//=====================================================+

//DOC HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho($pdf){
	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --

	global $style_line;
	global $style_bold_line;
	global $style_light_line;

	global $right_marg;
	global $startContentY;

	// global $data_inicio;
	// global $data_fim;
	// global $stringLabelPeriod;
	
	
	$pdf -> SetFont('opensans', 'B', 10);
	$pdf -> MultiCell($half_page, '', 'Décompte périodique TVA', 0, 'L',  false, 1, '', $startContentY, false, 0, false, true, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);
	// $pdf -> MultiCell($half_page, '', 'Plan Comptable', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', 'Date Accuel', 0, 'L', false, 0, PDF_MARGIN_LEFT, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', 'Date Fin', 0, 'L', false, 1, PDF_MARGIN_LEFT + $fourth_page, '', false, 0, false, true, 0, 'T', false);

	// $pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page - 4, $pdf->GetY(), $style_line);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), PDF_MARGIN_LEFT + $fourth_page - 4, $pdf->GetY(), $style_line);
	$pdf -> Line(PDF_MARGIN_LEFT + $fourth_page, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page - 4, $pdf->GetY(), $style_line);

	$pdf -> SetFont('opensans', '', 8);
	// $pdf -> MultiCell($half_page, '', $planComptable, 0, 'L', false, 0, PDF_MARGIN_LEFT, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $GLOBALS['dateAccuel'], 0, 'L', false, 0, PDF_MARGIN_LEFT, '', true, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $GLOBALS['dateFin'], 0, 'L', false, 1, PDF_MARGIN_LEFT + $fourth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Ln();
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);

	// $pdf -> Ln();
	// $pdf -> Ln();

}

//LINES HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho_tabela($pdf, $titulo){
	global $right_marg;

	global $style_line;
	global $style_bold_line;

	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --

	global $resto;
	
	$pdf -> SetFont('opensans', 'B', 7);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);
	$pdf -> setFillColor(230, 230, 230);

	$pdf -> MultiCell($resto, 			'', $titulo, 			0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 	'', 'Chiffre', 			0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 	'', 'Méthode', 			0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 	'', 'Taux', 			0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 	'', 'Soumis', 			0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, 		'', 'Montant', 			0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($ten_page, 		'', 'TVA', 				0, 'R', true, 1, '', '', true, 0, false, false, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
	$pdf -> setFillColor(255, 255, 255);
	$pdf -> SetFont('opensans', '', 7);
}


// Calculate Min Height of Line
function calcHeightProd($strHeight){
	return max($strHeight) + 1;
}

 ?>