<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idMovimento = $_POST['idMovimento'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Movimento,
		Linha,
		Both_Transaction_Code,
		Both_Transaction_Type,
		DocumentoAssociado,
		Estado,
		Row_Participant_ID,
		Both_Banking_Account,
		Row_Internal_Bank_Reference,
		Row_Microfilm_Reference,
		Row_Payment_type,
		Both_Signed_Amount,
		Both_ABS_Amount,
		Row_Date_Paid,
		Row_Date_Processed,
		Row_Date_Credit_Note,
		Row_DateValuta,
		Row_Full_BVR,
		Observacoes,
		FicheiroBVR
	FROM faturacao_movimento_bvr_importados WHERE ID_Movimento=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idMovimento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$objectData['ID_Movimento'],
		$objectData['Linha'],
		$objectData['Both_Transaction_Code'],
		$objectData['Both_Transaction_Type'],
		$objectData['DocumentoAssociado'],
		$objectData['Estado'],
		$objectData['Row_Participant_ID'],
		$objectData['Both_Banking_Account'],
		$objectData['Row_Internal_Bank_Reference'],
		$objectData['Row_Microfilm_Reference'],
		$objectData['Row_Payment_type'],
		$objectData['Both_Signed_Amount'],
		$objectData['Both_ABS_Amount'],
		$objectData['Row_Date_Paid'],
		$objectData['Row_Date_Processed'],
		$objectData['Row_Date_Credit_Note'],
		$objectData['Row_DateValuta'],
		$objectData['Row_Full_BVR'],
		$objectData['Observacoes'],
		$objectData['FicheiroBVR']
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//Repalce All NULL values for empty string
$objectData = array_map(function($v){
    if($v == NULL || is_null($v) || $v == '') return "-";
    else return $v;
},$objectData);

$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>