<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$opcao = $_POST['opcao'];

//DEFINE VARS -----------------------------------------------------------
$objectData = array();

//OBTEM AS LINHAS DOS ARTIGOS BASE --------------------------------------
$query = "SELECT ID_Artigo,
		Nome,
		(SELECT Sigla FROM faturacao_unidades WHERE faturacao_artigos.ID_Unidade=faturacao_unidades.ID_Unidade) AS UnidadeMedida,
		Preco,
		ID_Imposto,
		-- (SELECT ID_Motivo FROM faturacao_motivos_isencao WHERE faturacao_motivos_isencao.Codigo = faturacao_rapports_travail_linhas.TaxExemptionCode ) AS ID_Motivo,
		-- DescontoLinha,
		-- PercentagemRetencao,
		Tipo,
		Codigo,
		CodigoBarras
		FROM faturacao_artigos WHERE faturacao_artigos.ID_Categoria=(SELECT faturacao_artigos_categorias.ID_Categoria FROM faturacao_artigos_categorias WHERE Nome LIKE 'Rapports de Travail' LIMIT 1) AND Ativo = 1 ORDER BY ID_Artigo ASC";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	// $stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($artigo, $descricao, $unidade, $preco, $imposto, /*$motivo, $desconto, $retencao,*/ $tipo, $codigo_artigo, $codigobarras_artigo );
	while ($stmt -> fetch()) {
		$data[] = array(
		        	"artigo" => $artigo,
					"descricao" => $descricao,
					"unidade" => $unidade,
					"preco" => $preco,
					"imposto" => $imposto,
					"qtd" => 0,
					// "motivo" => $motivo,
					// "desconto" => $desconto,
					// "retencao" => $retencao,
					"Tipo" => $tipo,
					"totalLinha" => 0,
					"codigo" => $codigo_artigo,
					"codigobarras" => $codigobarras_artigo,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['linhas'] = $data;
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>