<?php

//INCLUDE CONNECTIONS

include 'connection.php';

$query = "SELECT ID_Prestashop FROM faturacao_artigos WHERE ID_Prestashop > 0";

if ($stmt = $sqli_connection_ges -> prepare($query)) {

	$result = $stmt -> execute();

	if (false === $result) {

		$response["errors"] = true;

		$response["message"] = $stmt -> error;

		die(json_encode($response));

	}

	$stmt -> store_result();

	$total = $stmt -> num_rows;

	$stmt -> bind_result($id_prestashop);

	while( $stmt -> fetch() ) {

		$query1 = "SELECT ps_product.reference FROM ps_product WHERE ps_product.id_product=? AND active=1";

		if ($stmt1 = $sqli_connection -> prepare($query1)) {

			$stmt1 -> bind_param("d", $id_prestashop);
			
			$result1 = $stmt1 -> execute();

			if (false === $result1) {

				$response["errors"] = true;

				$response["message"] = $stmt1 -> error;

				die(json_encode($response));

			}

			$stmt1 -> store_result();

			$total1 = $stmt1 -> num_rows;

			$stmt1 -> bind_result($reference);

			$stmt1 -> fetch();

			$stmt1 -> close();

		} else {

			$response["errors"] = true;

			$response["message"] = $sqli_connection -> error;

			die(json_encode($response));

		}

		if( $reference && $reference != '' ) {

			$query2 = "UPDATE faturacao_artigos SET Codigo=? WHERE faturacao_artigos.ID_Prestashop=?";

			if ($stmt2 = $sqli_connection_ges -> prepare($query2)) {

				$stmt2 -> bind_param("sd", $reference, $id_prestashop);

				$result2 = $stmt2 -> execute();

				if (false === $result2) {

					$response["errors"] = true;

					$response["message"] = $stmt2 -> error;

					die(json_encode($response));

				}

				$stmt2 -> close();

			} else {

				$response["errors"] = true;

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

			$query3 = "UPDATE faturacao_ghosts_artigos SET Codigo=? WHERE faturacao_ghosts_artigos.ID_Prestashop=?";

			if ($stmt3 = $sqli_connection_ges -> prepare($query3)) {

				$stmt3 -> bind_param("sd", $reference, $id_prestashop);

				$result3 = $stmt3 -> execute();

				if (false === $result3) {

					$response["errors"] = true;

					$response["message"] = $stmt3 -> error;

					die(json_encode($response));

				}

				$stmt3 -> close();

			} else {

				$response["errors"] = true;

				$response["message"] = $sqli_connection_ges -> error;

				die(json_encode($response));

			}

		}

	}

	$stmt -> close();

} else {

	$response["errors"] = true;

	$response["message"] = $sqli_connection_ges -> error;

	die(json_encode($response));

}

$response['errors'] = false;

$response['produtos_prestashop'] = $total;

// die(json_encode($response));

?>