<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
// $idDados = 1;

//DEFINE VARS ------------------------------------------------------------
// $objectData = array();

$data = array();
//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Unidade,
	Descricao, 
	Sigla,
	Ativo,
	Sistema,
	(SELECT COUNT(*) FROM faturacao_artigos WHERE faturacao_artigos.ID_Unidade=faturacao_unidades.ID_Unidade)
	FROM faturacao_unidades";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	// $stmt -> bind_param("d", $idDados);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$ID_Unidade,
		$Descricao, 
		$Sigla,
		$Ativo,
		$Sistema,
		$Used
	);
	while ($stmt -> fetch()) {
		$data[] = array(
			'ID_Unidade' => $ID_Unidade,
			'Descricao' => $Descricao, 
			'Sigla' => $Sigla,
			'Ativo' => $Ativo,
			'Sistema' => $Sistema,
			'Used' => $Used
		);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $data;
die(json_encode($response));

?>