<?php
$array_paths = array();
$tipos = array(
	"application/octet-stream",
);

if (isset($_FILES["documento_anexo"])) {
	$error = $_FILES["documento_anexo"]["error"];
	$info = $_FILES["documento_anexo"]["type"];

	$result = array_intersect($tipos, $info);
	if (sizeof($result) == 0) {
		$response["errors"] = true;
		$response["type"] = 1;
		$response["info"] = $info;
		die(json_encode($response));
	}

	$fileCount = count($_FILES["documento_anexo"]["name"]);

	for ($i = 0; $i < $fileCount; $i++) {

		$fileName = $_FILES["documento_anexo"]["name"][$i];

		$ext = pathinfo($fileName, PATHINFO_EXTENSION);
		$ext = "." . $ext;

		$withoutExt = preg_replace('/\\.[^.\\s]{3,4}$/', '', $fileName);
		$withoutExt = urlencode($withoutExt);
		$withoutExt = clean($withoutExt);

		$withoutExt = 'BVR_'.date('d.m.Y').'_';
		$timestamp = time();

		if (move_uploaded_file($_FILES["documento_anexo"]["tmp_name"][$i], "BVR_Reader/files/" . $withoutExt . $timestamp . $ext)) {
			array_push($array_paths, $withoutExt . $timestamp . $ext);
		} else {
			empty($array_paths);
			$response["errors"] = true;
			$response["type"] = 2;
			die(json_encode($response));
		}
	}
} else {
	$response["errors"] = true;
	$response["type"] = 3;
	die(json_encode($response));
}

function clean($string) {
	$string = str_replace(' ', '-', $string);
	return preg_replace('/[^A-Za-z0-9\-]/', '', $string);
}

$response["errors"] = false;
$response["name"] = $array_paths;
die(json_encode($response));
?>