<script type="text/javascript">
	//load data
	function fill_bank(idBanco) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos/detalhes.php',
			dataType : 'json',
			data : { idBanco : idBanco },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							$("#sncbase_banco").html(dados.ContaBase+' - '+dados.ContaBaseDescricao);
							$("#conta_banco").html(dados.AccountID);
							$("#descricao_banco").val(dados.Nome);
							$("#bvr_banco").val(dados.CodigoBVR);
							$("#compte_lapost1_banco").val(dados.CodigoBVR_LP1);
							$("#compte_lapost2_banco").val(dados.CodigoBVR_LP2);

							$("#codigopostal_banco").val(dados.CodigoPostal);
							getLocaliteFromNpa(dados.CodigoPostal, 'cidade_banco', dados.Cidade);

							if(dados.Usado > 0)	$("#descricao_banco").prop('disabled', true);

							if(dados.Predefinido == 1) { $('#predefinir_banco').iCheck('check'); flagPredefinirEdit = 1; }
							else { $('#predefinir_banco').iCheck('uncheck'); flagPredefinirEdit = 0; }

							$("#debito_banco").autoNumeric('set', dados.DebitoInicial);
							$("#credito_banco").autoNumeric('set', dados.CreditoInicial);

							fill_comptes(dados.PlanoContas);
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//load data
	function fill_comptes(lastID = 0) {
		var options = $("select#plano_banco");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#plano_banco option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}
</script>