<script type="text/javascript">
	//load data
	function fill_bank(idBanco) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos_fornecedores/detalhes.php',
			dataType : 'json',
			data : { idBanco : idBanco },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							if(dados.Predefinido < 1){
								$('#btns-wrapper').append('<a onClick="predefinirBanco('+dados.ID_BancoFornecedor+')" class="btn btn-red" title="Prédéfini"><i class="fa fa-check-square-o"></i>&nbsp;Prédéfini</a>&nbsp;');
							}

							if(dados.Ativo > 0){
								$('#btns-wrapper').append('<a onClick="alterState('+dados.ID_BancoFornecedor+')" class="btn btn-violet" title="Désactiver"><i class="fa fa-ban"></i>&nbsp;Désactiver</a>');
							}else{
								$('#btns-wrapper').append('<a onClick="alterState('+dados.ID_BancoFornecedor+')" class="btn btn-green" title="Activer"><i class="fa fa-check-square-o"></i>&nbsp;Activer</a>');
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../banques_fournisseurs" class="btn btn-default" type="button"> Annuler </a>');

							$("#bcnbr_banco_fornecedor").html(dados.BCNbr);
							$("#nome_banco_fornecedor").html(dados.Nome);
							$("#predefinido_banco_fornecedor").html(dados.PredefinidoLBL);
							$("#address1_banco_fornecedor").html(dados.Address1);
							$("#address2_banco_fornecedor").html(dados.Address2);
							$("#npa_localite_banco_fornecedor").html(dados.NPA+" - "+dados.Localite);
							$("#pais_banco_fornecedor").html(dados.PaisBanco);
						}
					}
				}
			},
			complete : function() {
			}
		});
	}


	//change Prédéfini
	function predefinirBanco(idBanco){
	<?php if (hasPermission(['P0068']) == 1) { ?>
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos_fornecedores/predefinir.php',
			dataType : 'json',
			data : {
				idBanco : idBanco
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Erreur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Erreur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Banque insérée avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				location.reload();
			}
		});
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//change Prédéfini
	function alterState(idBanco){
	<?php if (hasPermission(['P0068']) == 1) { ?>
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos_fornecedores/estado.php',
			dataType : 'json',
			data : {
				idBanco : idBanco
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Erreur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] Erreur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("Banque insérée avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				location.reload();
			}
		});
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>