<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0072']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/plan-comptable&redirectto=/frifacturation');
	}
	
	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Détails Compte | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../plan-comptable"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../plan-comptable">Plan Comptable</a>
							</li>
							<li class="active">
								Détails de la Compte
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<h5 class="form-header">
											<legend class="form-legend">
												Données de compte
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-md-12 col-md-12">
													<div class="form-group">
														<label class="control-label">Plan Comptable<span class="require">*</span></label>
														<span id="plano_contas_plano" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row mtm">
												<div class="col-sm-3">
													<div class="form-group ">
														<label class="control-label">Code Compte<span class="require">*</span></label>
														<span id="codigo_plano" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label class="control-label">Description<span class="require">*</span></label>
														<span id="descricao_plano" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group ">
														<label class="control-label">Code TVA</label>
														<span id="iva_plano" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row mtm">
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Catégorie<span class="require">*</span></label>
														<span id="categoria_plano" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Sous-catégorie<span class="require">*</span></label>
														<span id="subcategoria_plano" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Collecte TVA<span class="require">*</span></label>
														<span id="collect_plano" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Écriture<span class="require">*</span></label>
														<span id="ecriture_plano" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>
									</div>								
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.planos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				//get id
				var idPlano = getParameterByName('plan');
				//fill infos
				fill_details(idPlano);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>