<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0072']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/plan-comptable&redirectto=/frifacturation');
	}
	
	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Plan Comptable | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>


			<!-- Détails de la banque -->
			<div id="modal-banco" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Détails de la banque</h4>
						</div>
						<form id="form_new_grupo" class="form-validate" novalidate="novalidate">
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Enregistrer
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a href="nouveau" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouveau compte</a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Tableaux
							</li>
							<li class="active">
								Plan Comptable
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 50px;">Code</th>
											<th>Description</th>
											<th style="width: 150px;">Catégorie</th>
											<th style="width: 100px;">Sous-catégorie</th>
											<th style="width: 90px;">Collecte TVA</th>
											<th style="width: 60px;">Écriture</th>
											<th style="width: 70px;">Code TVA</th>
											<th style="width: 80px;">Options</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		
		<?php include('index_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.plano_contas").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
		</script>
	</body>
</html>