<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0076']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/taxes&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Taux (TVA) | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>
			
			<!-- Novo Imposto -->
			<div id="modal-imposto" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Nouvelle TVA</h4>
						</div>
						<form id="form_new_imposto" class="form-validate" novalidate="novalidate">
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="nome_imposto" id="nome_imposto" pattern="[0-9]+">
										</div>
									</div>
									<div class="col-md-8">
										<div class="form-group">
											<label class="control-label">Description<span class="require">*</span></label>
											<input type="text" class="form-control" name="descricao_imposto" id="descricao_imposto">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
										<div class="form-group">
											<label class="control-label">Compté<span class="require">*</span></label>
											<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="compte_imposto" name="compte_imposto"  >
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Type de compte<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="typecompte_imposto" name="typecompte_imposto"  >
												<option value="">Rien Sélectionné</option>
												<option value="F">Impôt préalable</option>
												<option value="C">Impôt sur le chiffre d'affaires</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Valeur<span class="require">*</span></label>
											<input type="text" class="form-control percentage" name="valor_imposto" id="valor_imposto">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Sous-classe de la taxe<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="subclasse_imposto" name="subclasse_imposto"  >
												<option value="NOR">Taux Normale</option>
												<option value="INT">Taux Intermédiaire</option>
												<option value="RED">Taux Réduit</option>
												<option value="ISE">Exonéré</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Région<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="regiao_imposto" name="regiao_imposto"  >
												<option value="CH">CH</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label>Prédéfini</label>
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="predefinir_imposto" id="predefinir_imposto">
													Taux prédéfinie ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>
			<!-- Editar Imposto -->
			<div id="modal-imposto-edit" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Modifier la Taxe</h4>
						</div>
						<form id="form_new_impostoEditar" class="form-validate" novalidate="novalidate">
							<input type="hidden" value="" id="ModalEdit_ID_Imposto" />
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_nome_imposto" id="ModalEdit_nome_imposto" pattern="[0-9]+">
										</div>
									</div>
									<div class="col-md-8">
										<div class="form-group">
											<label class="control-label">Description<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_descricao_imposto" id="ModalEdit_descricao_imposto">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
										<div class="form-group">
											<label class="control-label">Compté<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-live-search="true"  data-header="Sélectionnez" id="ModalEdit_compte_imposto" name="ModalEdit_compte_imposto"  >
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Type de compte<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="ModalEdit_typecompte_imposto" name="ModalEdit_typecompte_imposto"  >
												<option value="">Rien Sélectionné</option>
												<option value="F">Impôt préalable</option>
												<option value="C">Impôt sur le chiffre d'affaires</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Valeur<span class="require">*</span></label>
											<input type="text" class="form-control percentage" name="ModalEdit_valor_imposto" id="ModalEdit_valor_imposto">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Sous-classe de la taxe<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="ModalEdit_subclasse_imposto" name="ModalEdit_subclasse_imposto"  >
												<option value="NOR">Taux Normale</option>
												<option value="INT">Taux Intermédiaire</option>
												<option value="RED">Taux Réduit</option>
												<option value="ISE">Exonéré</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Région<span class="require">*</span></label>
											<select class="form-control select2 show-tick"  data-header="Sélectionnez" id="ModalEdit_regiao_imposto" name="ModalEdit_regiao_imposto"  >
												<option value="CH">CH</option>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label>Prédéfini</label>
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="ModalEdit_predefinir_imposto" id="ModalEdit_predefinir_imposto">
													Taux prédéfinie ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<?php if (hasPermission(['P0073']) == 1) { ?>
							<button type="button" data-target="#modal-imposto" data-toggle="modal" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouveau taux</button>
							<?php } ?>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Tableaux
							</li>
							<li class="active" style="margin-top: 5px;">
								Taux (TVA)
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<div id="form_div">
										
			
											<div class="row">
												<div class="col-md-12">
													<table class="table table-bordered table-striped" id="impostosTable">
														<thead>
															<tr>
																<th style="width: 60px;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">Compte</th>
																<th>Type de compte</th>
																<th>Nom</th>
																<th>Description</th>
																<th style="width: 60px;">Valeur</th>
																<th style="width: 60px;">Région</th>
																<th style="width: 130px;">Sous-classe</th>
																<th style="width: 90px;" class="text-center">Par Défaut</th>
																<th style="width: 80px;" class="text-center">Options</th>
															</tr>
														</thead>
													</table>
												</div>
										</div>											
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.impostos").addClass("active");
		</script>

		<script>
			var flagPredefinir = 0;
			var flagPredefinirEdit = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});
			});
			$(document).ready(function() {

				$("#form_new_imposto")[0].reset();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-red',
					increaseArea : '20%' // optional
				});

				//init select2
				$("select#compte_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#typecompte_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#subclasse_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#regiao_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				
				$("select#ModalEdit_compte_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#ModalEdit_typecompte_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#ModalEdit_subclasse_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#ModalEdit_regiao_imposto").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});


				fill_comptes();
				fill_impostos();
			});

			//flag novo
			$(document).on('ifChanged', 'input#predefinir_imposto', function(event) {
				if( $('input#predefinir_imposto').is(":checked") ) flagPredefinir = 1;
				else flagPredefinir = 0;
			});
			//flag edit
			$(document).on('ifChanged', 'input#ModalEdit_predefinir_imposto', function(event) {
				if( $('input#ModalEdit_predefinir_imposto').is(":checked") ) flagPredefinirEdit = 1;
				else flagPredefinirEdit = 0;
			});

			//load data
			function fill_comptes() {
				var options = $("select#compte_imposto");
				$(options).empty();
				var options2 = $("select#ModalEdit_compte_imposto");
				$(options2).empty();

				var resp = null;
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/plano_contas_listagem.php',
					data : {
						opcao : 1
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);
									$(options2).attr("disabled", true);

								} else {
									resp = resposta;
									
									$(options).attr("disabled", false);
									$(options2).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
									$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.Codigo).html(this.Descricao+''));
										$(options2).append($("<option />").val(this.Codigo).html(this.Descricao+'</span>'));
									});
								}
							}
						}
					},
					complete : function() {
						if(resp != null) $(options).val(resp.planoDefeito);
						else $(options).val($("select#compte_imposto option:eq(1)").val());
						$(options).trigger('change');

						$(options2).val($("select#ModalEdit_compte_imposto option:eq(1)").val());
						$(options2).trigger('change');
					}
				});
			}

			//load data
			function fill_impostos() {
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									$.each(dados, function() {
										var processedName = this.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
										var nome = "'" + processedName+"'";
										//process icon
										if(this.Predefinido == 1){
											var predefinirFlag = '&nbsp;<i class="fa fa-check text-green" title="Pré-definido"></i>';
										}else{
											var predefinirFlag = '<a onClick="predefinirImposto('+this.ID_Imposto+')" class="options-link text-red" title="Pré-definir"><i class="fa fa-check-square-o"></i></a>';
										}
										//active or disabled
										if(this.Ativo == 1){
											var stateFlag = '<a onClick="alterState('+this.ID_Imposto+')" class="options-link text-violet" title="Désactiver"><i class="fa fa-ban"></i></a>';
										}else{
											var stateFlag = '<a onClick="alterState('+this.ID_Imposto+')" class="options-link text-green" title="Activer"><i class="fa fa-check-square-o"></i></a>';
										}
										//process used or not used
										if(this.Usado == 1){
											var editarBTN = '<span class="text-gray" style="margin: 4px;"><i class="fa fa-edit"></i></span>';
											var apagarBTN = '<span class="text-gray" style="margin: 4px;"><i class="fa fa-trash"></i></span>';
										}else{
											var editarBTN = '<a onClick="editarImposto('+this.ID_Imposto+')" class="options-link text-orange" title="Modifier"><i class="fa fa-edit"></i></a>';
											var apagarBTN = '<a onClick="apagarImposto('+this.ID_Imposto+', '+nome+')" class="options-link text-red" title="Supprimer"><i class="fa fa-trash"></i></a>';
										}

										//html to add
										var htmlCode = '<tr>';
												htmlCode += '<td class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">';
													htmlCode += this.PlanoContas;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.FinalidadeTexto;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Nome;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Descricao;
												htmlCode += '</td>';
												htmlCode += '<td class="percentage">';
													htmlCode += this.Valor;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Regiao;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Subclasse;
												htmlCode += '</td>';
												htmlCode += '<td class="text-center">';
													htmlCode += predefinirFlag;
												htmlCode += '</td>';
												htmlCode += '<td class="text-center">';
													htmlCode += stateFlag+'&nbsp;'+editarBTN+'&nbsp;'+apagarBTN;
												htmlCode += '</td>';
											htmlCode += '</tr>';

										//append
										$("#impostosTable").append(htmlCode);

										//remake percentage
										$(".percentage").autoNumeric("init", {
											aSep : '.',
											aDec : ',',
											aSign : '  %',
											vMax : '100',
											pSign : 's'
										});
									});
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//change Pré-definir
			function predefinirImposto(idImposto){
			<?php if (hasPermission(['P0074']) == 1) { ?>
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos_predefinir.php',
					dataType : 'json',
					data : {
						idImposto : idImposto
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Mise à jour de l'impôt avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//change Pré-definir
			function alterState(idImposto){
			<?php if (hasPermission(['P0074']) == 1) { ?>
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos_estado.php',
					dataType : 'json',
					data : {
						idImposto : idImposto
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Mise à jour de l'impôt avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//change Pré-definir
			function apagarImposto(idImposto, nome){
			<?php if (hasPermission(['P0075']) == 1) { ?>
				if (confirm("Êtes-vous sûr de vouloir supprimer la TVA '" + nome + "' ?") == true) {
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/contabilidade/impostos/impostos_apagar.php',
						dataType : 'json',
						data : {
							idImposto : idImposto
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Il n'est pas possible de supprimer cette taxe. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Il n'est pas possible de supprimer cette taxe. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Taxe supprimée avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							//reload
							setTimeout(function() {
								location.reload();
							}, 1000);
						}
					});
				} else { return false; }
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//CONCLUIR imposto
			function editarImposto(idImposto) {
			<?php if (hasPermission(['P0074']) == 1) { ?>
				//get Details
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos_detalhes.php',
					data : {
						idImposto : idImposto
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[TC001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							$("input").attr("disabled", true);
							$("select").attr("disabled", true);
							$(".submit_button").attr("disabled", true);
							$("input:radio").iCheck("disable");

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[TC002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								$("input").attr("disabled", true);
								$("select").attr("disabled", true);
								$(".submit_button").attr("disabled", true);
								$("input:radio").iCheck("disable");
							} else {
								if (resposta.data != null) {
									var imposto = resposta.data;
									//fill the modal info
									$('#ModalEdit_ID_Imposto').val(idImposto);
									$('#ModalEdit_nome_imposto').val(imposto.Nome);
									$('#ModalEdit_valor_imposto').autoNumeric('set', imposto.Valor );

									if(imposto.Predefinido == 1) { $('#ModalEdit_predefinir_imposto').iCheck('check'); flagPredefinirEdit = 1; }
									else { $('#ModalEdit_predefinir_imposto').iCheck('uncheck'); flagPredefinirEdit = 0; }

									$('#ModalEdit_regiao_imposto').val(imposto.Regiao);
									$('#ModalEdit_regiao_imposto').trigger('change');
									$('#ModalEdit_subclasse_imposto').val(imposto.Subclasse);
									$('#ModalEdit_subclasse_imposto').trigger('change');
									$('#ModalEdit_descricao_imposto').val(imposto.Descricao);

									$('#ModalEdit_compte_imposto').val(imposto.PlanoContas);
									$('#ModalEdit_compte_imposto').trigger('change');
									$('#ModalEdit_typecompte_imposto').val(imposto.FinalidadeTipo);
									$('#ModalEdit_typecompte_imposto').trigger('change');
								} else {
									//fill the modal info
									$('#ModalEdit_ID_Imposto').val('-');
									$('#ModalEdit_nome_imposto').val('-');
									$('#ModalEdit_valor_imposto').val('-');
									$('#ModalEdit_predefinir_imposto').val('-');
									$('#ModalEdit_regiao_imposto').val('-');
									$('#ModalEdit_subclasse_imposto').val('-');
									$('#ModalEdit_descricao_imposto').val('-');
								}
							}
						}
					},
					complete : function() {}
				});
				//open modal				
				$('#modal-imposto-edit').modal('show');
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			// ----------------- FORM PROCESSING ------------------
			/**
			 * Custom validators for letters and numbers only.  Uppercase/lowercase letters and numbers (0-9).
			 */
			$.validator.addMethod("lettersAndNumbersOnly", function (value, element) {
			    return this.optional(element) || /^[a-zA-Z0-9-]+$/i.test(value);
			}, "Entrez uniquement des lettres et des chiffres.");
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valor_imposto = $("#valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");
			/**
			 * Validate Percentage2
			 */
			$.validator.addMethod("percentageValidation2", function (value, element) {
				var valor_imposto = $("#ModalEdit_valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");

			val_form_new = $("#form_new_imposto").validate({
				ignore : "",
				rules : {
					nome_imposto : {
						required : true,
						lettersAndNumbersOnly : true
					},
					valor_imposto : {
						required : true,
						percentageValidation : true
					},
					regiao_imposto : {
						required : true
					},
					subclasse_imposto : {
						required : true
					},
					compte_imposto : {
						required : true
					},
					typecompte_imposto : {
						required : true
					},
					descricao_imposto : {
						required : true
					},
				},
				messages : {
					nome_imposto : {
						required : "Ce champ est obligatoire"
					},
					valor_imposto : {
						required : "Ce champ est obligatoire"
					},
					regiao_imposto : {
						required : "Ce champ est obligatoire"
					},
					subclasse_imposto : {
						required : "Ce champ est obligatoire"
					},
					compte_imposto : {
						required : "Ce champ est obligatoire"
					},
					typecompte_imposto : {
						required : "Ce champ est obligatoire"
					},
					descricao_imposto : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

		//check validation and submit
		$("#form_new_imposto").submit(function(e) {
			e.preventDefault();
			<?php if (hasPermission(['P0073']) == 1) { ?>

			var valid = $("#form_new_imposto").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_imposto").find('.submit_button').attr("disabled", true);
				$("#form_new_imposto").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos_inserir.php',
					dataType : 'json',
					data : {
						nome_imposto : $("#nome_imposto").val(),
						valor_imposto : $("#valor_imposto").autoNumeric('get'),
						regiao_imposto : $("#regiao_imposto").val(),
						subclasse_imposto : $("#subclasse_imposto").val(),
						descricao_imposto : $("#descricao_imposto").val(),
						compte_imposto : $("#compte_imposto").val(),
						typecompte_imposto : $("#typecompte_imposto").val(),
						flagPredefinir : flagPredefinir,
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								window.location.href = "../taxes";
							}, 1000);
						}
						$("#form_new_imposto").find('.submit_button').attr("disabled", false);
						$("#form_new_imposto").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Gravar');
					}
				});
			}
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
		});

		/**
		 * -----------------------------------------
		 * 				EDITION FORM
		 * -----------------------------------------
		 */
		val_form_new2 = $("#form_new_impostoEditar").validate({
			ignore : "",
			rules : {
				ModalEdit_nome_imposto : {
					required : true,
					lettersAndNumbersOnly : true
				},
				ModalEdit_valor_imposto : {
					required : true,
					percentageValidation2 : true
				},
				ModalEdit_regiao_imposto : {
					required : true
				},
				ModalEdit_subclasse_imposto : {
					required : true
				},
				ModalEdit_compte_imposto : {
					required : true
				},
				ModalEdit_typecompte_imposto : {
					required : true
				},
				ModalEdit_descricao_imposto : {
					required : true
				},
			},
			messages : {
				ModalEdit_nome_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_valor_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_regiao_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_subclasse_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_compte_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_typecompte_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_descricao_imposto : {
					required : "Ce champ est obligatoire"
				},
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('select2')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		//check validation and submit
		$("#form_new_impostoEditar").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_impostoEditar").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_impostoEditar").find('.submit_button').attr("disabled", true);
				$("#form_new_impostoEditar").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/contabilidade/impostos/impostos_editar.php',
					dataType : 'json',
					data : {
						id_imposto : $("#ModalEdit_ID_Imposto").val(),
						nome_imposto : $("#ModalEdit_nome_imposto").val(),
						valor_imposto : $("#ModalEdit_valor_imposto").autoNumeric('get'),
						regiao_imposto : $("#ModalEdit_regiao_imposto").val(),
						subclasse_imposto : $("#ModalEdit_subclasse_imposto").val(),
						descricao_imposto : $("#ModalEdit_descricao_imposto").val(),
						compte_imposto : $("#ModalEdit_compte_imposto").val(),
						typecompte_imposto : $("#ModalEdit_typecompte_imposto").val(),
						flagPredefinirEdit : flagPredefinirEdit,
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								window.location.href = "../taxes";
							}, 1000);
						}
						$("#form_new_impostoEditar").find('.submit_button').attr("disabled", false);
						$("#form_new_impostoEditar").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Gravar');
					}
				});
			}
		});
		</script>
	</body>
</html>