<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0132']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/tableaux/unites_mesure&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Unités de mesure | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>
			
			<!-- Novo unidade -->
			<div id="modal-unidade" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Nouvelle unité de mesure</h4>
						</div>
						<form id="form_new_unidade" class="form-validate" novalidate="novalidate">
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-8">
										<div class="form-group">
											<label class="control-label">Description<span class="require">*</span></label>
											<input type="text" class="form-control" name="descricao_unidade" id="descricao_unidade">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Acronyme (Max: 5 caractères)<span class="require">*</span></label>
											<input type="text" class="form-control" name="sigla_unidade" id="sigla_unidade" >
										</div>
									</div>
								</div>
								<div class="row mtm hide">
									<div class="col-md-12">
										<div class="form-group">
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="ativar_unidade" id="ativar_unidade" checked>
													Activer ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>
			<!-- Editar unidade -->
			<div id="modal-unidade-edit" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Modifier la unité de mesure</h4>
						</div>
						<form id="form_new_unidadeEditar" class="form-validate" novalidate="novalidate">
							<input type="hidden" value="" id="ModalEdit_id_unidade" />
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-8">
										<div class="form-group">
											<label class="control-label">Description<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_descricao_unidade" id="ModalEdit_descricao_unidade">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label class="control-label">Acronyme (Max: 5 caractères)<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_sigla_unidade" id="ModalEdit_sigla_unidade" >
										</div>
									</div>
								</div>
								<div class="row mtm hide">
									<div class="col-md-12">
										<div class="form-group">
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="ModalEdit_ativar_unidade" id="ModalEdit_ativar_unidade" checked>
													Activer ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<?php if (hasPermission(['P0135']) == 1) { ?>
							<button type="button" data-target="#modal-unidade" data-toggle="modal" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouvelle unité</button>
							<?php } ?>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Tableaux
							</li>
							<li class="active" style="margin-top: 5px;">
								Unités de mesure
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
												<div class="col-md-12">
													<table class="table table-bordered table-striped" id="unidadesTable">
														<thead>
															<tr>
																<th>Description</th>
																<th style="width: 120px;">Acronyme</th>
																<!-- <th style="width: 70px;" class="text-center">Actif</th> -->
																<th style="width: 70px;" class="text-center">Actions</th>
															</tr>
														</thead>
														<tbody></tbody>
													</table>
												</div>
										</div>											
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/iCheck/icheck.min.js"></script>		
		
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.unites_mesure").addClass("active");
		</script>

		<script>
			var flagPredefinir = 0;
			var flagPredefinirEdit = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});
			});
			$(document).ready(function() {

				$("#form_new_unidade")[0].reset();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-red',
					increaseArea : '20%' // optional
				});
				$('input').on('ifChecked', function (event){
				    $(this).closest("input").attr('checked', true);          
				});
				$('input').on('ifUnchecked', function (event) {
				    $(this).closest("input").attr('checked', false);
				});

				fill_unidades();
			});

			//load data
			function fill_unidades() {
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/tableaux/unites_mesure/unidades.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									$.each(dados, function() {
										//process buttons and flags
										var ativoFlag = '<label class="badge badge-success">Oui</label>';
										var btnHtml = '';
										
										if(!this.Ativo) ativoFlag = '<label class="badge badge-danger">Non</label>';
										
										if(this.Sistema) {
											if(this.Ativo) btnHtml +='<a onClick="alterarEstadoUnidade('+this.ID_Unidade+')" class="hide options-link text-violet"><i class="fa fa-ban" title="Désactiver"></i></a>';
											else btnHtml +='<a onClick="hide alterarEstadoUnidade('+this.ID_Unidade+')" class="options-link text-green"><i class="fa fa-check-square-o" title="Activer"></i></a>';
											// btnHtml +='&nbsp;<i class="fa fa-trash text-lightgrey"></i>';
										}else{

											if(this.Ativo) btnHtml +='<a onClick="alterarEstadoUnidade('+this.ID_Unidade+')" class="hide options-link text-violet"><i class="fa fa-ban" title="Désactiver"></i></a>';
											else btnHtml +='<a onClick="alterarEstadoUnidade('+this.ID_Unidade+')" class="hide options-link text-green"><i class="fa fa-check-square-o" title="Activer"></i></a>';

												btnHtml +='<a onClick="editarUnidade('+this.ID_Unidade+')" class="options-link text-yellow"><i class="fa fa-edit" title="Éditer"></i></a>';

											if(!this.Used) {

												btnHtml +='<a onClick="removerUnidade('+this.ID_Unidade+')" class="options-link text-red"><i class="fa fa-trash" title="Supprimer"></i></a>';

											}else {
												
												btnHtml +='<span style="margin: 4px;"><i class="fa fa-trash text-lightgrey"></i></span>';

											}
										}

										//html to add
										var htmlCode = '<tr>';
												htmlCode += '<td>';
													htmlCode += this.Descricao;
												htmlCode += '</td>';
												htmlCode += '<td style="width: 120px;">';
													htmlCode += this.Sigla;
												htmlCode += '</td>';
												// htmlCode += '<td style="width: 70px;" class="text-center">';
												// 	htmlCode += ativoFlag;
												// htmlCode += '</td>';
												htmlCode += '<td style="width: 70px;" class="text-center">';
													htmlCode += btnHtml;
												htmlCode += '</td>';
											htmlCode += '</tr>';

										//append
										$("#unidadesTable tbody").append(htmlCode);
									});
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//change alter state
			function alterarEstadoUnidade(idUnidade){
			<?php if (hasPermission(['P0134']) == 1) { ?>
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/tableaux/unites_mesure/alterar_estado.php',
					dataType : 'json',
					data : {
						idUnidade : idUnidade
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Mise à jour de l'impôt avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						$("#unidadesTable tbody").empty();
						fill_unidades();
					}
				});
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//delete
			function removerUnidade(idUnidade, nome){
			<?php if (hasPermission(['P0133']) == 1) { ?>
				if (confirm("Etes-vous sûr de vouloir supprimer cette unité de mesure ?") == true) {
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/tableaux/unites_mesure/apagar.php',
						dataType : 'json',
						data : {
							idUnidade : idUnidade
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Il n'est pas possible de supprimer cette unité de mesure. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Il n'est pas possible de supprimer cette unité de mesure. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Unité de mesure supprimée avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							$("#unidadesTable tbody").empty();
							fill_unidades();
						}
					});
				} else { return false; }
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			//editar
			function editarUnidade(idUnidade) {
			<?php if (hasPermission(['P0134']) == 1) { ?>
				//clean vars
				$("#ModalEdit_id_unidade").val('');
				$("#ModalEdit_descricao_unidade").val('');
				$("#ModalEdit_sigla_unidade").val('');
				$("#ModalEdit_ativar_unidade").iCheck('uncheck');

				//get Details
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/tableaux/unites_mesure/detalhes.php',
					data : {
						idUnidade : idUnidade
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[TC001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[TC002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data != null) {
									var data = resposta.data;
									$("#ModalEdit_id_unidade").val(data.ID_Unidade );
									$("#ModalEdit_descricao_unidade").val(data.Descricao );
									$("#ModalEdit_sigla_unidade").val(data.Sigla );
									if(data.Ativo == 1)	$('#ModalEdit_ativar_unidade').iCheck('check');
									else $('#ModalEdit_ativar_unidade').iCheck('uncheck');
								} else {
									//clean vars
									$("#ModalEdit_id_unidade").val('');
									$("#ModalEdit_descricao_unidade").val('');
									$("#ModalEdit_sigla_unidade").val('');
									$("#ModalEdit_ativar_unidade").iCheck('uncheck');
								}
							}
						}
					},
					complete : function() {}
				});
				//open modal				
				$('#modal-unidade-edit').modal('show');
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
			}

			// ----------------- FORM PROCESSING ------------------
			/**
			 * Custom validators for letters and numbers only.  Uppercase/lowercase letters and numbers (0-9).
			 */
			$.validator.addMethod("lettersAndNumbersOnly", function (value, element) {
			    return this.optional(element) || /^[a-zA-Z0-9-]+$/i.test(value);
			}, "Entrez uniquement des lettres et des chiffres.");
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valor_imposto = $("#valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");
			/**
			 * Validate Percentage2
			 */
			$.validator.addMethod("percentageValidation2", function (value, element) {
				var valor_imposto = $("#ModalEdit_valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");

			val_form_new = $("#form_new_unidade").validate({
				ignore : "",
				rules : {
					descricao_unidade : {
						required : true,
					},
					sigla_unidade : {
						required : true,
					},
				},
				messages : {
					descricao_unidade : {
						required : "Ce champ est obligatoire"
					},
					sigla_unidade : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

		//check validation and submit
		$("#form_new_unidade").submit(function(e) {
			e.preventDefault();
			<?php if (hasPermission(['P0135']) == 1) { ?>

			var valid = $("#form_new_unidade").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_unidade").find('.submit_button').attr("disabled", true);
				$("#form_new_unidade").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/tableaux/unites_mesure/inserir.php',
					dataType : 'json',
					data : {
						descricao_unidade : $('#descricao_unidade').val(),
						sigla_unidade : $('#sigla_unidade').val(),
						ativar_unidade : $('#ativar_unidade').prop("checked"),
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							//reload
							$("#unidadesTable tbody").empty();
							fill_unidades();

							//close modal				
							$('#modal-unidade').modal('hide');
						}
						$("#form_new_unidade").find('.submit_button').attr("disabled", false);
						$("#form_new_unidade").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Gravar');
					}
				});
			}
			<?php } else {?>
				alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
			<?php } ?>
		});

		/**
		 * -----------------------------------------
		 * 				EDITION FORM
		 * -----------------------------------------
		 */
		val_form_new2 = $("#form_new_unidadeEditar").validate({
			ignore : "",
			rules : {
				ModalEdit_descricao_unidade : {
					required : true,
				},
				ModalEdit_sigla_unidade : {
					required : true,
				},
			},
			messages : {
				ModalEdit_descricao_unidade : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_sigla_unidade : {
					required : "Ce champ est obligatoire"
				},
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('select2')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		//check validation and submit
		$("#form_new_unidadeEditar").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_unidadeEditar").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_unidadeEditar").find('.submit_button').attr("disabled", true);
				$("#form_new_unidadeEditar").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/tableaux/unites_mesure/editar.php',
					dataType : 'json',
					data : {
						idUnidade : $('#ModalEdit_id_unidade').val(),
						descricao_unidade : $('#ModalEdit_descricao_unidade').val(),
						sigla_unidade : $('#ModalEdit_sigla_unidade').val(),
						ativar_unidade : $('#ModalEdit_ativar_unidade').prop("checked"),
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							//reload
							$("#unidadesTable tbody").empty();
							fill_unidades();

							//close modal				
							$('#modal-unidade-edit').modal('hide');
						}
						$("#form_new_unidadeEditar").find('.submit_button').attr("disabled", false);
						$("#form_new_unidadeEditar").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Gravar');
					}
				});
			}
		});
		</script>
	</body>
</html>