<script type="text/javascript">
	//load data
	function fill_vendedor(idVendedor) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/vendedores/detalhes.php',
			dataType : 'json',
			data : { idVendedor : idVendedor },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+processedName+"'";

							//remain fields
							$("#codigo_vendedor").html(dados.Codigo);
							$("#nome_vendedor").html(dados.Nome);
							$("#contacto_vendedor").html(dados.Contacto);

							$('#btns-wrapper').append('&nbsp;<a href="modifier?vendeur='+idVendedor+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');

							if(dados.Usado > 0){
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}else{ 
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarVendedor('+idVendedor+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../vendeurs" class="btn btn-default" type="button"> Annuler </a>');
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//remover
	function eliminarVendedor(idVendedor, nome){
	<?php if (hasPermission(['P0083']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le Vendeur \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/vendedores/apagar.php',
				dataType : 'json',
				data : {
					idVendedor : idVendedor
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer ce vendeur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer ce vendeur. Contactez votre administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Vendeur supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../vendeurs";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>