<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0084']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/vendeurs&redirectto=/frifacturation');
	}
	
	if ($_SESSION['mod_Contratos'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Liste des Vendeurs</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a href="nouveau" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouveau vendeur</a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								Tableaux
							</li>
							<li class="active" style="margin-top: 5px;">
								Liste des vendeurs
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 100px;">Code</th>
											<th style="width: 100px;">Code Int.</th>
											<th>Nom do Vendeur</th>
											<th style="width: 200px;">Téléphone</th>
											<th style="width: 80px;">Options</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('index_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.vendedores_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});
		</script>
	</body>
</html>