<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
	include 'perms_helpers.php';
	
	if (hasPermission(['P0001']) == 1 ) {
	}else{
		header('Location: ../../acces-refuse?redirectfrom=autorisations/roles&redirectto=/parametres');
	}
?>
<html>
	<title>Autorisations: Permissions du Profil | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/iCheck/skins/all.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			.label { font-size: 12px; }
			tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; }
		</style>
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../roles"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../roles">Profils</a>
							</li>
							<li class="active">
								Permissions du Profil
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du Profil
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Nom</label>
															<span id="nome_role" style="display: block"></span>
														</div>
													</div>
												</div>
											</div>
											<h5 class="form-header">
												<legend class="form-legend">
													Autorisations disponibles
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Sélectionnez toutes les autorisations &nbsp;&nbsp;
																<input type="checkbox"  class="iCheck" name="all_checkboxs" id="all_checkboxs">
															</label>&nbsp;&nbsp;
															<button type="button" id="resetBTN" class="btn btn-danger btn-xs"><i class="fa fa-eraser"></i>&nbsp;&nbsp;Effacer toutes</button>
														</div>
													</div>
												</div>

												<div class="row mtl">
													<div class="col-sm-12">
														<div id="accordion" class="panel-group">
														<?php 
															$objectData = getAllPermsList($_GET['role']); 
															$firstOpened = 'in';
															
															//Process list of vars
															foreach ($objectData as $key => $obj) {
														?>
															<div class="panel panel-default">
																<div class="panel-heading">
																	<a data-toggle="collapse" data-parent="#accordion" href="#collapse_<?php echo $key; ?>" style="display:block;" class="">
																		<i class="fa fa-sliders"></i>&nbsp;&nbsp;
																		<?php echo $obj['nome_funcionalidade']; ?>
																	</a>
																</div>
																<div id="collapse_<?php echo $key; ?>" class="panel-collapse collapse <?php echo $firstOpened; ?>" style="border: 1px solid rgb(244, 243, 244);">
																	<div class="panel-body">
																		<div class="row">
																			<?php foreach ($obj['permissoes'] as $keyP => $perm) { ?>
																			<div class="col-sm-6">
																				<label class="control-label">
																					<input type="checkbox"  class="iCheck perms_checkbox" name="perm_<?php echo $perm['id_permission']; ?>" id="perm_<?php echo $perm['id_permission']; ?>" value="<?php echo $perm['id_permission']; ?>" <?php echo $perm['is_checked']; ?> />&nbsp;&nbsp;
																					<?php echo $perm['nome_permission']; ?>
																					<small>(P<?php echo $perm['machinename']; ?>)</small>
																				</label>
																			</div>
																			<?php }	?>
																		</div>
																	</div>
																</div>
															</div>
														<?php $firstOpened = ''; }	?>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-blue submit_button" type="submit" id="submitFormBtn">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../roles" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
		<?php include '../../footer.php';	?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/iCheck/icheck.min.js"></script>
		<script src="/js/vendors/iCheck/custom.min.js"></script>
		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>

		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>
		<script src="/js/vendors/iCheck/icheck.min.js"></script>

		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.autorisations").addClass("active");
			$(".navbar-nav li.autorisations li.autorisations_roles").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }

			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});

			$(document).ready(function() {

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_square-blue',
					increaseArea : '20%' // optional
				});

				//fill select boxes
				var idRole = getParameterByName('role');
				fill_document(idRole);
			});

			//each checkbox listner
			$(document).on('ifChanged', '.perms_checkbox', function(event) {
				if( $(this).is(":checked") ) {}
				else {
					$('input#all_checkboxs').iCheck('uncheck');
					// $('input#all_checkboxs').iCheck('update');
				}
			});

			//all checkbox input
			$(document).on('ifChanged', 'input#all_checkboxs', function(event) {
				if( $('input#all_checkboxs').is(":checked") ) {
					$('input.perms_checkbox').iCheck('check');
					// $('input.perms_checkbox').iCheck('update');
				}
				else {
					// $('input.perms_checkbox').iCheck('uncheck');
					// $('input.perms_checkbox').iCheck('update');
				}
			});

			//clear all the form
			$('#resetBTN').on('click', function(event) {
				$('input').iCheck('uncheck');
				$('input').iCheck('update');
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			//-----------------------------------------------------------
			//						PROCESS FORM
			//-----------------------------------------------------------

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_role : {
						required : true,
					},
				},
				messages : {
					nome_role : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//FORM SUBMIT ---------------------------
			$("#form_new").submit(function(e) {
				var invalid = 0;
				var linesWithArticles = 0;
				var articlesQTD = 0;
				var motives = 0;
				e.preventDefault();

				var idRole = getParameterByName('role');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				}else{
					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//process the lines array
					var linesPermissions = [];
					$("input.perms_checkbox").each(function() {
						//add to array
						if( $(this).is(":checked") ) {
							linesPermissions.push({
								"id_permission" : $(this).val(),
							});
						}
					});

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/server/autorisations/roles/permissions.php',
						dataType : 'json',
						data : {
							idRole : idRole,
							permissions : linesPermissions
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null){
								$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							}
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;

							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);

								//reload
								setTimeout(function() {
									window.location.href = "../roles/permissions.php?role="+resp.responseJSON.role;
								}, 1000);
								
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>

		<script type="text/javascript">
			/**
			 * Get Document Data
			 * @param  idDocument
			 * @return none
			 */
			function fill_document(idDocument){
				$.ajax({
					type : 'POST',
					url : '/server/autorisations/roles/detalhes.php',
					dataType : 'json',
					data : { idDocument : idDocument },
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;

									//fill Data
									$("#nome_role").html(dados.Name);

									//permissions processing
									//TO DO
								}
							}
						}
					},
					complete : function() {
					}
				});
			}
		</script>
	</body>
</html>