<?php 
if($helpersAdminFile == true){}
else { include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php'; }

if($rolesPermsFile == true){}
else { include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php'; }
?>
<div class="col-md-12 mts" >
	<div class="mrm flt-left mtl" align="center">
		<a href="/frifacturation">
			<img  src="<?php echo $_SESSION["brasao_topo"]; ?>" style="max-height: 100px;max-width: 200px;">
		</a>
	</div>

	<div class="col-md-3 ptm" >

		<h4><?php echo $_SESSION["designacao_gesfaturacao"]; ?></h4>

		<p>Bienvenue, <a data-hover="dropdown" href="/parametres/donnes_acces" class="dropdown-toggle" aria-haspopup="true" aria-expanded="false"><?php echo $_SESSION['nome_utilizador']; ?></a>
		</p>

		<p>
			<a href="/frifacturation" class="options-link" ><i class="fa fa-home" aria-hidden="true"></i> <b>FriFacturation</b></a>
		</p>

		<p>
			<a class="options-link" href="/parametres"><i class="fa fa-cogs"></i> Définitions</a> <a class="options-link text-red" href="/server/logout.php"><i class="fa fa-sign-out"></i> Sortir</a> 
		</p>
	</div>

	<div class="flt-right">
		<div class="col-md-12" >
			<?php if (hasPermission(['P0012']) == 1) {
					include $_SERVER["DOCUMENT_ROOT"] . '/quadro.php'; 
				}else{
			?>
				<table class="table table-menu" >
					<tbody>
						<tr>
							<td class="text-center" style="min-width: 500px">
								<h3 class="mtm"><b><?php echo $_SESSION["ano"];?></b></h3>
							</td>
						</tr>
					</tbody>
				</table>
			<?php } ?>
		</div>
	</div>
</div>

<!-- MENU -->
<nav class="navbar navbar-custom">
	<div class="container-fluid" style="padding-left: 0px;padding-right: 0px;">
		<!-- Collect the nav links, forms, and other content for toggling -->
		<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1" style="padding-left: 0px;padding-right: 0px;">
			<ul class="nav nav-settings navbar-nav">
				<li class="home"  >
					<a href="/parametres/">Tableau de bord</a>
				</li>
			

				<li class="donnes_acces">
					<a href="/parametres/donnes_acces">Données Accès</a>
				</li>

				<?php if (hasPermission(['P0001']) == 1) { ?>
					<li class="dropdown autorisations">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Autorisations <span class="caret"></span></a>
						<ul class="dropdown-menu">
							<?php if ($_SESSION['tipo_utilizador'] == 1 ){ ?>
							<li class="autorisations_permissions">
								<a href="/parametres/autorisations/permissions/">Permissions</a>
							</li>
							<?php } ?>
							<li class="autorisations_roles">
								<a href="/parametres/autorisations/roles/">Profils</a>
							</li>
							<?php if ($_SESSION['tipo_utilizador'] == 1 || hasPermission(['P0149']) ){ ?>
							<li class="autorisations_fermeture_mois">
								<a href="/parametres/autorisations/fermeture_mois/">Fermeture du Mois</a>
							</li>
							<?php } ?>
						</ul>
					</li>
				<?php }	?>


				<?php if (hasPermission(['P0002', 'P0003', 'P0004', 'P0005']) == 1) { ?>
					<li class="dropdown utilizador">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Utilisateurs <span class="caret"></span></a>
						<ul class="dropdown-menu">
						<?php if (hasPermission(['P0005']) == 1) { ?>
							<li>
								<a href="/parametres/utilisateurs/">Consulter</a>
							</li>
						<?php } ?>
						<?php if (hasPermission(['P0002']) == 1) { ?>
							<li>
								<a href="/parametres/utilisateurs/nouveau">Nouvelle Inscription</a>
							</li>
						<?php } ?>
						</ul>
					</li>
				<?php } ?>

				<?php if (hasPermission(['P0006']) == 1) { ?>
					<li class="dados_empresa">
						<a href="/parametres/facturation/donnes_societe">Données Société</a>
					</li>
				<?php } ?>

				<?php if (hasPermission(['P0007']) == 1) { ?>
					<?php if ($_SESSION['mod_Contabilidade'] == 1) { ?>
						<li class="dropdown personalizar">
							<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Personnaliser<span class="caret"></span></a>
							<ul class="dropdown-menu">
								<li class="personalizar_documents">
									<a href="/parametres/facturation/personnaliser">Documents</a>
								</li>
								<li class="personalizar_bvr">
									<a href="/parametres/facturation/position_bvr">Position BVR</a>
								</li>
							</ul>
						</li>
					<?php } ?>
				<?php } ?>

				<?php if (hasPermission(['P0008']) == 1) { ?>
					<li class="series">
						<a href="/parametres/facturation/series">Série</a>
					</li>					
				<?php } ?>

				<?php if (hasPermission(['P0009']) == 1) { ?>
					<li class="dropdown modelo">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Modèle d'expédition <span class="caret"></span></a>
						<ul class="dropdown-menu">
							<li class="modelo_factures">
								<a href="/parametres/facturation/modele">Factures</a>
							</li>
							<li class="modelo_devis">
								<a href="/parametres/facturation/modele2">Devis</a>
							</li>
							<li class="modelo_rappels1">
								<a href="/parametres/facturation/modele3">1º rappel</a>
							</li>
							<li class="modelo_rappels2">
								<a href="/parametres/facturation/modele4">2º rappel</a>
							</li>
							<li class="modelo_notescredit">
								<a href="/parametres/facturation/modele5">Notes de crédit</a>
							</li>
						</ul>
					</li>
					<!-- <li class="modelo">
						<a href="/parametres/facturation/modele">Modèle d'expédition</a>
					</li> -->
				<?php } ?>

				<?php if (hasPermission(['P0001']) == 1) { ?>
					<li class="modulos">
						<a href="/parametres/modules">Plan</a>
					</li>
				<?php } ?>

				<?php if (hasPermission(['P0010']) == 1) { ?>
					<li class="sobre">
						<a href="/parametres/facturation/information">Information</a>
					</li>

				<?php } ?>

				<?php
					if (hasPermission(['P0011']) == 1 ) {
						echo '<li class="logs">
								<a href="/parametres/logs">Logs</a>
							</li>';
					}
				?>
			</ul>
		</div>
	</div>
</nav>

<div align="center" class="fullscreen">
	<i class="fa fa-circle-o-notch fa-spin fa-5x fa-fw " style="margin-top: 20%"></i>
</div>