<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0003']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/utilisateurs&redirectto=/parametres');
}
?>
<html>
	<title>Utilisateur | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/iCheck/skins/all.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>
		<script src="/js/vendors/iCheck/icheck.min.js"></script>
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php
			include '../menu.php';
			?>
			<script>
				$(".navbar-nav li.utilizador").addClass("active");
			</script>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						
						<div class="pull-right" >

							<a class="text-red only-ic" href="../utilisateurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb">
							<li>
								<a href="../utilisateurs">Utilisateurs</a>
							</li>
							<li class="active">
								Modifier Utilisateur
							</li>
						</ol>
						
						
					</div>
					<div class="panel-body">

						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">

									<form id="form_new" class="form-validate" novalidate="novalidate">

										<div class="row">
											<div class="col-md-12">

												<div class="form-group">
													<label class="control-label">Nom<span class="require">*</span></label>
													<input type="text" name="nome_utilizador" id="nome_utilizador" class="form-control">
												</div>

											</div>
										</div>

										<div class="row">

											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Username<span class="require">*</span></label>
													<input type="text" name="username_utilizador" id="username_utilizador" class="form-control">
												</div>

											</div>

											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Email<span class="require">*</span></label>
													<input type="text" name="email_utilizador" id="email_utilizador" class="form-control">
												</div>

											</div>
										</div>
										<div class="row">
											<div class="col-md-6 hide">

												<div class="form-group">
													<label class="control-label">Code SIIAL<span class="require">*</span></label>
													<input type="text" name="siial_utilizador" id="siial_utilizador" class="form-control">
												</div>

											</div>
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Profil des autorisations<span class="require">*</span></label>
													<select class="form-control selectpicker show-tick" data-header="Sélectionnez" id="perfil_utilizador" name="perfil_utilizador" >
													</select>
												</div>
											</div>
											<div class="col-md-3">

												<div class="form-group">
													<label class="control-label">Code Interne</label>
													<input type="text" name="codigo_vendedor_utilizador" id="codigo_vendedor_utilizador" class="form-control" value="">
												</div>

											</div>

											<div class="col-md-3">
												<label class="control-label">Administrateur</label>
												<div class="form-group" style="margin-left: 0px;margin-top: 3px;">
													<div class="checkbox">
														<input type="checkbox" name="administrador_faturacao" id="administrador_faturacao">
													</div>
												</div>
											</div>
										</div>

										<div class="mtxl pull-right">

											<button class="btn btn-blue submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrement
											</button>
											<a class="btn btn-default" type="button" href="../utilisateurs">Annuler</a>
										</div>

									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

		<?php
			include '../footer.php';
			?>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});
		$(document).ready(function() {

			$("#form_new")[0].reset();

			/**
			 * @plugin Selectpicker
			 */
			$('input[type=checkbox]').iCheck({
				checkboxClass : 'icheckbox_square-blue',
				increaseArea : '20%' // optional
			});

			$(".selectpicker").selectpicker({
				iconBase : 'fa',
				tickIcon : 'fa-check'
			});

			var id_utilizador = getParameterByName('utilisateur');

			fill_utilizador(id_utilizador);
		});
		function getParameterByName(name, url) {
			if (!url)
				url = window.location.href;
			url = url.toLowerCase();
			// This is just to avoid case sensitiveness
			name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
			// This is just to avoid case sensitiveness for query parameter name
			var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
			if (!results)
				return null;
			if (!results[2])
				return '';
			return decodeURIComponent(results[2].replace(/\+/g, " "));
		}

		function fill_utilizador(id_utilizador) {

			$.ajax({
				type : 'POST',
				url : '/server/dados/utilizador.php',
				dataType : 'json',
				data : {
					id_utilizador : id_utilizador
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FTGA9991] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FTGA9992] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null) {
								$.scojs_message("[FTGA9993] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.each(resposta.data, function() {
									$("#nome_utilizador").val(this.nome_utilizador);
									$("#username_utilizador").val(this.username_utilizador);
									$("#email_utilizador").val(this.email_utilizador);
									$("#siial_utilizador").val(this.codigo_siial);
									$("#codigo_vendedor_utilizador").val(this.codigo_vendedor_utilizador);
									if(this.administrador_faturacao) $("#administrador_faturacao").iCheck('check');
									fill_up_permissoes(this.perfil_utilizador);
								});
							}
						}
					}

				},
				complete : function() {
					$(".selectpicker").selectpicker('refresh');
				}
			});

		}

		/**
		 * @Preenche a Combobox coms os Perfis de Permissões da BD
		 */
		function fill_up_permissoes(id_selected) {
			var options = $("#perfil_utilizador");
			$(options).empty();
			var id_distrito;

			$.ajax({
				type : 'POST',
				url : '/server/combobox/utilizador.php',
				data : {
					opcao : 1
				},
				dataType : 'json',
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FTGA9997] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FTGA9998] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).text(this.nome).attr("data-presidente",this.presidente));
							});
						}
					}

				},
				complete : function() {
					if (id_selected != null) {
						$(options).val(id_selected);
					}

					$(options).selectpicker('refresh');

				}
			});
		}

		val_form_new = $("#form_new").validate({
			ignore : "",
			rules : {
				nome_utilizador : {
					required : true
				},
				username_utilizador : {
					required : true
				},
				email_utilizador : {
					required : true,
					email: true
				},
				perfil_utilizador : {
					required : true
				}
			},
			messages : {

				nome_utilizador : {
					required : "Este campo é obrigatório"
				},
				username_utilizador : {
					required : "Este campo é obrigatório"
				},
				email_utilizador : {
					required : "Este campo é obrigatório",
					email: "Email inválido"
				},
				perfil_utilizador : {
					required : "Este campo é obrigatório"
				}

			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		$("#form_new").submit(function() {
			var arrayDepsUser = [];
			var indx = 0;
			//get all selects
			// var selects = $( "select[id^='dep_utilizador_']" );
			// //add them to the array
			// $.each(selects, function() {
			// 	var selectVal = $('#'+this.id).val();
			// 	var checkVal = $('#admin_'+this.id).prop('checked');
			// 	if( selectVal )	arrayDepsUser[indx] = [selectVal,checkVal];
			// 	indx++;
			// });
			//process rest of the form
			var resp = null;
			var valid = $("#form_new").valid();
			if (valid == false) {
				$.scojs_message("Preencha todos os campos", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new").find('.submit_button').attr("disabled", true);
				$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Loading...');
				$.ajax({
					type : 'POST',
					url : '/server/editar/utilizador.php',
					dataType : 'json',
					data : {

						nome_utilizador : $('#nome_utilizador').val(),
						username_utilizador : $('#username_utilizador').val(),
						email_utilizador : $('#email_utilizador').val(),
						codigo_siial : $('#siial_utilizador').val(),
						perfil_utilizador : $('#perfil_utilizador').val(),
						codigo_vendedor_utilizador : $('#codigo_vendedor_utilizador').val(),
						administrador_faturacao: $('#administrador_faturacao').is(":checked"),

						departamentos : arrayDepsUser
					},
					success : function(resposta) {

						if (resposta == null)
							$.scojs_message("[FTGP000] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							resp = resposta;
							if (resposta.errors) {
								$.scojs_message("[" + resposta.type + "] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Utilisateur édité avec succès.", $.scojs_message.TYPE_OK);

							}

						}
					},
					complete : function() {
						if (resp) {
							if (resp.errors == false) {
								setTimeout(function() {
									window.location.href = "../utilisateurs";
								}, 1000);
							}
						}

						$("#form_new").find('.submit_button').attr("disabled", false);
						$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrement');
					}
				});
			}

			return false;

		});
	</script>
</html>