<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0003']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/utilisateurs&redirectto=/parametres');
}
?>
<html>
	<title>Modifier Password | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php
			include '../menu.php';
			?>
			<script>
				$(".navbar-nav li.utilizador").addClass("active");
			</script>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">

						<div class="pull-right" >

							<a class="text-red only-ic" href="../utilisateurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb">
							<li>
								<a href="../utilisateurs">Utilisateurs</a>
							</li>
							<li class="active">
								Modifier Utilisateur
							</li>
						</ol>

					</div>
					<div class="panel-body">

						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">

									<form id="form_new" class="form-validate" novalidate="novalidate">

										<div class="row">
											<div class="col-md-12">

												<div class="form-group">
													<label class="control-label">Nom</label>
													<p class="form-control-static" id="nome_utilizador"></p>
												</div>

											</div>
										</div>

										<div class="row">

											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Username</label>
													<p class="form-control-static" id="username_utilizador"></p>
												</div>

											</div>

											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Email</label>
													<p class="form-control-static" id="email_utilizador"></p>
												</div>

											</div>
										</div>
										<div class="row">
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Profil des autorisations</label>
													<p class="form-control-static" id="perfil_utilizador"></p>

												</div>

											</div>

										</div>

										<div class="row">
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Password<span class="require">*</span></label>
													<input type="password" name="password_utilizador" id="password_utilizador" class="form-control">
												</div>

											</div>
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label">Confirmer Password<span class="require">*</span></label>
													<input type="password" name="password_utilizador2" id="password_utilizador2" class="form-control">
												</div>

											</div>
										</div>

										<div class="mtxl pull-right">

											<button class="btn btn-blue submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrement
											</button>
											<a class="btn btn-default" type="button" href="../utilisateurs">Annuler</a>
										</div>

									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

	<?php
	include '../footer.php';
	?>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});
		$(document).ready(function() {

			$("#form_new")[0].reset();

			var id_utilizador = getParameterByName('utilisateur');

			fill_utilizador(id_utilizador);
		});
		function getParameterByName(name, url) {
			if (!url)
				url = window.location.href;
			url = url.toLowerCase();
			// This is just to avoid case sensitiveness
			name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
			// This is just to avoid case sensitiveness for query parameter name
			var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
			if (!results)
				return null;
			if (!results[2])
				return '';
			return decodeURIComponent(results[2].replace(/\+/g, " "));
		}

		function fill_utilizador(id_utilizador) {

			$.ajax({
				type : 'POST',
				url : '/server/dados/utilizador.php',
				dataType : 'json',
				data : {
					id_utilizador : id_utilizador
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FTGA9999] Ocorreu um erro . Contacte o administrador", $.scojs_message.TYPE_ERROR);

					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FTGA9999] Ocorreu um erro . Contacte o administrador", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null) {
								$.scojs_message("[FTGA9999] Ocorreu um erro . Contacte o administrador", $.scojs_message.TYPE_ERROR);
							} else {

								$.each(resposta.data, function() {

									$("#nome_utilizador").text(this.nome_utilizador);
									$("#username_utilizador").text(this.username_utilizador);
									$("#email_utilizador").text(this.email_utilizador);
									$("#perfil_utilizador").text(this.nome_perfil_utilizador);

								});
							}
						}
					}

				},
				complete : function() {

				}
			});

		}

		val_form_new = $("#form_new").validate({
			ignore : "",
			rules : {
				password_utilizador : {
					required : true
				},
				password_utilizador2 : {
					required : true,
					equalTo : "#password_utilizador"
				}
			},
			messages : {

				password_utilizador : {
					required : "Este campo é obrigatório"
				},
				password_utilizador2 : {
					required : "Este campo é obrigatório",
					equalTo : "Passwords não coincidem"
				}

			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		$("#form_new").submit(function() {
			var resp = null;
			var valid = $("#form_new").valid();
			if (valid == false) {
				$.scojs_message("Preencha todos os campos", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new").find('.submit_button').attr("disabled", true);
	$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Loading...');
				$.ajax({
					type : 'POST',
					url : '/server/editar/password_utilizador.php',
					dataType : 'json',
					data : {

						password_utilizador : $('#password_utilizador').val()

					},
					success : function(resposta) {

						if (resposta == null)
							$.scojs_message("[FTGP000] Ocorreu um erro ao inserir os dados. Contacte o administrador", $.scojs_message.TYPE_ERROR);
						else {
							resp = resposta;
							if (resposta.errors) {
								$.scojs_message("[" + resposta.type + "] Ocorreu um erro ao inserir os dados. Contacte o administrador", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Password do utilizador editada com sucesso.", $.scojs_message.TYPE_OK);

							}

						}
					},
					complete : function() {
						if (resp) {
							if (resp.errors == false) {
								setTimeout(function() {
									window.location.href = "../utilisateurs";
								}, 1000);
							}
						}

						$("#form_new").find('.submit_button').attr("disabled", false);
						$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrement');
					}
				});
			}

			return false;

		});

	</script>
</html>