<?php 
include '../connection.php';
// include '../connection_mysql.php';
// include '../inserir/log.php';

$ano = date("Y");
// $id_utilizador = $_SESSION['id_utilizador'];
$id_utilizador = 2;

//GET LIST OF LOCATIONS TO PROCESS ------------------------------------------
// $monthChecker = date('m');
// if($monthChecker != '01' && $monthChecker != '04' && $monthChecker != '07' && $monthChecker != '10'){
// 	var_dump('Le mois en cours n\'est pas valide pour generer des factures de licences.');
// 	var_dump('--------');
	
// 	die();
// }
$dayChecker = date('d');
if($dayChecker != '01'){
	var_dump('Le jour en cours n\'est pas valide pour generer des factures de licences.');
	var_dump('--------');
	
	die();
}

$licences_list = array();
$response = array();
$response['logs'] = array();
$response['total_locations'] = 0;

//Location facturée
$Qtd_Table = array(
	'Licence facturée: Mensuellement' => 1,
	'Licence facturée: Trimestriellement' => 3,
	'Licence facturée: Annuellement' => 12,
);

//Location trimestres
$Qtd_Table_Trimestres = array(
	'01' => 1, //JAN --> Trimestre: 1
	'02' => 1, //FEV --> Trimestre: 1
	'03' => 1, //MAR --> Trimestre: 1
	'04' => 2, //ABR --> Trimestre: 2
	'05' => 2, //MAI --> Trimestre: 2
	'06' => 2, //JUN --> Trimestre: 2
	'07' => 3, //JUL --> Trimestre: 3
	'08' => 3, //AGO --> Trimestre: 3
	'09' => 3, //SET --> Trimestre: 3
	'10' => 4, //OUT --> Trimestre: 4
	'11' => 4, //NOV --> Trimestre: 4
	'12' => 4, //DEZ --> Trimestre: 4
);

//Licence trimestres
$Qtd_Table_Trimestres_Extenso = array(
	'01' => '1er trimestre', //JAN --> Trimestre: 1
	'02' => '1er trimestre', //FEV --> Trimestre: 1
	'03' => '1er trimestre', //MAR --> Trimestre: 1
	'04' => '2ème trimestre', //ABR --> Trimestre: 2
	'05' => '2ème trimestre', //MAI --> Trimestre: 2
	'06' => '2ème trimestre', //JUN --> Trimestre: 2
	'07' => '3ème trimestre', //JUL --> Trimestre: 3
	'08' => '3ème trimestre', //AGO --> Trimestre: 3
	'09' => '3ème trimestre', //SET --> Trimestre: 3
	'10' => '4ème trimestre', //OUT --> Trimestre: 4
	'11' => '4ème trimestre', //NOV --> Trimestre: 4
	'12' => '4ème trimestre', //DEZ --> Trimestre: 4
);

$query = "SELECT ID_Licence, Debut, Duree, TVA_Exclue_Primeiro, DataTermo, Numero FROM faturacao_licences WHERE Estado IN ('Confirmado', 'Aberto') AND STR_TO_DATE( Debut, '%d/%m/%Y' ) <= STR_TO_DATE( '".date('d/m/Y')."', '%d/%m/%Y' ) ORDER BY Numero";
// var_dump($query);die();
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS000";
		$response["message"] = $stmt -> error;
		die($response);
	}
	$stmt -> bind_result($ID_Licence, $Debut, $Duree, $TVA_Exclue_Primeiro, $DataTermo, $NumeroLicence );
	while ($stmt -> fetch()) {
		$licences_list[] = array(
		        	"ID_Licence" => $ID_Licence,
					"Debut" => $Debut,
					"Duree" => $Duree,
					"TVA_Exclue_Primeiro" => $TVA_Exclue_Primeiro,
					"DataTermo" => $DataTermo,
					"NumeroLicence" => $NumeroLicence,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS000";
	$response["message"] = $sqli_connection -> error;
	die($response);
}
// var_dump($licences_list);die();
//---------------------------------------------------------------------------


//process the locations
foreach ($licences_list as $licence) {
	//prepare date type string
	$newDebut = explode(' ', $licence['Duree']);
	$typeIncrement = 'day';

	switch ($newDebut[1]) {
		case 'jours': $typeIncrement = 'day'; break;
		case 'mois': $typeIncrement = 'month'; break;
		case 'ans': $typeIncrement = 'year'; break;

		default: $typeIncrement = 'day'; break;
	}
	
	//get dates
	$today = date('Y-m-d');
	$todayDateTime = DateTime::createFromFormat('Y-m-d', $today);

	$licenceDate = DateTime::createFromFormat('d/m/Y', $licence['Debut']);
	$finalDate = DateTime::createFromFormat('d/m/Y', $licence['Debut']);
	if($licence['Duree'] != 'Indéterminée'){
		$finalDate = $finalDate->modify('+'.$newDebut[0].' '.$typeIncrement);
	}else{
		$finalDate = $finalDate->modify('+10 years');
	}
	// var_dump($licence['Duree'], $finalDate->format('Y-m-d'), $licence['DataTermo']);die();

	if($licence['DataTermo']){
		$finalDateTermo = DateTime::createFromFormat('d/m/Y', $licence['DataTermo']);
		if($finalDate->format('Y-m-d') >= $finalDateTermo->format('Y-m-d')){
			// var_dump('vai usar a data termo');
			$finalDate = DateTime::createFromFormat('d/m/Y', $licence['DataTermo']);
		}
	}

	// $nextLog = "LICENCE: ".$licence['NumeroLicence']." - Duree: ".$licence['Duree']." - Debut: ".$licence['Debut']." - finalDate: ".$finalDate->format('Y-m-d');

	//only process locations valids
	if($finalDate->format('Y-m-d') >= $today){
		// $num_months = $Qtd_Table[$licence['TVA_Exclue_Primeiro']];
		// $num_months = 3;
		$num_months = $Qtd_Table[$licence['TVA_Exclue_Primeiro']];
		$available_months = getAvailableMonths($num_months, $licenceDate);
		// var_dump(in_array(date('m'),$available_months),'<br>');

		// $nextFactureDate = $licenceDate;
		// $nextFactureDate = $nextFactureDate->modify('+'.$num_months.' month');

		// while($nextFactureDate->format('Y-m-d') < $today){
		// 	$nextFactureDate = $nextFactureDate->modify('+'.$num_months.' month');
		// }

		// if($nextFactureDate->format('Y-m') == $today){
		// 	$nextLog = processLicence($licence['ID_Licence'],$id_utilizador, $num_months);
		// 	$response['logs'][] = $nextLog;
		// 	insert_log(0,"Inserir",$nextLog,$sqli_connection,$id_utilizador);
			
		// 	$response["total_locations"]++;
		// }
		
		//calculate months to generate if contract ends before trimester ends
		// $lastMonthTrimestre = date('Y-m');
		// switch ($Qtd_Table_Trimestres[$todayDateTime->format('m')]) {
		// 	case 1:
		// 		$lastMonthTrimestre = date('Y').'-03';
		// 		break;
		// 	case 2:
		// 		$lastMonthTrimestre = date('Y').'-06';
		// 		break;
		// 	case 3:
		// 		$lastMonthTrimestre = date('Y').'-09';
		// 		break;
		// 	case 4:
		// 		$lastMonthTrimestre = date('Y').'-12';
		// 		break;
			
		// 	default: break;
		// }
		
		if(in_array(date('m'),$available_months)){
			$today2 = date('Y-m').'-01';
			$todayDateTime2 = DateTime::createFromFormat('Y-m-d', $today2);

			$lastmonth = $todayDateTime2;
			$lastmonth = $lastmonth->modify('+'.$num_months.' month');

			//process n_months
			// $lastmonth = $nextFatDate;

			// var_dump($num_months.' - fdate: '.$finalDate->format('Y-m-d').' - ldate: '.$lastmonth->format('Y-m-d'));
			if($finalDate->format('Y-m') < $lastmonth->format('Y-m')){
				$lMonth = $lastmonth->format('m');
				$lMonthFinal = $finalDate->format('m');
				$remainMonths = $lMonth - $lMonthFinal;
				$num_months = $num_months - $remainMonths;
			}
			// var_dump($num_months.' - fdate: '.$finalDate->format('Y-m-d').' - ldate: '.$lastmonth->format('Y-m-d'));die();
			$periodLastDate = DateTime::createFromFormat('d/m/Y', date('d/m/Y'));
			$periodLastDate = $periodLastDate->modify('+'.$num_months.' month');
			
			if( $num_months > 0 ){
				// gerenate new invoice
				// $nextLog .= " || Per: ".$Qtd_Table[$licence['TVA_Exclue_Primeiro']]." - Rem_Mon: ".$num_months." - Per_LastDate: ".$periodLastDate->format('m/Y')." - LastMonthCicle: ".$lastmonth->format('Y-m-d');
				$nextLog = processLicence($licence['ID_Licence'],$id_utilizador, $num_months, $periodLastDate->format('m/Y') );
				$response['logs'][] = $nextLog;
				insert_log(0,"Inserir",$nextLog,$sqli_connection,$id_utilizador);
				
				$response["total_locations"]++;
			}
		}
	}
}


//response
// $response["errors"] = false;
// print('Erreurs '.$response["errors"]);
var_dump(' <br><br> ');
var_dump('Total des contrats: '.$response["total_locations"]);
var_dump(' <br>');
var_dump('---------------');
var_dump(' <br><br> ');
var_dump('Logs: ');
var_dump(' <br> ');
foreach ($response['logs'] as $log) {
	var_dump($log);var_dump(' <br>');
}
die();

//Process one location
function processLicence($licence, $id_utilizador, $qtd_location_received, $endDate){
	global $sqli_connection;
	$response = array();

	//GET POST VARS ---------------------------------------------------------
	$idDocumento = $licence;
	$firstTime = 0;

	$codArtigoLoc = 'CL0001';
	$codArtigoEmo = 'CL0002';

	//Location facturée
	$Qtd_Table = array(
		'Licence facturée: Mensuellement' => 1,
		'Licence facturée: Trimestriellement' => 3,
		'Licence facturée: Annuellement' => 12,
	);

	//Location trimestres
	$Qtd_Table_Trimestres = array(
		'01' => 1,  //JAN --> Trimestre: 1
		'02' => 1,  //FEV --> Trimestre: 1
		'03' => 1,  //MAR --> Trimestre: 1
		'04' => 2,  //ABR --> Trimestre: 2
		'05' => 2,  //MAI --> Trimestre: 2
		'06' => 2,  //JUN --> Trimestre: 2
		'07' => 3,  //JUL --> Trimestre: 3
		'08' => 3,  //AGO --> Trimestre: 3
		'09' => 3,  //SET --> Trimestre: 3
		'10' => 4, //OUT --> Trimestre: 4
		'11' => 4, //NOV --> Trimestre: 4
		'12' => 4, //DEZ --> Trimestre: 4
	);

	//Location trimestres
	$Qtd_Table_Trimestres_Label = array(
		'01' => '1er trimestre',  //JAN --> Trimestre: 1
		'02' => '1er trimestre',  //FEV --> Trimestre: 1
		'03' => '1er trimestre',  //MAR --> Trimestre: 1
		'04' => '2ème trimestre',  //ABR --> Trimestre: 2
		'05' => '2ème trimestre',  //MAI --> Trimestre: 2
		'06' => '2ème trimestre',  //JUN --> Trimestre: 2
		'07' => '3ème trimestre',  //JUL --> Trimestre: 3
		'08' => '3ème trimestre',  //AGO --> Trimestre: 3
		'09' => '3ème trimestre',  //SET --> Trimestre: 3
		'10' => '4ème trimestre', //OUT --> Trimestre: 4
		'11' => '4ème trimestre', //NOV --> Trimestre: 4
		'12' => '4ème trimestre', //DEZ --> Trimestre: 4
	);

	//Licence trimestres
	$Qtd_Table_Trimestres_Extenso = array(
		'01' => '1er trimestre', //JAN --> Trimestre: 1
		'02' => '1er trimestre', //FEV --> Trimestre: 1
		'03' => '1er trimestre', //MAR --> Trimestre: 1
		'04' => '2ème trimestre', //ABR --> Trimestre: 2
		'05' => '2ème trimestre', //MAI --> Trimestre: 2
		'06' => '2ème trimestre', //JUN --> Trimestre: 2
		'07' => '3ème trimestre', //JUL --> Trimestre: 3
		'08' => '3ème trimestre', //AGO --> Trimestre: 3
		'09' => '3ème trimestre', //SET --> Trimestre: 3
		'10' => '4ème trimestre', //OUT --> Trimestre: 4
		'11' => '4ème trimestre', //NOV --> Trimestre: 4
		'12' => '4ème trimestre', //DEZ --> Trimestre: 4
	);

	//CHECK EMPTY VARS -------------------------------------------------------
	if ( $idDocumento == '' ) 
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "ID de document incorrect.";
		$response["line"] = "FATS00A";
		return $response;
	}
	//------------------------------------------------------------------------

	//VERIFICA SE PODE SER GERADO --------------------------------------------
	$query = "SELECT Estado FROM faturacao_licences WHERE ID_Licence=?";
	if ( $stmt = $sqli_connection->prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt->execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result($Estado);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	if($Estado == 'Rascunho' || $Estado == 'Anulado' ) {
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FATS003";
		$response["message"] = "Document non valide à générer automatiquement!";
		$response["estado"] = $Estado;
		return $response;
	}
	//-----------------------------------------------------------------------

	//DEFINE VARS -----------------------------------------------------------
	$objectData = array();

	//OBTEM OS DADOS LOCATION -----------------------------------------------
	$query = "SELECT ID_Licence, 
			Numero,
			ID_Cliente,
			EnderecoCliente,
			CodigoPostalCliente,
			CidadeCliente,
			RegiaoCliente,
			EmailCliente,
			PaisCliente,
			(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_licences.ID_Cliente) AS CodigoCliente,
			(SELECT PlanoContas FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_licences.ID_Cliente) AS PlanoContasCliente,
			ID_Vendedor_Primeiro,
			(SELECT Nome FROM faturacao_vendedores WHERE faturacao_vendedores.ID_Vendedor = faturacao_licences.ID_Vendedor_Primeiro) AS VendedorPrimeiro,
			ID_Vendedor_Segundo,
			Data,
			Debut,
			Duree,
			Paiment,
			Referencia,
			Remarque,
			Location_Mensuelle,
			Emolument_Admin,
			TVA_Exclue_Primeiro,
			TVA_Exclue_Segundo,
			Estado,
			DataCriacao,
			ID_Utilizador_Criacao,
			DataAtualizacao,
			ID_Utilizador_Atualizacao
			FROM faturacao_licences WHERE ID_Licence=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		        	$objectData['ID_Licence'],
		        	$objectData['Numero'],
		        	$objectData['ID_Cliente'],
		        	$objectData['EnderecoCliente'],
		        	$objectData['CodigoPostalCliente'],
		        	$objectData['CidadeCliente'],
		        	$objectData['RegiaoCliente'],
		        	$objectData['EmailCliente'],
		        	$objectData['PaisCliente'],
		        	$objectData['CodigoCliente'],
		        	$objectData['PlanoContasCliente'],
		        	$objectData['ID_Vendedor_Primeiro'],
		        	$objectData['VendedorPrimeiro'],
		        	$objectData['ID_Vendedor_Segundo'],
		        	$objectData['Data'],
		        	$objectData['Debut'],
		        	$objectData['Duree'],
		        	$objectData['Paiment'],
		        	$objectData['Referencia'],
		        	$objectData['Remarque'],
		        	$objectData['Location_Mensuelle'],
		        	$objectData['Emolument_Admin'],
		        	$objectData['TVA_Exclue_Primeiro'],
		        	$objectData['TVA_Exclue_Segundo'],
		        	$objectData['Estado'],
		        	$objectData['DataCriacao'],
		        	$objectData['ID_Utilizador_Criacao'],
		        	$objectData['DataAtualizacao'],
		        	$objectData['ID_Utilizador_Atualizacao']
				);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS005";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//-----------------------------------------------------------------------
	
	//OBTEM OS DADOS ARTIGO LICENCE -----------------------------------------
	$query = "SELECT ProductCode,
		ProductDescription,
		ID_Artigo
		FROM faturacao_licences_linhas WHERE ID_Licence=? ORDER BY NumeroLinha ASC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		        	$objectData['P_ProductCode'],
		        	$objectData['P_ProductDescription'],
		        	$objectData['P_ID_Artigo']
				);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS005";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//-----------------------------------------------------------------------

	//GET ARTICLES DETAILS --------------------------------------------------
	$artigo_location = array();

	$query = "SELECT ID_Artigo,
		Codigo, 
		Nome, 
		Tipo,
		PrecoPVP,
		Preco,
		ID_Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
		ID_Imposto_Fornecedor,
		(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
		PlanoContas,
		PlanoContasCompras,
		SerialNumber,
		(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
		(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
		(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
		(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
		FROM faturacao_artigos WHERE Codigo=?";

	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("s", $codArtigoLoc);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS006";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $artigo_location['ID_Artigo'],
		    $artigo_location['Codigo'],
		    $artigo_location['Nome'],
		    $artigo_location['Tipo'],
		    $artigo_location['PrecoPVP'],
		    $artigo_location['PrecoUn'],
		    $artigo_location['ID_Imposto'],
		    $artigo_location['ValorIVA'],
		    $artigo_location['ID_Imposto_Fornecedor'],
		    $artigo_location['Unidade'],
		    $artigo_location['PlanoContas'],
		    $artigo_location['PlanoContasCompras'],
		    $artigo_location['SerialNumber'],
		    $artigo_location['TaxType'],
		    $artigo_location['TaxCountryRegion'],
		    $artigo_location['TaxCode'],
		    $artigo_location['PlanoContasTVA']
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS007";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Prepare remaing fields
	$artigo_location['numlinha'] = 1;
	$artigo_location['qtd'] = 1;
	$artigo_location['preco'] = 0;
	$artigo_location['preco_unit'] = 0;
	$artigo_location['TaxPointDate'] = date("Y-m-d");
	$artigo_location['TaxExemptionCode'] = '';
	$artigo_location['TaxExemptionReason'] = '';
	$artigo_location['Desconto'] = 0;
	$artigo_location['settelementAmount'] = 0;
	$artigo_location['retencao'] = 0;
	$artigo_location['DebitAmount'] = 0;
	$artigo_location['TotalLinha'] = 0;
	//Special Name and Code from Licences line 1
	$artigo_location['Codigo'] = $objectData['P_ProductCode'];
	$artigo_location['Nome'] = $objectData['P_ProductDescription'];
	$artigo_location['ID_Artigo'] = $objectData['P_ID_Artigo'];
	//process name
	$mToday = date('m');
	$yToday = date('Y');
	// $artigo_location['Nome'] = $artigo_location['Nome'].', '.$Qtd_Table_Trimestres_Label[$mToday];
	// if($mToday < 4) $artigo_location['Nome'] = $artigo_location['Nome'].' '.($yToday - 1);
	// else $artigo_location['Nome'] = $artigo_location['Nome'].' '.$yToday;
	// $artigo_location['Nome'] = $artigo_location['Nome'].', période '.date('m/Y').' à '.$endDate.'';

	//process name
	$artigo_location['Custom_Description'] = $objectData['P_ProductDescription'];
	$objectData['CustomDescArtigos'] = '';

	switch ( $Qtd_Table[ $objectData['TVA_Exclue_Primeiro'] ] ) {
		case 1:
			$objectData['CustomDescArtigos'] = ' - '.date_french_ByElement($objectData['Debut'], 'd/m/Y', 'M').' '.date_french_ByElement($objectData['Debut'], 'd/m/Y', 'Y');
			break;
		case 3:
			$DebutDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
			// $mDebut = $DebutDt->format('m');
			$mDebut = date('m');
			$objectData['CustomDescArtigos'] = ' - '.$Qtd_Table_Trimestres_Extenso[$mDebut];
			break;
		case 12:
			$DebutDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
			$beginDate = $DebutDt->format('d.m.Y');
			$EndDt = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
			$EndDt->modify('+1 year');
			$EndDt->modify('-1 day');
			$endDate = $EndDt->format('d.m.Y');
			$objectData['CustomDescArtigos'] = ' - période du '.$beginDate.' U '.$endDate;
			break;

		default: break;
	}
	$artigo_location['Custom_Description'] .= $objectData['CustomDescArtigos'];
	

	//------------------------
	$artigo_emolument = array();

	$query = "SELECT ID_Artigo,
		Codigo, 
		Nome, 
		Tipo,
		PrecoPVP,
		Preco,
		ID_Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
		ID_Imposto_Fornecedor,
		(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
		PlanoContas,
		PlanoContasCompras,
		SerialNumber,
		(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
		(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
		(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
		(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
		FROM faturacao_artigos WHERE Codigo=?";

	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("s", $codArtigoEmo);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS008";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $artigo_emolument['ID_Artigo'],
		    $artigo_emolument['Codigo'],
		    $artigo_emolument['Nome'],
		    $artigo_emolument['Tipo'],
		    $artigo_emolument['PrecoPVP'],
		    $artigo_emolument['PrecoUn'],
		    $artigo_emolument['ID_Imposto'],
		    $artigo_emolument['ValorIVA'],
		    $artigo_emolument['ID_Imposto_Fornecedor'],
		    $artigo_emolument['Unidade'],
		    $artigo_emolument['PlanoContas'],
		    $artigo_emolument['PlanoContasCompras'],
		    $artigo_emolument['SerialNumber'],
		    $artigo_emolument['TaxType'],
		    $artigo_emolument['TaxCountryRegion'],
		    $artigo_emolument['TaxCode'],
		    $artigo_emolument['PlanoContasTVA']
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS009";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Prepare remaing fields
	$artigo_emolument['numlinha'] = 2;
	$artigo_emolument['qtd'] = 1;
	$artigo_emolument['preco'] = 0;
	$artigo_emolument['preco_unit'] = 0;
	$artigo_emolument['TaxPointDate'] = date("Y-m-d");
	$artigo_emolument['TaxExemptionCode'] = '';
	$artigo_emolument['TaxExemptionReason'] = '';
	$artigo_emolument['Desconto'] = 0;
	$artigo_emolument['settelementAmount'] = 0;
	$artigo_emolument['retencao'] = 0;
	$artigo_emolument['DebitAmount'] = 0;
	$artigo_emolument['TotalLinha'] = 0;

	//process name
	$artigo_emolument['Custom_Description'] = $artigo_emolument['Nome'];
	$artigo_emolument['Custom_Description'] .= $objectData['CustomDescArtigos'];
	//-----------------------------------------------------------------------

	//CHECK IF ARTICLES EXISTS OR GIVE ERROR --------------------------------
	if( !isset($artigo_emolument['ID_Artigo']) || $artigo_emolument['ID_Artigo'] < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Les articles de location n'existent pas.";
		$response["line"] = "FATS010";
		return $response;
	}
	if( !isset($artigo_location['ID_Artigo']) || $artigo_location['ID_Artigo'] < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Les articles de location n'existent pas.";
		$response["line"] = "FATS011";
		return $response;
	}

	//PREPARE VARS ----------------------------------------------------------
	$timestamp = microtime(true);
	$systemEntryDate = date("Y-m-d H:i:s");
	$systemEntryDate = str_replace (' ','T',$systemEntryDate);
	$numeroNew = 0;
	$dataNew = date("d/m/Y");

	$dateProcessed = date('Y-m-d', strtotime(" + ".$objectData['Paiment']." days"));
	$validadeNew = DateTime::createFromFormat('Y-m-d', $dateProcessed);
	$validadeNew = $validadeNew->format('d/m/Y');

	$invoiceTypeNew = 'FT';
	$invoiceTypeOrigem = 'LC';
	$totalLiquidadoDocumento = 0;
	$totalLiquidado = 0;
	$estadoNovo = 'Rascunho';
	$idDocOrigem = $idDocumento;
	$referenceDocOrigem = ''.$objectData['Numero'];

	//CLIENT FIELDS
	if( trim($objectData['EnderecoCliente']) == '-' ) $objectData['EnderecoCliente'] = 'Desconhecido';
	if( trim($objectData['CodigoPostalCliente']) == '-' ) $objectData['CodigoPostalCliente'] = 'Desconhecido';
	if( trim($objectData['CidadeCliente']) == '-' ) $objectData['CidadeCliente'] = 'Desconhecido';
	if( trim($objectData['RegiaoCliente']) == '-' ) $objectData['RegiaoCliente'] = 'Desconhecido';
	if( trim($objectData['EmailCliente']) == '-' ) $objectData['EmailCliente'] = 'Desconhecido';
	if( trim($objectData['PaisCliente']) == '-' ) $objectData['PaisCliente'] = 'Desconhecido';

	if( trim($objectData['VendedorPrimeiro']) == '' || $objectData['VendedorPrimeiro'] == null ) $objectData['VendedorPrimeiro'] = '';

	$idMoeda = 1;
	$taxaMoeda = 1;
	$defaultSerie = 0; //select under
	$defaultMetodo = 0;
	$defaultBanco = 0;
	$defaultBancoPlano = 1002;
	$referenciaFatura = 'Contrat de licence n° '.$objectData['Numero'];
	$observacoesFatura = $objectData['Remarque'];
	$Desconto = 0;
	$PercentagemDesconto = 0;
	$TotaRetencao = 0;
	$TotalSDesconto = 0;
	$EACCode = '';
	$CustomerID = $objectData['CodigoCliente'];

	$TaxPayable = 0;
	$NetTotal = 0;
	$GrossTotal = 0;

	$taxaIVA_location = $artigo_location['ValorIVA'] * 0.01;
	$qtd_location = $qtd_location_received;
	// $qtd_location = $Qtd_Table[$objectData['TVA_Exclue_Primeiro']];

	//calcular qtd Location
	// $debutDate = DateTime::createFromFormat('d/m/Y', $objectData['Debut']);
	// $m = $debutDate->format('m');
	// $y = $debutDate->format('Y');
	// $todayYear = date('Y');
	// $todayMonth = date('m');

	// switch ($Qtd_Table_Trimestres[$m]) {
	// 	case 1:
	// 		$qtd_location = 4 - $m;
	// 		break;
	// 	case 2:
	// 		$qtd_location = 7 - $m;
	// 		break;
	// 	case 3:
	// 		$qtd_location = 10 - $m;
	// 		break;
	// 	case 4:
	// 		$qtd_location = 13 - $m;
	// 		break;
		
	// 	default: break;
	// }

	$taxaIVA_emolument = $artigo_emolument['ValorIVA'] * 0.01;
	// $qtd_emolument = $Qtd_Table[$objectData['TVA_Exclue_Primeiro']];


	$artigo_location['qtd'] = $qtd_location;
	//PRIX UNI.
	$artigo_location['preco_unit'] = $objectData['Location_Mensuelle'];
	$NetTotal1 = $qtd_location * $objectData['Location_Mensuelle'];
	$artigo_location['preco'] = $NetTotal1;

	// $artigo_emolument['preco_unit'] = $objectData['Emolument_Admin'];
	// $NetTotal2 = $objectData['Emolument_Admin'];
	// $artigo_emolument['preco'] = $NetTotal2;

	// $NetTotal = $NetTotal1 + $NetTotal2;
	$NetTotal = $NetTotal1;
	//TVA
	$TaxPayable = $NetTotal1 * $taxaIVA_location;
	// $TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

	$artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
	// $artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
	//PRIX TOTAL
	$GrossTotal = $NetTotal + $TaxPayable;

	// if($firstTime == 1){
	// 	//PRIX UNI.
	// 	$NetTotal1 = $objectData['Location_Mensuelle'];
	// 	$artigo_location['preco'] = $NetTotal1;

	// 	$NetTotal2 = $objectData['Emolument_Admin'];
	// 	$artigo_emolument['preco'] = $NetTotal2;

	// 	$NetTotal = $NetTotal1 + $NetTotal2;
	// 	//TVA
	// 	$TaxPayable = $NetTotal1 * $taxaIVA_location;
	// 	$TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

	// 	$artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
	// 	$artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
	// 	//PRIX TOTAL
	// 	$GrossTotal = $NetTotal + $TaxPayable;
	// }else{
		// $artigo_location['qtd'] = $qtd_location;
		// //PRIX UNI.
		// $NetTotal1 = $qtd_location * $objectData['Location_Mensuelle'];
		// $artigo_location['preco'] = $NetTotal1;

		// $NetTotal2 = $objectData['Emolument_Admin'];
		// $artigo_emolument['preco'] = $NetTotal2;

		// $NetTotal = $NetTotal1 + $NetTotal2;
		// //TVA
		// $TaxPayable = $NetTotal1 * $taxaIVA_location;
		// $TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_emolument);

		// $artigo_location['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_location);
		// $artigo_emolument['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_emolument);
		// //PRIX TOTAL
		// $GrossTotal = $NetTotal + $TaxPayable;
	// }

	//rounds
	$NetTotal = round($NetTotal,2);
	$TaxPayable = round($TaxPayable,2);
	$GrossTotal = round($GrossTotal,2);
	$GrossTotal = roundPriceUp($GrossTotal);
	$TotalSDesconto = $NetTotal;

	// var_dump('TotalLinha1 --> '.$artigo_location['TotalLinha'],'<br>','TotalLinha2 --> '.$artigo_emolument['TotalLinha'],'<br>','<br>');
	// var_dump('NetTotal --> '.$NetTotal,'<br>','TaxPayable --> '.$TaxPayable,'<br>','GrossTotal --> '.$GrossTotal);
	// return ;

	//GET SERIES DEFAULT ----------------------------------------------------
	$query = "SELECT ID_Serie FROM faturacao_series ORDER BY Predefinida DESC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011A";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultSerie
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011B";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm SERIE ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Il n'y a pas de série prédéfinie.";
		$response["line"] = "FATS011C";
		return $response;
	}

	//GET METODO DEFAULT ----------------------------------------------------
	$query = "SELECT MetodoPagamento FROM faturacao_personalizar_documentos LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011D";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultMetodo
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011E";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm METODO ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Il n'y a pas de méthode de paiement par défaut";
		$response["line"] = "FATS011F";
		return $response;
	}

	//GET BANCO DEFAULT ----------------------------------------------------
	$query = "SELECT ID_Banco, PlanoContas FROM faturacao_bancos WHERE Ativo = 1 ORDER BY Predefinido DESC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011G";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultBanco, $defaultBancoPlano 
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011H";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm BANCO ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Aucune banque par défaut n'existe";
		$response["line"] = "FATS011I";
		return $response;
	}
	//-----------------------------------------------------------------------

	//INSERT OPEN DOCUMENT --------------------------------------------------
	$query = "INSERT INTO faturacao_faturas(
		ID_Cliente,
		EnderecoCliente,
		CodigoPostalCliente,
		CidadeCliente,
		RegiaoCliente,
		EmailCliente,
		PaisCliente,
		PlanoContas,
		ID_Moeda,
		TaxaMoeda,
		Vendedor,
		Vencimento,
		EnderecoCarga,
		CodigoPostalCarga,
		CidadeCarga,
		RegiaoCarga,
		ID_Serie,
		Numero,
		Data,
		Validade,
		Referencia,
		Observacoes,
		TaxPayable,
		NetTotal,
		GrossTotal,
		SystemEntryDate,
		TimeStampDate,
		Desconto,
		PercentagemDesconto,
		TotaRetencao,
		TotalSDesconto,
		InvoiceType,
		EACCode,
		CustomerID,
		TotalLiquidadoDocumento,
		TotalLiquidado,
		TotalPagar,
		MetodoPagamento,
		ID_Banco,
		PlanoContasBanco,
		Estado,
		ID_Utilizador,
		Tipo_Doc_Origem,
		ID_Doc_Origem,
		Reference,
		Data_Doc_Origem
		) 
		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dsssssssdsssssssddssssssssssssssssssssddsdsdss",
		            $objectData['ID_Cliente'],
		            $objectData['EnderecoCliente'],
		            $objectData['CodigoPostalCliente'],
		            $objectData['CidadeCliente'],
		            $objectData['RegiaoCliente'],
		            $objectData['EmailCliente'],
		            $objectData['PaisCliente'],
		            $objectData['PlanoContasCliente'],
		            $idMoeda,
		            $taxaMoeda,
		            $objectData['VendedorPrimeiro'],
		            $objectData['Paiment'],
		            $objectData['EnderecoCliente'],
		            $objectData['CodigoPostalCliente'],
		            $objectData['CidadeCliente'],
		            $objectData['RegiaoCliente'],
		            $defaultSerie,
		            $numeroNew,
		            $dataNew,
		            $validadeNew,
		            $referenciaFatura,
		            $observacoesFatura,
		            $TaxPayable,
		            $NetTotal,
		            $GrossTotal,
		            $systemEntryDate,
		            $timestamp,
		            $Desconto,
		            $PercentagemDesconto,
		            $TotaRetencao,
		            $TotalSDesconto,
		            $invoiceTypeNew,
		            $EACCode,
		            $CustomerID,
		            $totalLiquidadoDocumento,
		            $totalLiquidado,
		            $GrossTotal,
		            $defaultMetodo,
		            $defaultBanco,
		            $defaultBancoPlano,
		            $estadoNovo,
		            $id_utilizador,
		            $invoiceTypeOrigem,
		            $idDocOrigem,
		            $referenceDocOrigem,
		            $objectData['Data']
		    	);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS012";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS013";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}

	//GET DOCUMENT ID
	$query = "SELECT ID_Fatura FROM faturacao_faturas WHERE TimeStampDate = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("s", $timestamp);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FATS014";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result($idFaturaNew);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FATS015";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	if( $idFaturaNew < 1){
		$response["errors"] = true;
		$response["type"] = "FATS016";
		$response["message"] = "Une erreur s'est produite lors de la création de la facture.";
		return $response;
	}
	//------------------------------------------------------------------------

	//PROCESS THE LINES (1) --------------------------------------------------
	$query = "INSERT INTO faturacao_faturas_linhas (
			ID_Fatura, 
			NumeroLinha, 
			ID_Artigo, 
			ProductCode, 
			ProductDescription, 
			Quantidade, 
			UnidadeMedida, 
			PrecoUnitario, 
			TaxPointDate, 
			Descricao, 
			SerialNumber, 
			ID_Imposto, 
			TaxType, 
			TaxCountryRegion, 
			TaxCode, 
			TaxPercentage, 
			TaxExemptionReason, 
			TaxExemptionCode, 
			DescontoLinha, 
			CreditAmount, 
			DebitAmount, 
			SettlementAmount, 
			ValorRetencao, 
			PercentagemRetencao, 
			TotalLinha, 
			TotalLinhaSIVA, 
			PlanoContas, 
			PlanoContasTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddssssssssdssssssssssssssss", 
		        $idFaturaNew, 
		        $artigo_location['numlinha'], 
		        $artigo_location['ID_Artigo'], 
		        $artigo_location['Codigo'], 
		        $artigo_location['Nome'], 
		        $artigo_location['qtd'], 
		        $artigo_location['Unidade'], 
		        $artigo_location['preco_unit'], 
		        $artigo_location['TaxPointDate'], 
		        $artigo_location['Custom_Description'], 
		        $artigo_location['SerialNumber'], 
		        $artigo_location['ID_Imposto'], 
		        $artigo_location['TaxType'], 
		        $artigo_location['TaxCountryRegion'], 
		        $artigo_location['TaxCode'], 
		        $artigo_location['ValorIVA'], 
		        $artigo_location['TaxExemptionReason'], 
		        $artigo_location['TaxExemptionCode'], 
		        $artigo_location['Desconto'], 
		        $artigo_location['preco'], 
		        $artigo_location['DebitAmount'], 
		        $artigo_location['settelementAmount'], 
		        $artigo_location['retencao'], 
		        $artigo_location['retencao'], 
		        $artigo_location['TotalLinha'], 
		        $artigo_location['preco'], 
		        $artigo_location['PlanoContas'], 
		        $artigo_location['PlanoContasTVA'] 
		    );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS017";
			$response["message"] = $stmt -> error;
			deleteRecord($idFaturaNew);
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS018";
		$response["message"] = $sqli_connection -> error;
		deleteRecord($idFaturaNew);
		return $response;
	}

	//PROCESS THE LINES (2) --------------------------------------------------
	// $query = "INSERT INTO faturacao_faturas_linhas (
	// 		ID_Fatura, 
	// 		NumeroLinha, 
	// 		ID_Artigo, 
	// 		ProductCode, 
	// 		ProductDescription, 
	// 		Quantidade, 
	// 		UnidadeMedida, 
	// 		PrecoUnitario, 
	// 		TaxPointDate, 
	// 		Descricao, 
	// 		SerialNumber, 
	// 		ID_Imposto, 
	// 		TaxType, 
	// 		TaxCountryRegion, 
	// 		TaxCode, 
	// 		TaxPercentage, 
	// 		TaxExemptionReason, 
	// 		TaxExemptionCode, 
	// 		DescontoLinha, 
	// 		CreditAmount, 
	// 		DebitAmount, 
	// 		SettlementAmount, 
	// 		ValorRetencao, 
	// 		PercentagemRetencao, 
	// 		TotalLinha, 
	// 		TotalLinhaSIVA, 
	// 		PlanoContas, 
	// 		PlanoContasTVA) 
	// 		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("dddssssssssdssssssssssssssss", 
	// 	        $idFaturaNew, 
	// 	        $artigo_emolument['numlinha'], 
	// 	        $artigo_emolument['ID_Artigo'], 
	// 	        $artigo_emolument['Codigo'], 
	// 	        $artigo_emolument['Nome'], 
	// 	        $artigo_emolument['qtd'], 
	// 	        $artigo_emolument['Unidade'], 
	// 	        $artigo_emolument['preco_unit'], 
	// 	        $artigo_emolument['TaxPointDate'], 
	// 	        $artigo_emolument['Nome'], 
	// 	        $artigo_emolument['SerialNumber'], 
	// 	        $artigo_emolument['ID_Imposto'], 
	// 	        $artigo_emolument['TaxType'], 
	// 	        $artigo_emolument['TaxCountryRegion'], 
	// 	        $artigo_emolument['TaxCode'], 
	// 	        $artigo_emolument['ValorIVA'], 
	// 	        $artigo_emolument['TaxExemptionReason'], 
	// 	        $artigo_emolument['TaxExemptionCode'], 
	// 	        $artigo_emolument['Desconto'], 
	// 	        $artigo_emolument['preco'], 
	// 	        $artigo_emolument['DebitAmount'], 
	// 	        $artigo_emolument['settelementAmount'], 
	// 	        $artigo_emolument['retencao'], 
	// 	        $artigo_emolument['retencao'], 
	// 	        $artigo_emolument['TotalLinha'], 
	// 	        $artigo_emolument['preco'], 
	// 	        $artigo_emolument['PlanoContas'], 
	// 	        $artigo_emolument['PlanoContasTVA'] 
	// 	    );
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "query";
	// 		$response["line"] = "FATS019";
	// 		$response["message"] = $stmt -> error;
	// 		deleteRecord($idFaturaNew);
	// 		return $response;
	// 	}
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "query";
	// 	$response["line"] = "FATS020";
	// 	$response["message"] = $sqli_connection -> error;
	// 	deleteRecord($idFaturaNew);
	// 	return $response;
	// }
	//------------------------------------------------------------------------


	//log sistema - processo
	$response["errors"] = false;
	$descricao_log ="[CRON] Documents Automatiques: C. Licence (N. ".$objectData['Numero'].") -- Facture (Brouillon ID. ".$idFaturaNew.")";
	$response["message"] = $descricao_log;
	return $response["message"];
}

//remove inserted Enregistrer if gives an error
function deleteRecord($idObject){
	global $sqli_connection;

	//DELETE DB -------------------------------------------------------------
	$query = "DELETE FROM faturacao_faturas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//LINHAS
	$query = "DELETE FROM faturacao_faturas_linhas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM003";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM004";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//----------------------------------------------------------------------
}

//Insert Logs
function insert_log($modulo, $accao, $descricao, $sqli_connection, $id_utilizador) {
	$id_utilizador = $id_utilizador;
	$nome_utilizador = 'CRON JOB';
	$data = date('d/m/Y');
	$hora = date('H:i:s');
	// if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
	// 	$ip = $_SERVER['HTTP_CLIENT_IP'];
	// } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
	// 	$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	// } else {
	// 	$ip = $_SERVER['REMOTE_ADDR'];
	// }
	$ip = "94.46.164.233";

	$query = "Insert into log (ID_Utilizador, Nome, Data, Hora, ID_Modulo, Accao, Descricao, IP) values(?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dsssdsss", $id_utilizador, $nome_utilizador, $data, $hora, $modulo, $accao, $descricao, $ip);
		$stmt -> execute();
		$stmt -> close();
	}
}

//calculate months of faturation ($qtd_months, datetime object)
function getAvailableMonths($num_months, $DebutDate){
	//init vars
	$availableMonths = array();
	$initMonth = $DebutDate->format('m');
	
	$nextDate = date('Y').'-'.$DebutDate->format('m').'-01';
	$nextDate = DateTime::createFromFormat('Y-m-d', $nextDate);

	$endDateCicle = (date('Y')+1).'-'.$DebutDate->format('m').'-01';
	$endDateCicle = DateTime::createFromFormat('Y-m-d', $endDateCicle);

	//calculate size array months
	$sizeArrayMonths = 12 / $num_months;
	$sizeArrayMonths = intval($sizeArrayMonths);

	//return months for year and month licence
	if($num_months == 1) {
		$availableMonths = array('01','02','03','04','05','06','07','08','09','10','11','12');
		
		return $availableMonths;
	}
	if($num_months == 12) {
		$availableMonths = array($initMonth);
		
		return $availableMonths;
	}

	//process other months intervals
	$availableMonths[] = $initMonth;
	while( count($availableMonths) < $sizeArrayMonths ){
		$nextDate = $nextDate->modify('+'.$num_months.' month');

		$availableMonths[] = $nextDate->format('m');
	}

	//return available months
	return $availableMonths;
}

/**
 * Calculate and print extensive date in french
 * @param  $date [ enter date format 2011-01-31 (Y-m-d) ]
 * @return extensive date
 */
function date_french_ByElement($date, $format, $element){
	//init vars
	$week_name = array("Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi");
	$month_name=array("","Janvier","Février","Mars","Avril","Mai","Juin","Juillet","Août",
	"Septembre","Octobre","Novembre","Décembre");

	$finalResult = '';

	//process date using received format
	$tmpDT = DateTime::createFromFormat($format, $date);

	//process element to retreied
	switch ($element) {
		case 'd':
			$finalResult = $tmpDT->format('d');
			break;
		case 'm':
			$finalResult = $tmpDT->format('m');
			break;
		case 'M':
			$month = round( $tmpDT->format('m') );
			$finalResult = strtolower( $month_name[$month] );
			break;
		case 'y':
			$finalResult = $tmpDT->format('y');
			break;
		case 'Y':
			$finalResult = $tmpDT->format('Y');
			break;
		case 'time':
			$finalResult = $tmpDT->format('H:i:s');
			break;
		
		default:
			$finalResult = $tmpDT->format($format);
			break;
	}

	//return result
	return $finalResult;
}

/**
 * Get Custom Rounded UP Value for Invoices (0.05 UP)
 * @param  [float] $valueToRise
 * @return formatted value
 *  
 * Exemple - Facture CHF 2,60 c'est CHF 2,60
 * Exemple - Facture CHF 2,61 c'est CHF 2,60
 * Exemple - Facture CHF 2,62 c'est CHF 2,60
 * Exemple - Facture CHF 2,63 c’est CHF 2,65
 * Exemple - Facture CHF 2,64 c’est CHF 2,65
 * Exemple - Facture CHF 2,65 c’est CHF 2,65
 * Exemple - Facture CHF 2,66 c’est CHF 2,65
 * Exemple - Facture CHF 2,67 c’est CHF 2,65
 * Exemple - Facture CHF 2,68 c'est CHF 2,70
 * Exemple - Facture CHF 2,69 c’est CHF 2,70
 * Exemple - Facture CHF 2,70 c’est CHF 2,70

 */
function roundPriceUp($valueToRise) {
	$finalValue = 0;
	//confirm that the value is rounded
	$roundedValue = round($valueToRise, 2);
	$roundedValue = number_format($roundedValue, 2, '.', '');
	// var_dump($roundedValue);
	//grab last decimal number
	$lastNumber = substr($roundedValue, -1);

	/* === process the last decimal number === */
	
	//when is bigger than 0 and smaller than 3, 
	//it means that the last decimal needs to be replaced by 0 (from 0.00)
	if($lastNumber > 0 && $lastNumber <= 2) {
		$replacement = 0;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 2 and smaller than 8, 
	//it means that the last decimal needs to be replaced by 5 (from 0.05)
	elseif($lastNumber > 2 && $lastNumber <= 7) {
		$replacement = 5;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 7 and smaller than 10, 
	//it meand we need to round up to 1 decimal case
	//and it will return the 1.00 (number rounded 0.05 up) from the number
	elseif($lastNumber > 7 && $lastNumber <=9 ) {
		$finalValue = round($valueToRise, 1);
	}
	else{
		$finalValue = $roundedValue;
	}
	/* =========== /end processing =========== */

	//return final formatted value
	return round($finalValue,2);
}
?>