<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

$idModelo = $_POST['idModelo'];

//CHECK IF VARS ARE NULL OR EMPTY
if (!$idModelo) {
	$idModelo = 1;
}

$query = "SELECT emailcc, Assunto, Texto from faturacao_modelo_email WHERE ID_ModeloEmail=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $idModelo);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($emailcc, $assunto, $texto);
	$stmt -> fetch();
	$data[] = array("emailcc" => $emailcc, "assunto" => $assunto, "texto" => $texto); 
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}


$response["errors"] = false;
$response["data"] = $data;
die(json_encode($response));
?>