<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idDados = 1;

$metodo_pagamento = $_POST['metodo_pagamento'];
$tipo_isencao = $_POST['tipo_isencao'];
$observacoes = $_POST['observacoes'];
$rodape = $_POST['rodape'];
$numero_copias = $_POST['numero_copias'];
$vencimento = $_POST['vencimento'];
$iban = $_POST['iban'];
$swift = $_POST['swift'];

$unidades_medida = $_POST['unidades_medida'];
$num_casas_decimais = $_POST['num_casas_decimais'];

$stockminimo = $_POST['stockminimo'];
$emailrececaostocks = $_POST['emailrececaostocks'];

$plano_cliente = $_POST['plano_cliente'];
$plano_fornecedor = $_POST['plano_fornecedor'];
$plano_artigo_chiffre = $_POST['plano_artigo_chiffre'];
$plano_artigo_prealable = $_POST['plano_artigo_prealable'];
$plano_imposto = $_POST['plano_imposto'];
$plano_banco = $_POST['plano_banco'];

$serie_ws = $_POST['serie_ws'] ? $_POST['serie_ws'] : 0;
$metodo_ws = $_POST['metodo_ws'] ? $_POST['metodo_ws'] : 0;
$banco_ws = $_POST['banco_ws'] ? $_POST['banco_ws'] : 0;

$numero_serie_clic = intval($_POST['numero_serie_clic']) > 0 ? intval($_POST['numero_serie_clic']) : 1;
$numero_serie_cloc = intval($_POST['numero_serie_cloc']) > 0 ? intval($_POST['numero_serie_cloc']) : 1;
$numero_serie_ccon = intval($_POST['numero_serie_ccon']) > 0 ? intval($_POST['numero_serie_ccon']) : 1;
$numero_serie_cach = intval($_POST['numero_serie_cach']) > 0 ? intval($_POST['numero_serie_cach']) : 1;
$numero_serie_rt = intval($_POST['numero_serie_rt']) > 0 ? intval($_POST['numero_serie_rt']) : 1;

//UPDATE DB -------------------------------------------------------------
$query = "UPDATE faturacao_personalizar_documentos SET ";
$query .= "MetodoPagamento=?,";
$query .= "RazaoIsencao=?,";
$query .= "Observacoes=?,";
$query .= "Rodape=?,";
$query .= "NumeroCopias=?,";
$query .= "Vencimento=?,";
$query .= "Iban=?,";
$query .= "Swift=?,";
$query .= "UnidadesMedida=?,";
$query .= "NumCasasDecimais=?,";
$query .= "StockMinimo=?,";
$query .= "SerieWebservices=?,";
$query .= "MetodoPagamentoWebservices=?,";
$query .= "BancoWebservices=?,";
$query .= "EmailRececaoStock=?,";
$query .= "NumeroInicial_CLIC=?,";
$query .= "NumeroInicial_CLOC=?,";
$query .= "NumeroInicial_CCON=?,";
$query .= "NumeroInicial_CACH=?,";
$query .= "NumeroInicial_RT=?";
$query .= " WHERE ID_personalizar=?";

if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("ssssddsssssssssdddddd",
	        $metodo_pagamento,
	        $tipo_isencao,
	        $observacoes,
	        $rodape,
	        $numero_copias,
	        $vencimento,
	        $iban,
	        $swift,
	        $unidades_medida,
	        $num_casas_decimais,
	        $stockminimo,
	        $serie_ws,
	        $metodo_ws,
	        $banco_ws,
	        $emailrececaostocks,
	        $numero_serie_clic,
	        $numero_serie_cloc,
	        $numero_serie_ccon,
	        $numero_serie_cach,
	        $numero_serie_rt,
			$idDados 
	    );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}


$query = "UPDATE faturacao_personalizar_planos_defeito SET PlanoConta = (CASE 
	WHEN Keyword = 'cliente' THEN ? 
	WHEN Keyword = 'fornecedor' THEN ? 
	WHEN Keyword = 'artigo_chiffre' THEN ? 
	WHEN Keyword = 'artigo_prealable' THEN ? 
	WHEN Keyword = 'imposto' THEN ? 
	WHEN Keyword = 'banco' THEN ? 
	END)";

if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dddddd",
	        $plano_cliente,
	        $plano_fornecedor,
	        $plano_artigo_chiffre,
	        $plano_artigo_prealable,
	        $plano_imposto,
	        $plano_banco 
	    );
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------


//log sistema - processo
$descricao_log ="Modification de la personnalisation du documents";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>