<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idDados = isset($_POST['idSerie']) ? intval($_POST['idSerie']) : 0;

//DEFINE VARS ------------------------------------------------------------
// $objectData = array();

if($idDados > 0){
	//GET THE PROCESS --------------------------------------------------------
	$query = "SELECT ID_Serie,
		Nome, 
		Predefinida,
		NumeroInicial_FT,
		NumeroInicial_NC,
		NumeroInicial_GT,
		NumeroInicial_DV,
		NumeroInicial_RG
		FROM faturacao_series WHERE ID_Serie=?;";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDados);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
		    $id_serie,
			$nome,
			$predefinida,
			$numinicial_ft,
			$numinicial_nc,
			$numinicial_gt,
			$numinicial_dv,
			$numinicial_rg
		);
		$stmt -> fetch();
		$stmt -> close();
		$data = array('ID_Serie' => $id_serie,'Nome' => $nome, 'Predefinida' => $predefinida, 'NumeroInicialFT' => $numinicial_ft, 'NumeroInicialNC' => $numinicial_nc, 'NumeroInicialGT' => $numinicial_gt, 'NumeroInicialDV' => $numinicial_dv, 'NumeroInicialRG' => $numinicial_rg);
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	// var_dump($objectData);die();
	$response["data"] = $data;
}else{
	//GET THE PROCESS --------------------------------------------------------
	$query = "SELECT ID_Serie,
		Nome, 
		Predefinida,
		NumeroInicial_FT,
		NumeroInicial_NC,
		NumeroInicial_GT,
		NumeroInicial_DV,
		NumeroInicial_RG
		FROM faturacao_series ORDER BY Nome;";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		// $stmt -> bind_param("d", $idDados);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
		    $id_serie,
			$nome,
			$predefinida,
			$numinicial_ft,
			$numinicial_nc,
			$numinicial_gt,
			$numinicial_dv,
			$numinicial_rg
		);
		while ($stmt -> fetch()) {
			$data[] = array('ID_Serie' => $id_serie,'Nome' => $nome, 'Predefinida' => $predefinida, 'NumeroInicialFT' => $numinicial_ft, 'NumeroInicialNC' => $numinicial_nc, 'NumeroInicialGT' => $numinicial_gt, 'NumeroInicialDV' => $numinicial_dv, 'NumeroInicialRG' => $numinicial_rg);
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	// var_dump($objectData);die();
	$response["data"] = $data;
}

$response["errors"] = false;
die(json_encode($response));

?>