<?php
ob_start();
session_start();
include "connection.php";
// inclui a conexão a database
require_once ('PHPMailer/PHPMailerAutoload.php');

$id_utilizador = $_SESSION['id_utilizadorRESET'];

function generateRandomString($length) {
	$characters = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$charactersLength = strlen($characters);
	$randomString = '';
	for ($i = 0; $i < $length; $i++) {
		$randomString .= $characters[rand(0, $charactersLength - 1)];
	}
	return $randomString;
}

function createSalt() {
	$text = md5(uniqid(rand(), true));
	return substr($text, 0, 3);
}

if ($id_utilizador == "") {
	$response["errors"] = true;
	$response["type"] = 1;
	$response["message"] = "GESA001x";
	die(json_encode($response));
} else {

	$password = $_POST['password'];

	if ($password == "") {
		$response["errors"] = true;
		$response["type"] = 1;
		$response["message"] = "GESA002x";
		die(json_encode($response));
	}

	$hash = hash('sha256', $password);

	$salt = createSalt();
	$password = hash('sha256', $salt . $hash);

	$query = "UPDATE utilizador SET Salt=?, Password=? WHERE ID_Utilizador=?";

	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssd", $salt, $password,$id_utilizador );
		$stmt -> execute();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = 2;
		$response["message"] = "GESA002x";
		die(json_encode($response));
	}

	$query = "DELETE FROM recuperar_password WHERE ID_Utilizador=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $id_utilizador);
		$stmt -> execute();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = 2;
		$response["message"] = "GESA004x";
		die(json_encode($response));
	}

	$response["errors"] = false;
	die(json_encode($response));

}
?>