<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1461,1456,1630,77,1298,1516,1458,1460,1149,767,1399,1456,184,183,182,1687);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	/**
	 * Get Document Data
	 * @param  idDocument
	 * @return none
	 */
	function fill_origens_detalhes(idDocument){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/compras-notas-credito/detalhesOrigem.php',
			dataType : 'json',
			data : { 
				idDocument : idDocument,
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;

							//clean data
							valorLinhas = 0;
							$("#endereco_fornecedor_nota").val('');
							$("#codigopostal_fornecedor_nota").val('');
							$("#regiao_fornecedor_nota").val('');
							$("#cidade_fornecedor_nota").val('');
							$("#pais_fornecedor_nota").val('');
							$("#referencia_nota").val('');
							$("#observacoes_nota").val('');
							$("#vencimento_nota").val('');
							$("#vencimento_nota").selectpicker('refresh');
							$("#desconto_nota").autoNumeric('set', 0);
							$("#desconto_nota").prop('disabled', true);
							$("#data_nota").datepicker().datepicker("setDate", new Date());
							$("#validade_nota").datepicker().datepicker("setDate", new Date());
							$( ".datepicker" ).datepicker("refresh");

							//fill Data
							$("#endereco_fornecedor_nota").val(dados.EnderecoFornecedor);
							$("#codigopostal_fornecedor_nota").val(dados.CodigoPostalFornecedor);
							$("#regiao_fornecedor_nota").val(dados.RegiaoFornecedor);
							$("#cidade_fornecedor_nota").val(dados.CidadeFornecedor);
							$("#pais_fornecedor_nota").val(dados.PaisFornecedor);
							$("#referencia_nota").val(dados.Referencia);
							$("#observacoes_nota").val(dados.Observacoes);
							$("#vencimento_nota").val(dados.Vencimento);
							$("#vencimento_nota").selectpicker('refresh');
							$("#desconto_nota").autoNumeric('set', dados.PercentagemDesconto);
							$("#data_nota").datepicker().datepicker("setDate", dados.Data);
							$("#validade_nota").datepicker().datepicker("setDate", dados.Validade); calculateDataValidade();
							$( ".datepicker" ).datepicker("refresh");
							
							//fill select boxes
							// fill_origens(dados.ID_Documento_Origem, dados.Tipo_Documento_Origem);
							var FornecedorID = $('option:selected', $("#documentoOrigem_nota") ).attr('data-fornecedor');
							fill_fornecedores(FornecedorID);
							// fill_series(dados.ID_Serie);
							fill_moedas(dados.ID_Moeda);
							fill_pagamentos(dados.MetodoPagamento, dados.ID_Banco);
							fill_motivos_nota(0, '');

							//process lines
							$('.articles_lines').remove();
							var idx = 0;
							$.each(dados.linhas, function() {
								// console.log(this);
								addArticleLine(this.artigo, this.imposto, this.motivo, this.PlanoContas);
								var lineID = lastIdLine;

								//enable fields
								$("#descricao_linha_"+lineID).prop('disabled', true);
								$("#qtd_linha_"+lineID).prop('disabled', false);
								$("#preco_linha_"+lineID).prop('disabled', false);
								$("#desc_linha_"+lineID).prop('disabled', false);
								$("#retencao_linha_"+lineID).prop('disabled', true);
								
								// block retencao if nif == 999999990
								// if( $("#nif_fornecedor_nota").val() == '999999990') $("#retencao_linha_"+lineID).prop('disabled', true);
								// else $("#retencao_linha_"+lineID).prop('disabled', true);

								//fill values
								$("select#codigo_linha_"+lineID).val(this.artigo);
								$("select#codigo_linha_"+lineID).attr('data-lnOrig', this.ID_Linha);
								$("select#codigo_linha_"+lineID).prop('disabled', true);
								$("select#codigo_linha_"+lineID).selectpicker('refresh');

								$("select#iva_linha_"+lineID).val(this.imposto);
								$("select#iva_linha_"+lineID).prop('disabled', true);
								$("select#iva_linha_"+lineID).selectpicker('refresh');

								if(this.motivo > 0){
									$("select#motivo_linha_"+lineID).val(this.motivo);
									$("select#motivo_linha_"+lineID).selectpicker('refresh');
								}
								$("select#motivo_linha_"+lineID).prop('disabled', false);
								$("select#motivo_linha_"+lineID).selectpicker('refresh');

								$("#descricao_linha_"+lineID).val(this.descricao);
								$("#qtd_linha_"+lineID).autoNumeric('set', this.qtd);
								$("#unidade_linha_"+lineID).html(this.unidade);
								$("#preco_linha_"+lineID).autoNumeric('set', this.preco);
								$("#desc_linha_"+lineID).autoNumeric('set', this.desconto);
								$("#retencao_linha_"+lineID).autoNumeric('set', this.retencao);

								idx++;
							});

							//calculations
							update_resumeTable();
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	/**
	 * Get Origins docs
	 * @param  lastID doc id
	 * @return select list
	 */
	function fill_origens(lastID = 0) {
		var options = $("select#documentoOrigem_nota");
		$(options).empty();
		var FornecedorID = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 13
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1461]['trad']; ?>"));

							//add element to print autonumeric values
							$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});

							//compras
							var compras = resposta.data.compras;
							$(options).append('<optgroup id="optgrpCompras" label="<?php echo $data[1456]['trad']; ?>"></optgroup>');
							var selectedOpt = false;
							
							if(compras != null){
								$.each(compras, function() {
									if(this.ID_Document == lastID) selectedOpt = true;
									else selectedOpt = false;

									$( "#valorDocTemp" ).autoNumeric('set', this.Valor);
									var valorDoc = $( "#valorDocTemp" ).html();
									$("#optgrpCompras").append($("<option />").val(this.ID_Document).html(this.Numero+" | "+this.Data+" | "+this.Codigo+" - "+this.Fornecedor+" | <?php echo $data[1399]['trad']; ?>: "+valorDoc).attr('data-value', this.Valor).attr('data-fornecedor', this.idFornecedor).attr('selected', selectedOpt) );
								});
							}

							$( "#valorDocTemp" ).remove();
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).selectpicker('refresh');
				// else $(options).val($("select#documentoOrigem_nota option:eq(1)").val());
				$(options).selectpicker('refresh');

				//fill origin details
				// var docID = $('option:selected', $("#documentoOrigem_nota") ).val();
				// fill_origens_detalhes(docID);
			}
		});
	}

	/**
	 * Fill fornecedores
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_fornecedores(lastID = 0) {
		var options = $("select#fornecedor_nota");
		$(options).empty();
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 1
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.ID_Fornecedor).html(this.Codigo+" - "+this.Nome+" "+this.Apelido));

							});
						}
					}
				}
			},
			complete : function() {
				$(options).attr("disabled", true);

				if(lastID != 0) $(options).val(lastID);
				else $(options).val(1);
				$(options).selectpicker('refresh');
				//get the fornecedor details
				if(lastID != 0) getFornecedorDetails(lastID, 1);
				else getFornecedorDetails(1);
			}
		});
	}

	/**
	 * Fill fornecedores
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function getFornecedorDetails(idFornecedor, dismissFields = 0) {
		$("#nif_fornecedor_nota").val('');
		$("#endereco_fornecedor_nota").val('');
		$("#codigopostal_fornecedor_nota").val('');
		$("#regiao_fornecedor_nota").val('');
		$("#cidade_fornecedor_nota").val('');
		$("#pais_fornecedor_nota").val('');
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 2,
				idFornecedor: idFornecedor
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
						} else {
							var dados = resposta.data;
							$("#nif_fornecedor_nota").val(dados.Nif);
							$("#endereco_fornecedor_nota").val(dados.Endereco);
							$("#codigopostal_fornecedor_nota").val(dados.CodigoPostal);
							$("#regiao_fornecedor_nota").val(dados.Regiao);
							$("#cidade_fornecedor_nota").val(dados.Cidade);
							$("#pais_fornecedor_nota").val(dados.Pais);
							if( dismissFields == 0 ){
								$("#vencimento_nota").val(dados.Vencimento);
								$("#vencimento_nota").selectpicker('refresh');
								$("#desconto_nota").autoNumeric('set', dados.Desconto);
							}

							// block retencao if nif == 999999990
							if( $("#nif_fornecedor_nota").val() == '999999990' ){
								$(".lineInputRetencao").prop('disabled', true);
								$(".lineInputRetencao").autoNumeric('set',0);

								//recalculate all
								$(".lineInputRetencao").each(function() {
									var lineID = $(this).attr('data-id-line');
									calculaLinha(lineID);
								});
							}
							else {
								$(".lineInputRetencao").each(function() {
									var lineID = $(this).attr('data-id-line');
									var articleID = $("select#codigo_linha_"+lineID).val();
									// if( articleID < 1) $(".lineInputRetencao").prop('disabled', true);
									// else $(".lineInputRetencao").prop('disabled', false);
									//recalculate all
									calculaLinha(lineID);
								});
							}
						}
					}
				}
			},
			complete : function() {	}
		});
	}

	/**
	 * Fill fornecedores
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_series(lastID = 0) {
		var options = $("select#serie_nota");
		$(options).empty();
		var id_predefinida = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 3
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.ID_Serie).html(this.Nome));
								if(this.Predefinida > 0) id_predefinida = this.ID_Serie;
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else if(id_predefinida > 0) $(options).val(id_predefinida);
				else $(options).val($("select#serie_nota option:eq(1)").val());
				$(options).selectpicker('refresh');
				//get the fornecedor details
				getNextNumber();
			}
		});
	}

	/**
	 * Get the next number for this serie
	 * @return next number to input
	 */
	function getNextNumber(){
		var idSerie = $("select#serie_nota").val();
		$('#numero_nota').val('...');

		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 4,
				idSerie: idSerie
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							$('#numero_nota').val(dados.NextID);
						}
					}
				}
			},
			complete : function() {}
		});
	}

	/**
	 * Fill Motivos Nota
	 * @param  {Number} lastID [description]
	 * @return {[type]}        [description]
	 */
	function fill_motivos_nota(lastID = 0, lastNote = 0) {
		var options = $("select#sugestoes_motivo_nota");
		$(options).empty();
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 14
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.Descricao).html(this.Descricao));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else $(options).val($("select#sugestoes_motivo_nota option:eq(1)").val());
				$(options).selectpicker('refresh');

				//define string in input field
				if(lastNote != 0) $('#motivo_nota').val( lastNote );
				else $('#motivo_nota').val( $(options).val() );
			}
		});
	}

	/**
	 * Fill Pagamentos
	 * @return list
	 */
	function fill_pagamentos(lastID = 0, bankID = 0) {
		var options = $("select#pagamento_nota");
		$(options).empty();
		var defaultID = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 11
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								if( this.Predefinido > 0 ) defaultID = this.ID_Metodo;
								paiement = "";
								switch(this.Nome){
								case 'Cash':
									paiement = "<?php echo $data[184]['trad']; ?>";
									break;
								case 'Virement Bancaire':
									paiement = "<?php echo $data[1687]['trad']; ?>";
									break;
								case 'Carte de Crédit':
									paiement = "<?php echo $data[182]['trad']; ?>";
									break;
								case 'Carte de Débit':
									paiement = "<?php echo $data[183]['trad']; ?>";
									break;
							}
								$(options).append($("<option />").val(this.ID_Metodo).html(paiement).attr('data-bank', this.Banco));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else if(defaultID > 0) $(options).val(defaultID);
				else $(options).val($("select#pagamento_nota option:eq(1)").val());
				$(options).selectpicker('refresh');

				//call the banks
				fill_bancos(bankID);
			}
		});
	}

	/**
	 * Fill Bancos
	 * @return list
	 */
	function fill_bancos(lastID = 0) {
		var options = $("select#banco_nota");
		$(options).empty();
		var defaultID = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 12
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								if( this.Predefinido > 0 ) defaultID = this.ID_Banco;
								$(options).append($("<option />").val(this.ID_Banco).html(this.Nome));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else if(defaultID > 0) $(options).val(defaultID);
				else $(options).val($("select#banco_nota option:eq(1)").val());
				$(options).selectpicker('refresh');

				//active the select or not
				var needBank = Number( $('option:selected', $("select#pagamento_nota") ).attr('data-bank') );
				if(needBank == 1){
					precisaBanco = 1;
					$('#banco_select_nota').show();
				}else{
					precisaBanco = 0;
					$('#banco_select_nota').hide();
				}
			}
		});
	}

	/**
	 * Fill Moedas
	 * @return list
	 */
	function fill_moedas(lastID = 0) {
		var options = $("select#moeda_nota");
		$(options).empty();
		var defaultID = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 5
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								if( this.Predefinido > 0 ) defaultID = this.ID_Moeda;
								$(options).append($("<option />").val(this.ID_Moeda).html(this.Nome).attr('data-simbolo', this.Simbolo).attr('data-iso', this.ISO));
							});
						}
					}
				}
			},
			complete : function() {
				if(lastID != 0) $(options).val(lastID);
				else if(defaultID > 0) $(options).val(defaultID);
				else $(options).val($("select#moeda_nota option:eq(1)").val());
				$(options).selectpicker('refresh');
			}
		});
	}

	/**
	 * Change article
	 * @param  lineID
	 */
	function changeArticle(lineID){
		//get article data
		var articleID = $("select#codigo_linha_"+lineID).val();
		if( articleID < 1){
			$("#descricao_linha_"+lineID).val('');
			$("#qtd_linha_"+lineID).autoNumeric('set', 0);
			$("#unidade_linha_"+lineID).html('UN');
			$("#preco_linha_"+lineID).autoNumeric('set', 0);
			$("#desc_linha_"+lineID).autoNumeric('set', 0);
			$("#retencao_linha_"+lineID).autoNumeric('set', 0);
			$("#total_linha_"+lineID).autoNumeric('set', 0);
			//disable Fields
			$("#descricao_linha_"+lineID).prop('disabled', true);
			$("#qtd_linha_"+lineID).prop('disabled', true);
			$("#preco_linha_"+lineID).prop('disabled', true);
			$("#desc_linha_"+lineID).prop('disabled', true);
			$("#retencao_linha_"+lineID).prop('disabled', true);
			// $("#iva_linha_"+lineID).prop('disabled', true);
			// $("#iva_linha_"+lineID).selectpicker('refresh');
			// $("#motivo_linha_"+lineID).prop('disabled', true);
			
			//taxes calculation
			calculateTaxesLines();
			//update document totals
			updateDocumentTotals();
		}else{
			//disable Fields
			$("#descricao_linha_"+lineID).prop('disabled', false);
			$("#qtd_linha_"+lineID).prop('disabled', false);
			$("#preco_linha_"+lineID).prop('disabled', false);
			$("#desc_linha_"+lineID).prop('disabled', false);
			$("#retencao_linha_"+lineID).prop('disabled', true);
			// $("#iva_linha_"+lineID).prop('disabled', false);
			// $("#iva_linha_"+lineID).selectpicker('refresh');
			// $("#motivo_linha_"+lineID).prop('disabled', false);
			
			// block retencao if nif == 999999990
			// if( $("#nif_fornecedor_nota").val() == '999999990') $("#retencao_linha_"+lineID).prop('disabled', true);
			// else $("#retencao_linha_"+lineID).prop('disabled', false);

			//get data
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/combobox/compras_notas_credito.php',
				dataType : 'json',
				data : { 
					opcao: 9,
					articleID : articleID
				},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FAT9999] <?php echo $data[1630]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FAT9999] <?php echo $data[1630]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null){} 
							else {
								var dados = resposta.data;
								// console.log(dados);
								//processing fields
								$("#descricao_linha_"+lineID).val(dados.Nome);
								$("#qtd_linha_"+lineID).autoNumeric('set', 1);
								$("#unidade_linha_"+lineID).html(dados.Sigla);
								$("#preco_linha_"+lineID).autoNumeric('set', dados.Preco);
								$("#iva_linha_"+lineID).val(dados.ID_Imposto);
								$("#iva_linha_"+lineID).selectpicker('refresh');
								$("#desc_linha_"+lineID).autoNumeric('set', 0);

								// block retencao if nif == 999999990
								if( $("#nif_fornecedor_nota").val() == '999999990') $("#retencao_linha_"+lineID).autoNumeric('set', 0);
								else $("#retencao_linha_"+lineID).autoNumeric('set', dados.Retencao);

								//block <?php echo $data[1423]['trad']; ?> or not
								// if(dados.Tipo == 'S'){
								// 	$("#retencao_linha_"+lineID).prop('disabled', false);
								// }else{
								// 	$("#retencao_linha_"+lineID).autoNumeric('set',0);
								// 	$("#retencao_linha_"+lineID).prop('disabled', true);
								// }

								var subclasse = $('option:selected', $("#iva_linha_"+lineID) ).attr('data-subclasse');
								changeTaxes(lineID, subclasse);
								
								//block fields								
								$("#codigo_linha_"+lineID).prop('disabled', true);
								$("#codigo_linha_"+lineID).selectpicker('refresh');
								$("#iva_linha_"+lineID).prop('disabled', true);
								$("#iva_linha_"+lineID).selectpicker('refresh');
								$("#motivo_linha_"+lineID).prop('disabled', true);
								$("#motivo_linha_"+lineID).selectpicker('refresh');

								//calculations
								calculaLinha(lineID);
							}
						}
					}
				},
				complete : function() {}
			});
		}		
	}

	/**
	 * Calculates values for the article line
	 * @param  lineID
	 * @return values calculated
	 */
	function calculaLinha(lineID){
		//process the retenções field
		var tipo = $('option:selected', $("select#codigo_linha_"+lineID) ).attr('data-tipo');
		// console.log('--------');
		// console.log('tipo: '+tipo);
		// if(tipo != 'S' || $("#nif_fornecedor_nota").val() == '999999990' ){
		// 	$("#retencao_linha_"+lineID).autoNumeric('set',0);
		// 	$("#retencao_linha_"+lineID).prop('disabled', true);
		// 	// console.log('bloqueado');
		// }else{
		// 	$("#retencao_linha_"+lineID).prop('disabled', false);
		// }
		var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
		var preco = Number( $("#preco_linha_"+lineID).autoNumeric('get') );
		var iva = Number( $('option:selected', $("#iva_linha_"+lineID)).attr('data-valor') );
		iva = Number ( (iva * 0.01)+1 );
		var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
		desconto = Number ( (desconto * 0.01) );
		var tmpRet = Number( $("#retencao_linha_"+lineID).autoNumeric('get') );
		var retencao = Number( (tmpRet * 0.01) );
		var total = 0;

		//desconto generico
		var desconto2 = $('#desconto_nota').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//process line totals
		total = qtd * preco;
		total = total * iva;
		total = total - (total * desconto);
		total = total - (total * desconto2);
		// total = total - retencao;
		
		//calc retencao
		total2 = qtd * preco;
		total2 = total2 - (total2 * desconto);
		total2 = total2 - (total2 * desconto2);
		retencao = Number( total2 * retencao );
		// console.log(retencao);
		
		if( isNaN(total) ) {
			setTimeout(function(){
				calculaLinha(lineID);
			}, 500);
		}else{
			$("#total_linha_"+lineID).autoNumeric('set', total);
			var totalProcessed = $("#total_linha_"+lineID).autoNumeric('get');

			//process field background color if negative numbers appear
			if( retencao > totalProcessed ) $("#total_linha_"+lineID).parent().addClass('bg-red').attr('data-status', 'invalid');
			else $("#total_linha_"+lineID).parent().removeClass('bg-red').attr('data-status', 'valid');

			//calculate taxes lines
			calculateTaxesLines();

			//update document totals
			updateDocumentTotals();
		}
	}


	/**
	 * Function to add new line
	 * @return 
	 */
	function addArticleLine(articleID = 0, impostoID = 0, motivoID = 0, planoID = 0){
		lastIdLine++;

		var htmlLine = '<tr class="articles_lines" id="line_'+lastIdLine+'">'+
							'<td style="width:100px; max-width:150px;">'+
								'<select data-id-line="'+lastIdLine+'" class="lineInputArtigo form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="codigo_linha_'+lastIdLine+'" name="codigo_linha_'+lastIdLine+'" >'+
									'<option value="" data-hidden="true"><?php echo $data[77]["trad"]; ?></option>'+
								'</select>'+
							'</td>'+
							'<td style="width:70;" class="<?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">'+
								'<select data-id-line="'+lastIdLine+'" class="lineInputPlano form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="plano_artigo_linha_'+lastIdLine+'" name="plano_artigo_linha_'+lastIdLine+'" >'+
										'<option value="" data-hidden="true"><?php echo $data[1298]["trad"]; ?></option>'+
									'</select>'+
							'</td>'+
							'<td>'+
								'<textarea data-id-line="'+lastIdLine+'" class="lineInputDescricao form-control" id="descricao_linha_'+lastIdLine+'" name="descricao_linha_'+lastIdLine+'" placeholder="..." rows="1"></textarea>'+
							'</td>'+
							'<td style="width:105px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputQTD form-control qtd" id="qtd_linha_'+lastIdLine+'" name="qtd_linha_'+lastIdLine+'" placeholder="0.00" style="width: <?php echo $qtdSizePerc; ?>; display: inline-block;" />'+
								' <span id="unidade_linha_'+lastIdLine+'" style="font-size: 10px; <?php echo $spanStyleOnly; ?>">UN</span>'+
							'</td>'+
							'<td style="width:100px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputPreco form-control moneyBig" id="preco_linha_'+lastIdLine+'" name="preco_linha_'+lastIdLine+'" placeholder="0.00 CHF" />'+
							'</td>'+
							'<td style="width:120px;">'+
								'<select data-id-line="'+lastIdLine+'" class="lineInputChange lineInputImposto form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="iva_linha_'+lastIdLine+'" name="iva_linha_'+lastIdLine+'" >'+
									'<option value="" data-hidden="true"><?php echo $data[1516]["trad"]; ?></option>'+
								'</select>'+
							'</td>'+
							// '<td style="width:120px;">'+
							// 	'<select data-id-line="'+lastIdLine+'" class="lineInputMotivo form-control selectpicker show-tick" data-live-search="true"  data-header="<?php echo $data[1456]['trad']; ?>" id="motivo_linha_'+lastIdLine+'" name="motivo_linha_'+lastIdLine+'" disabled >'+
							// 		'<option value="" data-hidden="true">Motif</option>'+
							// 	'</select>'+
							// '</td>'+
							'<td style="width:80px;">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputDesconto form-control percentage" id="desc_linha_'+lastIdLine+'" name="desc_linha_'+lastIdLine+'" placeholder="0 %" />'+
							'</td>'+
							'<td style="width:80px;" class=" hide">'+
								'<input type="text" data-id-line="'+lastIdLine+'" class="lineInputChange lineInputRetencao form-control percentage" id="retencao_linha_'+lastIdLine+'" name="retencao_linha_'+lastIdLine+'" placeholder="0.00%" />'+
							'</td>'+
							'<td class="text-right" style="width:100px;">'+
								'<span id="total_linha_'+lastIdLine+'" style="display: block" class="money">0</span>'+
							'</td>'+
							'<td style="width:30px; text-align: center;">'+
								'<a class="options-link text-red" onclick="eliminarLinha('+lastIdLine+')" title="Remover Linha"><i class="fa fa-trash"></i></a>'+
							'</td>'+
						'</tr>';
		$('#tbody_artigos').append(htmlLine);

		//init line
		fill_articles(lastIdLine, articleID);
		fill_ivas(lastIdLine, impostoID, motivoID);
		fill_planos(lastIdLine, planoID);
		if(motivoID == 0) fill_motivos(lastIdLine, motivoID);

		//disable the fields of the lines
		$("#descricao_linha_"+lastIdLine).prop('disabled', true);
		$("#qtd_linha_"+lastIdLine).prop('disabled', true);
		$("#preco_linha_"+lastIdLine).prop('disabled', true);
		$("#desc_linha_"+lastIdLine).prop('disabled', true);
		$("#retencao_linha_"+lastIdLine).prop('disabled', true);

		linesListenersInit();

		valorLinhas++;
		update_resumeTable();
	}

	/**
	 * Fill the articles select
	 * @param  select id
	 * @return articles
	 */
	function fill_articles(lineID, articleID = 0){
		var options = $("select#codigo_linha_"+lineID);
		$(options).empty();
		var id_predefinido = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 6,
				articleID : articleID
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('-- Article --'));
							$.each(resposta.data, function() {
								var tokens = this.Codigo+' '+this.Nome+' '+this.CodigoBarras+' '+this.SerialNumber;
								$(options).append( $("<option />").val(this.ID_Artigo).html(this.Codigo+' - '+this.Nome).attr('title',this.Codigo).attr('data-tokens', tokens).attr('data-tipo', this.Tipo) );
							});
						}
					}
				}
			},
			complete : function() {
				if(articleID != 0) $(options).val(articleID);
				else $(options).val($("select#codigo_linha_"+lineID+" option:eq(1)").val());
				$(options).selectpicker('refresh');


				//block fields								
				$("#codigo_linha_"+lineID).prop('disabled', true);
				$("#codigo_linha_"+lineID).selectpicker('refresh');
			}
		});
	}

	/**
	 * Fill the ivas select
	 * @param  select id
	 * @return ivas
	 */
	function fill_ivas(lineID, impostoID = 0, motivoID = 0){
		var options = $("select#iva_linha_"+lineID);
		$(options).empty();
		var id_predefinido = 0;
		var defaultID = 0;
		var isento = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 7
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1458]['trad']; ?>"));

							// $(options).append($("<option />").val(0).text('-- Imposto --'));
							$.each(resposta.data, function() {
								if( this.Predefinido > 0 ) defaultID = this.ID_Imposto;
								if( this.Predefinido > 0 && this.Subclasse == 'ISE' ) isento = 1;
								$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%').attr('data-subclasse', this.Subclasse).attr('data-valor', this.Valor) );
							});
						}
					}
				}
			},
			complete : function() {
				if(impostoID != 0) $(options).val(impostoID);
				else if(defaultID > 0) $(options).val(defaultID);
				else $(options).val($("select#iva_linha_"+lineID+" option:eq(1)").val());
				$(options).selectpicker('refresh');

				// if(isento == 1) $("select#motivo_linha_"+lineID).prop('disabled', false);
				// $("select#motivo_linha_"+lineID).selectpicker('refresh');
				

				//block fields
				$("#iva_linha_"+lineID).prop('disabled', true);
				$("#iva_linha_"+lineID).selectpicker('refresh');

				if(motivoID != 0) {
					fill_motivos(lineID, motivoID);
				}
			}
		});
	}

	/**
	 * Fill the motivos isenção select
	 * @param  select id
	 * @return motivos isenção
	 */
	function fill_motivos(lineID, motivoID = 0){
		var options = $("select#motivo_linha_"+lineID);
		$(options).empty();
		var id_predefinido = 0;
		var defaultID = 0;
		var isento = 0;
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/compras_notas_credito.php',
			dataType : 'json',
			data : { 
				opcao: 8
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1460]['trad']; ?>"));

							$(options).append($("<option />").val(0).text('-- <?php echo $data[1149]["trad"]; ?> --'));
							$.each(resposta.data, function() {
								$descriptionSummary = '';
								if(this.Descricao.length > 20) descriptionSummary = this.Descricao.substr(0,20)+"...";
								else descriptionSummary = this.Descricao;
								$(options).append( $("<option />").val(this.ID_Motivo).html('<small>'+this.Codigo+': '+descriptionSummary+'</small>') );
							});
						}
					}
				}
			},
			complete : function() {
				if(motivoID != 0) $(options).val(motivoID);
				else $(options).val($("select#motivo_linha_"+lineID+" option:eq(1)").val());
				$(options).selectpicker('refresh');

				// if(motivoID < 1) {
				// 	if( $("select#iva_linha_"+lineID).attr('data-subclasse') == 'ISE' ) {
				// 		$("select#motivo_linha_"+lineID).prop('disabled', false);
				// 		$("select#motivo_linha_"+lineID).selectpicker('refresh');
				// 	}
				// 	else {
				// 		$("select#motivo_linha_"+lineID).prop('disabled', true);
				// 		$("select#motivo_linha_"+lineID).val(0);
				// 		$("select#motivo_linha_"+lineID).selectpicker('refresh');
				// 	}
				// }
				

				//block fields
				$("#motivo_linha_"+lineID).prop('disabled', true);
				$("#motivo_linha_"+lineID).selectpicker('refresh');
			}
		});
	}

	/**
	 * Fill the ivas select
	 * @param  select id
	 * @return ivas
	 */
	function fill_planos(lineID, planID = 0){
		var options = $("select#plano_artigo_linha_"+lineID);
		$(options).empty();

		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			dataType : 'json',
			data : {
				opcao : 4
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.codigo+' - '+this.descricao).attr('title',this.codigo));
							});
						}
					}
				}
			},
			complete : function() {
				if(planID != 0) $(options).val(planID);
				else $(options).val( $("select#plano_artigo_linha_"+lineID+" option:eq(1)").val() );
				$(options).selectpicker('refresh');

				//block fields
				$("#plano_artigo_linha_"+lineID).prop('disabled', true);
				$("#plano_artigo_linha_"+lineID).selectpicker('refresh');
			}
		});
	}

	/**
	 * Delete Line
	 * @param  lineID
	 */
	function eliminarLinha(lineID){
		if(valorLinhas < 2){
			alert("<?php echo $data[767]["trad"]; ?>");
		}else{
			valorLinhas--;
			$('#line_'+lineID).remove();

			//calculate taxes lines
			calculateTaxesLines();

			//update document totals
			updateDocumentTotals();
		}
	}

	/**
	 * active or disable taxes selects
	 * @param  lineID   
	 * @param  subclasse
	 * @return none
	 */
	function changeTaxes(lineID, subclasse){
		if(subclasse == 'ISE') {
			$("select#motivo_linha_"+lineID).prop('disabled', false);
			$("select#motivo_linha_"+lineID).selectpicker('refresh');
		}
		else {
			$("select#motivo_linha_"+lineID).prop('disabled', true);
			$("select#motivo_linha_"+lineID).val(0);
			$("select#motivo_linha_"+lineID).selectpicker('refresh');
		}
	}

	/**
	 * Calculate the taxes
	 * @return taxes totals
	 */
	function calculateTaxesLines(){
		//clean table and sum fields
		$('.taxes_lines').remove();
		valorSiva = 0;
		valorIva = 0;

		//desconto generico
		var desconto2 = $('#desconto_nota').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$("select.lineInputImposto").each(function() {
			var ivaID = $(this).val();
			var lineID = $(this).attr('data-id-line');
			var descricaoIVA = $('option:selected', $(this)).html();
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).autoNumeric('get') );
			var iva = Number( $('option:selected', $("#iva_linha_"+lineID)).attr('data-valor') );
			iva = Number ( (iva * 0.01) );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			
			var totalIncidencia = 0;

			//process line totals
			totalIncidencia = qtd * preco;
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto);
			totalIncidencia = totalIncidencia - (totalIncidencia * desconto2);
			totalIVA = totalIncidencia * iva;

			//update resume table fields
			valorSiva += totalIncidencia;
			valorIva += totalIVA;

			//check if line exists or create it
			if( $("#tax_id_"+ivaID).length ){
				var somatorioIncidencia = Number( $("#taxes_incidencia_"+ivaID).attr('data-real-value') );
				var somatorioIVA = Number( $("#taxes_valor_"+ivaID).attr('data-real-value') );
				
				totalIncidencia = totalIncidencia + somatorioIncidencia;
				totalIVA = totalIVA + somatorioIVA;

				$("#taxes_incidencia_"+ivaID).attr('data-real-value', totalIncidencia);
				$("#taxes_valor_"+ivaID).attr('data-real-value', totalIVA);
				$("#taxes_incidencia_"+ivaID).autoNumeric('set', totalIncidencia);
				$("#taxes_valor_"+ivaID).autoNumeric('set', totalIVA);
			}else{

				var htmlLine = '<tr class="taxes_lines" id="tax_id_'+ivaID+'">'+
									'<th class="textCell paddingRight"><span class="" id="taxes_iva_'+ivaID+'">'+descricaoIVA+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_incidencia_'+ivaID+'" data-real-value="'+totalIncidencia+'">'+totalIncidencia+'</span></th>'+
									'<th class="valueCell right paddingLeft"><span class="money" id="taxes_valor_'+ivaID+'" data-real-value="'+totalIVA+'">'+totalIVA+'</span></th>'+
								'</tr>';
				$('.taxes-table').append(htmlLine);
			}

			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
		});
	}

	/**
	 * Update the document totals table
	 * @return totals
	 */
	function updateDocumentTotals(){
		//totals vars
		valorSomatorio = 0;
		valorDescontos = 0;
		valorRetencao = 0;
		// valorSiva;
		// valorIva;
		valorTotal = 0;

		//desconto generico
		var desconto2 = $('#desconto_nota').autoNumeric('get');
		desconto2 = Number ( (desconto2 * 0.01) );

		//run each object
		$(".lineInputDescricao").each(function() {
			var lineID = $(this).attr('data-id-line');
			
			var qtd = Number( $("#qtd_linha_"+lineID).autoNumeric('get') );
			var preco = Number( $("#preco_linha_"+lineID).autoNumeric('get') );
			var desconto = Number( $("#desc_linha_"+lineID).autoNumeric('get') );
			desconto = Number ( (desconto * 0.01) );
			var tmpRet = Number( $("#retencao_linha_"+lineID).autoNumeric('get') );
			var retencao = Number( tmpRet * 0.01 );
			//process line totals for retencao
			total2 = qtd * preco;
			total2 = total2 - (total2 * desconto);
			total2 = total2 - (total2 * desconto2);
			retencao = Number( total2 * retencao );
			// console.log('calc totals: '+retencao);
			
			//process line totals
			var somaTotal = qtd * preco;
			var descontoTotal = somaTotal * desconto;
			var somaDesconto = somaTotal - (somaTotal * desconto);
			descontoTotal = descontoTotal + (somaDesconto * desconto2);

			//update resume table fields
			valorSomatorio += somaTotal;
			valorDescontos += descontoTotal;
			valorRetencao += retencao;
		});
		
		//remain totals
		// valorTotal = (valorSiva + valorIva) - valorRetencao;
		valorTotal = (valorSiva + valorIva);

		//update resume table
		update_resumeTable();

		//if currency != 'CHF'
		calculateCurrencyCambio();
	}

	/**
	 * Update the resume table
	 * @return none
	 */
	function update_resumeTable(){
		$('#valor-linhas').html( valorLinhas );
		$('#valor-somatorio').autoNumeric( 'set', valorSomatorio );
		$('#valor-descontos').autoNumeric( 'set', valorDescontos );
		$('#valor-retencao').autoNumeric( 'set', valorRetencao );
		$('#valor-siva').autoNumeric( 'set', valorSiva );
		$('#valor-iva').autoNumeric( 'set', valorIva );
		$('#valor-total').autoNumeric( 'set', valorTotal );
		return true;
	}

	/**
	 * Init the lines listners
	 * @return none
	 */
	function linesListenersInit(){
		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			vMin:'0',
			mDec : <?php echo $numDecimais; ?>
		});
		$(".moneyBig").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			mDec : <?php echo $numDecimaisPrice; ?>,
			vMin:'0'
		});
		//init elements
		$(".qtd").autoNumeric("init", {
			aSep : '',
			aDec : '.',
			aSign : '',
			pSign : 's',
			mDec : 3,
			vMin:'0'
		});
		//init elements
		$(".percentage").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : '%',
			vMax : '100',
			pSign : 's',
			mDec : 2,
			vMin:'0'
		});

		//change article
		$("select.lineInputArtigo").on('change', function(event){
			var lineID = $(this).attr('data-id-line');
			changeArticle(lineID);
		});
		
		//change tax
		$("select.lineInputImposto").on('change', function(event){
			var lineID = $(this).attr('data-id-line');
			var subclasse = $('option:selected', this).attr('data-subclasse');
			changeTaxes(lineID, subclasse);
		});

		//calculate line --------------------------------------------------
		$(".lineInputChange").on('keyup', function(event){
			var lineID = $(this).attr('data-id-line');
			calculaLinha(lineID);
		});
		$(".lineInputChange").on('change', function(event){
			var lineID = $(this).attr('data-id-line');
			calculaLinha(lineID);
		});
	}

	/**
	 * Change Currency Cambio
	 * @return none
	 */
	function calculateCurrencyCambio(){
		var iso = $('option:selected', $("#moeda_nota") ).attr('data-iso');
		var simbolo = $('option:selected', $("#moeda_nota") ).attr('data-simbolo');
		var valorTaxa = 0;
		var totalMoeda = 0;

		if( iso != 'CHF' ){
			$("#moeda_estrangeira").html('Total en '+simbolo+':');
			// $("valor-moeda-estrangeira");

			$(".moneyCountry").autoNumeric("update", {
				aSign : ' '+simbolo
			});
			if( taxaCambio == 0 || lastSimbolo != simbolo){
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/combobox/compras_notas_credito.php',
					dataType : 'json',
					data : { 
						opcao: 10,
						ISO : iso
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								valorTaxa = Number( resposta.data.rate );
								$("#taxa-cambio").html(valorTaxa);

								//store taxa and simbolo
								taxaCambio = valorTaxa;
								lastSimbolo = simbolo;

								//calculate currency
								totalMoeda = valorTotal * valorTaxa;
								$("#valor-moeda-estrangeira").autoNumeric('set', totalMoeda);
							}
						}
					},
					complete : function() {}
				});
			}else{
				$("#taxa-cambio").html(taxaCambio);

				//calculate currency
				totalMoeda = valorTotal * taxaCambio;
				$("#valor-moeda-estrangeira").autoNumeric('set', totalMoeda);
			}


			$("#linha_moeda_estrangeira").show();
			$("#linha_moeda_estrangeira2").show();
		}else{
			$("#moeda_estrangeira").html('');

			$("#linha_moeda_estrangeira").hide();
			$("#linha_moeda_estrangeira2").hide();
		}
	}
</script>