<?php
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1565,1472,1446,1702,1704,1503,1312,1310,421,1093,1505,1377,1639,1456,661,876,1151,1698);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	//Load records into the table
	function reloadTableLines(compteDe = null, compteAu = null, dateAccuel = null, dateFin = null, firstTime = false){
		//clear previous records
		if(firstTime == false){
			// table.dataTable().fnReloadAjax();
		}

		//process table
		table = $('#table_id').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
			"iDisplayLength" : 100,
			"aaSorting" : [[0, "desc"]],
			"bProcessing" : true,
			"bDestroy" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/frifacturation/server/datatable/movimentos_contabilisticos.php?compteDe="+compteDe+"&compteAu="+compteAu+"&dateAccuel="+dateAccuel+"&dateFin="+dateFin,
			"oLanguage" : {
				"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
				"sZeroRecords" : "<?php echo $data[1446]['trad']; ?>",
				"sInfo" : "<?php echo $data[1702]['trad']; ?>",
				"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "<?php echo $data[1503]['trad']; ?>",
					"sFirst" : "<?php echo $data[1312]['trad']; ?>",
					"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
					"sLast" : "<?php echo $data[421]['trad']; ?>"
				}
			},
			"aoColumns" : [
			null, null, null, null, null, 
			{
				"sClass" : "text-center",
			}, 
			{
				"sClass" : "text-right",
			},
			{
				"bVisible" : true,
				"bSortable" : false,
				"bSearchable" : true,
				"sClass" : "text-center",
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [1],
				"mRender" : function(data, type, full) {
					var element = '';
					var tmp = full[1].split("-");
					var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
					var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
					element = '<span id="data_fatura_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
					//return html
					return element;
				}
			},
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					//return html
					return '<span class="ellipsis" data-size="100">'+full[4]+'</span>';
				}
			},
			{
				"aTargets" : [5],
				"mRender" : function(data, type, full) {
					var element = '';

					//process color
					if(full[5] == 'A') element = '<span class="text-blue"><b>'+full[5]+'</b></span>';
					else element = '<span class="text-yellow"><b>'+full[5]+'</b></span>';

					//return html
					return element;
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					var element = '';
					element ='<span class="money">'+full[6]+'</span>';

					//init elements
					$(".money").autoNumeric("init", {
						aSep : '\'',
						aDec : '.',
						aSign : ' CHF',
						pSign : 's',
						mDec : <?php echo $numDecimais; ?>
					});

					return element;
				}
			},
			{
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
					var nome = "'" + full[0] + " >> "+processedName+"'";
					var html = '';
					
					html += '<a href="modifier?mouvement='+ full[9] +'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]['trad']; ?>"></i></a>';

					html += '<a class="options-link text-red" onclick="eliminarMovimento('+ full[9] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';

					//return all html composed
					return html;
				}
			}
			],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[9]);

				if(aData[10] == 1) $(nRow).find("td:eq(4)").css("font-weight", "bold");

				return nRow;
			},
			"fnDrawCallback" : function(oSettings) {
	            $(".ellipsis").ellipsis(); 
			},
		});

		$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
			$('#table_id tbody tr').removeClass('selected');
			$(this).parent('tr').removeClass('DTTT_selected');
			$(this).parent('tr').addClass('selected');
		});

		$('#table_id_filter input').unbind();

		$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

		$('#table_id_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table.fnFilter(this.value);
			}

		});
		$('#table_id_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table.fnFilter('');
			}
		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}
			return aReturn;
		}
	}
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	//END OF TABLE ---------------------------------------------
	

	/**
	 * Fill Comptes
	 * @return select list
	 */
	function fill_comptes_sels(){
		var options = $("select#compte_de");
		$(options).empty();

		var options2 = $("select#compte_au");
		$(options2).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/mouvements_comptables.php',
			data : {
				opcao : 1 //RESULTAT COMPTES
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);
							
							$(options2).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options).append($('<option />').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});

							//----------------------------------
							
							$(options2).attr("disabled", false);

							$(options2).append($('<option data-hidden="true"/>').val("").text("<?php echo $data[1456]['trad']; ?>"));
							$(options2).append($('<option />').val("").text("<?php echo $data[1456]['trad']; ?>"));

							$.each(resposta.data, function() {
								$(options2).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).trigger('change');
				$(options2).trigger('change');
			}
		});
	}
	// ./ END OF SCRIPTS ---------------------------------------------
	
	//REMOVER
	function eliminarMovimento(idMovimento, nome){
	<?php if (hasPermission(['P0092']) == 1) { ?>
		if (confirm("<?php echo $data[661]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/comptabilite/mouvements/apagar.php',
				dataType : 'json',
				data : {
					idMovimento : idMovimento
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[876]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[876]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1151]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							// location.reload();
							window.location.href = "../mouvements";
						}, 1500);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
</script>