<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0049']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/fournisseurs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
	if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(717,1093,1117,523,252,1531,1186,1175,1313,1145,1186,1056,1057,35,1288,260,1990,1398,1684,1299,429,1622,165,1688,1689,763,135,123,279,1253,298,543,1526,1701,1417,764,678,1078,284,1389,43,1617,1167,377,392,1542,578,697,428,1485,1564,1263,454);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[717]['trad']; ?>: <?php echo $data[428]['trad']; ?> | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../fournisseurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../fournisseurs"><?php echo $data[717]['trad']; ?></a>
							</li>
							<li class="active">
								<?php echo $data[454]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-md-8">
												<h5 class="form-header">
													<legend class="form-legend">
														<?php echo $data[523]['trad']; ?>
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label"><?php echo $data[252]['trad']; ?></label>
																<span id="codigo_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-2">
															<!-- <div class="form-group">
																<label class="control-label">VAT</label>
																<span id="nif_fornecedor" style="display: block"></span>
															</div> -->
															<div class="form-group">
																<label class="control-label"><?php echo $data[1531]['trad']; ?></label>
																<span id="titulo_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1186]['trad']; ?></label>
																<span id="nome_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1313]['trad']; ?></label>
																<span id="apelido_fornecedor" style="display: block"></span>
															</div>
														</div>
													</div>

													<div class="row mtm">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label"><?php echo $data[35]['trad']; ?></label>
																<span id="endereco_fornecedor" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1288]['trad']; ?></label>
																<span id="pais_fornecedor" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row mtm">
														<div class="col-sm-6 col-md-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[260]['trad']; ?></label>
																<span id="codigopostal_fornecedor" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-4 hide">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1398]['trad']; ?></label>
																<span id="regiao_fornecedor" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-8">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1684]['trad']; ?></label>
																<span id="cidade_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div>
													<!-- <div class="row mtm">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Grupo de Fornecedores</label>
																<span id="grupo_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div> -->
													<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1299]['trad']; ?></label>
																<span id="plano_fornecedor" style="display: block"></span>
															</div>
														</div>	
													</div>
												</div>
											</div>
											<div class="col-md-4 text-center">
												<div class="row mbm mtm">
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b><?php echo $data[1564]['trad']; ?>:</b></h4><br>
															<p class="text-green" style="font-size: 18px;">
																<b><span class="moneyTotal" id="chiffre_value">0</span></b>
															</p>
														</div>
													</div>
													<p>&nbsp;</p>
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b><?php echo $data[1485]['trad']; ?>:</b></h4><br>
															<p id="solde_value_wrapper" class="" style="font-size: 18px;">
																<b><span class="moneyTotal" id="solde_value">0</span></b>
															</p>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[429]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1622]['trad']; ?></label>
															<span id="new_tipopagamento_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label"><?php echo $data[763]['trad']; ?></label>
															<span id="new_iban_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[135]['trad']; ?></label>
															<span id="new_bicswift_fornecedor" style="display: block"></span>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[123]['trad']; ?></label>
															<span id="new_banco_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[279]['trad']; ?></label>
															<span id="new_contapostal_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3 hide">
														<div class="form-group">
															<label class="control-label"><?php echo $data[764]['trad']; ?></label>
															<span id="new_bvr_fornecedor" style="display: block"></span>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1253]['trad']; ?></label>
															<span id="new_numconta_fornecedor" style="display: block"></span>
														</div>
													</div>
												</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[298]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[543]['trad']; ?></label>
														<span id="email_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="tlm_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1701]['trad']; ?></label>
														<span id="website_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="tlf_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label"><?php echo $data[697]['trad']; ?></label>
														<span id="fax_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[1417]['trad']; ?> 
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
														<thead>
															<tr>
																<!-- <th style="width: 100px;">Code</th> -->
																<th><?php echo $data[1175]['trad']; ?></th>
																<th><?php echo $data[1990]['trad']; ?></th>
																<th style="width: 200px;"><?php echo $data[1526]['trad']; ?></th>
																<th style="width: 200px;"><?php echo $data[543]['trad']; ?></th>
																<!-- <th style="width: 80px;">Options</th> -->
															</tr>
														</thead>
														<tbody>
														</tbody>
													</table>
												</div>
											</div>
										</div>

										<h5 class="form-header hide">
											<legend class="form-legend">
												<?php echo $data[295]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form hide">
											<div class="row">
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
														<span id="preferencial_nome_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[543]['trad']; ?></label>
														<span id="preferencial_email_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="preferencial_tlm_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="preferencial_tlf_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[678]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-6 col-md-3 hide">
													<div class="form-group">
													<label class="control-label">Conta Corrente</label>
													<span id="contacorrente_fornecedor" style="display: block"></span>
												</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1078]['trad']; ?></label>
														<span id="pagamento_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[284]['trad']; ?></label>
														<span id="vencimento_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1389]['trad']; ?> (%)</label>
														<span id="desconto_fornecedor" class="percentage" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<!-- Documentos Associados -->
										<div class="panel panel-default mtm" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse0" style="display:block;font-weight: bold;" disabled="disabled"><?php echo $data[43]['trad']; ?> <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse0" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="documentsAssociados" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th ><?php echo $data[1617]['trad']; ?></th>
																		<th style="width: 100px;"><?php echo $data[1167]['trad']; ?></th>
																		<th style="width: 80px;"><?php echo $data[377]['trad']; ?></th>
																		<th style="width: 110px;"><?php echo $data[392]['trad']; ?></th>
																		<th style="width: 90px;"><?php echo $data[1542]['trad']; ?>&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 90px;"><?php echo $data[1485]['trad']; ?>&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 80px;"><?php echo $data[578]['trad']; ?></th>
																		<th style="width: 60px;"><?php echo $data[1263]['trad']; ?></th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                        <tr>
							                                            <th colspan="4" class="text-right"><?php echo $data[1564]['trad']; ?>:&nbsp;</th>
							                                            <th class="text-green"></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                        </tr>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.fornecedores_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idFornecedor = getParameterByName('fournisseur');
				//fill infos
				fill_fornecedor(idFornecedor);
			});

			//accordion toggles
			function toggleChevron(e) {
				$(e.target).prev('.panel-heading').find("i.indicator").toggleClass('glyphicon-chevron-left glyphicon-chevron-down');
			}
			//list of accordions
			$('#collapse0').on('hidden.bs.collapse', toggleChevron);
			$('#collapse0').on('shown.bs.collapse', toggleChevron);

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>