<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1565,1472,1447,1702,1704,1503,1312,1310,421,1377,145,286,1267,66,428,1138,729,1065,1093,563,904,1479,67,1505,88,630,863,1370,981,966,606,852,203,782,1368,593,829,202,793,1367,664,879,1369);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/rapports_travail.php",
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1447]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [null, null, null, null, 
		{
			 "orderSequence": [ "desc" ],
		}, 
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		}, 
		{
			"sClass" : "text-right",
		},
		{
			"bVisible" : false,
			"sClass" : "text-center",
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[7] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[7] == 'Confirmado') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[7] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[7] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';
				//else element = full[0];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1] != 0 && full[1] != null) element = full[1];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="36">'+element+'</span>';
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[2] != 0 && full[2] != null) element = full[2];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="36">'+element+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				//return html
				raison = full[10];
				css = "";
				if(raison){
					raison = full[10].trim();
				}
				info = full[3]
				if(info){
					info = full[3].trim();
				}
				if( raison ){
					info = raison+' - '+info;
					css = "color:red;font-weight:bold;";
				}
				return '<span class="ellipsis" data-size="60" style="'+css+'">'+info+'</span>';
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[4].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_rapport_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				var colorTextElement = 'text-green';
				if(full[7] == 'Rascunho' || full[7] == 'Anulado') colorTextElement = 'text-black';
				element ='<span class="money '+colorTextElement+'">'+full[6]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[7] == 'Rascunho') element = '<span class="label label-orange"><?php echo $data[145]['trad']; ?></span>';
				if(full[7] == 'Confirmado') element = '<span class="label label-green"><?php echo $data[286]['trad']; ?></span>';
				if(full[7] == 'Aberto') element = '<span class="label label-blue"><?php echo $data[1267]['trad']; ?></span>';
				if(full[7] == 'Anulado') element = '<span class="label label-red"><?php echo $data[66]['trad']; ?></span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var tmp = full[4].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[7] != 'Rascunho') docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				
				var html = '';

				html += '<a href="details?rapport='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="<?php echo $data[428]['trad']; ?>"></i></a>';

				//edition options
				if( full[7] != 'Rascunho') {
					html += '<a href="modifier_lines?rapport='+full[8]+'" class="options-link text-orange"><i class="fa fa-terminal" title="<?php echo $data[1138]['trad']; ?>"></i></a>';
					if( full[8] != 1 ){
						html += '<a href="signer?rapport='+full[8]+'" class="options-link text-orange"><i class="fa fa-pencil" title="<?php echo $data[1479]['trad']; ?>"></i></a>';
					}
					
					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[8] +')" title="<?php echo $data[729]['trad']; ?>"><i class="fa fa-files-o"></i></a>';

					if( full[7] == 'Aberto' ){
						html += '<a class="options-link text-green" onclick="confirmarRapport('+ full[8] +','+nome+')" title="<?php echo $data[1065]['trad']; ?>"><i class="fa fa-check"></i></a>';
					}
				}else{
					html += '<a href="modifier?rapport='+full[8]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]['trad']; ?>"></i></a>';
					
					html += '<a class="options-link text-green" onclick="finalizarRapport('+ full[8] +', '+nome+')" title="<?php echo $data[563]['trad']; ?>"><i class="fa fa-flag-checkered"></i></a>';
				}
				<?php if($_SESSION['mod_Rapports'] == 1) { ?>
					html += '<a href="/frifacturation/server/imprimer_pdf/exportar_rapport_travail_fri.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="<?php echo $data[904]['trad']; ?>"></i></a>';
				<?php } else if($_SESSION['mod_Rapports'] == 2) { ?>
					html += '<a href="/frifacturation/server/imprimer_pdf/exportar_rapport_travail.php?idDoc='+full[8]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="<?php echo $data[904]['trad']; ?>"></i></a>';
				<?php } ?>		
				if(full[7] != 'Rascunho' && full[7] != 'Anulado'){
					<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
						html += '<a class="options-link text-red" onclick="anularRapport('+ full[8] +', '+nome+')" title="<?php echo $data[67]['trad']; ?>"><i class="fa fa-times"></i></a>';
					<?php } ?>
				}

				if(full[7] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarRapport('+ full[8] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[8]);

			if(aData[7] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		},

		"footerCallback" : function(row, data, start, end, display) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function(i) {
                return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
            };

            // Total current page
            var valorTotal = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
                return intVal(a) + intVal(b);
            }, 0);

            //Por liquidar -> Used extra field to calculate already rounded for a better real value
			$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
			$(".money").autoNumeric("init", {
				aSep : '\'',
				aDec : '.',
				aSign : ' CHF',
				pSign : 's',
				//vMin:'0',
				mDec : <?php echo $numDecimais; ?>
			});
			
			$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
			valorTotal = $( "#valorDocTemp" ).autoNumeric('get');

			$( "#valorDocTemp" ).remove();

            //final calculation
            //-------------------------------------------------------------------------------------
            
            $('.money').not(".table-menu > tbody > tr > td > span").html("");
            $('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

            // Update footer
            $(api.column(6).footer()).html('<span class="money">' + valorTotal + '</span>');
        }

	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0112']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-rapports-gerar').modal("show");
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//finalizar
	function finalizarRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		var question = "<?php echo $data[630]['trad']; ?> \n" + nome + "?\n\n<?php echo $data[88]['trad']; ?>";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/finalizar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[863]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[863]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1370]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] <?php echo $data[981]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] <?php echo $data[966]['trad']; ?> ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						//generate invoice
						/*generateDocumentAutomaticaly(idRapport)*/
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	<?php //if (hasPermission(['P0110']) == 1) { ?>
	//generate automatique invoices
	/*function generateDocumentAutomaticaly(idDocumento){
		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/gerar_documentos/location_gera_fatura.php',
			dataType : 'json',
			data : {
				idDocumento : idDocumento,
				firstTime : 1,
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[494]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
					$.scojs_message("[FAT003] <?php echo $data[1629]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			}
		});
	}*/
	<?php //} ?>

	//confirmar documento
	function confirmarRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		if (confirm("<?php echo $data[606]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/confirmar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[852]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] <?php echo $data[203]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] <?php echo $data[782]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] <?php echo $data[852]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("<?php echo $data[1368]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//anular documento
	function anularRapport(idRapport, nome){
	<?php if (hasPermission(['P0110']) == 1) { ?>
		if (confirm("<?php echo $data[593]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/anular.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[829]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] <?php echo $data[202]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] <?php echo $data[793]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] <?php echo $data[829]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("<?php echo $data[1367]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
	
	//remover
	function eliminarRapport(idRapport, nome){
	<?php if (hasPermission(['P0111']) == 1) { ?>
		if (confirm("<?php echo $data[664]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/rapports-travail/apagar.php',
				dataType : 'json',
				data : {
					idRapport : idRapport
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[879]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[879]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[1369]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
</script>