<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$opcao = $_POST['opcao'];

$data = array();
switch ($opcao) {
	//Articles Select2
	case 1:
		//init vars
		$rowCounter = 0;
		$data = array();
		$stepSize = 25;
		$limitRange = '0,25';
		$searchIncluded = '';

		//prepare search if necessary
		if( isset($_POST['search_term']) ){
			$search_term = $_POST['search_term'];
			if($search_term != '' && $search_term != null ){
				$searchIncluded = ' AND ( Codigo LIKE "%'.$search_term.'%" OR Nome LIKE "%'.$search_term.'%" OR CodigoBarras LIKE "%'.$search_term.'%" OR SerialNumber LIKE "%'.$search_term.'%" OR (SELECT Nome AS Categoria FROM faturacao_artigos_categorias WHERE faturacao_artigos_categorias.ID_Categoria = faturacao_artigos.ID_Categoria) LIKE "%'.$search_term.'%" )';
			}
		}
		//is id is set
		else if( isset($_POST['search_idarticle']) ){
			$search_idarticle = $_POST['search_idarticle'];
			if($search_idarticle != '' && $search_idarticle != null ){
				$searchIncluded .= ' OR ID_Artigo = '+$search_idarticle;
			}
		}

		if( isset($_POST['page']) ){
			$currPage = $_POST['page'] - 1;

			$prevLimit = $currPage * $stepSize;
			$nextLimit = ( $currPage * $stepSize ) + $stepSize;
			$limitRange = $prevLimit.",".$nextLimit;
		}

		//getFiltered items totals
		$queryCount = "SELECT COUNT(*)
			FROM faturacao_artigos WHERE Ativo = 1 ".$searchIncluded." ORDER BY Nome ";
		if ($stmtCount = $sqli_connection -> prepare($queryCount)) {
			$result = $stmtCount -> execute();
			if (false === $result) {}
			$stmtCount -> bind_result( $rowCounter );
			$stmtCount -> fetch();
			$stmtCount -> close();
		} else {}

		//getFiltered items
		$query = "SELECT ID_Artigo, Nome, Codigo, CodigoBarras, SerialNumber,
			(SELECT Nome AS Categoria FROM faturacao_artigos_categorias WHERE faturacao_artigos_categorias.ID_Categoria = faturacao_artigos.ID_Categoria),
			Tipo
			FROM faturacao_artigos WHERE Ativo = 1 ".$searchIncluded." ORDER BY Nome LIMIT ".$limitRange." ";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {}
			$stmt -> bind_result(
			            $ID_Artigo,
						$Nome,
						$Codigo,
						$CodigoBarras,
						$SerialNumber,
						$Categoria,
						$Tipo
					);
			while ($stmt -> fetch()) {
				$data[$ID_Artigo] = array(
					"ID_Artigo" => $ID_Artigo,
					"Nome" => $Nome,
					"Codigo" => $Codigo,
					"CodigoBarras" => $CodigoBarras,
					"SerialNumber" => $SerialNumber,
					"Categoria" => $Categoria,
					"Tipo" => $Tipo
				);
			}
			$stmt -> close();
		} else {}

		//return final results
		// $response["query"] = $query;
		$response["range"] = $limitRange;
		$response["results"] = $data;
		$response["count_filtered"] = $rowCounter;		
		die(json_encode($response));

		break;

	//Fornecedores Select2
	case 2:
		//init vars
		$rowCounter = 0;
		$data = array();
		$stepSize = 25;
		$limitRange = '0,25';
		$searchIncluded = '';

		//prepare search if necessary
		if( isset($_POST['search_term']) ){
			$search_term = $_POST['search_term'];
			if($search_term != '' && $search_term != null ){
				$searchIncluded = ' AND ( Nome LIKE "%'.$search_term.'%" OR Apelido LIKE "%'.$search_term.'%" OR CONCAT(Nome," ",Apelido) LIKE "%'.$search_term.'%" OR Codigo LIKE "%'.$search_term.'%" OR Telefone LIKE "%'.$search_term.'%" OR Telemovel LIKE "%'.$search_term.'%" OR CONCAT(CodigoPostal," ",Cidade) LIKE "%'.$search_term.'%" OR Email LIKE "%'.$search_term.'%" )';
			}
		}
		//is id is set
		elseif( isset($_POST['search_idfornecedor']) ){
			$search_idfornecedor = $_POST['search_idfornecedor'];
			if($search_idfornecedor != '' && $search_idfornecedor != null ){
				$searchIncluded .= ' OR ID_Fornecedor = '.$search_idfornecedor;
			}
		}

		if( isset($_POST['page']) ){
			$currPage = $_POST['page'] - 1;

			$prevLimit = $currPage * $stepSize;
			$nextLimit = ( $currPage * $stepSize ) + $stepSize;
			$limitRange = $prevLimit.",".$nextLimit;
		}

		//getFiltered items totals
		$queryCount = "SELECT COUNT(*)
			FROM faturacao_fornecedores WHERE ID_Fornecedor > 0 ".$searchIncluded." ORDER BY Nome ";
		if ($stmtCount = $sqli_connection -> prepare($queryCount)) {
			$result = $stmtCount -> execute();
			if (false === $result) {}
			$stmtCount -> bind_result( $rowCounter );
			$stmtCount -> fetch();
			$stmtCount -> close();
		} else {}

		//getFiltered items
		$query = "SELECT ID_Fornecedor, CONCAT(Nome,' ',Apelido), Nif, Codigo, CONCAT(CodigoPostal,' ',Cidade), Email, Telemovel FROM faturacao_fornecedores WHERE ID_Fornecedor > 0 ".$searchIncluded." ORDER BY Nome LIMIT ".$limitRange." ";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {}
			$stmt -> bind_result( $ID_Fornecedor, $Nome, $Nif, $Codigo, $CodigoPostalCidade, $Email, $Telemovel );
			while ($stmt -> fetch()) {
				$data[$ID_Fornecedor] = array(
					"ID_Fornecedor" => $ID_Fornecedor, "Nome" => $Nome, "Nif" => $Nif, "Codigo" => $Codigo, "CodigoPostalCidade" => $CodigoPostalCidade, "Email" => $Email, "Telemovel" => $Telemovel
				);
			}
			$stmt -> close();
		} else {}

		//return final results
		// $response["query"] = $query;
		$response["range"] = $limitRange;
		$response["results"] = $data;
		$response["count_filtered"] = $rowCounter;		
		die(json_encode($response));

		break;

	//Centros Custo Select2
	case 3:
		//init vars
		$rowCounter = 0;
		$data = array();
		$stepSize = 25;
		$limitRange = '0,25';
		$searchIncluded = '';

		//prepare search if necessary
		if( isset($_POST['search_term']) ){
			$search_term = $_POST['search_term'];
			if($search_term != '' && $search_term != null ){
				$searchIncluded = ' AND ( Nome LIKE "%'.$search_term.'%" OR Descricao LIKE "%'.$search_term.'%" )';
			}
		}
		//is id is set
		elseif( isset($_POST['search_idcenter']) ){
			$search_idcenter = $_POST['search_idcenter'];
			if($search_idcenter != '' && $search_idcenter != null ){
				$searchIncluded .= ' OR ID_CentroCusto = '.$search_idcenter;
			}
		}

		if( isset($_POST['page']) ){
			$currPage = $_POST['page'] - 1;

			$prevLimit = $currPage * $stepSize;
			$nextLimit = ( $currPage * $stepSize ) + $stepSize;
			$limitRange = $prevLimit.",".$nextLimit;
		}

		//getFiltered items totals
		$queryCount = "SELECT COUNT(*)
			FROM faturacao_fornecedores WHERE Ativo = 1 ".$searchIncluded." ORDER BY Nome ";
		if ($stmtCount = $sqli_connection -> prepare($queryCount)) {
			$result = $stmtCount -> execute();
			if (false === $result) {}
			$stmtCount -> bind_result( $rowCounter );
			$stmtCount -> fetch();
			$stmtCount -> close();
		} else {}

		//getFiltered items
		$data[0] = array(
			"ID_CentroCusto" => 0, "Nome" => 'Non spécifié', "Descricao" => null
		);
		$query = "SELECT ID_CentroCusto, Nome, Descricao FROM faturacao_centros_custo WHERE Ativo = 1 ".$searchIncluded." ORDER BY Nome LIMIT ".$limitRange." ";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {}
			$stmt -> bind_result( $ID_CentroCusto, $Nome, $Descricao );
			while ($stmt -> fetch()) {
				$data[$ID_CentroCusto] = array(
					"ID_CentroCusto" => $ID_CentroCusto, "Nome" => $Nome, "Descricao" => $Descricao
				);
			}
			$stmt -> close();
		} else {}

		//return final results
		// $response["query"] = $query;
		$response["range"] = $limitRange;
		$response["results"] = $data;
		$response["count_filtered"] = $rowCounter;		
		die(json_encode($response));

		break;

	//Documentos de Origem Select2
	case 4:
		//init vars
		$rowCounter = 0;
		$data = array();
		$stepSize = 25;
		$limitRange = '0,25';
		$searchIncluded = '';

		//compras
		$numero=''; $dataCompra=''; $Fornecedor=''; $valorTotal=''; $tipo=''; $id_document=''; $idFornecedor=''; $totalCreditadoDoc=''; $totalPorPagar=0;

		//prepare search if necessary
		if( isset($_POST['search_term']) ){
			$search_term = $_POST['search_term'];
			if($search_term != '' && $search_term != null ){
				$searchIncluded = ' AND ( Numero LIKE "%'.$search_term.'%" OR Data LIKE "%'.$search_term.'%" OR (SELECT CONCAT(Nome," ",Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor) LIKE "%'.$search_term.'%" OR (SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor) LIKE "%'.$search_term.'%" OR (GrossTotal - TotalLiquidado) LIKE "%'.$search_term.'%" OR Data LIKE "%'.$search_term.'%" )';
			}
		}
		//is id is set
		elseif( isset($_POST['search_iddocorigem']) ){
			$search_iddocorigem = $_POST['search_iddocorigem'];
			if($search_iddocorigem != '' && $search_iddocorigem != null ){
				$searchIncluded .= ' OR ID_Compra = '.$search_iddocorigem;
			}
		}

		if( isset($_POST['page']) ){
			$currPage = $_POST['page'] - 1;

			$prevLimit = $currPage * $stepSize;
			$nextLimit = ( $currPage * $stepSize ) + $stepSize;
			$limitRange = $prevLimit.",".$nextLimit;
		}

		//getFiltered items totals
		$queryCount = "SELECT COUNT(*)
			FROM faturacao_compras WHERE Estado IN ('Aberto') AND GrossTotal > TotalLiquidado ".$searchIncluded." ORDER BY ID_Compra DESC ";
		if ($stmtCount = $sqli_connection -> prepare($queryCount)) {
			$result = $stmtCount -> execute();
			if (false === $result) {}
			$stmtCount -> bind_result( $rowCounter );
			$stmtCount -> fetch();
			$stmtCount -> close();
		} else {}

		//getFiltered items
		$query = "SELECT Numero, Data, 
			(SELECT CONCAT(Nome,' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor), (SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = faturacao_compras.ID_Fornecedor), GrossTotal, ID_Compra, ID_Fornecedor, TotalCreditado, TotalLiquidado FROM faturacao_compras WHERE Estado IN ('Aberto') AND GrossTotal > TotalLiquidado ".$searchIncluded." ORDER BY ID_Compra DESC LIMIT ".$limitRange." ";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {}
			$stmt -> bind_result( $numero, $dataCompra, $Fornecedor, $Codigo, $valorTotal, $id_document, $idFornecedor, $totalCreditadoDoc, $totalLiquidadoDoc );
			while ($stmt -> fetch()) {
				$totalPorPagar = $valorTotal - $totalLiquidadoDoc;
				$totalPorPagar = round($totalPorPagar, $numDecimais);

				$ValorRegler = number_format($totalPorPagar, 2, '.', '\'' ).' CHF';

				$data[$id_document] = array("Numero" => $numero, "Data" => $dataCompra, "Fornecedor" => $Fornecedor, "Codigo" => $Codigo, "Valor" => $totalPorPagar, "ID_Document" => $id_document, "idFornecedor" => $idFornecedor, "ValorRegler" => $ValorRegler );
			}
			$stmt -> close();
		} else {}

		//return final results
		// $response["query"] = $query;
		$response["range"] = $limitRange;
		$response["results"] = $data;
		$response["count_filtered"] = $rowCounter;		
		die(json_encode($response));

		break;

}

?>