<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1265,1187);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
//-----------------------------------------------------------------------

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idBanco = $_POST['idBanco'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_BancoFornecedor,
	BCNbr,
	Nome,
	Address1, 
	Address2,
	NPA,
	Localite,
	PaisBanco,
	Predefinido,
	Ativo
	FROM faturacao_bancos_fornecedores WHERE ID_BancoFornecedor=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idBanco);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['ID_BancoFornecedor'],
	    $objectData['BCNbr'],
	    $objectData['Nome'],
	    $objectData['Address1'],
	    $objectData['Address2'],
	    $objectData['NPA'],
	    $objectData['Localite'],
	    $objectData['PaisBanco'],
	    $objectData['Predefinido'],
	    $objectData['Ativo']
	);
	$stmt -> fetch();
	$stmt -> close();

	if( $objectData['Predefinido'] == 1){
		$objectData['PredefinidoLBL'] = $data[1265]['trad'];
	}else{
		$objectData['PredefinidoLBL'] = $data[1187]['trad'];
	}
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>