<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
//-----------------------------------------------------------------------

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idAccount = $_POST['idAccount'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Account,
	(SELECT Grouping_Code as GroupCode FROM ".$snc_table." WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC), 
	(SELECT Snc_Code as ContaBase FROM ".$snc_table." WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC), 
	(SELECT Descricao as ContaBase FROM ".$snc_table." WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC), 
	AccountID, 
	AccountDescription, 
	TaxonomyCode, 
	OpeningDebit,
	OpeningCredit,
	Usado,
	ContaSistema
	FROM faturacao_accounts WHERE ID_Account=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idAccount);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['ID_Account'],
	    $objectData['Snc_GroupCodeBase'],
	    $objectData['Snc_CodeBase'],
	    $objectData['Snc_ContaBase'],
	    $objectData['AccountID'],
	    $objectData['AccountDescription'],
	    $objectData['TaxonomyCode'],
	    $objectData['OpeningDebit'],
	    $objectData['OpeningCredit'],
	    $objectData['Usado'],
	    $objectData['ContaSistema']
	);
	$stmt -> fetch();
	$stmt -> close();

	// var_dump($objectData);
	$tmpAccountCode = 0;

	if( $objectData['Snc_GroupCodeBase'] != 0){
		$tmpAccountCode = $objectData['Snc_GroupCodeBase'];

		while($tmpAccountCode != 0){
			$descricaoTmp = '';
			$groupCodeTmp = 0;

			$query2 = "SELECT Descricao, Grouping_Code FROM ".$snc_table." WHERE Snc_Code = ?";
			if ($stmt2 = $sqli_connection -> prepare($query2)) {
				$stmt2 -> bind_param("s", $tmpAccountCode);
				$result = $stmt2 -> execute();
				if (false === $result) {}
				$stmt2 -> bind_result($descricaoTmp, $groupCodeTmp);
				$stmt2 -> fetch();
				$stmt2 -> close();
			} else {
				$response2["errors"] = true;
				$response2["message"] = $sqli_connection -> error;
				die(json_encode($response2));
			}

			$objectData['Snc_ContaBase'] = $descricaoTmp." >> ".$objectData['Snc_ContaBase'];

			$tmpAccountCode = $groupCodeTmp;
		}
	}
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>