<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

/* Array of database columns which should be read and sent back to DataTables. Use a space where
 * you want to insert a non-database field (for example a counter or static image)
 */
$aColumns = array(
	'ID_Fatura',
    'CONCAT("FA ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",Numero)',
    'Referencia',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    '(SELECT TransactionDate from faturacao_recibos WHERE faturacao_recibos.ID_DocumentoMain = faturacao_faturas.ID_Fatura AND faturacao_recibos.Estado = "Pago" AND faturacao_faturas.Estado = "Pago" order by TransactionDate desc limit 1)',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE (TotalLiquidado - GrossTotal) + (TotalExtra - TotalExtraLiquidado) END',
    'Estado',
    'ID_Fatura',
    'BVR',
    /*'(Select GROUP_CONCAT(ProductDescription) FROM faturacao_faturas_linhas WHERE faturacao_faturas_linhas.ID_Fatura=faturacao_faturas.ID_Fatura)',
    '(Select GROUP_CONCAT(SerialNumber) FROM faturacao_faturas_linhas WHERE faturacao_faturas_linhas.ID_Fatura=faturacao_faturas.ID_Fatura)',*/
    'faturacao_faturas.ID_Cliente',
    'CASE Tipo_Doc_Origem WHEN "CL" THEN (SELECT Cotisation from faturacao_locations where faturacao_faturas.ID_Doc_Origem = faturacao_locations.ID_Location) ELSE null END',
	'(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)',
	"CASE WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 0 THEN '' WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 10 THEN '1º Rappel' ELSE '2º Rappel' END",
	'(SELECT Suspendu FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)'
);

/* Column to filter*/
$fFilter = array(
	'ID_Fatura',
    'CONCAT("FA ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",Numero)',
    'Referencia',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)',
    //'Data',
    //'Validade',
    //'CASE Estado WHEN "Anulado" THEN "0" ELSE GrossTotal END',
    //'CASE Estado WHEN "Anulado" THEN "0" ELSE (TotalLiquidado - GrossTotal) + (TotalExtra - TotalExtraLiquidado) END',
    //'Estado',
    //'ID_Fatura',
    'BVR',
    /*'(Select GROUP_CONCAT(ProductDescription) FROM faturacao_faturas_linhas WHERE faturacao_faturas_linhas.ID_Fatura=faturacao_faturas.ID_Fatura)',
    '(Select GROUP_CONCAT(SerialNumber) FROM faturacao_faturas_linhas WHERE faturacao_faturas_linhas.ID_Fatura=faturacao_faturas.ID_Fatura)',*/
    'faturacao_faturas.ID_Cliente',
	'CASE Tipo_Doc_Origem WHEN "CL" THEN (SELECT Cotisation from faturacao_locations where faturacao_faturas.ID_Doc_Origem = faturacao_locations.ID_Location) ELSE null END',
	'(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)',
	"CASE WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 0 THEN '' WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 10 THEN '1º Rappel' ELSE '2º Rappel' END",
	'(SELECT Suspendu FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente)'
);

/* Indexed column (used for fast and accurate table cardinality) */
$sIndexColumn = "faturacao_faturas.ID_Fatura";

/* DB table to use */
$sTable = "faturacao_faturas";

/*DB Table to count*/
$cTable = "faturacao_faturas";

/*LEFT JOIN Table*/
$sLeft="faturacao_clientes";

/*Join Table*/
// $sJoin = "ID_Fatura > 0";
if ( isVendedor() == 1 ) {
    $clientsIDs = getVendedorClients();
    $sJoin = "ID_Cliente IN (".$clientsIDs.")";
}else{
    $sJoin = "ID_Fatura > 0";
}
$innerJoin = " inner join faturacao_clientes on faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente ";

$sOrder_NDoc_First = '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie)';
$sOrder_NDoc_Second = 'CASE Numero WHEN 0 THEN 9999999 ELSE CAST(Numero AS UNSIGNED) END';

include 'commun_order_2.php';



?>