<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";


$aColumns = array('Numero', 'Debut', 'Nome',  'Codigo', 'PrixNoir', 'PrixCoul', 'ID_Documento', 'Estado', 'Tipo', 'Cliente', 'QuantidadeTotal', 'Suspendu');

//FATURAS ------------------------------------------
$groupby_fat = '';

$aColumns_fat = array(
    'Numero',
    'STR_TO_DATE( Debut,  "%d/%m/%Y" )',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    '(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_noir END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_couleur END',
    'ID_Consommable',
    'Estado',
    'ID_Consommable',
    'ID_Cliente',
    '(SELECT SUM(Quantidade) FROM faturacao_consommables_linhas WHERE faturacao_consommables_linhas.ID_Consommable=faturacao_consommables.ID_Consommable )',
	'(SELECT Suspendu FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
);

$aColumns_costum_fat = array(
    'Numero',
    'STR_TO_DATE( Debut,  "%d/%m/%Y" )',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    '(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_noir END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_couleur END',
    'ID_Consommable',
    'Estado',
    'ID_Consommable',
    'ID_Cliente',
    '(SELECT SUM(Quantidade) FROM faturacao_consommables_linhas WHERE faturacao_consommables_linhas.ID_Consommable=faturacao_consommables.ID_Consommable )',
	'(SELECT Suspendu FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
);

$fFilter_fat = array(
    //'Numero',
    //'STR_TO_DATE( Debut,  "%d/%m/%Y" )',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    //'(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente)',
    //'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_noir END',
    //'CASE Estado WHEN "Anulado" THEN "0" ELSE Prix_couleur END',
    //'ID_Consommable',
    //'Estado',
    //'ID_Consommable',
    //'ID_Cliente',
    //'(SELECT SUM(Quantidade) FROM faturacao_consommables_linhas WHERE faturacao_consommables_linhas.ID_Consommable=faturacao_consommables.ID_Consommable )',
);

$sIndexColumn_fat = "faturacao_consommables.ID_Consommable";

$sTable_fat = "faturacao_consommables";

$cTable_fat = "faturacao_consommables";

if( $_GET['typeDoc'] == 'RT' || $_GET['typeDoc'] == 'RT' ){
    $sJoin_fat = "Estado IN ('Aberto','Pago','Confirmado') and Arquivado = 0";
}else{
    $sJoin_fat = "Estado IN ('Nada') ";
}


//LIMITS
$sLimit = "";
if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {
    $sLimit = "LIMIT " . mysql_real_escape_string($_GET['iDisplayStart']) . ", " . mysql_real_escape_string($_GET['iDisplayLength']);
}

/*
 * Ordering
 */
$sOrder_NDoc_First="Numero";
$sOrder_NDoc_Second="Numero";
if (isset($_GET['iSortCol_0'])) {
    $sOrder = "ORDER BY  ";
    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {
        
        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {
            if ($_GET['iSortCol_0'] == 2) {
                $sOrder .= $sOrder_NDoc_First .' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) .', '.$sOrder_NDoc_Second.' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) . ', ';
            } else {
                $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "
                " . mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
            }  
        }
            
    }

    $sOrder = substr_replace($sOrder, "", -2);
    if ($sOrder == "ORDER BY") {
        $sOrder = "";
    }
}

/*
 * Filtering
 * NOTE this does not match the built-in DataTables filtering which does it
 * word by word on any field. It's possible to do here, but concerned about efficiency
 * on very large tables, and MySQL's regex functionality is very limited
 */
$sWhere_fat = "WHERE " . $sJoin_fat;
if ($_GET['sSearch'] != "") {
    $sWhere_fat = "WHERE " . $sJoin_fat . " AND(";

    for ($i = 0; $i < count($aColumns_costum_fat); $i++) {
        if ((strlen(strstr($aColumns_costum_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $aColumns_costum_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_fat = substr_replace($sWhere_fat, "", -3);
    $sWhere_fat .= ')';

}

/* Individual column filtering */
for ($i = 0; $i < count($fFilter_fat); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_fat == "") {
            $sWhere_fat = "WHERE ";
        } else {
            $sWhere_fat .= " AND ";
        }
        if ((strlen(strstr($fFilter_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $fFilter_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}

/*
 * Select list
 */
$sSelect_fat = "";
for ($i = 0; $i < count($aColumns_fat); $i++) {
    $sSelect_fat .= $aColumns_fat[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_fat = substr_replace($sSelect_fat, "", -2);

/*
 * SQL queries
 * Get data to display
 */
$sQuery = "
SELECT SQL_CALC_FOUND_ROWS Numero, Debut, Nome,  Codigo, PrixNoir, PrixCoul, ID_Documento, Estado, Tipo, Cliente, QuantidadeTotal, Suspendu FROM (
    SELECT  " . $sSelect_fat . " 
    FROM   $sTable_fat 
    $sWhere_fat HAVING QuantidadeTotal > 0 ) as T2
    $sOrder 
    $sLimit ";
// echo $sQuery;
$rResult = executaQuery($sQuery);
$keepquery = $sQuery;

/* Data set length after filtering */
$sQuery = "
    SELECT FOUND_ROWS()
";
$rResultFilterTotal = executaQuery($sQuery);
$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];

/* Total data set length */

$sQuery = "
    SELECT COUNT(" . $sIndexColumn_fat . ")
    FROM   $cTable_fat 
";
$rResultTotal = executaQuery($sQuery);
$aResultTotal = mysql_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];

/*
 * Output
 */
$output = array("sEcho" => intval($_GET['sEcho']), "iTotalRecords" => $iTotal, "iTotalDisplayRecords" => $iFilteredTotal, "aaData" => array(), "aquery" => $keepquery);

while ($aRow = mysql_fetch_array($rResult)) {

    $row = array();
    for ($i = 0; $i < count($aColumns); $i++) {
        if ($aColumns[$i] == "version") {
            /* Special output formatting for 'version' column */
            $row[] = ($aRow[$aColumns[$i]] == "0") ? '-' : $aRow[$aColumns[$i]];
        } else if ($aColumns[$i] != ' ') {
            /* General output */
            $row[] = $aRow[$aColumns[$i]];
        }
    }
    $output['aaData'][] = $row;
}

echo json_encode($output);
?>