<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idDocumento = $_POST['idDocumento'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT 
	faturacao_clientes.Email AS EmailCliente, CASE WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 0 THEN '' WHEN datediff('".date('Y-m-d')."',STR_TO_DATE( Validade,  '%d/%m/%Y' )) <= 10 THEN '1º Rappel' ELSE '2º Rappel' END, PaisCliente,(TotalLiquidado - GrossTotal),
	(SELECT ProductCode from faturacao_faturas_linhas where faturacao_faturas_linhas.ID_Fatura = faturacao_faturas.ID_Fatura AND ProductCode = 'frais' ),
	estado,
	faturacao_faturas.ID_Cliente
	FROM faturacao_faturas inner join faturacao_clientes on faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente WHERE faturacao_clientes.ID_Cliente=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDocumento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['EmailSender'],
            $objectData['Rappel'],
	    $objectData['Country'],
	    $objectData['Total'],
	    $objectData['Frais'],
	    $objectData['Etat'],
	    $objectData['ID_Cliente']
	);
	$stmt -> fetch();
	$stmt -> close();
	
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

$objectData['Responsaveis'] = array();
$query = "SELECT ID_Responsavel,
	(SELECT Email FROM faturacao_responsaveis WHERE faturacao_responsaveis.ID_Responsavel = faturacao_responsavel_entidades.ID_Responsavel)
	FROM faturacao_responsavel_entidades WHERE ID_Cliente=? ORDER BY ID_Responsavel";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $objectData['ID_Cliente']);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idResponsavel, $email);
	while ($stmt -> fetch()) {
		$datalin[] = array(
		        	"id" => $idResponsavel,
		        	"email" => $email,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
if($datalin != null) $objectData['Responsaveis'] = $datalin;
else $objectData['Responsaveis'] = array();

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>