<?php

include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1950,939);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
$id_doc = $_POST["idDoc"];
// ID FATURA
if ( $id_doc > 0) {
	$frais = $_POST["frais"];
	$query_info = "select max(NumeroLinha) from faturacao_faturas_linhas where ID_Fatura = ?";
	if ( $stmt = $sqli_connection -> prepare($query_info) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
			$numero
		);
		$stmt -> fetch();
		$stmt -> close();
		
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	$query = "SELECT valor FROM `faturacao_impostos` WHERE `ID_Imposto` = 21";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001I";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
			$taxe
		);
		$stmt -> fetch();
		$stmt -> close();
		
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002I";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	$taxe = floatval($taxe);
	$plano = 3207;
	$Numligne = $numero + 1;//chercher le bon num de ligne
	$idarticle = 99999999;
	$ProductCode = "FRAIS";
	$ProductDesc = $data[1950]['trad'];
	$Quant = 1.00;
	$unite = "UN";
	$taxDate = date("Y-m-d");
	$Desc = $data[1950]['trad'];
	$Serial = "";
	$idImpo = 21;
	$TaxType = "IVA";
	$TaxCountry = "CH";
	$TaxCode = "NOR";
	$TaxPerc = $taxe;
	$TaxExRea = "";
	$TaxExCode = "";
	$Desco = 0.00;
	$Debit = 0.00;
	$Settle = 0.00;
	$Valor = 0.00;
	$Percent = 0.00;
	$Total = $frais*(1 + $taxe/100);
	$planotva = 2200;
	$query = "INSERT INTO faturacao_faturas_linhas (
			ID_Fatura, 
			NumeroLinha,
			ID_Artigo,
			ProductCode,
			ProductDescription,
			Quantidade,
			UnidadeMedida,
			PrecoUnitario,
			TaxPointDate,
			Descricao,
			SerialNumber,
			ID_Imposto,
			TaxType,
			TaxCountryRegion,
			TaxCode,
			TaxPercentage,
			TaxExemptionReason,
			TaxExemptionCode,
			DescontoLinha,
			CreditAmount,
			DebitAmount,
			SettlementAmount,
			ValorRetencao,
			PercentagemRetencao,
			TotalLinha,
			TotalLinhaSIVA,
			PlanoContas,
			PlanoContasTVA
			) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("dddssssssssdssssssssssssssss", 
			            $id_doc, 
						$Numligne,
						$idarticle,
						$ProductCode,
						$ProductDesc,
						$Quant,
						$unite,
						$frais,
						$taxDate,
						$Desc,
						$Serial,
						$idImpo,
						$TaxType,
						$TaxCountry,
						$TaxCode,
						$TaxPerc,
						$TaxExRea,
						$TaxExCode,
						$Desco,
						$frais,
						$Debit,
						$Settle,
						$Valor,
						$Percent,
						$Total,
						$frais,
						$plano,
						$planotva
					);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS003";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				// deleteRecord($idFatura);
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			// deleteRecord($idFatura);
			die(json_encode($response));
		}
		$query = "Select 
			TotalSDesconto, 
			NetTotal,
			TaxPayable,
			GrossTotal,
			TotalPagar
			from faturacao_faturas where ID_Fatura = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", 
			            $id_doc
					);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS005";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				// deleteRecord($idFatura);
				die(json_encode($response));
			}
			$stmt -> bind_result(
				$totalS,
				$netTot,
				$taxPay,
				$grossTot,
				$totalPag
			);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS006";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			// deleteRecord($idFatura);
			die(json_encode($response));
		}
		$totalS += $frais;
		$netTot += $frais;
		$taxPay += $frais * $taxe/100;
		$totalPag += $frais * (1 + $taxe/100);
		$grossTot = round((round($grossTot*2,1)/2 + $frais * (1 + $taxe/100)) * 2, 1) / 2;
		$query = "Update faturacao_faturas 
			Set TotalSDesconto=? , 
			NetTotal=? ,
			TaxPayable=? ,
			GrossTotal=?,
			TotalPagar=?
			where ID_Fatura = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("dddddd", 
			            $totalS, 
						$netTot,
						$taxPay,
						$grossTot,
						$totalPag,
						$id_doc
					);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS007";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				// deleteRecord($idFatura);
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS008";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			// deleteRecord($idFatura);
			die(json_encode($response));
		}
} else {
	$response["errors"] = true;
	$response["text"] = $data[939]['trad'];
	die(json_encode($response));
}
$response["errors"] = false;
die(json_encode($response));
?>