<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,499,77,1599,2159);
if(isset($data2)){
	$data2 = $data2 + get_trad($ids_list);
} else {
	$data2 = get_trad($ids_list);
}

//CHECK IF CLOSED MONTH -------------------------------------------------
$dateCheckPost = isset($_POST['data']) && $_POST['data'] != '' ? $_POST['data'] : date("d/m/Y");
$dateCheckAux = explode("/", $dateCheckPost);
$isClosedMonth = checkIfClosedMonth($dateCheckAux[1],$dateCheckAux[2]);
if($isClosedMonth){
	$response["errors"] = true;
	$response["exists"] = true;
	$response["type"] = "FATS000x";
	$response["message"] = $data2[2159]['trad'];
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//GET POST VARS ---------------------------------------------------------
$idFatura = $_POST['idFatura'];
$cliente = $_POST['cliente'];
$serie = $_POST['serie'];
$numero = $_POST['numero'];
$data = $_POST['data'];
$validade = $_POST['validade'];
$referencia = $_POST['referencia'];
$pagamento = $_POST['pagamento'];
$banco = $_POST['banco'];
$vencimento = $_POST['vencimento'];
$moeda = $_POST['moeda'];
$desconto = $_POST['desconto'];
$observacoes = $_POST['observacoes'];
$linhas = $_POST['linhas'];
$finalizarDocumento = $_POST['finalizarDocumento'];
$precisaBanco = $_POST['precisaBanco'];
$escompte = $_POST['escompte'];
$pourcentage = $_POST['pourcentage'];
$pourcentrab = $_POST['pourcentrab'];

if($pourcentage == 1){
	$escompte .= "%";
}

//REMAIN VARdtThisValidade ------------------------------------------------------------
$vendedor = $_SESSION['username'];
$estado = 'Rascunho';
$taxPayable = 0;
$netTotal = 0;
$grossTotal = 0;
$systemEntryDate = '';
$timestamp = 0;
$totalDesconto = 0;
$percentagemDesconto = $desconto;
$retencaoTotal = 0;
$totalSDesconto = 0;

//NEW FIELDS FATURAS -----------------------------------------------------
$invoiceType = 'FT';
$EACCode = '';
$customerID = '';
$totalPagar = 0;
// MetodoPagamento
// BancoID
$invoiceStatusDate = '';
$sourceID = $_SESSION['username'];
$hash = '';
$hashControl = 1;
$hashPrint = '';
$period = '';
$invoiceDate = '';
$movementEndTime = '';
$movementStartTime = '';
$totalLiquidado = 0;

//NEW FIELDS PLANO CONTAS
$PlanoContasCliente = getPlanoCode("PlanoContas", "faturacao_clientes", "ID_Cliente", $cliente);
$PlanoContasBanco = '';

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idFatura == '' || $idFatura < 1 || $cliente == '' || $serie == '' || $numero == '' || $data == '' || $pagamento == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}
if( $precisaBanco > 0 && ($banco < 1 || $banco == '') )
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000B";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//CHECK LINES
if(!is_array($linhas) || empty($linhas)){
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000x";
	$response["lines_empty"] = true;
	$response["message"] = "";
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//VERIFICA SE PODE SER ALTERADO -----------------------------------------
$query = "SELECT Estado, Numero FROM faturacao_faturas WHERE ID_Fatura=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS0000C";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($EstadoToCheck, $numerocurr );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS0000D";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if( $EstadoToCheck != 'Rascunho' && $EstadoToCheck != 'Aberto') {
	$response["errors"] = true;
	$response["type"] = "used";
	$response["line"] = "FATS0000E";
	$response["message"] = "Invoice already closed!";
	// $response["status"] = $Estado;
	die(json_encode($response));
}

if($EstadoToCheck == 'Aberto'){
	$estado = 'Aberto';
	$finalizarDocumento = 1;
	if($numerocurr){
		$numero = $numerocurr;
	}
}
//-----------------------------------------------------------------------

try {
	// Turn off AUTOCOMMIT and begin Transaction
	mysqli_autocommit($sqli_connection, FALSE);
	$sqli_connection->begin_transaction(MYSQLI_TRANS_START_READ_WRITE);

	//VALIDAR REFERENCIA -----------------------------------------------------
	// if( $referencia  != ''){
	// 	$query = "SELECT COUNT(*) FROM faturacao_faturas WHERE Referencia = ? AND ID_Fatura <> ?";
	// 	if ($stmt = $sqli_connection -> prepare($query)) {
	// 		$stmt -> bind_param("sd", $referencia, $idFatura);
	// 		$result = $stmt -> execute();
	// 		if (false === $result) {
	// 			$response["errors"] = true;
	// 			$response["type"] = "FTGA001A";
	// 			$response["message"] = $stmt -> error;
	// 			die(json_encode($response));
	// 		}
	// 		$stmt -> bind_result($counterRef );
	// 		$stmt -> fetch();
	// 		$stmt -> close();
	// 	} else {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA001B";
	// 		$response["message"] = $sqli_connection -> error;
	// 		die(json_encode($response));
	// 	}
	// }
	// if($counterRef > 0){
	// 	$response["errors"] = true;
	// 	$response["type"] = "FTGA001C";
	// 	$response["referencia"] = true;
	// 	$response["message"] = "Referencia já existente.";
	// 	die(json_encode($response));
	// }
	//------------------------------------------------------------------------

	//GET CLIENT DATA --------------------------------------------------------
	$query = "SELECT Nif, Endereco, CodigoPostal, Cidade, Regiao, Pais, Email, Codigo, vencimento FROM faturacao_clientes WHERE ID_Cliente = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $cliente);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA001";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> bind_result($Nif, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Pais, $Email, $CodigoCliente, $vencimento );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA002";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//process fields
	if( trim($Endereco) == '' ) $Endereco = 'Desconhecido';
	if( trim($CodigoPostal) == '' ) $CodigoPostal = 'Desconhecido';
	if( trim($Cidade) == '' ) $Cidade = 'Desconhecido';
	if( trim($Regiao) == '' ) $Regiao = 'Desconhecido';
	if( trim($Pais) == '' ) $Pais = 'Desconhecido';
	//------------------------------------------------------------------------

	//GET CURRENCY DATA ------------------------------------------------------
	$query = "SELECT  Ultima_Taxa FROM faturacao_moedas WHERE ID_Moeda = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $moeda);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA003";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> bind_result($ultimaTaxa);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA004";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	if( $ultimaTaxa <= 0){
		$response["errors"] = true;
		$response["type"] = "FTGA005";
		$response["message"] = "Moeda inválida";
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//GET COMPANY DATA -------------------------------------------------------
	$query = "SELECT  CONCAT(Endereco1,' ',Endereco2) AS Endereco, CodigoPostal, Cidade, Cidade, CAE_Principal FROM faturacao_empresa_dados WHERE ID_dados_empresa = 1";
	if ($stmt = $sqli_connection -> prepare($query)) {
		// $stmt -> bind_param("d", $moeda);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FTGA006";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> bind_result($enderecoCarga, $codigopostalCarga, $cidadeCarga, $idCidadeCarga, $CAE_Principal);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FTGA007";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//GET REGION
	// $query = "SELECT (SELECT Nome FROM distrito WHERE distrito.ID_Distrito = concelho.ID_Distrito) AS Regiao FROM concelho WHERE ID_Concelho = ?";
	// if ($stmt = $sqli_connection -> prepare($query)) {
	// 	$stmt -> bind_param("d", $idCidadeCarga);
	// 	$result = $stmt -> execute();
	// 	if (false === $result) {
	// 		$response["errors"] = true;
	// 		$response["type"] = "FTGA008";
	// 		$response["message"] = $stmt -> error;
	// 		die(json_encode($response));
	// 	}
	// 	$stmt -> bind_result($regiaoCarga);
	// 	$stmt -> fetch();
	// 	$stmt -> close();
	// } else {
	// 	$response["errors"] = true;
	// 	$response["type"] = "FTGA009";
	// 	$response["message"] = $sqli_connection -> error;
	// 	die(json_encode($response));
	// }
	$regiaoCarga = '';
	//process fields
	if( trim($enderecoCarga) == '' ) $enderecoCarga = 'Desconhecido';
	if( trim($codigopostalCarga) == '' ) $codigopostalCarga = 'Desconhecido';
	if( trim($cidadeCarga) == '' ) $cidadeCarga = 'Desconhecido';
	if( trim($regiaoCarga) == '' ) $regiaoCarga = 'Desconhecido';
	//------------------------------------------------------------------------

	$timestamp = microtime(true);
	$systemEntryDate = date("Y-m-d H:i:s");
	$systemEntryDate = str_replace (' ','T',$systemEntryDate);
	$EACCode = $CAE_Principal;
	$customerID = $CodigoCliente;
	if( $precisaBanco > 0 ){
		$bancoFinalID = $banco;
		$PlanoContasBanco = getPlanoCode("PlanoContas", "faturacao_bancos", "ID_Banco", $banco);
	}else{
		$bancoFinalID = 0;
	}

	//INSERT OPEN DOCUMENT ---------------------------------------------------
	$query = "UPDATE faturacao_faturas SET ID_Cliente=?, EnderecoCliente=?, CodigoPostalCliente=?, CidadeCliente=?, RegiaoCliente=?, EmailCliente=?, PaisCliente=?, ID_Moeda=?, TaxaMoeda=?, Vendedor=?, Vencimento=?, EnderecoCarga=?, CodigoPostalCarga=?, CidadeCarga=?, RegiaoCarga=?, ID_Serie=?, Data=?, Validade=?, Referencia=?, Observacoes=?, SystemEntryDate=?, TimeStampDate=?, Estado=?, ID_Utilizador=?, InvoiceType=?, EACCode=?, CustomerID=?, MetodoPagamento=?, ID_Banco=?, PlanoContas=?, PlanoContasBanco=?, Escompte=? WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dssssssdsssssssdsssssssdsssddsssd", $cliente, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Email, $Pais, $moeda, $ultimaTaxa, $vendedor, $vencimento, $enderecoCarga, $codigopostalCarga, $cidadeCarga, $regiaoCarga, $serie, $data, $validade, $referencia, $observacoes, $systemEntryDate, $timestamp, $estado, $id_utilizador, $invoiceType, $EACCode, $customerID, $pagamento, $bancoFinalID, $PlanoContasCliente, $PlanoContasBanco, $escompte, $idFatura );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA010";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA011";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//CLEAN ALL LINES --------------------------------------------------------
	$query = "DELETE FROM faturacao_faturas_linhas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idFatura );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA012";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA013";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//PROCESS LINES ----------------------------------------------------------
	$numLinha = 1;
	foreach ($linhas as $linha) {
		//init vars
		$ProductDescription = '';
		$ProductCode = '';
		$SerialNumber = '';
		$TaxType = '';
		$TaxCountryRegion = '';
		$TaxCode = '';
		$TaxPercentage = '';
		$impostoUsed = '';
		$TaxExemptionCode = '';
		$TaxExemptionReason = '';
		$TaxPointDate = date("Y-m-d");	

		//NEW FIELDS PLANO CONTAS
		$PlanoContasArtigo = $linha['planocontas_artigo'];
		$PlanoContasImposto = getPlanoCode("PlanoContas", "faturacao_impostos", "ID_Imposto", $linha['imposto']);

		//GET ARTICLE DATA ---------------------------------------------------
		$query = "SELECT  Nome, Codigo, SerialNumber, (SELECT Sigla FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade = faturacao_artigos.ID_Unidade) AS Unidade FROM faturacao_artigos WHERE ID_Artigo = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $linha['artigo']);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA015";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($ProductDescription, $ProductCode, $SerialNumber, $Unidade);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA016";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		//--------------------------------------------------------------------
		
		//GET TAXES DATA -----------------------------------------------------
		$query = "SELECT  Tipo, Regiao, Subclasse, Valor FROM faturacao_impostos WHERE ID_Imposto = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $linha['imposto']);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA017";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($TaxType, $TaxCountryRegion, $TaxCode, $TaxPercentage);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA018";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
			//VERIFICAR SE IMPOSTO JÁ BLOQUEADO -------------------------------------
			$query = "SELECT COUNT(*) FROM faturacao_impostos_usados WHERE ID_Imposto=?";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//bind params
				$stmt -> bind_param("d", $linha['imposto']);
				//result single
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA018A";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> bind_result($impostoUsed);
				$stmt -> fetch();
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA018B";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			if($impostoUsed < 1){
				//INSERT DB --------------------------------------------------
				$query = "INSERT INTO faturacao_impostos_usados(ID_Imposto) VALUES (?)";
				if ($stmt = $sqli_connection -> prepare($query)) {
					$stmt -> bind_param("d", $linha['imposto'] );
					$result = $stmt -> execute();
					if (false === $result) {
						$response["errors"] = true;
						$response["type"] = "query";
						$response["line"] = "FTGA018C";
						$response["message"] = $stmt -> error;
						$sqli_connection->rollback();
						die(json_encode($response));
					}
					$stmt -> close();
				} else {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA018D";
					$response["message"] = $sqli_connection -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				//------------------------------------------------------------
			}

			//CASO SEJA TIPO ISE
			// if( $TaxCode == 'ISE' ){
			if( $TaxCode == 'ISENTO' ){
				if( $linha['motivo'] < 1){
					$response["errors"] = true;
					$response["type"] = "var";
					$response["line"] = "FTGA018E";
					$response["message"] = "Motivo de isenção inválido";
					$sqli_connection->rollback();
					die(json_encode($response));
				}else{
					$query = "SELECT  Codigo, Descricao FROM faturacao_motivos_isencao WHERE ID_Motivo = ?";
					if ($stmt = $sqli_connection -> prepare($query)) {
						$stmt -> bind_param("d", $linha['motivo']);
						$result = $stmt -> execute();
						if (false === $result) {
							$response["errors"] = true;
							$response["type"] = "FTGA018F";
							$response["message"] = $stmt -> error;
							$sqli_connection->rollback();
							die(json_encode($response));
						}
						$stmt -> bind_result($TaxExemptionCode, $TaxExemptionReason);
						$stmt -> fetch();
						$stmt -> close();
					} else {
						$response["errors"] = true;
						$response["type"] = "FTGA018G";
						$response["message"] = $sqli_connection -> error;
						$sqli_connection->rollback();
						die(json_encode($response));
					}
				}

			}
		//--------------------------------------------------------------------
		
		//check if vals are smaller than 0
		if( $linha['qtd'] <= 0 ){
			$response["errors"] = true;
			$response["type"] = "FTGA018H";
			$response["message"] = 'Valores das linhas menores que 0';
			$sqli_connection->rollback();
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		if( $linha['preco'] < 0 ){
			$response["errors"] = true;
			$response["type"] = "FTGA018I";
			$response["message"] = 'Valores das linhas menores que 0';
			$sqli_connection->rollback();
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		
		//TOTALS
		$debitAmount = 0;
		$creditAmount = 0;
		$settelementAmount = 0;
		$totalSIVA = 0;
		$totalLinha = 0;

		$linhaDesconto = $linha['desconto'] * 0.01;
		$descontoProcessed = $desconto * 0.01;
		$taxaIVA = $TaxPercentage * 0.01;
		$ivaProcessed = $taxaIVA + 1 ;

		$totalSIVA = $linha['qtd'] * $linha['preco'];
		$desconto1 = $totalSIVA * $linhaDesconto; //calcula desconto 1
		$totalSIVA = $totalSIVA - ($totalSIVA * $linhaDesconto); //calcula descunto linha
		
		
		/*$desconto2 = $totalSIVA * $descontoProcessed; //calcula desconto 2
		$totalSIVA = $totalSIVA - ($totalSIVA * $descontoProcessed); //calcula desconto global
		*/
		
		$settelementAmount = $desconto1 + $desconto2;
		$creditAmount = $totalSIVA;
		$totalLinha = $totalSIVA * $ivaProcessed;

		$retencao = $linha['retencao'] * 0.01;
		$retencao = $totalSIVA * $retencao;

		//TOTALS FATURA
		$taxPayable = $taxPayable + ($totalSIVA * $taxaIVA);
		$netTotal = $netTotal + $totalSIVA;
		$grossTotal = $taxPayable + $netTotal;
		// $grossTotal = round($grossTotal,2);
		$totalDesconto = $totalDesconto + $settelementAmount;
		if( $Nif != '999999990' ) $retencaoTotal = $retencaoTotal + $retencao;
		$totalSDesconto = $totalSDesconto + ( $linha['qtd'] * $linha['preco'] );

		//INSERT INTO DB -----------------------------------------------------
		$query = "INSERT INTO faturacao_faturas_linhas (ID_Fatura, NumeroLinha, 
			ID_Artigo, ProductCode, ProductDescription, Quantidade, UnidadeMedida, PrecoUnitario, TaxPointDate, Descricao, SerialNumber, 
			ID_Imposto, TaxType, TaxCountryRegion, TaxCode, TaxPercentage, TaxExemptionReason, TaxExemptionCode, 
			DescontoLinha, CreditAmount, DebitAmount, SettlementAmount, ValorRetencao, PercentagemRetencao, TotalLinha, TotalLinhaSIVA, PlanoContas, PlanoContasTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("dddssssssssdssssssssssssssss", $idFatura, $numLinha, $linha['artigo'], $ProductCode, $ProductDescription, $linha['qtd'], $Unidade, $linha['preco'], $TaxPointDate, $linha['descricao'], $SerialNumber, $linha['imposto'], $TaxType, $TaxCountryRegion, $TaxCode, $TaxPercentage, $TaxExemptionReason, $TaxExemptionCode, $linha['desconto'], $creditAmount, $debitAmount, $settelementAmount, $retencao, $linha['retencao'], $totalLinha, $totalSIVA, $PlanoContasArtigo, $PlanoContasImposto );
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA019";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA020";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		//--------------------------------------------------------------------
		
		$numLinha++;

		//BLOCK ARTICLE ------------------------------------------------------
		$query = "UPDATE faturacao_artigos SET Usado=1 WHERE ID_Artigo=?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $linha['artigo']);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA020A";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA020B";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		//--------------------------------------------------------------------
	}
	//------------------------------------------------------------------------

	//UPDATES TOTALS ---------------------------------------------------------
	if($pourcentrab == 0){
		$descontoProcessed = $desconto;
		$desconto2 = $descontoProcessed; //calcula desconto 2
		//$totalSIVA = $totalSIVA - $descontoProcessed;
		$taxPayable = ($grossTotal - $netTotal)/$netTotal*($netTotal - $descontoProcessed);
		$netTotal = $netTotal - $descontoProcessed;
		$grossTotal = $netTotal + $taxPayable;
	}
	$totalDesconto += $desconto2;
	$totalDesconto = round($totalDesconto,$numDecimais);
	$retencaoTotal = round($retencaoTotal,$numDecimais);
	$taxPayable = round($taxPayable,$numDecimais);
	$netTotal = round($netTotal,$numDecimais);
	$grossTotal = round($grossTotal,$numDecimais);
	$grossTotal = roundPriceUp($grossTotal);
	$totalPagar = $grossTotal;

	$query = "UPDATE faturacao_faturas SET TaxPayable=?, NetTotal=?, GrossTotal=?, Desconto=?, PercentagemDesconto=?, TotaRetencao=?, TotalSDesconto=?, TotalPagar=?, PourcentReduc=? WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssssssssdd", $taxPayable, $netTotal, $grossTotal, $totalDesconto, $percentagemDesconto, $retencaoTotal, $totalSDesconto, $totalPagar, $pourcentrab, $idFatura);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA021";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA022";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//CLOSE THE DOCUMENT -----------------------------------------------------
	if( $finalizarDocumento > 0 ){
		$systemEntryDateUpdate = date("Y-m-d H:i:s");
		$systemEntryDateUpdate = str_replace (' ','T',$systemEntryDateUpdate);
		$invoiceStatusDate = date("Y-m-d H:i:s");
		$invoiceStatusDate = str_replace (' ','T',$invoiceStatusDate);
		$sourceID = $_SESSION['username'];
		$hash = 'TESTE';
		$hashControl = 1;
		$hashPrint = 'ABCD';
		$movementEndTime = '';
		// $retencaoCalc = round($retencaoTotal,2);
		$retencaoCalc = $retencaoTotal;
		// $totalLiquidado = $retencaoCalc;
		$totalLiquidado = 0;

		$dataNew = $data;
		$validadeNew = $validade;
		$dataAtualizacao = date("d/m/Y H:i:s");
		
		//process InvoiceDate and period to the choosen one
		$tempDate = DateTime::createFromFormat('d/m/Y', $data);
		$invoiceDate = $tempDate->format('Y-m-d');
		$period = $tempDate->format('m');
		//define start time
		$movementStartTime = $tempDate->format("Y-m-d H:i:s");
		$movementStartTime = str_replace (' ','T',$movementStartTime);


		//GET LAST DATE
		$query = "SELECT Numero, Data FROM faturacao_faturas WHERE ID_Serie = ? AND Numero > 0 ORDER BY STR_TO_DATE( Data,  '%d/%m/%Y' ) DESC LIMIT 1";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $serie);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA023";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($numMax, $dataLast);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA024";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		if( $numMax > 0){
			//last date timestamp
			$dtLast = DateTime::createFromFormat("d/m/Y H:i:s", $dataLast." 00:00:00");
			$dtLastTime = $dtLast->getTimestamp();

			//this entry validade timestamp
			$dtThisValidade = DateTime::createFromFormat("d/m/Y H:i:s", $validade." 00:00:00");
			$dtThisValidadeTime = $dtThisValidade->getTimestamp();

			//this entry date timestamp
			$dtThisDate = DateTime::createFromFormat("d/m/Y H:i:s", $data." 00:00:00");
			$dtThisDateTime = $dtThisDate->getTimestamp();

			//process new dates
			// if( $dtThisDateTime < $dtLastTime ){
			// 	// $dataNew = $dataLast;
			// 	// //update invoiceDate and period
			// 	// $invoiceDate = date("Y-m-d");
			// 	// $period = date("m");
			// 	// //define start time
			// 	// $movementStartTime = date("Y-m-d H:i:s");
			// 	// $movementStartTime = str_replace (' ','T',$movementStartTime);
				
			// 	//alert user that the date is before the last one
			// 	$response["errors"] = true;
			// 	$response["type"] = "FTGA024A";
			// 	$response["data_superior"] = "FTGA024A";
			// 	$response["dataUltima"] = $dataLast;
			// 	$response["message"] = "Data superior à última fatura.";
			// 	die(json_encode($response));
			// }

			if( $dtThisValidadeTime < $dtThisDateTime ){
				$validadeNew = $data;
			}
		}



		// DEFINE NEW NUMBER
		$queryStmt = "SELECT MAX(Numero) AS NumeroMax FROM faturacao_faturas WHERE ID_Serie=".intval($serie).";";
		$maxID = getMaxNumberDocument($queryStmt);
		$initNumber = getInitNumber("NumeroInicial_FT","faturacao_series", "WHERE ID_Serie=?", $serie);
		if($numero){
			$query = "UPDATE faturacao_faturas SET Numero = ".$numero.", ID_Serie=?, Data=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_Fatura = ?";
		} else {
			if($nextID < $initNumber && $maxID < 1){
				$query = "UPDATE faturacao_faturas SET Numero = ".$initNumber.", ID_Serie=?, Data=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_Fatura = ?";
			}else{
				$query = "UPDATE faturacao_faturas SET Numero = ((SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_faturas WHERE ID_Serie=?) AS SubNumeroMax) + 1), Data=?, ID_UtilizadorAtualizacao=?, DataAtualizacao=?, Estado='Aberto' WHERE ID_Fatura = ?";
			}
		}
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("dsdsd", $serie, $dataNew, $id_utilizador, $dataAtualizacao, $idFatura);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA025";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA026";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}

		// UPDATE REMAIN FIELDS
		if($EstadoToCheck == 'Aberto'){
			$query = "UPDATE faturacao_faturas SET InvoiceStatusDate=?, SourceID=?, Hash=?, HashControl=?, Hash_Print=?, Period=?, InvoiceDate=?, MovementEndTime=?, MovementStartTime=?, SystemEntryDate=? WHERE ID_Fatura = ?";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("sssdssssssd", $invoiceStatusDate, $sourceID, $hash, $hashControl, $hashPrint, $period, $invoiceDate, $movementEndTime, $movementStartTime, $systemEntryDateUpdate, $idFatura );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA025";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA026";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
		} else {
			$query = "UPDATE faturacao_faturas SET InvoiceStatusDate=?, SourceID=?, Hash=?, HashControl=?, Hash_Print=?, Period=?, InvoiceDate=?, MovementEndTime=?, MovementStartTime=?, TotalLiquidado=?, SystemEntryDate=? WHERE ID_Fatura = ?";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("sssdsssssssd", $invoiceStatusDate, $sourceID, $hash, $hashControl, $hashPrint, $period, $invoiceDate, $movementEndTime, $movementStartTime, $totalLiquidado, $systemEntryDateUpdate, $idFatura );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA025";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA026";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
		}

		//UPDATE STOCKS
		$stockUpdateResult = decreaseArticlesStock($idFatura, 'faturacao_faturas', 'ID_Fatura');
		if($stockUpdateResult != true){
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA027";
			$response["message"] = 'Falha ao atualizar stocks.';
			$sqli_connection->rollback();
			die(json_encode($response));
		}

		//PROCESS BVR IF BANK SELECTED
		if($precisaBanco > 0){
			$query = "SELECT  CodigoBVR FROM faturacao_bancos WHERE ID_Banco = ?";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("d", $bancoFinalID);
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "FTGA027A";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> bind_result($codigoBVR_banco);
				$stmt -> fetch();
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "FTGA027B";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			if( $codigoBVR_banco < 0){
				$response["errors"] = true;
				$response["type"] = "FTGA027C";
				$response["message"] = "Banco";
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			//-------------------------------------------------
			
			$n_ZerosLeft = 11 - strlen($codigoBVR_banco);
			$zerosGenerated = str_pad('',  $n_ZerosLeft, "0");
			$typeDoc = '0';
			$docNumberFormated = str_pad($idFatura, 7, "0", STR_PAD_LEFT);
			$clientNumberFormated = str_pad($CodigoCliente, 7, "0", STR_PAD_LEFT);

			$new_code_bvr = $codigoBVR_banco.$docNumberFormated.$zerosGenerated.$clientNumberFormated.$typeDoc;

			//CALCULATE BVR
			$new_control_bvr_digit = Bvr::calculate($new_code_bvr);
			$new_code_bvr = $new_code_bvr.$new_control_bvr_digit;

			// UPDATE REMAIN FIELDS
			$query = "UPDATE faturacao_faturas SET BVR=? WHERE ID_Fatura = ?";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("sd", $new_code_bvr, $idFatura );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA027D";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA027E";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
		}

		//------------------------------------------------------------------------
		//-------------- LANÇAMENTO DE MOVIMENTOS CONTABILISTICOS ----------------
		//------------------------------------------------------------------------
		$query = "SELECT PlanoContas, PlanoContasBanco,
					(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie) AS Serie,
					Numero , CustomerID, 
					(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_faturas.ID_Cliente) AS Cliente,
					GrossTotal, NetTotal, TaxPayable
				FROM faturacao_faturas WHERE ID_Fatura=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $idFatura);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA028";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($planoCliente, $planoBanco, $serie, $numeroDoc, $numCliente, $nomeCliente, $totalPVP, $totalUnit, $totalTVA );
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA029";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		//PROCESS MOVEMENT FOR DOCUMENT
		$texto = $data2[499]['trad'].' - '.$serie.'/'.$numeroDoc.' - '.$numCliente.' - '.$nomeCliente;
		/*if($planoCliente > 0){
			$tipoMovimento = 'D';
			insertMovimentoContabilistico($planoCliente, $texto, $totalPVP, 0, 0, $tipoMovimento);
		}*/

		//LINES -- ARTICLES
		$query = "SELECT PlanoContas, ProductCode, TotalLinha, TotalLinhaSIVA, (TotalLinha - TotalLinhaSIVA), ID_Imposto FROM faturacao_faturas_linhas WHERE ID_Fatura=? ORDER BY ID_Linha";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $idFatura);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA030";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($planoArtigo, $codigoArtigo,$totalPVP_Artigo, $totalUnit_Artigo, $totalTVA_Artigo, $id_imposto_artigo );
			while ($stmt -> fetch()) {
				//PROCESS MOVEMENT ARTICLE
				if($planoArtigo > 0){
					$textoArtigo = $texto.' - '.$data2[77]['trad'].' - '.$codigoArtigo;
					// $tipoMovimentoArtigo = 'C';
					$tipoMovimentoArtigo = 0;
					$dataArtigos[] = array('plano'=>$planoArtigo, 'texto'=>$textoArtigo, 'totalPVP'=>$totalPVP_Artigo, 'totalUnit'=>$totalUnit_Artigo, 'totalTVA'=>$totalTVA_Artigo, 'tipo'=>$tipoMovimentoArtigo, 'id_imposto_artigo'=>$id_imposto_artigo);
				}
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA031";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		
		//Efface toutes les entrées existantes des articles pour cette facture.
		//Les paiements restent il faut les annuler pour qu'ils soient plus la.
		$descContent = $serie.'/'.$numeroDoc;
		if($descContent != "/" && $descContent != "/".$numeroDoc && $descContent != $serie."/" ){
			$query = "DELETE from faturacao_movimentos_contabilisticos where Descricao like concat ('%',?,'%') and PlanoContas_Debito = 1100";
			if ($stmt = $sqli_connection -> prepare($query)) {
				$stmt -> bind_param("s", $descContent );
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA040";
					$response["message"] = $stmt -> error;
					$sqli_connection->rollback();
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA041";
				$response["message"] = $sqli_connection -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
		}
		
		if(isset($dataArtigos)){
			foreach ($dataArtigos as $line) {
				$Edited_TotalPVP = round($line['totalUnit'],$numDecimais);
				if($Edited_TotalPVP > 0){
					// insertMovimentoContabilistico($line['plano'], $line['texto'], $Edited_TotalPVP, 0, 0, $line['tipo']);
					insertMovimentoContabilisticoManual($planoCliente, $line['plano'], $line['texto'], $Edited_TotalPVP, 0, $Edited_TotalPVP, $line['tipo'], $data, 'A', $line['id_imposto_artigo'], 0);
				}
			}
		}

		//LINES -- TVA
		$query = "SELECT (SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_faturas_linhas.ID_Imposto), (SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_faturas_linhas.ID_Imposto) AS Imposto, 
					TaxPercentage, SUM(TotalLinha), SUM(TotalLinhaSIVA) , ID_Imposto
				FROM faturacao_faturas_linhas WHERE ID_Fatura=? GROUP BY ID_Imposto";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $idFatura);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA030";
				$response["message"] = $stmt -> error;
				$sqli_connection->rollback();
				die(json_encode($response));
			}
			$stmt -> bind_result($planoTVA, $nomeTVA, $percentagemTVA, $totalPVP_TVA, $totalUnit_TVA, $id_imposto_TVA );
			while ($stmt -> fetch()) {
				//PROCESS MOVEMENT ARTICLE
				if($planoTVA > 0){
					$totalTVA_TVA = $totalPVP_TVA - $totalUnit_TVA;
					$textoTVA = $texto.' - '.$data2[1599]['trad'].' - '.$nomeTVA.': '.$percentagemTVA.'%';
					// $tipoMovimentoTVA = 'C';
					$tipoMovimentoTVA = 0;
					$dataTVA[] = array('plano'=>$planoTVA, 'texto'=>$textoTVA, 'totalPVP'=>$totalPVP_TVA, 'totalUnit'=>$totalUnit_TVA, 'totalTVA'=>$totalTVA_TVA, 'tipo'=>$tipoMovimentoTVA, 'id_imposto_TVA'=>$id_imposto_TVA);
				}
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA031";
			$response["message"] = $sqli_connection -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		if(isset($dataTVA)){
			foreach ($dataTVA as $line) {
				// insertMovimentoContabilistico($line['plano'], $line['texto'], $line['totalTVA'], 0, 0, $line['tipo']);
				insertMovimentoContabilisticoManual($planoCliente, $line['plano'], $line['texto'], $line['totalTVA'], 0, $line['totalTVA'], $line['tipo'], $data, 'A', $line['id_imposto_TVA'], 1);
			}
		}
		//------------------------------------------------------------------------
		//------------------------------------------------------------------------

		//log sistema - processo
		$descricao_log ="Édition et finalisation de facture (id: ".$idFatura.")";
		insert_log(0,"Editar",$descricao_log,$sqli_connection);
		$response["fatura"] = $idFatura;

	}else{
		$response["fatura"] = $idFatura;

		//log sistema - processo
		$descricao_log ="Édition de facture (id: ".$idFatura.")";
		insert_log(0,"Editar",$descricao_log,$sqli_connection);
	}
	//------------------------------------------------------------------------

	//BLOCK CLIENT ----------------------------------------------------------
	$query = "UPDATE faturacao_clientes SET Usado=1 WHERE ID_Cliente=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $cliente);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA027";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA028";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//BLOCK BANK ----------------------------------------------------------
	$query = "UPDATE faturacao_bancos SET Usado=1 WHERE ID_Banco=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $bancoFinalID);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA029";
			$response["message"] = $stmt -> error;
			$sqli_connection->rollback();
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA030";
		$response["message"] = $sqli_connection -> error;
		$sqli_connection->rollback();
		die(json_encode($response));
	}
	//------------------------------------------------------------------------
	
	// Save all querys on DB
	$sqli_connection->commit();
} catch (Exception $e) {
	$sqli_connection->rollback();

	$response["errors"] = true;
	$response["type"] = "transaction";
	$response["line"] = "DB001";
	$response["message"] = $e->getMessage();
	die(json_encode($response));
}

//response
$response["errors"] = false;
die(json_encode($response));
?>