<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1143,680,1982,917,699,1068,120,1058,933,931,70,1465,1257,1248,408);
if(isset($data2)){
	$data2 = $data2 + get_trad($ids_list);
} else {
	$data2 = get_trad($ids_list);
}

$id_utilizador = $_SESSION['id_utilizador'];

$array_results = array();

$ano = date("Y");
if(intval($_GET['year']) > 0) $ano = intval($_GET['year']);

//totals
$janTotal = 0;
$fevTotal = 0;
$marTotal = 0;
$abrTotal = 0;
$maiTotal = 0;
$junTotal = 0;
$julTotal = 0;
$agoTotal = 0;
$setTotal = 0;
$outTotal = 0;
$novTotal = 0;
$dezTotal = 0;

//condition params
$condition = '';
if ( isVendedor() == 1 ) {
    $clientsIDs = getVendedorClients();
    // $sJoin = "ID_Cliente IN (".$clientsIDs.")";
    // $condition = " AND ID_Cliente IN (".$clientsIDs.") ";
    if($clientsIDs) $condition = " AND ID_Cliente IN (".$clientsIDs.") ";
    else $condition = " AND ID_Cliente IN (0) ";
}
// var_dump($condition);

//start query FATURAS
$query = "SELECT ";

//get jan
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-01%') AS janTOT, ";

//get fev
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-02%') AS fevTOT, ";

//get mar
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-03%') AS marTOT, ";

//get abr
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-04%') AS abrTOT, ";

//get mai
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-05%') AS maiTOT, ";

//get jun
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-06%') AS junTOT, ";

//get jul
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-07%') AS julTOT, ";

//get ago
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-08%') AS agoTOT, ";

//get set
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-09%') AS setTOT, ";

//get out
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM(IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0))
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-10%') AS outTOT, ";

//get nov
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-11%') AS novTOT, ";

//get dez
$query .= "(SELECT SUM(TotalPagar) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-12%') AS dezTOT ";

if ($stmt = $sqli_connection -> prepare($query)) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "GRA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($jan, $fev, $mar, $abr, $mai, $jun, $jul, $ago, $set, $out, $nov, $dez);
	$stmt -> fetch();
	$stmt -> close();

	//add to totals
	$janTotal = $janTotal + $jan;
	$fevTotal = $fevTotal + $fev;
	$marTotal = $marTotal + $mar;
	$abrTotal = $abrTotal + $abr;
	$maiTotal = $maiTotal + $mai;
	$junTotal = $junTotal + $jun;
	$julTotal = $julTotal + $jul;
	$agoTotal = $agoTotal + $ago;
	$setTotal = $setTotal + $set;
	$outTotal = $outTotal + $out;
	$novTotal = $novTotal + $nov;
	$dezTotal = $dezTotal + $dez;

} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "GRA002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//---------------------------------------------------------------------------------------------------------------------------------------

//totals
$janTotalReceived = 0;
$fevTotalReceived = 0;
$marTotalReceived = 0;
$abrTotalReceived = 0;
$maiTotalReceived = 0;
$junTotalReceived = 0;
$julTotalReceived = 0;
$agoTotalReceived = 0;
$setTotalReceived = 0;
$outTotalReceived = 0;
$novTotalReceived = 0;
$dezTotalReceived = 0;

//start query FATURAS
$query = "SELECT ";

//get jan
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-01%') AS janTOT, ";

//get fev
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-02%') AS fevTOT, ";

//get mar
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-03%') AS marTOT, ";

//get abr
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-04%') AS abrTOT, ";

//get mai
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-05%') AS maiTOT, ";

//get jun
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-06%') AS junTOT, ";

//get jul
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-07%') AS julTOT, ";

//get ago
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-08%') AS agoTOT, ";

//get set
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-09%') AS setTOT, ";

//get out
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-10%') AS outTOT, ";

//get nov
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-11%') AS novTOT, ";

//get dez
$query .= "(SELECT SUM(TotalLiquidado) 
			-
	        SUM( IFNULL( (SELECT SUM(faturacao_notas_credito.GrossTotal) FROM faturacao_notas_credito 
	         	WHERE Estado IN ('Aberto','Pago') ".$condition." AND faturacao_notas_credito.ID_Documento_Origem = faturacao_faturas.ID_Fatura AND faturacao_notas_credito.Tipo_Documento_Origem = 'FT')
	        ,0) )
	        FROM faturacao_faturas WHERE Estado IN ('Aberto','Pago') ".$condition." AND InvoiceDate LIKE '".$ano."-12%') AS dezTOT ";

if ($stmt = $sqli_connection -> prepare($query)) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "GRA003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($janRec, $fevRec, $marRec, $abrRec, $maiRec, $junRec, $julRec, $agoRec, $setRec, $outRec, $novRec, $dezRec);
	$stmt -> fetch();
	$stmt -> close();

	//add to totals
	$janTotalReceived = $janTotalReceived + $janRec;
	$fevTotalReceived = $fevTotalReceived + $fevRec;
	$marTotalReceived = $marTotalReceived + $marRec;
	$abrTotalReceived = $abrTotalReceived + $abrRec;
	$maiTotalReceived = $maiTotalReceived + $maiRec;
	$junTotalReceived = $junTotalReceived + $junRec;
	$julTotalReceived = $julTotalReceived + $julRec;
	$agoTotalReceived = $agoTotalReceived + $agoRec;
	$setTotalReceived = $setTotalReceived + $setRec;
	$outTotalReceived = $outTotalReceived + $outRec;
	$novTotalReceived = $novTotalReceived + $novRec;
	$dezTotalReceived = $dezTotalReceived + $dezRec;

} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "GRA004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//---------------------------------------------------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------------------------------------------------

//Print final totals
$array_results = array( array($data2[1143]['trad'], $data2[680]['trad']." (CHF)", $data2[1982]['trad']." (CHF)"), 
                       	array($data2[917]['trad'], $janTotal, $janTotalReceived), 
                       	array($data2[699]['trad'], $fevTotal, $fevTotalReceived), 
                       	array($data2[1068]['trad'], $marTotal, $marTotalReceived), 
                       	array($data2[120]['trad'], $abrTotal, $abrTotalReceived), 
                       	array($data2[1058]['trad'], $maiTotal, $maiTotalReceived), 
                       	array($data2[933]['trad'], $junTotal, $junTotalReceived), 
                       	array($data2[931]['trad'], $julTotal, $julTotalReceived), 
                       	array($data2[70]['trad'], $agoTotal, $agoTotalReceived), 
                       	array($data2[1465]['trad'], $setTotal, $setTotalReceived), 
                       	array($data2[1257]['trad'], $outTotal, $outTotalReceived),
                       	array($data2[1248]['trad'], $novTotal, $novTotalReceived),
                       	array($data2[408]['trad'], $dezTotal, $dezTotalReceived)
                    );

die(json_encode($array_results));
?>
