<?php 
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/tcpdf/tcpdf.php";
// include "../../../../resources/tcpdf/tcpdf.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,766,294,543,550,103,1599,1564,1269,1420,278,1152,1299,379,393,377,1161,269,427,1146,1485);
if(isset($data2)){
	$data2 = $data2 + get_trad($ids_list);
} else {
	$data2 = get_trad($ids_list);
}
$GLOBALS['Trad'] = $data2;
// setlocale(LC_MONETARY, 'fr_CH.UTF-8');

//PTETRE UN PROB AVEC LES EXPLODES PLUS BAS

//GET VARS
$CodeCompte = $_GET["compte"];

//process filters and related
$dateAccuel = "01/01/".date("Y");
$dateFin = "31/12/".date("Y");
if(isset( $_GET['dateAccuel']) ) $dateAccuel = $_GET['dateAccuel'];
if(isset( $_GET['dateFin']) ) $dateFin = $_GET['dateFin'];
$GLOBALS['dateAccuel'] = $dateAccuel;
$GLOBALS['dateFin'] = $dateFin;

//log sistema - processo
$descricao_log ="Impression du document: Compte de Résultat - Mouvements comptables (".$CodeCompte.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

/**
 * |---------------------------------------------------------------------------
 * |	Informações Globais
 * | ------------------------
 * |
 * | @Tamanho da Page PDF - 267 Horizontal
 * | @Tamanho da Page PDF - 160 Vertical
 * | MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false
 * | Line -> $x1, $y1, $x2, $y2, $style=array()
 * |---------------------------------------------------------------------------
 */


//COMPANY INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT  Designacao, Nif, RegistoComercial, Endereco1, Endereco2, CodigoPostal, Cidade, Email, Website, CapitalSocial, Conservatoria, Telefone, Fax, Logotipo, NormaContabilistica, CAE_Principal  from faturacao_empresa_dados LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($designacao, $nif, $registo_comercial, $endereco1, $endereco2, $codigo_postal, $cidade, $email, $website, $capital_social, $conservatoria, $telefone, $fax, $logotipo, $norma_contabilistica, $cae_principal);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
$GLOBALS['Designacao'] = $designacao;
$GLOBALS['Nif'] = $nif;
$GLOBALS['RegistoComercial'] = $registo_comercial;
$GLOBALS['Endereco1'] = $endereco1;
$GLOBALS['Endereco2'] = $endereco2;
$GLOBALS['CodigoPostal'] = $codigo_postal;
$GLOBALS['Cidade'] = $cidade;
$GLOBALS['Email'] = $email;
$GLOBALS['Website'] = $website;
$GLOBALS['CapitalSocial'] = $capital_social;
$GLOBALS['Conservatoria'] = $conservatoria;
$GLOBALS['Telefone'] = $telefone;
$GLOBALS['Fax'] = $fax;
$GLOBALS['Logotipo'] = $logotipo;
$GLOBALS['NormaContabilistica'] = $norma_contabilistica;
$GLOBALS['CAE_Principal'] = $cae_principal;

//PLAN COMPTABLE INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT  Codigo, Descricao, SubCategoriaPlanoConta, ID_CobrancaIVA, Ecriture
	FROM faturacao_plano_conta WHERE Codigo=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($Codigo, $Descricao, $SubCategoriaPlanoConta, $ID_CobrancaIVA, $Ecriture);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

//process plan comptable info
$planComptable = '';
$planComptable .= $Codigo.' - '.$Descricao;

if( $SubCategoriaPlanoConta != '' ){ $planComptable .= ' - '.$SubCategoriaPlanoConta; }
if( $ID_CobrancaIVA != '' ){ $planComptable .= ' - '.$ID_CobrancaIVA; }
if( $Ecriture != '' ){ $planComptable .= ' - '.$Ecriture; }

//PLAN COMPTABLE TOTAL - - - - - - - - - - - - - - - - - - - - - -
$soldeInit = 0;
$query = "SELECT IFNULL( 
	            ( 
		            (SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Debito LIKE CONCAT(faturacao_plano_conta.Codigo,'%') AND (STR_TO_DATE(Data, '%d/%m/%Y') < STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') ) 
		            )
			        -
			        (SELECT SUM(Total_PVP) FROM faturacao_movimentos_contabilisticos WHERE faturacao_movimentos_contabilisticos.PlanoContas_Credito LIKE CONCAT(faturacao_plano_conta.Codigo,'%') AND (STR_TO_DATE(Data, '%d/%m/%Y') < STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') ) 
			        ) 
		        )
	        , 0) 
	FROM faturacao_plano_conta WHERE Codigo LIKE '".$CodeCompte."%'";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($soldeInit);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
// var_dump($soldeInit);die();
$GLOBALS['SoldeInit'] = $soldeInit;
$GLOBALS['SoldeTotal'] = $soldeInit;

//MOVEMENTS INFO - - - - - - - - - - - - - - - - - - - - - -
// DEBIT
$query = "SELECT ID_Movimento, Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA, STR_TO_DATE( Data,  '%d/%m/%Y %H:%i:%s' )
	FROM faturacao_movimentos_contabilisticos 
	WHERE PlanoContas_Debito LIKE '".$CodeCompte."%' AND (STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	ORDER BY ID_Movimento DESC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$ID_Movimento,
					$Data,
					$PlanoContas_Debito,
					$PlanoContas_Credito,
					$Descricao,
					$Total_PVP,
					$Total_Unit,
					$Total_TVA,
					$DataMov
				);
	while($stmt->fetch()){
		if(strpos($Descricao, ' - Article') !== false){
			$desc = explode(" - Article", $Descricao)[0];
		} else {
			$desc = explode(" - Artikel", $Descricao)[0];
		}
		$movimentos[] = array(
					'ID_Movimento' => $ID_Movimento,
					'Data' => explode(" ", $Data)[0],
					'DataTotal' => $Data,
					'PlanoContas_Debito' => $PlanoContas_Debito,
					'PlanoContas_Credito' => $PlanoContas_Credito,
					'Descricao' => $desc,
					'Total_PVP' => $Total_PVP,
					'Total_Unit' => $Total_Unit,
					'Total_TVA' => $Total_TVA, 
					'Solde' => 0, 
					'Plano' => $PlanoContas_Debito,
					'ContraPlano' => $PlanoContas_Credito,
					'Tipo' => 'D',
					'DataMov' => $DataMov
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

// CREDIT
$query = "SELECT ID_Movimento, Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA, STR_TO_DATE( Data,  '%d/%m/%Y %H:%i:%s' )
	FROM faturacao_movimentos_contabilisticos 
	WHERE PlanoContas_Credito LIKE '".$CodeCompte."%' AND (STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	ORDER BY ID_Movimento DESC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$ID_Movimento,
					$Data,
					$PlanoContas_Debito,
					$PlanoContas_Credito,
					$Descricao,
					$Total_PVP,
					$Total_Unit,
					$Total_TVA,
					$DataMov
				);
	while($stmt->fetch()){
		if(strpos($Descricao, ' - Article') !== false){
			$desc = explode(" - Article", $Descricao)[0];
		} else {
			$desc = explode(" - Artikel", $Descricao)[0];
		}
		$movimentos[] = array(
					'ID_Movimento' => $ID_Movimento,
					'Data' => explode(" ", $Data)[0],
					'DataTotal' => $Data,
					'PlanoContas_Debito' => $PlanoContas_Debito,
					'PlanoContas_Credito' => $PlanoContas_Credito,
					'Descricao' => $desc,
					'Total_PVP' => $Total_PVP,
					'Total_Unit' => $Total_Unit,
					'Total_TVA' => $Total_TVA, 
					'Solde' => 0, 
					'Plano' => $PlanoContas_Credito,
					'ContraPlano' => $PlanoContas_Debito,
					'Tipo' => 'C',
					'DataMov' => $DataMov
				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

/* Compare 2 arrays by value of ID_Movimento 
 * DESCENDENT
 */
function sortMovimentosHelper($item1,$item2) {
	if ($item1['ID_Movimento'] == $item2['ID_Movimento']) {
		return ($item1['Tipo'] == 'D') ? -1 : 1;
        // return 0;
    }
    return ($item1['ID_Movimento'] < $item2['ID_Movimento']) ? 1 : -1;
}

/* Compare 2 arrays by value of Date 
 * DESCENDENT
 */
function sortMovimentosDateHelper($item1,$item2) {
	if ($item1['DataMov'] == $item2['DataMov']) {
		return ($item1['Tipo'] == 'D') ? -1 : 1;
        // return 0;
    }
    return ($item1['DataMov'] < $item2['DataMov']) ? 1 : -1;
}

/* Compare 2 arrays by value of Date 
 * ASCENDENT
 */
function sortMovimentosDateHelper2($item1,$item2) {
	if ($item1['DataMov'] == $item2['DataMov']) {
		return ($item1['Tipo'] == 'C') ? -1 : 1;
        // return 0;
    }
    return ($item1['DataMov'] > $item2['DataMov']) ? 1 : -1;
}
// Sort movimentos by ID_Movimento
// usort($movimentos,'sortMovimentosHelper');

//First place movements by date ASC for process the solde
usort($movimentos,'sortMovimentosDateHelper2');

for($i=0; $i<sizeof($movimentos); $i++){
	if($movimentos[$i]['Tipo'] == 'D'){
		$GLOBALS['SoldeTotal'] += $movimentos[$i]['Total_PVP'];

		// var_dump($movimentos[$i]['ID_Movimento'] . ' || ' . $movimentos[$i]['DataMov'] . ' || ' . $movimentos[$i]['Tipo'] . ' || ' . $movimentos[$i]['PlanoContas_Debito'] . ' || ' . $movimentos[$i]['Total_PVP'] . ' || ' . $GLOBALS['SoldeTotal']);
	}else{
		$GLOBALS['SoldeTotal'] -= $movimentos[$i]['Total_PVP'];

		// var_dump($movimentos[$i]['ID_Movimento'] . ' || ' . $movimentos[$i]['DataMov'] . ' || ' . $movimentos[$i]['Tipo'] . ' || ' . $movimentos[$i]['PlanoContas_Credito'] . ' || -' . $movimentos[$i]['Total_PVP'] . ' || ' . $GLOBALS['SoldeTotal']);
	}
	
	$movimentos[$i]['Solde'] = $GLOBALS['SoldeTotal'];
}

//After place movements by date DESC for print
// Sort movimentos by Data DESC
// usort($movimentos,'sortMovimentosDateHelper');

// var_dump($movimentos);die();
/**
 * |----------------------------------------------------
 * |				BASE CLASS
 * |----------------------------------------------------
 */
class MYPDF extends TCPDF {
	//Page header
	public function Header() {
		$data2 = $GLOBALS['Trad'];
		$half_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
		$third_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
		$fourth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
		$fifth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
		$six_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
		$seven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
		$eigth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
		$nine_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
		$ten_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
		$eleven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
		$twelve_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

		$fourth_touch_right = ($this -> getPageWidth() - PDF_MARGIN_RIGHT - $fourth_page);

		$destX = $third_page + $third_page ;
		$typeImg = explode('.', $GLOBALS["Logotipo"]);
		$typeImg = end($typeImg);
		$typeImg = strtoupper($typeImg);
		// var_dump($GLOBALS["Logotipo"],$typeImg);

		// Image method signature:
		// Image($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)
		$this -> Image($_SERVER["DOCUMENT_ROOT"] . "/uploads/faturacao/".$GLOBALS["Logotipo"], 0, 3, 0, 24, $typeImg, '', 'C', false, 300, 'L', false, false, 0, false, false, false);

		// $this -> SetFont('opensans', '', 8, '', true);
		$this -> setY(27);

		
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($third_page, '', $GLOBALS["Designacao"],   0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["Endereco1"],    0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["CodigoPostal"] . " " . $GLOBALS["Cidade"] , 0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[766]['trad'].': ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Nif"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[294]['trad'].': ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Telefone"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', $data2[543]['trad'].':', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Email"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()+2, $third_page+$seven_page, $this->GetY()+2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));
	}

	// Page footer
	public function Footer() {
		$data2 = $GLOBALS['Trad'];
		$line1 = '<p>'.$data2[550]['trad'].': ' . date('d/m/Y H:i:s') . '<br>' . $GLOBALS['Designacao'] . '. - '.$data2[1599]['trad'].': ' . $GLOBALS['Nif'] . '</p>';

		$right_marg = $this -> getPageWidth() - PDF_MARGIN_RIGHT;
		$paginationX = $this -> getPageWidth() - PDF_MARGIN_LEFT - 4;

		// Position at 20 mm from bottom
		$this -> SetY(-18);
		$lineY = $this->GetY();
		// Set font
		$this -> SetFont('opensans', '', 8);
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()-2, $right_marg, $this->GetY()-2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));

		$this -> writeHTMLCell(0, 5, '', $this->GetY(), $line1, 0, 1, 0, true, 'C', false);
		
		/*$this -> SetFont('opensans', '', 7);
		$this -> SetY(-15);
		$this -> Cell($paginationX, 10, 'Page ' . $this -> getAliasNumPage() . '/' . $this -> getAliasNbPages(), 0, 0, 'R', 0, '', 0, false, 'T', 'M');*/
	}
}

//=====================================================+
// 					START FILE
//=====================================================+

$pdf = new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf -> SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE . ' 001', PDF_HEADER_STRING, array(0, 64, 255), array(0, 64, 128));
$pdf -> setFooterData(array(0, 64, 0), array(0, 64, 128));

$pdf -> setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf -> setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

$pdf -> SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf -> SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf -> SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf -> SetFooterMargin(PDF_MARGIN_FOOTER);

$pdf -> SetAutoPageBreak(TRUE, 0);
$pdf -> setImageScale(PDF_IMAGE_SCALE_RATIO);

$tagvs = array('p' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'div' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'ul' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'br' => array(0 => array('h' => 0.2, 'n' => 1), 1 => array('h' => 0.2, 'n'=> 1)));
$pdf->setHtmlVSpace($tagvs);

// Add a page
$pdf -> setPrintHeader(false);
$pdf -> setPrintFooter(true);

$pdf -> setFillColor(255, 255, 255);

//Defs
$full_page = $pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT;
$half_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
$third_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
$fourth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
$fifth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
$six_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
$seven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
$eigth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
$nine_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
$ten_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
$eleven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
$twelve_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

//Defs2
$border_bottom = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_full = array('TLRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lr = array('LR' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lt = array('LT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rt = array('RT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrt = array('LRT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrb = array('LRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lb = array('LB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rb = array('RB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_tb = array('TB' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$border_r = array('R' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_l = array('L' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_b = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_t = array('T' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$style_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_bold_line = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_light_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150));

$right_marg = $pdf -> getPageWidth() - PDF_MARGIN_RIGHT;

//--------------- First Page ---------------
// $pdf -> startPageGroup();
$pdf -> AddPage();

// Início do conteudo (Y)
$startContentY = $pdf -> getPageHeight() / 5;

$pdf -> Header();

// $resto = $full_page - ($twelve_page + $eigth_page + $twelve_page + $twelve_page + $eigth_page + $eigth_page + $eigth_page);
$resto = $full_page - ($twelve_page + $ten_page + $twelve_page + ($twelve_page/2) + $eigth_page + $eigth_page);

cabecalho($pdf);

cabecalho_tabela($pdf);

$footer_Total_PVP = 0;
$footer_Total_Unit = 0;
$footer_Total_TVA = 0;

// Linhas de Fatura
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos as $linha) {
	// -- twelve_page --
	// -- ten_page  --
	// -- twelve_page  --
	// -- twelve_page  --
	// -- resto       --
	// -- eigth_page  --
	
	// -- $movimentos['ID_Movimento']        --
	// -- $movimentos['Data']                --
	// -- $movimentos['PlanoContas_Debito']  --
	// -- $movimentos['PlanoContas_Credito'] --
	// -- $movimentos['Descricao']           --
	// -- $movimentos['Total_PVP']           --

	if($pdf -> getY() >= 260) {
		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		cabecalho_tabela($pdf);
		$pdf -> setY($pdf -> getY() );
	}

	$a = $pdf->getStringHeight($twelve_page, $linha['ID_Movimento']);
	$b = $pdf->getStringHeight($ten_page, $linha['Data']);
	$c = $pdf->getStringHeight($twelve_page, $linha['Plano']);
	$e = $pdf->getStringHeight($resto, $linha['Descricao']);
	$i = $pdf->getStringHeight($eigth_page, number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ) );
	$d = $pdf->getStringHeight(($twelve_page/2), $linha['Tipo']);
	$j = $pdf->getStringHeight($eigth_page, number_format($linha['Solde'], $numDecimais, '.', '\'' ) );

	//GET PAGE MAX HEIGHT
	$height = calcHeightProd([$a, $b, $c, $d, $e, $i, $j]);

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

	//LINE PRINT
	$pdf -> MultiCell($twelve_page, $height, $linha['ID_Movimento'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($ten_page, $height, $linha['Data'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	if($linha['Tipo'] == 'D'){
		// $pdf -> MultiCell($twelve_page, $height, $linha['Plano'].'|'.$linha['ContraPlano'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['ContraPlano'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	}else{
		// $pdf -> MultiCell($twelve_page, $height, $linha['ContraPlano'].'|'.$linha['Plano'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, $height, $linha['ContraPlano'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	}

	$pdf -> MultiCell($resto, $height, $linha['Descricao'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);

	$pdf -> MultiCell($eigth_page, $height, number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell(($twelve_page/2), $height, $linha['Tipo'],  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell($eigth_page, $height, number_format($linha['Solde'], $numDecimais, '.', '\'' ),  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	$pdf->SetTextColor(0,0,0);

	if($linha['Tipo'] == 'D') {
		$footer_Total_PVP += $linha['Total_PVP'];
		$footer_Total_Unit += $linha['Total_Unit'];
		$footer_Total_TVA += $linha['Total_TVA'];
	} else {
		$footer_Total_PVP -= $linha['Total_PVP'];
		$footer_Total_Unit -= $linha['Total_Unit'];
		$footer_Total_TVA -= $linha['Total_TVA'];
	}
}

$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);

$pdf -> SetFont('opensans', 'B', 8, '', true);

$firstLBL_total = $twelve_page + $ten_page + $twelve_page + $resto;
$pdf -> MultiCell($firstLBL_total, '', $data2[1564]['trad'].' (CHF): ',  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);

//CHECK TOTAL SIGNAL(POSITIVE/NEGATIVE)
if($footer_Total_PVP<0){
	//RED
	$pdf->SetTextColor(191,67,70);
}elseif($footer_Total_PVP>0){
	//GREEN
	$pdf->SetTextColor(72,140,108);
}else{
	//BLACK
	$pdf->SetTextColor(0,0,0);
}

$pdf -> MultiCell($eigth_page, '', number_format($footer_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);

//CHECK SOLDE SIGNAL(POSITIVE/NEGATIVE)
if($GLOBALS['SoldeTotal']<0){
	//RED
	$pdf->SetTextColor(191,67,70);
}elseif($GLOBALS['SoldeTotal']>0){
	//GREEN
	$pdf->SetTextColor(72,140,108);
}else{
	//BLACK
	$pdf->SetTextColor(0,0,0);
}

$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);

$pdf -> MultiCell($eigth_page, '', number_format($GLOBALS['SoldeTotal'], $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);

$pdf->SetTextColor(0,0,0);

$pdf -> SetFont('opensans', '', 8, '', true);

// $pdf -> Ln();

	// Line -> $x1, $y1, $x2, $y2, $style=array()
	// MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false

// ----------- Paginação e colocação de 'Originale', 'Duplicata', 'Triplé' e 'Quadruplé' -----------
$max = $pdf -> PageNo();

// ----------------- Page Numbers -----------------------------
$paginationX = $right_marg - PDF_MARGIN_RIGHT;
$pages = $pdf -> getNumPages();
for($i = 1; $i <= $pages; ){
	for($k = 1; $k <= $max; $k++, $i++){
		$pdf -> setPage($i);

		$pdf -> SetFont('opensans', '', 7);
		$pdf -> SetY(-10);
		$pdf -> Cell($paginationX, 0, $data2[1269]['trad'].' ' . $k . '/' . $max, 0, 0, 'R', 0, '', 0, false, 'B', 'B');

	}
}
// ----------------------------------------------------------

// ------------- Certificação Vertical Lado Esquerdo -------- 
$total_pages = $pdf -> getNumPages();
for ($i = 1; $i <= $total_pages; $i++) {
    $pdf -> setPage($i);

    // $myPageWidth = $pdf -> getPageWidth();
    $myPageHeight = $pdf -> getPageHeight();

    $myX = PDF_MARGIN_LEFT / 2 + 2;
    $myY = $myPageHeight - 35;

    $pdf -> SetAlpha(0.5);

    $pdf -> StartTransform();
    $pdf -> Rotate(90, $myX, $myY);
    $pdf -> SetFont('opensans', '', 7);
    $pdf -> SetTextColor(0, 0, 0);

    $pdf -> Text($myX, $myY, ' ');
    $pdf -> StopTransform();

    // Reset the transparency to default
    $pdf -> SetAlpha(1);
}

// Close and output PDF document
// This method has several options, check the source code documentation for more information.
$pdf -> Output($data2[1420]['trad'].$CodeCompte.'_'.date("d-m-Y").'.pdf', 'I');

//=====================================================+
// 					END OF FILE
//=====================================================+

//DOC HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho($pdf){
	$data2 = $GLOBALS['Trad'];
	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --

	global $style_line;
	global $style_bold_line;
	global $style_light_line;

	global $right_marg;
	global $startContentY;

	// global $data_inicio;
	// global $data_fim;
	// global $stringLabelPeriod;
	
	global $planComptable;

	
	$pdf -> SetFont('opensans', 'B', 10);
	$pdf -> MultiCell($half_page, '', $data2[278]['trad'].' - '.$data2[1152]['trad'], 0, 'L',  false, 1, '', $startContentY, false, 0, false, true, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);
	$pdf -> MultiCell($half_page, '', $data2[1299]['trad'].' ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);

	$pdf -> MultiCell($fourth_page, '', $data2[379]['trad'], 0, 'L', false, 0, PDF_MARGIN_LEFT + $half_page, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $data2[393]['trad'], 0, 'L', false, 1, PDF_MARGIN_LEFT + $half_page + $fourth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page - 4, $pdf->GetY(), $style_line);
	
	$pdf -> Line(PDF_MARGIN_LEFT + $half_page, $pdf->GetY(), PDF_MARGIN_LEFT + $fourth_page + $fourth_page + $fourth_page - 4, $pdf->GetY(), $style_line);
	$pdf -> Line(PDF_MARGIN_LEFT + $half_page + $fourth_page , $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> MultiCell($half_page, '', $planComptable, 0, 'L', false, 0, PDF_MARGIN_LEFT, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $GLOBALS['dateAccuel'], 0, 'L', false, 0, PDF_MARGIN_LEFT + $fourth_page+ $fourth_page, '', true, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($fourth_page, '', $GLOBALS['dateFin'], 0, 'L', false, 1, PDF_MARGIN_LEFT + $fourth_page + $fourth_page+ $fourth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Ln();
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);

	// $pdf -> Ln();
	// $pdf -> Ln();

}

//LINES HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho_tabela($pdf){
	$data2 = $GLOBALS['Trad'];
	global $right_marg;

	global $style_line;
	global $style_bold_line;

	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --


	global $resto;
	
	$pdf -> SetFont('opensans', 'B', 8);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);
	$pdf -> setFillColor(230, 230, 230);

	$pdf -> MultiCell($twelve_page, '', $data2[1161]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($ten_page, '', $data2[377]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, '', $data2[269]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($resto, '', $data2[427]['trad'], 0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', $data2[1146]['trad'], 0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2), '', '', 0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', $data2[1485]['trad'], 0, 'R', true, 1, '', '', true, 0, false, false, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
	$pdf -> setFillColor(255, 255, 255);
	$pdf -> SetFont('opensans', '', 7);
}


// Calculate Min Height of Line
function calcHeightProd($strHeight){
	return max($strHeight) + 1;
}

 ?>