<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];


//GET POST VARS ---------------------------------------------------------
$idCliente = $_POST['idCliente'];
$text_commentaire = $_POST['text_commentaire'];

//VERIFICA SE HA NULOS ---------------------------------------------------
// if ( $nome_cliente == '' || $pais_cliente == '' || $vendedor_cliente == '' || $endereco_cliente == '' || $cidade_cliente == '' || $plano_cliente == '' || $plano_cliente == '' || $responsavel_cliente == '' ) 
if ( $idCliente == '' || $text_commentaire == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//GET NEXT CODIGO
$dataNew = date('d/m/Y H:i:s');

//return next id
$nomeUtilizador = $_SESSION['nome_utilizador'];

//INSERT DB ------------------------------------------------------------------
$query = "INSERT INTO faturacao_clientes_comentarios (
	Data, 
	ID_Cliente, 
	ID_Utilizador, 
	Nome_Utilizador, 
	Texto
	) VALUES (?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sssss", 
	    $dataNew, 
	    $idCliente, 
		$id_utilizador, 
		$nomeUtilizador, 
		$text_commentaire
	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//GET CLIENTE --------------------------------------------------------------
$query = "SELECT Codigo, Nome FROM faturacao_clientes WHERE ID_Cliente = ?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result
	$stmt -> bind_param("s", $idCliente);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "HELP001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($CodigoClienteDB, $NomeClienteDB);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "HELP002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//--------------------------------------------------------------------------

//log sistema - processo
$descricao_log ="Nouveau commentaire du client (code: ".$CodigoClienteDB.", nom: ".$NomeClienteDB.")";
insert_log(0,"Inserir",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>