<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(679,122,1153);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

$aColumns = array('Tipo', 'NDocumento', 'BVR',  'Data', 'Validade', 'Total', 'Liquidado', 'Estado', 'ID_Documento','NSerie','Numero');

//FATURAS
$groupby_fat = '';
$aColumns_fat = array(
    'CASE InvoiceType WHEN "FT" THEN "'.$data[679]['trad'].'" ELSE "FA" END',
    'CONCAT("FA ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",Numero)',
    'BVR',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( Validade,  "%d/%m/%Y" )',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE TotalLiquidado - GrossTotal END',
    'Estado',
    'ID_Fatura',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$aColumns_costum_fat = array(
    'CASE InvoiceType WHEN "FT" THEN "'.$data[679]['trad'].'" ELSE "FA" END',
    'CONCAT("FA ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",Numero)',
    'BVR',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE TotalLiquidado - GrossTotal END',
    'Estado',
    'ID_Fatura',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$fFilter_fat = array(
    'CASE InvoiceType WHEN "FT" THEN "'.$data[679]['trad'].'" ELSE "FA" END',
    'CONCAT("FA ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",Numero)',
    'BVR',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE TotalLiquidado - GrossTotal END',
    'Estado',
    'ID_Fatura',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$sIndexColumn_fat = "faturacao_faturas.ID_Fatura";

$sTable_fat = "faturacao_faturas";

$cTable_fat = "faturacao_faturas";

$sJoin_fat = "ID_Cliente = ".$_GET['cliente']." AND Estado NOT IN ('Rascunho')";


//GUIAS
$groupby_gui = '';

$aColumns_gui = array(
    'CASE InvoiceType WHEN "GT" THEN "'.$data[122]['trad'].'" ELSE "BL" END',
    'CONCAT("BL ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie),"/",Numero)',
    'CASE ATDocCodeID WHEN "" THEN "-" ELSE "-" END',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( Validade,  "%d/%m/%Y" )',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_GuiaTransporte',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$aColumns_costum_gui = array(
    'CASE InvoiceType WHEN "GT" THEN "'.$data[122]['trad'].'" ELSE "BL" END',
    'CONCAT("BL ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie),"/",Numero)',
    'CASE ATDocCodeID WHEN "" THEN "-" ELSE "-" END',
    'Data',
    'Validade',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_GuiaTransporte',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$fFilter_gui = array(
    'CASE InvoiceType WHEN "GT" THEN "'.$data[122]['trad'].'" ELSE "BL" END',
    'CONCAT("BL ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie),"/",Numero)',
    'CASE ATDocCodeID WHEN "" THEN "-" ELSE "-" END',
    'Data',
    'Validade',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'CASE ATDocCodeID WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_GuiaTransporte',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$sIndexColumn_gui = "faturacao_guias_transporte.ID_GuiaTransporte";

$sTable_gui = "faturacao_guias_transporte";

$cTable_gui = "faturacao_guias_transporte";

$sJoin_gui = "ID_Cliente = ".$_GET['cliente']." AND Estado NOT IN ('Rascunho')";

//NOTAS CREDITO
$groupby_notas = '';

$aColumns_notas = array(
    'CASE InvoiceType WHEN "NC" THEN "'.$data[1153]['trad'].'" ELSE "NC" END',
    'CONCAT("NC ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie),"/",Numero)',
    'CASE ATCUD WHEN "" THEN "-" ELSE "-" END',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( Validade,  "%d/%m/%Y" )',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - TotalPagar END',
    'CASE ATCUD WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCredito',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$aColumns_costum_notas = array(
    'CASE InvoiceType WHEN "NC" THEN "'.$data[1153]['trad'].'" ELSE "NC" END',
    'CONCAT("NC ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie),"/",Numero)',
    'CASE ATCUD WHEN "" THEN "-" ELSE "-" END',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - TotalPagar END',
    'CASE ATCUD WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCredito',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$fFilter_notas = array(
    'CASE InvoiceType WHEN "NC" THEN "'.$data[1153]['trad'].'" ELSE "NC" END',
    'CONCAT("NC ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie),"/",Numero)',
    'CASE ATCUD WHEN "" THEN "-" ELSE "-" END',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - TotalPagar END',
    'CASE ATCUD WHEN "" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCredito',
    '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_notas_credito.ID_Serie)',
    'CAST(Numero AS UNSIGNED)'
);

$sIndexColumn_notas = "faturacao_notas_credito.ID_NotaCredito";

$sTable_notas = "faturacao_notas_credito";

$cTable_notas = "faturacao_notas_credito";

$sJoin_notas = "ID_Cliente = ".$_GET['cliente']." AND Estado NOT IN ('Rascunho')";

//LIMITS
$sLimit = "";
if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {
    $sLimit = "LIMIT " . mysql_real_escape_string($_GET['iDisplayStart']) . ", " . mysql_real_escape_string($_GET['iDisplayLength']);
}

/*
 * Ordering
 */
$sOrder_NDoc_First="NSerie";
$sOrder_NDoc_Second="Numero";

if (isset($_GET['iSortCol_0'])) {
    $sOrder = "ORDER BY  ";
    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {
        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {
            if ($_GET['iSortCol_0'] == 1) {
				$sOrder .= $sOrder_NDoc_First .' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) .', '.$sOrder_NDoc_Second.' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) . ', ';
            } else {
                $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "
                " . mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
            }
        }
    }

    $sOrder = substr_replace($sOrder, "", -2);
    if ($sOrder == "ORDER BY") {
        $sOrder = "";
    }
}

/*
 * Filtering
 * NOTE this does not match the built-in DataTables filtering which does it
 * word by word on any field. It's possible to do here, but concerned about efficiency
 * on very large tables, and MySQL's regex functionality is very limited
 */
$sWhere_fat = "WHERE " . $sJoin_fat;
if ($_GET['sSearch'] != "") {
    $sWhere_fat = "WHERE " . $sJoin_fat . " AND(";

    for ($i = 0; $i < count($aColumns_costum_fat); $i++) {
        if ((strlen(strstr($aColumns_costum_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $aColumns_costum_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_fat = substr_replace($sWhere_fat, "", -3);
    $sWhere_fat .= ')';

}

$sWhere_gui = "WHERE " . $sJoin_gui;
if ($_GET['sSearch'] != "") {
    $sWhere_gui = "WHERE " . $sJoin_gui . " AND(";

    for ($i = 0; $i < count($aColumns_costum_gui); $i++) {
        if ((strlen(strstr($aColumns_costum_gui[$i], "SUM")) == 0))
            $sWhere_gui .= $aColumns_costum_gui[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_gui = substr_replace($sWhere_gui, "", -3);
    $sWhere_gui .= ')';

}

$sWhere_notas = "WHERE " . $sJoin_notas;
if ($_GET['sSearch'] != "") {
    $sWhere_notas = "WHERE " . $sJoin_notas . " AND(";

    for ($i = 0; $i < count($aColumns_costum_notas); $i++) {
        if ((strlen(strstr($aColumns_costum_notas[$i], "SUM")) == 0))
            $sWhere_notas .= $aColumns_costum_notas[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_notas = substr_replace($sWhere_notas, "", -3);
    $sWhere_notas .= ')';

}

/* Individual column filtering */
for ($i = 0; $i < count($fFilter_fat); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_fat == "") {
            $sWhere_fat = "WHERE ";
        } else {
            $sWhere_fat .= " AND ";
        }
        if ((strlen(strstr($fFilter_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $fFilter_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}
for ($i = 0; $i < count($fFilter_gui); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_gui == "") {
            $sWhere_gui = "WHERE ";
        } else {
            $sWhere_gui .= " AND ";
        }
        if ((strlen(strstr($fFilter_gui[$i], "SUM")) == 0))
            $sWhere_gui .= $fFilter_gui[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}
for ($i = 0; $i < count($fFilter_notas); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_notas == "") {
            $sWhere_notas = "WHERE ";
        } else {
            $sWhere_notas .= " AND ";
        }
        if ((strlen(strstr($fFilter_notas[$i], "SUM")) == 0))
            $sWhere_notas .= $fFilter_notas[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}

/*
 * Select list
 */
$sSelect_fat = "";
for ($i = 0; $i < count($aColumns_fat); $i++) {
    $sSelect_fat .= $aColumns_fat[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_fat = substr_replace($sSelect_fat, "", -2);

$sSelect_gui = "";
for ($i = 0; $i < count($aColumns_gui); $i++) {
    $sSelect_gui .= $aColumns_gui[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_gui = substr_replace($sSelect_gui, "", -2);

$sSelect_notas = "";
for ($i = 0; $i < count($aColumns_notas); $i++) {
    $sSelect_notas .= $aColumns_notas[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_notas = substr_replace($sSelect_notas, "", -2);

/*
 * SQL queries
 * Get data to display
 */
$sQuery = "
SELECT SQL_CALC_FOUND_ROWS Tipo, NDocumento, BVR,  Data, Validade, Total, Liquidado, Estado, ID_Documento FROM (
    SELECT  " . $sSelect_fat . "
    FROM   $sTable_fat
    $sWhere_fat
    UNION ALL
    SELECT " . $sSelect_gui . "
    FROM   $sTable_gui
    $sWhere_gui
    UNION ALL
    SELECT " . $sSelect_notas . "
    FROM   $sTable_notas
    $sWhere_notas
    ) as T2
    $sOrder 
    $sLimit ";
// echo $sQuery;
$rResult = executaQuery($sQuery);

/* Data set length after filtering */
$sQuery = "
    SELECT FOUND_ROWS()
";
$rResultFilterTotal = executaQuery($sQuery);
$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];

/* Total data set length */

$sQuery = "
    SELECT COUNT(" . $sIndexColumn_fat . ")
    FROM   $cTable_fat UNION ALL
    SELECT COUNT(" . $sIndexColumn_gui . ")
    FROM   $cTable_gui UNION ALL
    SELECT COUNT(" . $sIndexColumn_notas . ")
    FROM   $cTable_notas
";
$rResultTotal = executaQuery($sQuery);
$aResultTotal = mysql_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];

/*
 * Output
 */
$output = array("sEcho" => intval($_GET['sEcho']), "iTotalRecords" => $iTotal, "iTotalDisplayRecords" => $iFilteredTotal, "aaData" => array());

while ($aRow = mysql_fetch_array($rResult)) {

    $row = array();
    for ($i = 0; $i < count($aColumns); $i++) {
        if ($aColumns[$i] == "version") {
            /* Special output formatting for 'version' column */
            $row[] = ($aRow[$aColumns[$i]] == "0") ? '-' : $aRow[$aColumns[$i]];
        } else if ($aColumns[$i] != ' ') {
            /* General output */
            $row[] = $aRow[$aColumns[$i]];
        }
    }
    $output['aaData'][] = $row;
}

echo json_encode($output);
?>