<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idCliente = $_POST['idCliente'];
$idPref = $_POST['idPerf'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

$query = "SELECT ID_Perf,
	Activite,
	Adversaire,
	Resultat,
	Technique,
	Intelligence,
	Personalite,
	Vitesse,
	Titulaire,
	Minutes,
	Position,
	Buts,
	Assistances,
	Avertissements,
	Note,
	Details
	FROM faturacao_performances WHERE ID_Sportif=? AND ID_Perf= ? ORDER BY ID_Perf";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("dd", $idCliente, $idPref );
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($objectData['ID_Perf'],
	$objectData['activite'],
	$objectData['adversaire'],
	$objectData['resultat'],
	$objectData['technique'],
	$objectData['intelligence'],
	$objectData['personalite'],
	$objectData['vitesse'],
	$objectData['titulaire'],
	$objectData['minutes'],
	$objectData['position'],
	$objectData['buts'],
	$objectData['assistances'],
	$objectData['avertissements'],
	$objectData['note'],
	$objectData['details'] );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS003";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>