<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
/*include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";*/
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
/*include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";*/
/*include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';*/
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

// GET NECESSARY DATA ----------------------------------------------------
// $ano = $_SESSION['ano'];
// $id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$correctedDocs = 0;
die('THIS IS BLOCKED...');

//GET THE DATA --------------------------------------------------------
$query = "SELECT ID_Fatura, Estado, Data, Validade, (SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie), Numero, TotaRetencao, ID_Banco, CustomerID, Referencia, BVR  FROM faturacao_faturas";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	// $stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Fatura, $Estado, $DataFat, $ValidadeFat, $Serie, $Numero, $retencaoTotal, $bancoFinalID, $CodigoCliente,$referencia, $BVR );
	while ($stmt -> fetch()) {
		$data[] = array(
	        	"ID_Fatura" => $ID_Fatura,
				"Estado" => $Estado,
				"DataFat" => $DataFat,
				"ValidadeFat" => $ValidadeFat,
				"Serie" => $Serie,
				"Numero" => $Numero,
				"retencaoTotal" => $retencaoTotal,
				"bancoFinalID" => $bancoFinalID,
				"CodigoCliente" => $CodigoCliente,
				"referencia" => $referencia,
				"BVR" => $BVR
	        );
	}
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}


foreach ($data as $key => $fatura) {
	$newBVRstring = null;

	var_dump('--- FACTURE ID: '. $fatura['ID_Fatura'].' --- ('.$fatura['Serie'].'/'.$fatura['Numero'].' | '.$fatura['DataFat'].')<br>');
	var_dump($fatura['BVR'],' --- (OLD)<br>');

	// ============================================================
	
	if($fatura['bancoFinalID'] > 0){
		$query = "SELECT  CodigoBVR FROM faturacao_bancos WHERE ID_Banco = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $fatura['bancoFinalID']);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA027A";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($codigoBVR_banco);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA027B";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		if( $codigoBVR_banco < 0){
			$response["errors"] = true;
			$response["type"] = "FTGA027C";
			$response["message"] = "Banco";
			die(json_encode($response));
		}
		//-------------------------------------------------
		
		$n_ZerosLeft = 11 - strlen($codigoBVR_banco);
		$zerosGenerated = str_pad('',  $n_ZerosLeft, "0");
		$typeDoc = '0';
		$docNumberFormated = str_pad($fatura['ID_Fatura'], 7, "0", STR_PAD_LEFT);
		$clientNumberFormated = str_pad($fatura['CodigoCliente'], 7, "0", STR_PAD_LEFT);

		$new_code_bvr = $codigoBVR_banco.$docNumberFormated.$zerosGenerated.$clientNumberFormated.$typeDoc;

		//CALCULATE BVR
		$new_control_bvr_digit = Bvr::calculate($new_code_bvr);
		$new_code_bvr = $new_code_bvr.$new_control_bvr_digit;

		$newBVRstring = $new_code_bvr;
	}

	// ============================================================

	var_dump($newBVRstring,' --- (NEW)');
	var_dump(' <br><br> ');

	//UPDATE QUERY
	$query = "UPDATE faturacao_faturas SET BVR=? WHERE ID_Fatura = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("ss", $newBVRstring, $fatura['ID_Fatura']);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FATS003";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FATS004";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	$correctedDocs++;
}


$response["errors"] = false;
$response["total_documentos_corrigidos"] = $correctedDocs;
die(json_encode($response));
?>