<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0150']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/sportifs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Sportifs'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1976,459,1495,252,1531,1175,1313,35,1288,260,1684,385,1155,251,1428,574,1297,298,543,1526,1481,1564,1485,1417,296,485,1091,284,43,1617,377,255,1542,1485,578,1263,266,562,1527,1291,33,575,1418,1518,916,1294,1690,1530,538,1304,163,82,117,1192,463,45,186,1403,214,989,1167,392,1990);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title>Frifacturation | <?php echo $data[1495]['trad']; ?> > <?php echo $data[459]['trad']; ?></title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../sportifs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../sportifs"><?php echo $data[1495]['trad']; ?></a>
							</li>
							<li class="active">
								<?php echo $data[459]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-md-9">
												<h5 class="form-header">
													<legend class="form-legend">
														<?php echo $data[459]['trad']; ?>
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label"><?php echo $data[252]['trad']; ?></label>
																<span id="codigo_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1531]['trad']; ?></label>
																<span id="titulo_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
																<span id="nome_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1990]['trad']; ?></label>
																<span id="apelido_cliente" style="display: block"></span>
															</div>
														</div>
													</div>

													<div class="row mtm">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label"><?php echo $data[35]['trad']; ?></label>
																<span id="endereco_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1288]['trad']; ?></label>
																<span id="pais_cliente" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row mtm">
														<div class="col-sm-6 col-md-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[260]['trad']; ?></label>
																<span id="codigopostal_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-3 hide">
															<div class="form-group">
																<label class="control-label">Canton</label>
																<span id="regiao_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1684]['trad']; ?></label>
																<span id="cidade_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-4">
															<div class="form-group">
																<label class="control-label"><?php echo $data[385]['trad']; ?></label>
																<span id="year_cliente" style="display: block"></span>
															</div>
														</div>
													</div>
													<!-- <div class="row mtm">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Grupo de Clients</label>
																<span id="grupo_cliente" style="display: block"></span>
															</div>
														</div>	
													</div> -->
													<div class="row mtm">
														<div class="col-sm-3 ">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1155]['trad']; ?></label>
																<span id="avs_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-3">
															<div class="form-group">
																<label class="control-label"><?php echo $data[251]['trad']; ?></label>
																<span id="club_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-3">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1428]['trad']; ?></label>
																<span id="role_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-3">
															<div class="form-group">
																<label class="control-label"><?php echo $data[574]['trad']; ?></label>
																<span id="team_cliente" style="display: block"></span>
															</div>
														</div>														
													</div>
												</div>
											</div>
											<div class="col-md-3">
												<h5 class="form-header">
													<legend class="form-legend">
														<?php echo $data[1297]['trad']; ?> 
													</legend>
												</h5>
												<div class="section-form">
													<div class="form-group" id="profil_client">
														<img src="/uploads/sportifs/favicon.svg" width="100%" height="auto">
													</div>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col-md-4">
												<h5 class="form-header">
													<legend class="form-legend">
														<?php echo $data[298]['trad']; ?> 
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-7">
															<div class="form-group">
																<label class="control-label"><?php echo $data[543]['trad']; ?></label>
																<span id="email_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-5">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
																<span id="tlm_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4 hide">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1481]['trad']; ?></label>
																<span id="website_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-6 col-md-2 hide">
															<div class="form-group">
																<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
																<span id="tlf_cliente" style="display: block"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-4 text-center">
												<div class="row mbm mtm">
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b><?php echo $data[1564]['trad']; ?>:</b></h4><br>
															<p class="text-green" style="font-size: 18px;">
																<b><span class="moneyTotal" id="chiffre_value">0</span></b>
															</p>
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-4 text-center">
												<div class="row mbm mtm">
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b><?php echo $data[1485]['trad']; ?>:</b></h4><br>
															<p id="solde_value_wrapper" class="" style="font-size: 18px;">
																<b><span class="moneyTotal" id="solde_value">0</span></b>
															</p>
														</div>
													</div>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col-md-12">
												<h5 class="form-header">
													<legend class="form-legend">
														<?php echo $data[1417]['trad']; ?> 
													</legend>
												</h5>
											
												<div class="section-form">
													<div class="row">
														<div class="col-xs-12">
															<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
																<thead>
																	<tr>
																		<!-- <th style="width: 100px;">Code</th> -->
																		<th><?php echo $data[1175]['trad']; ?></th>
																		<th><?php echo $data[1990]['trad']; ?></th>
																		<th style="width: 200px;"><?php echo $data[1526]['trad']; ?></th>
																		<th style="width: 200px;"><?php echo $data[543]['trad']; ?></th>
																		<!-- <th style="width: 80px;">Options</th> -->
																	</tr>
																</thead>
																<tbody>
																</tbody>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header hide">
											<legend class="form-legend">
												<?php echo $data[296]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form hide">
											<div class="row">
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
														<span id="preferencial_nome_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[543]['trad']; ?></label>
														<span id="preferencial_email_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="preferencial_tlm_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1526]['trad']; ?></label>
														<span id="preferencial_tlf_cliente" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[485]['trad']; ?>
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-6 col-md-3 hide">
													<div class="form-group">
													<label class="control-label">Conta Corrente<span class="require">*</span></label>
													<span id="contacorrente_cliente" style="display: block"></span>
												</div>
												</div>
													<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1091]['trad']; ?></label>
														<span id="pagamento_cliente" style="display: block"></span>
													</div>
												</div>
													<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label"><?php echo $data[284]['trad']; ?></label>
														<span id="vencimento_Cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
													<div class="form-group">
														<label class="control-label"><?php echo $data[1976]['trad']; ?></label>
														<span id="vendedor_cliente" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<!-- Documentos Associados -->
										<div class="panel panel-default mtm" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse0" style="display:block;font-weight: bold;" disabled="disabled"><?php echo $data[43]['trad']; ?> <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse0" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="documentsAssociados" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th style="width: 100px;"><?php echo $data[1617]['trad']; ?></th>
																		<th style="width: 100px;"><?php echo $data[1167]['trad']; ?></th>
																		<th ><?php echo $data[1313]['trad']; ?></th>
																		<th style="width: 80px;"><?php echo $data[377]['trad']; ?></th>
																		<th style="width: 110px;"><?php echo $data[392]['trad']; ?></th>
																		<th style="width: 90px;"><?php echo $data[1542]['trad']; ?>&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 90px;"><?php echo $data[1485]['trad']; ?>&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 80px;"><?php echo $data[578]['trad']; ?></th>
																		<th style="width: 60px;"><?php echo $data[1263]['trad']; ?></th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                        <tr>
							                                            <th colspan="5" class="text-right"><?php echo $data[1564]['trad']; ?>:&nbsp;</th>
							                                            <th class="text-green"></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                        </tr>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>



										<!-- Comentários Associados -->
										<div class="panel panel-default mtm" id="accordComment">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse1" style="display:block;font-weight: bold;" disabled="disabled"><?php echo $data[266]['trad']; ?> <span id="totalCommentsSpan"></span> <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse1" class="panel-collapse collapse">
												<div class="panel-body commentsWrapperBody">
													<div class="row" id="commentsWrapperBody"></div>

													<hr>

													<form id="form_comment" class="form-validate">
														<div class="row">
															<div class="col-sm-12">
																<div class="form-group ">
																	<label class="control-label"><?php echo $data[1527]['trad']; ?><span class="require">*</span></label>
																	<textarea autofocus="true" name="text_commentaire" id="text_commentaire" class="form-control" placeholder="..." rows="4" required></textarea>
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-xs-12 text-right">
																<button class="btn btn-yellow submit_button" type="submit">
																	<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
																</button>
															</div>
														</div>
													</form>
												</div>
											</div>
										</div>
										<div class="panel panel-default mtm" id="accordPerf">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse2" style="display:block;font-weight: bold;" disabled="disabled"><?php echo $data[1291]['trad']; ?> <span id="totalPerfsSpan"></span> <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse2" class="panel-collapse collapse">
												<div class="section-form">
													<div class="row">
														<div class="col-xs-12">
															<table class="table table-bordered table-striped" id="perfTable" style="margin-bottom: 5px;">
																<thead>
																	<tr>
																		<!-- <th style="width: 100px;">Code</th> -->
																		<th><?php echo $data[33]['trad']; ?></th>
																		<th><?php echo $data[575]['trad']; ?></th>
																		<th style="width: 40px;"><?php echo $data[1418]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[1518]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[916]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[1294]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[1690]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[1530]['trad']; ?></th>
																		<th style="width: 15px;"><?php echo $data[538]['trad']; ?></th>
																		<th><?php echo $data[1304]['trad']; ?></th>
																		<th style="width: 30px;"><?php echo $data[163]['trad']; ?></th>
																		<th style="width: 30px;"><?php echo $data[82]['trad']; ?></th>
																		<th style="width: 30px;"><?php echo $data[117]['trad']; ?></th>
																		<th style="width: 30px;"><?php echo $data[1192]['trad']; ?></th>
																		<th><?php echo $data[463]['trad']; ?></th>
																		<th style="width: 30px;"><?php echo $data[1263]['trad']; ?></th>
																	</tr>
																</thead>
																<tbody>
																</tbody>
															</table>
														</div>
													</div>
													<div class="row">
														<center>
															<button class="btn btn-yellow btn-outlined btn-square" style="margin-top:10px;" onclick="new_pref()"><i class="fa fa-plus"></i>&nbsp;&nbsp;<?php echo $data[45]['trad']; ?></button>
														</center>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>
		<?php include('../modals/new_perf.php');  ?>
		<?php include('../modals/confirmar_enviar_fatura_QR.php');  ?>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.sportifs_faturacao").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});
			
			function new_pref() {
				$('#modal-perf').modal("show");
			}
			
			function edit_perf(idperf, idCliente) {
				//Changer tout et mettre les données ou il faut
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/sportifs/get_perf.php',
					dataType : 'json',
					data : { 
						idCliente : idCliente,
						idPerf: idperf
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							console.log(resposta)
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									//mettre les données ou il faut
									$("#activite").val(resposta.data.activite);
									$("#adversaire").val(resposta.data.adversaire);
									$("#resultat").val(resposta.data.resultat);
									$("#position").val(resposta.data.position);
									$("#minutes").val(resposta.data.minutes);
									$("#buts").val(resposta.data.buts);
									$("#assistances").val(resposta.data.assistances);
									$("#avertissements").val(resposta.data.avertissements);
									$("#note").val(resposta.data.note);
									$("#details").val(resposta.data.details);
									$("#id_perf").val(idperf);
									
									if(resposta.data.technique == 1){
										$("#technique").iCheck('check');
									}
									if(resposta.data.intelligence == 1){
										$("#intelligence").iCheck('check');
									}
									if(resposta.data.personalite == 1){
										$("#personalite").iCheck('check');
									}
									if(resposta.data.vitesse == 1){
										$("#vitesse").iCheck('check');
									}
									if(resposta.data.titulaire == 1){
										$("#titulaire").iCheck('check');
									}
									
									$('#modal-perf').modal("show");
								}
							}
						}
					}
				});
			}

			//accordion toggles
			function toggleChevron(e) {
				$(e.target).prev('.panel-heading').find("i.indicator").toggleClass('glyphicon-chevron-left glyphicon-chevron-down');
			}
			//list of accordions
			$('#collapse0').on('hidden.bs.collapse', toggleChevron);
			$('#collapse0').on('shown.bs.collapse', toggleChevron);
			//list of accordions
			$('#collapse1').on('hidden.bs.collapse', toggleChevron);
			$('#collapse1').on('shown.bs.collapse', toggleChevron);

			$(document).ready(function() {
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idCliente = getParameterByName('client');
				//fill infos
				fill_cliente(idCliente);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			val_form_new = $("#form_comment").validate({
				ignore : "",
				rules : {
					text_commentaire : {
						required : true,
					},
				},
				messages : {
					text_commentaire : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_comment").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_comment").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_comment").find('.submit_button').attr("disabled", true);
					$("#form_comment").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?>...');

						var idCliente = getParameterByName('client');
						
						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/sportifs/comentario_inserir.php',
							dataType : 'json',
							data : {
								idCliente : idCliente,
								text_commentaire : $("#text_commentaire").val(),
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null)
									$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("<?php echo $data[989]['trad']; ?>", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resp.responseJSON.errors) {
									$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[989]['trad']; ?>", $.scojs_message.TYPE_OK);
									//reload
									// setTimeout(function() {
									// 	location.reload();
									// }, 1000);
									fill_comments(idCliente);
									$("#text_commentaire").val('');
								}
								$("#form_comment").find('.submit_button').attr("disabled", false);
								$("#form_comment").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
							}
						});
					}
				});
		</script>
	</body>
</html>