<?php 
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(1639,1698,1633,1565,1472,1447,1702,1704,1503,1312,1310,421,1377,1278,1311,424,27,32,425,428,1093,1505,126,1977,885,128,646);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "<?php echo $data[1565]['trad']; ?>"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/bancos.php",
		"oLanguage" : {
			"sLengthMenu" : "<?php echo $data[1472]['trad']; ?>",
			"sZeroRecords" : "<?php echo $data[1447]['trad']; ?>",
			"sInfo" : "<?php echo $data[1702]['trad']; ?>",
			"sInfoEmpty" : "<?php echo $data[1704]['trad']; ?>",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "<?php echo $data[1503]['trad']; ?>",
				"sFirst" : "<?php echo $data[1312]['trad']; ?>",
				"sPrevious" : "<?php echo $data[1310]['trad']; ?>",
				"sLast" : "<?php echo $data[421]['trad']; ?>"
			}
		},
		"aoColumns" : [
		{
			"bVisible" : false,
		}, 
		null,
		{
			"bVisible" : false,
		}, 
		{
			"sClass" : "text-right",
		}, {
			"sClass" : "text-right",
		}, 
		{
			"sClass" : "text-center",
		}, 
		{
			"sClass" : "text-center",
		},
		{
			"sClass" : "text-center",
			 <?php if($_SESSION['mod_Contabilidade'] == 0) { ?>
			 "bVisible" : false,
			 "bSearchable" : false,
			 <?php } ?>
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false
		},{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false
		}],
		"aoColumnDefs" : [
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1].length > 40) element = full[1].substr(0,40)+"...";
				else element = full[1];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money">'+full[3]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				//return html
				return element;
			}
		},
		{
			"aTargets" : [4],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="money">'+full[4]+'</span>';

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				//return html
				return element;
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				//process icon
				if(full[5] == 1){
					element = '&nbsp;<i class="fa fa-check text-green" title="<?php echo $data[1278]['trad']; ?>"></i>';
				}else{
					element = '<a onClick="predefinirBanco('+full[8]+')" class="options-link text-red" title="<?php echo $data[1311]['trad']; ?>"><i class="fa fa-check-square-o"></i></a>';
				}
				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[6] == 1){
					element = '&nbsp;<i class="fa fa-check text-green" title="<?php echo $data[27]['trad']; ?>"></i>&nbsp; <?php echo $data[27]['trad']; ?>';
				}else{
					element = '&nbsp;<i class="fa fa-ban text-yellow" title="<?php echo $data[424]['trad']; ?>"></i>&nbsp; <?php echo $data[424]['trad']; ?>';
				}
				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+processedName+"'";
				var html = '';

				//state options
				if(full[6] == 1){
					html += '<a onClick="alterState('+full[8]+')" class="options-link text-dark-blue" title="<?php echo $data[425]['trad']; ?>"><i class="fa fa-ban"></i></a>';
				}else{
					html += '<a onClick="alterState('+full[8]+')" class="options-link text-green" title="<?php echo $data[32]['trad']; ?>"><i class="fa fa-check-square-o"></i></a>';
				}
				
				html += '<a href="details?banque='+ full[8] +'" class="options-link text-info"><i class="fa fa-eye" title="<?php echo $data[428]['trad']; ?>"></i></a>';
				
				html += '<a href="modifier?banque='+full[8]+'" class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[1093]['trad']; ?>"></i></a>';
				//edition options
				if( full[9] > 0 || full[10] > 0 ){
					html += '<span class="text-gray" style="margin: 4px;"><i class="fa fa-trash"></i></span>';
				}else{
					html += '<a class="options-link text-red" onclick="eliminarBanco('+ full[8] +', '+nome+')" title="<?php echo $data[1505]['trad']; ?>"><i class="fa fa-trash"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[8]);

			return nRow;
		}
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> <?php echo $data[1377]['trad']; ?></button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//details for the bank
	function detalhesBanco(idBanco){

	}

	//change Prédéfini
	function predefinirBanco(idBanco){
	<?php if (hasPermission(['P0065']) == 1) { ?>
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos/predefinir.php',
			dataType : 'json',
			data : {
				idBanco : idBanco
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[126]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				location.reload();
			}
		});
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//change Prédéfini
	function alterState(idBanco){
	<?php if (hasPermission(['P0065']) == 1) { ?>
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos/estado.php',
			dataType : 'json',
			data : {
				idBanco : idBanco
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					} else {
						$.scojs_message("<?php echo $data[1977]['trad']; ?>", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				location.reload();
			}
		});
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}

	//remover
	function eliminarBanco(idBanco, nome){
	<?php if (hasPermission(['P0066']) == 1) { ?>
		if (confirm("<?php echo $data[646]['trad']; ?> \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contabilidade/bancos/apagar.php',
				dataType : 'json',
				data : {
					idBanco : idBanco
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] <?php echo $data[885]['trad']; ?>", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] <?php echo $data[885]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("<?php echo $data[128]['trad']; ?>", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('<?php echo $data[1698]['trad']; ?>');
	<?php } ?>
	}
</script>