<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002,2006,2023,1175,2024,543,562,2025,2026,1222,2027,186,1017,214,1403,1633,2028,2029);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}
?>
<html>
	<title>Données d'Accès | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>

		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>
		<script src="/js/fnReload.js"></script>
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php
			include '../menu.php';
			?>
			<script>
				$(".navbar-nav li.donnes_acces").addClass("active");
			</script>

			<div class="page-content">
				<div class="panel panel-white">
					
					<div class="panel-heading">
						
						<ol class="breadcrumb page-breadcrumb">

							<li class="active">
						<?php echo $data[2006]['trad']; ?>
							</li>
						</ol>
					</div>
					<div class="panel-body">

						<div class="row ptm">
							<div class="col-md-12 ">
								<div class="form-body">

									<form id="form_new_dados" class="form-validate" novalidate="novalidate">
										
										<h5 class="form-header">
											<legend class="form-legend">
												<?php echo $data[2023]['trad']; ?>
												<div class="pull-right" >

												<a class="text-orange only-ic" id="btn-edit" onclick="fill_up_dados(2)"><i class="fa fa-edit"></i></a>
												<a class="text-red only-ic" id="btn-cancel" style="display: none" onclick="fill_up_dados(1)"><i class="fa fa-times"></i></a>
											</div>
											</legend></h5>
											<div class="section-form">
										
										<div class="row">
											<div class="col-md-4">

												<div class="form-group">
													<label class="control-label"><?php echo $data[1175]['trad']; ?><span class="require">*</span></label>
														<p class="form-control-static" id="ver-nome_utilizador"><?php echo $_SESSION['nome_utilizador']; ?></p>
													<input type="text" value="<?php echo $_SESSION['nome_utilizador']; ?>" name="nome_utilizador" id="nome_utilizador" class="form-control"  style="display: none">
												</div>

											</div>
											<div class="col-md-4">

												<div class="form-group">
													<label class="control-label"><?php echo $data[2024]['trad']; ?><span class="require">*</span></label>
														<p class="form-control-static" id="ver-username_utilizador" ><?php echo $_SESSION['username']; ?></p>
													<input type="text" value="<?php echo $_SESSION['username']; ?>" name="username_utilizador" id="username_utilizador" class="form-control"  style="display: none">
												</div>

											</div>
											<div class="col-md-4">

												<div class="form-group">
													<label class="control-label"><?php echo $data[543]['trad']; ?><span class="require">*</span></label>
														<p class="form-control-static" id="ver-email_utilizador"><?php echo $_SESSION['email_utilizador']; ?></p>
													<input type="text" value="<?php echo $_SESSION['email_utilizador']; ?>" name="email_utilizador" id="email_utilizador" class="form-control"  style="display: none">
												</div>

											</div>
										</div>
										<div class="row">
											
											<!--<div class="col-md-4">

												<div class="form-group">
													<label class="control-label">Código SIIAL</label>
														<p class="form-control-static" id="ver-siial_utilizador" ><?php echo $_SESSION['codigo_siial_utilizador']; ?></p>
													<input type="text" value="<?php echo $_SESSION['codigo_siial_utilizador']; ?>" name="siial_utilizador" id="siial_utilizador" class="form-control"  style="display: none">
												</div>

											</div>
											<div class="col-md-4">

												<div class="form-group">
													<label class="control-label">Perfil de Permissões</label>
													<p class="form-control-static" id="ver-perfil_utilizador"><?php echo $_SESSION['perm_nome_permissao']; ?></p>
												</div>

											</div>-->
										</div>
										<div class="row" id="password_div" style="display: none">
											<div class="col-md-12">

												<div class="form-group">
													<label class="control-label"><?php echo $data[2025]['trad']; ?><span class="require">*</span></label>
													<input type="password" name="password_actual_utilizador" id="password_actual_utilizador" class="form-control">
												</div>

											</div>
										</div>
										<div class="mtxl pull-right">

											<button class="btn btn-blue submit_button" type="submit" style="display: none">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>

											</button>
										</div>
										</div>
										</form>
										<form id="form_new_password" class="form-validate" novalidate="novalidate">
										<h5 class="form-header " style="margin-top: 100px">
											<legend class="form-legend">
												<?php echo $data[2026]['trad']; ?>
											</legend></h5>
											<div class="section-form">
										<div class="row">
											<div class="col-md-12">

												<div class="form-group">
													<label class="control-label"><?php echo $data[2025]['trad']; ?><span class="require">*</span></label>
													<input type="password" name="password_actual" id="password_actual" class="form-control">
												</div>

											</div>
										</div>
										<div class="row">
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label"><?php echo $data[1222]['trad']; ?><span class="require">*</span></label>
													<input type="password" name="nova_password" id="nova_password" class="form-control">
												</div>

											</div>
											<div class="col-md-6">

												<div class="form-group">
													<label class="control-label"><?php echo $data[2027]['trad']; ?><span class="require">*</span></label>
													<input type="password" name="nova_password2" id="nova_password2" class="form-control">
												</div>

											</div>
										</div></div>
										<div class="mtxl pull-right">

											<button class="btn btn-blue submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
											</button>
										</div>

									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	</body>

		<?php
		include '../footer.php';
			?>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});
		$("#form_new_password").validate({
			ignore : "",
			rules : {
				password_actual : {
					required : true
				},
				nova_password : {
					required : true
				},
				nova_password2 : {
					required : true,
					equalTo : "#nova_password"
				}
			},
			messages : {
				password_actual : {
					required : "<?php echo $data[186]['trad']; ?>"
				},
				nova_password : {
					required : "<?php echo $data[186]['trad']; ?>"
				},
				nova_password2 : {
					required : "<?php echo $data[186]['trad']; ?>",
					equalTo : "<?php echo $data[1017]['trad']; ?>"
				}
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		$("#form_new_dados").validate({
			ignore : ":not(:visible)",
			rules : {
				nome_utilizador : {
					required : true
				},
				email_utilizador : {
					required : true
				},
				username_utilizador : {
					required : true
				},
				password_actual_utilizador : {
					required : true
				}
			},
			messages : {
				nome_utilizador : {
					required : "<?php echo $data[186]['trad']; ?>"
				},
				email_utilizador : {
					required : "<?php echo $data[186]['trad']; ?>"
				},
				username_utilizador : {
					required : "<?php echo $data[186]['trad']; ?>"
				},
				password_actual_utilizador : {
					required : "<?php echo $data[186]['trad']; ?>"
				}
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		/**
		 * @Preenche a Combobox com os Arruamentos da BD
		 */
		function fill_up_dados(flag) {

			if (flag == 1) {
				$("#btn-cancel").hide();
				$("#form_new_dados").find(".form-control").hide();
				$("#password_div").hide();
				$("#form_new_dados").find(".form-control-static").show();
				$("#form_new_dados").find('.submit_button').hide();
				
				$("#btn-edit").show();
			} else {
				$("#btn-edit").hide();
				$("#form_new_dados").find(".form-control").show();
				$("#password_div").show();
				$("#form_new_dados").find(".form-control-static").hide();
				$("#form_new_dados").find('.submit_button').show();

				$("#btn-cancel").show();
			}
			$("#ver-perfil_utilizador").show();
		}


		$("#form_new_password").submit(function() {
			var resp = null;
			var valid = $("#form_new_password").valid();
			if (valid == false) {
				$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_password").find('.submit_button').attr("disabled", true);
				$("#form_new_password").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?>...');
				$.ajax({
					type : 'POST',
					url : '/server/editar/password.php',
					dataType : 'json',
					data : {

					
						password_actual : $('#password_actual').val(),
						nova_password : $('#nova_password').val()

					},
					success : function(resposta) {
						if (resposta == null)
							$.scojs_message("[FTGP000] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						else {
							resp = resposta;
							if (resposta.errors) {

								if (resposta.type == "validation") {
									$.scojs_message("<?php echo $data[2028]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("[" + resposta.type + "] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);

								}

							} else {
								$.scojs_message("<?php echo $data[2029]['trad']; ?>", $.scojs_message.TYPE_OK);
								setTimeout(function() {
									window.location.href = "/server/logout.php";
								}, 2000);

							}

						}
					},
					complete : function() {

						$("#form_new_password").find('.submit_button').attr("disabled", false);
						$("#form_new_password").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
					}
				});
			}

			return false;

		});
		
		$("#form_new_dados").submit(function() {
			var resp = null;
			var valid = $("#form_new_dados").valid();
			if (valid == false) {
				$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_dados").find('.submit_button').attr("disabled", true);
				$("#form_new_dados").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?>...');
				$.ajax({
					type : 'POST',
					url : '/server/editar/dados_acesso.php',
					dataType : 'json',
					data : {

						nome_utilizador : $('#nome_utilizador').val(),
						email_utilizador : $('#email_utilizador').val(),
						username_utilizador : $('#username_utilizador').val(),
						siial_utilizador : $('#siial_utilizador').val(),
						password_actual_utilizador : $('#password_actual_utilizador').val()

					},
					success : function(resposta) {
						if (resposta == null)
							$.scojs_message("[FTGP000] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						else {
							resp = resposta;
							if (resposta.errors) {

								if (resposta.type == "validation") {
									$.scojs_message("<?php echo $data[2028]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("[" + resposta.type + "] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);

								}

							} else {
								$.scojs_message("<?php echo $data[2029]['trad']; ?>", $.scojs_message.TYPE_OK);
								setTimeout(function() {
									window.location.href = "/server/logout.php";
								}, 2000);

							}

						}
					},
					complete : function() {

						$("#form_new_dados").find('.submit_button').attr("disabled", false);
						$("#form_new_dados").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
					}
				});
			}

			return false;

		});
	</script>
</html>