<?php
require 'resize_image.php';

$images = array("image/jpeg", "image/png");
if (isset($_FILES["foto_empresa"])) {
	$error = $_FILES["foto_empresa"]["error"];
	if (!is_array($_FILES["foto_empresa"]['name']))//single file
	{
		$fileNameTmp = $_FILES["foto_empresa"]["name"];
		$fileName = "logotipo";
		$ext = pathinfo($fileNameTmp, PATHINFO_EXTENSION);
		$ext = "." . $ext;

		$finfo = finfo_open(FILEINFO_MIME_TYPE);
		$info = finfo_file($finfo, $_FILES["foto_empresa"]["tmp_name"]);
		if (!in_array($info, $images)) {
			echo $info;
			$response["errors"] = true;
			$response["type"] = 1;
			die(json_encode($response));
		}

		$withoutExt = preg_replace('/\\.[^.\\s]{3,4}$/', '', $fileName);
		$withoutExt = urlencode($withoutExt);
		$fileName = clean($withoutExt);
		$timestamp = time();

		if (exif_imagetype($_FILES["foto_empresa"]["tmp_name"]) == IMAGETYPE_JPEG) {
			$exif = exif_read_data($_FILES["foto_empresa"]["tmp_name"]);
			if (!empty($exif['Orientation'])) {
				$rotate = $exif['Orientation'];
			} else {
				$rotate = 0;
			}

		} else {
			$rotate = 0;
		}

		if (move_uploaded_file($_FILES["foto_empresa"]["tmp_name"], "../../uploads/faturacao/" . $fileName . $timestamp . $ext)) {
			$var_auxilar_caminho = "/uploads/faturacao/" . $fileName . $timestamp . $ext;
			$foto_name = $fileName . $timestamp . $ext;

			$aux = $_SERVER['DOCUMENT_ROOT'] . "/uploads/faturacao/" . $fileName . $timestamp . $ext;

			if (!empty($rotate)) {
				switch($rotate) {
					case 8 :
						$degree = 90;
						break;
					case 3 :
						$degree = 180;
						break;
					case 6 :
						$degree = -90;
						break;
					default :
						$degree = 0;
						break;
				}
			} else {
				$degree = 0;
			}

			$image = new SimpleImage();
			$image -> load($aux);
			$width = $image -> getWidth();
			if ($width >= 4096) {
				$image -> scale(10);
				$image -> save($aux, $degree);
			} else if ($width >= 2560 && $width < 4096) {
				$image -> scale(20);
				$image -> save($aux, $degree);
			} else if ($width >= 1024 && $width < 2560) {
				$image -> scale(50);
				$image -> save($aux, $degree);
			} else {
				$image -> scale(100);
				$image -> save($aux, $degree);
			}

			$response = array('errors' => false, 'path' => $foto_name, 'original' => $fileName . $ext, 'name' => $fileName . $timestamp . $ext);
			die(json_encode($response));
		} else {
			$response["errors"] = true;
			$response["type"] = 2;
			die(json_encode($response));
		}

	}

} else {
	$response["errors"] = true;
	$response["type"] = 3;
	die(json_encode($response));
}
function is_image($path) {
	$a = getimagesize($path);
	$image_type = $a[2];

	if (in_array($image_type, array(IMAGETYPE_JPEG, IMAGETYPE_PNG))) {
		return true;
	}
	return false;
}

function clean($string) {
	$string = str_replace(' ', '-', $string);
	return preg_replace('/[^A-Za-z0-9\-]/', '', $string);
}
?>