<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0008']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/facturation/series&redirectto=/parametres');
}
if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(2127,419,2128,1175,2129,2130,2131,2132,2133,1311,562,1995,2134,1263,2135,2136,2137,2138,2139,1639,2140,186,2125,1403,214,1633,532);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[2127]['trad']; ?> | <?php echo $data[419]['trad']; ?> </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link href="/js/vendors/bootstrap-fileinput/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
		<link type="text/css" rel="stylesheet" href="/js/vendors/iCheck/skins/all.css">
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div id="modal-serie" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-blue">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title"><?php echo $data[2128]['trad']; ?></h4>
						</div>
						<form id="form_new_serie" class="form-validate" novalidate="novalidate">
							<div class="modal-body">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label"><?php echo $data[1175]['trad']; ?><span class="require">*</span></label>
											<input type="text" class="form-control" name="nome_serie" id="nome_serie">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2129]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_ft" id="numero_serie_ft" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2130]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_nc" id="numero_serie_nc" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2131]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_gt" id="numero_serie_gt" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2132]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_dv" id="numero_serie_dv" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2133]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_rg" id="numero_serie_rg" value="1" min="1">
										</div>
									</div>
									<div class="col-md-12">
										<div class="form-group">
											<div class="checkbox">
												<label>
													<br>
													<input type="checkbox"  class="iCheck" name="predefinir_serie" id="predefinir_serie" checked>
													<?php echo $data[1311]['trad']; ?> ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-blue submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									<?php echo $data[1995]['trad']; ?>
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div id="modal-serie-editar" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-blue">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title"><?php echo $data[2134]['trad']; ?></h4>
						</div>
						<form id="form_edit_serie" class="form-validate" novalidate="novalidate">
							<div class="modal-body">
								<input type="hidden" name="id_serie_edit" id="id_serie_edit"/>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2129]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_ft_edit" id="numero_serie_ft_edit" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2130]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_nc_edit" id="numero_serie_nc_edit" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2131]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_gt_edit" id="numero_serie_gt_edit" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2132]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_dv_edit" id="numero_serie_dv_edit" value="1" min="1">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label"><?php echo $data[2133]['trad']; ?><span class="require">*</span></label>
											<input type="number" class="form-control" name="numero_serie_rg_edit" id="numero_serie_rg_edit" value="1" min="1">
										</div>
									</div>
									<div class="col-md-12">
										<div class="form-group">
											<div class="checkbox">
												<label>
													<br>
													<input type="checkbox"  class="iCheck" name="predefinir_serie_edit" id="predefinir_serie_edit">
													<?php echo $data[1311]['trad']; ?> ?
												</label>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-blue submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									<?php echo $data[1995]['trad']; ?>
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<button type="button" data-target="#modal-serie" data-toggle="modal" class="btn btn-blue btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;<?php echo $data[2128]['trad']; ?></button>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li class="active" style="margin-top: 5px;">
								<?php echo $data[2127]['trad']; ?>
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<div id="form_div">
										
										<div class="row">
											<div class="col-md-12">
												<table class="table table-bordered table-striped" id="seriesTable">
													<thead>
														<tr>
															<th><?php echo $data[1175]['trad']; ?></th>
															<th style="width:80px;"><?php echo $data[1311]['trad']; ?></th>
															<th style="width:150px;"><?php echo $data[2135]['trad']; ?></th>
															<th style="width:150px;"><?php echo $data[2136]['trad']; ?></th>
															<th style="width:150px;"><?php echo $data[2137]['trad']; ?></th>
															<th style="width:150px;"><?php echo $data[2138]['trad']; ?></th>
															<th style="width:150px;"><?php echo $data[2139]['trad']; ?></th>
															<th class="text-center" style="width: 80px;"><?php echo $data[1263]['trad']; ?></th>
														</tr>
													</thead>
												</table>
											</div>
										</div>

								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		</div>

		<?php include '../footer.php'; ?>

		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/bootstrap-fileinput/plugins/canvas-to-blob.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput_locale_pt.js" type="text/javascript"></script>
		
		<script src="/js/vendors/iCheck/icheck.min.js"></script>

		<!-- <script>
			$(".navbar-nav li.faturacao").addClass("active");
		</script> -->
		<script>
			$(".navbar-nav li.series").addClass("active");
		</script>

		<script>
			var flagPredefinir = 1;
			var flagPredefinirEdit = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});
			$(document).ready(function() {

				$("#form_new_serie")[0].reset();
				$("#form_edit_serie")[0].reset();

				/**
				 * @plugin Selectpicker
				 */
				$(".selectpicker").selectpicker({
					iconBase : 'fa',
					tickIcon : 'fa-check'
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-red',
					increaseArea : '20%' // optional
				});

				fill_series();
			});

			//
			$(document).on('ifChanged', 'input#predefinir_serie', function(event) {
				if( $('input#predefinir_serie').is(":checked") ) flagPredefinir = 1;
				else flagPredefinir = 0;
			});

			//
			$(document).on('ifChanged', 'input#predefinir_serie_edit', function(event) {
				if( $('input#predefinir_serie_edit').is(":checked") ) flagPredefinirEdit = 1;
				else flagPredefinirEdit = 0;
			});

			//load data
			function fill_series() {
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/series.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									$.each(dados, function() {
										var predefinirFlag = '';
										var predefinirFlagBtn = '';
										//process icon
										if(this.Predefinida == 1){
											predefinirFlag = '&nbsp;<i class="fa fa-check text-green"></i>';
											predefinirFlagBtn = '<a onClick="editarSerieNumero('+this.ID_Serie+')"  class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[2134]['trad']; ?>"></i></a>';
										}else{
											predefinirFlag = '&nbsp;<i class="fa fa-times text-red"></i>';
											predefinirFlagBtn = '<a onClick="predefinirSerie('+this.ID_Serie+')" class="options-link text-green" title="<?php echo $data[1311]['trad']; ?>"><i class="fa fa-check-square-o"></i></a> <a onClick="editarSerieNumero('+this.ID_Serie+')"  class="options-link text-orange"><i class="fa fa-edit" title="<?php echo $data[2134]['trad']; ?>"></i></a>';
										}

										//html to add
										var htmlCode = '<tr>';
												htmlCode += '<td>';
													htmlCode += this.Nome;
												htmlCode += '</td>';
												htmlCode += '<td style="width:80px;">';
													htmlCode += predefinirFlag;
												htmlCode += '</td>';
												htmlCode += '<td style="width:150px;">';
													htmlCode += this.NumeroInicialFT;
												htmlCode += '</td>';
												htmlCode += '<td style="width:150px;">';
													htmlCode += this.NumeroInicialNC;
												htmlCode += '</td>';
												htmlCode += '<td style="width:150px;">';
													htmlCode += this.NumeroInicialGT;
												htmlCode += '</td>';
												htmlCode += '<td style="width:150px;">';
													htmlCode += this.NumeroInicialDV;
												htmlCode += '</td>';
												htmlCode += '<td style="width:150px;">';
													htmlCode += this.NumeroInicialRG;
												htmlCode += '</td>';
												htmlCode += '<td class="text-center" style="width:80px;">';
													htmlCode += predefinirFlagBtn;
												htmlCode += '</td>';
											htmlCode += '</tr>';

										//append
										$("#seriesTable").append(htmlCode);
									});
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//change Pré-definir
			function predefinirSerie(idSerie){
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/series_editar.php',
					dataType : 'json',
					data : {
						idSerie : idSerie
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("<?php echo $data[2140]['trad']; ?>", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			}

			// ----------------- FORM PROCESSING ------------------
			val_form_new = $("#form_new_serie").validate({
				ignore : "",
				rules : {
					nome_serie : {
						required : true
					},
					numero_serie_ft : {
						required : true,
						min : 1
					},
					numero_serie_nc : {
						required : true,
						min : 1
					},
					numero_serie_gt : {
						required : true,
						min : 1
					},
					numero_serie_dv : {
						required : true,
						min : 1
					},
					numero_serie_rg : {
						required : true,
						min : 1
					},

				},
				messages : {
					nome_serie : {
						required : "<?php echo $data[186]['trad']; ?>"
					},
					numero_serie_ft : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_nc : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_gt : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_dv : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_rg : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new_serie").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new_serie").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {


					$("#form_new_serie").find('.submit_button').attr("disabled", true);
					$("#form_new_serie").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?> ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/server/faturacao/series_inserir.php',
						dataType : 'json',
						data : {
							nome_serie : $("#nome_serie").val(),
							numero_serie_ft : $("#numero_serie_ft").val(),
							numero_serie_nc : $("#numero_serie_nc").val(),
							numero_serie_gt : $("#numero_serie_gt").val(),
							numero_serie_dv : $("#numero_serie_dv").val(),
							numero_serie_rg : $("#numero_serie_rg").val(),
							flagPredefinir : flagPredefinir,
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							console.log(resp);
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../facturation/series";
								}, 1000);
							}
							$("#form_new_serie").find('.submit_button').attr("disabled", false);
							$("#form_new_serie").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
						}
					});
				}
			});

			//load data
			function editarSerieNumero(idSerie) {
				//clean form
				flagPredefinirEdit = 0;
				$("#form_edit_serie")[0].reset();
				$('input#predefinir_serie_edit').iCheck('uncheck').iCheck('update');

				$.ajax({
					type : 'POST',
					url : '/server/faturacao/series.php',
					dataType : 'json',
					data : {
						idSerie : idSerie
					},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									//process icon
									if(dados.Predefinida == 1){
										flagPredefinirEdit = 1;
										$('input#predefinir_serie_edit').iCheck('check');
									}

									//append
									$("#id_serie_edit").val(dados.ID_Serie);
									$("#numero_serie_ft_edit").val(dados.NumeroInicialFT);
									$("#numero_serie_nc_edit").val(dados.NumeroInicialNC);
									$("#numero_serie_gt_edit").val(dados.NumeroInicialGT);
									$("#numero_serie_dv_edit").val(dados.NumeroInicialDV);
									$("#numero_serie_rg_edit").val(dados.NumeroInicialRG);
								}
							}
						}
					},
					complete : function() {
						$('#modal-serie-editar').modal("show");
					}
				});
			}

			// ----------------- FORM PROCESSING ------------------
			val_form_edit = $("#form_edit_serie").validate({
				ignore : "",
				rules : {
					numero_serie_ft_edit : {
						required : true,
						min : 1
					},
					numero_serie_nc_edit : {
						required : true,
						min : 1
					},
					numero_serie_gt_edit : {
						required : true,
						min : 1
					},
					numero_serie_dv_edit : {
						required : true,
						min : 1
					},
					numero_serie_rg_edit : {
						required : true,
						min : 1
					},
				},
				messages : {
					numero_serie_ft_edit : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_nc_edit : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_gt_edit : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_dv_edit : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
					numero_serie_rg_edit : {
						required : "<?php echo $data[186]['trad']; ?>",
						min : "<?php echo $data[2125]['trad']; ?>"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_edit_serie").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_edit_serie").valid();
				if (valid == false) {
					$.scojs_message("<?php echo $data[1403]['trad']; ?>", $.scojs_message.TYPE_ERROR);
				} else {


					$("#form_edit_serie").find('.submit_button').attr("disabled", true);
					$("#form_edit_serie").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> <?php echo $data[214]['trad']; ?> ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/server/faturacao/series_editar.php',
						dataType : 'json',
						data : {
							idSerie : $("#id_serie_edit").val(),
							numero_serie_ft : $("#numero_serie_ft_edit").val(),
							numero_serie_nc : $("#numero_serie_nc_edit").val(),
							numero_serie_gt : $("#numero_serie_gt_edit").val(),
							numero_serie_dv : $("#numero_serie_dv_edit").val(),
							numero_serie_rg : $("#numero_serie_rg_edit").val(),
							flagPredefinir : flagPredefinirEdit,
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							console.log(resp);
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] <?php echo $data[1633]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("<?php echo $data[532]['trad']; ?>", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									location.reload();
								}, 1000);
							}
							$("#form_edit_serie").find('.submit_button').attr("disabled", false);
							$("#form_edit_serie").find('.submit_button').html('<i class="fa fa-floppy-o"></i> <?php echo $data[562]['trad']; ?>');
						}
					});
				}
			});
		</script>
	</body>
</html>