<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0001']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/modules&redirectto=/parametres');
}

if (!function_exists('get_trad')) {
	include $_SERVER["DOCUMENT_ROOT"] . "/translate.php";
}
$ids_list = array(2063,2064,419,1175,2065,2066,2067,267,2068,344,343,342,1366,122,477,1495,1443,2069,2070,1639);
if(isset($data)){
	$data = $data + get_trad($ids_list);
} else {
	$data = get_trad($ids_list);
}
?>
<html>
	<title><?php echo $data[2063]['trad']; ?> | <?php echo $data[419]['trad']; ?> </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link type="text/css" rel="stylesheet" href="/js/vendors/iCheck/skins/all.css">
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						<!--<div class="pull-right" >
							<a class="text-red only-ic" href="../facturation"><i class="fa fa-times"></i></a>
						</div>-->
						<ol class="breadcrumb page-breadcrumb">
							<li class="active">
								<?php echo $data[2063]['trad']; ?>
							</li>
						</ol>
					</div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<form id="form_new" class="form-validate" novalidate="novalidate">
										<input type="hidden" name="module" value="0">
										<div id="form_div">

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[2064]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-12">
														<div class="form-group">
															<label class="control-label"><?php echo $data[1175]['trad']; ?></label>
															<span id="nome_plano" style="display: block"></span>
														</div>
													</div>
												</div>
												<br>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck" name="module_vendas" id="module_vendas" disabled/>&nbsp;&nbsp;
															<?php echo $data[2065]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck" name="module_compras" id="module_compras" disabled/>&nbsp;&nbsp;
															<?php echo $data[2066]['trad']; ?>
														</label>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													<?php echo $data[2067]['trad']; ?>
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_contabilidade" id="module_contabilidade" disabled/>&nbsp;&nbsp;
															<?php echo $data[267]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_lojaonline" id="module_lojaonline" disabled/>&nbsp;&nbsp;
															<?php echo $data[2068]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_contratos" id="module_contratos" disabled/>&nbsp;&nbsp;
															<?php echo $data[344]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_consommables" id="module_consommables" disabled/>&nbsp;&nbsp;
															<?php echo $data[342]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_licence" id="module_licence" disabled/>&nbsp;&nbsp;
															<?php echo $data[343]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-3">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_rapports" id="module_rapports" disabled/>&nbsp;&nbsp;
															<?php echo $data[1366]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-3">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_devis" id="module_devis" disabled/>&nbsp;&nbsp;
															<?php echo $data[477]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-3">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_livraison" id="module_livraison" disabled/>&nbsp;&nbsp;
															<?php echo $data[122]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-3">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_sportifs" id="module_sportifs" disabled/>&nbsp;&nbsp;
															<?php echo $data[1495]['trad']; ?>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_salarios" id="module_salarios" disabled/>&nbsp;&nbsp;
															<?php echo $data[1443]['trad']; ?>
															<small>(<?php echo $data[2070]['trad']; ?>)</small>
														</label>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12">
														<label class="control-label">
															<input type="checkbox"  class="iCheck modules_checkbox" name="module_avencas" id="module_avencas" disabled/>&nbsp;&nbsp;
															<?php echo $data[2069]['trad']; ?>
															<small>(<?php echo $data[2070]['trad']; ?>)</small>
														</label>
													</div>
												</div>
											</div>											
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>

		<?php include '../footer.php'; ?>

		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<?php 
		if (!function_exists('get_trad')) {
			include $_SERVER["DOCUMENT_ROOT"]. "/translate.php";
		}
		$ids_list = array(1997,1998,1999,2000,2001,2002);
		if (isset($data)) {
			$data = $data + get_trad($ids_list);
		} else {
			$data = get_trad($ids_list);
		}	
	?>
		<script type="text/javascript">
			text1 = "<?php echo $data[1997]['trad']; ?>" ;
			text2 = "<?php echo $data[1998]['trad']; ?>" ;
			text3 = "<?php echo $data[1999]['trad']; ?>" ;
			text4 = "<?php echo $data[2000]['trad']; ?>" ;
			text5 = "<?php echo $data[2001]['trad']; ?>" ;
			text6 = "<?php echo $data[2002]['trad']; ?>" ;
		</script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/iCheck/icheck.min.js"></script>
		<script src="/js/vendors/iCheck/custom.min.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/iCheck/icheck.min.js"></script>

		<script>
			$(".navbar-nav li.modulos").addClass("active");
		</script>

		<script>
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});
			$(document).ready(function() {

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_square-blue',
					increaseArea : '20%' // optional
				});

				fill_dados();
			});

			//load data
			function fill_dados() {
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/modules.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT9999] <?php echo $data[1639]['trad']; ?>", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;

									$("#nome_plano").text(dados.Nome);
									$("input[name=module]").val(dados.ID_Modulo);

									if( dados.module_vendas != undefined && dados.module_vendas == 1 ) {
										$("#module_vendas").iCheck('check');
									} else {
										$("#module_vendas").iCheck('uncheck');
									}
									if( dados.module_compras != undefined && dados.module_compras == 1 ) {
										$("#module_compras").iCheck('check');
									} else {
										$("#module_compras").iCheck('uncheck');
									}

									if( dados.module_avencas != undefined && dados.module_avencas == 1 ) {
										$("#module_avencas").iCheck('check');
									} else {
										$("#module_avencas").iCheck('uncheck');
									}
									if( dados.module_contabilidade != undefined && dados.module_contabilidade == 1 ) {
										$("#module_contabilidade").iCheck('check');
									} else {
										$("#module_contabilidade").iCheck('uncheck');
									}
									if( dados.module_contratos != undefined && dados.module_contratos == 1 ) {
										$("#module_contratos").iCheck('check');
									} else {
										$("#module_contratos").iCheck('uncheck');
									}
									if( dados.module_consommables != undefined && dados.module_consommables == 1 ) {
										$("#module_consommables").iCheck('check');
									} else {
										$("#module_consommables").iCheck('uncheck');
									}
									if( dados.module_licence != undefined && dados.module_licence == 1 ) {
										$("#module_licence").iCheck('check');
									} else {
										$("#module_licence").iCheck('uncheck');
									}
									if( dados.module_lojaonline != undefined && dados.module_lojaonline == 1 ) {
										$("#module_lojaonline").iCheck('check');
									} else {
										$("#module_lojaonline").iCheck('uncheck');
									}
									if( dados.module_salarios != undefined && dados.module_salarios == 1 ) {
										$("#module_salarios").iCheck('check');
									} else {
										$("#module_salarios").iCheck('uncheck');
									}
									if( dados.module_rapports != undefined && (dados.module_rapports == 1 || dados.module_rapports == 2) ) {
										$("#module_rapports").iCheck('check');
									} else {
										$("#module_rapports").iCheck('uncheck');
									}
									if( dados.module_devis != undefined && dados.module_devis == 1 ) {
										$("#module_devis").iCheck('check');
									} else {
										$("#module_devis").iCheck('uncheck');
									}
									if( dados.module_livraison != undefined && dados.module_livraison == 1 ) {
										$("#module_livraison").iCheck('check');
									} else {
										$("#module_livraison").iCheck('uncheck');
									}
									if( dados.mod_sportifs != undefined && dados.mod_sportifs == 1 ) {
										$("#module_sportifs").iCheck('check');
									} else {
										$("#module_sportifs").iCheck('uncheck');
									}

								}
							}
						}
					},
					complete : function() {
						var all_checked = true;
						$('input.modules_checkbox').each(function(){
							if( $(this).is(':checked') || $(this).is(':disabled') ) {}
							else all_checked = false;
						});
						if( all_checked === true ) $('input#all_checkboxs').iCheck('check');
					}
				});
			}

			//all checkbox input
			$(document).on('ifChanged', 'input#all_checkboxs', function(event) {
				if( $('input#all_checkboxs').is(":checked") ) {
					$('input.modules_checkbox').not(':disabled').iCheck('check');
					// $('input.modules_checkbox').iCheck('update');
				} else {
					$('input.modules_checkbox').not(':disabled').iCheck('uncheck');
					// $('input.modules_checkbox').iCheck('update');
				}
			});

			// ----------------- FORM PROCESSING ------------------
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
				},
				messages : {

				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();
			});
		</script>
	</body>
</html>