<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";




//GET POST VARS

$id_permissao = $_POST['id_permissao'];

if ($id_permissao == "") {
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FTGA001";
	die(json_encode($response));
}

$query = "SELECT count(*)  from  utilizador where ID_Permissao=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $id_permissao);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA002";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($total);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

if ($total > 0) {
	$response["errors"] = true;
	$response["type"] = "validation";
	$response["line"] = "FTGA003";
	die(json_encode($response));
}

$query = "DELETE FROM permissoes WHERE ID_Permissao=?";
//QUERIE IS CORRECT
if ($stmt = $sqli_connection -> prepare($query)) {

	$stmt -> bind_param("d", $id_permissao);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA004";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {// QUERY IS INCORRECT
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA05";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}

$response["errors"] = false;
die(json_encode($response));
?>