<?php 
include '../connection.php';
// include '../connection_mysql.php';
// include '../inserir/log.php';

$ano = date("Y");
// $id_utilizador = $_SESSION['id_utilizador'];
$id_utilizador = 2;

$consommables_list = array();
$response = array();
$response['logs'] = array();
$response['total_consommables'] = 0;

$query = "SELECT ID_Consommable, Debut, Prix_noir, Prix_couleur, Etat_noir, Etat_couleur, Etat_noir_begin, Etat_couleur_begin, DataTermo, Facturation, Referencia  FROM faturacao_consommables WHERE Estado IN ('Confirmado', 'Aberto') AND STR_TO_DATE( Debut, '%d/%m/%Y' ) <= STR_TO_DATE( '".date('d/m/Y')."', '%d/%m/%Y' ) and arquivado = 0 ORDER BY Numero";
//$query = "SELECT ID_Consommable, Debut, Prix_noir, Prix_couleur, Etat_noir, Etat_couleur, Etat_noir_begin, Etat_couleur_begin, DataTermo, Facturation, Referencia  FROM faturacao_consommables WHERE Estado IN ('Confirmado', 'Aberto') AND STR_TO_DATE( Debut, '%d/%m/%Y' ) <= STR_TO_DATE( '01/04/2023', '%d/%m/%Y' ) and arquivado = 0 ORDER BY Numero";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS000";
		$response["message"] = $stmt -> error;
		die($response);
	}
	$stmt -> bind_result(
				$ID_Consommable, 
				$Debut, 
				$Prix_noir, 
				$Prix_couleur, 
				$Etat_noir, 
				$Etat_couleur, 
				$Etat_noir_begin, 
				$Etat_couleur_begin, 
				$DataTermo,
				$Facturation,
				$Reference
			);
	while ($stmt -> fetch()) {
		$consommables_list[] = array(
		        	"ID_Consommable" => $ID_Consommable,
					"Debut" => $Debut,
					"Prix_noir" => $Prix_noir,
					"Prix_couleur" => $Prix_couleur,
					"Etat_noir" => $Etat_noir,
					"Etat_couleur" => $Etat_couleur,
					"Etat_noir_begin" => $Etat_noir_begin,
					"Etat_couleur_begin" => $Etat_couleur_begin,
					"DataTermo" => $DataTermo,
					"Facturation" => $Facturation,
					"Reference" => $Reference
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS000";
	$response["message"] = $sqli_connection -> error;
	die($response);
}
// var_dump($consommables_list);die();
//---------------------------------------------------------------------------

//process the locations
foreach ($consommables_list as $consommable) {
	$query = "CODE 3";
	if(substr($consommable['Reference'], 0, strlen($query)) === $query) {
		var_dump('Ce contrat est un contrat CODE 3, il ne génère pas de factures id:'.$consommable['ID_Consommable']);
		insert_log(0,"CRON",'Ce contrat est un contrat CODE 3, il ne génère pas de factures. id: '.$consommable['ID_Consommable'],$sqli_connection,$id_utilizador);
		continue;
	}
	$endDate = null;
	$idConsommable = $consommable['ID_Consommable'];
	$debut = $consommable["Debut"];
	$checkdate = false;
	$Qtd_Table = array(
		'mensuellement' => 1,
		'trimestriellement' => 3,
		'annuellement' => 12,
	);
	$dayChecker = date('d');
	//$dayChecker = "01";
	//$monthChecker = "04";
	$monthChecker = date('m');
	$yearChecker = date('Y');
	//$yearChecker = "2023";
	$firstDate = DateTime::createFromFormat('d/m/Y', $consommable['Debut']);
	if($firstDate->format('m') == $monthChecker && $firstDate->format('Y') == $yearChecker){
		var_dump('Ce contrat commence aujourd\'hui, la première facture sera générée lors du prochain cycle.');
		//var_dump('--------');
		continue;
	}
	if($monthChecker == 1){
		$monthChecker = 12;
		$yearChecker = $yearChecker - 1;
	} else {
		$monthChecker = $monthChecker - 1;
	}
	$todayDate = new DateTime();
	switch($firstDate->format("m")){
		case 01:
		case 02:
		case 03:
			$nextFactureDateNorm = DateTime::createFromFormat('d/m/Y', $firstDate->format("d")."/01/".$firstDate->format("Y"));
			break;
		case 04:
		case 05:
		case 06:
			$nextFactureDateNorm = DateTime::createFromFormat('d/m/Y', $firstDate->format("d")."/04/".$firstDate->format("Y"));
			break;
		case 07:
		case 08:
		case 09:
			$nextFactureDateNorm = DateTime::createFromFormat('d/m/Y', $firstDate->format("d")."/07/".$firstDate->format("Y"));
			break;
		case 10:
		case 11:
		case 12:
			$nextFactureDateNorm = DateTime::createFromFormat('d/m/Y', $firstDate->format("d")."/10/".$firstDate->format("Y"));
			break;
	}
	$nextFactureDate = clone $firstDate;
	$num_months = $Qtd_Table[$consommable['Facturation']];
	/*print($consommable['ID_Consommable']." ");
	print($nextFactureDate->format('Y-m')." ");
	print($todayDate->format('Y-m')." ");
	print($num_months." ");*/
	while($nextFactureDate->format('Y-m') < $todayDate->format('Y-m')){
		
		$nextFactureDate = $nextFactureDate->modify('+'.$num_months.' month');
		
	}
	while(($nextFactureDateNorm->format('Y') <= $todayDate->format('Y')) ){
		if($nextFactureDateNorm->format('Y') < $todayDate->format('Y')){
			$nextFactureDateNorm = $nextFactureDateNorm->modify('+'.$num_months.' month');
		} else {
			if($nextFactureDateNorm->format('m') < $todayDate->format('m')){
				$nextFactureDateNorm = $nextFactureDateNorm->modify('+'.$num_months.' month');
			} else {
				break;
			}
		}
	}
	
	$previousDate = clone $nextFactureDateNorm;
	$previousDate = $previousDate->modify('-'.$num_months.' month');
	if($consommable['DataTermo']){
		/*print(", Months :".$num_months);
		print(", previous :".$previousDate->format("Y-m"));
		print(", nextFactureDate :".$nextFactureDate->format("Y-m"));*/
		$endDate = DateTime::createFromFormat('d/m/Y', $consommable['DataTermo']);
		//verifier que la endDate est entre la date de fin et la date de prochaine facturation
		if($monthChecker >= $endDate->format('m') && $yearChecker == $endDate->format('Y')){
			$checkdate = true;
		}
		print("previous :".$previousDate->format('Y-m')." , end :".$endDate->format('Y-m')." next: ".$nextFactureDate->format('Y-m'));
		if( $previousDate->format('Y') > $endDate->format('Y')){
			var_dump('Ce contrat n\' a plus de facturation active.');
			//var_dump('--------');
			continue;
		} else if( $previousDate->format('Y') == $endDate->format('Y')){
			if( $previousDate->format('m') > $endDate->format('m')){
				var_dump('Ce contrat n\' a plus de facturation active.');
				//peut-etre ajouter une exception pour faire le cycle si c'est le bon mois de fin 
				//genre fin le 01.02.23, le 01.03.23 il fait la fin, peut importe si c'est ok.
				//var_dump('--------');
				continue;
			}
		} 
	}
	//$monthChecker = "04";
	$monthChecker = date('m');
	
	print("num month : ".$num_months." checkdate : ".$checkdate);
	
	if($num_months == 3 && !$checkdate){
		if($monthChecker != '01' && $monthChecker != '04' && $monthChecker != '07' && $monthChecker != '10'){
			var_dump('Le mois en cours n\'est pas valide pour generer des factures de consommable trimestriel.');
			//var_dump('--------');
			continue;
		}
	} else if ($num_months == 12 && !$checkdate){
		
		if($monthChecker != $firstDate->format('m')){
			var_dump('Le mois en cours n\'est pas valide pour generer des factures de consommable annuel pour cette facture;');
			//var_dump('--------');
			continue;
		}
	}
	//only process those who have altered compteurs values
	//COMMENTER PROCHAINE LIGNE
	//if($consommable['Etat_noir'] != $consommable['Etat_noir_begin'] || $consommable['Etat_couleur'] != $consommable['Etat_couleur_begin']){
		//get last compteur
		$last_compteurs = getLastCompteurs($idConsommable, $consommable['DataTermo']);
		if( isset($last_compteurs['lastEntry']) && isset($last_compteurs['lastInvoiced'])){

			//only the ones that are not invoiced yet
			//if($last_compteurs['lastEntry']['Faturado'] == 0){
				
				//check if has any entry already invoiced
				if($last_compteurs['lastInvoiced']['ID_Compteur'] > 0){
					$currCountNoir = $last_compteurs['lastEntry']["ContagemPreto"];
					$currCountCouleur = $last_compteurs['lastEntry']["ContagemCores"];

					$lastInvoicedNoir = $last_compteurs['lastInvoiced']["ContagemPreto"];
					$lastInvoicedCouleur = $last_compteurs['lastInvoiced']["ContagemCores"];
					
					if($consommable["Etat_noir_begin"] > $lastInvoicedNoir){
						$lastInvoicedNoir = $consommable["Etat_noir_begin"];
						$last_compteurs['lastInvoiced']["ContagemPreto"] = $lastInvoicedNoir;
					}
					if($consommable["Etat_couleur_begin"] > $lastInvoicedCouleur){
						$lastInvoicedCouleur = $consommable["Etat_couleur_begin"];
						$last_compteurs['lastInvoiced']["ContagemCores"] = $lastInvoicedCouleur;
					}

					//calculate qtd's
					$qtd_noir = $currCountNoir - $lastInvoicedNoir;
					$qtd_couleur = $currCountCouleur - $lastInvoicedCouleur;
					//min 0
					if($qtd_noir < 0) $qtd_noir = 0;
					if($qtd_couleur < 0) $qtd_couleur = 0;

					// var_dump('first if: '.$currCountNoir.' - '.$lastInvoicedNoir.' = '.$qtd_noir.' | '.$currCountCouleur.' - '.$lastInvoicedCouleur.' = '.$qtd_couleur);
				}else{
					//use the begin compteurs
					$currCountNoir = $last_compteurs['lastEntry']["ContagemPreto"];
					$currCountCouleur = $last_compteurs['lastEntry']["ContagemCores"];

					$lastInvoicedNoir = $consommable["Etat_noir_begin"];
					$lastInvoicedCouleur = $consommable["Etat_couleur_begin"];
					

					//$lastInvoicedNoir = 50;
					//$lastInvoicedCouleur = 50;

					//calculate qtd's
					$qtd_noir = $currCountNoir - $lastInvoicedNoir;
					$qtd_couleur = $currCountCouleur - $lastInvoicedCouleur;
					//min 0
					if($qtd_noir < 0) $qtd_noir = 0;
					if($qtd_couleur < 0) $qtd_couleur = 0;

					// var_dump('second if: '.$currCountNoir.' - '.$lastInvoicedNoir.' = '.$qtd_noir.' | '.$currCountCouleur.' - '.$lastInvoicedCouleur.' = '.$qtd_couleur);
				}
				// var_dump('Data for the func --> '.$idConsommable.' --> '.$id_utilizador.' --> '. $qtd_noir.' --> '. $qtd_couleur);
				// var_dump('==============================');

				//mark the compteur as invoiced
				markAsInvoiced($last_compteurs['lastEntry']['ID_Compteur']);
				
				//only generate new invoice if at least one of the qtd were altered
				//if($qtd_noir > 0 || $qtd_couleur > 0){
					$refPrint = $last_compteurs['lastEntry']['Fabricante'].' - '.$last_compteurs['lastEntry']['Modelo'].' - '.$last_compteurs['lastEntry']['NumSerie'];
					// die(json_encode($last_compteurs));
					// gerenate new invoice
					$nextLog = processConsommable($idConsommable,$id_utilizador, $qtd_noir, $qtd_couleur, $refPrint, $last_compteurs);
					$response['logs'][] = $nextLog;
					insert_log(0,"Inserir",$nextLog,$sqli_connection,$id_utilizador);
					
					$response["total_consommables"]++;
				//}
			//}
		} else {
			insert_log(0,"CRON",'Aucun nouveau compteur pour ce contrat depuis la denrière facturation. Id: '.$consommable['ID_Consommable'],$sqli_connection,$id_utilizador);
		}
	//}
}


//response
// $response["errors"] = false;
// print('Erreurs '.$response["errors"]);
var_dump(' ');
var_dump(' ');
var_dump('Total des contrats: '.$response["total_consommables"]);
var_dump('---------------');
var_dump('Logs: ');
var_dump(' ');
foreach ($response['logs'] as $log) {
	var_dump($log);
	var_dump(' ');
	var_dump(' ');
}
die();

//Process one consommable
function processConsommable($id_consommable, $id_utilizador, $qtd_noir_rec, $qtd_couleur_rec, $refPrint_rec, $last_compteurs_rec){
	global $sqli_connection;
	$response = array();

	//GET POST VARS ---------------------------------------------------------
	$idDocumento = $id_consommable;
	$firstTime = 0;

	$codArtigoNoir = 'CC0001';
	$codArtigoCouleur = 'CC0002';

	//begin date if first invoice of compteurs ------------------------------
	$mToday = date('m');
	//$mToday = "04";
	$dFinal = '01';
	$mFinal = date('m');
	//$mFinal = "04";
	$yFinal = date('Y');
	//$yFinal = "2023";
	if($mToday <= 4) {
		$dFinal = '01';
		$mFinal = '01';
	}
	elseif($mToday <= 7) {
		$dFinal = '01';
		$mFinal = '04';
	}
	elseif($mToday <= 10) {
		$dFinal = '01';
		$mFinal = '07';
	}
	elseif($mToday < 13) {
		$dFinal = '01';
		$mFinal = '10';
	}
	//------------------------------------------------------------------------

	//CHECK EMPTY VARS -------------------------------------------------------
	if ( $idDocumento == '' ) 
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "ID de document incorrect.";
		$response["line"] = "FATS00A";
		return $response;
	}
	//------------------------------------------------------------------------

	//VERIFICA SE PODE SER GERADO --------------------------------------------
	$query = "SELECT Estado, Etat_noir_begin, Etat_couleur_begin, Debut, ForfaitMensuel, ForfaitNoir, ForfaitCouleur, case `Facturation` when 'trimestriellement' then 3 when 'annuellement' then 12 when 'mensuellement' then 1 end, ForfaitDisponivel FROM faturacao_consommables WHERE ID_Consommable=?";
	if ( $stmt = $sqli_connection->prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt->execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result($Estado, $noirBegin, $coulBegin, $debut, $ForfaitMensuel, $ForfaitNoir, $ForfaitCoul, $Forfaitmonths, $forfait);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	if($Estado == 'Rascunho' || $Estado == 'Anulado' ) {
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FATS003";
		$response["message"] = "Document non valide à générer automatiquement!";
		$response["estado"] = $Estado;
		return $response;
	}
	//-----------------------------------------------------------------------
	$ForfaitMensuel = intval($ForfaitMensuel);
	//DEFINE VARS -----------------------------------------------------------
	$objectData = array();

	//OBTEM OS DADOS consommable -----------------------------------------------
	$query = "SELECT ID_Consommable, 
			Numero,
			ID_Cliente,
			EnderecoCliente,
			CodigoPostalCliente,
			CidadeCliente,
			RegiaoCliente,
			EmailCliente,
			PaisCliente,
			CONCAT(EnderecoClienteDescarga,' ',EnderecoCliente2Descarga) AS EnderecoClienteDescarga,
			EnderecoCliente2Descarga,
			CodigoPostalClienteDescarga,
			CidadeClienteDescarga,
			RegiaoClienteDescarga,
			EmailClienteDescarga,
			PaisClienteDescarga,
			(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente) AS CodigoCliente,
			(SELECT PlanoContas FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente) AS PlanoContasCliente,
			ID_Vendedor_Primeiro,
			(SELECT Nome FROM faturacao_vendedores WHERE faturacao_vendedores.ID_Vendedor = faturacao_consommables.ID_Vendedor_Primeiro) AS VendedorPrimeiro,
			ID_Vendedor_Segundo,
			Data,
			Debut,
			Facturation,
			Decompte_pages,
			(SELECT vencimento FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente),
			Referencia,
			Remarque,
			Prix_noir,
			Prix_couleur,
			Estado,
			DataCriacao,
			ID_Utilizador_Criacao,
			DataAtualizacao,
			ID_Utilizador_Atualizacao
			FROM faturacao_consommables WHERE ID_Consommable=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idDocumento);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS004";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		        	$objectData['ID_Consommable'],
		        	$objectData['Numero'],
		        	$objectData['ID_Cliente'],
		        	$objectData['EnderecoCliente'],
		        	$objectData['CodigoPostalCliente'],
		        	$objectData['CidadeCliente'],
		        	$objectData['RegiaoCliente'],
		        	$objectData['EmailCliente'],
		        	$objectData['PaisCliente'],
		        	$objectData['EnderecoClienteDescarga'],
		        	$objectData['EnderecoCliente2Descarga'],
		        	$objectData['CodigoPostalClienteDescarga'],
		        	$objectData['CidadeClienteDescarga'],
		        	$objectData['RegiaoClienteDescarga'],
		        	$objectData['EmailClienteDescarga'],
		        	$objectData['PaisClienteDescarga'],
		        	$objectData['CodigoCliente'],
		        	$objectData['PlanoContasCliente'],
		        	$objectData['ID_Vendedor_Primeiro'],
		        	$objectData['VendedorPrimeiro'],
		        	$objectData['ID_Vendedor_Segundo'],
		        	$objectData['Data'],
		        	$objectData['Debut'],
		        	$objectData['Facturation'],
		        	$objectData['Decompte_pages'],
		        	$objectData['Paiment'],
		        	$objectData['Referencia'],
		        	$objectData['Remarque'],
		        	$objectData['Prix_noir'],
		        	$objectData['Prix_couleur'],
		        	$objectData['Estado'],
		        	$objectData['DataCriacao'],
		        	$objectData['ID_Utilizador_Criacao'],
		        	$objectData['DataAtualizacao'],
		        	$objectData['ID_Utilizador_Atualizacao']
				);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS005";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//-----------------------------------------------------------------------
	
	//GET ARTICLES DETAILS --------------------------------------------------
	$artigo_noir = array();

	$query = "SELECT ID_Artigo,
		Codigo, 
		Nome, 
		Tipo,
		PrecoPVP,
		Preco,
		ID_Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
		ID_Imposto_Fornecedor,
		(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
		PlanoContas,
		PlanoContasCompras,
		SerialNumber,
		(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
		(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
		(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
		(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
		FROM faturacao_artigos WHERE Codigo=?";

	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("s", $codArtigoNoir);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS006";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $artigo_noir['ID_Artigo'],
		    $artigo_noir['Codigo'],
		    $artigo_noir['Nome'],
		    $artigo_noir['Tipo'],
		    $artigo_noir['PrecoPVP'],
		    $artigo_noir['PrecoUn'],
		    $artigo_noir['ID_Imposto'],
		    $artigo_noir['ValorIVA'],
		    $artigo_noir['ID_Imposto_Fornecedor'],
		    $artigo_noir['Unidade'],
		    $artigo_noir['PlanoContas'],
		    $artigo_noir['PlanoContasCompras'],
		    $artigo_noir['SerialNumber'],
		    $artigo_noir['TaxType'],
		    $artigo_noir['TaxCountryRegion'],
		    $artigo_noir['TaxCode'],
		    $artigo_noir['PlanoContasTVA']
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS007";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Prepare remaing fields
	$artigo_noir['numlinha'] = 1;
	$artigo_noir['qtd'] = 1;
	$artigo_noir['preco'] = 0;
	$artigo_noir['preco_unit'] = 0;
	$artigo_noir['TaxPointDate'] = date("Y-m-d");
	$artigo_noir['TaxExemptionCode'] = '';
	$artigo_noir['TaxExemptionReason'] = '';
	$artigo_noir['Desconto'] = 0;
	$artigo_noir['settelementAmount'] = 0;
	$artigo_noir['retencao'] = 0;
	$artigo_noir['DebitAmount'] = 0;
	$artigo_noir['TotalLinha'] = 0;

	//process new name
	$artigo_noir['Nome'] = $artigo_noir['Nome'];
	if($last_compteurs_rec['lastInvoiced']['ID_Compteur'] != null){
		$artigo_noir['Nome'] = $artigo_noir['Nome'].'<br>'.'ancien état de compteur: '.$last_compteurs_rec['lastInvoiced']['ContagemPreto'].' au '.str_replace('/', '.', $last_compteurs_rec['lastInvoiced']['Data']).'';
	}else{
		$artigo_noir['Nome'] = $artigo_noir['Nome'].'<br>'.'ancien état de compteur: '.$noirBegin.' au '.str_replace('/','.',$debut).'';
	}
	//if($last_compteurs_rec['lastEntry']['ID_Compteur'] != null){
		$artigo_noir['Nome'] = $artigo_noir['Nome'].'<br>'.'nouvel état de compteur: '.$last_compteurs_rec['lastEntry']['ContagemPreto'].' au '.str_replace('/', '.', $last_compteurs_rec['lastEntry']['Data']).'';
	//}
	$artigo_noir['Nome'] = str_replace('<br>', PHP_EOL, $artigo_noir['Nome']);

	//------------------------
	$artigo_couleur = array();

	$query = "SELECT ID_Artigo,
		Codigo, 
		Nome, 
		Tipo,
		PrecoPVP,
		Preco,
		ID_Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS IVA,
		ID_Imposto_Fornecedor,
		(SELECT Sigla as Unidade FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade=faturacao_artigos.ID_Unidade) AS Unidade,
		PlanoContas,
		PlanoContasCompras,
		SerialNumber,
		(SELECT Tipo FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxType,
		(SELECT Regiao FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCountryRegion,
		(SELECT Subclasse FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS TaxCode,
		(SELECT PlanoContas FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto=faturacao_artigos.ID_Imposto) AS PlanoContasTVA
		FROM faturacao_artigos WHERE Codigo=?";

	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("s", $codArtigoCouleur);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS008";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $artigo_couleur['ID_Artigo'],
		    $artigo_couleur['Codigo'],
		    $artigo_couleur['Nome'],
		    $artigo_couleur['Tipo'],
		    $artigo_couleur['PrecoPVP'],
		    $artigo_couleur['PrecoUn'],
		    $artigo_couleur['ID_Imposto'],
		    $artigo_couleur['ValorIVA'],
		    $artigo_couleur['ID_Imposto_Fornecedor'],
		    $artigo_couleur['Unidade'],
		    $artigo_couleur['PlanoContas'],
		    $artigo_couleur['PlanoContasCompras'],
		    $artigo_couleur['SerialNumber'],
		    $artigo_couleur['TaxType'],
		    $artigo_couleur['TaxCountryRegion'],
		    $artigo_couleur['TaxCode'],
		    $artigo_couleur['PlanoContasTVA']
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS009";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Prepare remaing fields
	$artigo_couleur['numlinha'] = 2;
	$artigo_couleur['qtd'] = 1;
	$artigo_couleur['preco'] = 0;
	$artigo_couleur['preco_unit'] = 0;
	$artigo_couleur['TaxPointDate'] = date("Y-m-d");
	$artigo_couleur['TaxExemptionCode'] = '';
	$artigo_couleur['TaxExemptionReason'] = '';
	$artigo_couleur['Desconto'] = 0;
	$artigo_couleur['settelementAmount'] = 0;
	$artigo_couleur['retencao'] = 0;
	$artigo_couleur['DebitAmount'] = 0;
	$artigo_couleur['TotalLinha'] = 0;

	//process new name
	$artigo_couleur['Nome'] = $artigo_couleur['Nome'];
	if($last_compteurs_rec['lastInvoiced']['ID_Compteur'] != null){
		$artigo_couleur['Nome'] = $artigo_couleur['Nome'].'<br>'.'ancien état de compteur: '.$last_compteurs_rec['lastInvoiced']['ContagemCores'].' au '.str_replace('/', '.', $last_compteurs_rec['lastInvoiced']['Data']).'';
	}else{
		$artigo_couleur['Nome'] = $artigo_couleur['Nome'].'<br>'.'ancien état de compteur: '.$coulBegin.' au '.str_replace('/','.',$debut).'';
	}
	//if($last_compteurs_rec['lastEntry']['ID_Compteur'] != null){
		$artigo_couleur['Nome'] = $artigo_couleur['Nome'].'<br>'.'nouvel état de compteur: '.$last_compteurs_rec['lastEntry']['ContagemCores'].' au '.str_replace('/', '.', $last_compteurs_rec['lastEntry']['Data']).'';
	//}
	$artigo_couleur['Nome'] = str_replace('<br>', PHP_EOL, $artigo_couleur['Nome']);
	
	//-----------------------------------------------------------------------

	//CHECK IF ARTICLES EXISTS OR GIVE ERROR --------------------------------
	if( !isset($artigo_couleur['ID_Artigo']) || $artigo_couleur['ID_Artigo'] < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Les articles d\'entretien n'existent pas.";
		$response["line"] = "FATS010";
		return $response;
	}
	if( !isset($artigo_noir['ID_Artigo']) || $artigo_noir['ID_Artigo'] < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Les articles d\'entretien n'existent pas.";
		$response["line"] = "FATS011";
		return $response;
	}

	//PREPARE VARS ----------------------------------------------------------
	$timestamp = microtime(true);
	$systemEntryDate = date("Y-m-d H:i:s");
	$systemEntryDate = str_replace (' ','T',$systemEntryDate);
	$numeroNew = 0;
	$dataNew = date("d/m/Y");

	$dateProcessed = date('Y-m-d', strtotime(" + ".$objectData['Paiment']." days"));
	$validadeNew = DateTime::createFromFormat('Y-m-d', $dateProcessed);
	$validadeNew = $validadeNew->format('d/m/Y');

	$invoiceTypeNew = 'FT';
	$invoiceTypeOrigem = 'CC';
	$totalLiquidadoDocumento = 0;
	$totalLiquidado = 0;
	$estadoNovo = 'Rascunho';
	$idDocOrigem = $idDocumento;
	$referenceDocOrigem = ''.$objectData['Numero'];

	//CLIENT FIELDS
	if( trim($objectData['EnderecoCliente']) == '-' ) $objectData['EnderecoCliente'] = 'Desconhecido';
	if( trim($objectData['CodigoPostalCliente']) == '-' ) $objectData['CodigoPostalCliente'] = 'Desconhecido';
	if( trim($objectData['CidadeCliente']) == '-' ) $objectData['CidadeCliente'] = 'Desconhecido';
	if( trim($objectData['RegiaoCliente']) == '-' ) $objectData['RegiaoCliente'] = 'Desconhecido';
	if( trim($objectData['EmailCliente']) == '-' ) $objectData['EmailCliente'] = 'Desconhecido';
	if( trim($objectData['PaisCliente']) == '-' ) $objectData['PaisCliente'] = 'Desconhecido';

	if( trim($objectData['VendedorPrimeiro']) == '' || $objectData['VendedorPrimeiro'] == null ) $objectData['VendedorPrimeiro'] = '';

	$idMoeda = 1;
	$taxaMoeda = 1;
	$defaultSerie = 0; //select under
	$defaultMetodo = 0;
	$defaultBanco = 0;
	$defaultBancoPlano = 1002;
	$referenciaFatura = 'Contrat d\'entretien n° '.$objectData['Numero'];
	$observacoesFatura = $objectData['Remarque'];
	//$observacoesFatura = $refPrint_rec.' / '.$objectData['EnderecoCliente2Descarga'];
	//$newremark = $objectData['Remarque']." / ".$objectData['EnderecoCliente2Descarga'];
	//$observacoesFatura = $newremark;
	$Desconto = 0;
	$PercentagemDesconto = 0;
	$TotaRetencao = 0;
	$TotalSDesconto = 0;
	$EACCode = '';
	$CustomerID = $objectData['CodigoCliente'];

	$TaxPayable = 0;
	$NetTotal = 0;
	$GrossTotal = 0;

	$qtd_noir = $qtd_noir_rec;
	$qtd_couleur = $qtd_couleur_rec;
	
	$prixForfait = 0 ;
	//$lastFactur = new DateTimeImmutable($last_compteurs_rec['lastInvoiced']['Data']);
	//$lastFactur = DateTime::createFromFormat('d/m/Y', $last_compteurs_rec['lastInvoiced']['Data']);
	//$lastCompteur = new DateTimeImmutable($last_compteurs_rec['lastEntry']['Data']);
	//$lastCompteur = DateTime::createFromFormat('d/m/Y', $last_compteurs_rec['lastEntry']['Data']);
	//$intervalle = $lastFactur->diff($lastCompteur);
	//il faut faire la diff entre la date courante et la derniere date de facturation.
	//en fait y'a pas besoin de ça, on fait une facture tous les trois mois meme si y'a rien.
	//$Forfaitmonths = $intervalle->m + ($intervalle->y * 12);
	
	if($forfait == 1){
		$prixForfait = $ForfaitMensuel * $Forfaitmonths;
		$qtd_noir = $qtd_noir - $Forfaitmonths * $ForfaitNoir;
		$qtd_couleur = $qtd_couleur - $Forfaitmonths * $ForfaitCoul;
		if($qtd_noir < 0){
			$qtd_noir = 0;
		}
		if($qtd_couleur < 0){
			$qtd_couleur = 0;
		}
	}

	//taxas IVA ===================================
	$taxaIVA_noir = $artigo_noir['ValorIVA'] * 0.01;
	$taxaIVA_couleur = $artigo_couleur['ValorIVA'] * 0.01;

	$artigo_noir['qtd'] = $qtd_noir;
	$artigo_couleur['qtd'] = $qtd_couleur;
	
	

	//PRIX UNI. ===================================
	$artigo_noir['preco_unit'] = $objectData['Prix_noir'];
	$NetTotal1 = $qtd_noir * $objectData['Prix_noir'];
	$artigo_noir['preco'] = $NetTotal1;

	$artigo_couleur['preco_unit'] = $objectData['Prix_couleur'];
	$NetTotal2 = $qtd_couleur * $objectData['Prix_couleur'];
	$artigo_couleur['preco'] = $NetTotal2;

	$NetTotal = $NetTotal1 + $NetTotal2 + $prixForfait;

	//TVA =========================================
	$TaxPayable = $NetTotal1 * $taxaIVA_noir;
	$TaxPayable = $TaxPayable + ($NetTotal2 * $taxaIVA_couleur);
	
	$TaxPayable = $TaxPayable + ($prixForfait * $taxaIVA_noir);

	$artigo_noir['TotalLinha'] = $NetTotal1 + ($NetTotal1 * $taxaIVA_noir);
	$artigo_couleur['TotalLinha'] = $NetTotal2 + ($NetTotal2 * $taxaIVA_couleur);

	//PRIX TOTAL ==================================
	$GrossTotal = $NetTotal + $TaxPayable;

	//ROUNDS ======================================
	$NetTotal = round($NetTotal,2);
	$TaxPayable = round($TaxPayable,2);
	$GrossTotal = round($GrossTotal,2);
	$GrossTotal = roundPriceUp($GrossTotal);
	$TotalSDesconto = $NetTotal;

	// var_dump('PrixNoir --> '.$artigo_noir['preco_unit'].' Qtd --> '.$artigo_noir['qtd'].' | PrixNoir --> '.$artigo_couleur['preco_unit'].' Qtd --> '.$artigo_couleur['qtd'],'');

	// var_dump('TotalsIVA1 --> '.$artigo_noir['preco'].' TotalLinha1 --> '.$artigo_noir['TotalLinha'].' | TotalsIVA2 --> '.$artigo_couleur['preco'].' TotalLinha2 --> '.$artigo_couleur['TotalLinha'],'');

	// var_dump('NetTotal --> '.$NetTotal.' | TaxPayable --> '.$TaxPayable.' | GrossTotal --> '.$GrossTotal,'========','========');
	// var_dump($artigo_noir, $artigo_couleur);

	// return false;

	//GET SERIES DEFAULT ----------------------------------------------------
	$query = "SELECT ID_Serie FROM faturacao_series ORDER BY Predefinida DESC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011A";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultSerie
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011B";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm SERIE ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Il n'y a pas de série prédéfinie.";
		$response["line"] = "FATS011C";
		return $response;
	}

	//GET METODO DEFAULT ----------------------------------------------------
	$query = "SELECT MetodoPagamento FROM faturacao_personalizar_documentos LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011D";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultMetodo
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011E";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm METODO ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Il n'y a pas de méthode de paiement par défaut";
		$response["line"] = "FATS011F";
		return $response;
	}

	//GET BANCO DEFAULT ----------------------------------------------------
	$query = "SELECT ID_Banco, PlanoContas FROM faturacao_bancos WHERE Ativo = 1 ORDER BY Predefinido DESC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS011G";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
		    $defaultBanco, $defaultBancoPlano 
		);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS011H";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//Confirm BANCO ID
	if( $defaultSerie < 1){
		$response["errors"] = true;
		$response["type"] = "var";
		$response["message"] = "Aucune banque par défaut n'existe";
		$response["line"] = "FATS011I";
		return $response;
	}
	//-----------------------------------------------------------------------
 
	//INSERT OPEN DOCUMENT --------------------------------------------------
	$query = "INSERT INTO faturacao_faturas(
		ID_Cliente,
		EnderecoCliente,
		CodigoPostalCliente,
		CidadeCliente,
		RegiaoCliente,
		EmailCliente,
		PaisCliente,
		PlanoContas,
		ID_Moeda,
		TaxaMoeda,
		Vendedor,
		Vencimento,
		EnderecoCarga,
		CodigoPostalCarga,
		CidadeCarga,
		RegiaoCarga,
		ID_Serie,
		Numero,
		Data,
		Validade,
		Referencia,
		Observacoes,
		TaxPayable,
		NetTotal,
		GrossTotal,
		SystemEntryDate,
		TimeStampDate,
		Desconto,
		PercentagemDesconto,
		TotaRetencao,
		TotalSDesconto,
		InvoiceType,
		EACCode,
		CustomerID,
		TotalLiquidadoDocumento,
		TotalLiquidado,
		TotalPagar,
		MetodoPagamento,
		ID_Banco,
		PlanoContasBanco,
		Estado,
		ID_Utilizador,
		Tipo_Doc_Origem,
		ID_Doc_Origem,
		Reference,
		Data_Doc_Origem
		) 
		VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dsssssssdsssssssddssssssssssssssssssssddsdsdss",
		            $objectData['ID_Cliente'],
		            $objectData['EnderecoCliente'],
		            $objectData['CodigoPostalCliente'],
		            $objectData['CidadeCliente'],
		            $objectData['RegiaoCliente'],
		            $objectData['EmailCliente'],
		            $objectData['PaisCliente'],
		            $objectData['PlanoContasCliente'],
		            $idMoeda,
		            $taxaMoeda,
		            $objectData['VendedorPrimeiro'],
		            $objectData['Paiment'],
		            $objectData['EnderecoCliente'],
		            $objectData['CodigoPostalCliente'],
		            $objectData['CidadeCliente'],
		            $objectData['RegiaoCliente'],
		            $defaultSerie,
		            $numeroNew,
		            $dataNew,
		            $validadeNew,
		            $referenciaFatura,
		            $observacoesFatura,
		            $TaxPayable,
		            $NetTotal,
		            $GrossTotal,
		            $systemEntryDate,
		            $timestamp,
		            $Desconto,
		            $PercentagemDesconto,
		            $TotaRetencao,
		            $TotalSDesconto,
		            $invoiceTypeNew,
		            $EACCode,
		            $CustomerID,
		            $totalLiquidadoDocumento,
		            $totalLiquidado,
		            $GrossTotal,
		            $defaultMetodo,
		            $defaultBanco,
		            $defaultBancoPlano,
		            $estadoNovo,
		            $id_utilizador,
		            $invoiceTypeOrigem,
		            $idDocOrigem,
		            $referenceDocOrigem,
		            $objectData['Data']
		    	);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS012";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS013";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}

	//GET DOCUMENT ID
	$query = "SELECT ID_Fatura FROM faturacao_faturas WHERE TimeStampDate = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("s", $timestamp);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "FATS014";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result($idFaturaNew);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "FATS015";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	if( $idFaturaNew < 1){
		$response["errors"] = true;
		$response["type"] = "FATS016";
		$response["message"] = "Une erreur s'est produite lors de la création de la facture.";
		return $response;
	}
	//------------------------------------------------------------------------

	//PROCESS THE LINES (1) --------------------------------------------------
	$query = "INSERT INTO faturacao_faturas_linhas (
			ID_Fatura, 
			NumeroLinha, 
			ID_Artigo, 
			ProductCode, 
			ProductDescription, 
			Quantidade, 
			UnidadeMedida, 
			PrecoUnitario, 
			TaxPointDate, 
			Descricao, 
			SerialNumber, 
			ID_Imposto, 
			TaxType, 
			TaxCountryRegion, 
			TaxCode, 
			TaxPercentage, 
			TaxExemptionReason, 
			TaxExemptionCode, 
			DescontoLinha, 
			CreditAmount, 
			DebitAmount, 
			SettlementAmount, 
			ValorRetencao, 
			PercentagemRetencao, 
			TotalLinha, 
			TotalLinhaSIVA, 
			PlanoContas, 
			PlanoContasTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddssssssssdssssssssssssssss", 
		        $idFaturaNew, 
		        $artigo_noir['numlinha'], 
		        $artigo_noir['ID_Artigo'], 
		        $artigo_noir['Codigo'], 
		        $artigo_noir['Nome'], 
		        $artigo_noir['qtd'], 
		        $artigo_noir['Unidade'], 
		        $artigo_noir['preco_unit'], 
		        $artigo_noir['TaxPointDate'], 
		        $artigo_noir['Nome'], 
		        $artigo_noir['SerialNumber'], 
		        $artigo_noir['ID_Imposto'], 
		        $artigo_noir['TaxType'], 
		        $artigo_noir['TaxCountryRegion'], 
		        $artigo_noir['TaxCode'], 
		        $artigo_noir['ValorIVA'], 
		        $artigo_noir['TaxExemptionReason'], 
		        $artigo_noir['TaxExemptionCode'], 
		        $artigo_noir['Desconto'], 
		        $artigo_noir['preco'], 
		        $artigo_noir['DebitAmount'], 
		        $artigo_noir['settelementAmount'], 
		        $artigo_noir['retencao'], 
		        $artigo_noir['retencao'], 
		        $artigo_noir['TotalLinha'], 
		        $artigo_noir['preco'], 
		        $artigo_noir['PlanoContas'], 
		        $artigo_noir['PlanoContasTVA'] 
		    );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS017";
			$response["message"] = $stmt -> error;
			deleteRecord($idFaturaNew);
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS018";
		$response["message"] = $sqli_connection -> error;
		deleteRecord($idFaturaNew);
		return $response;
	}

	//PROCESS THE LINES (2) --------------------------------------------------
	$query = "INSERT INTO faturacao_faturas_linhas (
			ID_Fatura, 
			NumeroLinha, 
			ID_Artigo, 
			ProductCode, 
			ProductDescription, 
			Quantidade, 
			UnidadeMedida, 
			PrecoUnitario, 
			TaxPointDate, 
			Descricao, 
			SerialNumber, 
			ID_Imposto, 
			TaxType, 
			TaxCountryRegion, 
			TaxCode, 
			TaxPercentage, 
			TaxExemptionReason, 
			TaxExemptionCode, 
			DescontoLinha, 
			CreditAmount, 
			DebitAmount, 
			SettlementAmount, 
			ValorRetencao, 
			PercentagemRetencao, 
			TotalLinha, 
			TotalLinhaSIVA, 
			PlanoContas, 
			PlanoContasTVA) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dddssssssssdssssssssssssssss", 
		        $idFaturaNew, 
		        $artigo_couleur['numlinha'], 
		        $artigo_couleur['ID_Artigo'], 
		        $artigo_couleur['Codigo'], 
		        $artigo_couleur['Nome'], 
		        $artigo_couleur['qtd'], 
		        $artigo_couleur['Unidade'], 
		        $artigo_couleur['preco_unit'], 
		        $artigo_couleur['TaxPointDate'], 
		        $artigo_couleur['Nome'], 
		        $artigo_couleur['SerialNumber'], 
		        $artigo_couleur['ID_Imposto'], 
		        $artigo_couleur['TaxType'], 
		        $artigo_couleur['TaxCountryRegion'], 
		        $artigo_couleur['TaxCode'], 
		        $artigo_couleur['ValorIVA'], 
		        $artigo_couleur['TaxExemptionReason'], 
		        $artigo_couleur['TaxExemptionCode'], 
		        $artigo_couleur['Desconto'], 
		        $artigo_couleur['preco'], 
		        $artigo_couleur['DebitAmount'], 
		        $artigo_couleur['settelementAmount'], 
		        $artigo_couleur['retencao'], 
		        $artigo_couleur['retencao'], 
		        $artigo_couleur['TotalLinha'], 
		        $artigo_couleur['preco'], 
		        $artigo_couleur['PlanoContas'], 
		        $artigo_couleur['PlanoContasTVA'] 
		    );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS019";
			$response["message"] = $stmt -> error;
			deleteRecord($idFaturaNew);
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS020";
		$response["message"] = $sqli_connection -> error;
		deleteRecord($idFaturaNew);
		return $response;
	}
	//------------------------------------------------------------------------
	//$ForfaitMensuel, $ForfaitNoir, $ForfaitCoul
	//Il faut ajouter une ligne en plus avec les infos (pas oublier d'ajouter le pris au total de la facture plus haut)
	//J'ai enleve la condition mais peut-etre qu'il faut la garder.
	//peut-etre ajouter seulement $forfait == 1 pour avoir la ligne des qu'il y'a un forfait, peu importe le forfait
	//if($ForfaitMensuel > 0){
	if($forfait == 1){
		$ligne = 3;
		$article_id = 0;
		$code = "CC0003";
		$desc = "Forfait mensuel du contrat, noir :".$ForfaitNoir.", couleur :".$ForfaitCoul;
		$unite = "UN";
		$serial = "";
		$zero = 0;
		$total = ($ForfaitMensuel * $Forfaitmonths) * ($taxaIVA_noir + 1);
		$query = "INSERT INTO faturacao_faturas_linhas (
				ID_Fatura, 
				NumeroLinha, 
				ID_Artigo, 
				ProductCode, 
				ProductDescription, 
				Quantidade, 
				UnidadeMedida, 
				PrecoUnitario, 
				TaxPointDate, 
				Descricao, 
				SerialNumber, 
				ID_Imposto, 
				TaxType, 
				TaxCountryRegion, 
				TaxCode, 
				TaxPercentage, 
				TaxExemptionReason, 
				TaxExemptionCode, 
				DescontoLinha, 
				CreditAmount, 
				DebitAmount, 
				SettlementAmount, 
				ValorRetencao, 
				PercentagemRetencao, 
				TotalLinha, 
				TotalLinhaSIVA, 
				PlanoContas, 
				PlanoContasTVA) 
				VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("dddssssssssdssssssssssssssss", 
					$idFaturaNew, 
					$ligne, 
					$article_id,//que mettre comme ID d'article? 
					$code, //Code du produit (MENS01?)
					$desc, //description = forfait mensuel
					$Forfaitmonths, //le nombre de mois
					$unite, //Pareil
					$ForfaitMensuel, //$ForfaitMensuel
					$artigo_couleur['TaxPointDate'], //Pareil
					$desc, //Description (Pareil que nome)
					$serial, //vide is ok
					$artigo_couleur['ID_Imposto'], //21 pour la tva
					$artigo_couleur['TaxType'], //Pareil
					$artigo_couleur['TaxCountryRegion'], //Pareil
					$artigo_couleur['TaxCode'], //Pareil
					$artigo_couleur['ValorIVA'], //Pariel
					$artigo_couleur['TaxExemptionReason'], //pareil
					$artigo_couleur['TaxExemptionCode'], //pareil
					$zero, //0
					$prixForfait, //Prix a payer
					$zero,  // 0 
					$artigo_couleur['settelementAmount'], //  0
					$zero, // 0
					$zero, // 0
					$total, //Preco + TVA
					$prixForfait, 
					$artigo_couleur['PlanoContas'], //3601
					$artigo_couleur['PlanoContasTVA'] //2200
				);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS021";
				$response["message"] = $stmt -> error;
				deleteRecord($idFaturaNew);
				return $response;
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS022";
			$response["message"] = $sqli_connection -> error;
			deleteRecord($idFaturaNew);
			return $response;
		}
	}

	//log sistema - processo
	$response["errors"] = false;
	$descricao_log ="[CRON] Documents Automatiques: C. d\'entretien (N. ".$objectData['Numero'].") -- Facture (Brouillon ID. ".$idFaturaNew.")";
	$response["message"] = $descricao_log;
	return $response["message"];
}

//remove inserted Enregistrer if gives an error
function deleteRecord($idObject){
	global $sqli_connection;

	//DELETE DB -------------------------------------------------------------
	$query = "DELETE FROM faturacao_faturas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//LINHAS
	$query = "DELETE FROM faturacao_faturas_linhas WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idObject );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "REM003";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "REM004";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
	//----------------------------------------------------------------------
}

//mark compteur as invoiced
function markAsInvoiced($idCompteur){
	global $sqli_connection;

	// MASK AS INVOICED
	$query = "UPDATE faturacao_consommables_compteurs SET Faturado = 1 WHERE ID_Compteur = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idCompteur);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "UPD001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "UPD002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}
}

//get last compteur
function getLastCompteurs($idConsommable, $dataTermo){
	global $sqli_connection;

	$obj = array("lastEntry" => [], "lastInvoiced" => []);

	$conditions = '';
	if($dataTermo){
		$dataTermoCheck = DateTime::createFromFormat('d/m/Y', $dataTermo);
		if($dataTermoCheck){
			$conditions = "AND STR_TO_DATE( Data,  '%d/%m/%Y' ) <= STR_TO_DATE( '".$dataTermo."',  '%d/%m/%Y' )";
		}
	}

	//GET LAST COMPTEUR
	$query = "SELECT ID_Compteur, NumContagem, Faturado, ContagemPreto, ContagemCores, Fabricante, Modelo, NumSerie, Data  FROM faturacao_consommables_compteurs WHERE ID_Consommable=? ".$conditions." ORDER BY NumContagem DESC LIMIT 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idConsommable);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
					$obj["lastEntry"]["ID_Compteur"],
					$obj["lastEntry"]["NumContagem"],
					$obj["lastEntry"]["Faturado"],
					$obj["lastEntry"]["ContagemPreto"],
					$obj["lastEntry"]["ContagemCores"],
					$obj["lastEntry"]["Fabricante"],
					$obj["lastEntry"]["Modelo"],
					$obj["lastEntry"]["NumSerie"],
					$obj["lastEntry"]["Data"]
				);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}

	//GET LAST COMPTEUR FACTURÉ
	$query = "SELECT ID_Compteur, NumContagem, Faturado, ContagemPreto, ContagemCores, Fabricante, Modelo, NumSerie, Data FROM faturacao_consommables_compteurs WHERE ID_Consommable=? AND Faturado = 1 ".$conditions." ORDER BY NumContagem DESC limit 1";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idConsommable);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			return $response;
		}
		$stmt -> bind_result(
					$obj["lastInvoiced"]["ID_Compteur"],
					$obj["lastInvoiced"]["NumContagem"],
					$obj["lastInvoiced"]["Faturado"],
					$obj["lastInvoiced"]["ContagemPreto"],
					$obj["lastInvoiced"]["ContagemCores"],
					$obj["lastInvoiced"]["Fabricante"],
					$obj["lastInvoiced"]["Modelo"],
					$obj["lastInvoiced"]["NumSerie"],
					$obj["lastInvoiced"]["Data"]
				);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		return $response;
	}

	/*foreach($obj["lastList"] as $index => $val){
		if ($val["ContagemPreto"] == $obj["lastList"][$index + 1]["ContagemPreto"] && $val["ContagemCores"] == $obj["lastList"][$index + 1]["ContagemCores"]){
			continue;
		} else {
			$obj["lastInvoiced"]["ID_Compteur"] = $obj["lastList"][$index]["ID_Compteur"];
			$obj["lastInvoiced"]["NumContagem"] = $obj["lastList"][$index]["NumContagem"];
			$obj["lastInvoiced"]["Faturado"] = $obj["lastList"][$index]["Faturado"];
			$obj["lastInvoiced"]["ContagemPreto"] = $obj["lastList"][$index]["ContagemPreto"];
			$obj["lastInvoiced"]["ContagemCores"] = $obj["lastList"][$index]["ContagemCores"];
			$obj["lastInvoiced"]["Fabricante"] = $obj["lastList"][$index]["Fabricante"];
			$obj["lastInvoiced"]["Modelo"] = $obj["lastList"][$index]["Modelo"];
			$obj["lastInvoiced"]["NumSerie"] = $obj["lastList"][$index]["NumSerie"];
			$obj["lastInvoiced"]["Data"] = $obj["lastList"][$index]["Data"];
			break;
		}

	}*/
	
	//verifier si le dernier facturé correspond a l'avant dernier et ainsi de usite jusqu'au changement.

	return $obj;
}

//Insert Logs
function insert_log($modulo, $accao, $descricao, $sqli_connection, $id_utilizador) {
	$id_utilizador = $id_utilizador;
	$nome_utilizador = 'CRON JOB';
	$data = date('d/m/Y');
	$hora = date('H:i:s');
	// if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
	// 	$ip = $_SERVER['HTTP_CLIENT_IP'];
	// } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
	// 	$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	// } else {
	// 	$ip = $_SERVER['REMOTE_ADDR'];
	// }
	$ip = "94.46.164.233";

	$query = "Insert into log (ID_Utilizador, Nome, Data, Hora, ID_Modulo, Accao, Descricao, IP) values(?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dsssdsss", $id_utilizador, $nome_utilizador, $data, $hora, $modulo, $accao, $descricao, $ip);
		$stmt -> execute();
		$stmt -> close();
	}
}

/**
 * Get Custom Rounded UP Value for Invoices (0.05 UP)
 * @param  [float] $valueToRise
 * @return formatted value
 *  
 * Exemple - Facture CHF 2,60 c'est CHF 2,60
 * Exemple - Facture CHF 2,61 c'est CHF 2,60
 * Exemple - Facture CHF 2,62 c'est CHF 2,60
 * Exemple - Facture CHF 2,63 c’est CHF 2,65
 * Exemple - Facture CHF 2,64 c’est CHF 2,65
 * Exemple - Facture CHF 2,65 c’est CHF 2,65
 * Exemple - Facture CHF 2,66 c’est CHF 2,65
 * Exemple - Facture CHF 2,67 c’est CHF 2,65
 * Exemple - Facture CHF 2,68 c'est CHF 2,70
 * Exemple - Facture CHF 2,69 c’est CHF 2,70
 * Exemple - Facture CHF 2,70 c’est CHF 2,70

 */
function roundPriceUp($valueToRise) {
	$finalValue = 0;
	//confirm that the value is rounded
	$roundedValue = round($valueToRise, 2);
	$roundedValue = number_format($roundedValue, 2, '.', '');
	// var_dump($roundedValue);
	//grab last decimal number
	$lastNumber = substr($roundedValue, -1);

	/* === process the last decimal number === */
	
	//when is bigger than 0 and smaller than 3, 
	//it means that the last decimal needs to be replaced by 0 (from 0.00)
	if($lastNumber > 0 && $lastNumber <= 2) {
		$replacement = 0;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 2 and smaller than 8, 
	//it means that the last decimal needs to be replaced by 5 (from 0.05)
	elseif($lastNumber > 2 && $lastNumber <= 7) {
		$replacement = 5;
		$finalValue = substr($roundedValue, 0, -1).$replacement;
	}
	//when is bigger than 7 and smaller than 10, 
	//it meand we need to round up to 1 decimal case
	//and it will return the 1.00 (number rounded 0.05 up) from the number
	elseif($lastNumber > 7 && $lastNumber <=9 ) {
		$finalValue = round($valueToRise, 1);
	}
	else{
		$finalValue = $roundedValue;
	}
	/* =========== /end processing =========== */

	//return final formatted value
	return round($finalValue,2);
}

?>