<?php
//INCLUDE CONNECTION
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
//GET POST VARS


$id_utilizador = $_POST['id_utilizador'];
if ($id_utilizador == "") {
	$response["errors"] = true;
	$response["type"] = "FTGA001";
	die(json_encode($response));
}


$_SESSION['id_utilizadorEDIT']=$id_utilizador;



$query = "SELECT utilizador.ID_Permissao, faturacao_roles.Name, utilizador.Nome, Email, Username, CodigoSIIAL, AdministradorFaturacao, CodigoInternoVendedor FROM utilizador, faturacao_roles WHERE faturacao_roles.ID_Role=utilizador.ID_Permissao AND ID_Utilizador=?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d",  $id_utilizador);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA007";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($perfil_utilizador, $nome_perfil_utilizador, $nome_utilizador, $email_utilizador, $username_utilizador, $codigo_siial, $administrador_faturacao, $codigo_vendedor_utilizador);
	$stmt -> fetch();
	$data[] = array("perfil_utilizador" => $perfil_utilizador, "nome_perfil_utilizador" => $nome_perfil_utilizador, "nome_utilizador" => $nome_utilizador, "email_utilizador" => $email_utilizador, "username_utilizador" => $username_utilizador, "codigo_siial" => $codigo_siial, "administrador_faturacao" => $administrador_faturacao, "codigo_vendedor_utilizador" => $codigo_vendedor_utilizador);
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "FTGA008";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
$response["data"] = $data;
$response["errors"] = false;
die(json_encode($response));
?>