<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idDados = 1;

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT MetodoPagamento, 
	RazaoIsencao, 
	Observacoes, 
	Rodape, 
	NumeroCopias, 
	Vencimento, 
	Iban, 
	Swift,
	UnidadesMedida,
	NumCasasDecimais,
	StockMinimo,
	EmailRececaoStock,
	SerieWebservices,
	MetodoPagamentoWebservices,
	BancoWebservices,
	NumeroInicial_CLIC,
	NumeroInicial_CLOC,
	NumeroInicial_CCON,
	NumeroInicial_CACH,
	NumeroInicial_RT,
	Rappels
	FROM faturacao_personalizar_documentos 
	WHERE ID_personalizar=?";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idDados);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$objectData['MetodoPagamento'],
		$objectData['RazaoIsencao'],
		$objectData['Observacoes'],
		$objectData['Rodape'],
		$objectData['NumeroCopias'],
		$objectData['Vencimento'],
		$objectData['Iban'],
		$objectData['Swift'],
		$objectData['UnidadesMedida'],
		$objectData['NumCasasDecimais'],
		$objectData['StockMinimo'],
		$objectData['EmailRececaoStock'],
		$objectData['SerieWebservices'],
		$objectData['MetodoPagamentoWebservices'],
		$objectData['BancoWebservices'],
		$objectData['NumeroInicialCLIC'],
		$objectData['NumeroInicialCLOC'],
		$objectData['NumeroInicialCCON'],
		$objectData['NumeroInicialCACH'],
		$objectData['NumeroInicialRT'],
		$objectData['Rappels']
	);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

$query = "SELECT Keyword, PlanoConta FROM faturacao_personalizar_planos_defeito";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$keyword,
		$planoConta
	);
	while( $stmt -> fetch() ) {
		$objectData['PlanosDefeito'][$keyword] = $planoConta;
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//$objectData['Rappels'] = 1;
// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>