<?php 
$helpersAdminFile = true;

/**
 * Get the Next ID for table
 * @param  $fieldName
 * @param  $tableName
 * @return next id
 */
function adminChecker($userID){
	global $sqli_connection;
	//process
	$query = "SELECT AdministradorFaturacao FROM utilizador WHERE ID_Utilizador = ?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		$stmt -> bind_param("d", $userID);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "HELP000A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($administrador);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "HELP000B";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//return next id
	return $administrador;
}

?>