<style type="text/css">
	.invalidLineReceipt{ background-color: #bf4346 !important; color: #fff; }
</style>
<div id="modal-pagamento-compra" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title"><i class="fa fa-dollar"></i>&nbsp;Paiement des factures</h4>
			</div>
			<form id="form_new_document" class="form-validate" novalidate="novalidate">
				<input type="hidden" id="compraID"/>
				<div class="modal-body">
					<div id="form_div">
						<div class="row mtm">
							<div class="col-xs-12">
								<label class="control-label">Détails des paiements <span class="require">*</span></label>
								<table class="table table-bordered table-striped" id="tableLinesPayments">
									<thead>
										<tr>
											<th style="width: 30px;">
												<input type="checkbox" class="iCheck linhaPagamentoCheck" name="checkAllLinhaPagamento" id="checkAllLinhaPagamento">
											</th>
											<th style="width: 120px;">Numéro</th>
											<th style="width: 120px;">Date</th>
											<th >Remarques</th>
											<th class="text-right" style="width: 120px;">Total Payable</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button  class="btn btn-green submit_button" type="submit">
						<i class="fa fa-save"></i> Enregistrer et Finir
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-default">
						Annuler
					</button>

				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript">
	function marcarComoPagoModal(idDocument, nome){
		// $('#compraID').val('');
		// $('#compraID').val(idDocument);
		// $('#achatName').html(nome);
		// $('#modal-pagamento-compra').modal("show");
		
		//get the available invoices to pay
		getAchatsToPay(idDocument);
	}

	$(document).ready(function() {
		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			vMin:'0',
			mDec : <?php echo $numDecimais; ?>
		});

		//datepicker init
		$('.datepicker').datepicker({
			autoclose : true,
			todayHighlight : true,
			toggleActive : true,
			format : 'dd/mm/yyyy',
			language : 'pt'
		});
		$('.todayPag').datepicker().datepicker("setDate", new Date());
		$('[data-provide="datepicker-inline"]').mask("99/99/9999");
		$('[data-provide="datepicker"]').mask("99/99/9999");


		$( ".datepicker" ).datepicker("refresh");

		// iCheck ------------------------
		$('input:checkbox').attr("checked");
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_flat-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_minimal-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type="radio"]:not(".switch")').iCheck({
			radioClass : 'iradio_square-yellow',
			increaseArea : '20%' // optional
		});
	});
	// ----------------- FORM PROCESSING ------------------
	
	val_form_new = $("#form_new_document").validate({
		ignore : "",
		rules : {},
		messages : {},
		highlight : function(element, errorClass, validClass) {
			$(element).addClass(errorClass).removeClass(validClass);
		},
		unhighlight : function(element, errorClass, validClass) {
			$(element).removeClass(errorClass).addClass(validClass);
		},
		errorPlacement : function(error, element) {
			if (element.hasClass('selectpicker')) {
				if (element.parent().hasClass("input-group"))
					error.insertAfter(element.parent());
				else
					error.insertAfter(element.next("div"));
			} else {
				error.insertAfter(element);
			}
		}
	});

	//check validation and submit the form
	$("#form_new_document").submit(function(e) {
		e.preventDefault();

		var valid = $("#form_new_document").valid();
		if (valid == false) {
			$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
		}else{
			//process the lines
			
			//check if exists 1 line at least and validate the fields
			var lines = $('.LineTotalInput');
			var counter = 0;
			var invalidLines = 0;
			var validateForm = true;

			$.each(lines, function() {
				var recLineID = $(this).attr('data-id-line');
				var lineActive =  $('#linhaID_pagamento_'+recLineID).is(':checked');
				var statusLine = $('tr#line_tr_'+recLineID).attr('data-status');

				if(statusLine == 'invalid') invalidLines++;
				counter++;
			});

			//process validation
			if( invalidLines > 0 ) { $.scojs_message("Veuillez vérifier les valeurs des lignes de paiement.", $.scojs_message.TYPE_ERROR); validateForm = false;}
			if( counter == 0 ) { $.scojs_message("Veuillez ajouter au moins 1 ligne au paiement.", $.scojs_message.TYPE_ERROR); validateForm = false;}
			
			//if the fields are valid, move on
			if( validateForm == true ){
				$("#form_new").find('.submit_button').attr("disabled", true);
				$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');


				//add lines into array to be sended
				var linesPayment = [];
				$.each(lines, function() {
					var recLineID = $(this).attr('data-id-line');
					var lineActive =  $('#linhaID_pagamento_'+recLineID).is(':checked');
					//get data for the line
					var idDoc = $('tr#line_tr_'+recLineID).attr('data-docid');
					var dataLinha = $('#linhaID_data_'+recLineID).val();
					var textoLinha = $('#linhaID_remarques_'+recLineID).val();
					var valorLinha = Number( $('#total_linha_pagamento_'+recLineID).autoNumeric('get') );

					if(lineActive == true){
						//add to array
						linesPayment.push({
							"id_documento" : idDoc,
							"data" : dataLinha,
							"texto" : textoLinha,
							"valor_pagar" : valorLinha,
						});
					}
				});
				// console.log(linesPayment);return false;
				
				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/compras/lancar_pagamentos.php',
					dataType : 'json',
					data : {
						linhaspagamento: linesPayment
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Il est impossible de payer les achats. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Il est impossible de payer les achats. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Achats payés avec succès!", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de payer les achats. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

							$("#form_new").find('.submit_button').attr("disabled", true);
							$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');
						} else {
							//reload
							setTimeout(function() {
								location.reload();
							}, 1000);
						}
					}
				});
			}else{
				$("#form_new_document").find('.submit_button').attr("disabled", false);
				$("#form_new_document").find('.submit_button').html('<i class="fa fa-save"></i>  Enregistrer et Finir');
			}
		}
	});

	// ---------- PAYMENTS LINES ---------- 
	
	/**
	 * Re Calcular totais
	 * @return totals
	 */
	function calculaTotaisRecibo(){
		//field to convert money values
		// $('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
		$(".money").autoNumeric("init", {
			aSep : '.',
			aDec : ',',
			aSign : ' CHF',
			pSign : 's',
			vMin:'0',
			mDec : <?php echo $numDecimais; ?>
		});

		var lines = $('.LineTotalInput');
		var totalRecibo = 0;
		//process lines
		$.each(lines, function() {

			var recLineID = $(this).attr('data-id-line');
			var lineActive =  $('#linhaID_pagamento_'+recLineID).is(':checked');
			// console.log(lineActive);

			//process if the line is active only
			if(lineActive == true){
				//get values
				// var totalPagavel = Number( $('#valorFatura_recibo').autoNumeric('get') );
				var totalPagarLinha = Number( $('#total_linha_pagamento_'+recLineID).attr('data-orig-val') );

				// $( "#valorDocTemp" ).autoNumeric('set', totalPagarLinha);
				// var valorDoc = $( "#valorDocTemp" ).autoNumeric('get');

				var emPagamento = Number( $('#total_linha_pagamento_'+recLineID).autoNumeric('get') );

				//first check
				if( emPagamento > totalPagarLinha){ $('tr#line_tr_'+recLineID).addClass('invalidLineReceipt').attr('data-status', 'invalid'); } else { $('tr#line_tr_'+recLineID).removeClass('invalidLineReceipt').attr('data-status', 'valid'); }
			}else{
				$('tr#line_tr_'+recLineID).removeClass('invalidLineReceipt').attr('data-status', 'valid');
			}
		});
	}

	/**
	 * Get list of available purchase to pay
	 * @return results
	 */
	function getAchatsToPay(idDocument){

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/compras/compras_pendentes.php',
			data : { },
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							alert("Il n'y a pas de paiements d'achat en attente.");
						} else {
							var dados = resposta.data;
							// console.log(dados);

							$('input#checkAllLinhaPagamento').iCheck('uncheck');

							$('#tableLinesPayments tbody').html('');
							var trHTML = '';
							//process the lines
							if(dados.lines){
								$.each(dados.lines, function() {
									// console.log(idDocument, this.ID_Compra);
									trHTML += '<tr id="line_tr_'+this.ID_Compra+'" data-status="valid" data-docid="'+this.ID_Compra+'" data-type="FT" data-normalizeDate="'+this.Data+'">';
									trHTML += '<td style="width: 30px;">';
										trHTML += '<div class="checkbox">';
											trHTML += '<label>';
												trHTML += '<input type="checkbox"  class="iCheck linhaPagamentoCheck" name="linhaID_pagamento_'+this.ID_Compra+'" id="linhaID_pagamento_'+this.ID_Compra+'" data-id-line="'+this.ID_Compra+'"  '+(idDocument == this.ID_Compra ? 'checked' : '')+'>';
											trHTML += '</label>';
										trHTML += '</div>';
									trHTML += '</td>';
									trHTML += '<td style="width: 120px;">'+this.Numero+'</td>';
									// trHTML += '<td style="width: 120px;">'+this.Data+'</td>';
									trHTML += '<td style="width: 130px;"><div class="input-buttons form-group" style="margin-bottom: 0px;">';
										trHTML += '<input type="text" class="form-control datepicker today" data-provide="datepicker" name="linhaID_data_'+this.ID_Compra+'" id="linhaID_data_'+this.ID_Compra+'" data-date-format="dd/mm/yyyy" value="'+this.Data+'" '+(idDocument != this.ID_Compra ? 'disabled' : '')+'>';
										trHTML += '<div class="input-group-addon">';
											trHTML += '<span class="fa fa-calendar"></span>';
										trHTML += '</div>';
									trHTML += '</div></td>';
									trHTML += '<td ><textarea class="form-control" name="linhaID_remarques_'+this.ID_Compra+'" id="linhaID_remarques_'+this.ID_Compra+'" placeholder="..." rows="1" '+(idDocument != this.ID_Compra ? 'disabled' : '')+'></textarea></td>';
									trHTML += '<td class="text-right" style="width: 120px;"><input type="text" class="LineTotalInput text-right form-control money" data-id-line="'+this.ID_Compra+'" id="total_linha_pagamento_'+this.ID_Compra+'" name="total_linha_pagamento_'+this.ID_Compra+'" placeholder="0,00 CHF" value="'+this.Total_Pagar+'"  data-orig-val="'+this.Total_Pagar+'" '+(idDocument != this.ID_Compra ? 'disabled' : '')+'/></td>';
									trHTML += '</tr>';
								});
							}
							$('#tableLinesPayments tbody').append(trHTML);

							//datepicker init
							$('.datepicker').datepicker({
								autoclose : true,
								todayHighlight : true,
								toggleActive : true,
								format : 'dd/mm/yyyy',
								language : 'pt'
							});
							$('.todayPag').datepicker().datepicker("setDate", new Date());
							$('[data-provide="datepicker-inline"]').mask("99/99/9999");
							$('[data-provide="datepicker"]').mask("99/99/9999");


							$( ".datepicker" ).datepicker("refresh");

							//init elements
							$(".money").autoNumeric("init", {
								aSep : '.',
								aDec : ',',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});

							// iCheck ------------------------
							$('input:checkbox').attr("checked");
							$('input[type=checkbox]').iCheck({
								checkboxClass : 'icheckbox_flat-yellow',
								increaseArea : '20%' // optional
							});

							$(document).on('ifChanged', 'input.linhaPagamentoCheck', function(event) {
								// alert( $(this).is(":checked") ) ;
								var getID = $(this).attr('data-id-line');
								if( $(this).is(":checked") ){
									$("#total_linha_pagamento_"+getID).attr("disabled", false);
									$("#linhaID_data_"+getID).attr("disabled", false);
									$("#linhaID_remarques_"+getID).attr("disabled", false);
								}else{
									$("#total_linha_pagamento_"+getID).attr("disabled", true);
									$("#linhaID_data_"+getID).attr("disabled", true);
									$("#linhaID_remarques_"+getID).attr("disabled", true);
								}
								//recalculate lines and totals
								calculaTotaisRecibo();
							});

							$(document).on('ifChanged', 'input#checkAllLinhaPagamento', function(event) {
								// alert( $(this).is(":checked") ) ;
								if( $(this).is(":checked") ){
									$(".linhaPagamentoCheck").iCheck("check");
								}else{
									$(".linhaPagamentoCheck").iCheck("uncheck");
								}
								//recalculate lines and totals
								calculaTotaisRecibo();
							});

							$(".LineTotalInput").on('keyup', function(event){
								calculaTotaisRecibo();
							});
							$(".LineTotalInput").on('change', function(event){
								calculaTotaisRecibo();
							});
						}
					}
				}
			},
			complete : function() {
				calculaTotaisRecibo();
				
				$('#modal-pagamento-compra').modal("show");
			}
		});
	}
</script>