<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0063']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/articles&redirectto=/frifacturation');
	}
?>
<html>
	<title>Articles: Categorias | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>


			<!-- Nova Categoria -->
			<div id="modal-categoria" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Nova Categoria</h4>
						</div>
						<form id="form_new_categoria" class="form-validate" novalidate="novalidate">
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="nome_categoria" id="nome_categoria">
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Enregistrer
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<!-- Editar Categoria -->
			<div id="modal-categoria-edit" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-orange">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Editar Categoria</h4>
						</div>
						<form id="form_new_categoriaEditar" class="form-validate" novalidate="novalidate">
							<input type="hidden" value="" id="ModalEdit_ID_categoria" />
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_nome_categoria" id="ModalEdit_nome_categoria">
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-yellow submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Enregistrer
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<button type="button" data-target="#modal-categoria" data-toggle="modal" class="btn btn-yellow btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nova Categoria</button>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../articles">Articles</a>
							</li>
							<li class="active">
								Categorias de Artigos
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th>Nom</th>
											<th style="width: 80px;">Nº Artigos</th>
											<th style="width: 100px;">État</th>
											<th style="width: 80px;">Options</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<?php include('categorias_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.artigos").addClass("active");
			$(".navbar-nav li.artigos li.categorias_artigos").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});

			$(document).ready(function() {
				$("#form_new_categoria")[0].reset();
				$("#form_new_categoriaEditar")[0].reset();
			});

			// ----------------- FORM PROCESSING ------------------
			val_form_new = $("#form_new_categoria").validate({
			ignore : "",
			rules : {
				nome_categoria : {
					required : true
				},
			},
			messages : {
				nome_categoria : {
					required : "Ce champ est obligatoire"
				},
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		//check validation and upload foto
		$("#form_new_categoria").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_categoria").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_categoria").find('.submit_button').attr("disabled", true);
				$("#form_new_categoria").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/artigos/categorias_inserir.php',
					dataType : 'json',
					data : {
						nome_categoria : $("#nome_categoria").val(),
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								location.reload();
							}, 1000);
						}
						$("#form_new_categoria").find('.submit_button').attr("disabled", false);
						$("#form_new_categoria").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					}
				});
			}
		});

		/**
		 * -----------------------------------------
		 * 				EDITION FORM
		 * -----------------------------------------
		 */
		val_form_new2 = $("#form_new_categoriaEditar").validate({
			ignore : "",
			rules : {
				ModalEdit_nome_categoria : {
					required : true
				},
			},
			messages : {
				ModalEdit_nome_categoria : {
					required : "Ce champ est obligatoire"
				},
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		//check validation and upload foto
		$("#form_new_categoriaEditar").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_categoriaEditar").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_categoriaEditar").find('.submit_button').attr("disabled", true);
				$("#form_new_categoriaEditar").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/artigos/categorias_editar.php',
					dataType : 'json',
					data : {
						id_categoria : $("#ModalEdit_ID_categoria").val(),
						nome_categoria : $("#ModalEdit_nome_categoria").val(),
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								location.reload();
							}, 1000);
						}
						$("#form_new_categoriaEditar").find('.submit_button').attr("disabled", false);
						$("#form_new_categoriaEditar").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					}
				});
			}
		});
		</script>
	</body>
</html>