<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0060']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/articles&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Tableaux  > Articles > Importer</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<link href="/js/vendors/bootstrap-fileinput/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
		<style type="text/css">
			/*.btn-file { height: 34px !important; }*/
			/*.fileinput-remove-button { height: 34px !important; }*/
			.kv-fileinput-caption { max-height: 33px !important; }
		</style>
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../articles"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li style="margin-top:5px;">
								<a>Tableaux</a>
							</li>
							<li style="margin-top:5px;">
								<a href="../articles">Liste des articles</a>
							</li>
							<li class="active" style="margin-top:5px;">Importer les articles
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<form id="form_file" class="form-validate">
							<div class="form-body">
								<div class="row mtl">
									<div class="col-xs-12 mbl">
										<p>Champs obligatoires pour l'importation - 
										Fichier Excel avec les colonnes suivantes:</p>
										<ul>
											<li><b>A - Code de l'article</b></li>
											<li><b>B - Nom Article</b></li>
											<li><b>C - Unité d'article (Acronyme: UN)</b></li>
										</ul>
										<p>
											<a href="https://frifacturation.ch/resources_down/Excel_Import_Articles.xlsx" title="Exemple Excel" target="_blank" download><i class="fa fa-download"></i> Télécharger exemple de fichier Excel.</a>
										</p>
									</div>

									<div class="col-xs-12 col-md-12">
										<div class="form-group">
											<!-- <label class="control-label">Selecionar ficheiro </label> -->
											<input class="form-control file" type="file" id="documento_anexo" name="documento_anexo">
										</div>
									</div>
									<div class="mtl col-xs-12 col-md-offset-4 col-md-4 text-center">
										<button type="submit" class="btn btn-green btn-block">
											<i class="fa fa-upload"></i> Importer les articles
										</button>
									</div>
								</div>
							</div>
						</form>

						<!--
						<hr>
						<div class="row">
							<div class="col-xs-12 table-responsive">
								<table class="table table-bordered table-striped" id="table_id" >
									<thead>
										<tr>
											<th style="width: 100px;">Référence</th>
											<th>Nom</th>
											<th class="text-center" style="width: 80px;">Unité</th>
											<th style="width: 350px;">Remarque</th>
										</tr>
									</thead>
									<tbody id="tbody_id">
										<tr class="row-no_reg">
											<td colspan="8" align="center">Sans enregistrements.</td>
										</tr>
									</tbody>
									<tfoot></tfoot>
								</table>
							</div>
						</div>
						-->
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/bootstrap-fileinput/plugins/canvas-to-blob.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput_locale_pt.js" type="text/javascript"></script>

		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.artigos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".qtd").autoNumeric("init", {
					aSep : '',
					aDec : '.',
					aSign : '',
					pSign : 's',
					mDec : 3
				});
			});

			/* =========== FILE INPUT ============ */
			
			$("#documento_anexo").fileinput({
				uploadUrl : "/frifacturation/server/importer/articles/upload_ficheiro_excel.php",
				language : "pt",
				uploadAsync : false,
				showClose : false,
				showCaption : true,
				showRemove : true,
				showPreview : false,
				showUpload : false,
				dropZoneEnabled : false,
				maxFileCount : 1,
				browseLabel : 'Choisir un fichier:',
				browseIcon : '<i class="fa fa-file-excel-o"></i>',
				browseClass : "btn btn-yellow",
				removeLabel : 'Supprimer',
				removeIcon : '<i class="fa fa-trash"></i>',
				removeClass : "btn btn-red",
				removeTitle : "Supprimer le fichier",
				allowedFileExtensions : ["xls", "xlsx"],
				// uploadExtraData : function() {
				// 	return {
				// 		banco : $("#banco").val(),
				// 		data_inicio : $("#data_inicio").val(),
				// 		data_fim : $("#data_fim").val(),
				// 		formato_data : $("#formato_data").val(),
				// 		pos_inicial : $("#pos_inicial").val(),
				// 		pos_final : $("#pos_final").val(),
				// 		pos_data : $("#pos_data").val(),
				// 		pos_descr : $("#pos_descr").val(),
				// 		pos_credito : $("#pos_credito").val(),
				// 		pos_debito : $("#pos_debito").val(),
				// 		pos_saldo : $("#pos_saldo").val(),
				// 		filtra_data : $("#filtra_data").is(":checked")
				// 	};
				// }
			}).on('fileselect', function(event, numFiles, label) {
				isValidFile = true;
			}).on('filebatchselected', function(event, files) {
				if (files.length > 0) {
					isValidFile = true;
				} else {
					isValidFile = false;
				}
			});
			/* ----------------------------------------------- */

			/* =========== FORM PROCESS ============ */
			$("#form_file").submit(function(e) {
				//close all error messages
				$('#close-message').trigger('click');

				//prevent submit right away
				e.preventDefault();
				
				//process file first
				var ficheiro = $(".file-caption-name").html();
				if (ficheiro != "") {
					if (!isValidFile) {
						$.scojs_message("Fichier non valide. S'il vous plaît sélectionner un fichier Excel valide.", $.scojs_message.TYPE_ERROR);
						return false;
					}

					//send file and retrieve data
					$("#documento_anexo").fileinput("upload").on('filebatchuploadsuccess', function(event, data, id, index) {
						// console.log('first', data);
						if (data.jqXHR.status != 200) {
							if(data.jqXHR.responseJSON){
								if(data.jqXHR.responseJSON.errors){
									$.scojs_message("["+data.jqXHR.responseJSON.type+"] "+data.jqXHR.responseJSON.message, $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("["+data.jqXHR.status+"] "+data.jqXHR.statusText, $.scojs_message.TYPE_ERROR);
								}
							}else{
								$.scojs_message("["+data.jqXHR.status+"] "+data.jqXHR.statusText, $.scojs_message.TYPE_ERROR);
							}

							return false;
						} else {
							if(data.jqXHR.responseJSON){
								if(data.jqXHR.responseJSON.errors){
									if(!data.jqXHR.responseJSON.message){
										$.scojs_message("["+data.jqXHR.responseJSON.type+" - "+data.jqXHR.responseJSON.line+"] Impossible de traiter le fichier sélectionné. Veuillez réessayer.", $.scojs_message.TYPE_ERROR);
									}else{
										$.scojs_message("["+data.jqXHR.responseJSON.type+"] "+data.jqXHR.responseJSON.message, $.scojs_message.TYPE_ERROR);
									}
								}else{
									$.scojs_message("Les articles ont été importés avec succès!", $.scojs_message.TYPE_OK);
								}
							}else{
								$.scojs_message("Les articles ont été importés avec succès!", $.scojs_message.TYPE_OK);
							}
							// console.log('data received: ', data.jqXHR.responseJSON);
						}
					}).on('filebatchuploaderror', function(event, data, msg) {
						// console.log('second', data);
						if(data.jqXHR.responseJSON){
							if(data.jqXHR.responseJSON.errors){
								$.scojs_message("["+data.jqXHR.responseJSON.type+"] "+data.jqXHR.responseJSON.message, $.scojs_message.TYPE_ERROR);
							}else{
								$.scojs_message("["+data.jqXHR.status+"] "+data.jqXHR.statusText, $.scojs_message.TYPE_ERROR);
							}
						}else{
							$.scojs_message("["+data.jqXHR.status+"] "+data.jqXHR.statusText, $.scojs_message.TYPE_ERROR);
						}

						setTimeout(function(){
							$('.fileinput-remove-button').trigger('click');
						}, 100)

						return false;
					});
				}else{
					$.scojs_message("Fichier non valide. S'il vous plaît sélectionner un fichier Excel valide.", $.scojs_message.TYPE_ERROR);
					return false;
				}
			});	
			/* ----------------------------------------------- */
		</script>
	</body>
</html>