<script type="text/javascript">
	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[1, "desc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/guias-transporte.php",
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [null, null, null, null, null, null, 
		{
			"sClass" : "text-right",
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : false,
			"sClass" : "text-center",
		}],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var tmp = full[5].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[10] != 'Rascunho') docNumber = " - "+ full[1];
				var processedName = '';
				if(full[3]) processedName = full[3].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var html2 = '-';
				var typeDoc = "'GT'";

				if( full[10] == 'Aberto' ){
					if(full[2] == '' || full[2] == null ) {
						if(full[13] == '' || full[13] == null){
							html2 = '<input type="checkbox" name="row_checkbox_'+this.ID_Leitura+'" class="row_checkbox" id="row_checkbox_'+full[11]+'" data-id="'+full[11]+'" data-cliID="'+full[12]+'"/>';

							$("input#global_checkbox").iCheck("enable");
							$(".endBtns").attr("disabled", false);
						}
					}
				}

				return html2;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				// if(full[10] == 'Rascunho') element = '---';
				if(full[10] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[10] == 'Pago') element = '<span style="color: green;">'+full[1]+'</span>';
				if(full[10] == 'Aberto') element = '<span style="color: blue;">'+full[1]+'</span>';
				if(full[10] == 'Anulado') element = '<span style="color: black;">'+full[1]+'</span>';
				// else element = full[1];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[2] == '' || full[2] == null) {
					if(full[13] == '' || full[13] == null) element = '----';
					else element = full[13];
				}
				else element = full[2];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="70">'+full[3]+'</span>';
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[5].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_guia_'+full[11]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				if( full[10] != 'Anulado' ){
					element ='<span class="money">'+full[9]+'</span>';
				}else{
					element ='<span class="money">0</span>';
				}

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var tmp = full[5].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[10] != 'Rascunho') docNumber = " - "+ full[1];
				var processedName = '';
				if(full[3]) processedName = full[3].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var html = '';
				var typeDoc = "'GT'";

				html += '<a href="details?livraison='+ full[11] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

				if( full[10] != 'Rascunho' ){
					html += '<a href="modifier_lines?livraison='+full[11]+'" class="options-link text-orange"><i class="fa fa-terminal" title="Modifier Référence et Remarques"></i></a>';
				}


				if( full[10] == 'Aberto' || full[10] == 'Fechado' ){
					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[11] +')" title="Générer le document"><i class="fa fa-files-o"></i></a>';
				}
				
				//edition options
				if( full[10] != 'Rascunho' ){
				}else{
					html += '<a href="modifier?livraison='+full[11]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';
					html += '<a class="options-link text-green" onclick="finalizarGuia('+ full[11] +', '+nome+')" title="Finaliser"><i class="fa fa-flag-checkered"></i></a>';
				}
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exportar_guia.php?idDoc='+full[11]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
				
				if( full[10] == 'Aberto' ){
					html += '<a class="options-link text-red" onclick="anularGuia('+ full[11] +', '+nome+')" title="Annuler"><i class="fa fa-times"></i></a>';
				}

				if(full[10] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarGuia('+ full[11] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';

				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[11]);
			
			if(aData[10] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
            $(".ellipsis").ellipsis(); 
		}
	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0024']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-guias-gerar').modal("show");

		//reset listners
		$('input#gerar_fatura').on('ifChecked', function (event) {
			decisionFlag = 1;
		});
		$('input#gerar_guia').on('ifChecked', function (event) {
			decisionFlag = 2;
		});
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//check if selected date is bigger than today
	function checkDataBiggerThanToday(inputID){
		var result;

		var dt_Today = new Date();
		var dt_begin = new Date( $('#'+inputID).attr('data-normalizeDate') );
		console.log(dt_begin);
		//set hours, minutes and seconds to 0
		dt_Today.setHours(0);
		dt_Today.setMinutes(0);
		dt_Today.setSeconds(0);
		dt_begin.setHours(0);
		dt_begin.setMinutes(0);
		dt_begin.setSeconds(0);
		//check dates
		if ( Date.parse(dt_begin) > Date.parse(dt_Today)) {
			result = true;
		} else {
			result = false;
		}

	    return result;
	}

	//finalizar
	function finalizarGuia(idGuia, nome){
	<?php if (hasPermission(['P0021']) == 1) { ?>
		var inputID = 'data_guia_'+idGuia;
		var result = checkDataBiggerThanToday(inputID);
		var dataGuia = $('#'+inputID).html();
		var question = '';
		if(result == true) question = "La date du livraison est plus élevée qu\'aujourd\'hui.\n\nÊtes-vous sûr de vouloir finaliser ce livraison?\n\nAVERTISSEMENT: Vous ne pourrez pas modifier ce livraison ou insérer de nouveaux livraisons avec une date ci-dessous ["+dataGuia+"].";
		else question = "Êtes-vous sûr de vouloir mettre fin à \n" + nome + "?\n\nVEUILLEZ NOTER: Vous ne pourrez pas supprimer ou modifier ce document.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/guias-transporte/finalizar.php',
				dataType : 'json',
				data : {
					idGuia : idGuia
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser ce livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser ce livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Bulletin de Livraison terminé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de la dernière livraison ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularGuia(idGuia, nome){
	<?php if (hasPermission(['P0021']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/guias-transporte/anular.php',
				dataType : 'json',
				data : {
					idGuia : idGuia
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Il est impossible d'annuler ce livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Il est impossible d'annuler ce livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Bulletin de Livraison annulé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarGuia(idGuia, nome){
	<?php if (hasPermission(['P0022']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/guias-transporte/apagar.php',
				dataType : 'json',
				data : {
					idGuia : idGuia
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer cet livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de supprimer cet livraison. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Bulletin de Livraison retiré avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//finalizar
	function agregarDocumentos(){
	<?php if (hasPermission(['P0021']) == 1) { ?>
		
		//init vars
		var invalidCheck = true;
		var invalidIDCliente = false;
		var lastClientID = 0;
		var counterSelected = 0;
		var selectedItems = [];

		//check if exists any selected doc
		$(".row_checkbox").each(function(key, value) {
			if($(this).is(":checked")){
				invalidCheck = false;
				counterSelected++;
				
				//check client invalid
				if(lastClientID != Number($(this).attr('data-cliID')) && lastClientID != 0 ){
					invalidIDCliente = true;
				}

				lastClientID = Number($(this).attr('data-cliID'));
			}

			// $(this).iCheck('check');
			// console.log($(this).is(":checked"), $(this).attr('data-id'), $(this).attr('data-cliID'));
		});

		if(invalidCheck){
			alert('S\'il vous plaît sélectionner au moins un document!');
			return false;
		}

		if(invalidIDCliente){
			alert('S\'il vous plaît sélectionner uniquement les documents du même client!');
			return false;
		}

		//confirm action
		// console.log(counterSelected);
		if(counterSelected > 1){
			var question = 'Êtes-vous sûr de vouloir agrégés les '+counterSelected+' documents sélectionnés?';
		}else{
			var question = 'Êtes-vous sûr de vouloir agrégés le document sélectionné?';
		}
		
		if (confirm(question) == true) {
			//get documentos selecionados
			$(".row_checkbox").each(function(key, value) {
				if($(this).is(":checked")){
					selectedItems.push($(this).attr('data-id'));
				}
			});
			// console.log(lastClientID, selectedItems);return false;


			//process request
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/agregar_documentos/fatura_agrega_guias.php',
				dataType : 'json',
				data : {
					idsGuias : JSON.stringify( selectedItems ),
					idCliente : lastClientID
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Documents agrégés avec succès!", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						$.scojs_message("[FAT004] Impossible de agrégés les documents. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							if(resp.responseJSON.idDocumento){
								window.location.href = "../factures/details?facture="+resp.responseJSON.idDocumento;
							}
							else location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>