<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0019']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/clients&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Vendas'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Clients > Détails du Client</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../clients"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../clients">Clients</a>
							</li>
							<li class="active">
								Détails du Client
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-md-8">
												<h5 class="form-header">
													<legend class="form-legend">
														Détails du Client
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label">Code<span class="require">*</span></label>
																<span id="codigo_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-2">
															<div class="form-group">
																<label class="control-label">Titre</label>
																<span id="titulo_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Nom<span class="require">*</span></label>
																<span id="nome_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Prenom<span class="require">*</span></label>
																<span id="apelido_cliente" style="display: block"></span>
															</div>
														</div>
													</div>

													<div class="row mtm">
														<div class="col-sm-8">
															<div class="form-group">
																<label class="control-label">Adresse</label>
																<span id="endereco_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-4">
															<div class="form-group">
																<label class="control-label">Pays<span class="require">*</span></label>
																<span id="pais_cliente" style="display: block"></span>
															</div>
														</div>
													</div>
													<div class="row mtm">
														<div class="col-sm-6 col-md-3">
															<div class="form-group">
																<label class="control-label">Code Postal</label>
																<span id="codigopostal_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-3 hide">
															<div class="form-group">
																<label class="control-label">Canton</label>
																<span id="regiao_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-3">
															<div class="form-group">
																<label class="control-label">Ville</label>
																<span id="cidade_cliente" style="display: block"></span>
															</div>
														</div>	
														<div class="col-sm-6 col-md-3 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
															<div class="form-group">
																<label class="control-label">Vendeurs</label>
																<span id="vendedor_cliente" style="display: block"></span>
															</div>
														</div>
														<div class="col-sm-6 col-md-3 <?php if($_SESSION['mod_Contratos'] == 0) echo 'hide'; ?>">
															<div class="form-group">
																<label class="control-label">Responsable</label>
																<span id="responsavel_cliente" style="display: block"></span>
															</div>
														</div>
													</div>
													<!-- <div class="row mtm">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Grupo de Clients</label>
																<span id="grupo_cliente" style="display: block"></span>
															</div>
														</div>	
													</div> -->
													<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="col-sm-12">
															<div class="form-group">
																<label class="control-label">Plan Comptable</label>
																<span id="plano_cliente" style="display: block"></span>
															</div>
														</div>	
													</div>
												</div>
											</div>
											<div class="col-md-4 text-center">
												<div class="row mbm mtm">
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b>Totals:</b></h4><br>
															<p class="text-green" style="font-size: 18px;">
																<b><span class="moneyTotal" id="chiffre_value">0</span></b>
															</p>
														</div>
													</div>
													<p>&nbsp;</p>
													<div class="col-sm-12">
														<div style="background-color: #EAEAEA; padding: 4px;">
															<h4><b>Solde:</b></h4><br>
															<p id="solde_value_wrapper" class="" style="font-size: 18px;">
																<b><span class="moneyTotal" id="solde_value">0</span></b>
															</p>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Contacts 
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Email</label>
														<span id="email_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="tlm_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Site Internet</label>
														<span id="website_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="tlf_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-2 hide">
													<div class="form-group">
														<label class="control-label">Fax</label>
														<span id="fax_cliente" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Responsables 
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-xs-12">
													<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
														<thead>
															<tr>
																<!-- <th style="width: 100px;">Code</th> -->
																<th>Nom</th>
																<th>Prénom</th>
																<th style="width: 200px;">Téléphone</th>
																<th style="width: 200px;">Email</th>
																<!-- <th style="width: 80px;">Options</th> -->
															</tr>
														</thead>
														<tbody>
														</tbody>
													</table>
												</div>
											</div>
										</div>

										<h5 class="form-header hide">
											<legend class="form-legend">
												Contact Responsable
											</legend>
										</h5>
										<div class="section-form hide">
											<div class="row">
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Nom</label>
														<span id="preferencial_nome_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Email</label>
														<span id="preferencial_email_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="preferencial_tlm_cliente" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-6 col-md-3">
													<div class="form-group">
														<label class="control-label">Téléphone</label>
														<span id="preferencial_tlf_cliente" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Facturacion
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-6 col-md-3 hide">
													<div class="form-group">
													<label class="control-label">Conta Corrente<span class="require">*</span></label>
													<span id="contacorrente_cliente" style="display: block"></span>
												</div>
												</div>
													<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Méthode de Paiment</label>
														<span id="pagamento_cliente" style="display: block"></span>
													</div>
												</div>
													<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Conditions de Paiement</label>
														<span id="vencimento_Cliente" style="display: block"></span>
													</div>
												</div>
													<div class="col-sm-4">
													<div class="form-group">
														<label class="control-label">Réduction (%)</label>
														<span id="desconto_cliente" class="percentage" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<!-- Documentos Associados -->
										<div class="panel panel-default mtm" id="accordDocuments">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse0" style="display:block;font-weight: bold;" disabled="disabled">Afficher Tout <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse0" class="panel-collapse collapse">
												<div class="panel-body acoesWrapperBody">
													<div class="row">
														<div class="col-xs-12">
															<table id="documentsAssociados" class="table table-bordered table-striped">
																<thead>
																	<tr>
																		<th style="width: 100px;">Tipo</th>
																		<th style="width: 100px;">Nº Document</th>
																		<th >Code BVR</th>
																		<th style="width: 80px;">Date</th>
																		<th style="width: 110px;">Date Expiration</th>
																		<th style="width: 90px;">Total&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 90px;">Solde&nbsp;&nbsp;&nbsp;</th>
																		<th style="width: 80px;">État</th>
																		<th style="width: 60px;">Options</th>
																	</tr>
																</thead>
																<tbody></tbody>
																<tfoot>
							                                        <tr>
							                                            <th colspan="5" class="text-right">Totaux:&nbsp;</th>
							                                            <th class="text-green"></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                            <th class=""></th>
							                                        </tr>
							                                    </tfoot>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>



										<!-- Comentários Associados -->
										<div class="panel panel-default mtm" id="accordComment">
											<div class="panel-heading">
												<a data-toggle="collapse" data-parent="#accordion" href="#collapse1" style="display:block;font-weight: bold;" disabled="disabled">Commentaires <span id="totalCommentsSpan"></span> <i class="indicator glyphicon glyphicon-chevron-left pull-right mts text-muted"></i></a>
											</div>
											<div id="collapse1" class="panel-collapse collapse">
												<div class="panel-body commentsWrapperBody">
													<div class="row" id="commentsWrapperBody"></div>

													<hr>

													<form id="form_comment" class="form-validate">
														<div class="row">
															<div class="col-sm-12">
																<div class="form-group ">
																	<label class="control-label">Texte de commentaire<span class="require">*</span></label>
																	<textarea autofocus="true" name="text_commentaire" id="text_commentaire" class="form-control" placeholder="..." rows="4" required></textarea>
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-xs-12 text-right">
																<button class="btn btn-yellow submit_button" type="submit">
																	<i class="fa fa-floppy-o"></i> Enregistrer
																</button>
															</div>
														</div>
													</form>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php';	?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.faturacao").addClass("active");
			$(".navbar-nav li.faturacao li.clientes_faturacao").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
	            //init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			//accordion toggles
			function toggleChevron(e) {
				$(e.target).prev('.panel-heading').find("i.indicator").toggleClass('glyphicon-chevron-left glyphicon-chevron-down');
			}
			//list of accordions
			$('#collapse0').on('hidden.bs.collapse', toggleChevron);
			$('#collapse0').on('shown.bs.collapse', toggleChevron);
			//list of accordions
			$('#collapse1').on('hidden.bs.collapse', toggleChevron);
			$('#collapse1').on('shown.bs.collapse', toggleChevron);

			$(document).ready(function() {
				//init elements
				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					// vMin:'0' //allow negative values,
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyTotal").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idCliente = getParameterByName('client');
				//fill infos
				fill_cliente(idCliente);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			val_form_new = $("#form_comment").validate({
				ignore : "",
				rules : {
					text_commentaire : {
						required : true,
					},
				},
				messages : {
					text_commentaire : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_comment").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_comment").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_comment").find('.submit_button').attr("disabled", true);
					$("#form_comment").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement...');

						var idCliente = getParameterByName('client');
						
						//submite the form
						$.ajax({
							type : 'POST',
							url : '/frifacturation/server/clientes/comentario_inserir.php',
							dataType : 'json',
							data : {
								idCliente : idCliente,
								text_commentaire : $("#text_commentaire").val(),
							},
							success : function(resposta) {
								var resp = resposta;
								if (resposta == null)
									$.scojs_message("[FAT001] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								else {
									if (resposta.errors) {
										$.scojs_message("[FAT002] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
									} else {
										$.scojs_message("Le commentaire a été enregistré avec succès!", $.scojs_message.TYPE_OK);
									}
								}
							},
							complete : function(resposta) {
								var resp = resposta;
								if (resp.responseJSON.errors) {
									$.scojs_message("[FAT003] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Le commentaire a été enregistré avec succès!", $.scojs_message.TYPE_OK);
									//reload
									// setTimeout(function() {
									// 	location.reload();
									// }, 1000);
									fill_comments(idCliente);
									$("#text_commentaire").val('');
								}
								$("#form_comment").find('.submit_button').attr("disabled", false);
								$("#form_comment").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
							}
						});
					}
				});
		</script>
	</body>
</html>