<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0043']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/contrats/consommables&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Consommables'] == 0) {
		header('Location: ../../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Contrat d'entretien: Détails Compteur | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
		<style type="text/css">
			/*resume table*/
			.resume-table { border: 0px !important;}
			.resume-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.resume-table .paddingRight { padding-right: 10px; }
			.resume-table .paddingLeft { padding-left: 10px; }
			.resume-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.resume-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}
			.linesTable input { padding: 6px 5px !important; }

			/*taxes table*/
			.taxes-table { border: 0px !important; float: left !important; min-width: 500px !important;}
			.taxes-table * { font-size: 12px !important; background-color: #fff !important; border: 0px !important;}
			.taxes-table .paddingRight { padding-right: 10px; }
			.taxes-table .paddingLeft { padding-left: 10px; }
			.taxes-table .textCell { min-width: 200px; border-right: 0px; font-weight: normal;}
			.taxes-table .valueCell { min-width: 100px; border-left: 0px; font-weight: normal;}

			/* STAUTS LABELS */
			.stamp-label-orange{ border: 1px solid #E9662C; }
			.stamp-label-blue{ border: 1px solid #428BCA; }
			.stamp-label-green{ border: 1px solid #488C6C; }
			.stamp-label-red{ border: 1px solid #BF4346; }
			span { word-wrap: break-word; }
		</style>
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" id="BtnTopWrapper">
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a class="back_link" href="../consommables">Détails du Contrat d'entretien</a>
							</li>
							<li class="active">
								Détails du Compteur
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<div class="row">
											<div class="col-xs-12 " id="originDocWrapper">
												<h5 class="form-header">
													<legend class="form-legend">
														Contrat d'origine
													</legend>
												</h5>
												<div class="section-form">
													<div class="row">
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Document</label>
																<div id="documentoOrigem_compteur" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Début</label>
																<div id="debut_compteur" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-4 col-md-3">
															<div class="form-group">
																<label class="control-label">Client</label>
																<div id="cliente_compteur" style="display: block"></div>
															</div>
														</div>
														<div class="col-xs-12 col-sm-12 col-md-3">
															<div class="form-group">
																<label class="control-label">Facturation</label>
																<div id="faturacao_compteur" style="display: block"></div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Détails du Compteur
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Numéro Comptage</label>
														<span id="numero_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Date</label>
														<span id="data_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Fichier</label>
														<span id="file_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Facturé</label>
														<span id="facture_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Appareil Total</label>
														<span id="contadorgeral_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Total Noir</label>
														<span id="noir_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Total Couleur</label>
														<span id="couleur_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Dernier contrôle</label>
														<span id="controle_consommable" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>

										<h5 class="form-header">
											<legend class="form-legend">
												Détails du Appareil
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Nom</label>
														<span id="nom_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Fabricant</label>
														<span id="fabricant_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Modèle</label>
														<span id="modele_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Numéro Série</label>
														<span id="serie_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Adresse Mac</label>
														<span id="mac_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Adresse IP</label>
														<span id="ip_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Étage</label>
														<span id="etage_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Emplacement</label>
														<span id="emplacement_consommable" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row">
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Nom de l'agent</label>
														<span id="nagent_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Version de l'agent</label>
														<span id="vagent_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Device ID</label>
														<span id="devicid_consommable" style="display: block"></span>
													</div>
												</div>
												<div class="col-sm-3">
													<div class="form-group">
														<label class="control-label">Inactivité</label>
														<span id="inactivite_consommable" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>
		
		<script src="/js/autoNumeric.js"></script>
		<script src="/js/jquery.showmore.js"></script>

		<!-- //ADDED SCRIPTS -->
		<?php include('modal-gerar-doc.php');  ?>
		<?php include('compteur_detalhes_scripts.php');  ?>

		<script>
			$(".navbar-nav li.contrats").addClass("active");
			$(".navbar-nav li.contrats li.consommables_contrats").addClass("active");
		</script>
		<script type="text/javascript">
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//datepicker init
				$('.datepicker').datepicker({
					autoclose : true,
					todayHighlight : true,
					toggleActive : true,
					format : 'dd/mm/yyyy',
					language : 'pt'
				});				
				$('.today').datepicker().datepicker("setDate", new Date());
				var FivethenDaysDate =  new Date( new Date().getTime()+(15*24*60*60*1000) );
				$('.15days').datepicker().datepicker("setDate", new Date());

				$( ".datepicker" ).datepicker("refresh");

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});
				
				//init elements
				$(".moneyTable").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					vMin:'0',
					mDec : <?php echo $numDecimais; ?>
				});

				//fill select boxes
				var idConsommable = getParameterByName('consommable');
				var idDocument = getParameterByName('compteur');
				fill_document(idDocument, idConsommable);

				$('.back_link').attr('href', '../consommables/details?consommable='+idConsommable)
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>