<script type="text/javascript">
	var gSelectedState = 0;

	//filtrar por estado (0 - Ativo; 1 - Arquivado;)
	$(".btns_filters_states").on('click', function(event){
		gSelectedState = $(this).attr('data-value');

		//clean active and set the new one
		$(".btns_filters_states").removeClass('active');
		$(this).addClass('active');

		//reload table
		table.api().ajax.reload();
		// console.log(gSelectedState);
	});

	table = $('#table_id').dataTable({
		"dom" : '<lfrtip><"clear">',
		"sRowSelect" : "os",
		"sRowSelector" : 'td:first-child',
		"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Tous"]],
		"iDisplayLength" : 100,
		"aaSorting" : [[0, "asc"]],
		"bProcessing" : true,
		"bServerSide" : true,
		"sAjaxSource" : "/frifacturation/server/datatable/contrats_consommables.php?",
		"fnServerParams" : function(aoData) {
            aoData.push({
                "name" : "archive",
                "value" : gSelectedState
            });
        },
		"oLanguage" : {
			"sLengthMenu" : "Show _MENU_ enregistrements par page",
			"sZeroRecords" : "Sans enregistrements",
			"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
			"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
			"sProcessing" : "<div></div>",
			"sInfoFiltered" : "",
			"oPaginate" : {
				"sNext" : "Suivant",
				"sFirst" : "Premier",
				"sPrevious" : "Précédent",
				"sLast" : "Dernier"
			}
		},
		"aoColumns" : [null, null, null, null,  
		{
			"sClass" : "text-center",
			"bVisible" : false,
		}, null,
		{
			"sClass" : "text-right",
		},
		{
			"sClass" : "text-right",
		}, 
		{
			"sClass" : "text-center",
			"bVisible" : false,
		},
		{
			"bVisible" : true,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		},
		{
			"bVisible" : false,
			"bSortable" : false,
			"bSearchable" : true,
			"sClass" : "text-center",
		}
		],
		"aoColumnDefs" : [
		{
			"aTargets" : [0],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[8] == 'Rascunho') element = '<span style="color: orange;">---</span>';
				if(full[8] == 'Confirmado') element = '<span style="color: green;">'+full[0]+'</span>';
				if(full[8] == 'Aberto') element = '<span style="color: blue;">'+full[0]+'</span>';
				if(full[8] == 'Anulado') element = '<span style="color: black;">'+full[0]+'</span>';

				if(full[10]) element = '<span style="color: grey; font-weight: bold;">'+full[0]+'</span>';
				//else element = full[0];
				//return html
				return element;
			}
		},
		{
			"aTargets" : [1],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[1]) element = full[1];
				else element = '-';

				//return html
				return '<span class="ellipsis" data-size="28">'+element+'</span>';
			}
		},
		{
			"aTargets" : [2],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="28">'+full[2]+'</span>';
			}
		},
		{
			"aTargets" : [3],
			"mRender" : function(data, type, full) {
				var element = '';
				var tmp = full[3].split("-");
				var tmpNew = tmp[0]+'/'+tmp[1]+'/'+tmp[2];
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				element = '<span id="data_consommable_'+full[9]+'" data-normalizeDate="'+tmpNew+'">'+tmpLBL+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [5],
			"mRender" : function(data, type, full) {
				//return html
				return '<span class="ellipsis" data-size="28">'+full[5]+'</span>';
			}
		},
		{
			"aTargets" : [6],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="moneyMedium text-green">'+full[6]+'</span>';

				if(full[10]) element = '<span class="moneyMedium " style="color: grey;">'+full[6]+'</span>';

				//init elements
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});

				return element;
			}
		},
		{
			"aTargets" : [7],
			"mRender" : function(data, type, full) {
				var element = '';
				element ='<span class="moneyMedium text-green">'+full[7]+'</span>';
				
				if(full[10]) element = '<span class="moneyMedium " style="color: grey;">'+full[7]+'</span>';

				//init elements
				$(".moneyMedium").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimaisPrice; ?>,
					vMin:'0'
				});

				return element;
			}
		},
		{
			"aTargets" : [8],
			"mRender" : function(data, type, full) {
				var element = '';
				if(full[8] == 'Rascunho') element = '<span class="label label-orange">'+full[8]+'</span>';
				if(full[8] == 'Confirmado') element = '<span class="label label-green">'+full[8]+'</span>';
				if(full[8] == 'Aberto') element = '<span class="label label-blue">'+full[8]+'</span>';
				if(full[8] == 'Anulado') element = '<span class="label label-red">'+full[8]+'</span>';
				//return html
				return element;
			}
		},
		{
			"aTargets" : [9],
			"mRender" : function(data, type, full) {
				var tmp = full[3].split("-");
				var tmpLBL = tmp[2]+'/'+tmp[1]+'/'+tmp[0];
				var docNumber = '';
				if(full[8] != 'Rascunho') docNumber = " - "+ full[0];
				var processedName = full[1].replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
				var nome = "'"+tmpLBL+ docNumber+" - " + processedName +"'";
				var datatermo = "''";
				if(full[10]) datatermo = "'" + full[10] +"'";
				
				var html = '';

				html += '<a href="details?consommable='+ full[9] +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';

				//edition options
				if( full[8] != 'Rascunho' ){
					html += '<a href="modifier_lines?consommable='+full[9]+'" class="options-link text-orange"><i class="fa fa-terminal" title="Modifier lignes"></i></a>';

					html += '<a class="options-link text-violet" onclick="gerarDocumento('+ full[9] +')" title="Générer le document"><i class="fa fa-files-o"></i></a>';
					if( full[8] == 'Aberto' ){
						html += '<a class="options-link text-green" onclick="confirmarConsommables('+ full[9] +','+nome+')" title="Marquer Confirmé"><i class="fa fa-check"></i></a>';
					}
				}else{
					html += '<a href="modifier?consommable='+full[9]+'" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>';
					
					html += '<a class="options-link text-green" onclick="finalizarConsommables('+ full[9] +', '+nome+')" title="Finaliser"><i class="fa fa-flag-checkered"></i></a>';
				}
				
				<?php  if ( hasPermission(['P0148']) == 1 ) { ?>
				
				html += '<a href="/frifacturation/server/imprimer_pdf/exportar_consommable.php?idDoc='+full[9]+'" target="_blank" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';
								
				<?php } ?>
				
				if(full[8] != 'Rascunho' && full[8] != 'Anulado'){
					<?php if( adminCheckerFat($_SESSION['id_utilizador']) == 1 ){ ?>
						html += '<a class="options-link text-red" onclick="anularConsommables('+ full[9] +', '+nome+')" title="Annuler"><i class="fa fa-times"></i></a>';
					<?php } ?>

					<?php if (hasPermission(['P0123']) == 1){ ?>
						html += '<a class="options-link text-violet" onclick="termineContrat('+ full[9] +', '+nome+', '+datatermo+')" title="Résilier"><i class="fa fa-ban"></i></a>';
					<?php } ?>
				}

				if(full[8] == 'Rascunho') {
					html += '<a class="options-link text-red" onclick="eliminarConsommables('+ full[9] +', '+nome+')" title="Supprimer"><i class="fa fa-trash"></i></a>';
				}
				
				if(full[11] == 0) {
					html += '<a class="options-link text-pink" onclick="arquivar('+ full[9] +', '+nome+')" title="Archivé"><i class="fa fa-archive"></i></a>';
				}else{
					html += '<a class="options-link text-blue" onclick="desarquivar('+ full[9] +', '+nome+')" title="Désarchiver"><i class="fa fa-archive"></i></a>';
				}

				//return all html composed
				return html;
			}
		}],

		"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
			$(nRow).attr("dbID", aData[9]);

			if(aData[8] == 'Anulado') $(nRow).css("text-decoration", "line-through");

			return nRow;
		},
		"fnDrawCallback" : function(oSettings) {
			$(".ellipsis").ellipsis(); 
		},

		// "footerCallback" : function(row, data, start, end, display) {
		// 	var api = this.api(), data;

		// 	// Remove the formatting to get integer data for summation
		// 	var intVal = function(i) {
		// 		return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
		// 	};

		// 	// Total current page
		// 	var valorTotal = api.column(6, { page: 'current'}).data().reduce(function(a, b) {
		// 	    return intVal(a) + intVal(b);
		// 	}, 0);
		// 	// Total current page
		// 	var valorSolde = api.column(7, { page: 'current'}).data().reduce(function(a, b) {
		// 	    return intVal(a) + intVal(b);
		// 	}, 0);

		// 	//Por liquidar -> Used extra field to calculate already rounded for a better real value
		// 	$('body').append( $("<span />").val(0).addClass('money').attr('id','valorDocTemp') );
		// 	$(".money").autoNumeric("init", {
		// 		aSep : '\'',
		// 		aDec : '.',
		// 		aSign : ' CHF',
		// 		pSign : 's',
		// 		//vMin:'0'
		// 	});
		// 	$(".moneyMedium").autoNumeric("init", {
		// 		aSep : '\'',
		// 		aDec : '.',
		// 		aSign : ' CHF',
		// 		pSign : 's',
		// 		mDec : 3,
		// 		vMin:'0'
		// 	});
			
		// 	$( "#valorDocTemp" ).autoNumeric('set', valorTotal);
		// 	valorTotal = $( "#valorDocTemp" ).autoNumeric('get');
		// 	$( "#valorDocTemp" ).autoNumeric('set', valorSolde);
		// 	valorSolde = $( "#valorDocTemp" ).autoNumeric('get');

		// 	$( "#valorDocTemp" ).remove();

		// 	//final calculation
		// 	//-------------------------------------------------------------------------------------
			
		// 	$('.money').not(".table-menu > tbody > tr > td > span").html("");
		// 	$('.money').not(".table-menu > tbody > tr > td > span").autoNumeric("set", 0);

		// 	if(valorSolde < 0) colorLabel = 'text-red';
		// 	else colorLabel = 'text-green';
		// 	// Update footer
		// 	$(api.column(6).footer()).html('<span class="money">' + valorTotal + '</span>');
		// 	$(api.column(7).footer()).html('<span class="money '+colorLabel+'">' + valorSolde + '</span>');
		// }

	});

	$('#table_id').on('click', 'tbody td:not(.dataTables_empty)', function() {
		$('#table_id tbody tr').removeClass('selected');
		$(this).parent('tr').removeClass('DTTT_selected');
		$(this).parent('tr').addClass('selected');
	});

	$('#table_id_filter input').unbind();

	$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-yellow dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');

	$('#table_id_filter input').bind('keyup', function(e) {
		if (e.keyCode == 13) {
			table.fnFilter(this.value);
		}

	});
	function pesquisar() {
		table.fnFilter($('#table_id_filter input').val());
	}
	$('#table_id_filter input').bind('keyup', function(e) {
		if (($(this).val().length) == 0) {
			table.fnFilter('');
		}
	});
	function fnGetSelected(tabela) {
		var aReturn = new Array();
		var aTrs = tabela.fnGetNodes();
		for (var i = 0; i < aTrs.length; i++) {
			if ($(aTrs[i]).hasClass('row_selected')) {
				aReturn.push(aTrs[i]);
			}
		}
		return aReturn;
	}

	//END OF TABLE ---------------------------------------------
	
	//Générer le document
	function gerarDocumento(idDocument){
	<?php if (hasPermission(['P0044']) == 1) { ?>
		$('#idDoc_gerar').val('');
		$('#idDoc_gerar').val(idDocument);
		$('#modal-consommables-gerar').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Terminé le Contrat
	function termineContrat(idDocument, name, datatermo){
	<?php if (hasPermission(['P0123']) == 1) { ?>
		$('#idDoc_Termo').val('');
		$('#doc_name').html('-');
		$('#data_termo').datepicker().datepicker("setDate", "<?php echo date('d/m/Y'); ?>");

		$('#idDoc_Termo').val(idDocument);
		$('#doc_name').html(name);
		if(datatermo && datatermo != '') $('#data_termo').datepicker().datepicker("setDate", datatermo);
		
		$( ".datepicker" ).datepicker("refresh");
		
		$('#modal-consommables-termo').modal("show");
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Archivé le Contrat
	function arquivar(idDocument, nome){
	<?php if (hasPermission(['P0123']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir archiver le contrat de consommables \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/arquivo.php',
				dataType : 'json',
				data : {
					idConsommable : idDocument,
					arquivar : 1
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de archiver cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de archiver cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de Consommables archivé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					pesquisar();
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//Désarchiver le Contrat
	function desarquivar(idDocument, nome){
	<?php if (hasPermission(['P0123']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir désarchiver le contrat de consommables \n" + nome + "?";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/arquivo.php',
				dataType : 'json',
				data : {
					idConsommable : idDocument,
					arquivar : 0
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de désarchiver cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de désarchiver cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de Consommables actif avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					pesquisar();
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//finalizar
	function finalizarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		var question = "Êtes-vous sûr de vouloir finaliser le contrat de consommables \n" + nome + "?\n\nATTENTION: vous ne pourrez pas supprimer ou modifier ce document plus tard.";
		
		if (confirm(question) == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/finalizar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de finaliser cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible de finaliser cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de consommables terminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					var resp = resposta
					if (resp.responseJSON.errors) {
						if(resp.responseJSON.referencia) {
							$.scojs_message("[FAT002] La référence de contrat de consommables existe déjà dans le système.)", $.scojs_message.TYPE_ERROR);
						}else if(resp.responseJSON.data_superior) $.scojs_message("[FAT003] La date est inférieure à la date de le dernière contrat de consommables ("+resp.responseJSON.dataUltima+")", $.scojs_message.TYPE_ERROR);
						else $.scojs_message("[FAT004] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//confirmar documento
	function confirmarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir confirmé le contrat de consommables \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/confirmar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'confirmer cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de consommables a déjà été exportée et ne peut pas être confirmé!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de confirmer cette contrat de consommables parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'confirmer cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de consommables confirmé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}

	//anular documento
	function anularConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0041']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir annuler le contrat de consommables \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/anular.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'annuler cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) {
								$.scojs_message("[FAT002] Cette contrat de consommables a déjà été exportée et ne peut pas être annulée!", $.scojs_message.TYPE_ERROR);
							}else if (resposta.dependentes) {
								$.scojs_message("[FAT003] Il n'est pas possible de supprimer cette contrat de consommables parce que vous avez déjà des documents associés!", $.scojs_message.TYPE_ERROR);
							}
							else{
								$.scojs_message("[FAT004] Impossible d'annuler cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							}
						} else {
							$.scojs_message("Contrat de consommables avortée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					if (resposta.responseJSON.errors) {
					}else{
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
	
	//remover
	function eliminarConsommables(idConsommable, nome){
	<?php if (hasPermission(['P0042']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le contrat de consommables de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contrats/consommables/apagar.php',
				dataType : 'json',
				data : {
					idConsommable : idConsommable
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible d'enlever cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Impossible d'enlever cette contrat de consommables. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Contrat de consommables supprimé avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>