<div id="modal-licence-termo" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title"><i class="fa fa-ban"></i>&nbsp;Résilier le Contrat</h4>
			</div>
			<form id="form_termo" class="form-validate" novalidate="novalidate">
				<input type="hidden" id="idDoc_Termo"/>
				<div class="modal-body">
					<div id="form_div">
						<div class="row">
							<div class="col-sm-12">
								<div class="form-group">
								<div class="radio">
									<div class="row">
										<div class="col-sm-4 col-md-4 text-center"></div>
										<div class="col-sm-4 col-md-4 text-center">
											<div class="form-group">
												<label class="control-label">Date de fin<span class="require">*</span></label>
												<div class="input-buttons form-group">
													<input type="text" class="form-control datepicker today text-center" data-provide="datepicker" name="data_termo" id="data_termo" data-date-format="dd/mm/yyyy">
													<div class="input-group-addon">
														<span class="fa fa-calendar"></span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="row mtm">
										<div class="col-xs-12">
											<p class="text-red text-center"><i class="fa fa-warning"></i>&nbsp;Êtes-vous sûr de vouloir définir une résiliation pour le contrat <br><b>"<span id="doc_name"></span>"</b>?</p>
										</div>
									</div>
								</div>
							</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button  class="btn btn-violet submit_button" type="submit">
						<i class="fa fa-ban"></i> Résilier le contrat
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-default">
						Annuler
					</button>

				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript">
	$(document).ready(function() {
		// iCheck ------------------------
		$('input:checkbox').attr("checked");
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_flat-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type=checkbox]').iCheck({
			checkboxClass : 'icheckbox_minimal-yellow',
			increaseArea : '20%' // optional
		});
		$('input[type=radio]').iCheck({
			radioClass : 'iradio_square-yellow',
			increaseArea : '20%' // optional
		});
	});
	// ----------------- FORM PROCESSING ------------------

	//check validation and submit the form
	$("#form_termo").submit(function(e) {
		e.preventDefault();

		//submite the form
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contrats/licences/terminar.php',
			dataType : 'json',
			data : {
				idDocumento : $('#idDoc_Termo').val(),
				data_termo : $('#data_termo').val(),
			},
			success : function(resposta) {
				var resp = resposta;
				if (resposta == null)
					$.scojs_message("[FAT001] Il y avait une erreur de résilier le contrat. Veuillez réessayer.", $.scojs_message.TYPE_ERROR);
				else {
					if (resposta.errors) {
						if(resposta.data_invalida)
							$.scojs_message("[FAT002] Le champ de date de fin n'est pas valide. S'il vous plaît vérifier la date.", $.scojs_message.TYPE_ERROR);
						else{
							$.scojs_message("[FAT003] Il y avait une erreur de résilier le contrat. Veuillez réessayer.", $.scojs_message.TYPE_ERROR);
						}
					} else {
						$.scojs_message("Contrat résilié avec succès.", $.scojs_message.TYPE_OK);
					}
				}
			},
			complete : function(resposta) {
				var resp = resposta;
				if (resp.responseJSON.errors) {
				} else {
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
				$("#form_termo").find('.submit_button').attr("disabled", false);
				$("#form_termo").find('.submit_button').html('<i class="fa fa-ban"></i> Résilier le contrat');
			}
		});
	});
</script>