<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0047']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/fournisseurs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Compras'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Fournisseurs: Modifier | Frifacturation</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../fournisseurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../fournisseurs">Fournisseurs</a>
							</li>
							<li class="active">
								Modifier le fournisseur
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du Fournisseur
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Code</label>
															<input type="text" class="form-control" id="codigo_fornecedor" name="codigo_fornecedor" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Nom/Société<span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_fornecedor" name="nome_fornecedor" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Prénom</label>
															<input type="text" class="form-control" id="apelido_fornecedor" name="apelido_fornecedor" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Titre</label>
															<select class="form-control select2 show-tick" id="titulo_fornecedor" name="titulo_fornecedor"  >
																<option value="" selected>Sélectionnez</option>
																<option value="M">Monsieur</option>
																<option value="Mme">Madame</option>
																<option value="Mlle">Mademoiselle</option>
															</select>
														</div>
													</div>
												</div>

												<div class="row mtm">
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label">Adresse</label>
															<input type="text" class="form-control" id="endereco_fornecedor" name="endereco_fornecedor" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Pays</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pais_fornecedor" name="pais_fornecedor">
																<?php include('paises.php'); ?>
															</select>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Code Postal</label>
															<input type="text" class="form-control cpostal_field" id="codigopostal_fornecedor" name="codigopostal_fornecedor" placeholder="..." />
														</div>
													</div>	
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Région</label>
															<input type="text" class="form-control" id="regiao_fornecedor" name="regiao_fornecedor" placeholder="..." />
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="regiao_fornecedor" name="regiao_fornecedor"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select> -->
														</div>
													</div>	
													<div class="col-sm-8">
														<div class="form-group">
															<label class="control-label">Ville</label>
															<input type="text" class="form-control" id="cidade_fornecedor_estrang" name="cidade_fornecedor_estrang" placeholder="..." style="display: none;" />
															<div id="selectCidadeWrapper">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_fornecedor" name="cidade_fornecedor">
																</select>
															</div>
															<!-- <select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_fornecedor" name="cidade_fornecedor"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select> -->
														</div>
													</div>	
												</div>
												<!-- <div class="row mtm">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Grupo de Fornecedores</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="grupo_fornecedor" name="grupo_fornecedor"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>	
												</div> -->
												<div class="row mtm <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
													<div class="col-xs-12 col-md-12">
														<div class="form-group">
															<label class="control-label">Plan Comptable</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_fornecedor" name="plano_fornecedor">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Détails Bancaires
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Type de Paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="new_tipopagamento_fornecedor" name="new_tipopagamento_fornecedor">
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="826">BVR Orange Banque</option>
																<option value="827">Virement Bank (BV Rouge)</option>
																<option value="836">Virement Étranger</option>
															</select>
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">IBAN</label>
															<input type="text" class="form-control" id="new_iban_fornecedor" name="new_iban_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">BIC/SWIFT</label>
															<input type="text" class="form-control" id="new_bicswift_fornecedor" name="new_bicswift_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="new_banco_fornecedor" name="new_banco_fornecedor">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Compte Postal</label>
															<input type="text" class="form-control" id="new_contapostal_fornecedor" name="new_contapostal_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">ID BVR</label>
															<input type="text" class="form-control" id="new_bvr_fornecedor" name="new_bvr_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label class="control-label">Numéro de Compte</label>
															<input type="text" class="form-control" id="new_numconta_fornecedor" name="new_numconta_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Contacts
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="email" class="form-control" id="email_fornecedor" name="email_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="tlm_fornecedor" name="tlm_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Website</label>
															<input type="text" class="form-control" id="website_fornecedor" name="website_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="tlf_fornecedor" name="tlf_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4 hide">
														<div class="form-group">
															<label class="control-label">Fax</label>
															<input type="text" class="form-control" id="fax_fornecedor" name="fax_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Responsables
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<table class="table table-bordered table-striped" id="responsablesTable" style="margin-bottom: 5px;">
															<thead>
																<tr>
																	<!-- <th style="width: 100px;">Code</th> -->
																	<th>Nom</th>
																	<th>Prénom</th>
																	<th style="width: 200px;">Téléphone</th>
																	<th style="width: 200px;">Email</th>
																	<th style="width: 20px;">&nbsp;</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_1" name="nome_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_1" name="prenom_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_1" name="contacto_responsavel_1" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_1" name="email_responsavel_1" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(1)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_2" name="nome_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_2" name="prenom_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_2" name="contacto_responsavel_2" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_2" name="email_responsavel_2" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(2)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
																<tr>
																	<td>
																		<input type="text" class="form-control" id="nome_responsavel_3" name="nome_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="prenom_responsavel_3" name="prenom_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="text" class="form-control" id="contacto_responsavel_3" name="contacto_responsavel_3" placeholder="..." />
																	</td>
																	<td>
																		<input type="email" class="form-control" id="email_responsavel_3" name="email_responsavel_3" placeholder="..." />
																	</td>
																	<td style="width: 20px;"><a class="options-link text-red" onclick="eliminarResponsavel(3)" title="Supprimer"><i class="fa fa-trash"></i></a></td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>

											<h5 class="form-header hide">
												<legend class="form-legend">
													Contact Préféré
												</legend>
											</h5>
											<div class="section-form hide">
												<div class="row">
													<div class="col-sm-12">
														<div class="form-group">
															<label class="control-label">Nom</label>
															<input type="text" class="form-control" id="preferencial_nome_fornecedor" name="preferencial_nome_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="email" class="form-control" id="preferencial_email_fornecedor" name="preferencial_email_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="preferencial_tlm_fornecedor" name="preferencial_tlm_fornecedor" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="preferencial_tlf_fornecedor" name="preferencial_tlf_fornecedor" placeholder="..." />
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Facturation
												</legend>
											</h5>
											<div class="section-form">
												<div class="row hide">
													<div class="col-sm-12">
														<div class="form-group">
														<label class="control-label">Conta Corrente?<span class="require">*</span></label>
														<div class="radio" id="contaCorrenteWrapper">
															<label class="radio-inline padding-left-radio">
																<input id="conta_geral_fornecedor" type="radio" name="conta_fornecedor" value="geral"/>
																Conta Geral
															</label>
															<label class="radio-inline">
																<input id="conta_propria_fornecedor" type="radio" name="conta_fornecedor" value="propria"/>
																Conta Própria
															</label>
														</div>
														<span id="contaCorrente_fornecedor" style="display: block"></span>
													</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Méthode de Paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="pagamento_fornecedor" name="pagamento_fornecedor"  >
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Conditions de paiement</label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="vencimento_fornecedor" name="vencimento_fornecedor"  >
																<option value="" data-hidden="true">Sélectionnez</option>
																<option value="0">Prêt paiement</option>
																<option value="10">10 jours après l'émission</option>
																<option value="20">20 jours après l'émission</option>
																<option value="30">30 jours après l'émission</option>
																<option value="60">60 jours après l'émission</option>
																<option value="90">90 jours après l'émission</option>
															</select>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Réduction (%)</label>
															<input type="text" class="form-control percentage" id="desconto_fornecedor" name="desconto_fornecedor" placeholder="0 %" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../fournisseurs" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('../modals/responsaveis.php');  ?>
		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.fornecedores").addClass("active");
			$(".navbar-nav li.fornecedores li.fornecedores_fornecedores").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				$(".percentage").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : '  %',
					vMax : '100',
					mDec : 2,
					vMin:'0',
					pSign : 's'
				});

				$('.cpostal_field').mask('0000-000');
				// $('.nif_field').mask('000000000');

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_minimal-yellow',
					increaseArea : '20%' // optional
				});
				$('input[type="radio"]:not(".switch")').iCheck({
					radioClass : 'iradio_square-yellow',
					increaseArea : '20%' // optional
				});

				//init selects
				$("select#titulo_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});
				$("select#pais_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#cidade_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#vendedor_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#responsavel_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#grupo_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#pagamento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#vencimento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#new_tipopagamento_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});
				$("select#new_banco_fornecedor").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez", allowClear: true
				});

				//fill necessary data
				var idFornecedor = getParameterByName('fournisseur');
				//fill infos
				fill_fornecedor(idFornecedor);
			});

			//open new people modal
			function new_responsavel() {
				$('#modal-responsavel').modal("show");
			}
			
			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/* ----------- LISTNERS ----------- */
			$('input#conta_geral_fornecedor').on('ifChecked', function (event) {
				flagContaGeral = 1;
			});
			$('input#conta_propria_fornecedor').on('ifChecked', function (event) {
				flagContaGeral = 0;
			});

			//change country
			$("select#pais_fornecedor").on('change', function(event){
				if( $(this).val() != 'CH' ){
					// $('#nif_fornecedor').prop('disabled', true);
					$('.cpostal_field').unmask();
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_fornecedor_estrang").show(); 
				}else{
					// $('#nif_fornecedor').prop('disabled', false);
					// $('.cpostal_field').mask('0000-000');
					$('.cpostal_field').unmask();
					$("#cidade_fornecedor_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
				}
			});

			//Key Listner
			$("#codigopostal_fornecedor").on('keyup', function(event){
				var npaInput = $(this).val();

				if( $("#pais_fornecedor").val() != 'CH'){ 
					$("#selectCidadeWrapper").hide(); 
					$("#cidade_fornecedor_estrang").show(); 
				}
				else { 
					$("#cidade_fornecedor_estrang").hide(); 
					$("#selectCidadeWrapper").show(); 
					getLocaliteFromNpa(npaInput, 'cidade_fornecedor');
				}
			});
			//get localite
			function getLocaliteFromNpa(valueNPA,selectID){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.Nome).text(this.Nome));
										console.log();
									});
								}
							}
						}
					},
					complete : function() {
						$(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).trigger('change');
					}
				});
			}

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valorInput = $(element).autoNumeric('get');
				if(valorInput >= 0 && valorInput != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");

			$.validator.addMethod("ibanEtrangerValidation", function (value, element) {
				var valorInput = $(element).val();
				var valorType = $("#new_tipopagamento_fornecedor").val();

				if(valorType == '836'){
					if( valorInput != '' && valorInput != null) return true;
					else return false;
				}else{ return true; }
			}, "Ce champ est obligatoire");

			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_fornecedor : {
						required : true,
					},
					// pais_fornecedor : {
					// 	required : true,
					// },
					// codigopostal_fornecedor : {
					// 	required : true,
					// },
					// endereco_fornecedor : {
					// 	required : true,
					// },
					// plano_fornecedor : {
					// 	required : true,
					// },
								
					// NEW BANK FIELDS
					// new_tipopagamento_fornecedor : {
					// 	required : true,
					// },
					// new_iban_fornecedor : {
					// 	ibanEtrangerValidation : true
					// },
					// new_banco_fornecedor : {
					// 	required : true,
					// },
					// new_contapostal_fornecedor : {
					// 	required : true,
					// },
					// new_bvr_fornecedor : {
					// 	required : true,
					// },
					// new_numconta_fornecedor : {
					// 	required : true,
					// },
				},
				messages : {
					nome_fornecedor : {
						required : "Ce champ est obligatoire"
					},
					// apelido_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// codigopostal_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// endereco_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// plano_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// email_responsavel_1 : {
					// 	email : "Veuillez entrer une adresse e-mail valide"
					// },
					// email_responsavel_2 : {
					// 	email : "Veuillez entrer une adresse e-mail valide"
					// },
					// email_responsavel_3 : {
					// 	email : "Veuillez entrer une adresse e-mail valide"
					// },

					// //NEW BANK FIELDS
					// new_tipopagamento_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// new_iban_fornecedor : {
					// 	required : "Ce champ est obligatoire",
					// },
					// new_banco_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// new_contapostal_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// new_bvr_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
					// new_numconta_fornecedor : {
					// 	required : "Ce champ est obligatoire"
					// },
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();
				
				var idFornecedor = getParameterByName('fournisseur');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					var cidadeCustom = '';
					if( $("#pais_fornecedor").val() != 'CH'){ 
						cidadeCustom = $("#cidade_fornecedor_estrang").val();
					}
					else { 
						cidadeCustom = $("#cidade_fornecedor").val();
					}

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/fornecedores/editar.php',
						dataType : 'json',
						data : {
							idFornecedor : idFornecedor,
							nome_fornecedor : $("#nome_fornecedor").val(),
							apelido_fornecedor : $("#apelido_fornecedor").val(),
							nif_fornecedor : '',
							titulo_fornecedor : $("#titulo_fornecedor").val(),
							pais_fornecedor : $("#pais_fornecedor").val(),
							endereco_fornecedor : $("#endereco_fornecedor").val(),
							codigopostal_fornecedor : $("#codigopostal_fornecedor").val(),
							regiao_fornecedor : $("#regiao_fornecedor").val(),
							cidade_fornecedor : cidadeCustom,
							grupo_fornecedor : $("#grupo_fornecedor").val(),
							email_fornecedor : $("#email_fornecedor").val(),
							website_fornecedor : $("#website_fornecedor").val(),
							tlm_fornecedor : $("#tlm_fornecedor").val(),
							tlf_fornecedor : $("#tlf_fornecedor").val(),
							fax_fornecedor : $("#fax_fornecedor").val(),
							preferencial_nome_fornecedor : $("#preferencial_nome_fornecedor").val(),
							preferencial_email_fornecedor : $("#preferencial_email_fornecedor").val(),
							preferencial_tlm_fornecedor : $("#preferencial_tlm_fornecedor").val(),
							preferencial_tlf_fornecedor : $("#preferencial_tlf_fornecedor").val(),
							pagamento_fornecedor : $("#pagamento_fornecedor").val(),
							vencimento_fornecedor : $("#vencimento_fornecedor").val(),
							desconto_fornecedor : $("#desconto_fornecedor").autoNumeric('get'),
							flagContaGeral : flagContaGeral,
							plano_fornecedor : $("#plano_fornecedor").val(),

							nome_responsavel_1 : $("#nome_responsavel_1").val(),
							prenom_responsavel_1 : $("#prenom_responsavel_1").val(),
							email_responsavel_1 : $("#email_responsavel_1").val(),
							contacto_responsavel_1 : $("#contacto_responsavel_1").val(),

							nome_responsavel_2 : $("#nome_responsavel_2").val(),
							prenom_responsavel_2 : $("#prenom_responsavel_2").val(),
							email_responsavel_2 : $("#email_responsavel_2").val(),
							contacto_responsavel_2 : $("#contacto_responsavel_2").val(),

							nome_responsavel_3 : $("#nome_responsavel_3").val(),
							prenom_responsavel_3 : $("#prenom_responsavel_3").val(),
							email_responsavel_3 : $("#email_responsavel_3").val(),
							contacto_responsavel_3 : $("#contacto_responsavel_3").val(),

							//NEW BANK FIELDS
							new_tipopagamento_fornecedor : $("#new_tipopagamento_fornecedor").val(),
							new_iban_fornecedor : $("#new_iban_fornecedor").val(),
							new_bicswift_fornecedor : $("#new_bicswift_fornecedor").val(),
							new_banco_fornecedor : $("#new_banco_fornecedor").val(),
							new_contapostal_fornecedor : $("#new_contapostal_fornecedor").val(),
							new_bvr_fornecedor : $("#new_bvr_fornecedor").val(),
							new_numconta_fornecedor : $("#new_numconta_fornecedor").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								if (resp.responseJSON.nif_error) {
									$.scojs_message("[FAT002] Numéro de VAT invalide. Entrez un VAT valide.", $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("[FAT003] Une erreur s'est produite lors de la mise à jour des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								}
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../fournisseurs";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
					// if( cidadeCustom != null && cidadeCustom != ''){ 

					// }
					// else{
					// 	$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
					// 	$("#form_new").find('.submit_button').attr("disabled", false);
					// 	$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					// }
				}
			});

			//remover
			function eliminarResponsavel(idLinha){
				$("#nome_responsavel_"+idLinha).val('');
				$("#prenom_responsavel_"+idLinha).val('');
				$("#email_responsavel_"+idLinha).val('');
				$("#contacto_responsavel_"+idLinha).val('');
			}
		</script>
	</body>
</html>