<style type="text/css">
	#tableLinesReceipts>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
	#tableLinesNC>tfoot>tr>th { border: 0px !important; border-top: 2px solid #888 !important; font-size: 12px !important; }
</style>
<div id="modal-listaNotasCredito" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title">Liste de documents</h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;">
				<div id="form_div">
					<div class="row">
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Document</label>
								<span id="compra_listaRecibos" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Date du Document</label>
								<span id="datacompra_listaRecibos" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Document Total</label>
								<div style="display: block;">	
									<b><span id="valorcompra_listaRecibos" class="money text-red" style=""></span></b>
									<span id="lista_divisao_moedas1" style="display: none;">&nbsp;<br>/&nbsp;</span><b><span id="valorCompraEstrangeiro_listaRecibos" class="moneyCountry text-red" style="display: none;"></span></b>
									<br>
									<div id="lista_taxaMoeda_Wrapper" style="display: none; font-size: 11px !important;">Taux: <span id="taxaMoeda_listaRecibos" class="" style="font-size: 11px;"></span></div>
								</div>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Total: Payé | Crédité</label>
								<div style="display: block;">
									<b><span id="valorPago_listaRecibos" class="money text-green" style=""></span></b>
									<span id="valor_tmp_line" class="money text-white" style="display: none !important"></span>
									<br>

									<b><span id="valorCreditado_listaRecibos" class="money text-green" style=""></span></b>
									<span id="lista_divisao_moedas2" style="display: none;">&nbsp;<br>/&nbsp;</span><b><span id="valorCreditadoEstrangeiro_listaRecibos" class="moneyCountry text-green" style="display: none;"></span></b>
								</div>
							</div>
						</div>
					</div>
					<div class="row mtl">
						<div class="col-sm-3 hide">
							<div class="form-group">
								<label class="control-label">VAT</label>
								<span id="compra_nif" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Nom/Société</label>
								<span id="compra_fornecedor" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">Prénom</label>
								<span id="compra_fornecedor_prenom" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3">
							<div class="form-group">
								<label class="control-label">État</label>
								<span id="compra_estado" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-3 hide" id="paimentDataWrapper2">
							<div class="form-group">
								<label class="control-label">Date Paiement</label>
								<span id="dt_pagamento_compra2" style="display: block"></span>
							</div>
						</div>
						<div class="col-xs-12"><hr></div>
					</div>
					
					<div class="row mtl">
						<div class="col-xs-12">
							<label class="control-label">Paiements associés</label>
							<table class="table table-bordered table-striped" id="tableLinesReceipts">
								<thead>
									<tr>
										<th style="width: 120px;">Date</th>
										<th >Remarques</th>
										<th class="text-right" style="width: 120px;">Total Payé</th>
										<th class="text-center" style="width: 80px;">Options</th>
									</tr>
								</thead>
								<tbody></tbody>
								<tfoot></tfoot>
							</table>
						</div>
					</div>
					
					<div class="row mtl">
						<div class="col-xs-12">
							<label class="control-label">Notes de crédit associées</label>
							<table class="table table-bordered table-striped" id="tableLinesNC">
								<thead>
									<tr>
										<th style="width: 120px;">Numéro</th>
										<th style="width: 120px;">Date</th>
										<th class="text-right" style="width: 120px;">Total Crédité</th>
										<th class="text-center" style="width: 80px;">État</th>
										<th class="text-center" style="width: 80px;">Options</th>
									</tr>
								</thead>
								<tbody></tbody>
								<tfoot></tfoot>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" data-dismiss="modal" class="btn btn-default">
					Fermer
				</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
	/**
	 * Fill up notes credit
	 * @return select
	 */
	function get_Credit_Notes(idDocument){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/compras/lista_notas_credito.php',
			data : { 
				idDocument : idDocument,
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
						} else {
							var dados = resposta.data;

							$('#compra_listaRecibos').html(dados.Numero);
							$('#datacompra_listaRecibos').html(dados.Data).attr('data-normalizeDate', dados.DataNormalizada);
							$('#valorcompra_listaRecibos').autoNumeric('set', dados.TotalPagar);
							$('#valorCreditado_listaRecibos').autoNumeric('set', dados.TotalCreditado);

							if(dados.ISOCode != 'CHF'){
								$('#valorCompraEstrangeiro_listaRecibos').autoNumeric('set', dados.ValorPagavel_Estrangeiro);
								$('#valorCompraEstrangeiro_listaRecibos').show();
								$('#valorCreditadoEstrangeiro_listaRecibos').autoNumeric('set', dados.ValorCreditado_Estrangeiro);
								$('#valorCreditadoEstrangeiro_listaRecibos').show();
								$('#lista_divisao_moedas1').show();
								$('#lista_divisao_moedas2').show();
								$('#taxaMoeda_listaRecibos').html(dados.TaxaMoeda);
								$('#lista_taxaMoeda_Wrapper').show();
							}else{
								$('#valorCompraEstrangeiro_listaRecibos').hide();
								$('#valorCreditadoEstrangeiro_listaRecibos').hide();
								$('#lista_divisao_moedas1').hide();
								$('#lista_divisao_moedas2').hide();
								$('#lista_taxaMoeda_Wrapper').hide();
							}

							$('#compra_fornecedor').html(dados.Fornecedor);
							$('#compra_fornecedor_prenom').html(dados.Apelido);
							$('#compra_nif').html(dados.Nif);

							//clean data if exists
							$("#dt_pagamento_compra2").html(dados.DataPagamento);
							$('#paimentDataWrapper2').addClass('hide');

							if(dados.Estado == 'Pago') {
								$("#dt_pagamento_compra2").html(dados.DataPagamento);
								$('#paimentDataWrapper2').removeClass('hide');
							}

							//process estado color
							var elementEstadoColor = '';
							if(dados.Estado == 'Rascunho') elementEstadoColor = '<span class="label label-orange">Brouillon</span>';
							if(dados.Estado == 'Pago') elementEstadoColor = '<span class="label label-green">Payé</span>';
							if(dados.Estado == 'Aberto') elementEstadoColor = '<span class="label label-blue">Ouvert</span>';
							if(dados.Estado == 'Anulado') elementEstadoColor = '<span class="label label-red">Annulé</span>';
							$('#compra_estado').html(elementEstadoColor);

							//inits
							$(".moneyCountry").autoNumeric("update", {
								aSign : ' '+dados.Simbolo
							});
							
							//NC -----------------------------------------
							$('#tableLinesNC tbody').html('');
							$('#tableLinesNC tfoot').html('');
							var trHTML = '';
							var trHTMLfooter = '';
							var totalCreditado = 0;
							//process the lines
							$.each(dados.lines_nc, function() {
								var btnOptsHTML = '';
								var estadoHTML = '';
								
								btnOptsHTML += '<a href="/frifacturation/achats-notes-credit/details.php?note='+ this.ID_NotaCreditoCompra +'" class="options-link text-info"><i class="fa fa-eye" title="Détails"></i></a>';
								// btnOptsHTML += '<a onclick="imprimirDocumento('+ this.ID_NotaCreditoCompra +')" class="options-link text-grey"><i class="fa fa-print" title="Imprimer"></i></a>';

								if(this.Estado == 'Pago'){
									estadoHTML += '<span class="label label-green">'+this.Estado+'</span>';
								}else{
									estadoHTML += '<span class="label label-red">'+this.Estado+'</span>';
								}

								trHTML += '<tr data-recID="'+this.ID_NotaCreditoCompra+'" data-normalizeDate="'+this.DataNormalizada+'">';
								trHTML += '<td style="width: 120px;">'+this.Numero+'</td>';
								trHTML += '<td style="width: 120px;">'+this.Data+'</td>';
								trHTML += '<td class="text-right" style="width: 120px;"><span class="money">'+this.TotalCreditado+'</span></td>';
								trHTML += '<td class="text-center" style="width: 80px;">'+estadoHTML+'</td>';
								trHTML += '<td class="text-center" style="width: 80px;">'+btnOptsHTML+'</td>';
								trHTML += '</tr>';

								totalCreditado += Number(this.TotalCreditado);
							});

							// process footer
							trHTMLfooter += '<tr>';
								trHTMLfooter += '<th class="text-right" colspan="2">Totaux:</th>';
								trHTMLfooter += '<th class="text-right"><span class="money">'+totalCreditado+'</span></th>';
								trHTMLfooter += '<th class="text-right" colspan="2">&nbsp;</th>';
							trHTMLfooter += '</tr>';

							if(trHTML == '') trHTML = '<tr><td colspan="5" class="text-center">Aucune note de crédit associée.</td></tr>'
							$('#tableLinesNC tbody').append(trHTML);
							$('#tableLinesNC tfoot').append(trHTMLfooter);
							//--------------------------------------------

							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});
						}
					}
				}
			},
			complete : function() {
				// $('#modal-listaNotasCredito').modal("show");
				get_Payement_Achats(idDocument);
			}
		});
	}
	/**
	 * Fill up payments
	 * @return select
	 */
	function get_Payement_Achats(idDocument){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/compras/lista_pagamentos.php',
			data : { 
				idDocument : idDocument,
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
						} else {
							var dados = resposta.data;

							$('#valorPago_listaRecibos').autoNumeric('set', dados.TotalLiquidado);

							//RECIBOS ------------------------------------
							$('#tableLinesReceipts tbody').html('');
							$('#tableLinesReceipts tfoot').html('');
							var trHTML = '';
							var trHTMLfooter = '';
							var TotalLiquidado = 0;
							//process the lines
							$.each(dados.lines_payments, function() {
								$('#valor_tmp_line').autoNumeric('set', this.TotalPago);
								var btnOptsHTML = '';

								var cleanDesc = this.Observacoes.replace(/'/gi, " "); cleanDesc = cleanDesc.replace(/"/gi, " ");
								var DescPagamento = "'"+this.Data+' - '+cleanDesc+' - '+$('#valor_tmp_line').autoNumeric('get')+" CHF'";
								
								btnOptsHTML += '<a onClick="eliminarPagamento('+this.ID_Liquidacao+','+DescPagamento+')" class="options-link text-danger"><i class="fa fa-trash" title="Supprimer"></i></a>';
								
								trHTML += '<tr data-recID="'+this.ID_Liquidacao+'" >';
								trHTML += '<td style="width: 120px;">'+this.Data+'</td>';
								trHTML += '<td >'+this.Observacoes+'</td>';
								trHTML += '<td class="text-right" style="width: 120px;"><span class="money">'+this.TotalPago+'</span></td>';
								trHTML += '<td class="text-center" style="width: 80px;">'+btnOptsHTML+'</td>';
								trHTML += '</tr>';

								TotalLiquidado += Number(this.TotalPago);
							});

							// process footer
							trHTMLfooter += '<tr>';
								trHTMLfooter += '<th class="text-right" colspan="2">Totaux:</th>';
								trHTMLfooter += '<th class="text-right"><span class="money">'+TotalLiquidado+'</span></th>';
								trHTMLfooter += '<th class="text-right">&nbsp;</th>';
							trHTMLfooter += '</tr>';

							if(trHTML == '') trHTML = '<tr><td colspan="5" class="text-center">Aucune paiement associée.</td></tr>'
							$('#tableLinesReceipts tbody').append(trHTML);
							$('#tableLinesReceipts tfoot').append(trHTMLfooter);
							//--------------------------------------------
							
							//clean some elements
							$('#valor_tmp_line').autoNumeric('set', 0);

							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});
						}
					}
				}
			},
			complete : function() {
				$('#modal-listaNotasCredito').modal("show");
			}
		});
	}

	/**
	 * Eliminar pagamento
	 * @param  idDocument
	 * @return response
	 */
	function eliminarPagamento(idDocument, nome){
	<?php if (hasPermission(['P0052']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer le paiement de \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/compras/apagar_pagamento.php',
				dataType : 'json',
				data : {
					idDocument : idDocument
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Impossible de supprimer cet paiement. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							if (resposta.bloqueada) $.scojs_message("[FAT002] Ce compte est dans l'état aborted ou a associé des notes de crédit. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							else $.scojs_message("[FAT003] Impossible de supprimer cet paiement. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Paiement retiré avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						location.reload();
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>