<div id="modal-movimentosBvr" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" data-backdrop="static" data-keyboard="false" aria-hidden="true" class="modal fade">
	<div class="modal-dialog modal-wide-width">
		<div class="modal-content">
			<div class="modal-header modal-header-orange">
				<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
					&times;
				</button>
				<h4 id="modal-header-primary-label" class="modal-title">Détails du mouvement - <span id="bvrFile_movimentosBvr"></span></h4>
			</div>
			<div class="modal-body" style="overflow-y: visible;">
				<div id="form_div">
					<div class="row">
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Line</label>
								<span id="linha_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Code</label>
								<span id="codigo_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Type</label>
								<span id="tipo_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Document Associé</label>
								<span id="documento_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">État du mouvement</label>
								<span id="estado_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-md-12">
							<div class="row">
								<div class="col-xs-3"></div>
								<div class="col-xs-6"><hr></div>
							</div>
						</div>
					</div>
					<div class="row mtm">
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">ID Participant</label>
								<span id="participante_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Compte Bancaire</label>
								<span id="conta_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Référence Interne</label>
								<span id="interna_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Référence Microfilm</label>
								<span id="microfilm_movimentosBvr" style="display: block"></span>
							</div>
						</div>
					</div>
					<div class="row mtm">
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Type de Paiement</label>
								<span id="tipopagamento_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">
							<div class="form-group">
								<label class="control-label">Montant</label>
								<span id="montante_movimentosBvr" class="money" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Date Paiement</label>
								<span id="datapagamento_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Dt. Traitement</label>
								<span id="dataprocessada_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-2">
							<div class="form-group">
								<label class="control-label">Date Crédit</label>
								<span id="datacredito_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-md-12">
							<div class="row">
								<div class="col-xs-3"></div>
								<div class="col-xs-6"><hr></div>
							</div>
						</div>
					</div>
					<div class="row mtm">
						<div class="col-sm-6 col-md-4">
							<div class="form-group">
								<label class="control-label">Référence BVR</label>
								<span id="bvr_movimentosBvr" style="display: block"></span>
							</div>
						</div>
						<div class="col-sm-6 col-md-8">
							<div class="form-group">
								<label class="control-label">Observations</label>
								<span id="observacoes_movimentosBvr" style="display: block"></span>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" data-dismiss="modal" class="btn btn-default">
					Fermer
				</button>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
	$(document).ready(function() {
		//init elements
		$(".money").autoNumeric("init", {
			aSep : '\'',
			aDec : '.',
			aSign : ' CHF',
			pSign : 's',
			mDec : <?php echo $numDecimais; ?>
		});
	});
	/**
	 * Fill up regions
	 * @return select
	 */
	function fill_details_bvr(idMovimento){
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/operations/detalhes_movimento_bvr.php',
			data : { 
				idMovimento : idMovimento,
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {

						} else {
							var dados = resposta.data;

							//CLEAR VALUES -------------------------------
							$('#bvrFile_movimentosBvr').html('');
							$('#linha_movimentosBvr').html('');
							$('#codigo_movimentosBvr').html('');
							$('#tipo_movimentosBvr').html('');
							$('#documento_movimentosBvr').html('');
							$('#estado_movimentosBvr').html('');
							$('#participante_movimentosBvr').html('');
							$('#conta_movimentosBvr').html('');
							$('#interna_movimentosBvr').html('');
							$('#microfilm_movimentosBvr').html('');
							$('#tipopagamento_movimentosBvr').html('');
							$('#montante_movimentosBvr').autoNumeric('set',0);
							$('#datapagamento_movimentosBvr').html('');
							$('#dataprocessada_movimentosBvr').html('');
							$('#datacredito_movimentosBvr').html('');
							$('#bvr_movimentosBvr').html('');
							$('#observacoes_movimentosBvr').html('');

							//FILL VALUES ---------------------------------
							$('#bvrFile_movimentosBvr').html(dados.FicheiroBVR);

							$('#linha_movimentosBvr').html(dados.Linha);
							$('#codigo_movimentosBvr').html(dados.Both_Transaction_Code);
							$('#tipo_movimentosBvr').html(dados.Both_Transaction_Type);
							$('#documento_movimentosBvr').html(dados.DocumentoAssociado);
							var estadoHTML = '';
							if(dados.Estado == 'En attente'){
								estadoHTML += '<span class="label label-red">'+dados.Estado+'</span>';
							}else{
								estadoHTML += '<span class="label label-green">'+dados.Estado+'</span>';
							}
							$('#estado_movimentosBvr').html(estadoHTML);

							$('#participante_movimentosBvr').html(dados.Row_Participant_ID);
							$('#conta_movimentosBvr').html(dados.Both_Banking_Account);
							$('#interna_movimentosBvr').html(dados.Row_Internal_Bank_Reference);
							$('#microfilm_movimentosBvr').html(dados.Row_Microfilm_Reference);

							$('#tipopagamento_movimentosBvr').html(dados.Row_Payment_type);
							$('#montante_movimentosBvr').autoNumeric('set', dados.Both_Signed_Amount);
							if(dados.Both_Signed_Amount < 0) $('#montante_movimentosBvr').addClass('text-red');
							else $('#montante_movimentosBvr').addClass('text-green');
							$('#datapagamento_movimentosBvr').html(dados.Row_Date_Paid);
							$('#dataprocessada_movimentosBvr').html(dados.Row_Date_Processed);
							$('#datacredito_movimentosBvr').html(dados.Row_Date_Credit_Note);

							$('#bvr_movimentosBvr').html(dados.Row_Full_BVR);

							$('#observacoes_movimentosBvr').html(dados.Observacoes);
							
							//--------------------------------------------

							//init elements
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								vMin:'0',
								mDec : <?php echo $numDecimais; ?>
							});
						}
					}
				}
			},
			complete : function() {
				$('#modal-movimentosBvr').modal("show");
			}
		});
	}

	//ver recibo
	function detalhesMovimento(idMovimento){
		//call the init script
		fill_details_bvr(idMovimento);
	}
</script>