<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0077']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/responsables_clients&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Responsables > Nouveau </title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../responsables_clients"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li style="margin-top: 5px;">
								<a href="../responsables_clients">Responsables</a>
							</li>
							<li class="active" style="margin-top: 5px;">
								Nouveau Responsable
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du Responsable
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code<span class="require">*</span></label>
															<input type="text" class="form-control" id="codigo_responsavel" name="codigo_responsavel" placeholder="..." disabled value="<?php echo getNextID('Codigo', 'faturacao_responsaveis') ?>" />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Nom<span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_responsavel" name="nome_responsavel" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Prénom<span class="require">*</span></label>
															<input type="text" class="form-control" id="prenom_responsavel" name="prenom_responsavel" placeholder="..." />
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Email</label>
															<input type="email" class="form-control" id="email_responsavel" name="email_responsavel" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="contacto_responsavel" name="contacto_responsavel" placeholder="..." />
														</div>
													</div>	
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../responsables_clients" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.responsaveis_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 1;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});			

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_responsavel : {
						required : true,
					},
					prenom_responsavel : {
						required : true,
					},
				},
				messages : {
					nome_responsavel : {
						required : "Ce champ est obligatoire"
					},
					prenom_responsavel : {
						required : "Ce champ est obligatoire"
					},
					email_responsavel : {
						email : "Veuillez entrer une adresse e-mail valide"
					},

				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/responsaveis/inserir.php',
						dataType : 'json',
						data : {
							nome_responsavel : $("#nome_responsavel").val(),							
							prenom_responsavel : $("#prenom_responsavel").val(),							
							email_responsavel : $("#email_responsavel").val(),							
							contacto_responsavel : $("#contacto_responsavel").val(),							
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								if (resp.responseJSON.nif_error) {
									$.scojs_message("[FAT002] VAT invalide. Entrez un VAT valide.", $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("[FAT003] Erreur. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
								}
							} else {
								$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../responsables_clients";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>