<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$opcao = $_POST['opcao'];

$snc_table = getSncBaseTable();

switch ($opcao) {
	//OBTEM SNC
	case 1 :
		$query = "SELECT ID_Snc_Base, Snc_Code, Taxonomy_Code, Descricao, Grouping_Category, Grouping_Code FROM ".$snc_table." WHERE Snc_Code NOT IN (12,13) AND Taxonomy_Code > 0";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($id_snc, $snc_code, $taxonomy_code, $descricao, $grouping_category, $grouping_code);
			while ($stmt -> fetch()) {
				//final array
				$data[] = array(
				    "id" => $id_snc,
				    "snc_code" => $snc_code,
				    "taxonomy_code" => $taxonomy_code,
				    "descricao" => $descricao,
				    "grouping_category" => $grouping_category,
				    "grouping_code" => $grouping_code,
				);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		//process array
		foreach ($data as $key => $value) {
			$tmpAccountCode = 0;

			if( $value['grouping_code'] != 0){
				$tmpAccountCode = $value['grouping_code'];

				while($tmpAccountCode != 0){
					$descricaoTmp = '';
					$groupCodeTmp = 0;

					$query2 = "SELECT Descricao, Grouping_Code FROM ".$snc_table." WHERE Snc_Code = ?";
					if ($stmt2 = $sqli_connection -> prepare($query2)) {
						$stmt2 -> bind_param("s", $tmpAccountCode);
						$result = $stmt2 -> execute();
						if (false === $result) {}
						$stmt2 -> bind_result($descricaoTmp, $groupCodeTmp);
						$stmt2 -> fetch();
						$stmt2 -> close();
					} else {
						$response2["errors"] = true;
						$response2["message"] = $sqli_connection -> error;
						die(json_encode($response2));
					}

					$data[$key]['descricao'] = $descricaoTmp." >> ".$data[$key]['descricao'];

					$tmpAccountCode = $groupCodeTmp;
				}
			}
		}

		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//GET NEXT NUMBER
	case 2:
		if( isset($_POST['idAccount']) ){
			$query = "SELECT MAX(AccountID) FROM faturacao_accounts WHERE ID_SNC = ".$_POST['idAccount'];
		}else{
			$response["errors"] = true;
			$response["message"] = 'Sem conta selecionada';
			die(json_encode($response));
		}
		if ($stmt = $sqli_connection -> prepare($query)) { 
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($accountMaxNumber);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		$query = "SELECT Snc_Code FROM ".$snc_table." WHERE ID_Snc_Base = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $_POST['idAccount']);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($sncCode);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//get parent base
		$baseParent = substr($sncCode, 0, 2);
		// var_dump($baseParent);
		if($baseParent == '21' || $baseParent == '22' || $baseParent == '23'){
			if ($accountMaxNumber < 1) {
				$tmpAccount = $sncCode."0000";
				$data = array('NextNumber' => $tmpAccount );
			}
			else{
				$tmpAccount = $accountMaxNumber + 1;
				$data = array('NextNumber' => $tmpAccount );
			}
		}else{
			if ($accountMaxNumber < 1) {
				$tmpAccount = $sncCode."1";
				$data = array('NextNumber' => $tmpAccount );
			}else{
				$tmpAccount = $accountMaxNumber + 1;
				$data = array('NextNumber' => $tmpAccount );
			}
		}

		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

}
?>