<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$opcao = $_POST['opcao'];


switch ($opcao) {
	//Clientes
	case 1:
		if(isVendedor() == 1){
			$clientsIDs = getVendedorClients();
			if(!$clientsIDs) $clientsIDs = 0;
			$query = "SELECT ID_Cliente, Nome, Apelido, Codigo, Nif FROM faturacao_clientes WHERE ID_Cliente IN(".$clientsIDs.") ORDER BY CAST(Codigo AS UNSIGNED)";
		}else{
			$query = "SELECT ID_Cliente, Nome, Apelido, Codigo, Nif FROM faturacao_clientes ORDER BY CAST(Codigo AS UNSIGNED)";
		}
		// $query = "SELECT ID_Cliente, Nome, Apelido, Codigo, Nif FROM faturacao_clientes ORDER BY CAST(Codigo AS UNSIGNED)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($ID_Cliente, $Nome, $Apelido, $Codigo, $Nif );
			while ($stmt -> fetch()) {
				$data[] = array("ID_Cliente" => $ID_Cliente, "Nome" => $Nome, "Apelido" => $Apelido, "Codigo" => $Codigo, "Nif" => $Nif);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Detalhes Cliente
	case 2:
		$data = null;
		if( isset($_POST['idCliente']) ){
			$idCliente = $_POST['idCliente'];
		}else{
			$response["errors"] = true;
			$response["type"] = "FTGA003";
			$response["message"] = "Sem id de Client.";
			die(json_encode($response));
		}
		$query = "SELECT Nif, Endereco, CodigoPostal, Cidade, Regiao, Pais, Vencimento, Desconto, MetPagamento, Email, Telemovel, Titulo, Nome, Apelido FROM faturacao_clientes WHERE ID_Cliente = ?";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $idCliente);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA004";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($Nif, $Endereco, $CodigoPostal, $Cidade, $Regiao, $Pais, $Vencimento, $Desconto, $MetPagamento, $Email, $Telefone, $Titulo, $Nome, $Apelido );
			$stmt -> fetch();
			$stmt -> close();

			$paisFull = getCountryByISO2($Pais);
			$data = array("Nif" => $Nif, "Endereco" => $Endereco,"CodigoPostal" => $CodigoPostal, "Cidade" => $Cidade,"Regiao" => $Regiao, "Pais" => $paisFull, "Vencimento" => $Vencimento, "Desconto" => $Desconto, "MetPagamento" => $MetPagamento, "Email" => $Email, "Telefone" => $Telefone, "Titulo" => $Titulo, "Nome" => $Nome, "Apelido" => $Apelido, "PaisISO" => $Pais, "Responsaveis" => array() );
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA005";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		//Get Responsaveis
		$query2 = "SELECT faturacao_responsaveis.ID_Responsavel, Nome, Prenom FROM faturacao_responsaveis, faturacao_responsavel_entidades WHERE faturacao_responsavel_entidades.ID_Responsavel = faturacao_responsaveis.ID_Responsavel AND faturacao_responsavel_entidades.ID_Cliente = ? ORDER BY Posicao ASC";
		if ($stmt2 = $sqli_connection -> prepare($query2)) {
			$stmt2 -> bind_param("d", $idCliente);
			$result = $stmt2 -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA004";
				$response["message"] = $stmt2 -> error;
				die(json_encode($response));
			}
			$stmt2 -> bind_result($ID_Responsavel, $Nome, $Prenom );
			// $stmt2 -> fetch();
			while ($stmt2 -> fetch()) {
				$data['Responsaveis'][] = array("ID_Responsavel" => $ID_Responsavel, "Nome" => $Nome,"Prenom" => $Prenom);
			}
			$stmt2 -> close();

		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA005";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Series
	case 3:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Series: NextID
	case 4:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Moedas
	case 5:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Articles
	case 6:
		$articleIncluded = '';
		if( isset($_POST['articleID']) ){
			$articleID = $_POST['articleID'];
			if($articleID > 0){
				$articleIncluded = ' OR ID_Artigo = '.$articleID;
			}
		}
		$query = "SELECT ID_Artigo, Nome, Codigo, CodigoBarras, SerialNumber,
			(SELECT Nome AS Categoria FROM faturacao_artigos_categorias WHERE faturacao_artigos_categorias.ID_Categoria = faturacao_artigos.ID_Categoria),
			Tipo, PlanoContas
			FROM faturacao_artigos WHERE Ativo = 1 ".$articleIncluded." ORDER BY Nome";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA013";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			            $ID_Artigo,
						$Nome,
						$Codigo,
						$CodigoBarras,
						$SerialNumber,
						$Categoria,
						$Tipo,
						$PlanoContas
					);
			while ($stmt -> fetch()) {
				$data[] = array(
				    "ID_Artigo" => $ID_Artigo,
					"Nome" => $Nome,
					"Codigo" => $Codigo,
					"CodigoBarras" => $CodigoBarras,
					"SerialNumber" => $SerialNumber,
					"Categoria" => $Categoria,
					"Tipo" => $Tipo,
					"PlanoContas" => $PlanoContas,
				);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA014";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Taxes
	case 7:
		$query = "SELECT ID_Imposto, Nome, Valor, Predefinido, Subclasse FROM faturacao_impostos WHERE Ativo = 1 AND FinalidadeTipo = 'C' ORDER BY Nome";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA015";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			            $ID_Imposto,
						$Nome,
						$Valor,
						$Predefinido,
						$Subclasse
					);
			while ($stmt -> fetch()) {
				$data[] = array(
				    "ID_Imposto" => $ID_Imposto,
					"Nome" => $Nome,
					"Valor" => $Valor,
					"Predefinido" => $Predefinido,
					"Subclasse" => $Subclasse,
				);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA016";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Motives
	case 8:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Articles Details
	case 9:
		if( isset($_POST['articleID']) ){
			$articleID = $_POST['articleID'];
		}else{
			$response["errors"] = true;
			$response["type"] = "FTGA019";
			$response["message"] = "Pas d'identifiant série.";
			die(json_encode($response));
		}
		$query = "SELECT ID_Artigo, Nome, Preco, ID_Imposto, RetencaoPercentagem, RetencaoValor, 
			(SELECT Sigla AS Sigla FROM faturacao_unidades WHERE faturacao_unidades.ID_Unidade = faturacao_artigos.ID_Unidade),
			Tipo,
			PlanoContas
			FROM faturacao_artigos WHERE ID_Artigo = ? ORDER BY Nome";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$stmt -> bind_param("d", $articleID);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA020";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			            $ID_Artigo,
						$Nome,
						$Preco,
						$ID_Imposto,
						$RetencaoPercentagem,
						$RetencaoValor,
						$Sigla,
						$Tipo,
						$PlanoContas
					);
			while ($stmt -> fetch()) {
				//calculate Rétention
				$retencaoFinal = 0;
				if($RetencaoValor > 0) {
					$retencaoFinal = ($RetencaoValor * 100) / $Preco;
				}
				else{
					// $taxa = $RetencaoPercentagem * 0.01;
					// $retencaoFinal = $Preco * $taxa;
					$retencaoFinal = $RetencaoPercentagem;
				}

				$data = array(
				    "ID_Artigo" => $ID_Artigo,
					"Nome" => $Nome,
					"Preco" => $Preco,
					"ID_Imposto" => $ID_Imposto,
					"RetencaoPercentagem" => $RetencaoPercentagem,
					"RetencaoValor" => $RetencaoValor,
					"Retencao" => $retencaoFinal,
					"Sigla" => $Sigla,
					"Tipo" => $Tipo,
					"PlanoContas" => $PlanoContas,
				);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA021";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Currency Cambio Rate
	case 10:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Pagamentos
	case 11:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//Bancos
	case 12:
		$response["errors"] = false;
		$response["data"] = [];
		die(json_encode($response));

		break;

	//vendedores
	case 13:
		if(isVendedor() == 1){
			$internalCode = getUserInternalCode();
			if(!$internalCode) $internalCode = 0;
			$query = "SELECT ID_Vendedor, Nome, Codigo, Codigo_Interno FROM faturacao_vendedores WHERE Codigo_Interno = '".$internalCode."'";
		}else{
			$query = "SELECT ID_Vendedor, Nome, Codigo, Codigo_Interno FROM faturacao_vendedores";
		}
		// $query = "SELECT ID_Vendedor, Nome, Codigo, Codigo_Interno FROM faturacao_vendedores ORDER BY CAST(Codigo AS UNSIGNED)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($ID_Vendedor, $Nome, $Codigo, $Codigo_Interno );
			while ($stmt -> fetch()) {
				$data[] = array("ID_Vendedor" => $ID_Vendedor, "Nome" => $Nome, "Codigo" => $Codigo, "Codigo_Interno" => $Codigo_Interno);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA030";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//responsaveis
	case 14:
		$query = "SELECT ID_RespContrato, Nome, Codigo, Codigo_Interno FROM faturacao_responsavel_contratos ORDER BY CAST(Codigo AS UNSIGNED)";
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($ID_RespContrato, $Nome, $Codigo, $Codigo_Interno );
			while ($stmt -> fetch()) {
				$data[] = array("ID_RespContrato" => $ID_RespContrato, "Nome" => $Nome, "Codigo" => $Codigo, "Codigo_Interno" => $Codigo_Interno);
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA030";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;

	//Documentos Origem
	case 15:
		//faturas
		$numero=''; $data=''; $cliente=''; $valorTotal=''; $tipo=''; $id_document=''; $id_cliente=''; $totalLiqDocumento='';$totalPorPagar=0;

		if(isVendedor() == 1){
			$clientsIDs = getVendedorClients();
			if(!$clientsIDs) $clientsIDs = 0;
			// $query = "SELECT ID_Cliente, Nome, Apelido, Codigo, Nif FROM faturacao_clientes WHERE ID_Cliente IN(".$clientsIDs.") ORDER BY CAST(Codigo AS UNSIGNED)";
			
			$query = "SELECT Numero, Data, 
			(SELECT Nome FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente), (SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente), Prix_noir, Prix_couleur, ID_Consommable, ID_Cliente FROM faturacao_consommables WHERE Estado IN ('Aberto', 'Confirmado') AND ID_Cliente IN (".$clientsIDs.") ORDER BY TimeStamp_Consommable DESC";
		}else{
			$query = "SELECT Numero, Data, 
			(SELECT Nome FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente), (SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_consommables.ID_Cliente), Prix_noir, Prix_couleur, ID_Consommable, ID_Cliente FROM faturacao_consommables WHERE Estado IN ('Aberto', 'Confirmado') ORDER BY TimeStamp_Consommable DESC";
		}
		
		if ($stmt = $sqli_connection -> prepare($query)) {
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "FTGA031";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result($numero, $data, $cliente, $Codigo, $preco_negro, $preco_cor, $id_document, $id_cliente );
			while ($stmt -> fetch()) {
				$contrats[] = array("Numero" => $numero, "Data" => $data, "Cliente" => $cliente, "Codigo" => $Codigo, "PrecoNegro" => $preco_negro, "PrecoCor" => $preco_cor, "ID_Document" => $id_document, "idCliente" => $id_cliente );
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "FTGA032";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
		
		$faturasSimp[] = array();
		$faturasRec[] = array();
		$data = array("contratos" => $contrats);
		$response["errors"] = false;
		$response["data"] = $data;
		die(json_encode($response));

		break;
}
?>