<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------

//DEFINE VARS -----------------------------------------------------------
$objectData = array();

//OBTEM AS LINHAS -------------------------------------------------------
$query = "SELECT ID_Compra, Data, Numero, GrossTotal, TotalLiquidado, TotalCreditado, (GrossTotal - TotalLiquidado)
		FROM faturacao_compras WHERE Estado='Aberto' ORDER BY STR_TO_DATE( Data,  '%d/%m/%Y' ) DESC";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($ID_Compra, $Data, $Numero, $GrossTotal, $TotalLiquidado, $TotalCreditado, $Total_Pagar );
	while ($stmt -> fetch()) {
		$data[] = array(
		        	"ID_Compra" => $ID_Compra,
					"Data" => $Data,
					"Numero" => $Numero,
					"GrossTotal" => $GrossTotal,
					"TotalLiquidado" => $TotalLiquidado,
					"TotalCreditado" => $TotalCreditado,
					"Total_Pagar" => $Total_Pagar,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['lines'] = $data;
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>