<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idMovimento = $_POST['idMovimento'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, NaturezaMovimento, ID_ImpostoTVA, IncludeTVA
	FROM faturacao_movimentos_contabilisticos WHERE ID_Movimento=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idMovimento);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['Data'],
	    $objectData['PlanoContas_Debito'],
	    $objectData['PlanoContas_Credito'],
	    $objectData['Descricao'],
	    $objectData['Total_PVP'],
	    $objectData['NaturezaMovimento'],
	    $objectData['ID_ImpostoTVA'],
	    $objectData['IncludeTVA']
	);
	$stmt -> fetch();
	$stmt -> close();
	
	$aux = explode(" ", $objectData['Data']);
	$objectData['Data'] = $aux[0];

	if($objectData['Total_PVP'] < 0){
		$objectData['Total_PVP'] = 0 - $objectData['Total_PVP'];
	}
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>