<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();
//-----------------------------------------------------------------------

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idBanco = $_POST['idBanco'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT (SELECT AccountID  FROM faturacao_accounts WHERE faturacao_accounts.ID_Account = faturacao_bancos.ID_Account),
	(SELECT Grouping_Code as GroupCode FROM ".$snc_table.", faturacao_accounts WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC AND faturacao_accounts.ID_Account = faturacao_bancos.ID_Account), 
	(SELECT Snc_Code as ContaBase FROM ".$snc_table.", faturacao_accounts WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC AND faturacao_accounts.ID_Account = faturacao_bancos.ID_Account), 
	(SELECT Descricao as ContaBaseDescricao FROM ".$snc_table.", faturacao_accounts WHERE ".$snc_table.".ID_Snc_Base=faturacao_accounts.ID_SNC AND faturacao_accounts.ID_Account = faturacao_bancos.ID_Account), 
	ID_Account, 
	Nome, 
	DebitoInicial,
	CreditoInicial,
	Predefinido,
	Usado,
	Ativo,
	(SELECT Usado FROM faturacao_accounts WHERE faturacao_accounts.ID_Account=faturacao_bancos.ID_Account),
	CodigoBVR,
	CodigoBVR_LP1,
	CodigoBVR_LP2,
	(SELECT CONCAT(Codigo,' >> ',Descricao) FROM faturacao_plano_conta WHERE faturacao_plano_conta.Codigo = faturacao_bancos.PlanoContas),
	PlanoContas,
	CodigoPostal,
	Cidade
	FROM faturacao_bancos WHERE ID_Banco=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idBanco);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['AccountID'],
	    $objectData['GroupCode'],
	    $objectData['ContaBase'],
	    $objectData['ContaBaseDescricao'],
	    $objectData['ID_Account'],
	    $objectData['Nome'],
	    $objectData['DebitoInicial'],
	    $objectData['CreditoInicial'],
	    $objectData['Predefinido'],
	    $objectData['Usado'],
	    $objectData['Ativo'],
	    $objectData['UsadoAccount'],
	    $objectData['CodigoBVR'],
	    $objectData['CodigoBVR_LP1'],
	    $objectData['CodigoBVR_LP2'],
	    $objectData['PlanoContasLabel'],
	    $objectData['PlanoContas'],
	    $objectData['CodigoPostal'],
	    $objectData['Cidade']
	);
	$stmt -> fetch();
	$stmt -> close();

	if( $objectData['Predefinido'] == 1){
		$objectData['PredefinidoLBL'] = 'Oui';
	}else{
		$objectData['PredefinidoLBL'] = 'Non';
	}


	// var_dump($objectData);
	$tmpAccountCode = 0;

	if( $objectData['GroupCode'] != 0){
		$tmpAccountCode = $objectData['GroupCode'];

		while($tmpAccountCode != 0){
			$descricaoTmp = '';
			$groupCodeTmp = 0;

			$query2 = "SELECT Descricao, Grouping_Code FROM ".$snc_table." WHERE Snc_Code = ?";
			if ($stmt2 = $sqli_connection -> prepare($query2)) {
				$stmt2 -> bind_param("s", $tmpAccountCode);
				$result = $stmt2 -> execute();
				if (false === $result) {}
				$stmt2 -> bind_result($descricaoTmp, $groupCodeTmp);
				$stmt2 -> fetch();
				$stmt2 -> close();
			} else {
				$response2["errors"] = true;
				$response2["message"] = $sqli_connection -> error;
				die(json_encode($response2));
			}

			$objectData['ContaBaseDescricao'] = $descricaoTmp." >> ".$objectData['ContaBaseDescricao'];

			$tmpAccountCode = $groupCodeTmp;
		}
	}
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>