<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET SNC TABLE IN USE --------------------------------------------------
$snc_table = getSncBaseTable();

//GET POST VARS ---------------------------------------------------------
$snc_base_conta = $_POST['snc_base_conta'];
$codigo_conta = $_POST['codigo_conta'];
$descricao_conta = $_POST['descricao_conta'];
$debito_conta = $_POST['debito_conta'];
$credito_conta = $_POST['credito_conta'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $snc_base_conta == '' || $codigo_conta == '' || $descricao_conta == '' || $debito_conta == '' || $credito_conta == ''  ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//RECALCULATE THE ACCOUNT ID ---------------------------------------------
$query = "SELECT MAX(AccountID) FROM faturacao_accounts WHERE ID_SNC = ".$snc_base_conta;
if ($stmt = $sqli_connection -> prepare($query)) { 
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($accountMaxNumber);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

$query = "SELECT Snc_Code, Taxonomy_Code FROM ".$snc_table." WHERE ID_Snc_Base = ?";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("d", $snc_base_conta);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "FTGA001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($sncCode, $taxonomyCode);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//get parent base
$baseParent = substr($sncCode, 0, 2);
// var_dump($baseParent);
if($baseParent == '21' || $baseParent == '22' || $baseParent == '23'){
	if ($accountMaxNumber < 1) {
		$tmpAccount = $sncCode."0000";
		$finalAccountNumber = $tmpAccount;
	}
	else{
		$tmpAccount = $accountMaxNumber + 1;
		$finalAccountNumber = $tmpAccount;
	}
}else{
	if ($accountMaxNumber < 1) {
		$tmpAccount = $sncCode."1";
		$finalAccountNumber = $tmpAccount;
	}else{
		$tmpAccount = $accountMaxNumber + 1;
		$finalAccountNumber = $tmpAccount;
	}
}
//------------------------------------------------------------------------

//INSERT DB --------------------------------------------------------------
$query = "INSERT INTO faturacao_accounts (ID_SNC, AccountID, AccountDescription, TaxonomyCode, OpeningDebit, OpeningCredit) VALUES (?,?,?,?,?,?)";
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("dsssss", $snc_base_conta, $finalAccountNumber, $descricao_conta, $taxonomyCode, $debito_conta, $credito_conta);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------

//response
$response["errors"] = false;
die(json_encode($response));
?>