<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------
$idPlano = $_POST['idPlano'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT ID_Plano, Codigo, Descricao, PlanoCategoria, SubCategoriaPlanoConta, ID_CobrancaIVA, Ecriture, ID_Imposto, (SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_plano_conta.ID_Imposto) AS NomeImposto
	FROM faturacao_plano_conta WHERE ID_Plano=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idPlano);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	    $objectData['ID_Plano'],
	    $objectData['Codigo'],
	    $objectData['Descricao'],
	    $objectData['PlanoCategoria'],
	    $objectData['SubCategoriaPlanoConta'],
	    $objectData['ID_CobrancaIVA'],
	    $objectData['Ecriture'],
	    $objectData['ID_Imposto'],
	    $objectData['NomeImposto']
	);
	$stmt -> fetch();
	$stmt -> close();

	if( checkPlanoContasUsage($objectData['Codigo']) == true){
		$objectData['Usado'] = 1;
	}else{
		$objectData['Usado'] = 0;
	}

	$objectData['CodigoPai'] = '';
	$objectData['CodigoPai_ID'] = '';
	$objectData['SmallCode'] = '';
	$objectData['CodigoPai_Desc'] = '';
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//GET PARENT -----------------------------------------------------------
$query = "SELECT ID_Plano, Codigo, Descricao FROM faturacao_plano_conta WHERE Ecriture = '' ";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	// $stmt -> bind_param("d", $idImposto);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS003";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($idCod,$Codigo,$DescricaoPai);
	while ($stmt -> fetch()) {
		//put data into array
		$dataTmp[] = array(
		    'id' => $idCod,
		    'codigo' => $Codigo,
			'descricao' => $Codigo.'&nbsp;&nbsp;>>&nbsp;&nbsp;'.$DescricaoPai,
		);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS004";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//check parent
foreach ($dataTmp as $key => $value) {
	$counterTmp = 0;
	$query = "SELECT COUNT(*) FROM faturacao_plano_conta WHERE Codigo LIKE '".$value['codigo']."%' AND Ecriture = '' ";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		// $stmt -> bind_param("d", $idImposto);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001A";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result( $counterTmp );
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002A";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//process final array
	if($counterTmp < 2){
		if(''.$objectData['Codigo'] != ''.$value['codigo']){
			if ( strpos(''.$objectData['Codigo'], ''.$value['codigo']) !== false && strpos(''.$objectData['Codigo'], ''.$value['codigo']) == 0 ){
	    		$objectData['CodigoPai'] = $value['codigo'];
	    		$objectData['CodigoPai_ID'] = $value['id'];
	    		$objectData['CodigoPai_Desc'] = $value['descricao'];

	    		$objectData['SmallCode'] = $objectData['Codigo'];
	    		$objectData['SmallCode'] = str_replace($value['codigo'], '', $objectData['SmallCode']);

	    		//return
	    		$response["errors"] = false;
				$response["data"] = $objectData;
				die(json_encode($response));
			}
		}
	}
}


// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>