<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

/* Array of database columns which should be read and sent back to DataTables. Use a space where
 * you want to insert a non-database field (for example a counter or static image)
 */
$aColumns = array(
    'ID_GuiaTransporte',
    'CONCAT("BL ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie),"/",Numero)',
    '(SELECT 
        CONCAT("FA ",(SELECT faturacao_series.Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",faturacao_faturas.Numero) 
        FROM faturacao_faturas WHERE faturacao_faturas.Tipo_Doc_Origem = "GT" AND faturacao_faturas.ID_Doc_Origem=faturacao_guias_transporte.ID_GuiaTransporte ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_guias_transporte.ID_Cliente)',
    '(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_guias_transporte.ID_Cliente)',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( DataDescarga,  "%d/%m/%Y" )',
    'DeliveryID',
    'ATDocCodeID',
    'GrossTotal',
    'Estado',
    'ID_GuiaTransporte',
    'ID_Cliente',
    '(SELECT 
        CONCAT("FA ",(SELECT faturacao_series.Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",faturacao_faturas.Numero) 
        FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura=faturacao_guias_transporte.ID_DocAgregado AND faturacao_guias_transporte.Tipo_DocAgregado="FT" ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)',
);

/* Column to filter*/
$fFilter = array(
    'ID_GuiaTransporte',
    'CONCAT("BL ",(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie),"/",Numero)',
    '(SELECT 
        CONCAT("FA ",(SELECT faturacao_series.Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",faturacao_faturas.Numero) 
        FROM faturacao_faturas WHERE faturacao_faturas.Tipo_Doc_Origem = "GT" AND faturacao_faturas.ID_Doc_Origem=faturacao_guias_transporte.ID_GuiaTransporte ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)',
    '(SELECT CONCAT(Nome," / ",Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_guias_transporte.ID_Cliente)',
    '(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_guias_transporte.ID_Cliente)',
    'Data',
    'DataDescarga',
    'DeliveryID',
    'ATDocCodeID',
    'GrossTotal',
    'Estado',
    'ID_GuiaTransporte',
    'ID_Cliente',
    '(SELECT 
        CONCAT("FA ",(SELECT faturacao_series.Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie),"/",faturacao_faturas.Numero) 
        FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura=faturacao_guias_transporte.ID_DocAgregado AND faturacao_guias_transporte.Tipo_DocAgregado="FT" ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)',
);

// 'AS' NAMES
$namesColumns = array(
    "ID_GuiaTransporte2",
    "Numero",
    "Fatura",
    "NomeCliente",
    "Codigo",
    "Data",
    "DataDescarga",
    "DeliveryID",
    "ATDocCodeID",
    'GrossTotal',
    "Estado",
    "ID_GuiaTransporte",
    'ID_Cliente',
    'DocAgregado',
);

/* Indexed column (used for fast and accurate table cardinality) */
$sIndexColumn = "faturacao_guias_transporte.ID_GuiaTransporte";

/* DB table to use */
$sTable = "faturacao_guias_transporte";

/*DB Table to count*/
$cTable = "faturacao_guias_transporte";

/*LEFT JOIN Table*/
$sLeft="";

/*Join Table*/
// $sJoin = "ID_GuiaTransporte > 0";
if ( isVendedor() == 1 ) {
    $clientsIDs = getVendedorClients();
    $sJoin = "ID_Cliente IN (".$clientsIDs.")";
}else{
    $sJoin = "ID_GuiaTransporte > 0";
}

//Order Boletin
$sOrder_NDoc_First = '(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_guias_transporte.ID_Serie)';
$sOrder_NDoc_Second = 'CASE Numero WHEN 0 THEN 9999999 ELSE CAST(Numero AS UNSIGNED) END';

//Order Facture
$sOrder_Facture_First = '(SELECT (SELECT faturacao_series.Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = faturacao_faturas.ID_Serie) FROM faturacao_faturas WHERE faturacao_faturas.Tipo_Doc_Origem = "GT" AND faturacao_faturas.ID_Doc_Origem=faturacao_guias_transporte.ID_GuiaTransporte AND faturacao_faturas.Numero > 0 ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)';
$sOrder_Facture_Second = '(SELECT CAST(Numero AS UNSIGNED) FROM faturacao_faturas WHERE faturacao_faturas.Tipo_Doc_Origem = "GT" AND faturacao_faturas.ID_Doc_Origem=faturacao_guias_transporte.ID_GuiaTransporte AND faturacao_faturas.Numero > 0 ORDER BY faturacao_faturas.ID_Fatura DESC LIMIT 1)';

/* 
 * Paging
 */
$sLimit = "";
if ( isset( $_GET['iDisplayStart'] ) && $_GET['iDisplayLength'] != '-1' )
{
    $sLimit = "LIMIT ".mysql_real_escape_string( $_GET['iDisplayStart'] ).", ".
        mysql_real_escape_string( $_GET['iDisplayLength'] );
}


/*
 * Ordering
 */
if ( isset( $_GET['iSortCol_0'] ) )
{
    $sOrder = "ORDER BY  ";
    for ( $i=0 ; $i<intval( $_GET['iSortingCols'] ) ; $i++ )
    {
        if ($_GET['iSortCol_0'] == 1) {
            $sOrder .= $sOrder_NDoc_First .' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) .', '.$sOrder_NDoc_Second.' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
        }elseif ($_GET['iSortCol_0'] == 2) {
            $sOrder .= $sOrder_Facture_First .' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) .', '.$sOrder_Facture_Second.' '. mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
        }else {
            $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "
                " . mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
        }
    }
    
    $sOrder = substr_replace( $sOrder, "", -2 );
    if ( $sOrder == "ORDER BY" )
    {
        $sOrder = "";
    }
}


/* 
 * Filtering
 * NOTE this does not match the built-in DataTables filtering which does it
 * word by word on any field. It's possible to do here, but concerned about efficiency
 * on very large tables, and MySQL's regex functionality is very limited
 */
    $sWhere = "WHERE " . $sJoin;
if ( $_GET['sSearch'] != "" )
{
    $sWhere = "WHERE ". $sJoin. " AND(";
    
    for ( $i=0 ; $i<count($fFilter) ; $i++ )
    {
        $sWhere .= $fFilter[$i]." LIKE '%".mysql_real_escape_string( $_GET['sSearch'] )."%' OR ";
    }
    $sWhere = substr_replace( $sWhere, "", -3 );
    $sWhere .= ')';
    
}

/* Individual column filtering */
for ( $i=0 ; $i<count($fFilter) ; $i++ )
{
    if ( $_GET['bSearchable_'.$i] == "true" && $_GET['sSearch_'.$i] != '' )
    {
        if ( $sWhere == "" )
        {
            $sWhere = "WHERE ";
        }
        else
        {
            $sWhere .= " AND ";
        }
        $sWhere .= $fFilter[$i]." LIKE '%".mysql_real_escape_string($_GET['sSearch_'.$i])."%' ";
    }
    
}



/*
* Select list
*/
$sSelect = "";
for ( $i=0 ; $i<count($aColumns) ; $i++ )
    {
             $sSelect .= $aColumns[$i] .' as `'.$namesColumns[$i].'`, ';
    }
$sSelect = substr_replace( $sSelect, "", -2 );

/*
 * SQL queries
 * Get data to display
 */
$sQuery = "
    SELECT SQL_CALC_FOUND_ROWS ". $sSelect ."
    FROM   $sTable
    $sWhere 
    $sOrder
    $sLimit
";
// echo $sQuery;
$rResult = executaQuery($sQuery);



/* Data set length after filtering */
$sQuery = "
    SELECT FOUND_ROWS()
";
$rResultFilterTotal = executaQuery($sQuery);
$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];

/* Total data set length */

$sQuery = "
    SELECT COUNT(".$sIndexColumn.")
    FROM   $cTable
"; 
$rResultTotal = executaQuery($sQuery);
$aResultTotal = mysql_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];


/*
 * Output
 */
$output = array(
    "sEcho" => intval($_GET['sEcho']),
    "iTotalRecords" => $iTotal,
    "iTotalDisplayRecords" => $iFilteredTotal,
    "aaData" => array()
);

while ( $aRow = mysql_fetch_array( $rResult ) )
{
    
    $row = array();
    for ( $i=0 ; $i<count($namesColumns) ; $i++ )
    {
        if ( $namesColumns[$i] == "version" )
        {
            /* Special output formatting for 'version' column */
            $row[] = ($aRow[ $namesColumns[$i] ]=="0") ? '-' : $aRow[ $namesColumns[$i] ] ;
        }
        else if ( $namesColumns[$i] != ' ' )
        {
            /* General output */
            $row[] = $aRow[ $namesColumns[$i] ];
            
        }
    }
    $output['aaData'][] = $row;
}

echo json_encode( $output );
?>