<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
/*Control user*/
/*
 * Script:    DataTables server-side script for PHP and MySQL
 * Copyright: 2010 - Allan Jardine
 * License:   GPL v2 or BSD (3-point)
 * Edited by Pedro Gomes
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

/* Database connection information */
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection_mysql.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

$aColumns = array('Tipo', 'NDocumento', 'Data', 'Validade', 'Total', 'Liquidado', 'Estado', 'ID_Documento');

//FATURAS
$groupby_fat = '';
$aColumns_fat = array(
    'CASE Estado WHEN "" THEN "Facture" ELSE "Facture" END',
    'Numero',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( Validade,  "%d/%m/%Y" )',
    'CASE Estado WHEN "Anulado" THEN TotalCreditado ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" WHEN "Pago" THEN 0 ELSE (TotalCreditado - GrossTotal) END',
    'Estado',
    'ID_Compra'
);

$aColumns_costum_fat = array(
    'CASE Estado WHEN "" THEN "Facture" ELSE "Facture" END',
    'Numero',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN TotalCreditado ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" WHEN "Pago" THEN 0 ELSE (TotalCreditado - GrossTotal) END',
    'Estado',
    'ID_Compra'
);

$fFilter_fat = array(
    'CASE Estado WHEN "" THEN "Facture" ELSE "Facture" END',
    'Numero',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN TotalCreditado ELSE GrossTotal END',
    'CASE Estado WHEN "Anulado" THEN "0" WHEN "Pago" THEN 0 ELSE (TotalCreditado - GrossTotal) END',
    'Estado',
    'ID_Compra'
);

$sIndexColumn_fat = "faturacao_compras.ID_Compra";

$sTable_fat = "faturacao_compras";

$cTable_fat = "faturacao_compras";

$sJoin_fat = "ID_Fornecedor = ".$_GET['fornecedor']." AND Estado NOT IN ('Rascunho')";


//NOTAS CREDITO
$groupby_notas = '';

$aColumns_notas = array(
    'CASE Estado WHEN "" THEN "N. Crédit" ELSE "N. Crédit" END',
    'Numero',
    'STR_TO_DATE( Data,  "%d/%m/%Y" )',
    'STR_TO_DATE( Validade,  "%d/%m/%Y" )',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - GrossTotal END',
    'CASE Estado WHEN "Pago" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCreditoCompra'
);

$aColumns_costum_notas = array(
    'CASE Estado WHEN "" THEN "N. Crédit" ELSE "N. Crédit" END',
    'Numero',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - GrossTotal END',
    'CASE Estado WHEN "Pago" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCreditoCompra'
);

$fFilter_notas = array(
    'CASE Estado WHEN "" THEN "N. Crédit" ELSE "N. Crédit" END',
    'Numero',
    'Data',
    'Validade',
    'CASE Estado WHEN "Anulado" THEN "0" ELSE 0 - GrossTotal END',
    'CASE Estado WHEN "Pago" THEN "0" ELSE "0" END',
    'Estado',
    'ID_NotaCreditoCompra'
);

$sIndexColumn_notas = "faturacao_compras_notas_credito.ID_NotaCreditoCompra";

$sTable_notas = "faturacao_compras_notas_credito";

$cTable_notas = "faturacao_compras_notas_credito";

$sJoin_notas = "ID_Fornecedor = ".$_GET['fornecedor']." AND Estado NOT IN ('Rascunho')";

//LIMITS
$sLimit = "";
if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {
    $sLimit = "LIMIT " . mysql_real_escape_string($_GET['iDisplayStart']) . ", " . mysql_real_escape_string($_GET['iDisplayLength']);
}

/*
 * Ordering
 */

if (isset($_GET['iSortCol_0'])) {
    $sOrder = "ORDER BY  ";
    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {
        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {
            $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "
            " . mysql_real_escape_string($_GET['sSortDir_' . $i]) . ", ";
        }
    }

    $sOrder = substr_replace($sOrder, "", -2);
    if ($sOrder == "ORDER BY") {
        $sOrder = "";
    }
}

/*
 * Filtering
 * NOTE this does not match the built-in DataTables filtering which does it
 * word by word on any field. It's possible to do here, but concerned about efficiency
 * on very large tables, and MySQL's regex functionality is very limited
 */
$sWhere_fat = "WHERE " . $sJoin_fat;
if ($_GET['sSearch'] != "") {
    $sWhere_fat = "WHERE " . $sJoin_fat . " AND(";

    for ($i = 0; $i < count($aColumns_costum_fat); $i++) {
        if ((strlen(strstr($aColumns_costum_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $aColumns_costum_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_fat = substr_replace($sWhere_fat, "", -3);
    $sWhere_fat .= ')';

}

$sWhere_notas = "WHERE " . $sJoin_notas;
if ($_GET['sSearch'] != "") {
    $sWhere_notas = "WHERE " . $sJoin_notas . " AND(";

    for ($i = 0; $i < count($aColumns_costum_notas); $i++) {
        if ((strlen(strstr($aColumns_costum_notas[$i], "SUM")) == 0))
            $sWhere_notas .= $aColumns_costum_notas[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch']) . "%' OR ";
    }
    $sWhere_notas = substr_replace($sWhere_notas, "", -3);
    $sWhere_notas .= ')';

}

/* Individual column filtering */
for ($i = 0; $i < count($fFilter_fat); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_fat == "") {
            $sWhere_fat = "WHERE ";
        } else {
            $sWhere_fat .= " AND ";
        }
        if ((strlen(strstr($fFilter_fat[$i], "SUM")) == 0))
            $sWhere_fat .= $fFilter_fat[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}

for ($i = 0; $i < count($fFilter_notas); $i++) {
    if ($_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere_notas == "") {
            $sWhere_notas = "WHERE ";
        } else {
            $sWhere_notas .= " AND ";
        }
        if ((strlen(strstr($fFilter_notas[$i], "SUM")) == 0))
            $sWhere_notas .= $fFilter_notas[$i] . " LIKE '%" . mysql_real_escape_string($_GET['sSearch_' . $i]) . "%' ";
    }
}

/*
 * Select list
 */
$sSelect_fat = "";
for ($i = 0; $i < count($aColumns_fat); $i++) {
    $sSelect_fat .= $aColumns_fat[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_fat = substr_replace($sSelect_fat, "", -2);


$sSelect_notas = "";
for ($i = 0; $i < count($aColumns_notas); $i++) {
    $sSelect_notas .= $aColumns_notas[$i] . ' as `' . $aColumns[$i] . '`, ';
}
$sSelect_notas = substr_replace($sSelect_notas, "", -2);

/*
 * SQL queries
 * Get data to display
 */
$sQuery = "
SELECT SQL_CALC_FOUND_ROWS Tipo, NDocumento, Data, Validade, Total, Liquidado, Estado, ID_Documento FROM (
    SELECT  " . $sSelect_fat . "
    FROM   $sTable_fat
    $sWhere_fat
    UNION ALL
    SELECT " . $sSelect_notas . "
    FROM   $sTable_notas
    $sWhere_notas
    ) as T2
    $sOrder 
    $sLimit ";
// echo $sQuery;
$rResult = executaQuery($sQuery);

/* Data set length after filtering */
$sQuery = "
    SELECT FOUND_ROWS()
";
$rResultFilterTotal = executaQuery($sQuery);
$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];

/* Total data set length */

$sQuery = "
    SELECT COUNT(" . $sIndexColumn_fat . ")
    FROM   $cTable_fat UNION ALL
    SELECT COUNT(" . $sIndexColumn_notas . ")
    FROM   $cTable_notas
";
$rResultTotal = executaQuery($sQuery);
$aResultTotal = mysql_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];

/*
 * Output
 */
$output = array("sEcho" => intval($_GET['sEcho']), "iTotalRecords" => $iTotal, "iTotalDisplayRecords" => $iFilteredTotal, "aaData" => array());

while ($aRow = mysql_fetch_array($rResult)) {

    $row = array();
    for ($i = 0; $i < count($aColumns); $i++) {
        if ($aColumns[$i] == "version") {
            /* Special output formatting for 'version' column */
            $row[] = ($aRow[$aColumns[$i]] == "0") ? '-' : $aRow[$aColumns[$i]];
        } else if ($aColumns[$i] != ' ') {
            /* General output */
            $row[] = $aRow[$aColumns[$i]];
        }
    }
    $output['aaData'][] = $row;
}

echo json_encode($output);
?>