<?php 
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/tcpdf/tcpdf.php";
// include "../../../../resources/tcpdf/tcpdf.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

// setlocale(LC_MONETARY, 'fr_CH.UTF-8');

//log sistema - processo
$descricao_log ="Impression du document: Journal TVA";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//GET VARS

//process filters and related
$dateAccuel = "01/01/".date("Y");
$dateFin = "31/12/".date("Y");
if(isset( $_GET['FiltroDataInicial']) ) $dateAccuel = $_GET['FiltroDataInicial'];
if(isset( $_GET['FiltroDataFinal']) ) $dateFin = $_GET['FiltroDataFinal'];
$GLOBALS['dateAccuel'] = $dateAccuel;
$GLOBALS['dateFin'] = $dateFin;

/**
 * |---------------------------------------------------------------------------
 * |	Informações Globais
 * | ------------------------
 * |
 * | @Tamanho da Page PDF - 267 Horizontal
 * | @Tamanho da Page PDF - 160 Vertical
 * | MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false
 * | Line -> $x1, $y1, $x2, $y2, $style=array()
 * |---------------------------------------------------------------------------
 */


//COMPANY INFO - - - - - - - - - - - - - - - - - - - - - -
$query = "SELECT  Designacao, Nif, RegistoComercial, Endereco1, Endereco2, CodigoPostal, Cidade, Email, Website, CapitalSocial, Conservatoria, Telefone, Fax, Logotipo, NormaContabilistica, CAE_Principal  from faturacao_empresa_dados LIMIT 1";
if ($stmt = $sqli_connection -> prepare($query)) {
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result($designacao, $nif, $registo_comercial, $endereco1, $endereco2, $codigo_postal, $cidade, $email, $website, $capital_social, $conservatoria, $telefone, $fax, $logotipo, $norma_contabilistica, $cae_principal);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
$GLOBALS['Designacao'] = $designacao;
$GLOBALS['Nif'] = $nif;
$GLOBALS['RegistoComercial'] = $registo_comercial;
$GLOBALS['Endereco1'] = $endereco1;
$GLOBALS['Endereco2'] = $endereco2;
$GLOBALS['CodigoPostal'] = $codigo_postal;
$GLOBALS['Cidade'] = $cidade;
$GLOBALS['Email'] = $email;
$GLOBALS['Website'] = $website;
$GLOBALS['CapitalSocial'] = $capital_social;
$GLOBALS['Conservatoria'] = $conservatoria;
$GLOBALS['Telefone'] = $telefone;
$GLOBALS['Fax'] = $fax;
$GLOBALS['Logotipo'] = $logotipo;
$GLOBALS['NormaContabilistica'] = $norma_contabilistica;
$GLOBALS['CAE_Principal'] = $cae_principal;


//MOVEMENTS INFO - - - - - - - - - - - - - - - - - - - - - -

// TVA due (TVA à payer) Compte 2200 ---- FACTURES
$movimentos_TVA_PAYER = array();
// $query = "SELECT NumSerie, Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA
// 	FROM faturacao_movimentos_contabilisticos 
// 	WHERE PlanoContas_Credito LIKE '2200' AND Total_PVP > 0 AND ( STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
// 	ORDER BY NumSerie DESC";

$query = "SELECT ID_Fatura, 
(SELECT Data FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS DataFatura, 
(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = (SELECT ID_Serie FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) ) AS SerieFatura, 
(SELECT Numero FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS NumFatura, 
(SELECT CustomerID FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS CodigoCliente, 
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = (SELECT ID_Cliente FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) ) AS Cliente,
(SELECT Estado FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_faturas_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT InvoiceDate FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_faturas_linhas
	WHERE PlanoContasTVA LIKE '2200%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_faturas WHERE faturacao_faturas.ID_Fatura = faturacao_faturas_linhas.ID_Fatura), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Fatura, ID_Imposto
	ORDER BY TaxPointDate ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$SerieFatura,
					$NumFatura,
					$CodigoCliente,
					$Cliente,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_PAYER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'SerieFatura' => $SerieFatura,
					'NumFatura' => $NumFatura,
					'CodigoCliente' => $CodigoCliente,
					'Cliente' => $Cliente,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Cliente' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $InvoiceDate,
					'Descricao' => 'Facture '.$extralabel.$SerieFatura.'/'.$NumFatura.' - '.$CodigoCliente.' - '.$Cliente,
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 300,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
// ===============================================

// TVA due (TVA à payer) Compte 2200 ---- NOTES CRÉDIT
$query = "SELECT ID_NotaCredito, 
(SELECT Data FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS DataFatura, 
(SELECT Nome FROM faturacao_series WHERE faturacao_series.ID_Serie = (SELECT ID_Serie FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) ) AS SerieFatura, 
(SELECT Numero FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS NumFatura, 
(SELECT CustomerID FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS CodigoCliente, 
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = (SELECT ID_Cliente FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) ) AS Cliente,
(SELECT Estado FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT InvoiceDate FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '2200%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_notas_credito WHERE faturacao_notas_credito.ID_NotaCredito = faturacao_notas_credito_linhas.ID_NotaCredito), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCredito, ID_Imposto
	ORDER BY TaxPointDate ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$SerieFatura,
					$NumFatura,
					$CodigoCliente,
					$Cliente,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_PAYER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'SerieFatura' => $SerieFatura,
					'NumFatura' => $NumFatura,
					'CodigoCliente' => $CodigoCliente,
					'Cliente' => $Cliente,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Cliente' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP * (-1),
					'Total_Unit' => $pTOTUNIT * (-1),
					'Total_TVA' => $pTOTTVA * (-1),
					'InvoiceDate' => $InvoiceDate,
					'Descricao' => 'Note de Crédit '.$extralabel.$SerieFatura.'/'.$NumFatura.' - '.$CodigoCliente.' - '.$Cliente.' - TVA - '.$ImpostoNome.': '.$TaxPercentage.'%',
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 300,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));

}
// var_dump($movimentos_TVA_PAYER);
// ===============================================

// Impôt préalable (TVA à récupérer) (COMPRAS 1170)
$movimentos_TVA_RECUPERER = array();
$query = "SELECT ID_Compra, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS InvoiceDateFatura, 
(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras_linhas.ID_Compra) AS NotasCreditoTot, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_compras_linhas
	WHERE PlanoContasTVA LIKE '1170%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Compra, ID_Imposto
	ORDER BY ID_Compra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$NotasCreditoTot,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		if($NotasCreditoTot > 0){
			$extralabel = "";
			$pTOTPVP = $TOTPVP;
			$pTOTUNIT = $TOTUNIT;
			$pTOTTVA = $TOTTVA;
		}

		$movimentos_TVA_RECUPERER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP*(-1),
					'Total_Unit' => $pTOTUNIT*(-1),
					'Total_TVA' => $pTOTTVA*(-1),
					'InvoiceDate' => $pInvoiceDate,
					'NotasCreditoTot' => $NotasCreditoTot,
					'Descricao' => 'Achat '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor,
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 400,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// Impôt préalable (TVA à récupérer) (COMPRAS 1170) NOTAS CREDITO
$query = "SELECT ID_NotaCreditoCompra, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_compras_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '1170%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCreditoCompra, ID_Imposto
	ORDER BY ID_NotaCreditoCompra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_RECUPERER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $pInvoiceDate,
					'Descricao' => 'Achat: Note de Crédit '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor,
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 400,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// ===============================================


// Impôt préalable (TVA à récupérer) (COMPRAS 1171)
// $movimentos_TVA_RECUPERER = array();
$query = "SELECT ID_Compra, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) AS InvoiceDateFatura, 
(SELECT COUNT(*) FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_Documento_Origem = faturacao_compras_linhas.ID_Compra) AS NotasCreditoTot, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_compras_linhas
	WHERE PlanoContasTVA LIKE '1171%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras WHERE faturacao_compras.ID_Compra = faturacao_compras_linhas.ID_Compra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_Compra, ID_Imposto
	ORDER BY ID_Compra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$NotasCreditoTot,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		if($NotasCreditoTot > 0){
			$extralabel = "";
			$pTOTPVP = $TOTPVP;
			$pTOTUNIT = $TOTUNIT;
			$pTOTTVA = $TOTTVA;
		}

		$movimentos_TVA_RECUPERER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP*(-1),
					'Total_Unit' => $pTOTUNIT*(-1),
					'Total_TVA' => $pTOTTVA*(-1),
					'InvoiceDate' => $pInvoiceDate,
					'NotasCreditoTot' => $NotasCreditoTot,
					'Descricao' => 'Achat '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor,
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 405,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// Impôt préalable (TVA à récupérer) (COMPRAS 1171) NOTAS CREDITO
$query = "SELECT ID_NotaCreditoCompra, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS DataFatura, 
(SELECT Numero FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS NumFatura, 
(SELECT Codigo FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS CodigoFornecedor,
(SELECT CONCAT(Nome, ' ',Apelido) FROM faturacao_fornecedores WHERE faturacao_fornecedores.ID_Fornecedor = (SELECT ID_Fornecedor FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) ) AS Fornecedor,
(SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS EstadoFatura, 
(SELECT PlanoContas FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS PlanoFatura, 
PlanoContasTVA, 
ID_Imposto, 
(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_compras_notas_credito_linhas.ID_Imposto) AS ImpostoNome, 
TaxPercentage, 
(SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) AS InvoiceDateFatura, 
SUM(TotalLinha) AS TOTPVP, 
SUM(TotalLinhaSIVA) AS TOTUNIT,
SUM(TotalLinha - TotalLinhaSIVA) AS TOTTVA
	FROM faturacao_compras_notas_credito_linhas
	WHERE PlanoContasTVA LIKE '1171%' AND TotalLinha >= 0 
	AND (SELECT Estado FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra) NOT IN ('Rascunho')
	AND ( STR_TO_DATE((SELECT Data FROM faturacao_compras_notas_credito WHERE faturacao_compras_notas_credito.ID_NotaCreditoCompra = faturacao_compras_notas_credito_linhas.ID_NotaCreditoCompra), '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
	GROUP BY ID_NotaCreditoCompra, ID_Imposto
	ORDER BY ID_NotaCreditoCompra ASC";
if ($stmt = $sqli_connection -> prepare($query)) {
	// $stmt -> bind_param("s", $CodeCompte);
	$result = $stmt -> execute();

	if (false === $result) {
		$response["errors"] = true;
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> store_result();
	$stmt -> bind_result(
					$NumSerie,
					$Data,
					$NumFatura,
					$CodigoForncededor,
					$Forncededor,
					$EstadoFatura,
					$PlanoFatura,
					$PlanoContasTVA,
					$ID_Imposto,
					$ImpostoNome,
					$TaxPercentage,
					$InvoiceDate,
					$TOTPVP,
					$TOTUNIT,
					$TOTTVA
				);
	while($stmt->fetch()){
		$extralabel = '';
		$pTOTPVP = $TOTPVP;
		$pTOTUNIT = $TOTUNIT;
		$pTOTTVA = $TOTTVA;
		$pInvoiceDate = '';
		$tmpDT = DateTime::createFromFormat('d/m/Y', $InvoiceDate);
		$pInvoiceDate = $tmpDT->format('Y-m-d');

		if($EstadoFatura == 'Anulado') {
			$extralabel = "(Annulation) ";
			$pTOTPVP = 0;
			$pTOTUNIT = 0;
			$pTOTTVA = 0;
		}

		$movimentos_TVA_RECUPERER[] = array(
					'NumSerie' => $NumSerie,
					'Data' => $Data,
					'NumFatura' => $NumFatura,
					'CodigoForncededor' => $CodigoForncededor,
					'Forncededor' => $Forncededor,
					'EstadoFatura' => $EstadoFatura,
					'PlanoContas_Forncededor' => $PlanoFatura,
					'PlanoContas_TVA' => $PlanoContasTVA,
					'ID_Imposto' => $ID_Imposto,
					'ImpostoNome' => $ImpostoNome,
					'TaxPercentage' => $TaxPercentage,
					'Total_PVP' => $pTOTPVP,
					'Total_Unit' => $pTOTUNIT,
					'Total_TVA' => $pTOTTVA,
					'InvoiceDate' => $pInvoiceDate,
					'Descricao' => 'Achat: Note de Crédit '.$extralabel.'- '.$NumFatura.' - '.$CodigoForncededor.' - '.$Forncededor,
					'Tipo' => 'D', 
					'PartSoumise' => 'Net 100%',
					'Chiffre' => 405,

				);
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
// ===============================================

// Hors du champ de l'impôt (Hors taxe)
$movimentos_HORS_TAXE = array();
// $query = "SELECT NumSerie, Data, PlanoContas_Debito, PlanoContas_Credito, Descricao, Total_PVP, Total_Unit, Total_TVA
// 	FROM faturacao_movimentos_contabilisticos 
// 	WHERE /*PlanoContas_Credito LIKE '1170%' AND*/ Total_PVP = 0 AND ( STR_TO_DATE(Data, '%d/%m/%Y') BETWEEN STR_TO_DATE('".$dateAccuel."', '%d/%m/%Y') AND STR_TO_DATE('".$dateFin."', '%d/%m/%Y') )
// 	ORDER BY NumSerie DESC";
// if ($stmt = $sqli_connection -> prepare($query)) {
// 	// $stmt -> bind_param("s", $CodeCompte);
// 	$result = $stmt -> execute();

// 	if (false === $result) {
// 		$response["errors"] = true;
// 		$response["message"] = $stmt -> error;
// 		die(json_encode($response));
// 	}
// 	$stmt -> store_result();
// 	$stmt -> bind_result(
// 					$NumSerie,
// 					$Data,
// 					$PlanoContas_Debito,
// 					$PlanoContas_Credito,
// 					$Descricao,
// 					$Total_PVP,
// 					$Total_Unit,
// 					$Total_TVA
// 				);
// 	while($stmt->fetch()){
// 		$movimentos_HORS_TAXE[] = array(
// 					'NumSerie' => $NumSerie,
// 					'Data' => $Data,
// 					'PlanoContas_Debito' => $PlanoContas_Debito,
// 					'PlanoContas_Credito' => $PlanoContas_Credito,
// 					'Descricao' => $Descricao,
// 					'Total_PVP' => $Total_PVP,
// 					'Total_Unit' => $Total_Unit,
// 					'Total_TVA' => $Total_TVA, 
// 					'Plano' => $PlanoContas_Credito,
// 					'Tipo' => 'C',
// 					'PartSoumise' => '-',
// 					'Chiffre' => 230,
// 				);
// 	}
// 	$stmt -> close();
// } else {
// 	$response["errors"] = true;
// 	$response["message"] = $sqli_connection -> error;
// 	die(json_encode($response));

// }

/* Compare 2 arrays by value of NumSerie 
 * DESCENDENT
 */
function sortMovimentosHelper($item1,$item2) {
	if ($item1['NumSerie'] == $item2['NumSerie']) {
		return ($item1['Tipo'] == 'D') ? -1 : 1;
        // return 0;
    }
    return ($item1['NumSerie'] < $item2['NumSerie']) ? -1 : 1;
}

/* Compare 2 arrays by value of Date 
 * ASCENDENT
 */
function sortMovimentosDateHelper2($item1,$item2) {
	if ($item1['InvoiceDate'] == $item2['InvoiceDate']) {
		return ($item1['Tipo'] == 'C') ? -1 : 1;
        // return 0;
    }
    return ($item1['InvoiceDate'] > $item2['InvoiceDate']) ? 1 : -1;
}

// Sort movimentos by NumSerie
// usort($movimentos_TVA_PAYER,'sortMovimentosHelper');
// usort($movimentos_TVA_RECUPERER,'sortMovimentosHelper');
// usort($movimentos_HORS_TAXE,'sortMovimentosHelper');
// Sort movimentos by Data
usort($movimentos_TVA_PAYER,'sortMovimentosDateHelper2');
usort($movimentos_TVA_RECUPERER,'sortMovimentosDateHelper2');
// usort($movimentos_HORS_TAXE,'sortMovimentosDateHelper2');

/**
 * |----------------------------------------------------
 * |				BASE CLASS
 * |----------------------------------------------------
 */
class MYPDF extends TCPDF {
	//Page header
	public function Header() {

		$half_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
		$third_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
		$fourth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
		$fifth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
		$six_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
		$seven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
		$eigth_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
		$nine_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
		$ten_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
		$eleven_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
		$twelve_page = ($this -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

		$fourth_touch_right = ($this -> getPageWidth() - PDF_MARGIN_RIGHT - $fourth_page);

		$destX = $third_page + $third_page ;
		if($GLOBALS["Logotipo"] && $GLOBALS["Logotipo"] != "") {
			$typeImg = explode('.', $GLOBALS["Logotipo"]);
			$typeImg = end($typeImg);
			$typeImg = strtoupper($typeImg);
			// var_dump($GLOBALS["Logotipo"],$typeImg);

			// Image method signature:
			// Image($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)
			$this -> Image($_SERVER["DOCUMENT_ROOT"] . "/uploads/faturacao/".$GLOBALS["Logotipo"], 0, 3, 0, 24, $typeImg, '', 'C', false, 300, 'L', false, false, 0, false, false, false);
		}

		// $this -> SetFont('opensans', '', 8, '', true);
		$this -> setY(27);

		
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($third_page, '', $GLOBALS["Designacao"],   0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["Endereco1"],    0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> MultiCell($third_page, '', $GLOBALS["CodigoPostal"] . " " . $GLOBALS["Cidade"] , 0, 'L', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'IDE: ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Nif"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'Contact: ', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Telefone"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Left
		$this -> SetFont('opensans', 'B', 8, '', true);
		$this -> MultiCell($twelve_page, '', 'Email:', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
		$this -> SetFont('opensans', '', 8, '', true);
		$this -> MultiCell($third_page-3, '', $GLOBALS["Email"], 0, 'R', false, 1, '', '', true, 0, false, true, 0, 'T', false);
		//Line
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()+2, $third_page+$seven_page, $this->GetY()+2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));
	}

	// Page footer
	public function Footer() {

		$line1 = '<p>Émis en: ' . date('d/m/Y H:i:s') . '<br>Autorisé à: ' . $GLOBALS['Designacao'] . '. - TVA: ' . $GLOBALS['Nif'] . '</p>';

		$right_marg = $this -> getPageWidth() - PDF_MARGIN_RIGHT;
		$paginationX = $this -> getPageWidth() - PDF_MARGIN_LEFT - 4;

		// Position at 20 mm from bottom
		$this -> SetY(-18);
		$lineY = $this->GetY();
		// Set font
		$this -> SetFont('opensans', '', 8);
		$this -> Line(PDF_MARGIN_LEFT, $this->GetY()-2, $right_marg, $this->GetY()-2, array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150)));

		$this -> writeHTMLCell(0, 5, '', $this->GetY(), $line1, 0, 1, 0, true, 'C', false);
		
		/*$this -> SetFont('opensans', '', 7);
		$this -> SetY(-15);
		$this -> Cell($paginationX, 10, 'Page ' . $this -> getAliasNumPage() . '/' . $this -> getAliasNbPages(), 0, 0, 'R', 0, '', 0, false, 'T', 'M');*/
	}
}

//=====================================================+
// 					START FILE
//=====================================================+

$pdf = new MYPDF('L', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf -> SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE . ' 001', PDF_HEADER_STRING, array(0, 64, 255), array(0, 64, 128));
$pdf -> setFooterData(array(0, 64, 0), array(0, 64, 128));

$pdf -> setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf -> setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

$pdf -> SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf -> SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf -> SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf -> SetFooterMargin(PDF_MARGIN_FOOTER);

$pdf -> SetAutoPageBreak(TRUE, 0);
$pdf -> setImageScale(PDF_IMAGE_SCALE_RATIO);

$tagvs = array('p' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'div' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'ul' => array(0 => array('h' => 0, 'n' => 0), 1 => array('h' => 0, 'n'=> 0)), 'br' => array(0 => array('h' => 0.2, 'n' => 1), 1 => array('h' => 0.2, 'n'=> 1)));
$pdf->setHtmlVSpace($tagvs);

// Add a page
$pdf -> setPrintHeader(false);
$pdf -> setPrintFooter(true);

$pdf -> setFillColor(255, 255, 255);

//Defs
$full_page = $pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT;
$half_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2;
$third_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3;
$fourth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4;
$fifth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5;
$six_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6;
$seven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7;
$eigth_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8;
$nine_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9;
$ten_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10;
$eleven_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11;
$twelve_page = ($pdf -> getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12;

//Defs2
$border_bottom = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_full = array('TLRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lr = array('LR' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lt = array('LT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rt = array('RT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrt = array('LRT' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lrb = array('LRB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_lb = array('LB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_rb = array('RB' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_tb = array('TB' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$border_r = array('R' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_l = array('L' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_b = array('B' => array('width' => 0.1, 'color' => array(0, 0, 0)));
$border_t = array('T' => array('width' => 0.1, 'color' => array(0, 0, 0)));

$style_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_bold_line = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style_light_line = array('width' => 0.1, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(150, 150, 150));

$right_marg = $pdf -> getPageWidth() - PDF_MARGIN_RIGHT;

//--------------- First Page ---------------
// $pdf -> startPageGroup();
$pdf -> AddPage();

// Início do conteudo (Y)
$startContentY = $pdf -> getPageHeight() / 5;

$pdf -> Header();

// $resto = $full_page - ($twelve_page + ($twelve_page/2) + $twelve_page + $twelve_page + ($twelve_page/2) + $twelve_page + $ten_page + $twelve_page + ($twelve_page/2));
$resto = $full_page - ( ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4) + $twelve_page + $twelve_page + ($twelve_page/2));


$fix_height = $pdf -> GetY();

cabecalho($pdf);

$pdf -> SetY($fix_height);

$pdf -> Ln();
$pdf -> Ln();

$pdf -> SetFont('opensans', 'B', 8);
$pdf -> MultiCell($full_page, '', "TVA due (TVA à payer)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);
cabecalho_tabela($pdf);

$footer_Total_PVP = 0;
$footer_Total_TVA = 0;

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$page_Total_PVP = 0;
$page_Total_TVA = 0;

$re_taxe = '/[0-9\.]+\%/';

// Linhas de Fatura / Notas de crédito
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_TVA_PAYER as $linha) {
	// -- $twelve_page-6, 	-- L -- $movimentos ['Data'] 				'Date',
	// -- ($twelve_page/2), -- L -- $movimentos ['NumSerie'] 			'Nº', 
	// -- $resto, 			-- L -- $movimentos ['Descricao'] 			'Libellé'
	// -- $twelve_page-3, 	-- C -- $movimentos ['PlanoContas_Debito'] 	'Contre-partie'
	// -- $twelve_page-6, 	-- C -- $movimentos ['PlanoContas_Credito'] 	'Compte TVA',
	// -- $twelve_page-6, 	-- C -- $movimentos ['ImpostoNome'] 			'Code TVA',
	// -- ($twelve_page/2), -- C -- $movimentos [''] 					'Taux', 
	// -- $twelve_page-4, 	-- C -- $movimentos ['PartSoumise'] 			'Part soumise', 
	// -- $twelve_page, 	-- R -- $movimentos [''] 					'Montant', 
	// -- $twelve_page, 	-- R -- $movimentos ['Total_PVP'] 			'TVA', 
	// -- ($twelve_page/2), -- R -- $movimentos ['Chiffre'] 				'Chiffre',

	$linha_data = explode(' ', $linha['Data'])[0];

	$matches = array();
	// preg_match_all($re_taxe, $linha['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $linha_taxa = (sizeof($matches) > 0 ? $matches[0][0] : "");
	$linha_taxa = $linha['TaxPercentage'].'%';
	
	$a = $pdf->getStringHeight( $twelve_page-6 , $linha_data);
	$b = $pdf->getStringHeight( ($twelve_page/2) , $linha['NumSerie']);
	$j = $pdf->getStringHeight( $resto , $linha['Descricao']);
	$c = $pdf->getStringHeight( $twelve_page-3 , $linha['PlanoContas_Cliente']);
	$d = $pdf->getStringHeight( $twelve_page-6 , $linha['PlanoContas_TVA']);
	$l = $pdf->getStringHeight( $twelve_page-6 , $linha['ImpostoNome']);
	$e = $pdf->getStringHeight( ($twelve_page/2) , $linha_taxa);
	$f = $pdf->getStringHeight( $twelve_page-4 , $linha['PartSoumise']);
	$g = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ));
	$h = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ));
	$i = $pdf->getStringHeight( ($twelve_page/2) , $linha['Chiffre']);

	//GET PAGE MAX HEIGHT
	$height = calcHeightProd([$a, $b, $c, $d, $e, $f, $g, $h, $i, $j, $l]);

	if($pdf -> getY() + $height >= 180) {
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;

		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		$pdf -> SetFont('opensans', 'B', 8);
		$pdf -> MultiCell($full_page, '', "TVA due (TVA à payer)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 7);
		cabecalho_tabela($pdf);
		$pdf -> setY($pdf -> getY() );
	}

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

	//LINE PRINT
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha_data,  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['NumSerie'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $resto , $height, $linha['Descricao'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-3 , $height, $linha['PlanoContas_Cliente'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha['PlanoContas_TVA'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha['ImpostoNome'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha_taxa,  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-4 , $height, $linha['PartSoumise'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['Chiffre'],  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	$pdf->SetTextColor(0,0,0);

	$footer_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$footer_Total_TVA += round($linha['Total_TVA'],$numDecimais);
	$table_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$table_Total_TVA += round($linha['Total_TVA'],$numDecimais);
	$page_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$page_Total_TVA += round($linha['Total_TVA'],$numDecimais);
}

$pdf -> Line((PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), $pdf->GetY(), $right_marg - ($twelve_page/2), $pdf->GetY(), $style_line);

$pdf -> SetFont('opensans', '', 8, '', true);

$firstLBL_total = ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
$pdf -> MultiCell($firstLBL_total, '', 'Total TVA due (TVA à payer): ',  0, 'L', false, 0, (PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), '', true, 0, false, false, 0, 'T', true);

$pdf -> MultiCell($twelve_page, '', number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($twelve_page, '', number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

$pdf -> SetFont('opensans', '', 8, '', true);

		if($pdf->GetY() < 185) $pdf -> SetY(185);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;

// ----------------------------------------
// ----------------------------------------

$pdf -> AddPage();

$pdf -> SetFont('opensans', 'B', 8);
$pdf -> MultiCell($full_page, '', "Impôt préalable (TVA à récupérer)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);
cabecalho_tabela($pdf);

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$page_Total_PVP = 0;
$page_Total_TVA = 0;

// Linhas de Fatura / Notas de crédito
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_TVA_RECUPERER as $linha) {
	// -- $twelve_page-6, 	-- L -- $movimentos ['Data'] 				'Date',
	// -- ($twelve_page/2), -- L -- $movimentos ['NumSerie'] 			'Nº', 
	// -- $resto, 			-- L -- $movimentos ['Descricao'] 			'Libellé'
	// -- $twelve_page-3, 	-- C -- $movimentos ['PlanoContas_Debito'] 	'Contre-partie'
	// -- $twelve_page-6, 	-- C -- $movimentos ['PlanoContas_Credito'] 	'Compte TVA',
	// -- $twelve_page-6, 	-- C -- $movimentos ['ImpostoNome'] 			'Code TVA',
	// -- ($twelve_page/2), -- C -- $movimentos [''] 					'Taux', 
	// -- $twelve_page-4, 	-- C -- $movimentos ['PartSoumise'] 			'Part soumise', 
	// -- $twelve_page, 	-- R -- $movimentos [''] 					'Montant', 
	// -- $twelve_page, 	-- R -- $movimentos ['Total_PVP'] 			'TVA', 
	// -- ($twelve_page/2), -- R -- $movimentos ['Chiffre'] 				'Chiffre',

	$linha_data = explode(' ', $linha['Data'])[0];

	$matches = array();
	// preg_match_all($re_taxe, $linha['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $linha_taxa = (sizeof($matches) > 0 ? $matches[0][0] : "");
	$linha_taxa = $linha['TaxPercentage'].'%';
	
	$a = $pdf->getStringHeight( $twelve_page-6 , $linha_data);
	$b = $pdf->getStringHeight( ($twelve_page/2) , $linha['NumSerie']);
	$j = $pdf->getStringHeight( $resto , $linha['Descricao']);
	$c = $pdf->getStringHeight( $twelve_page-3 , $linha['PlanoContas_Forncededor']);
	$d = $pdf->getStringHeight( $twelve_page-6 , $linha['PlanoContas_TVA']);
	$l = $pdf->getStringHeight( $twelve_page-6 , $linha['ImpostoNome']);
	$e = $pdf->getStringHeight( ($twelve_page/2) , $linha_taxa);
	$f = $pdf->getStringHeight( $twelve_page-4 , $linha['PartSoumise']);
	$g = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ));
	$h = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ));
	$i = $pdf->getStringHeight( ($twelve_page/2) , $linha['Chiffre']);

	//GET PAGE MAX HEIGHT
	$height = calcHeightProd([$a, $b, $c, $d, $e, $f, $g, $h, $i, $j, $l]);

	if($pdf -> getY() + $height >= 180) {
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;
		
		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		$pdf -> SetFont('opensans', 'B', 8);
		$pdf -> MultiCell($full_page, '', "Impôt préalable (TVA à récupérer)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 7);
		cabecalho_tabela($pdf);
		$pdf -> setY($pdf -> getY() );
	}

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

	//LINE PRINT
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha_data,  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['NumSerie'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $resto , $height, $linha['Descricao'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-3 , $height, $linha['PlanoContas_Forncededor'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha['PlanoContas_TVA'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha['ImpostoNome'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha_taxa,  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-4 , $height, $linha['PartSoumise'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['Chiffre'],  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	$pdf->SetTextColor(0,0,0);

	$footer_Total_PVP += round(($linha['Total_PVP']),$numDecimais);
	$footer_Total_TVA += round(($linha['Total_TVA']),$numDecimais);
	$table_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$table_Total_TVA += round($linha['Total_TVA'],$numDecimais);
	$page_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$page_Total_TVA += round($linha['Total_TVA'],$numDecimais);
}

$pdf -> Line((PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), $pdf->GetY(), $right_marg - ($twelve_page/2), $pdf->GetY(), $style_line);

$pdf -> SetFont('opensans', '', 8, '', true);

$firstLBL_total = ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
$pdf -> MultiCell($firstLBL_total, '', 'Total Impôt préalable (TVA à récupérer): ',  0, 'L', false, 0, (PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), '', true, 0, false, false, 0, 'T', true);

$pdf -> MultiCell($twelve_page, '', number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($twelve_page, '', number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

$pdf -> SetFont('opensans', '', 8, '', true);

		if($pdf->GetY() < 185) $pdf -> SetY(185);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;

// ----------------------------------------
// ----------------------------------------

$pdf -> AddPage();

$pdf -> SetFont('opensans', 'B', 8);
$pdf -> MultiCell($full_page, '', "Hors du champ de l'impôt (Hors taxe)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> SetFont('opensans', '', 7);
cabecalho_tabela($pdf);

$table_Total_PVP = 0;
$table_Total_TVA = 0;

$page_Total_PVP = 0;
$page_Total_TVA = 0;

// Linhas de Fatura
$pdf -> SetFont('opensans', '', 7);
foreach ($movimentos_HORS_TAXE as $linha) {
	// -- $twelve_page-6, 	-- L -- $movimentos ['Data'] 				'Date',
	// -- ($twelve_page/2), -- L -- $movimentos ['NumSerie'] 			'Nº', 
	// -- $resto, 			-- L -- $movimentos ['Descricao'] 			'Libellé'
	// -- $twelve_page-3, 	-- C -- $movimentos ['PlanoContas_Debito'] 	'Contre-partie'
	// -- $twelve_page-6, 	-- C -- $movimentos ['PlanoContas_Credito'] 	'Compte TVA',
	// -- $twelve_page-6, 	-- C -- $movimentos ['ImpostoNome'] 			'Code TVA',
	// -- ($twelve_page/2), -- C -- $movimentos [''] 					'Taux', 
	// -- $twelve_page-4, 	-- C -- $movimentos ['PartSoumise'] 			'Part soumise', 
	// -- $twelve_page, 	-- R -- $movimentos [''] 					'Montant', 
	// -- $twelve_page, 	-- R -- $movimentos ['Total_PVP'] 			'TVA', 
	// -- ($twelve_page/2), -- R -- $movimentos ['Chiffre'] 				'Chiffre',

	$linha_data = explode(' ', $linha['Data'])[0];

	$matches = array();
	// preg_match_all($re_taxe, $linha['Descricao'], $matches, PREG_SET_ORDER, 0);
	// $linha_taxa = (sizeof($matches) > 0 ? $matches[0][0] : "");
	$linha_taxa = $linha['TaxPercentage'].'%';
	
	$a = $pdf->getStringHeight( $twelve_page-6 , $linha_data);
	$b = $pdf->getStringHeight( ($twelve_page/2) , $linha['NumSerie']);
	$j = $pdf->getStringHeight( $resto , $linha['Descricao']);
	$c = $pdf->getStringHeight( $twelve_page-3 , $linha['PlanoContas_Debito']);
	$d = $pdf->getStringHeight( $twelve_page-6 , "");
	$l = $pdf->getStringHeight( $twelve_page-6 , $linha['ImpostoNome']);
	$e = $pdf->getStringHeight( ($twelve_page/2) , $linha_taxa);
	$f = $pdf->getStringHeight( $twelve_page-4 , $linha['PartSoumise']);
	$g = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ));
	$h = $pdf->getStringHeight( $twelve_page , number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ));
	$i = $pdf->getStringHeight( ($twelve_page/2) , $linha['Chiffre']);

	//GET PAGE MAX HEIGHT
	$height = calcHeightProd([$a, $b, $c, $d, $e, $f, $g, $h, $i, $j, $l]);

	if($pdf -> getY() + $height >= 180) {
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;

		//page break ---------------------------------------------------------------------------------------------------
		$pdf -> AddPage();
		$pdf -> SetFont('opensans', 'B', 8);
		$pdf -> MultiCell($full_page, '', "Hors du champ de l'impôt (Hors taxe)",  0, 'L', false, 1, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 7);
		cabecalho_tabela($pdf);
		$pdf -> setY($pdf -> getY() );
	}

	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_light_line);

	//LINE PRINT
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha_data,  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['NumSerie'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $resto , $height, $linha['Descricao'],  0, 'L', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-3 , $height, $linha['PlanoContas_Debito'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, "",  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-6 , $height, $linha['ImpostoNome'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha_taxa,  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page-4 , $height, $linha['PartSoumise'],  0, 'C', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_PVP'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( $twelve_page , $height, number_format($linha['Total_TVA'], $numDecimais, '.', '\'' ),  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
	$pdf -> MultiCell( ($twelve_page/2) , $height, $linha['Chiffre'],  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

	$pdf->SetTextColor(0,0,0);

	$footer_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$footer_Total_TVA += round($linha['Total_PVP'],$numDecimais);
	$table_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$table_Total_TVA += round($linha['Total_PVP'],$numDecimais);
	$page_Total_PVP += round($linha['Total_PVP'],$numDecimais);
	$page_Total_TVA += round($linha['Total_PVP'],$numDecimais);
}

$pdf -> Line((PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), $pdf->GetY(), $right_marg - ($twelve_page/2), $pdf->GetY(), $style_line);

$pdf -> SetFont('opensans', '', 8, '', true);

$firstLBL_total = ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
$pdf -> MultiCell($firstLBL_total, '', "Total Hors du champ de l'impôt (Hors taxe): ",  0, 'L', false, 0, (PDF_MARGIN_LEFT + ($twelve_page-6) + ($twelve_page/2) + $resto), '', true, 0, false, false, 0, 'T', true);

$pdf -> MultiCell($twelve_page, '', number_format($table_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($twelve_page, '', number_format($table_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

$pdf -> SetFont('opensans', '', 8, '', true);


// TOTAL JOURNAL
$pdf -> Ln();
$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg - ($twelve_page/2), $pdf->GetY(), $style_bold_line);

$pdf -> SetFont('opensans', 'B', 8, '', true);

$firstLBL_total = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
$pdf -> MultiCell($firstLBL_total, '', "Total ",  0, 'L', false, 0, PDF_MARGIN_LEFT, '', true, 0, false, false, 0, 'T', true);

$pdf -> MultiCell($twelve_page, '', number_format($footer_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell($twelve_page, '', number_format($footer_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 1, '', '', true, 0, false, false, 0, 'T', true);

$pdf -> SetFont('opensans', '', 8, '', true);


		if($pdf->GetY() < 185) $pdf -> SetY(185);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$bottomLeftPad = ($twelve_page-6) + ($twelve_page/2) + $resto + ($twelve_page-3) + ($twelve_page-6) + ($twelve_page-6) + ($twelve_page/2) + ($twelve_page-4);
		$pdf -> MultiCell($bottomLeftPad, '', 'Total page ',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_PVP, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell($twelve_page, '', number_format($page_Total_TVA, $numDecimais, '.', '\'' ).'',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> MultiCell(($twelve_page/2), '', '',  0, 'R', false, 0, '', '', true, 0, false, false, 0, 'T', true);
		$pdf -> SetFont('opensans', '', 8, '', true);
		$page_Total_PVP = 0;
		$page_Total_TVA = 0;

// $pdf -> Ln();

	// Line -> $x1, $y1, $x2, $y2, $style=array()
	// MultiCell -> $width, $height, $txt, $border=0, $align='J/R/L/C', $fill=false, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0, $valign='T', $fitcell=false

// ----------- Paginação e colocação de 'Originale', 'Duplicata', 'Triplé' e 'Quadruplé' -----------
/*$max = $pdf -> PageNo();

// ----------------- Page Numbers -----------------------------
$paginationX = $right_marg - PDF_MARGIN_RIGHT;
$pages = $pdf -> getNumPages();
for($i = 1; $i <= $pages; ){
	for($k = 1; $k <= $max; $k++, $i++){
		$pdf -> setPage($i);

		$pdf -> SetFont('opensans', '', 7);
		$pdf -> SetY(-10);
		$pdf -> Cell($paginationX, 0, 'Page ' . $k . '/' . $max, 0, 0, 'R', 0, '', 0, false, 'B', 'B');

	}
}*/
// ----------------------------------------------------------

// ------------- Certificação Vertical Lado Esquerdo -------- 
/*$total_pages = $pdf -> getNumPages();
for ($i = 1; $i <= $total_pages; $i++) {
    $pdf -> setPage($i);

    // $myPageWidth = $pdf -> getPageWidth();
    $myPageHeight = $pdf -> getPageHeight();

    $myX = PDF_MARGIN_LEFT / 2 + 2;
    $myY = $myPageHeight - 35;

    $pdf -> SetAlpha(0.5);

    $pdf -> StartTransform();
    $pdf -> Rotate(90, $myX, $myY);
    $pdf -> SetFont('opensans', '', 7);
    $pdf -> SetTextColor(0, 0, 0);

    $pdf -> Text($myX, $myY, ' ');
    $pdf -> StopTransform();

    // Reset the transparency to default
    $pdf -> SetAlpha(1);
}*/

// Close and output PDF document
// This method has several options, check the source code documentation for more information.
$pdf -> Output('JOURNAL_TVA_'.date("d-m-Y").'.pdf', 'I');

//=====================================================+
// 					END OF FILE
//=====================================================+

//DOC HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho($pdf){
	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --

	global $style_line;
	global $style_bold_line;
	global $style_light_line;

	global $right_marg;
	global $startContentY;

	// global $data_inicio;
	// global $data_fim;
	// global $stringLabelPeriod;
	
	$leftOffset = $half_page;
	$topOffset = 20;
	
	$pdf -> SetFont('opensans', 'B', 10);
	$pdf -> MultiCell($fourth_page, '', 'Journal TVA', 0, 'R',  false, 1, PDF_MARGIN_LEFT + $leftOffset + $fourth_page, $topOffset, false, 0, false, true, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT + $leftOffset + $fourth_page, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);

	$pdf -> SetFont('opensans', '', 8);
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);
	// $pdf -> MultiCell($half_page, '', 'Plan Comptable', 0, 'L', false, 0, '', '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', 'Date Accuel', 0, 'R', false, 0, PDF_MARGIN_LEFT + $leftOffset + $fourth_page, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', 'Date Fin', 0, 'R', false, 1, PDF_MARGIN_LEFT + $leftOffset + $fourth_page + $eigth_page, '', false, 0, false, true, 0, 'T', false);

	// $pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), PDF_MARGIN_LEFT + $half_page - 4, $pdf->GetY(), $style_line);
	$pdf -> Line(PDF_MARGIN_LEFT + $leftOffset + $fourth_page, $pdf->GetY(), PDF_MARGIN_LEFT + $leftOffset + $fourth_page + $eigth_page, $pdf->GetY(), $style_line);
	$pdf -> Line(PDF_MARGIN_LEFT + $leftOffset + $fourth_page + $eigth_page + 4, $pdf->GetY(), PDF_MARGIN_LEFT + $leftOffset + $half_page, $pdf->GetY(), $style_line);

	$pdf -> SetFont('opensans', '', 8);
	// $pdf -> MultiCell($half_page, '', $planComptable, 0, 'L', false, 0, PDF_MARGIN_LEFT, '', false, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', $GLOBALS['dateAccuel'], 0, 'R', false, 0, PDF_MARGIN_LEFT + $leftOffset + $fourth_page, '', true, 0, false, true, 0, 'T', false);
	$pdf -> MultiCell($eigth_page, '', $GLOBALS['dateFin'], 0, 'R', false, 1, PDF_MARGIN_LEFT + $leftOffset + $fourth_page + $eigth_page, '', false, 0, false, true, 0, 'T', false);

	$pdf -> Ln();
	$pdf -> Ln();

	$pdf -> SetFont('opensans', 'B', 8);

	// $pdf -> Ln();
	// $pdf -> Ln();

}

//LINES HEADER - - - - - - - - - - - - - - - - - - -
function cabecalho_tabela($pdf){
	global $right_marg;

	global $style_line;
	global $style_bold_line;

	global $full_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT     --
	global $half_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/2  --
	global $third_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/3  --
	global $fourth_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/4  --
	global $fifth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/5  --
	global $six_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/6  --
	global $seven_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/7  --
	global $eigth_page;  //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/8  --
	global $nine_page;   //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/9  --
	global $ten_page;    //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/10 --
	global $eleven_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/11 --
	global $twelve_page; //-- getPageWidth() - PDF_MARGIN_LEFT - PDF_MARGIN_RIGHT)/12 --

	global $resto;
	
	$pdf -> SetFont('opensans', 'B', 7);
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_bold_line);
	$pdf -> setFillColor(230, 230, 230);

	$pdf -> MultiCell($twelve_page-6, 	'', 'Date', 			0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2), '', 'Nº', 				0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($resto, 			'', 'Libellé', 			0, 'L', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page-3,		'', 'Contre-partie', 	0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page-6,		'', 'Code TVA', 		0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page-6,		'', 'Com. TVA', 		0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2), '', 'Taux', 			0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page-4, 	'', 'Part soumise', 	0, 'C', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 		'', 'Montant', 			0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell($twelve_page, 	'', 'TVA', 				0, 'R', true, 0, '', '', true, 0, false, false, 0, 'T', false);
	$pdf -> MultiCell(($twelve_page/2), '', 'Chiffre', 			0, 'R', true, 1, '', '', true, 0, false, false, 0, 'T', false);
	
	$pdf -> Line(PDF_MARGIN_LEFT, $pdf->GetY(), $right_marg, $pdf->GetY(), $style_line);
	$pdf -> setFillColor(255, 255, 255);
	$pdf -> SetFont('opensans', '', 7);
}


// Calculate Min Height of Line
function calcHeightProd($strHeight){
	return max($strHeight) + 1;
}

 ?>