<?php
// die('NOT IMPLEMENTED');
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idFatura = $_POST['idDocument'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idFatura == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//OBTEM OS Données de Facture -------------------------------------------
$query = "SELECT ID_Rapport, 
		(SELECT CONCAT(Nome,' ',Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_rapports_travail.ID_Cliente) AS Cliente, 
		(SELECT Nif FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_rapports_travail.ID_Cliente) AS Cliente, 
		EnderecoCliente, 
		CodigoPostalCliente, 
		CidadeCliente, 
		RegiaoCliente, 
		EmailCliente, 
		PaisCliente, 
		TelefoneCliente, 
		EnderecoClienteDescarga, 
		EnderecoCliente2Descarga, 
		CodigoPostalClienteDescarga, 
		RegiaoClienteDescarga, 
		CidadeClienteDescarga, 
		PaisClienteDescarga,
		Tecnico, 
		TecnicoSegundo,
		ID_Tecnico,
		ID_TecnicoSegundo,
		Impressora, 
		NumImpressora,
		CompteurNB,
		CompteurCoul,  
		Numero, 
		Data, 
		Duree, 
		Referencia, 
		Remarque, 
		Estado, 
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_rapports_travail.ID_Utilizador_Criacao) AS Criador, 
		DataCriacao, 
		(SELECT Nome FROM utilizador WHERE utilizador.ID_Utilizador = faturacao_rapports_travail.ID_Utilizador_Atualizacao) AS UtilizadorAtualizacao, 
		DataAtualizacao,
		TotalPagar,
		Tipo_Documento_Origem,
		ID_Documento_Origem,
		Reference,
		Data_Documento_Origem,
		DateDebut,
		DateFin,
		Assinatura,
		NomeEmplacement,
		ApelidoEmplacement,
		CASE TituloEmplacement WHEN 'M' THEN 'Monsieur' WHEN 'Mme' THEN 'Madame' WHEN 'Mlle' THEN 'Mademoiselle' ELSE NULL END,
		ContactoEmplacement,
		EmailEmplacement
		FROM faturacao_rapports_travail WHERE ID_Rapport=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['ID_Rapport'],
	        	$objectData['Cliente'],
	        	$objectData['Nif'],
	        	$objectData['EnderecoCliente'],
	        	$objectData['CodigoPostalCliente'],
	        	$objectData['CidadeCliente'],
	        	$objectData['RegiaoCliente'],
	        	$objectData['EmailCliente'],
	        	$objectData['PaisCliente'],
	        	$objectData['TelefoneCliente'],
	        	$objectData['EnderecoClienteDescarga'],
	        	$objectData['EnderecoCliente2Descarga'],
	        	$objectData['CodigoPostalClienteDescarga'],
	        	$objectData['RegiaoClienteDescarga'],
	        	$objectData['CidadeClienteDescarga'],
	        	$objectData['PaisClienteDescarga'],
	        	$objectData['Tecnico'],
	        	$objectData['TecnicoSegundo'],
	        	$objectData['ID_Tecnico'],
	        	$objectData['ID_TecnicoSegundo'],
	        	$objectData['Impressora'],
	        	$objectData['NumImpressora'],
	        	$objectData['CompteurNB'],
	        	$objectData['CompteurCoul'],
	        	$objectData['Numero'],
	        	$objectData['Data'],
	        	$objectData['Duree'],
	        	$objectData['Referencia'],
	        	$objectData['Observacoes'],
	        	$objectData['Estado'],
	        	$objectData['ID_Utilizador_Criacao'],
	        	$objectData['DataCriacao'],
	        	$objectData['ID_Utilizador_Atualizacao'],
	        	$objectData['DataAtualizacao'],
	        	$objectData['TotalPagar'],
	        	$objectData['Tipo_Documento_Origem'],
	        	$objectData['ID_Documento_Origem'],
	        	$objectData['Reference'],
	        	$objectData['Data_Documento_Origem'],
	        	$objectData['DateDebut'],
	        	$objectData['DateFin'],
	        	$objectData['Assinatura'],
	        	$objectData['NomeEmplacement'],
	        	$objectData['ApelidoEmplacement'],
	        	$objectData['TituloEmplacement'],
	        	$objectData['ContactoEmplacement'],
	        	$objectData['EmailEmplacement']
			);
	$stmt -> fetch();
	$stmt -> close();

	$objectData['Observacoes'] = nl2br($objectData['Observacoes']);

	$objectData['PaisFull'] = getCountryByISO2($objectData['PaisCliente']);
	$objectData['PaisFullDescarga'] = getCountryByISO2($objectData['PaisClienteDescarga']);
	// $objectData['DataCriacao'] = date('d/m/Y H:i:s', $objectData['DataCriacao']);
	$tempDate = DateTime::createFromFormat('d/m/Y', $objectData['Data']);
	$objectData['DataNormalizada'] = $tempDate->format('Y/m/d');

	//processar totais
	// $objectData['TotalLiquidado_Estrangeiro'] = $objectData['TotalLiquidado'] * $objectData['TaxaMoeda'];
	// $objectData['TotalPagar_Estrangeiro'] = $objectData['TotalPagar'] * $objectData['TaxaMoeda'];

	//processar BVR
	// $bvr_1 = substr($objectData['BVR'], 0, 2);
	// $bvr_2 = substr($objectData['BVR'], 2);
	// $objectData['BVR'] = $bvr_1 . ' ' . wordwrap($bvr_2, 5, ' ', true);
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//PROCESS ORIGIN IF EXISTS ----------------------------------------------
if($objectData['ID_Documento_Origem'] > 0){
	$fieldIdName = '';
	$tableName = '';
	switch ($objectData['Tipo_Documento_Origem']) {
		case 'CC':
			$fieldIdName = 'ID_Consommable';
			$tableName = 'faturacao_consommables';
			$selectQuery = 'Paiment, Debut';
			break;
		
		default:
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS0000AA";
			$response["message"] = 'Tipo inválido!';
			die(json_encode($response));
			break;
	}

	$query = "SELECT ".$selectQuery." FROM ".$tableName." WHERE ".$fieldIdName."=?";
	if ( $stmt = $sqli_connection->prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $objectData['ID_Documento_Origem']);
		//result single
		$result = $stmt->execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}

		//result
		switch ($objectData['Tipo_Documento_Origem']) {
			case 'CC':
				$stmt -> bind_result($Paiment, $Debut);
				break;
			
			default:
				$stmt -> bind_result();
				break;
		}

		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	
	//GET 
	switch ($objectData['Tipo_Documento_Origem']) {
		case 'CC':
			$objectData['Paiment'] = $Paiment;
			$objectData['Debut'] = $Debut;
			break;
		
		default:
			$stmt -> bind_result();
			break;
	}

}
//-----------------------------------------------------------------------

//OBTEM AS LINHAS DA FATURA ------------------------------------------
$query = "SELECT 
		-- (SELECT Codigo FROM faturacao_artigos WHERE faturacao_artigos.ID_Artigo = faturacao_rapports_travail_linhas.ID_Artigo) AS Artigo,
		ProductCode,
		Descricao,
		Quantidade,
		UnidadeMedida,
		PrecoUnitario,
		ID_Imposto,
		(SELECT Nome FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_rapports_travail_linhas.ID_Imposto) AS Imposto,
		(SELECT Valor FROM faturacao_impostos WHERE faturacao_impostos.ID_Imposto = faturacao_rapports_travail_linhas.ID_Imposto) AS ValorIVA,
		-- (SELECT ID_Motivo FROM faturacao_motivos_isencao WHERE faturacao_motivos_isencao.Codigo = faturacao_rapports_travail_linhas.TaxExemptionCode ) AS ID_Motivo,
		-- CONCAT(TaxExemptionCode,': ',TaxExemptionReason) AS Motivo,
		DescontoLinha,
		-- ValorRetencao,
		TotalLinha,
		SerialNumber
		FROM faturacao_rapports_travail_linhas WHERE ID_Rapport=? ORDER BY ID_Linha";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($artigo, $descricao, $qtd, $unidade, $preco, $idIva, $desc_imposto, $valorIva, $desconto, $totalLinha, $serial_number );
	while ($stmt -> fetch()) {
		$data[] = array(
		        	"artigo" => $artigo,
					"descricao" => nl2br($descricao),
					"qtd" => $qtd,
					"unidade" => $unidade,
					"preco" => $preco,
					"idIva" => $idIva,
					"imposto" => number_format($valorIva,2).'%',
					"desc_imposto" => $desc_imposto,
					"valorIva" => $valorIva,
					"desconto" => $desconto,
					"totalLinha" => $totalLinha,
					"serial_number" => $serial_number,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['linhas'] = $data;
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>