<?php
// die('NOT IMPLEMENTED');
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idFatura = $_POST['idDocument'];

//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idFatura == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//OBTEM OS Données de Facture -------------------------------------------
$query = "SELECT ID_Rapport, 
		ID_Cliente, 
		(SELECT CONCAT(Nome, ' ', Apelido) FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_rapports_travail.ID_Cliente) AS NomeCliente, 
		(SELECT Codigo FROM faturacao_clientes WHERE faturacao_clientes.ID_Cliente = faturacao_rapports_travail.ID_Cliente) AS CodigoCliente, 
		EnderecoCliente, 
		CodigoPostalCliente, 
		CidadeCliente, 
		RegiaoCliente, 
		EmailCliente, 
		PaisCliente, 
		TelefoneCliente, 
		EnderecoClienteDescarga, 
		EnderecoCliente2Descarga, 
		CodigoPostalClienteDescarga, 
		RegiaoClienteDescarga, 
		CidadeClienteDescarga, 
		PaisClienteDescarga,
		Tecnico,
		TecnicoSegundo,
		ID_Tecnico,
		ID_TecnicoSegundo,
		Impressora,
		NumImpressora, 
		CompteurNB,
		CompteurCoul,  
		Numero, 
		Data, 
		Duree, 
		Referencia, 
		Remarque, 
		Estado, 
		ID_Utilizador_Criacao, 
		ID_Utilizador_Atualizacao, 
		DataAtualizacao,
		Tipo_Documento_Origem,
		ID_Documento_Origem,
		Reference,
		DateDebut,
		DateFin,
		Data_Documento_Origem,
		NomeEmplacement,
		ApelidoEmplacement,
		TituloEmplacement,
		ContactoEmplacement,
		EmailEmplacement
		FROM faturacao_rapports_travail WHERE ID_Rapport=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['ID_Fatura'],
	        	$objectData['ID_Cliente'],
	        	$objectData['NomeCliente'],
	        	$objectData['CodigoCliente'],
	        	$objectData['EnderecoCliente'],
	        	$objectData['CodigoPostalCliente'],
	        	$objectData['CidadeCliente'],
	        	$objectData['RegiaoCliente'],
	        	$objectData['EmailCliente'],
	        	$objectData['PaisCliente'],
	        	$objectData['TelefoneCliente'],
	        	$objectData['EnderecoClienteDescarga'],
	        	$objectData['EnderecoCliente2Descarga'],
	        	$objectData['CodigoPostalClienteDescarga'],
	        	$objectData['RegiaoClienteDescarga'],
	        	$objectData['CidadeClienteDescarga'],
	        	$objectData['PaisClienteDescarga'],
	        	$objectData['Tecnico'],
	        	$objectData['TecnicoSegundo'],
	        	$objectData['ID_Tecnico'],
	        	$objectData['ID_TecnicoSegundo'],
	        	$objectData['Impressora'],
	        	$objectData['NumImpressora'],
	        	$objectData['CompteurNB'],
	        	$objectData['CompteurCoul'],
	        	$objectData['Numero'],
	        	$objectData['Data'],
	        	$objectData['Duree'],
	        	$objectData['Referencia'],
	        	$objectData['Observacoes'],
	        	$objectData['Estado'],
	        	$objectData['ID_Utilizador'],
	        	$objectData['ID_UtilizadorAtualizacao'],
	        	$objectData['DataAtualizacao'],
	        	$objectData['Tipo_Documento_Origem'],
	        	$objectData['ID_Documento_Origem'],
	        	$objectData['Reference'],
	        	$objectData['DateDebut'],
	        	$objectData['DateFin'],
	        	$objectData['Data_Documento_Origem'],
	        	$objectData['NomeEmplacement'],
	        	$objectData['ApelidoEmplacement'],
	        	$objectData['TituloEmplacement'],
	        	$objectData['ContactoEmplacement'],
	        	$objectData['EmailEmplacement']
			);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//OBTEM AS LINHAS DA FATURA ------------------------------------------
$query = "SELECT ID_Artigo,
		Descricao,
		Quantidade,
		UnidadeMedida,
		PrecoUnitario,
		ID_Imposto,
		-- (SELECT ID_Motivo FROM faturacao_motivos_isencao WHERE faturacao_motivos_isencao.Codigo = faturacao_rapports_travail_linhas.TaxExemptionCode ) AS ID_Motivo,
		DescontoLinha,
		-- PercentagemRetencao,
		(SELECT Tipo FROM faturacao_artigos WHERE faturacao_artigos.ID_Artigo = faturacao_rapports_travail_linhas.ID_Artigo ) AS Tipo,
		TotalLinha,
		ProductCode,
		(SELECT CodigoBarras FROM faturacao_artigos WHERE faturacao_artigos.ID_Artigo = faturacao_rapports_travail_linhas.ID_Artigo)
		FROM faturacao_rapports_travail_linhas WHERE ID_Rapport=? ORDER BY ID_Linha";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idFatura);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($artigo, $descricao, $qtd, $unidade, $preco, $imposto, $desconto, $tipo, $totalLinha, $codigo_artigo, $codigobarras_artigo );
	while ($stmt -> fetch()) {
		$data[] = array(
		        	"artigo" => $artigo,
					"descricao" => $descricao,
					"qtd" => $qtd,
					"unidade" => $unidade,
					"preco" => $preco,
					"imposto" => $imposto,
					// "motivo" => $motivo,
					"desconto" => $desconto,
					// "retencao" => $retencao,
					"Tipo" => $tipo,
					"totalLinha" => $totalLinha,
					"codigo" => $codigo_artigo,
					"codigobarras" => $codigobarras_artigo,
		        );
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//add lines to object
$objectData['linhas'] = $data;
//-----------------------------------------------------------------------


//OBTEM OS DADOS DO DOC ORIGEM -------------------------------------------
$query = "SELECT 
		Prix_noir, 
		Prix_couleur, 
		(SELECT CONCAT(Nome, ' / ', Apelido) FROM faturacao_clientes WHERE faturacao_consommables.ID_Cliente=faturacao_clientes.ID_Cliente) AS NomeCliente, 
		(SELECT Codigo FROM faturacao_clientes WHERE faturacao_consommables.ID_Cliente=faturacao_clientes.ID_Cliente) AS CodigoCliente 
		FROM faturacao_consommables WHERE ID_Consommable=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $objectData['ID_Documento_Origem']);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
	        	$objectData['PrixNoir'],
	        	$objectData['PrixCouleur'],
	        	$objectData['NomeCliente2'],
	        	$objectData['CodigoCliente2']
			);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//response
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));
?>