<?php
// die('NOT IMPLEMENTED');
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ----------------------------------------------------------
$idRapport = $_POST['idRapport'];

//VERIFICA SE HA NULOS --------------------------------------------------
if ( $idRapport == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS000";
	die(json_encode($response));
}

//VERIFICA SE PODE SER ALTERADO -----------------------------------------
$query = "SELECT Estado, Data, Referencia  FROM faturacao_rapports_travail WHERE ID_Rapport=?";
if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	$stmt -> bind_param("d", $idRapport);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result($Estado, $data, $referencia );
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
if($Estado != 'Rascunho') {
	$response["errors"] = true;
	$response["type"] = "usado";
	$response["line"] = "FATS003";
	$response["message"] = "Fatura já finalizada!";
	$response["estado"] = $Estado;
	die(json_encode($response));
}
//-----------------------------------------------------------------------

//VALIDAR REFERENCIA -----------------------------------------------------
// if( $referencia  != ''){
// 	$query = "SELECT COUNT(*) FROM faturacao_rapports_travail WHERE Referencia = ? AND ID_Rapport <> ?";
// 	if ($stmt = $sqli_connection -> prepare($query)) {
// 		$stmt -> bind_param("sd", $referencia, $idRapport);
// 		$result = $stmt -> execute();
// 		if (false === $result) {
// 			$response["errors"] = true;
// 			$response["type"] = "FTGA001A";
// 			$response["message"] = $stmt -> error;
// 			die(json_encode($response));
// 		}
// 		$stmt -> bind_result($counterRef );
// 		$stmt -> fetch();
// 		$stmt -> close();
// 	} else {
// 		$response["errors"] = true;
// 		$response["type"] = "FTGA001B";
// 		$response["message"] = $sqli_connection -> error;
// 		die(json_encode($response));
// 	}
// }
// if($counterRef > 0){
// 	$response["errors"] = true;
// 	$response["type"] = "FTGA001C";
// 	$response["referencia"] = true;
// 	$response["message"] = "Referencia já existente.";
// 	die(json_encode($response));
// }
//------------------------------------------------------------------------


//CLOSE THE DOCUMENT -----------------------------------------------------
$dataNew = $data;
$dataAtualizacao = date("d/m/Y H:i:s");

// DEFINE NEW NUMBER
$queryStmt = "SELECT MAX(Numero) AS NumeroMax FROM faturacao_rapports_travail;";
$maxID = getMaxNumberDocument($queryStmt);
$initNumber = getInitNumber("NumeroInicial_RT","faturacao_personalizar_documentos", "", 0);
if($nextID < $initNumber && $maxID < 1){
	$query = "UPDATE faturacao_rapports_travail SET Numero = ".$initNumber.", Data=?, ID_Utilizador_Atualizacao=?, DataAtualizacao=?, Estado='Confirmado' WHERE ID_Rapport = ?";
}else{
	$query = "UPDATE faturacao_rapports_travail SET Numero = ((SELECT NumeroMax FROM (SELECT MAX(Numero) AS NumeroMax FROM faturacao_rapports_travail) AS SubNumeroMax) + 1), Data=?, ID_Utilizador_Atualizacao=?, DataAtualizacao=?, Estado='Confirmado' WHERE ID_Rapport = ?";
}
if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("sdsd", $dataNew, $id_utilizador, $dataAtualizacao, $idRapport);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA007";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FTGA008";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}
//------------------------------------------------------------------------


//log sistema - processo
$descricao_log ="Finalisation de rapport de travail (id: ".$idRapport.")";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>