<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";

//GET POST VARS ---------------------------------------------------------
$idsFaturas = $_POST['idsFaturas'];


//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idsFaturas == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}
//------------------------------------------------------------------------

//UPDATES TOTALS ---------------------------------------------------------
foreach ($idsFaturas as $idFatura) {
	$query = "UPDATE faturacao_ghosts_faturas SET EstadoSync=0 WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idFatura);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA021";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA022";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//BLOCK CLIENT ----------------------------------------------------------
	$query = "UPDATE faturacao_ghosts_faturas_linhas SET Estado=0 WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idFatura);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA027";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA028";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//------------------------------------------------------------------------
	
	//log sistema - processo
	$descricao_log ="Synchronisation - Unarchive facture: Facture (id: ".$idFatura.")";
	insert_log(0,"Editar",$descricao_log,$sqli_connection);
}
//response
$response["errors"] = false;
die(json_encode($response));
?>