<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/helpers.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/Bvr.php";


//GET POST VARS ---------------------------------------------------------
$idsFaturas = $_POST['idsFaturas'];

//VERIFICA SE HA NULOS ---------------------------------------------------
if ( $idsFaturas == '' ) 
{
	$response["errors"] = true;
	$response["type"] = "var";
	$response["line"] = "FATS0000A";
	die(json_encode($response));
}
//------------------------------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//UPDATES TOTALS ---------------------------------------------------------
foreach ($idsFaturas as $idFatura) {
	//DEFINE VARS ------------------------------------------------------------
	$objectData = array();
	$objectDataLine = array();
	$objectDataCliente = array();

	//VERIFICA SE HA NULOS --------------------------------------------------
	if ( $idFatura == '' ) 
	{
		$response["errors"] = true;
		$response["type"] = "var";
		$response["line"] = "FATS000";
		die(json_encode($response));
	}

	//OBTEM OS Données de Facture -------------------------------------------
	$query = "SELECT 
				ID_Fatura,
				ID_Cliente,
				EnderecoCliente,
				CodigoPostalCliente,
				CidadeCliente,
				RegiaoCliente,
				EmailCliente,
				PaisCliente,
				ID_Moeda,
				TaxaMoeda,
				Vendedor,
				Vencimento,
				EnderecoCarga,
				CodigoPostalCarga,
				CidadeCarga,
				RegiaoCarga,
				ID_Serie,
				Numero,
				Data,
				Validade,
				Referencia,
				Observacoes,
				TaxPayable,
				NetTotal,
				GrossTotal,
				SystemEntryDate,
				TimeStampDate,
				Desconto,
				PercentagemDesconto,
				TotaRetencao,
				TotalSDesconto,
				InvoiceStatus,
				InvoiceStatusDate,
				Reason,
				SourceID,
				SourceBilling,
				Hash,
				HashControl,
				Hash_Print,
				Period,
				InvoiceType,
				InvoiceDate,
				SelfBillingIndicator,
				CashVATSchemeIndicator,
				ThirdPartiesBillingIndicator,
				EACCode,
				CustomerID,
				MovementStartTime,
				MovementEndTime,
				TotalLiquidadoDocumento,
				TotalLiquidado,
				TotalPagar,
				ATCUD,
				MetodoPagamento,
				ID_Banco,
				Estado,
				ID_Utilizador,
				ID_UtilizadorAtualizacao,
				DataAtualizacao,
				Tipo_Doc_Origem,
				ID_Doc_Origem,
				Reference,
				Data_Doc_Origem,
				BVR,
				EstadoSync
			FROM faturacao_ghosts_faturas WHERE ID_Fatura=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idFatura);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
		        	$objectData['ID_Fatura'],
		        	$objectData['ID_Cliente'],
		        	$objectData['EnderecoCliente'],
		        	$objectData['CodigoPostalCliente'],
		        	$objectData['CidadeCliente'],
		        	$objectData['RegiaoCliente'],
		        	$objectData['EmailCliente'],
		        	$objectData['PaisCliente'],
		        	$objectData['ID_Moeda'],
		        	$objectData['TaxaMoeda'],
		        	$objectData['Vendedor'],
		        	$objectData['Vencimento'],
		        	$objectData['EnderecoCarga'],
		        	$objectData['CodigoPostalCarga'],
		        	$objectData['CidadeCarga'],
		        	$objectData['RegiaoCarga'],
		        	$objectData['ID_Serie'],
		        	$objectData['Numero'],
		        	$objectData['Data'],
		        	$objectData['Validade'],
		        	$objectData['Referencia'],
		        	$objectData['Observacoes'],
		        	$objectData['TaxPayable'],
		        	$objectData['NetTotal'],
		        	$objectData['GrossTotal'],
		        	$objectData['SystemEntryDate'],
		        	$objectData['TimeStampDate'],
		        	$objectData['Desconto'],
		        	$objectData['PercentagemDesconto'],
		        	$objectData['TotaRetencao'],
		        	$objectData['TotalSDesconto'],
		        	$objectData['InvoiceStatus'],
		        	$objectData['InvoiceStatusDate'],
		        	$objectData['Reason'],
		        	$objectData['SourceID'],
		        	$objectData['SourceBilling'],
		        	$objectData['Hash'],
		        	$objectData['HashControl'],
		        	$objectData['HashPrint'],
		        	$objectData['Period'],
		        	$objectData['InvoiceType'],
		        	$objectData['InvoiceDate'],
		        	$objectData['SelfBillingIndicator'],
		        	$objectData['CashVATSchemeIndicator'],
		        	$objectData['ThirdPartiesBillingIndicator'],
		        	$objectData['EACCode'],
		        	$objectData['CustomerID'],
		        	$objectData['MovementStartTime'],
		        	$objectData['MovementEndTime'],
		        	$objectData['TotalLiquidadoDocumento'],
		        	$objectData['TotalLiquidado'],
		        	$objectData['TotalPagar'],
		        	$objectData['ATCUD'],
		        	$objectData['MetodoPagamento'],
		        	$objectData['ID_Banco'],
		        	$objectData['Estado'],
		        	$objectData['ID_Utilizador'],
		        	$objectData['ID_UtilizadorAtualizacao'],
		        	$objectData['DataAtualizacao'],
		        	$objectData['Tipo_Doc_Origem'],
		        	$objectData['ID_Doc_Origem'],
		        	$objectData['Reference'],
		        	$objectData['Data_Doc_Origem'],
		        	$objectData['BVR'],
		        	$objectData['EstadoSync']
				);
		$stmt -> fetch();
		$stmt -> close();

	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//-----------------------------------------------------------------------
	
	//OBTEM OS Lines de Facture -------------------------------------------
	$query = "SELECT 
				ID_Linha,
				ID_Fatura,
				NumeroLinha,
				ID_Artigo,
				ProductCode,
				ProductDescription,
				Quantidade,
				UnidadeMedida,
				PrecoUnitario,
				TaxPointDate,
				Descricao,
				SerialNumber,
				ID_Imposto,
				TaxType,
				TaxCountryRegion,
				TaxCode,
				TaxPercentage,
				TaxExemptionReason,
				TaxExemptionCode,
				DescontoLinha,
				CreditAmount,
				DebitAmount,
				SettlementAmount,
				Reference,
				Reason,
				ValorRetencao,
				PercentagemRetencao,
				TotalLinha,
				TotalLinhaSIVA,
				Estado
			FROM faturacao_ghosts_faturas_linhas WHERE ID_Fatura=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $idFatura);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result(
		        	$ID_Linha,
		        	$ID_Fatura,
		        	$NumeroLinha,
		        	$ID_Artigo,
		        	$ProductCode,
		        	$ProductDescription,
		        	$Quantidade,
		        	$UnidadeMedida,
		        	$PrecoUnitario,
		        	$TaxPointDate,
		        	$Descricao,
		        	$SerialNumber,
		        	$ID_Imposto,
		        	$TaxType,
		        	$TaxCountryRegion,
		        	$TaxCode,
		        	$TaxPercentage,
		        	$TaxExemptionReason,
		        	$TaxExemptionCode,
		        	$DescontoLinha,
		        	$CreditAmount,
		        	$DebitAmount,
		        	$SettlementAmount,
		        	$Reference,
		        	$Reason,
		        	$ValorRetencao,
		        	$PercentagemRetencao,
		        	$TotalLinha,
		        	$TotalLinhaSIVA,
		        	$Estado
		        );
		
		while($stmt -> fetch()){
			$objectDataLine[] = array(
				'ID_Linha' => $ID_Linha,
				'ID_Fatura' => $ID_Fatura,
				'NumeroLinha' => $NumeroLinha,
				'ID_Artigo' => $ID_Artigo,
				'ProductCode' => $ProductCode,
				'ProductDescription' => $ProductDescription,
				'Quantidade' => $Quantidade,
				'UnidadeMedida' => $UnidadeMedida,
				'PrecoUnitario' => $PrecoUnitario,
				'TaxPointDate' => $TaxPointDate,
				'Descricao' => $Descricao,
				'SerialNumber' => $SerialNumber,
				'ID_Imposto' => $ID_Imposto,
				'TaxType' => $TaxType,
				'TaxCountryRegion' => $TaxCountryRegion,
				'TaxCode' => $TaxCode,
				'TaxPercentage' => $TaxPercentage,
				'TaxExemptionReason' => $TaxExemptionReason,
				'TaxExemptionCode' => $TaxExemptionCode,
				'DescontoLinha' => $DescontoLinha,
				'CreditAmount' => $CreditAmount,
				'DebitAmount' => $DebitAmount,
				'SettlementAmount' => $SettlementAmount,
				'Reference' => $Reference,
				'Reason' => $Reason,
				'ValorRetencao' => $ValorRetencao,
				'PercentagemRetencao' => $PercentagemRetencao,
				'TotalLinha' => $TotalLinha,
				'TotalLinhaSIVA' => $TotalLinhaSIVA,
				'Estado' => $Estado
			);
		}
		$stmt -> close();

	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//-----------------------------------------------------------------------
	
	//OBTEM O Cliente de Facture -------------------------------------------
	$query = "SELECT 
				faturacao_ghosts_clientes.ID_Cliente,
				faturacao_ghosts_clientes.Titulo,
				faturacao_ghosts_clientes.Nome,
				faturacao_ghosts_clientes.Apelido,
				faturacao_ghosts_clientes.Nif,
				faturacao_ghosts_clientes.Codigo,
				faturacao_ghosts_clientes.Endereco,
				faturacao_ghosts_clientes.CodigoPostal,
				faturacao_ghosts_clientes.Cidade,
				faturacao_ghosts_clientes.Pais,
				faturacao_ghosts_clientes.Regiao,
				faturacao_ghosts_clientes.Email,
				faturacao_ghosts_clientes.Telefone,
				faturacao_ghosts_clientes.Telemovel,
				faturacao_ghosts_clientes.Fax,
				faturacao_ghosts_clientes.Website,
				faturacao_ghosts_clientes.ID_Grupo,
				faturacao_ghosts_clientes.MetPagamento,
				faturacao_ghosts_clientes.Vencimento,
				faturacao_ghosts_clientes.Desconto,
				faturacao_ghosts_clientes.PreferenciaNome,
				faturacao_ghosts_clientes.PreferenciaTelefone,
				faturacao_ghosts_clientes.PreferenciaEmail,
				faturacao_ghosts_clientes.PreferenciaTelemovel,
				faturacao_ghosts_clientes.ID_Account,
				faturacao_ghosts_clientes.Usado,
				faturacao_ghosts_clientes.TimestampCliente,
				faturacao_ghosts_clientes.ID_Prestashop
			FROM faturacao_ghosts_clientes, faturacao_ghosts_faturas WHERE faturacao_ghosts_faturas.ID_Fatura = ? AND faturacao_ghosts_faturas.ID_Cliente=faturacao_ghosts_clientes.ID_Cliente";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("s", $idFatura);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
		        	$objectDataCliente['ID_Cliente'],
		        	$objectDataCliente['Titulo'],
		        	$objectDataCliente['Nome'],
		        	$objectDataCliente['Apelido'],
		        	$objectDataCliente['Nif'],
		        	$objectDataCliente['Codigo'],
		        	$objectDataCliente['Endereco'],
		        	$objectDataCliente['CodigoPostal'],
		        	$objectDataCliente['Cidade'],
		        	$objectDataCliente['Pais'],
		        	$objectDataCliente['Regiao'],
		        	$objectDataCliente['Email'],
		        	$objectDataCliente['Telefone'],
		        	$objectDataCliente['Telemovel'],
		        	$objectDataCliente['Fax'],
		        	$objectDataCliente['Website'],
		        	$objectDataCliente['ID_Grupo'],
		        	$objectDataCliente['MetPagamento'],
		        	$objectDataCliente['Vencimento'],
		        	$objectDataCliente['Desconto'],
		        	$objectDataCliente['PreferenciaNome'],
		        	$objectDataCliente['PreferenciaTelefone'],
		        	$objectDataCliente['PreferenciaEmail'],
		        	$objectDataCliente['PreferenciaTelemovel'],
		        	$objectDataCliente['ID_Account'],
		        	$objectDataCliente['Usado'],
		        	$objectDataCliente['TimestampCliente'],
		        	$objectDataCliente['ID_Prestashop']
				);
		$stmt -> fetch();
		$stmt -> close();

	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	$idCliente = 0;
	$query = "SELECT ID_Cliente
			FROM faturacao_clientes WHERE faturacao_clientes.ID_Prestashop=?";
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		$stmt -> bind_param("d", $objectDataCliente['ID_Prestashop']);
		//result single
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> bind_result(
		        	$idCliente
				);
		$stmt -> fetch();
		$stmt -> close();

	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//-----------------------------------------------------------------------

	if($idCliente > 0){
		$objectData['ID_Cliente'] = $idCliente;
	} else {
		$query15 = "SELECT MAX(CAST( Codigo AS UNSIGNED )) FROM faturacao_clientes WHERE Codigo NOT LIKE  '%[a-z]%'";

			if ( $stmt15 = $sqli_connection -> prepare($query15) ) {

				$result15 = $stmt15 -> execute();

				if (false === $result15) {

					$response["errors"] = true;

					$response["type"] = "HELP001";

					$response["message"] = $stmt15 -> error;

					die(json_encode($response));

				}

				$stmt15 -> store_result();

				$stmt15 -> bind_result($nextID);

				$stmt15 -> fetch();

				$stmt15 -> close();

			} else {

				$response["errors"] = true;

				$response["type"] = "HELP002";

				$response["message"] = $sqli_connection -> error;

				die(json_encode($response));

			}

			//return next id

			$codigoCliente_inserir = $nextID+1;

		$query4 = "INSERT INTO faturacao_clientes (
					Titulo,
					Nome,
					Apelido,
					Nif,
					Codigo,
					Endereco,
					CodigoPostal,
					Cidade,
					Pais,
					Regiao,
					Email,
					Telefone,
					Telemovel,
					Fax,
					Website,
					MetPagamento,
					Vencimento,
					Desconto,
					PreferenciaNome,
					PreferenciaTelefone,
					PreferenciaEmail,
					PreferenciaTelemovel,
					TimestampCliente,
					ID_Prestashop
				) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

		if ($stmt = $sqli_connection -> prepare($query4)) {
			$stmt -> bind_param("ssssssssssssssssssssssss", 
			        $objectDataCliente['Titulo'],
		        	$objectDataCliente['Nome'],
		        	$objectDataCliente['Apelido'],
		        	$objectDataCliente['Nif'],
		        	$codigoCliente_inserir,
		        	$objectDataCliente['Endereco'],
		        	$objectDataCliente['CodigoPostal'],
		        	$objectDataCliente['Cidade'],
		        	$objectDataCliente['Pais'],
		        	$objectDataCliente['Regiao'],
		        	$objectDataCliente['Email'],
		        	$objectDataCliente['Telefone'],
		        	$objectDataCliente['Telemovel'],
		        	$objectDataCliente['Fax'],
		        	$objectDataCliente['Website'],
		        	$objectDataCliente['MetPagamento'],
		        	$objectDataCliente['Vencimento'],
		        	$objectDataCliente['Desconto'],
		        	$objectDataCliente['PreferenciaNome'],
		        	$objectDataCliente['PreferenciaTelefone'],
		        	$objectDataCliente['PreferenciaEmail'],
		        	$objectDataCliente['PreferenciaTelemovel'],
		        	$objectDataCliente['TimestampCliente'],
		        	$objectDataCliente['ID_Prestashop']
			);
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA010";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA011";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		$query = "SELECT ID_Cliente
			FROM faturacao_clientes WHERE faturacao_clientes.ID_Prestashop=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $objectDataCliente['ID_Prestashop']);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			        	$objectData['ID_Cliente']
					);
			$stmt -> fetch();
			$stmt -> close();

		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		//log sistema - processo
		$descricao_log ="Synchronisation - Création du client (code: ".$codigoCliente_inserir.", nom: ".$objectDataCliente['Nome'].")";
		insert_log(0,"Inserir",$descricao_log,$sqli_connection);

	}

	foreach ($objectDataLine as $index => $linha) {
		$objectDataArtigo = array();

		$query = "SELECT 
				ID_Artigo,
				Nome,
				Codigo,
				Tipo,
				CodigoBarras,
				SerialNumber,
				ID_Categoria,
				ID_Unidade,
				Preco,
				ID_Imposto,
				PrecoPVP,
				RetencaoPercentagem,
				RetencaoValor,
				Stock,
				Ativo,
				Usado,
				ID_Prestashop,
				Estado
			FROM faturacao_ghosts_artigos WHERE faturacao_ghosts_artigos.ID_Artigo=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $linha['ID_Artigo']);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			        	$objectDataArtigo['ID_Artigo'],
		        		$objectDataArtigo['Nome'],
		        		$objectDataArtigo['Codigo'],
		        		$objectDataArtigo['Tipo'],
		        		$objectDataArtigo['CodigoBarras'],
		        		$objectDataArtigo['SerialNumber'],
		        		$objectDataArtigo['ID_Categoria'],
		        		$objectDataArtigo['ID_Unidade'],
		        		$objectDataArtigo['Preco'],
		        		$objectDataArtigo['ID_Imposto'],
		        		$objectDataArtigo['PrecoPVP'],
		        		$objectDataArtigo['RetencaoPercentagem'],
		        		$objectDataArtigo['RetencaoValor'],
		        		$objectDataArtigo['Stock'],
		        		$objectDataArtigo['Ativo'],
		        		$objectDataArtigo['Usado'],
		        		$objectDataArtigo['ID_Prestashop'],
		        		$objectDataArtigo['Estado']
					);
			$stmt -> fetch();
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		$query = "SELECT ID_Artigo
			FROM faturacao_artigos WHERE faturacao_artigos.ID_Prestashop=?";
		if ( $stmt = $sqli_connection -> prepare($query) ) {
			//bind params
			$stmt -> bind_param("d", $objectDataArtigo['ID_Prestashop']);
			//result single
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS001";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> bind_result(
			        	$idArtigo
					);
			$stmt -> fetch();
			$stmt -> close();

		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FATS002";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}

		if($idArtigo > 0) {
			$objectDataLine[$index]['ID_Artigo'] = $idArtigo;
		} else {

			$query15 = "SELECT MAX(CAST( Codigo AS UNSIGNED )) FROM faturacao_artigos WHERE Codigo NOT LIKE  '%[a-z]%' AND Codigo != 9999";

			if ( $stmt15 = $sqli_connection -> prepare($query15) ) {

				$result15 = $stmt15 -> execute();

				if (false === $result15) {

					$response["errors"] = true;

					$response["type"] = "HELP001";

					$response["message"] = $stmt15 -> error;

					die(json_encode($response));

				}

				$stmt15 -> store_result();

				$stmt15 -> bind_result($nextID);

				$stmt15 -> fetch();

				$stmt15 -> close();

			} else {

				$response["errors"] = true;

				$response["type"] = "HELP002";

				$response["message"] = $sqli_connection -> error;

				die(json_encode($response));

			}

			//return next id
			if($nextID == 9998) $nextID++;
			$codigoArtigos_inserir = $nextID+1;

			$query5 = "INSERT INTO faturacao_artigos (
					Nome,
					Codigo,
					Tipo,
					CodigoBarras,
					SerialNumber,
					ID_Categoria,
					ID_Unidade,
					Preco,
					ID_Imposto,
					PrecoPVP,
					RetencaoPercentagem,
					RetencaoValor,
					Stock,
					Ativo,
					Usado,
					ID_Prestashop
				) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

			if ($stmt = $sqli_connection -> prepare($query5)) {
				$stmt -> bind_param("ssssssssssssssss", 
				        	$objectDataArtigo['Nome'],
							$objectDataArtigo['Codigo'],
							$objectDataArtigo['Tipo'],
							$objectDataArtigo['CodigoBarras'],
							$objectDataArtigo['SerialNumber'],
							$objectDataArtigo['ID_Categoria'],
							$objectDataArtigo['ID_Unidade'],
							$objectDataArtigo['Preco'],
							$objectDataArtigo['ID_Imposto'],
							$objectDataArtigo['PrecoPVP'],
							$objectDataArtigo['RetencaoPercentagem'],
							$objectDataArtigo['RetencaoValor'],
							$objectDataArtigo['Stock'],
							$objectDataArtigo['Ativo'],
							$objectDataArtigo['Usado'],
							$objectDataArtigo['ID_Prestashop']
						);
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FTGA010";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> close();
			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA012";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}

			$query = "SELECT ID_Artigo
				FROM faturacao_artigos WHERE faturacao_artigos.ID_Prestashop=?";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//bind params
				$stmt -> bind_param("d", $objectDataArtigo['ID_Prestashop']);
				//result single
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS001";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> bind_result(
				        	$linha['ID_Artigo']
						);
				$stmt -> fetch();
				$stmt -> close();

			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS002";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}

			$query = "SELECT ID_Artigo
				FROM faturacao_artigos WHERE faturacao_artigos.ID_Prestashop=?";
			if ( $stmt = $sqli_connection -> prepare($query) ) {
				//bind params
				$stmt -> bind_param("d", $objectDataArtigo['ID_Prestashop']);
				//result single
				$result = $stmt -> execute();
				if (false === $result) {
					$response["errors"] = true;
					$response["type"] = "query";
					$response["line"] = "FATS001";
					$response["message"] = $stmt -> error;
					die(json_encode($response));
				}
				$stmt -> bind_result(
				        	$objectDataLine[$index]['ID_Artigo'] 
						);
				$stmt -> fetch();
				$stmt -> close();

			} else {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FATS002";
				$response["message"] = $sqli_connection -> error;
				die(json_encode($response));
			}

			//log sistema - processo
			$descricao_log ="Synchronisation - Création du produit (code: ".$objectDataArtigo['Codigo'].")";
			insert_log(0,"Inserir",$descricao_log,$sqli_connection);
		}
	}


	$objectData['GrossTotal'] = roundPriceUp($objectData['GrossTotal']);
	$objectData['TotalPagar'] = roundPriceUp($objectData['GrossTotal']);
	
	//PROCESS REMAIN FIELDS TO FIT FATURAS TABLE
	$query2 = "INSERT INTO faturacao_faturas (
				ID_Cliente,
				EnderecoCliente,
				CodigoPostalCliente,
				CidadeCliente,
				RegiaoCliente,
				EmailCliente,
				PaisCliente,
				ID_Moeda,
				TaxaMoeda,
				Vendedor,
				Vencimento,
				EnderecoCarga,
				CodigoPostalCarga,
				CidadeCarga,
				RegiaoCarga,
				ID_Serie,
				Numero,
				Data,
				Validade,
				Referencia,
				Observacoes,
				TaxPayable,
				NetTotal,
				GrossTotal,
				SystemEntryDate,
				TimeStampDate,
				Desconto,
				PercentagemDesconto,
				TotaRetencao,
				TotalSDesconto,
				InvoiceStatus,
				InvoiceStatusDate,
				Reason,
				SourceID,
				SourceBilling,
				Hash,
				HashControl,
				Hash_Print,
				Period,
				InvoiceType,
				InvoiceDate,
				SelfBillingIndicator,
				CashVATSchemeIndicator,
				ThirdPartiesBillingIndicator,
				EACCode,
				CustomerID,
				MovementStartTime,
				MovementEndTime,
				TotalLiquidadoDocumento,
				TotalLiquidado,
				TotalPagar,
				ATCUD,
				MetodoPagamento,
				ID_Banco,
				Estado,
				ID_Utilizador,
				ID_UtilizadorAtualizacao,
				DataAtualizacao,
				Tipo_Doc_Origem,
				ID_Doc_Origem,
				Reference,
				Data_Doc_Origem,
				BVR
			) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

	if ($stmt = $sqli_connection -> prepare($query2)) {
		$stmt -> bind_param("sssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssss", 
		        	$objectData['ID_Cliente'],
		        	$objectData['EnderecoCliente'],
		        	$objectData['CodigoPostalCliente'],
		        	$objectData['CidadeCliente'],
		        	$objectData['RegiaoCliente'],
		        	$objectData['EmailCliente'],
		        	$objectData['PaisCliente'],
		        	$objectData['ID_Moeda'],
		        	$objectData['TaxaMoeda'],
		        	$objectData['Vendedor'],
		        	$objectData['Vencimento'],
		        	$objectData['EnderecoCarga'],
		        	$objectData['CodigoPostalCarga'],
		        	$objectData['CidadeCarga'],
		        	$objectData['RegiaoCarga'],
		        	$objectData['ID_Serie'],
		        	$objectData['Numero'],
		        	$objectData['Data'],
		        	$objectData['Validade'],
		        	$objectData['Referencia'],
		        	$objectData['Observacoes'],
		        	$objectData['TaxPayable'],
		        	$objectData['NetTotal'],
		        	$objectData['GrossTotal'],
		        	$objectData['SystemEntryDate'],
		        	$objectData['TimeStampDate'],
		        	$objectData['Desconto'],
		        	$objectData['PercentagemDesconto'],
		        	$objectData['TotaRetencao'],
		        	$objectData['TotalSDesconto'],
		        	$objectData['InvoiceStatus'],
		        	$objectData['InvoiceStatusDate'],
		        	$objectData['Reason'],
		        	$objectData['SourceID'],
		        	$objectData['SourceBilling'],
		        	$objectData['Hash'],
		        	$objectData['HashControl'],
		        	$objectData['HashPrint'],
		        	$objectData['Period'],
		        	$objectData['InvoiceType'],
		        	$objectData['InvoiceDate'],
		        	$objectData['SelfBillingIndicator'],
		        	$objectData['CashVATSchemeIndicator'],
		        	$objectData['ThirdPartiesBillingIndicator'],
		        	$objectData['EACCode'],
		        	$objectData['CustomerID'],
		        	$objectData['MovementStartTime'],
		        	$objectData['MovementEndTime'],
		        	$objectData['TotalLiquidadoDocumento'],
		        	$objectData['TotalLiquidado'],
		        	$objectData['TotalPagar'],
		        	$objectData['ATCUD'],
		        	$objectData['MetodoPagamento'],
		        	$objectData['ID_Banco'],
		        	$objectData['Estado'],
		        	$objectData['ID_Utilizador'],
		        	$objectData['ID_UtilizadorAtualizacao'],
		        	$objectData['DataAtualizacao'],
		        	$objectData['Tipo_Doc_Origem'],
		        	$objectData['ID_Doc_Origem'],
		        	$objectData['Reference'],
		        	$objectData['Data_Doc_Origem'],
		        	$objectData['BVR']
		        );
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA010";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA013";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	$idNovaFatura = 0;
	$query6 = "SELECT ID_Fatura
	FROM faturacao_faturas WHERE faturacao_faturas.Referencia=? ORDER BY ID_Fatura DESC LIMIT 1";
	if ( $stmt6 = $sqli_connection -> prepare($query6) ) {
				//bind params
		$stmt6 -> bind_param("s", $objectData['Referencia']);
				//result single
		$result6 = $stmt6 -> execute();
		if (false === $result6) {
			$response["errors"] = true;
			$response["type"] = "query6";
			$response["line"] = "FATS001";
			$response["message"] = $stmt6 -> error;
			die(json_encode($response));
		}
		$stmt6 -> bind_result(
			$idNovaFatura
		);
		$stmt6 -> fetch();
		$stmt6 -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query6";
		$response["line"] = "FATS002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	foreach ($objectDataLine as $linha) {
		$query3 = "INSERT INTO faturacao_faturas_linhas (
				ID_Fatura,
				NumeroLinha,
				ID_Artigo,
				ProductCode,
				ProductDescription,
				Quantidade,
				UnidadeMedida,
				PrecoUnitario,
				TaxPointDate,
				Descricao,
				SerialNumber,
				ID_Imposto,
				TaxType,
				TaxCountryRegion,
				TaxCode,
				TaxPercentage,
				TaxExemptionReason,
				TaxExemptionCode,
				DescontoLinha,
				CreditAmount,
				DebitAmount,
				SettlementAmount,
				Reference,
				Reason,
				ValorRetencao,
				PercentagemRetencao,
				TotalLinha,
				TotalLinhaSIVA
			) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

		if ($stmt = $sqli_connection -> prepare($query3)) {
			$stmt -> bind_param("ssssssssssssssssssssssssssss", 
	                	$idNovaFatura,
			        	$linha['NumeroLinha'],
						$linha['ID_Artigo'],
						$linha['ProductCode'],
						$linha['ProductDescription'],
						$linha['Quantidade'],
						$linha['UnidadeMedida'],
						$linha['PrecoUnitario'],
						$linha['TaxPointDate'],
						$linha['Descricao'],
						$linha['SerialNumber'],
						$linha['ID_Imposto'],
						$linha['TaxType'],
						$linha['TaxCountryRegion'],
						$linha['TaxCode'],
						$linha['TaxPercentage'],
						$linha['TaxExemptionReason'],
						$linha['TaxExemptionCode'],
						$linha['DescontoLinha'],
						$linha['CreditAmount'],
						$linha['DebitAmount'],
						$linha['SettlementAmount'],
						$linha['Reference'],
						$linha['Reason'],
						$linha['ValorRetencao'],
						$linha['PercentagemRetencao'],
						$linha['TotalLinha'],
						$linha['TotalLinhaSIVA']     
	                );
			$result = $stmt -> execute();
			if (false === $result) {
				$response["errors"] = true;
				$response["type"] = "query";
				$response["line"] = "FTGA010";
				$response["message"] = $stmt -> error;
				die(json_encode($response));
			}
			$stmt -> close();
		} else {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA014";
			$response["message"] = $sqli_connection -> error;
			die(json_encode($response));
		}
	}


	//log sistema - processo
	$descricao_log ="Synchronisation - Création de facture: Facture (id: ".$idFatura.")";
	insert_log(0,"Inserir",$descricao_log,$sqli_connection);

	// VERIFY GHOST TABLES
	$query = "UPDATE faturacao_ghosts_faturas SET EstadoSync=2 WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idFatura);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA021";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA022";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//------------------------------------------------------------------------

	//BLOCK CLIENT ----------------------------------------------------------
	$query = "UPDATE faturacao_ghosts_faturas_linhas SET Estado=2 WHERE ID_Fatura=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idFatura);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["type"] = "query";
			$response["line"] = "FTGA027";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FTGA028";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}
	//------------------------------------------------------------------------	
}
//response
$response["errors"] = false;
die(json_encode($response));
?>