<?php
/**
 * |-----------------------------------------------------------------------
 * |
 * |							Logout from API
 * |
 * |-----------------------------------------------------------------------
 */

//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
// include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/auth/controltoken.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/resources/log.php";
include $_SERVER["DOCUMENT_ROOT"] . "/frifacturation/server/webservices/resources/helpers.php";

// var_dump($_GET);die();

//PROCESS LOGOUT ---------------------------------------------------------
if ( isset($_GET['user_id']) || isset($_GET['username']) ) {
	//prepare vars
	$userID = null;
	$userNome = null;
	$conditions = '';
	$conditions2 = '';

	if( isset($_GET['user_id']) && $_GET['user_id'] != '') {
		$conditions = ' WHERE ID_UtilizadorWebservice = "'.$_GET['user_id'].'"';
		$conditions2 = ' WHERE ID_UtilizadorWebservice = "'.$_GET['user_id'].'"';
	}
	elseif( isset($_GET['username']) && $_GET['username'] != '' ) {
		$conditions = ' WHERE Username = "'.$_GET['username'].'"';
		$conditions2 = ' WHERE Username = "'.$_GET['username'].'"';
	}
	else{
		//cancel the request
		header('Content-Type: application/json; charset=UTF-8');
		header('HTTP/1.1 403 Forbidden.');
		$response["errors"] = true;
		$response["type"] = "validation";
		$response["line"] = "WAPI_VAL001";
		$response["message"] = 'Invalid params. Please provide a valid user_id/username.';
		die(json_encode($response));
	}

	//process the request
	$query = "SELECT ID_UtilizadorWebservice, Nome FROM faturacao_utilizadores_webservices ".$conditions;
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		// $stmt -> bind_param("s", $TokenRec);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			header('Content-Type: application/json; charset=UTF-8');
			header('HTTP/1.1 500 Internal Server Error.');
			$response["errors"] = true;
			$response["type"] = "sql_query";
			$response["line"] = "WAPI_SQLQ001";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> store_result();
		$stmt -> bind_result($userID, $userNome);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		header('Content-Type: application/json; charset=UTF-8');
		header('HTTP/1.1 500 Internal Server Error.');
		$response["errors"] = true;
		$response["type"] = "sql_conn";
		$response["line"] = "WAPI_SQLC002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//Update
	$query = "UPDATE faturacao_utilizadores_webservices SET Token=NULL, Token_Created=NULL, Token_Expires=NULL ".$conditions2;
	if ( $stmt = $sqli_connection -> prepare($query) ) {
		//bind params
		// $stmt -> bind_param("s", $user);
		//result
		$result = $stmt -> execute();
		if (false === $result) {
			header('Content-Type: application/json; charset=UTF-8');
			header('HTTP/1.1 500 Internal Server Error.');
			$response["errors"] = true;
			$response["type"] = "sql_query";
			$response["line"] = "WAPI_SQLQ002";
			$response["message"] = $stmt -> error;
			die(json_encode($response));
		}
		$stmt -> close();
	} else {
		header('Content-Type: application/json; charset=UTF-8');
		header('HTTP/1.1 500 Internal Server Error.');
		$response["errors"] = true;
		$response["type"] = "sql_conn";
		$response["line"] = "WAPI_SQLC002";
		$response["message"] = $sqli_connection -> error;
		die(json_encode($response));
	}

	//log the action ------------------
	$logUserID = $userID;
	$logUserName = $userNome;
	$logAction = 'Logout';
	$logDesc = 'Sucesso';
	insert_log($logUserID,$logUserName , $logAction, $logDesc, $sqli_connection);

	//success response
	header('Content-Type: application/json; charset=UTF-8');
	header('HTTP/1.1 204 No Content.');
	$response["errors"] = false;
	$response["type"] = null;
	$response["line"] = null;
	$response["message"] = null;
	die(json_encode($response));
}else{
	//cancel the request
	header('Content-Type: application/json; charset=UTF-8');
	header('HTTP/1.1 400 Bad Request.');
	$response["errors"] = true;
	$response["type"] = "connection";
	$response["line"] = "WAPI_CONN001";
	$response["message"] = 'Missing username/user_id. Please provide a valid username/user_id.';
	die(json_encode($response));
}