<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0067']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/banques&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Détails Banque | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../banques"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../banques">Banques</a>
							</li>
							<li class="active">
								Détails de la banque
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<h5 class="form-header">
											<legend class="form-legend">
												Informations bancaires
											</legend>
										</h5>
										<div class="section-form">
											<div class="row hide">
												<div class="col-md-12 col-md-12">
													<div class="form-group">
														<label class="control-label">Rubrique</label>
														<span id="sncbase_banco" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row mtm">
												<div class="col-md-4 hide">
													<div class="form-group">
														<label class="control-label">Compte</label>
														<span id="conta_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label class="control-label">Nom</label>
														<span id="descricao_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label class="control-label">Code Postal</label>
														<span id="codigopostal_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label class="control-label">Ville</label>
														<span id="cidade_banco" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row mtm">
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Code BVR</label>
														<span id="bvr_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Compte Banque</label>
														<span id="compte_lapost1_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label class="control-label">Compte Banque Ext.*</label>
														<span id="compte_lapost2_banco" style="display: block"></span>
													</div>
												</div>
											</div>
											<div class="row mtm">
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Débit initial</label>
														<span id="debito_banco" class="money" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="control-label">Crédit initial</label>
														<span id="credito_banco" class="money" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label>Par défaut?</label>
														<span id="predefinir_banco" style="display: block"></span>
													</div>
												</div>
												<div class="col-md-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
													<div class="form-group">
														<label>Plan Comptable</label>
														<span id="plano_banco" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.bancos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idBanco = getParameterByName('banque');
				//fill infos
				fill_bank(idBanco);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>