<script type="text/javascript">
	//load data
	function fill_bank(idBanco) {
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/bancos/detalhes.php',
			dataType : 'json',
			data : { idBanco : idBanco },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							var processedName = dados.Nome.replace(/'/gi, " "); processedName = processedName.replace(/"/gi, " ");
							var nome = "'"+dados.AccountID + " - " +processedName+"'";

							//process used or not used
							$('#btns-wrapper').append('&nbsp;<a href="modifier?banque='+idBanco+'" class="btn btn-yellow" type="button"> <i class="fa fa-edit"></i>&nbsp;Modifier </a>');

							if(dados.Usado > 0 || dados.UsadoAccount > 0){
								$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
							}else{
								if(dados.ContaSistema > 0){
									$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" disabled> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
								}else{
									$('#btns-wrapper').append('&nbsp;<button class="btn btn-danger" type="button" onClick="eliminarBanco('+idBanco+','+nome+')"> <i class="fa fa-trash"></i>&nbsp;Supprimer </button>');
								}
							}

							$('#btns-wrapper').append('&nbsp;&nbsp;<a  href="../banques" class="btn btn-default" type="button"> Annuler </a>');

							$("#sncbase_banco").html(dados.ContaBase+' - '+dados.ContaBaseDescricao);
							$("#conta_banco").html(dados.AccountID);
							$("#descricao_banco").html(dados.Nome);
							$("#bvr_banco").html(dados.CodigoBVR);
							$("#compte_lapost1_banco").html(dados.CodigoBVR_LP1);
							$("#compte_lapost2_banco").html(dados.CodigoBVR_LP2);
							$("#plano_banco").html(dados.PlanoContasLabel);
							$("#predefinir_banco").html(dados.PredefinidoLBL);
							$("#debito_banco").autoNumeric('set', dados.DebitoInicial);
							$("#credito_banco").autoNumeric('set', dados.CreditoInicial);
							
							$("#codigopostal_banco").html(dados.CodigoPostal);
							$("#cidade_banco").html(dados.Cidade);

							//remake money
							$(".money").autoNumeric("init", {
								aSep : '\'',
								aDec : '.',
								aSign : ' CHF',
								pSign : 's',
								mDec : <?php echo $numDecimais; ?>
							});
						}
					}
				}
			},
			complete : function() {
			}
		});
	}

	//remover
	function eliminarBanco(idBanco, nome){
	<?php if (hasPermission(['P0066']) == 1) { ?>
		if (confirm("Êtes-vous sûr de vouloir supprimer la banque \n'" + nome + "' ?") == true) {
			$.ajax({
				type : 'POST',
				url : '/frifacturation/server/contabilidade/bancos/apagar.php',
				dataType : 'json',
				data : {
					idBanco : idBanco
				},
				success : function(resposta) {
					var resp = resposta;
					if (resposta == null)
						$.scojs_message("[FAT001] Il est impossible de supprimer cette banque. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
					else {
						if (resposta.errors) {
							$.scojs_message("[FAT002] Il est impossible de supprimer cette banque. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("La banque a été éliminée avec succès.", $.scojs_message.TYPE_OK);
						}
					}
				},
				complete : function(resposta) {
					//reload
					setTimeout(function() {
						window.location.href = "../banques";
					}, 1000);
				}
			});
		} else { return false; }
	<?php } else {?>
		alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
	<?php } ?>
	}
</script>