<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0065']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/banques&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Modifier Banque | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../banques"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../banques">Banques</a>
							</li>
							<li class="active">
								Modifier Banque
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Informations bancaires
												</legend>
											</h5>
											<div class="section-form">
												<div class="row hide">
													<div class="col-md-12 col-md-12">
														<div class="form-group">
															<label class="control-label">Rubrique</label>
															<span id="sncbase_banco" style="display: block"></span>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-md-4 hide">
														<div class="form-group">
															<label class="control-label">Compte</label>
															<span id="conta_banco" style="display: block"></span>
														</div>
													</div>
													<div class="col-md-12">
														<div class="form-group">
															<label class="control-label">Nom<span class="require">*</span></label>
															<input type="text" class="form-control" name="descricao_banco" id="descricao_banco" placeholder="...">
														</div>
													</div>
												</div>

												<div class="row mtm">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Postal<span class="require">*</span></label>
															<input type="text" class="form-control cpostal_field" id="codigopostal_banco" name="codigopostal_banco" placeholder="..." />
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Ville<span class="require">*</span></label>
															<div id="selectCidadeWrapper">
																<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="cidade_banco" name="cidade_banco">
																</select>
															</div>
														</div>
													</div>	

													<div class="col-xs-12 col-md-4 <?php if($_SESSION['mod_Contabilidade'] == 0) echo 'hide'; ?>">
														<div class="form-group">
															<label class="control-label">Plan Comptable<span class="require">*</span></label>
															<select class="form-control select2 show-tick" data-live-search="true"  data-header="Sélectionnez" id="plano_banco" name="plano_banco">
																<option value="" data-hidden="true">Sélectionnez</option>
															</select>
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label>Prédéfini</label>
															<div class="checkbox">
																<label>
																	<input type="checkbox"  class="iCheck" name="predefinir_banco" id="predefinir_banco">
																	Banque par défaut ?
																</label>
															</div>
														</div>
													</div>
												</div>
												<div class="row mtm">
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Débit initial<span class="require">*</span></label>
															<input type="text" class="form-control money" name="debito_banco" id="debito_banco" placeholder="0.00 CHF">
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Crédit initial<span class="require">*</span></label>
															<input type="text" class="form-control money" name="credito_banco" id="credito_banco" placeholder="0.00 CHF">
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label class="control-label">Code BVR<span class="require">*</span></label>
															<input type="text" class="form-control" name="bvr_banco" id="bvr_banco" placeholder="...">
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Compte Banque<span class="require">*</span></label>
															<input class="form-control" type="text" id="compte_lapost1_banco" name="compte_lapost1_banco" placeholder="00-00000-0" />
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label class="control-label">Compte Banque Ext.*<span class="require">*</span></label>
															<input class="form-control" type="text" id="compte_lapost2_banco" name="compte_lapost2_banco" placeholder="010000001" />
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../banques" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php'; ?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.bancos_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			var flagPredefinirEdit = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-yellow',
					increaseArea : '20%' // optional
				});

				//init select2
				$("select#cidade_banco").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});
				$("select#plano_banco").select2({
					escapeMarkup: function(m) { return m; }, language: "fr", placeholder: "Sélectionnez",
				});

				var idBanco = getParameterByName('banque');
				//fill infos
				fill_bank(idBanco);

				$('#bvr_banco').mask('00000000000');
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			//flag novo
			$(document).on('ifChanged', 'input#predefinir_banco', function(event) {
				if( $('input#predefinir_banco').is(":checked") ) flagPredefinirEdit = 1;
				else flagPredefinirEdit = 0;
			});

			//Key Listner
			$("#codigopostal_banco").on('keyup', function(event){
				var npaInput = $(this).val();

				$("#selectCidadeWrapper").show(); 
				getLocaliteFromNpa(npaInput, 'cidade_banco');
			});

			//get localite
			function getLocaliteFromNpa(valueNPA,selectID, lastCity = null){
				var options = $("select#"+selectID);
				$(options).empty();
				//get data
				$.ajax({
					type : 'POST',
					url : '/frifacturation/server/npa_localite.php',
					data : { 
						npa : valueNPA
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[SEL007] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[SEL008] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));

									// $(options).append($("<option />").val(0).text('Aucune Ville'));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.Nome).text(this.Nome));
										console.log();
									});
								}
							}
						}
					},
					complete : function() {
						if(lastCity != null) $("select#"+selectID).val(lastCity);
						else $(options).val( $("select#"+selectID+" option:eq(1)").val() ); //viana do castelo district
						$(options).trigger('change');
					}
				});
			}

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("moneyValidation", function (value, element) {
				var valorInput = $(element).autoNumeric('get');
				if(valorInput >= 0 && valorInput != '') return true;
				else return false;
			}, "S'il vous plaît entrer un montant valide.");
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					descricao_banco : {
						required : true
					},
					debito_banco : {
						required : true,
						moneyValidation : true
					},
					credito_banco : {
						required : true,
						moneyValidation : true
					},
					bvr_banco : {
						required : true
					},
					plano_banco : {
						required : true
					},
					compte_lapost1_banco : {
						required : true
					},
					compte_lapost2_banco : {
						required : true
					},
					codigopostal_banco : {
						required : true
					},
					cidade_banco : {
						required : true
					},
				},
				messages : {
					descricao_banco : {
						required : "Ce champ est obligatoire"
					},
					debito_banco : {
						required : "Ce champ est obligatoire"
					},
					credito_banco : {
						required : "Ce champ est obligatoire"
					},
					bvr_banco : {
						required : "Ce champ est obligatoire"
					},
					plano_banco : {
						required : "Ce champ est obligatoire"
					},
					compte_lapost1_banco : {
						required : "Ce champ est obligatoire"
					},
					compte_lapost2_banco : {
						required : "Ce champ est obligatoire"
					},
					codigopostal_banco : {
						required : "Ce champ est obligatoire"
					},
					cidade_banco : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var idBanco = getParameterByName('banque');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/contabilidade/bancos/editar.php',
						dataType : 'json',
						data : {
							idBanco : idBanco,
							descricao_banco : $("#descricao_banco").val(),
							bvr_banco : $("#bvr_banco").val(),
							compte_lapost1_banco : $("#compte_lapost1_banco").val(),
							compte_lapost2_banco : $("#compte_lapost2_banco").val(),
							debito_banco : $("#debito_banco").autoNumeric('get'),
							credito_banco : $("#credito_banco").autoNumeric('get'),
							flagPredefinirEdit : flagPredefinirEdit,
							plano_banco : $("#plano_banco").val(),
							
							codigopostal_banco: $("#codigopostal_banco").val(),
							cidade_banco: $("#cidade_banco").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Données éditées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données éditées avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../banques";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>