<script type="text/javascript">
	/**
	 * Fill the base Accounts to be used as base
	 * @return select list
	 */
	function fill_accounts(){
		var options = $("select#snc_base_banco");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/bancos.php',
			data : {
				opcao : 1
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).html(this.snc_code+' - <span>'+this.descricao+'</span>'));
							});
						}
					}
				}
			},
			complete : function() {
				$(options).val($("select#snc_base_banco option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	//load data
	function fill_comptes() {
		var options = $("select#plano_banco");
		$(options).empty();

		var resp = null;
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 3,
				defeito: 'banco'
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							resp = resposta;
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.codigo).html(this.descricao+''));
							});
						}
					}
				}
			},
			complete : function() {
				if(resp != null) $(options).val(resp.planoDefeito);
				else $(options).val($("select#plano_banco option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}
</script>