<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0068']) == 1 ) {}
	else{
		header('Location: ../../acces-refuse?redirectfrom=/frifacturation/banques_fournisseurs&redirectto=/frifacturation');
	}
?>
<html>
	<title>Tableaux: Détails Banque Fournisseurs | Frifacturation</title>
	<head>
		<?php include('../../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../banques_fournisseurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../banques_fournisseurs">Banques Fournisseurs</a>
							</li>
							<li class="active">
								Détails de la banque
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<div class="form-body">
									<div id="form_div">
										<h5 class="form-header">
											<legend class="form-legend">
												Informations bancaires
											</legend>
										</h5>
										<div class="section-form">
											<div class="row">
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">BCNbr</label>
														<span id="bcnbr_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-xs-12 col-sm-6">
													<div class="form-group">
														<label class="control-label">Nom</label>
														<span id="nome_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">Par défaut?</label>
														<span id="predefinido_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>

											<div class="row mtm">
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">Address 1</label>
														<span id="address1_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">Address 2</label>
														<span id="address2_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">NPA/Localité</label>
														<span id="npa_localite_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
												<div class="col-xs-12 col-sm-3">
													<div class="form-group">
														<label class="control-label">Pays</label>
														<span id="pais_banco_fornecedor" style="display: block"></span>
													</div>
												</div>
											</div>
										</div>
									</div>									
								</div>

								<div class="form-footer">
									<div class="mtxl pull-right" id="btns-wrapper">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../../footer.php';	?>
		<?php include('../../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('detalhes_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.bancos_fornecedor_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {
				$(".fullscreen").fadeOut();
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});
			});

			$(document).ready(function() {
				//init elements
				$(".money").autoNumeric("init", {
					aSep : '\'',
					aDec : '.',
					aSign : ' CHF',
					pSign : 's',
					mDec : <?php echo $numDecimais; ?>
				});

				var idBanco = getParameterByName('banque');
				//fill infos
				fill_bank(idBanco);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}
		</script>
	</body>
</html>