<script type="text/javascript">
	/**
	 * Fill the base Accounts to be used as base
	 * @return select list
	 */
	function fill_details(idPlano){
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/contabilidade/plano-contas/detalhes.php',
			dataType : 'json',
			data : { idPlano : idPlano },
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							var dados = resposta.data;
							
							//PROCESS DETAILS
							if(dados.CodigoPai_Desc != '') $("#plano_contas_plano").html(dados.CodigoPai_Desc);
							else $("#plano_contas_plano").html('-');

							$("#codigo_plano").html(dados.Codigo);
							$("#descricao_plano").html(dados.Descricao);
							$("#categoria_plano").html(dados.PlanoCategoria);
							$("#subcategoria_plano").html(dados.SubCategoriaPlanoConta);

							if(dados.NomeImposto) $("#iva_plano").html(dados.NomeImposto);
							else $("#iva_plano").html('---');
							
							if(dados.ID_CobrancaIVA != '') $("#collect_plano").html(dados.ID_CobrancaIVA);
							else $("#collect_plano").html('-');
							
							if(dados.Ecriture != '') $("#ecriture_plano").html(dados.Ecriture);
							else $("#ecriture_plano").html('-');
						}
					}
				}
			},
			complete : function() {
			}
		});
	}
</script>