<script type="text/javascript">
	/**
	 * Fill the base Accounts to be used as base
	 * @return select list
	 */
	function fill_accounts(){
		var options = $("select#plano_contas_plano");
		$(options).empty();
		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 1
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$.each(resposta.data, function() {
								$(options).append($("<option />").val(this.id).html(this.descricao).attr('data-codigo-base', this.codigo) );
							});
						}
					}
				}
			},
			complete : function() {
				// $(options).val($("select#plano_contas_plano option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}

	/**
	 * Fill the next account code
	 * @return code
	 */
	function getNextAccountNumber(){
		var idPlano = $("select#plano_contas_plano").val();
		var lblCode = $('option:selected', $("select#plano_contas_plano") ).attr('data-codigo-base');

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			data : {
				opcao : 2,
				idPlano : idPlano
			},
			dataType : 'json',
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[SEL003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);

				} else {
					if (resposta.errors == true) {
						$.scojs_message("[SEL004] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$("#codigo_plano").val('');
							$("#lbl_codigo_plano").html('0000');

						} else {
							var dados = resposta.data[0];
							$("#codigo_plano").val(dados.code);
							$("#lbl_codigo_plano").html(lblCode);

							$("#categoria_plano").val(dados.cat);
							$("#categoria_plano").trigger('change');
							$("#subcategoria_plano").val(dados.subcat);
							$("#subcategoria_plano").trigger('change');
						}
					}
				}
			},
			complete : function() {	$("#descricao_plano").focus(); }
		});
	}

	/**
	 * Fill the ivas select
	 * @param  select id
	 * @return ivas
	 */
	function fill_ivas(){
		var options = $("select#iva_plano");
		$(options).empty();

		//get data
		$.ajax({
			type : 'POST',
			url : '/frifacturation/server/combobox/plano_contas.php',
			dataType : 'json',
			data : { 
				opcao: 5
			},
			success : function(resposta) {
				if (resposta == null) {
					$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
				} else {
					if (resposta.errors == true) {
						$.scojs_message("[FAT9999] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.data == null) {
							$(options).attr("disabled", true);

						} else {
							$(options).attr("disabled", false);

							$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionnez"));
							$(options).append($('<option />').val("").text("Sélectionnez"));

							// $(options).append($("<option />").val(0).text('-- Imposto --'));
							$.each(resposta.data, function() {
								$(options).append( $("<option />").val(this.ID_Imposto).html(this.Nome+': '+this.Valor+'%') );
							});
						}
					}
				}
			},
			complete : function() {
				// $(options).val($("select#iva_plano option:eq(1)").val());
				$(options).trigger('change');
			}
		});
	}
</script>