<?php
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo_gesfaturacao.php";
	include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpers.php';
	include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

	if ( hasPermission(['P0082']) == 1 ) {}
	else{
		header('Location: ../acces-refuse?redirectfrom=/frifacturation/vendeurs&redirectto=/frifacturation');
	}

	if ($_SESSION['mod_Contratos'] == 0) {
		header('Location: ../acces-fonctionnalites?redirectfrom=frifacturation&redirectto=/frifacturation');
	}
?>
<html>
	<title>Frifacturation | Modifier le Vendeur</title>
	<head>
		<?php include('../base/css.php') ?>
		<!-- ADDED CSS -->
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-datepicker/datepicker3.css">
		<!-- //ADDED CSS -->
	</head>
	<body>
		<?php include '../../modal_menu.php'; ?>
		<div class="container">
			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<a class="text-red only-ic" href="../vendeurs"><i class="fa fa-times"></i></a>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li>
								<a href="../vendeurs">Vendeurs</a>
							</li>
							<li class="active">
								Modifier vendeur
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-12">
								<form id="form_new" class="form-validate">
									<div class="form-body">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Données du vendeur
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code<span class="require">*</span></label>
															<input type="text" class="form-control" id="codigo_vendedor" name="codigo_vendedor" placeholder="..." disabled />
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Code Interne<span class="require">*</span></label>
															<input type="text" class="form-control" id="codigo_interno_vendedor" name="codigo_interno_vendedor" placeholder="..." value="<?php echo getNextID('Codigo_Interno', 'faturacao_vendedores') ?>" />
														</div>
													</div>
													<div class="col-sm-6">
														<div class="form-group">
															<label class="control-label">Nom Complet<span class="require">*</span></label>
															<input type="text" class="form-control" id="nome_vendedor" name="nome_vendedor" placeholder="..." autofocus="true" />
														</div>
													</div>
													<div class="col-sm-2">
														<div class="form-group">
															<label class="control-label">Téléphone</label>
															<input type="text" class="form-control" id="contacto_vendedor" name="contacto_vendedor" placeholder="..." />
														</div>
													</div>	
												</div>
											</div>
										</div>
									</div>

									<div class="form-footer">
										<div class="mtxl pull-right">
											<button class="btn btn-yellow submit_button" type="submit">
												<i class="fa fa-floppy-o"></i> Enregistrer
											</button>
											<a  href="../vendeurs" class="btn btn-default" type="button"> Annuler </a>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<?php include '../footer.php'; ?>
		<?php include('../base/scripts.php') ?>

		<!-- ADDED SCRIPTS -->
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>
		<script src="/js/fnReload.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<?php include('editar_scripts.php');  ?>
		<!-- //ADDED SCRIPTS -->

		<script>
			$(".navbar-nav li.contabilidade").addClass("active");
			$(".navbar-nav li.contabilidade li.vendedores_contabilidade").addClass("active");
		</script>
		<script type="text/javascript">
			var flagContaGeral = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});
			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});

			$(document).ready(function() {

				//fill necessary data
				var idVendedor = getParameterByName('vendeur');
				//fill infos
				fill_vendedor(idVendedor);
			});

			//get vars
			function getParameterByName(name, url) {
				if (!url)
					url = window.location.href;
				url = url.toLowerCase();
				// This is just to avoid case sensitiveness
				name = name.replace(/[\[\]]/g, "\\$&").toLowerCase();
				// This is just to avoid case sensitiveness for query parameter name
				var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
				if (!results)
					return null;
				if (!results[2])
					return '';
				return decodeURIComponent(results[2].replace(/\+/g, " "));
			}

			/**
			 * ----------------------------------------------------
			 * ----------------- FORM PROCESSING ------------------
			 * ----------------------------------------------------
			 */
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					nome_vendedor : {
						required : true,
					},
					codigo_interno_vendedor : {
						required : true,
					},
				},
				messages : {
					nome_vendedor : {
						required : "Ce champ est obligatoire"
					},
					codigo_interno_vendedor : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('select2')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();
				
				var idVendedor = getParameterByName('vendeur');

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {

					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/frifacturation/server/vendedores/editar.php',
						dataType : 'json',
						data : {
							idVendedor : idVendedor,
							nome_vendedor : $("#nome_vendedor").val(),
							codigo_interno_vendedor : $("#codigo_interno_vendedor").val(),
							contacto_vendedor : $("#contacto_vendedor").val(),	
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							if (resp.responseJSON.errors) {
								if (resp.responseJSON.usada) {
									$.scojs_message("[FAT002] Le code interne est déjà affecté. S'il vous plaît entrer un code différent.", $.scojs_message.TYPE_ERROR);
								}else{
									$.scojs_message("[FAT003] Erreur. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								}
							} else {
								$.scojs_message("Les données sont entrées avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../vendeurs";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>