<?php
$filename = 'config';

if (file_exists($filename)) {
	header('Location: ' . $filename);
}
include_once "server/connection.php";

//GET LOGO
$gb_brasao_img = '/img/brasao.png';

$querySpecial = "SELECT Logotipo from faturacao_empresa_dados LIMIT 1";
if ($stmt = $sqli_connection -> prepare($querySpecial)) {
	$stmt -> execute();
	$stmt -> bind_result($logotipoBrasaoDB);
	$stmt -> fetch();
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = 2;
	$response["message"] = "GESA0000x";
	die(json_encode($response));
}
// var_dump($logotipoBrasaoDB);
if($logotipoBrasaoDB != null && $logotipoBrasaoDB != ''){
	$gb_brasao_img = '/uploads/faturacao/'.$logotipoBrasaoDB;
}

?>
<html lang="pt">
	<head>
		<title>Frifacturation | Fricode</title>
		<meta charset="utf-8">
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>

		<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link type="text/css" rel="stylesheet" href="css/jquery-ui-1.10.4.custom.min.css">
		<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="css/sco.message.css">
		<link type="text/css" rel="stylesheet" href="css/style-responsive.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="css/orange-blue.css" >
		<link type="text/css" rel="stylesheet" href="css/gesautarquia.css" >

	</head>

	<body id="signin-page">

		<div align="center" class="fullscreen">
			<i class="fa fa-circle-o-notch fa-spin fa-5x fa-fw " style="margin-top: 20%"></i>
		</div>
		<div class="logo-div" align="center">
			<a href="/"><img src="/img/frifacturation.png" style="max-width: 250px;"/></a>
		</div>

		<h4 class="text-center mts"><b>&nbsp;</b></h4>
		<!-- <h4 class="text-center mts"><b>Logiciel de Facturation en Ligne</b></h4> -->
		<div class="page-form">
			<form id="form-login" >

				<div class="header-content">
						<h5 class="text-center text-white"><b>Bienvenue à Frifacturation</b></h5>
				</div>
				<div class="body-content">
					<div class="paxl" align="center"><img src="<?php echo $gb_brasao_img; ?>" style="max-height: 100px;max-width: 200px;"/>
					</div>
					<div class="form-group">
						<div class="input-icon">
							<i class="fa fa-user"></i>
							<input placeholder="Username" class="form-control" type="text" id="username" name="username" />
						</div>
					</div>
					<div class="form-group">
						<div class="input-icon">
							<i class="fa fa-lock"></i>
							<input placeholder="Password" class="form-control" type="password" id="password" name="password" />
						</div>
					</div>

					<div class="text-center col-md-12 ptl pbl">
						<button type="submit" class="btn btn-grey submit_button" >
							<i class="fa fa-sign-in"></i> Pour Entrer
						</button>
					</div>
					<div class="pbl">
						<a href="recuperer-mot-passe.php" class="options-link">Mot de passe oublié?</a>
					</div>
				</div>
			</form>

		</div>
		<p class="text-center">
			<b > <a href="http://www.fricode.ch" class="options-link" target="_blank">Frifacturation Software </a>développé par<a href="http://www.fricode.ch/" class="options-link" target="_blank">Fricode Software</a>© <?php echo date("Y"); ?> | Tous droits réservés. </b>
		</p>

		

	</body>
	<script src="js/jquery-1.10.2.min.js"></script>
	<script src="js/jquery-migrate-1.2.1.min.js"></script>
	<script src="js/jquery-ui.js"></script>
	<!--loading bootstrap js-->
	<script src="js/bootstrap.min.js"></script>
	<script src="js/jquery.validate.min.js"></script>
	<script src="js/vendors/sco.message/sco.message.js"></script>

	<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
	<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		
		$(document).ready(function() {
            $(".fullscreen").fadeOut();

		});
		$("#form-login").submit(function() {
			var invalid = "Le nom d'utilisateur et le mot de passe sont obligatoires.";
			var wrong = "Données d'accès incorrectes.";
			var error = " Une erreur s'est produite lors du traitement de la demande."
			var valid = $("#form-login").valid();
			if (!valid) {

				$.scojs_message(invalid, $.scojs_message.TYPE_ERROR);
				return;
			}
			$.ajax({
				type : "POST",
				url : "server/login.php",
				dataType : "json",
				data : {
					username : $("#username").val(),
					password : $("#password").val(),
				}
			}).done(function(resposta) {

				if (resposta.errors) {

					if (resposta.type) {
										switch (resposta.type) {
										case 1:
											$.scojs_message("[FTGP000] Remplissez tous les champs!", $.scojs_message.TYPE_ERROR);
										break;
										case 2:
											$.scojs_message("[FTGP000] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											break;
										case 3:
											$.scojs_message("Nom d'utilisateur ou mot de passe incorrect", $.scojs_message.TYPE_ERROR);
											break;
										case 4:
											$.scojs_message("Nom d'utilisateur ou mot de passe incorrect", $.scojs_message.TYPE_ERROR);
										break;
										case 10:
											$.scojs_message("Votre licence a expiré! Pour continuer, vous devez acquérir une nouvelle licence.", $.scojs_message.TYPE_ERROR);
										break;
										case 11:
											$.scojs_message("Votre licence est désactivée! Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
										break;
										default:
											$.scojs_message("[FTGP000] Une erreur s'est produite lors de l'exécution de l'opération. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
											break;
										}
								} else{

						$.scojs_message(resposta.message + resposta.type + error, $.scojs_message.TYPE_ERROR);

					}

				} else {

					window.location.href = "frifacturation";

				}
			});
			return false;
		});

		$("#form-login").validate({
			rules : {
				username : {
					required : true
				},
				password : {
					required : true
				}
			},
			messages : {
				username : {
					required : "Le nom d'utilisateur est requis"
				},
				password : {
					required : "Le mot de passe est requis"
				}
			}
		});

	</script>

</html>