<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
if ($_SESSION['tipo_utilizador'] == 1 || adminChecker($_SESSION['id_utilizador']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres&redirectto=/parametres');
}

?>
<html>
	<title>Taxes (TVA) | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link href="/js/vendors/bootstrap-fileinput/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
		<link type="text/css" rel="stylesheet" href="/js/vendors/iCheck/skins/all.css">
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>
			
			<!-- Novo Imposto -->
			<div id="modal-imposto" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-blue">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Nouvelle TVA</h4>
						</div>
						<form id="form_new_imposto" class="form-validate" novalidate="novalidate">
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="nome_imposto" id="nome_imposto" pattern="[0-9]+">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Valeur<span class="require">*</span></label>
											<input type="text" class="form-control percentage" name="valor_imposto" id="valor_imposto">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label>Prédéfini</label>
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="predefinir_imposto" id="predefinir_imposto" checked>
													Taxe prédéfinie ?
												</label>
											</div>
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Région<span class="require">*</span></label>
											<select class="form-control selectpicker show-tick"  data-header="Sélectionnez une option" id="regiao_imposto" name="regiao_imposto"  >
												<option value="CH">CH</option>
											</select>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Sous-classe de la taxe<span class="require">*</span></label>
											<select class="form-control selectpicker show-tick"  data-header="Sélectionnez une option" id="subclasse_imposto" name="subclasse_imposto"  >
												<option value="NOR">Taux Normal</option>
												<option value="INT">Taux Intermédiaire</option>
												<option value="RED">Taux Réduit</option>
												<option value="ISE">Exonéré</option>
											</select>
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Description</label>
											<input type="text" class="form-control" name="descricao_imposto" id="descricao_imposto">
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-blue submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>
			<!-- Editar Imposto -->
			<div id="modal-imposto-edit" tabindex="-1" role="dialog" aria-labelledby="modal-header-primary-label" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header modal-header-blue">
							<button type="button" data-dismiss="modal" aria-hidden="true" class="close">
								&times;
							</button>
							<h4 id="modal-header-primary-label" class="modal-title">Modifier la Taxe</h4>
						</div>
						<form id="form_new_impostoEditar" class="form-validate" novalidate="novalidate">
							<input type="hidden" value="" id="ModalEdit_ID_Imposto" />
							<div class="modal-body" style="overflow-y: visible;">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Nom<span class="require">*</span></label>
											<input type="text" class="form-control" name="ModalEdit_nome_imposto" id="ModalEdit_nome_imposto" pattern="[0-9]+">
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Valeur<span class="require">*</span></label>
											<input type="text" class="form-control percentage" name="ModalEdit_valor_imposto" id="ModalEdit_valor_imposto">
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label>Prédéfini</label>
											<div class="checkbox">
												<label>
													<input type="checkbox"  class="iCheck" name="ModalEdit_predefinir_imposto" id="ModalEdit_predefinir_imposto">
													Taxe Pré-définie ?
												</label>
											</div>
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Région<span class="require">*</span></label>
											<select class="form-control selectpicker show-tick"  data-header="Selecione uma opção" id="ModalEdit_regiao_imposto" name="ModalEdit_regiao_imposto"  >
												<option value="CH">CH</option>
											</select>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">Sous-classe de la taxe<span class="require">*</span></label>
											<select class="form-control selectpicker show-tick"  data-header="Selecione uma opção" id="ModalEdit_subclasse_imposto" name="ModalEdit_subclasse_imposto"  >
												<option value="NOR">Taux Normal</option>
												<option value="INT">Taux Intermédiaire</option>
												<option value="RED">Taux Réduit</option>
												<option value="ISE">Exonéré</option>
											</select>
										</div>
									</div>
								</div>
								<div class="row mtm">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">Description</label>
											<input type="text" class="form-control" name="ModalEdit_descricao_imposto" id="ModalEdit_descricao_imposto">
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<button  class="btn btn-blue submit_button" type="submit">
									<i class="fa fa-floppy-o"></i> Sauver
								</button>
								<button type="button" data-dismiss="modal" class="btn btn-default">
									Annuler
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-right" >
							<button type="button" data-target="#modal-imposto" data-toggle="modal" class="btn btn-blue btn-outlined btn-square"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nouvelle Taxe</button>
						</div>
						<ol class="breadcrumb page-breadcrumb" style=" min-height: 35px; vertical-align: middle;">
							<li class="active" style="margin-top: 5px;">
								Taxes (TVA)
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<div id="form_div">
										
			
											<div class="row">
												<div class="col-md-12">
													<table class="table table-bordered table-striped" id="impostosTable">
														<thead>
															<tr>
																<th>Nom</th>
																<th>Description</th>
																<th style="width: 70px;">Valeur</th>
																<th>Région</th>
																<th>Sous-classe</th>
																<th style="width: 90px;" class="text-center">Par Défaut</th>
																<th style="width: 80px;" class="text-center">Options</th>
															</tr>
														</thead>
													</table>
												</div>
										</div>											
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>

		<?php include '../footer.php'; ?>

		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/bootstrap-fileinput/plugins/canvas-to-blob.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput_locale_pt.js" type="text/javascript"></script>
		
		<script src="/js/vendors/iCheck/icheck.min.js"></script>

		<!-- <script>
			$(".navbar-nav li.faturacao").addClass("active");
		</script> -->
		<script>
			$(".navbar-nav li.impostos").addClass("active");
		</script>

		<script>
			var flagPredefinir = 1;
			var flagPredefinirEdit = 0;

			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {
				$(".fullscreen").fadeOut();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});
			});
			$(document).ready(function() {

				$("#form_new_imposto")[0].reset();

				$(".percentage").autoNumeric("init", {
					aSep : '.',
					aDec : ',',
					aSign : '  %',
					vMax : '100',
					pSign : 's'
				});

				/**
				 * @plugin Selectpicker
				 */
				$(".selectpicker").selectpicker({
					iconBase : 'fa',
					tickIcon : 'fa-check'
				});

				// iCheck ------------------------
				$('input:checkbox').attr("checked");
				$('input[type=checkbox]').iCheck({
					checkboxClass : 'icheckbox_flat-red',
					increaseArea : '20%' // optional
				});

				fill_impostos();
			});

			//flag novo
			$(document).on('ifChanged', 'input#predefinir_imposto', function(event) {
				if( $('input#predefinir_imposto').is(":checked") ) flagPredefinir = 1;
				else flagPredefinir = 0;
			});
			//flag edit
			$(document).on('ifChanged', 'input#ModalEdit_predefinir_imposto', function(event) {
				if( $('input#ModalEdit_predefinir_imposto').is(":checked") ) flagPredefinirEdit = 1;
				else flagPredefinirEdit = 0;
			});

			//load data
			function fill_impostos() {
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT003] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;
									$.each(dados, function() {
										//process icon
										if(this.Predefinido == 1){
											var predefinirFlag = '&nbsp;<i class="fa fa-check text-green" title="Pré-definido"></i>';
										}else{
											var predefinirFlag = '<a onClick="predefinirImposto('+this.ID_Imposto+')" class="options-link text-red" title="Pré-definir"><i class="fa fa-check-square-o"></i></a>';
										}
										//active or disabled
										if(this.Ativo == 1){
											var stateFlag = '<a onClick="alterState('+this.ID_Imposto+')" class="options-link text-violet" title="Desativar"><i class="fa fa-ban"></i></a>';
										}else{
											var stateFlag = '<a onClick="alterState('+this.ID_Imposto+')" class="options-link text-green" title="Ativar"><i class="fa fa-check-square-o"></i></a>';
										}
										//process used or not used
										if(this.Usado == 1){
											var editarBTN = '<span class="text-gray" style="margin: 4px;"><i class="fa fa-edit"></i></span>';
											var apagarBTN = '<span class="text-gray" style="margin: 4px;"><i class="fa fa-trash"></i></span>';
										}else{
											var editarBTN = '<a onClick="editarImposto('+this.ID_Imposto+')" class="options-link text-orange" title="Editar"><i class="fa fa-edit"></i></a>';
											var apagarBTN = '<a onClick="apagarImposto('+this.ID_Imposto+')" class="options-link text-red" title="Remover"><i class="fa fa-trash"></i></a>';
										}

										//html to add
										var htmlCode = '<tr>';
												htmlCode += '<td>';
													htmlCode += this.Nome;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Descricao;
												htmlCode += '</td>';
												htmlCode += '<td class="percentage">';
													htmlCode += this.Valor;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Regiao;
												htmlCode += '</td>';
												htmlCode += '<td>';
													htmlCode += this.Subclasse;
												htmlCode += '</td>';
												htmlCode += '<td class="text-center">';
													htmlCode += predefinirFlag;
												htmlCode += '</td>';
												htmlCode += '<td class="text-center">';
													htmlCode += stateFlag+'&nbsp;'+editarBTN+'&nbsp;'+apagarBTN;
												htmlCode += '</td>';
											htmlCode += '</tr>';

										//append
										$("#impostosTable").append(htmlCode);

										//remake percentage
										$(".percentage").autoNumeric("init", {
											aSep : '.',
											aDec : ',',
											aSign : '  %',
											vMax : '100',
											pSign : 's'
										});
									});
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//change Pré-definir
			function predefinirImposto(idImposto){
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_predefinir.php',
					dataType : 'json',
					data : {
						idImposto : idImposto
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Mise à jour de l'impôt avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			}

			//change Pré-definir
			function alterState(idImposto){
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_estado.php',
					dataType : 'json',
					data : {
						idImposto : idImposto
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Mise à jour de l'impôt avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						location.reload();
					}
				});
			}

			//change Pré-definir
			function apagarImposto(idImposto){
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_apagar.php',
					dataType : 'json',
					data : {
						idImposto : idImposto
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Il n'est pas possible de supprimer cette taxe. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Il n'est pas possible de supprimer cette taxe. Contactez l'administrateur.", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Taxe supprimée avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						//reload
						setTimeout(function() {
							location.reload();
						}, 1000);
					}
				});
			}

			//CONCLUIR imposto
			function editarImposto(idImposto) {
				//get Details
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_detalhes.php',
					data : {
						idImposto : idImposto
					},
					dataType : 'json',
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[TC001] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							$("input").attr("disabled", true);
							$("select").attr("disabled", true);
							$(".submit_button").attr("disabled", true);
							$("input:radio").iCheck("disable");

						} else {
							if (resposta.errors == true) {
								$.scojs_message("[TC002] Une erreur s'est produite. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
								$("input").attr("disabled", true);
								$("select").attr("disabled", true);
								$(".submit_button").attr("disabled", true);
								$("input:radio").iCheck("disable");
							} else {
								if (resposta.data != null) {
									var imposto = resposta.data;
									//fill the modal info
									$('#ModalEdit_ID_Imposto').val(idImposto);
									$('#ModalEdit_nome_imposto').val(imposto.Nome);
									$('#ModalEdit_valor_imposto').autoNumeric('set', imposto.Valor );

									if(imposto.Predefinido == 1) { $('#ModalEdit_predefinir_imposto').iCheck('check'); flagPredefinirEdit = 1; }
									else { $('#ModalEdit_predefinir_imposto').iCheck('uncheck'); flagPredefinirEdit = 0; }

									$('#ModalEdit_regiao_imposto').val(imposto.Regiao);
									$('#ModalEdit_regiao_imposto').selectpicker('refresh');
									$('#ModalEdit_subclasse_imposto').val(imposto.Subclasse);
									$('#ModalEdit_subclasse_imposto').selectpicker('refresh');
									$('#ModalEdit_descricao_imposto').val(imposto.Descricao);
								} else {
									//fill the modal info
									$('#ModalEdit_ID_Imposto').val('-');
									$('#ModalEdit_nome_imposto').val('-');
									$('#ModalEdit_valor_imposto').val('-');
									$('#ModalEdit_predefinir_imposto').val('-');
									$('#ModalEdit_regiao_imposto').val('-');
									$('#ModalEdit_subclasse_imposto').val('-');
									$('#ModalEdit_descricao_imposto').val('-');
								}
							}
						}
					},
					complete : function() {}
				});
				//open modal				
				$('#modal-imposto-edit').modal('show');
			}

			// ----------------- FORM PROCESSING ------------------
			/**
			 * Custom validators for letters and numbers only.  Uppercase/lowercase letters and numbers (0-9).
			 */
			$.validator.addMethod("lettersAndNumbersOnly", function (value, element) {
			    return this.optional(element) || /^[a-zA-Z0-9-]+$/i.test(value);
			}, "Entrez uniquement des lettres et des chiffres.");
			/**
			 * Validate Percentage
			 */
			$.validator.addMethod("percentageValidation", function (value, element) {
				var valor_imposto = $("#valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");
			/**
			 * Validate Percentage2
			 */
			$.validator.addMethod("percentageValidation2", function (value, element) {
				var valor_imposto = $("#ModalEdit_valor_imposto").autoNumeric('get');
				if(valor_imposto >= 0 && valor_imposto != '') return true;
				else return false;
			}, "Entrez un pourcentage valide.");

			val_form_new = $("#form_new_imposto").validate({
				ignore : "",
				rules : {
					nome_imposto : {
						required : true,
						lettersAndNumbersOnly : true
					},
					valor_imposto : {
						required : true,
						percentageValidation : true
					},
					regiao_imposto : {
						required : true
					},
					subclasse_imposto : {
						required : true
					},
				},
				messages : {
					nome_imposto : {
						required : "Ce champ est obligatoire"
					},
					valor_imposto : {
						required : "Ce champ est obligatoire"
					},
					regiao_imposto : {
						required : "Ce champ est obligatoire"
					},
					subclasse_imposto : {
						required : "Ce champ est obligatoire"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

		//check validation and submit
		$("#form_new_imposto").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_imposto").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_imposto").find('.submit_button').attr("disabled", true);
				$("#form_new_imposto").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_inserir.php',
					dataType : 'json',
					data : {
						nome_imposto : $("#nome_imposto").val(),
						valor_imposto : $("#valor_imposto").autoNumeric('get'),
						regiao_imposto : $("#regiao_imposto").val(),
						subclasse_imposto : $("#subclasse_imposto").val(),
						descricao_imposto : $("#descricao_imposto").val(),
						flagPredefinir : flagPredefinir,
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Les données ont été insérées avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								window.location.href = "../facturation/impostos";
							}, 1000);
						}
						$("#form_new_imposto").find('.submit_button').attr("disabled", false);
						$("#form_new_imposto").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					}
				});
			}
		});

		/**
		 * -----------------------------------------
		 * 				EDITION FORM
		 * -----------------------------------------
		 */
		val_form_new2 = $("#form_new_impostoEditar").validate({
			ignore : "",
			rules : {
				ModalEdit_nome_imposto : {
					required : true,
					lettersAndNumbersOnly : true
				},
				ModalEdit_valor_imposto : {
					required : true,
					percentageValidation2 : true
				},
				ModalEdit_regiao_imposto : {
					required : true
				},
				ModalEdit_subclasse_imposto : {
					required : true
				},
			},
			messages : {
				ModalEdit_nome_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_valor_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_regiao_imposto : {
					required : "Ce champ est obligatoire"
				},
				ModalEdit_subclasse_imposto : {
					required : "Ce champ est obligatoire"
				},
			},
			highlight : function(element, errorClass, validClass) {
				$(element).addClass(errorClass).removeClass(validClass);
			},
			unhighlight : function(element, errorClass, validClass) {
				$(element).removeClass(errorClass).addClass(validClass);
			},
			errorPlacement : function(error, element) {
				if (element.hasClass('selectpicker')) {
					if (element.parent().hasClass("input-group"))
						error.insertAfter(element.parent());
					else
						error.insertAfter(element.next("div"));
				} else {
					error.insertAfter(element);
				}
			}
		});

		//check validation and submit
		$("#form_new_impostoEditar").submit(function(e) {
			e.preventDefault();

			var valid = $("#form_new_impostoEditar").valid();
			if (valid == false) {
				$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
			} else {

				$("#form_new_impostoEditar").find('.submit_button').attr("disabled", true);
				$("#form_new_impostoEditar").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

				//submite the form
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/impostos_editar.php',
					dataType : 'json',
					data : {
						id_imposto : $("#ModalEdit_ID_Imposto").val(),
						nome_imposto : $("#ModalEdit_nome_imposto").val(),
						valor_imposto : $("#ModalEdit_valor_imposto").autoNumeric('get'),
						regiao_imposto : $("#ModalEdit_regiao_imposto").val(),
						subclasse_imposto : $("#ModalEdit_subclasse_imposto").val(),
						descricao_imposto : $("#ModalEdit_descricao_imposto").val(),
						flagPredefinirEdit : flagPredefinirEdit,
					},
					success : function(resposta) {
						var resp = resposta;
						if (resposta == null)
							$.scojs_message("[FAT001] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						else {
							if (resposta.errors) {
								$.scojs_message("[FAT002] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							}
						}
					},
					complete : function(resposta) {
						var resp = resposta;
						console.log(resp);
						if (resp.responseJSON.errors) {
							$.scojs_message("[FAT003] Une erreur s'est produite lors de l'insertion des données. Contactez l'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
							//reload
							setTimeout(function() {
								window.location.href = "../facturation/impostos";
							}, 1000);
						}
						$("#form_new_impostoEditar").find('.submit_button').attr("disabled", false);
						$("#form_new_impostoEditar").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
					}
				});
			}
		});
		</script>
	</body>
</html>