<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0006']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/facturation&redirectto=/parametres');
}

?>
<html>
	<title>Facturacion | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">
		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-left pas">
                            Facturacion
                        </div>
                        <div align="right">&nbsp;</div>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-9">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Designação da empresa</label>
													<span id="nome_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 col-md-6">
												<div class="form-group">
													<label class="control-label">Contribuinte</label>
													<span id="nif_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 col-md-6">
												<div class="form-group">
													<label class="control-label">Nº Registo Comercial</label>
													<span id="registocomercial_empresa" style="display: block"></span>
												</div>
											</div>
											<!-- <div class="col-xs-12 col-md-6">
												<div class="form-group">
													<label class="control-label">Tipo de Empresa</label>
													<span id="tipo_empresa" style="display: block"></span>
												</div>
											</div> -->
											<div class="col-xs-12 mtm">
												<div class="form-group">
													<label class="control-label">Morada</label>
													<span id="endereco_empresa" style="display: block"></span>
													<span id="endereco2_empresa" style="display: block"></span>
													<span id="codigopostal_empresa" style="display: inline-block"></span>&nbsp;
													<span id="cidade_empresa" style="display: inline-block"></span>
												</div>
											</div>
											<div class="col-xs-12 mtm">
												<div class="form-group">
													<label class="control-label">Email Geral</label>
													<span id="email_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 col-md-6">
												<div class="form-group">
													<label class="control-label">Telefone</label>
													<span id="telefone_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 col-md-6">
												<div class="form-group">
													<label class="control-label">Fax</label>
													<span id="fax_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 mtm">
												<div class="form-group">
													<label class="control-label">Norma Contabilística</label>
													<span id="norma_contabilistica_empresa" style="display: block"></span>
												</div>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-xs-12" id="logotipoWrapper" style="display: none;">
												<div class="form-group">
													<img id="logotipo_empresa" src="#" alt="Logotipo Empresa" style="max-width: 150px; max-height: 150px;" />
												</div>
											</div>	
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Website URL</label>
													<span id="website_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Capital Social</label>
													<span id="capital_empresa" class="money" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Conservatória</label>
													<span id="conservatoria_empresa" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 mtm">
												<div class="form-group">
													<label class="control-label">CAE Principal</label>
													<span id="cae_empresa" style="display: block"></span>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!-- <div class="col-md-3">
								<h4 class="text-center"><b><i class="fa fa-gears"></i>&nbsp;&nbsp;Definições</b></h4>
								<ul class="nav nav-pills nav-stacked bg-blue" >
									<li class="">
										<a href="donnes_societe"><i style="min-width: 15px;" class="fa fa-building-o"></i>&nbsp;&nbsp;Dados da Empresa</a>
									</li>
									<li class="">
										<a href="personalizar"><i style="min-width: 15px;" class="fa fa-file-text-o"></i>&nbsp;&nbsp;Personalizar Documentos</a>
									</li>
									<li class="">
										<a href="series"><i style="min-width: 15px;" class="fa fa-list-ol"></i>&nbsp;&nbsp;Séries dos Documentos</a>
									</li>
									<li class="">
										<a href="impostos"><i style="min-width: 15px;" class="fa fa-eur"></i>&nbsp;&nbsp;Impostos (IVA's)</a>
									</li>
									<!-- <li class="">
										<a href="parametres"><i style="min-width: 15px;" class="fa fa-gear"></i>&nbsp;&nbsp;Outras Definições</a>
									</li> ->
									<li class="">
										<a href="information"><i style="min-width: 15px;" class="fa fa-info-circle"></i>&nbsp;&nbsp;Informação</a>
									</li>
								</ul>
							</div> -->
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

	<?php include '../footer.php';	?>
	<!-- BASE SCRIPTS -->
	<script src="/js/jquery-1.11.3.min.js"></script>
	<script src="/js/jquery-migrate-1.2.1.min.js"></script>
	<script src="/js/bootstrap.min.js"></script>
	<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
	<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
	<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
	<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
	<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
	<script src="/js/vendors/sco.message/sco.message.js"></script>
	<script src="/js/fnReload.js"></script>

	<script src="/js/autoNumeric.js"></script>
	
	<script>
		$(".navbar-nav li.faturacao").addClass("active");
	</script>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});
		$(document).ready(function() {
			$(".fullscreen").fadeOut();
		});

		$(document).ready(function() {

			fill_dados();
		});


		//load data
		function fill_dados() {
			$.ajax({
				type : 'POST',
				url : '/server/faturacao/dados_empresa.php',
				dataType : 'json',
				data : {},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null) {
								$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								var dados = resposta.data;

								$("#nome_empresa").html(dados.Designacao);
								$("#nif_empresa").html(dados.Nif);
								$("#registocomercial_empresa").html(dados.RegistoComercial);
								$("#endereco_empresa").html(dados.Endereco1);
								$("#endereco2_empresa").html(dados.Endereco2);
								$("#codigopostal_empresa").html(dados.CodigoPostal);
								$("#cidade_empresa").html(dados.Cidade);
								if(dados.TipoEmpresa == 1) $("#tipo_empresa").html('Retalho'); else $("#tipo_empresa").html('Serviços');
								$("#email_empresa").html(dados.Email);
								$("#website_empresa").html(dados.Website);
								$("#conservatoria_empresa").html(dados.Conservatoria);
								$("#telefone_empresa").html(dados.Telefone);
								$("#fax_empresa").html(dados.Fax);
								$("#capital_empresa").html(dados.CapitalSocial);
								$("#norma_contabilistica_empresa").html(dados.NormaContabilistica+' - '+dados.NormaExtenso);
								$("#cae_empresa").html(dados.CAE_Principal);
								//init elements
								$(".money").autoNumeric("init", {
									aSep : '.',
									aDec : ',',
									aSign : ' €',
									pSign : 's'
								});
								if(dados.Logotipo) {
									$("#logotipo_empresa").attr('src',"/uploads/faturacao/"+dados.Logotipo);
									$("#logotipoWrapper").show();
								}
							}
						}
					}
				},
				complete : function() {
				}
			});
		}
	</script>
</html>