<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0010']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/facturation/information&redirectto=/parametres');
}
?>
<html>
	<title>Information | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">
		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">
		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">
		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <!-- <div class="pull-right" >
							<a class="text-red only-ic" href="../facturation"><i class="fa fa-times"></i></a>
						</div> -->
						<ol class="breadcrumb page-breadcrumb">
							<li class="active">
								Information
							</li>
						</ol>
                    </div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<div class="col-xs-12">
												<h4>Identification du producteur</h4>
											</div>
										</div>
										<div class="row mtm">
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Nom</label>
													<span id="nome_produtor" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12 hide">
												<div class="form-group">
													<label class="control-label">TVA</label>
													<span id="nif_produtor" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Email</label>
													<span id="email_produtor" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Contact</label>
													<span id="contacto_produtor" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Site Internet</label>
													<span id="website_produtor" style="display: block"></span>
												</div>
											</div>
											<!--<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Header Comment</label>
													<span id="header_produtor" style="display: block"></span>
												</div>
											</div>-->
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-xs-12">
												<h4>Identification du Software</h4>
											</div>
										</div>
										<div class="row mtm">
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Désignation</label>
													<span id="designacao_software" style="display: block"></span>
												</div>
											</div>
											<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Version Software</label>
													<span id="versao_software" style="display: block"></span>
												</div>
											</div>
											<!--<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Nº Certificado AT</label>
													<span id="certificado_software" style="display: block"></span>
												</div>
											</div>-->
											<!--<div class="col-xs-12">
												<div class="form-group">
													<label class="control-label">Versão Ficheiro SAF-T PT</label>
													<span id="saft_software" style="display: block"></span>
												</div>
											</div>-->
										</div>

										<!--<div class="row mtl pull-right">
											<div class="col-md-12">
												<a class="btn btn-default" href="../facturation"> Annuler
												 </a>
											</div>
										</div>-->
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

	<?php include '../footer.php';	?>
	<!-- BASE SCRIPTS -->
	<script src="/js/jquery-1.11.3.min.js"></script>
	<script src="/js/jquery-migrate-1.2.1.min.js"></script>
	<script src="/js/bootstrap.min.js"></script>
	<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
	<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
	<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
	<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
	<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
	<script src="/js/vendors/sco.message/sco.message.js"></script>
	<script src="/js/fnReload.js"></script>

	<script src="/js/autoNumeric.js"></script>
	
	<!-- <script>
		$(".navbar-nav li.faturacao").addClass("active");
	</script> -->
	<script>
		$(".navbar-nav li.sobre").addClass("active");
	</script>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});
		$(document).ready(function() {
			$(".fullscreen").fadeOut();
		});

		$(document).ready(function() {

			fill_dados();
		});


		//load data
		function fill_dados() {
			$.ajax({
				type : 'POST',
				url : '/server/faturacao/sobre.php',
				dataType : 'json',
				data : {},
				success : function(resposta) {
					if (resposta == null) {
						$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
					} else {
						if (resposta.errors == true) {
							$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.data == null) {
								$.scojs_message("[FTGA9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								var dados = resposta.data;

								$("#nome_produtor").html(dados.Nome_Produtor);
								$("#nif_produtor").html(dados.Nif_Produtor);
								$("#email_produtor").html(dados.Email);
								$("#contacto_produtor").html(dados.Telefone);
								$("#website_produtor").html(dados.Website);
								$("#header_produtor").html(dados.Header_Comment);
								$("#designacao_software").html(dados.ID_Software);
								$("#versao_software").html(dados.Versao);
								$("#certificado_software").html(dados.N_Certificado_AT);
								$("#saft_software").html(dados.Versao_SAFT_Atual);
							}
						}
					}
				},
				complete : function() {
				}
			});
		}
	</script>
</html>