<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0007']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/facturation/personnaliser&redirectto=/parametres');
}


	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../acces-refuse?redirectfrom=parametres&redirectto=/frifacturation');
	}
?>
<html>
	<title>Personnaliser les Documents | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link href="/js/vendors/bootstrap-fileinput/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						<!--<div class="pull-right" >
							<a class="text-red only-ic" href="../facturation"><i class="fa fa-times"></i></a>
						</div>-->
						<ol class="breadcrumb page-breadcrumb">
							<li class="active">
								Personnaliser les Documents
							</li>
						</ol>
					</div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<form id="form_new" class="form-validate" novalidate="novalidate">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Paramètres Généraux
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-12">
														<div class="row">
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Méthode de Paiement (par défaut)</label>
																	<select class="form-control selectpicker show-tick" id="metodo_pagamento" name="metodo_pagamento"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Conditions de paiement (par défaut)</label>
																	<select name="vencimento" id="vencimento" class="form-control selectpicker show-tick">
																		<option value="0">Prêt paiement</option>
																		<option value="10">10 jours</option>
																		<option value="20">20 jours</option>
																		<option value="30">30 jours</option>
																		<option value="60">60 jours</option>
																		<option value="90">90 jours</option>
																	</select>
																</div>
															</div>
															<!--<div class="col-xs-12">
																<div class="form-group">
																	<label class="control-label">Razão de isenção de IVA (Padrão)</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true"  data-header="Sélectionner" id="tipo_isencao" name="tipo_isencao"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>-->
															<div class="col-xs-12 hide">
																<div class="form-group">
																	<label class="control-label">IBAN</label>
																	<input class="form-control" type="text" id="iban" name="iban" />
																</div>
															</div>
															<div class="col-xs-12 hide">
																<div class="form-group">
																	<label class="control-label">SWIFT</label>
																	<input class="form-control" type="text" id="swift" name="swift" />
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-xs-12 hide">
																<div class="form-group">
																	<label class="control-label">Notes (par défaut)</label>
																	<input class="form-control" type="text" id="observacoes" name="observacoes" />
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label class="control-label">Pied de Page des Documents</label>
																	<input class="form-control" type="text" id="rodape" name="rodape" />
																</div>
															</div>
															<div class="col-md-12 col-md-12 hide">
																<div class="form-group">
																	<label class="control-label">Nº Copies (par défaut)</label>
																	<select name="numero_copias" id="numero_copias" class="form-control">
																		<option value="1">Original</option>
																		<option value="2">em Duplicado</option>
																		<option value="3">em Triplicado</option>
																		<option value="4">em Quadriplicado</option>
																	</select>
																</div>
															</div>
														</div>

														<div class="row"><div class="col-xs-12"><hr></div></div>

														<div class="row">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label class="control-label">Unité de mesure</label>
																	<select name="unidades_medida" id="unidades_medida" class="form-control selectpicker show-tick">
																		<option value="0">Non</option>
																		<option value="1">Oui</option>
																	</select>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label class="control-label">Nombre de décimales</label>
																	<select name="num_casas_decimais" id="num_casas_decimais" class="form-control selectpicker show-tick">
																		<option value="2">2</option>
																		<!-- <option value="3">3</option> -->
																		<option value="4">4</option>
																	</select>
																</div>
															</div>
														</div>

														<div class="row"><div class="col-xs-12"><hr></div></div>

														<div class="row">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label class="control-label">Valeur de stock minimum</label>
																	<input class="form-control" type="number" id="stockminimo" name="stockminimo" />
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label class="control-label">Email de réception</label>
																	<input class="form-control" type="email" id="emailrececaostocks" name="emailrececaostocks" />
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Plans de Compte par défaut
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-12">
														<div class="row">
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Clients</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_cliente" name="plano_cliente"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Fournisseurs</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_fornecedor" name="plano_fornecedor"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Articles (Impôt Chiffre)</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_artigo_chiffre" name="plano_artigo_chiffre"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Articles (Impôt préalable)</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_artigo_prealable" name="plano_artigo_prealable"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Taxes (TVA)</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_imposto" name="plano_imposto"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
															<div class="col-md-12 col-md-6">
																<div class="form-group">
																	<label class="control-label">Banques</label>
																	<select class="form-control selectpicker show-tick" data-live-search="true" id="plano_banco" name="plano_banco"  >
																		<option value="" data-hidden="true">Sélectionner</option>
																	</select>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Numéro Initial par défaut
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Num. Initial C. Licence<span class="require">*</span></label>
															<input type="number" class="form-control" name="numero_serie_clic_edit" id="numero_serie_clic_edit" value="1" min="1">
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Num. Initial C. Location<span class="require">*</span></label>
															<input type="number" class="form-control" name="numero_serie_cloc_edit" id="numero_serie_cloc_edit" value="1" min="1">
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Num. Initial C. D'entretien<span class="require">*</span></label>
															<input type="number" class="form-control" name="numero_serie_ccon_edit" id="numero_serie_ccon_edit" value="1" min="1">
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Num. Initial C. D'achat<span class="require">*</span></label>
															<input type="number" class="form-control" name="numero_serie_cach_edit" id="numero_serie_cach_edit" value="1" min="1">
														</div>
													</div>
													<div class="col-md-3">
														<div class="form-group">
															<label class="control-label">Num. Initial Rapports de Travail<span class="require">*</span></label>
															<input type="number" class="form-control" name="numero_serie_rt_edit" id="numero_serie_rt_edit" value="1" min="1">
														</div>
													</div>
												</div>
											</div>

											<h5 class="form-header">
												<legend class="form-legend">
													Webservices: Paramètres généraux
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12 col-sm-4">
														<div class="form-group">
															<label class="control-label">Série</label>
															<select class="form-control selectpicker show-tick" data-live-search="true" id="serie_ws" name="serie_ws"  >
																<option value="" data-hidden="true">Sélectionner</option>
															</select>
														</div>
													</div>
													<div class="col-xs-12 col-sm-4">
														<div class="form-group">
															<label class="control-label">Méthode de Paiement</label>
															<select class="form-control selectpicker show-tick" id="metodo_pagamento_ws" name="metodo_pagamento_ws"  >
																<option value="" data-hidden="true">Sélectionner</option>
															</select>
														</div>
													</div>
													<div class="col-xs-12 col-sm-4">
														<div class="form-group">
															<label class="control-label">Banque</label>
															<select class="form-control selectpicker show-tick" data-live-search="true" id="banco_ws" name="banco_ws"  >
																<option value="" data-hidden="true">Sélectionner</option>
															</select>
														</div>
													</div>
												</div>
											</div>
											
											<div class="form-footer mtl">
												<div class="row pull-right">
													<div class="col-md-12 ">
														<button class="btn btn-green submit_button" type="submit" data-flag="1" id="save_leave">
															<i class="fa fa-floppy-o"></i> Enregistrer
														</button>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>

		<?php include '../footer.php'; ?>

		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/bootstrap-fileinput/plugins/canvas-to-blob.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput_locale_pt.js" type="text/javascript"></script>

		<!-- <script>
			$(".navbar-nav li.faturacao").addClass("active");
		</script> -->
		<script>
			$(".navbar-nav li.personalizar").addClass("active");
			$(".navbar-nav li.personalizar li.personalizar_documents").addClass("active");
		</script>

		<script>
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});
			$(document).ready(function() {

				$("#form_new")[0].reset();

				/**
				 * @plugin Selectpicker
				 */
				$(".selectpicker").selectpicker({
					iconBase : 'fa',
					tickIcon : 'fa-check'
				});

				// $("#telefone_empresa").ForceNumericOnly();
				
				fill_dados();
			});

			//load data
			function fill_dados() {
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/personalizar.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;

									// $("#metodo_pagamento").val(dados.MetodoPagamento);
									// $("#tipo_isencao").val(dados.RazaoIsencao);
									$("#observacoes").val(dados.Observacoes);
									$("#rodape").val(dados.Rodape);
									$("#numero_copias").val(dados.NumeroCopias);
									$("#vencimento").val(dados.Vencimento);
									$("#vencimento").selectpicker('refresh');
									$("#iban").val(dados.Iban);
									$("#swift").val(dados.Swift);
									$("#unidades_medida").val(dados.UnidadesMedida);
									$("#num_casas_decimais").val(dados.NumCasasDecimais);
									$("#unidades_medida").selectpicker('refresh');
									$("#num_casas_decimais").selectpicker('refresh');

									$("#stockminimo").val(dados.StockMinimo);
									$("#emailrececaostocks").val(dados.EmailRececaoStock);

									$("#numero_serie_clic_edit").val(dados.NumeroInicialCLIC);
									$("#numero_serie_cloc_edit").val(dados.NumeroInicialCLOC);
									$("#numero_serie_ccon_edit").val(dados.NumeroInicialCCON);
									$("#numero_serie_cach_edit").val(dados.NumeroInicialCACH);
									$("#numero_serie_rt_edit").val(dados.NumeroInicialRT);

									fill_metodos(dados.MetodoPagamento, dados.MetodoPagamentoWebservices);
									fill_isencoes(dados.RazaoIsencao);

									fill_contas(dados.PlanosDefeito.cliente, dados.PlanosDefeito.fornecedor, dados.PlanosDefeito.artigo_chiffre, dados.PlanosDefeito.artigo_prealable, dados.PlanosDefeito.imposto, dados.PlanosDefeito.banco);

									fill_series(dados.SerieWebservices);
									fill_bancos(dados.BancoWebservices);
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			//get metodos
			function fill_metodos(lastID = 0,lastID2 = 0) {
				var options = $("select#metodo_pagamento");
				$(options).empty();

				var options2 = $("select#metodo_pagamento_ws");
				$(options2).empty();

				$.ajax({
					type : 'POST',
					url : '/server/faturacao/metodos_pagamento.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);
									$(options2).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);
									$(options2).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionner"));
									$(options2).append($('<option data-hidden="true"/>').val("").text("Sélectionner"));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.ID).html(this.Descricao));
										$(options2).append($("<option />").val(this.ID).html(this.Descricao));
									});
								}
							}
						}
					},
					complete : function() {
						if(lastID != 0) $(options).val(lastID);
						else $(options).val($("select#metodo_pagamento option:eq(1)").val());

						if(lastID2 != 0) $(options2).val(lastID2);
						else $(options2).val($("select#metodo_pagamento_ws option:eq(1)").val());

						$(options).selectpicker('refresh');
						$(options2).selectpicker('refresh');
					}
				});
			}

			//get isencoes
			function fill_isencoes(lastID = 0) {
				var options = $("select#tipo_isencao");
				$(options).empty();
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/motivos_isencao.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionner"));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.ID).html(this.Codigo+" - "+this.Descricao));

									});
								}
							}
						}
					},
					complete : function() {
						if(lastID != 0) $(options).val(lastID);
						else $(options).val($("select#tipo_isencao option:eq(1)").val());
						$(options).selectpicker('refresh');
					}
				});
			}

			//get plans
			function fill_contas(lastID_Cliente = 0, lastID_Fornecedor = 0, lastID_ArtigoChiffre = 0, lastID_ArtigoPrealable = 0, lastID_Imposto = 0, lastID_Banco = 0) {
				var options1 = $("select#plano_cliente");
				var options2 = $("select#plano_fornecedor");
				var options3 = $("select#plano_artigo_chiffre");
				var options4 = $("select#plano_artigo_prealable");
				var options5 = $("select#plano_imposto");
				var options6 = $("select#plano_banco");
				$(options1).empty();
				$(options2).empty();
				$(options3).empty();
				$(options4).empty();
				$(options5).empty();
				$(options6).empty();
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/plano_contas.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options1).attr("disabled", true);
									$(options2).attr("disabled", true);
									$(options3).attr("disabled", true);
									$(options4).attr("disabled", true);
									$(options5).attr("disabled", true);
									$(options6).attr("disabled", true);

								} else {
									$(options1).attr("disabled", false);
									$(options2).attr("disabled", false);
									$(options3).attr("disabled", false);
									$(options4).attr("disabled", false);
									$(options5).attr("disabled", false);
									$(options6).attr("disabled", false);

									$(options1).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									$(options2).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									$(options3).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									$(options4).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									$(options5).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									$(options6).append($('<option data-hidden="true"/>').val("").text("Rien Sélectionné"));
									
									$.each(resposta.data, function() {
										$(options1).append($("<option />").val(this.codigo).html(this.descricao));
										$(options2).append($("<option />").val(this.codigo).html(this.descricao));
										$(options3).append($("<option />").val(this.codigo).html(this.descricao));
										$(options4).append($("<option />").val(this.codigo).html(this.descricao));
										$(options5).append($("<option />").val(this.codigo).html(this.descricao));
										$(options6).append($("<option />").val(this.codigo).html(this.descricao));

									});
								}
							}
						}
					},
					complete : function() {
						if(lastID_Cliente != 0) $(options1).val(lastID_Cliente);
						else $(options1).val("");
						if(lastID_Fornecedor != 0) $(options2).val(lastID_Fornecedor);
						else $(options2).val("");
						if(lastID_ArtigoChiffre != 0) $(options3).val(lastID_ArtigoChiffre);
						else $(options3).val("");
						if(lastID_ArtigoPrealable != 0) $(options4).val(lastID_ArtigoPrealable);
						else $(options4).val("");
						if(lastID_Imposto != 0) $(options5).val(lastID_Imposto);
						else $(options5).val("");
						if(lastID_Banco != 0) $(options6).val(lastID_Banco);
						else $(options6).val("");
						$(options1).selectpicker('refresh');
						$(options2).selectpicker('refresh');
						$(options3).selectpicker('refresh');
						$(options4).selectpicker('refresh');
						$(options5).selectpicker('refresh');
						$(options6).selectpicker('refresh');
					}
				});
			}

			//get series
			function fill_series(lastID = 0) {
				var options = $("select#serie_ws");
				$(options).empty();
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/series.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionner"));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.ID_Serie).html(this.Nome));
									});
								}
							}
						}
					},
					complete : function() {
						if(lastID != 0) $(options).val(lastID);
						else $(options).val($("select#serie_ws option:eq(1)").val());
						$(options).selectpicker('refresh');
					}
				});
			}

			//get bancos
			function fill_bancos(lastID = 0) {
				var options = $("select#banco_ws");
				$(options).empty();
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/bancos.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$(options).attr("disabled", true);

								} else {
									$(options).attr("disabled", false);

									$(options).append($('<option data-hidden="true"/>').val("").text("Sélectionner"));
									$.each(resposta.data, function() {
										$(options).append($("<option />").val(this.ID_Banco).html(this.Nome));
									});
								}
							}
						}
					},
					complete : function() {
						if(lastID != 0) $(options).val(lastID);
						else $(options).val($("select#banco_ws option:eq(1)").val());
						$(options).selectpicker('refresh');
					}
				});
			}

			// ----------------- FORM PROCESSING ------------------
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
					numero_serie_clic_edit : {
						required : true,
						min : 1
					},
					numero_serie_cloc_edit : {
						required : true,
						min : 1
					},
					numero_serie_ccon_edit : {
						required : true,
						min : 1
					},
					numero_serie_cach_edit : {
						required : true,
						min : 1
					},
					numero_serie_rt_edit : {
						required : true,
						min : 1
					},
				},
				messages : {
					numero_serie_clic_edit : {
						required : "Ce champ est obligatoire",
						min : "La valeur minimale est 1"
					},
					numero_serie_cloc_edit : {
						required : "Ce champ est obligatoire",
						min : "La valeur minimale est 1"
					},
					numero_serie_ccon_edit : {
						required : "Ce champ est obligatoire",
						min : "La valeur minimale est 1"
					},
					numero_serie_cach_edit : {
						required : "Ce champ est obligatoire",
						min : "La valeur minimale est 1"
					},
					numero_serie_rt_edit : {
						required : "Ce champ est obligatoire",
						min : "La valeur minimale est 1"
					},
				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {


					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/server/faturacao/personalizar_editar.php',
						dataType : 'json',
						data : {
							metodo_pagamento : $("#metodo_pagamento").val(),
							tipo_isencao : $("#tipo_isencao").val(),
							iban : $("#iban").val(),
							swift : $("#swift").val(),
							observacoes : $("#observacoes").val(),
							rodape : $("#rodape").val(),
							numero_copias : $("#numero_copias").val(),
							vencimento : $("#vencimento").val(),
							
							unidades_medida : $("#unidades_medida").val(),
							num_casas_decimais : $("#num_casas_decimais").val(),

							stockminimo : $("#stockminimo").val(),
							emailrececaostocks : $("#emailrececaostocks").val(),
							
							plano_cliente : $("#plano_cliente").val(),
							plano_fornecedor : $("#plano_fornecedor").val(),
							plano_artigo_chiffre : $("#plano_artigo_chiffre").val(),
							plano_artigo_prealable : $("#plano_artigo_prealable").val(),
							plano_imposto : $("#plano_imposto").val(),
							plano_banco : $("#plano_banco").val(),

							serie_ws : $("#serie_ws").val(),
							metodo_ws : $("#metodo_pagamento_ws").val(),
							banco_ws : $("#banco_ws").val(),

							numero_serie_clic : $("#numero_serie_clic_edit").val(),
							numero_serie_cloc : $("#numero_serie_cloc_edit").val(),
							numero_serie_ccon : $("#numero_serie_ccon_edit").val(),
							numero_serie_cach : $("#numero_serie_cach_edit").val(),
							numero_serie_rt : $("#numero_serie_rt_edit").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							console.log(resp);
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									window.location.href = "../facturation/personnaliser";
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>