<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0007']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/facturation/personnaliser&redirectto=/parametres');
}


	if ($_SESSION['mod_Contabilidade'] == 0) {
		header('Location: ../acces-refuse?redirectfrom=parametres&redirectto=/frifacturation');
	}
?>
<html>
	<title>Position BVR | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link href="/js/vendors/bootstrap-fileinput/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php include '../menu.php'; ?>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						<!--<div class="pull-right" >
							<a class="text-red only-ic" href="../facturation"><i class="fa fa-times"></i></a>
						</div>-->
						<ol class="breadcrumb page-breadcrumb">
							<li class="active">
								Position BVR
							</li>
						</ol>
					</div>
					<div class="panel-body">
						<div class="row ptm ">
							<div class="col-md-12 ">
								<div class="form-body">
									<form id="form_new" class="form-validate" novalidate="novalidate">
										<div id="form_div">
											<h5 class="form-header">
												<legend class="form-legend">
													Position des données sur le bulletin BVR
												</legend>
											</h5>
											<div class="section-form">
												<div class="row">
													<div class="col-xs-12">
														<p class="text-justify">Axe X: L'insertion de valeurs positives (+) entraîne le déplacement de la position vers la droite; l'insertion de valeurs négatives (-) entraîne le déplacement de la position vers la gauche.</p>
														<p class="text-justify">Axe Y: L'insertion de valeurs positives (+) entraîne le déplacement de la position vers le bas; l'insertion de valeurs négatives (-) entraîne le déplacement de la position vers le haut.</p>
													</div>
												</div>
												
												<hr>

												<div class="row mtxl">
													<div class="col-xs-12">
														<table class="table table-bordered table-striped">
															<thead>
																<th>&nbsp;</th>
																<th class="text-center" style="width: 120px">X-Position (mm)</th>
																<th class="text-center" style="width: 120px">Y-Position (mm)</th>
																<th>&nbsp;</th>
																<th class="text-center" style="width: 120px">X-Position (mm)</th>
																<th class="text-center" style="width: 120px">Y-Position (mm)</th>
															</thead>
															<tbody>
																<tr>
																	<td>Versement pour (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VersementPourGaucheX" name="VersementPourGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VersementPourGaucheY" name="VersementPourGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Versement pour (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VersementPourDroiteX" name="VersementPourDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VersementPourDroiteY" name="VersementPourDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>En faveur de (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="EnFaveurGaucheX" name="EnFaveurGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="EnFaveurGaucheY" name="EnFaveurGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>En faveur de (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="EnFaveurDroiteX" name="EnFaveurDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="EnFaveurDroiteY" name="EnFaveurDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>Numéro de compte (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumCompteGaucheX" name="NumCompteGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumCompteGaucheY" name="NumCompteGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Numéro de compte (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumCompteDroiteX" name="NumCompteDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumCompteDroiteY" name="NumCompteDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>Montant position des francs (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantFrancsGaucheX" name="MontantFrancsGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantFrancsGaucheY" name="MontantFrancsGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Montant position des centimes (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantCentsGaucheX" name="MontantCentsGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantCentsGaucheY" name="MontantCentsGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>Montant position des francs (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantFrancsDroiteX" name="MontantFrancsDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantFrancsDroiteY" name="MontantFrancsDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Montant position des centimes (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantCentsDroiteX" name="MontantCentsDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="MontantCentsDroiteY" name="MontantCentsDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>Versé par (à gauche)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VerseParGaucheX" name="VerseParGaucheX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VerseParGaucheY" name="VerseParGaucheY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Versé par (à droite)</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VerseParDroiteX" name="VerseParDroiteX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="VerseParDroiteY" name="VerseParDroiteY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
																<tr>
																	<td>N° de référence</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumReferenceX" name="NumReferenceX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="NumReferenceY" name="NumReferenceY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td>Ligne de codage</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="LigneCodageX" name="LigneCodageX" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																	<td class="text-center" style="width: 100px">
																		<input type="number" class="form-control" id="LigneCodageY" name="LigneCodageY" placeholder="0.00" value="0.00" style="width: 80px; display: inline-block;" step="any"/>
																	</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											
											<div class="form-footer mtl">
												<div class="row pull-right">
													<div class="col-md-12 ">
														<a href="/frifacturation/server/imprimer_pdf/exportar_payment_slip_preview.php" target="_blank" class="btn btn-info"><i class="fa fa-file-pdf-o"></i> Aperçu du document</a>
														&nbsp;&nbsp;
														<button class="btn btn-green submit_button" type="submit" data-flag="1" id="save_leave">
															<i class="fa fa-floppy-o"></i> Enregistrer
														</button>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>

		<?php include '../footer.php'; ?>

		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>
		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>

		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.js"></script>
		<script src="/js/vendors/bootstrap-datepicker/bootstrap-datepicker.pt.js"></script>
		<script src="/js/vendors/jquery-maskedinput/jquery-maskedinput.js"></script>

		<script src="/js/autoNumeric.js"></script>

		<script src="/js/vendors/bootstrap-fileinput/plugins/canvas-to-blob.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput.min.js" type="text/javascript"></script>
		<script src="/js/vendors/bootstrap-fileinput/fileinput_locale_pt.js" type="text/javascript"></script>

		<!-- <script>
			$(".navbar-nav li.faturacao").addClass("active");
		</script> -->
		<script>
			$(".navbar-nav li.personalizar").addClass("active");
			$(".navbar-nav li.personalizar li.personalizar_bvr").addClass("active");
		</script>

		<script>
			$(document).ajaxStart(function() {
				$(".fullscreen").show();
			});
			$(document).ajaxComplete(function() {
				if ($.active == 1) {
	                $(".fullscreen").fadeOut();
	            }
			});

			$(document).ready(function() {

				$(".fullscreen").fadeOut();

			});
			$(document).ready(function() {

				$("#form_new")[0].reset();

				/**
				 * @plugin Selectpicker
				 */
				$(".selectpicker").selectpicker({
					iconBase : 'fa',
					tickIcon : 'fa-check'
				});

				// $("#telefone_empresa").ForceNumericOnly();
				
				fill_dados();
			});

			//load data
			function fill_dados() {
				$.ajax({
					type : 'POST',
					url : '/server/faturacao/position_bvr.php',
					dataType : 'json',
					data : {},
					success : function(resposta) {
						if (resposta == null) {
							$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
						} else {
							if (resposta.errors == true) {
								$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								if (resposta.data == null) {
									$.scojs_message("[FAT9999] Une erreur s\'est produite. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									var dados = resposta.data;

									$("#VersementPourGaucheX").val(dados.VersementPourGaucheX);
									$("#VersementPourGaucheY").val(dados.VersementPourGaucheY);
									$("#VersementPourDroiteX").val(dados.VersementPourDroiteX);
									$("#VersementPourDroiteY").val(dados.VersementPourDroiteY);
									$("#EnFaveurGaucheX").val(dados.EnFaveurGaucheX);
									$("#EnFaveurGaucheY").val(dados.EnFaveurGaucheY);
									$("#EnFaveurDroiteX").val(dados.EnFaveurDroiteX);
									$("#EnFaveurDroiteY").val(dados.EnFaveurDroiteY);
									$("#NumCompteGaucheX").val(dados.NumCompteGaucheX);
									$("#NumCompteGaucheY").val(dados.NumCompteGaucheY);
									$("#NumCompteDroiteX").val(dados.NumCompteDroiteX);
									$("#NumCompteDroiteY").val(dados.NumCompteDroiteY);
									$("#MontantFrancsGaucheX").val(dados.MontantFrancsGaucheX);
									$("#MontantFrancsGaucheY").val(dados.MontantFrancsGaucheY);
									$("#MontantCentsGaucheX").val(dados.MontantCentsGaucheX);
									$("#MontantCentsGaucheY").val(dados.MontantCentsGaucheY);
									$("#MontantFrancsDroiteX").val(dados.MontantFrancsDroiteX);
									$("#MontantFrancsDroiteY").val(dados.MontantFrancsDroiteY);
									$("#MontantCentsDroiteX").val(dados.MontantCentsDroiteX);
									$("#MontantCentsDroiteY").val(dados.MontantCentsDroiteY);
									$("#VerseParGaucheX").val(dados.VerseParGaucheX);
									$("#VerseParGaucheY").val(dados.VerseParGaucheY);
									$("#VerseParDroiteX").val(dados.VerseParDroiteX);
									$("#VerseParDroiteY").val(dados.VerseParDroiteY);
									$("#NumReferenceX").val(dados.NumReferenceX);
									$("#NumReferenceY").val(dados.NumReferenceY);
									$("#LigneCodageX").val(dados.LigneCodageX);
									$("#LigneCodageY").val(dados.LigneCodageY);
								}
							}
						}
					},
					complete : function() {
					}
				});
			}

			// ----------------- FORM PROCESSING ------------------
			val_form_new = $("#form_new").validate({
				ignore : "",
				rules : {
				},
				messages : {

				},
				highlight : function(element, errorClass, validClass) {
					$(element).addClass(errorClass).removeClass(validClass);
				},
				unhighlight : function(element, errorClass, validClass) {
					$(element).removeClass(errorClass).addClass(validClass);
				},
				errorPlacement : function(error, element) {
					if (element.hasClass('selectpicker')) {
						if (element.parent().hasClass("input-group"))
							error.insertAfter(element.parent());
						else
							error.insertAfter(element.next("div"));
					} else {
						error.insertAfter(element);
					}
				}
			});

			//check validation and upload foto
			$("#form_new").submit(function(e) {
				e.preventDefault();

				var valid = $("#form_new").valid();
				if (valid == false) {
					$.scojs_message("Remplissez tous les champs", $.scojs_message.TYPE_ERROR);
				} else {


					$("#form_new").find('.submit_button').attr("disabled", true);
					$("#form_new").find('.submit_button').html('<i class="fa fa-circle-o-notch fa-spin  fa-fw "></i> Chargement ...');

					//submite the form
					$.ajax({
						type : 'POST',
						url : '/server/faturacao/position_bvr_editar.php',
						dataType : 'json',
						data : {
							VersementPourGaucheX : $("#VersementPourGaucheX").val(),
							VersementPourGaucheY : $("#VersementPourGaucheY").val(),
							VersementPourDroiteX : $("#VersementPourDroiteX").val(),
							VersementPourDroiteY : $("#VersementPourDroiteY").val(),
							EnFaveurGaucheX : $("#EnFaveurGaucheX").val(),
							EnFaveurGaucheY : $("#EnFaveurGaucheY").val(),
							EnFaveurDroiteX : $("#EnFaveurDroiteX").val(),
							EnFaveurDroiteY : $("#EnFaveurDroiteY").val(),
							NumCompteGaucheX : $("#NumCompteGaucheX").val(),
							NumCompteGaucheY : $("#NumCompteGaucheY").val(),
							NumCompteDroiteX : $("#NumCompteDroiteX").val(),
							NumCompteDroiteY : $("#NumCompteDroiteY").val(),
							MontantFrancsGaucheX : $("#MontantFrancsGaucheX").val(),
							MontantFrancsGaucheY : $("#MontantFrancsGaucheY").val(),
							MontantCentsGaucheX : $("#MontantCentsGaucheX").val(),
							MontantCentsGaucheY : $("#MontantCentsGaucheY").val(),
							MontantFrancsDroiteX : $("#MontantFrancsDroiteX").val(),
							MontantFrancsDroiteY : $("#MontantFrancsDroiteY").val(),
							MontantCentsDroiteX : $("#MontantCentsDroiteX").val(),
							MontantCentsDroiteY : $("#MontantCentsDroiteY").val(),
							VerseParGaucheX : $("#VerseParGaucheX").val(),
							VerseParGaucheY : $("#VerseParGaucheY").val(),
							VerseParDroiteX : $("#VerseParDroiteX").val(),
							VerseParDroiteY : $("#VerseParDroiteY").val(),
							NumReferenceX : $("#NumReferenceX").val(),
							NumReferenceY : $("#NumReferenceY").val(),
							LigneCodageX : $("#LigneCodageX").val(),
							LigneCodageY : $("#LigneCodageY").val(),
						},
						success : function(resposta) {
							var resp = resposta;
							if (resposta == null)
								$.scojs_message("[FAT001] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							else {
								if (resposta.errors) {
									$.scojs_message("[FAT002] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
								} else {
									$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								}
							}
						},
						complete : function(resposta) {
							var resp = resposta;
							console.log(resp);
							if (resp.responseJSON.errors) {
								$.scojs_message("[FAT003] Une erreur s\'est produite lors de l\'insertion des données. Contactez l\'administrateur", $.scojs_message.TYPE_ERROR);
							} else {
								$.scojs_message("Données mises à jour avec succès.", $.scojs_message.TYPE_OK);
								//reload
								setTimeout(function() {
									location.reload();
								}, 1000);
							}
							$("#form_new").find('.submit_button').attr("disabled", false);
							$("#form_new").find('.submit_button').html('<i class="fa fa-floppy-o"></i> Enregistrer');
						}
					});
				}
			});
		</script>
	</body>
</html>