<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0011']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/logs&redirectto=/parametres');
}
?>
<html>
	<title>Logs | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>

		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>
		<script src="/js/fnReload.js"></script>
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php
			include '../menu.php';
			?>
			<script>
				$(".navbar-nav li.logs").addClass("active");
			</script>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
						Logs
					</div>
					<div class="panel-body">
						<div class="row ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered" id="table_id" >
									<thead>
										<tr>
											<th style="max-width: 80px;">Nº Log</th>
											<th style="max-width: 130px;">Date/Heure</th>
											<th>Utilisateur</th>
											<th>Module</th>
											<th style="max-width: 150px;">Action</th>
											<th>Description de l'action</th>
											<th>IP</th>
											<th>hidden</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>

						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

	<?php
	include '../footer.php';
	?>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});

		var table_id;

		table_id = $('#table_id').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Todos"]],
			"aaSorting" : [[0, "desc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/server/datatable/logs.php",
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, { "bVisible": false }, null, null, null,{ "bVisible": false }],
			"aoColumnDefs" : [
				{
				"aTargets" : [1],
					"mRender" : function(data, type, full) {
						var ano = full[1].substring(0, 4);
						var mes = full[1].substring(4, 6);
						var dia = full[1].substring(6, 8);
						var hora = full[1].substring(8, 10);
						var min = full[1].substring(10, 12);
						var seg = full[1].substring(12, 14);
						var novadata = dia + "/" + mes + "/" + ano + " " + hora + ":" + min + ":" + seg;

						return novadata;
					},
				},
				{
				"aTargets" : [4],
					"mRender" : function(data, type, full) {
						var element = full[7];
						return element;

					}
				}
			],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				switch(aData[4]) {
				case "Inserir":
					$(nRow).attr("class", "green");
					break;
				case "Editar":
					$(nRow).attr("class", "orange");
					break;
				case "Enviar":
					$(nRow).attr("class", "purple");
					break;
				case "Apagar":
					$(nRow).attr("class", "danger");
					break;
				case "Login":
					$(nRow).attr("class", "blue");
					break;
				case "Logout":
					$(nRow).attr("class", "grey");
					break;
				}

				return nRow;
			}
		});

		$('#table_id_filter input').unbind();

		$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-blue dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');
		$('#table_id_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table_id.fnFilter(this.value);
			}
		});
		$('#table_id_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table_id.fnFilter('');
			}
		});
		function pesquisar() {
			table_id.fnFilter($('#table_id_filter input').val());

		}


		$("#table_id_filter input").attr("placeholder", "Appuyez sur entrée");

		$('#table_id tbody').on('click', 'tr', function() {
			$('#table_id tbody tr').removeClass('selected');
			$(this).removeClass('DTTT_selected');
			$(this).addClass('selected');

		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}

			return aReturn;
		}

	</script>
</html>