<?php
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/helpersAdmin.php';
include $_SERVER["DOCUMENT_ROOT"] . '/frifacturation/server/rolesPermsFunctions.php';

if (hasPermission(['P0005']) == 1 ) {
}else{
	header('Location: ../acces-refuse?redirectfrom=parametres/utilisateurs&redirectto=/parametres');
}
?>
<html>
	<title>Utilisateurs | Définitions </title>
	<head>
		<meta charset="utf-8" />
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>
		<link rel="stylesheet" href="/css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link rel="stylesheet" href="/css/font-awesome.min.css">

		<link rel="stylesheet" href="/js/vendors/bootstrap-select/bootstrap-select.min.css">

		<link href="/js/vendors/DataTables/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css">
		<link href="/js/vendors/DataTables/media/css/dataTables.bootstrap.css" rel="stylesheet" type="text/css">
		<link type="text/css" rel="stylesheet" href="/js/vendors/sco.message/sco.message.css">

		<link type="text/css" rel="stylesheet" href="/css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="/css/orange-blue.css" >
		<link rel="stylesheet"  type="text/css" href="/css/gesautarquia.css">

		<script src="/js/jquery-1.11.3.min.js"></script>
		<script src="/js/jquery-migrate-1.2.1.min.js"></script>
		<script src="/js/bootstrap.min.js"></script>

		<script src="/js/vendors/jquery-validate/jquery.validate.min.js"></script>

		<script src="/js/vendors/bootstrap-select/bootstrap-select.min.js"></script>
		<script src="/js/vendors/bootstrap-select/defaults-pt_BR.min.js"></script>

		<script src="/js/vendors/DataTables/media/js/jquery.dataTables.js"></script>
		<script src="/js/vendors/DataTables/media/js/dataTables.bootstrap.js"></script>
		<script src="/js/vendors/sco.message/sco.message.js"></script>
		<script src="/js/fnReload.js"></script>
	</head>
	<body>
		<?php
		include '../../modal_menu.php';
		?>
		<div class="container">

			<?php
			include '../menu.php';
			?>
			<script>
				$(".navbar-nav li.utilizador").addClass("active");
			</script>

			<div class="page-content">
				<div class="panel panel-white">
					<div class="panel-heading">
                        <div class="pull-left pas">
                            Utilisateurs
                        </div>
                        <div align="right">
										<a type="button" class="btn btn-blue" href="nouveau"> <i class="fa fa-plus-circle"></i> Nouvel utilisateur </a>
                        </div>
                    </div>
					<div class="panel-body">

						
						<div class="row ptm">
							<div class="col-md-12 ">
								<table class="table table-bordered" id="table_id" >
									<thead>
										<tr>
											<th>Nom</th>
											<th>Email</th>
											<th style="width: 120px;">Username</th>
											<th style="width: 110px;">Administrateur</th>
											<th style="width: 120px;">Profil</th>
											<th style="width: 60px;">Code Int.</th>
											<th style="width: 55px;">Etat</th>
											<th style="width: 90px;">Options</th>
										</tr>
									</thead>
									<tbody></tbody>
								</table>
							</div>

						</div>
					</div>

				</div>
			</div>
		</div>
		<a class="mainmenu" data-toggle="modal" data-target="#modal-menu" ><i class="fa fa-bars"></i></a>
	</body>

		<?php
			include '../footer.php';
			?>

	<script>
		$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
$(document).ajaxComplete(function() {
			if ($.active == 1) {
                $(".fullscreen").fadeOut();
            }
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});

		var table_id;

		table_id = $('#table_id').dataTable({
			"dom" : '<lfrtip><"clear">',
			"sRowSelect" : "os",
			"sRowSelector" : 'td:first-child',
			"lengthMenu" : [[25, 50, 100, -1], [25, 50, 100, "Todos"]],
			"aaSorting" : [[4, "asc"],[0, "asc"]],
			"bProcessing" : true,
			"bServerSide" : true,
			"sAjaxSource" : "/server/datatable/utilizadores.php",
			"oLanguage" : {
				"sLengthMenu" : "Show _MENU_ enregistrements par page",
				"sZeroRecords" : "Sans enregistrements",
				"sInfo" : "_START_ a _END_ de _TOTAL_ enregistrements",
				"sInfoEmpty" : " 0 a 0 de 0 enregistrements",
				"sProcessing" : "<div></div>",
				"sInfoFiltered" : "",
				"oPaginate" : {
					"sNext" : "Suivant",
					"sFirst" : "Premier",
					"sPrevious" : "Précédent",
					"sLast" : "Dernier"
				}
			},
			"aoColumns" : [null, null, null, null,
			{
				"bVisible" : true,
				"bSortable" : true,
				"sClass" : "text-center",
				"bSearchable" : true,
			}, {
				"bVisible" : true,
				"bSortable" : true,
				"sClass" : "text-center",
				"bSearchable" : true,
			}, {
				"bVisible" : true,
				"bSortable" : true,
				"sClass" : "text-center",
				"bSearchable" : true,
			}, {
				"bVisible" : true,
				"bSortable" : false,
				"sClass" : "text-center",
				"bSearchable" : false,
			}],
			"aoColumnDefs" : [
			{
				"aTargets" : [4],
				"mRender" : function(data, type, full) {
					return '<span class="">'+full[4]+'</span>';
				}
			},
			{
				"aTargets" : [6],
				"mRender" : function(data, type, full) {
					if (full[6] == "Ativo") {
						return '<span class="badge badge-success">Actif</span>';
					} else {
						return '<span class="badge badge-danger">Inactif</span>';
					}

				}
			}, {
				"aTargets" : [7],
				"mRender" : function(data, type, full) {
					var nome = "'" + full[0] + "'";

					if (full[6] == "Ativo") {
						return '<a href="modifier?utilisateur=' + full[7] + '" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a> <a href="password?utilisateur=' + full[7] + '" class="options-link text-violet"><i class="fa fa-lock" title="Password"></i></a> <a onclick="desactivar(' + full[7] + ',' + nome + ')" class="options-link text-yellow"><i class="fa fa-level-down" title="Désactiver"></i></a><a onclick="apagar(' + full[7] + ',' + nome + ')" class="options-link text-red"><i class="fa fa-trash" title="Supprimer"></i></a>';
					} else {
						return '<a href="modifier?utilisateur=' + full[7] + '" class="options-link text-orange"><i class="fa fa-edit" title="Modifier"></i></a>  <a href="password?utilisateur=' + full[7] + '" class="options-link text-violet"><i class="fa fa-lock" title="Password"></i></a> <a onclick="activar(' + full[7] + ',' + nome + ')" class="options-link text-green"><i class="fa fa-level-down" title="Activer"></i></a><a onclick="apagar(' + full[7] + ',' + nome + ')" class="options-link text-red"><i class="fa fa-trash" title="Supprimer"></i></a>';
					}

				}
			}],

			"fnRowCallback" : function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
				$(nRow).attr("dbID", aData[7]);

				return nRow;
			}
		});

		$('#table_id_filter input').unbind();

		$('#table_id_filter').html('<label><div class="input-group input-group-sm mbs"><input type="search" class="form-control input-sm" placeholder="" aria-controls="table_id"><span class="input-group-btn"><button type="button" data-toggle="dropdown" class="btn btn-blue dropdown-toggle" onclick="pesquisar()"><i class="fa fa-search"></i> Rechercher</button></span></div></label>');
		$('#table_id_filter input').bind('keyup', function(e) {
			if (e.keyCode == 13) {
				table_id.fnFilter(this.value);
			}
		});
		$('#table_id_filter input').bind('keyup', function(e) {
			if (($(this).val().length) == 0) {
				table_id.fnFilter('');
			}
		});
		function pesquisar() {
			table_id.fnFilter($('#table_id_filter input').val());

		}


		$("#table_id_filter input").attr("placeholder", "Appuyez sur Entrée");

		$('#table_id tbody').on('click', 'tr', function() {
			$('#table_id tbody tr').removeClass('selected');
			$(this).removeClass('DTTT_selected');
			$(this).addClass('selected');

		});
		function fnGetSelected(tabela) {
			var aReturn = new Array();
			var aTrs = tabela.fnGetNodes();
			for (var i = 0; i < aTrs.length; i++) {
				if ($(aTrs[i]).hasClass('row_selected')) {
					aReturn.push(aTrs[i]);
				}
			}

			return aReturn;
		}

		function desactivar(id_utilizador, nome) {
		
		<?php if (hasPermission(['P0003']) == 1) { ?>

			if (confirm('Êtes-vous sûr de vouloir désactiver l\'utilisateur ' + nome + '?')) {
				var msg_success = "L'utilisateur a été désactivé avec succès.";
				var msg_error = "Il y a eu un traitement des erreurs.";
				$.ajax({
					type : 'POST',
					url : '/server/editar/estado_utilizador.php',
					dataType : 'json',
					data : {
						opcao:1,
						id_utilizador : id_utilizador
					}
				}).done(function(resposta) {
					if (resposta.errors == false) {

						$.scojs_message(msg_success, $.scojs_message.TYPE_OK);
						table_id.dataTable().fnReloadAjax();
					} else {

						$.scojs_message(msg_error, $.scojs_message.TYPE_ERROR);

					}

				});
			}
		<?php } else {?>
			alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
		<?php } ?>
		}
		
		function activar(id_utilizador, nome) {

		<?php if (hasPermission(['P0003']) == 1) { ?>

			if (confirm('Êtes-vous sûr de vouloir activer l\'Utilisateur ' + nome + '?')) {
				var msg_success = "L\'utilisateur a été désactivé avec succès.";
				var msg_error = "Une erreur s\'est produite.";
				$.ajax({
					type : 'POST',
					url : '/server/editar/estado_utilizador.php',
					dataType : 'json',
					data : {
						opcao:2,
						id_utilizador : id_utilizador
					}
				}).done(function(resposta) {
					if (resposta.errors == false) {

						$.scojs_message(msg_success, $.scojs_message.TYPE_OK);
						table_id.dataTable().fnReloadAjax();
					} else {

						$.scojs_message(msg_error, $.scojs_message.TYPE_ERROR);

					}

				});
			}
		<?php } else {?>
			alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
		<?php } ?>
		}
		
		function apagar(id_utilizador, nome) {

		<?php if (hasPermission(['P0004']) == 1) { ?>

			if (confirm('Êtes-vous sûr de vouloir supprimer l\'utilisateur ' + nome + '?')) {
				var msg_success = "L\'utilisateur a été supprimé avec succès.";
				var msg_error = "Une erreur s\'est produite.";
				$.ajax({
					type : 'POST',
					url : '/server/apagar/utilizador.php',
					dataType : 'json',
					data : {
						id_utilizador : id_utilizador
					}
				}).done(function(resposta) {
					if (resposta.errors == false) {

						$.scojs_message(msg_success, $.scojs_message.TYPE_OK);
						table_id.dataTable().fnReloadAjax();
					} else {
						if (resposta.type == "validation") {
							$.scojs_message("Vous ne pouvez pas supprimer cet utilisateur, il est associé à plusieurs ressources internes.", $.scojs_message.TYPE_ERROR);
						}else {
							$.scojs_message(msg_error, $.scojs_message.TYPE_ERROR);
						}
					}
				});
			}
		<?php } else {?>
			alert('Votre profil d\'autorisations ne vous permet pas d\'effectuer l\'opération prévue.');
		<?php } ?>
		}

	</script>
</html>