<html lang="pt">
	<head>
		<title>Frifacturation | Fricode</title>
		<meta charset="utf-8">
		<link rel="shortcut icon" type="image/png" href="/img/favicon.png"/>

		<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,700">
		<link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald:400,700,300">
		<link type="text/css" rel="stylesheet" href="css/jquery-ui-1.10.4.custom.min.css">
		<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css">
		<link type="text/css" rel="stylesheet" href="css/sco.message.css">
		<link type="text/css" rel="stylesheet" href="css/style-responsive.css">
		<link type="text/css" rel="stylesheet" href="css/orange-blue.css" >
		<link type="text/css" rel="stylesheet" href="css/gesautarquia.css" >

	</head>

	<body id="signin-page">
		<div align="center" class="fullscreen">
			<i class="fa fa-circle-o-notch fa-spin fa-5x fa-fw " style="margin-top: 20%"></i>
		</div>
		<div class="logo-div" align="center">
			<a href="/"><img src="/img/frifacturation.png" style="max-width: 250px;"/></a>
		</div>

		<h4 class="text-center mts"><b> Logiciel de Facturation en Ligne</b></h4>
		
		<div class="page-form">
			<form id="form_recuperar">

				<div class="header-content">
					<h4 class="text-center text-white"><b>Récupération de mot de passe</b></h4>
				</div>
				<div class="body-content">
					<div class="paxl" align="center"><img src="/img/brasao.png" style="max-height: 100px;"/>
					</div>
					<div class="form-group">
						<div class="input-icon">
							<i class="fa fa-user"></i>
							<input type="text" placeholder="Username" name="username" id="username" class="form-control  required">
						</div>
					</div>
					<div class="form-group">
						<div class="input-icon">
							<i class="fa fa-envelope"></i>
							<input type="text" placeholder="Email" name="email" id="email" class="form-control required email">
						</div>
					</div>

					
					<div class="text-center col-md-12 ptl pbl">
						<button type="submit" class="btn btn-grey submit_button" >
							<i class="fa fa-arrow-right"></i> Récupérer
						</button>
					</div>

					<div class="col-xs-12 pbl">
						<p>
							<a href="index.php" class="options-link">Revenir en Arrière</a>
						</p>
					</div>
					
					<div class="clearfix"></div>
				</div>
			</form>

		</div>
		<p class="text-center">
			<b > <a href="http://fricode.ch/" class="options-link" target="_blank">Frifacturation Software </a>développée par<a href="http://fricode.ch/" class="options-link" target="_blank">Fricode Software</a>© <?php echo date("Y"); ?> | Tous droits réservés. </b>
		</p>
		
		
	

	</body>
	<script src="js/jquery-1.10.2.min.js"></script>
	<script src="js/jquery-migrate-1.2.1.min.js"></script>
	<script src="js/jquery-ui.js"></script>
	<!--loading bootstrap js-->
	<script src="js/bootstrap.min.js"></script>
	<script src="js/jquery.validate.min.js"></script>
	<script src="js/sco.message.js"></script>
	<script>
	
	$(document).ajaxStart(function() {
			$(".fullscreen").show();
		});
		$(document).ajaxComplete(function() {
			$(".fullscreen").fadeOut();
		});

		$(document).ready(function() {

			$(".fullscreen").fadeOut();

		});
		
		$("#form_recuperar").submit(function() {
			var invalid = "Le nom d'utilisateur et le mot de passe sont obligatoires.";
			var wrong = "Données d'accès incorrectes.";
			var error = " Une erreur s'est produite lors du traitement de la demande."
			var user_not_found = " L\'utilisateur / email n\'est pas enregistré. Veuillez vérifier si les données sont correctes."
			var valid = $("#form_recuperar").valid();
			if (!valid) {

				$.scojs_message(invalid, $.scojs_message.TYPE_ERROR);
				return;
			}
			$.ajax({
				type : "POST",
				url : "server/recuperar_password.php",
				dataType : "json",
				data : {
					username : $("#username").val(),
					email : $("#email").val()
				}
			}).done(function(resposta) {

				if (resposta.errors) {
					// console.log(resposta);
					if (resposta.type == 4) {

						$.scojs_message(wrong, $.scojs_message.TYPE_ERROR);

					} else {

						if(resposta.user_not_found == true){
							$.scojs_message(resposta.message + resposta.type + user_not_found, $.scojs_message.TYPE_ERROR);
						}else{
							$.scojs_message(resposta.message + resposta.type + error, $.scojs_message.TYPE_ERROR);
						}
					}

				} else {

					window.location.href = "home";

				}
			});
			return false;
		});

		$("#form_recuperar").validate({
			rules : {
				username : {
					required : true
				},
				email : {
					required : true,
					email: true
				}
			},
			messages : {
				username : {
					required : "Le nom d'utilisateur est requis"
				},
				email : {
					required : "Un email est requis",
					email : "Email invalide",
				}
			}
		});
	</script>

</html>