<?php
header('Content-Type: text/html; charset=utf-8');

include "library/EmailReader/EmailReader.php";
include '../../connection.php';
// include '../../connection_mysql.php';

/* ====================================

//init vars
$emails_list = getEmailsList();
$total_emails = $emails_list["numEmails"];
$removedIDS = array();
$selectedDB = getSelectedClient($sqli_connection);
//var_dump($emails_list, $total_emails, $removedIDS, $selectedDB);die();

//final response vars
$response = array();
$response['var_dumps'] = null;
$response['logs'] = array();
$response['total_compteurs'] = 0;

$finalAttachmentsProcessed = array();
$finalAttachUids = array();

if ($emails_list > 0) {
	$emails = $emails_list["emails"];
	foreach ($emails as $key => $value) {
		if ($value["fromAddr"] == "tiago.pais@ftkode.com" || $value["fromAddr"] == "kpax@fricode.ch") {
			$uID = $value["uID"];
			$partNum = "";

			//check result
			$resultEmailChecker = check_email_readed($value["fromAddr"], $value["subject"], $value["mailDate"], $value["udate"], $sqli_connection);

			//add email to the list of "must remove"
			if( $resultEmailChecker ) {
				$removedIDS[] = $value["uID"];
				// deleteEmail($value["uID"], '');
			}else{
				// $downAttachments[] = downloadSingleAttachment($uID, "KPAXManageReport.20180521.2359242401.1.xml", 2, 3, $folder = '', $uploadFolder = 'server/auto/consommables_compteurs/temp');
				$downAttachments = downloadAllAttachments($uID, $folder = '', $uploadFolder = dirname(__FILE__) . '/temp');
				foreach ($downAttachments as $key => $attach) {
					if(strpos($attach["Anexo"], '.xml') !== false && strpos($attach["Anexo"], 'KPAXManageReport') !== false){
						if(in_array($attach, $finalAttachmentsProcessed) == false){
							$finalAttachmentsProcessed[] = $attach;
							$finalAttachUids[] = $uID;

							//add email to db list
							$fileURL = dirname(__FILE__) . '/';
							$fileURL = "/server/auto/consommables_compteurs/temp/" . $attach["Titulo"];
							insert_email_readed($value["fromAddr"], $value["subject"], $value["mailDate"], $fileURL, $value["udate"], $sqli_connection, $id_utilizador);
						}
					}
				}
			}
		}
	}

	// var_dump($finalAttachmentsProcessed, $finalAttachUids);
	if (!is_null($finalAttachmentsProcessed)) {
		foreach ($finalAttachmentsProcessed as $key => $value) {
			// var_dump($value["Titulo"],$value["Anexo"],$finalAttachUids[$key] );
			readXML($value["Titulo"], $finalAttachUids[$key], $selectedDB);
		}
	}
	expungeEmail("");
}

//clean all emails in the removal list
if (!is_null($removedIDS)) {
	foreach ($removedIDS as $key => $value) {
		deleteEmail($value, '');
	}
}

============================== */

//MANUAL FILE READER
$selectedDB = getSelectedClient($sqli_connection);
$fileToRead = "KPAX_Manual_File.xml";
$emailID = "MANUAL";

//CALL THE FUNC TO READ
readXML($fileToRead, $emailID, $selectedDB);

//READ XML FILE
function readXML($fileNameRec, $emailID, $selectedDB) {
	global $response;
	$response['var_dumps'][] = '[ =========> DB... '.$selectedDB.' <========== ]';

	$finalDecision = true;
	$uploadFolder = dirname(__FILE__) . '/';
	$fileName = "temp/" . $fileNameRec;
	
	$obj["date"] = date('d/m/Y');
	$obj["fichier"] = $fileNameRec;
	$obj["faturado"] = 0;

	$obj["codeInternContrat"] = 0;
	$obj["totalMaquina"] = 0;
	$obj["totalNoir"] = 0;
	$obj["totalCouleur"] = 0;
	$obj["dateControle"] = date('Y-m-d H:i:s');
	$obj["nomMaquina"] = '';
	$obj["fabricante"] = '';
	$obj["modelo"] = '';
	$obj["nSerie"] = '';
	$obj["macAddress"] = '';
	$obj["addressIP"] = '';
	$obj["piso"] = '';
	$obj["localizacao"] = '';
	$obj["nomeAgente"] = '';
	$obj["versaoAgente"] = '';
	$obj["DeviceId"] = '';
	$obj["Inativo"] = 0;

	if (file_exists($fileName)) {
		//no enable parsing errors
		libxml_use_internal_errors(true);
		
		$xml = simplexml_load_file($fileName);
		// var_dump($xml);die();
		// $xml2 = simplexml_load_file("php://filter/read=xmlutf8/resource=".$fileName);
		// $xml2 = simplexml_load_string( utf8_for_xml(file_get_contents($fileName)) );
		// $xml2 = simplexml_load_string( file_get_contents($fileName) );

		// if( (!$xml || $xml == false) && ($xml2 || $xml2 !== false) ){
		// 	$xml = $xml2;
		// }

		if(!$xml || $xml == false){
			$isInvalidDownload = true;
			$notifSubject = "[Fichier Manual] Problème de lecture de compteurs - DB: ".$selectedDB;
			$notifText = "<p>[Fichier Manual] Rapport d'erreur de lecture du fichier XML des Compteurs.</p>";
			$notifText .= "<p>Liste des erreurs:";
			$errorsList .= "";
			foreach (libxml_get_errors() as $keyErr => $valueErr) {
				$errorsList .= "<br>- Code: ".$valueErr->code." - Line: ".$valueErr->line." - Message: ".$valueErr->message;
				// if( intval($valueErr->code) == 4 ) $isInvalidDownload = true;
			}
			$notifText .= $errorsList;
			$notifText .= "<br>- File: ".$fileName;
			$notifText .= "</p>";
			$notifText .= "<p>Cordialement,<br>Frifacturation.</p>";
			// var_dump($errorsList);die();
			// var_dump($notifSubject, $notifText, $fileName);die();
			sendEmailNotification($notifSubject, $notifText, $fileName, $isInvalidDownload);
		}else{
			foreach ($xml -> DeviceCollection ->children()->Device as $device) {
				$response['var_dumps'][] = 'READED NUMBER --> '.(string)$device->{'No.Contratinterne'};
				// vars init
				$processedInternContrat = (string)$device-> {'No.Contratinterne'};

				//if FRICOPY DB, check for FRICOPY string in the contracts
				if($selectedDB == "FRICOPY"){
					$response['var_dumps'][] = '[ Fricopy DB ]';
				    if(strpos($processedInternContrat, "FRICOPY") !== false){
					    $processedInternContrat = str_replace("FRICOPY", "", $processedInternContrat);
					    $response['var_dumps'][] = '[ Fricopy here... '.(string)$device-> {'No.Contratinterne'}.' ]';
				    }else{
				        $processedInternContrat = 0;
				    }
					$response['var_dumps'][] = '[ Final --> '.$processedInternContrat.' ]';
					$response['var_dumps'][] = '[ =================================================== ]';
				}
				$response['var_dumps'][] = '';

				$obj["codeInternContrat"] = $processedInternContrat;
				$obj["totalNoir"] = (string)$device-> {'TotalMono'};
				$obj["totalCouleur"] = (string)$device-> {'TotalColor'};
				$obj["dateControle"] = (string)$device-> {'LastCheck'};
				$obj["fabricante"] = (string)$device-> {'Manufacturer'};
				$obj["modelo"] = (string)$device-> {'Model'};
				$obj["nSerie"] = (string)$device-> {'SerialNumber'};
				$obj["piso"] = (string)$device-> {'Piso'};
				$obj["localizacao"] = (string)$device-> {'DeviceLocation'};
				$obj["DeviceId"] = (string)$device-> {'DeviceId'};

				// foreach ($xml -> ChargeCounter->children() as $counters) {
				// 	if ($counters['Mode'] == "PRINT") {
				// 	}
				// }

				// var_dump('---------',$date,$fichier,$faturado,$codeInternContrat,$totalMaquina,$totalNoir,$totalCouleur,$dateControle,$nomMaquina,$fabricante,$modelo,$nSerie,$macAddress,$addressIP,$piso,$localizacao,$nomeAgente,$versaoAgente,$Inativo,$DeviceId,'---------');
				$insert_db = insertDB($obj);
				// if($insert_db == false) $finalDecision = false;
			}
		}

		//delete file and email if necessary
		// if ($finalDecision) {
		// 	// var_dump($emailID,$uploadFolder.$fileName);
		// 	deleteEmail($emailID, '');
		// 	unlink($uploadFolder.$fileName);
		// }
	} else {
		exit('Impossible d\'ouvrir le fichier XML ' . $fileName);
	}

}

function insertDB($obj) {
	global $response;
	global $sqli_connection;

	$result1 = true;
	$idConsommable = 0;

	//check if contrat exists
	if ($obj["codeInternContrat"] == 0) {
		$result1 = false;
		return $result1;
	}

	//check if contract exists and get the id
	$query = "SELECT ID_Consommable FROM faturacao_consommables WHERE faturacao_consommables.Numero = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("s", $obj["codeInternContrat"]);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA003";
			$response["message"] = $stmt -> error;
			$result1 = false;
		}
		$stmt -> bind_result($idConsommable);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA004";
		$response["message"] = $sqli_connection -> error;
		$result1 = false;
	}
	//check if exists
	if ($idConsommable < 1) {
		$result1 = false;
		return $result1;
	}

	//get last count number
	$query = "SELECT MAX(NumContagem) FROM faturacao_consommables_compteurs WHERE ID_Consommable=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("d", $idConsommable);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA005";
			$response["message"] = $stmt -> error;
			$result1 = false;
		}
		$stmt -> bind_result($maxContagem);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA006";
		$response["message"] = $sqli_connection -> error;
		$result1 = false;
	}
	//check if exists
	if ($maxContagem < 1) $maxContagem = 1;
	else $maxContagem++;

	//insert compteur
	$query = "INSERT INTO faturacao_consommables_compteurs (
			ID_Consommable,
			NumContagem,
			Data,
			Ficheiro,
			Faturado,
			ContadorDispositivo,
			ContagemPreto,
			ContagemCores,
			UltimaVerificacao,
			NomeDispositivo,
			Fabricante,
			Modelo,
			NumSerie,
			MacAddress,
			EnderecoIP,
			Piso,
			Localizacao,
			NomeAgente,
			VersaoAgente,
			DeviceId,
			Inatividade
		) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ddsssssssssssssssssss",
		                    	$idConsommable,
		                    	$maxContagem,
		                    	$obj["date"],
		                    	$obj["fichier"],
		                    	$obj["faturado"],
		                    	$obj["totalMaquina"],
		                    	$obj["totalNoir"],
		                    	$obj["totalCouleur"],
		                    	$obj["dateControle"],
		                    	$obj["nomMaquina"],
		                    	$obj["fabricante"],
		                    	$obj["modelo"],
		                    	$obj["nSerie"],
		                    	$obj["macAddress"],
		                    	$obj["addressIP"],
		                    	$obj["piso"],
		                    	$obj["localizacao"],
		                    	$obj["nomeAgente"],
		                    	$obj["versaoAgente"],
		                    	$obj["DeviceId"],
		                    	$obj["Inativo"]
							);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA007";
			$response["message"] = $stmt -> error;
			$result1 = false;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA008";
		$response["message"] = $sqli_connection -> error;
		$result1 = false;
	}

	//check if exists
	if ($result1 == false) {
		return $result1;
	}

	// UPDATE REMAIN FIELDS LINES
	$query = "UPDATE faturacao_consommables SET Etat_noir=?, Etat_couleur=? WHERE ID_Consommable = ?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssd", $obj["totalNoir"], $obj["totalCouleur"], $idConsommable);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA009";
			$response["message"] = $stmt -> error;
			$result1 = false;
		}
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA010";
		$response["message"] = $sqli_connection -> error;
		$result1 = false;
	}

	if($result1 != false){
		$cronLog = '[CRON] Comptage Automatique: Contrat -- '.$obj["codeInternContrat"].' -> Fabricant -- '.$obj["fabricante"].' -> Modèle -- '.$obj["modelo"].' -> Numéro Série -- '.$obj["nSerie"].' -> Total Noir -- '.$obj["totalNoir"].' -> Total Couleur -- '.$obj["totalCouleur"];

		$cronLogSmall = '[CRON] Comptage Automatique: Contrat -- '.$obj["codeInternContrat"].' -> Total Noir -- '.$obj["totalNoir"].' -> Total Couleur -- '.$obj["totalCouleur"];
		
		$response['logs'][] = $cronLog;
		$response['total_compteurs']++;

		$id_utilizador = 2;

		insert_log(0,"Inserir",$cronLogSmall,$sqli_connection,$id_utilizador);
	}

	return $result1;
}

//response
// $response['logs'] = $finalAttachmentsProcessed;
// $response['total_compteurs'] = count($finalAttachmentsProcessed);
// var_dump('Logs var_dump: ');
// foreach ($response['var_dumps'] as $vd) {
// 	var_dump($vd);
// 	var_dump('');
// }
//------------
var_dump('===================================');
var_dump('Total des appareils comptabilisés: '.$response["total_compteurs"]);
var_dump('================================================================');
var_dump('Logs: ');
var_dump(' ');
foreach ($response['logs'] as $log) {
	var_dump($log);
	var_dump(' ');
}
var_dump('================================================================');
die();

//get Current Client
function getSelectedClient($sqli_connection) {
	//init vars
	$currentCliente = null;

	//check if exists
	$query = "SELECT DATABASE()";
	if ($stmt = $sqli_connection -> prepare($query)) {
		// $stmt -> bind_param("ssss", $FromAddr, $Subject, $MailDate, $UDate);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA001";
			$response["message"] = $stmt -> error;
			$result1 = false;
		}
		$stmt -> bind_result($currentDB);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA002";
		$response["message"] = $sqli_connection -> error;
		$result1 = false;
	}

	//check if exists
	if(strpos($currentDB, "fricopy") !== false) $currentCliente = 'FRICOPY';
	elseif(strpos($currentDB, "fricode") !== false) $currentCliente = 'FRICODE';
	else $currentCliente = $currentDB;
	// else $currentCliente = 'FRICODE';

	return $currentCliente;
}

//Insert Readed Email
function insert_email_readed($FromAddr, $Subject, $MailDate, $XMLFileURL, $UDate, $sqli_connection, $id_utilizador) {
	$id_utilizador = $id_utilizador;
	$nome_utilizador = 'CRON JOB EMAIL READER';
	$data = date('d/m/Y');
	$hora = date('H:i:s');
	$createdAt = date('Y-m-d H:i:s');
	// if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
	// 	$ip = $_SERVER['HTTP_CLIENT_IP'];
	// } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
	// 	$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	// } else {
	// 	$ip = $_SERVER['REMOTE_ADDR'];
	// }
	$ip = "51.255.160.175";

	$query = "INSERT INTO faturacao_emails_kpax_readed (FromAddr, Subject, MailDate, XmlFileURL, UDateTime, CreatedAt) values(?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssssss", $FromAddr, $Subject, $MailDate, $XMLFileURL, $UDate, $createdAt);
		$stmt -> execute();
		$stmt -> close();
	}
}

//Check Readed Email
function check_email_readed($FromAddr, $Subject, $MailDate, $UDate, $sqli_connection) {
	//init vars
	$resultCountElems = false;
	$counterElements = 0;

	//check if exists
	$query = "SELECT COUNT(*) FROM faturacao_emails_kpax_readed WHERE FromAddr=? AND Subject=? AND MailDate=? AND UDateTime=?";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("ssss", $FromAddr, $Subject, $MailDate, $UDate);
		$result = $stmt -> execute();
		if (false === $result) {
			$response["errors"] = true;
			$response["line"] = "FTGA003";
			$response["message"] = $stmt -> error;
			$result = false;
		}
		$stmt -> bind_result($counterElements);
		$stmt -> fetch();
		$stmt -> close();
	} else {
		$response["errors"] = true;
		$response["line"] = "FTGA004";
		$response["message"] = $sqli_connection -> error;
		$result = false;
	}

	//check if exists
	if ($counterElements > 0) $resultCountElems = true;
	else $resultCountElems = false;

	return $resultCountElems;
}

//Insert Logs
function insert_log($modulo, $accao, $descricao, $sqli_connection, $id_utilizador) {
	$id_utilizador = $id_utilizador;
	$nome_utilizador = 'CRON JOB';
	$data = date('d/m/Y');
	$hora = date('H:i:s');

	$ip = "51.255.160.175";
	// if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
	// 	$ip = $_SERVER['HTTP_CLIENT_IP'];
	// } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
	// 	$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	// } else {
	// 	$ip = $_SERVER['REMOTE_ADDR'];
	// }
	// $ip = "51.255.160.175";

	$query = "Insert into log (ID_Utilizador, Nome, Data, Hora, ID_Modulo, Accao, Descricao, IP) values(?,?,?,?,?,?,?,?)";
	if ($stmt = $sqli_connection -> prepare($query)) {
		$stmt -> bind_param("dsssdsss", $id_utilizador, $nome_utilizador, $data, $hora, $modulo, $accao, $descricao, $ip);
		$stmt -> execute();
		$stmt -> close();
	}
}

//Send email notification
function sendEmailNotification($notifSubject, $notifText, $fileName, $isInvalidDownload){	
	require_once ('../../../server/PHPMailer/PHPMailerAutoload.php');

	$html = $notifText;
	
	
	$Mailer = new PHPMailer();

	// define que será usado SMTP
	$Mailer -> IsSMTP();

	// envia email HTML
	$Mailer -> isHTML(true);

	// codificação UTF-8, a codificação mais usada recentemente
	$Mailer -> CharSet = 'UTF-8';

	$Mailer -> SMTPDebug = 0;

	// Configurações do SMTP
	$emailCliente = "helpdesk@fricopy.ch";
	if($isInvalidDownload) $emailCliente = "geral@ftkode.com";
	// var_dump($emailCliente);
	
	$Mailer -> SMTPAuth = true;
	$Mailer -> SMTPSecure = '';
	$Mailer -> Host = 'mail.infomaniak.com';
	$Mailer -> Port = 587;
	$Mailer -> Username = 'no-reply@frifacturation.ch';
	$Mailer -> Password = 'k5xc0dBFaESq';
	$Mailer -> From = 'no-reply@frifacturation.ch';
	$Mailer -> FromName = 'Frifacturation.ch';
	$Mailer -> Subject = $notifSubject;
	$Mailer -> AddAddress($emailCliente);
	$Mailer -> AddCC("geral@ftkode.com");
	$Mailer -> Body = $html;
	$send = $Mailer -> Send();
	
	// unlink($invoiceLink);	
	
	if ($send) {
		$response["errors"] = false;
		die(json_encode($response));
	} else {
		$response["errors"] = true;
		$response["type"] = 5;
		$response["send"] = $send;
		$response["message"] = "GESA005x";
		die(json_encode($response));
	}
}

/*

//cleaning the xml string when necessary
function utf8_for_xml($string)
{
	$cleanStr = $string;
    # $cleanStr = preg_replace ('/[^\x{0009}\x{000a}\x{000d}\x{0020}-\x{D7FF}\x{E000}-\x{FFFD}]+/u', ' ', $string);
    $cleanStr = str_replace("", ' ', $cleanStr);

    return $cleanStr;
}

//cleaning the xml string when necessary
stream_filter_register('xmlutf8', 'ValidUTF8XMLFilter');

class ValidUTF8XMLFilter extends php_user_filter
{
    protected static $pattern = '/[^\x{0009}\x{000a}\x{000d}\x{0020}-\x{D7FF}\x{E000}-\x{FFFD}]+/u';

    function filter($in, $out, &$consumed, $closing)
    {
        while ($bucket = stream_bucket_make_writeable($in)) {
            $bucket->data = preg_replace(self::$pattern, '', $bucket->data);
            $consumed += $bucket->datalen;
            stream_bucket_append($out, $bucket);
        }
        return PSFS_PASS_ON;
    }
}
*/

?>