<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";

// GET NECESSARY DATA ----------------------------------------------------
$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET $_GET VARS ---------------------------------------------------------


//DEFINE VARS ------------------------------------------------------------
$objectData = array();

//GET THE PROCESS --------------------------------------------------------
$query = "SELECT Mod_Compras, 
	Mod_Vendas, 
	Mod_Contratos, 
	Mod_Consommables, 
	Mod_Licences, 
	Mod_LojaOnline, 
	Mod_Contabilidade, 
	Mod_Rapports, 
	Mod_Devis, 
	Mod_Livraison, 
	ID_Modulo, 
	Nome 
	FROM faturacao_modulos 
	WHERE Ativo = 1 ORDER BY STR_TO_DATE(`DataActivacao`, '%d/%m/%Y') DESC";

if ( $stmt = $sqli_connection -> prepare($query) ) {
	//bind params
	// $stmt -> bind_param("d", $idDados);
	//result single
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> bind_result(
		$objectData['module_compras'],
		$objectData['module_vendas'],
		$objectData['module_contratos'],
		$objectData['module_consommables'],
		$objectData['module_licence'],
		$objectData['module_lojaonline'],
		$objectData['module_contabilidade'],
		$objectData['module_rapports'],
		$objectData['module_devis'],
		$objectData['module_livraison'],
		$objectData['ID_Modulo'],
		$objectData['Nome']
	);
	$stmt -> fetch();
	$stmt -> close();
	
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

// var_dump($objectData);die();
$response["errors"] = false;
$response["data"] = $objectData;
die(json_encode($response));

?>