<?php
//INCLUDE CONNECTION AND GLOBAL VARS ------------------------------------
include $_SERVER["DOCUMENT_ROOT"] . "/server/controlo.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/connection.php";
include $_SERVER["DOCUMENT_ROOT"] . "/server/inserir/log.php";

$ano = $_SESSION['ano'];
$id_utilizador = $_SESSION['id_utilizador'];

//GET POST VARS ---------------------------------------------------------
$idDados = 1;

$VersementPourGaucheX = $_POST['VersementPourGaucheX'];
$VersementPourGaucheY = $_POST['VersementPourGaucheY'];
$VersementPourDroiteX = $_POST['VersementPourDroiteX'];
$VersementPourDroiteY = $_POST['VersementPourDroiteY'];
$EnFaveurGaucheX = $_POST['EnFaveurGaucheX'];
$EnFaveurGaucheY = $_POST['EnFaveurGaucheY'];
$EnFaveurDroiteX = $_POST['EnFaveurDroiteX'];
$EnFaveurDroiteY = $_POST['EnFaveurDroiteY'];
$NumCompteGaucheX = $_POST['NumCompteGaucheX'];
$NumCompteGaucheY = $_POST['NumCompteGaucheY'];
$NumCompteDroiteX = $_POST['NumCompteDroiteX'];
$NumCompteDroiteY = $_POST['NumCompteDroiteY'];
$MontantFrancsGaucheX = $_POST['MontantFrancsGaucheX'];
$MontantFrancsGaucheY = $_POST['MontantFrancsGaucheY'];
$MontantCentsGaucheX = $_POST['MontantCentsGaucheX'];
$MontantCentsGaucheY = $_POST['MontantCentsGaucheY'];
$MontantFrancsDroiteX = $_POST['MontantFrancsDroiteX'];
$MontantFrancsDroiteY = $_POST['MontantFrancsDroiteY'];
$MontantCentsDroiteX = $_POST['MontantCentsDroiteX'];
$MontantCentsDroiteY = $_POST['MontantCentsDroiteY'];
$VerseParGaucheX = $_POST['VerseParGaucheX'];
$VerseParGaucheY = $_POST['VerseParGaucheY'];
$VerseParDroiteX = $_POST['VerseParDroiteX'];
$VerseParDroiteY = $_POST['VerseParDroiteY'];
$NumReferenceX = $_POST['NumReferenceX'];
$NumReferenceY = $_POST['NumReferenceY'];
$LigneCodageX = $_POST['LigneCodageX'];
$LigneCodageY = $_POST['LigneCodageY'];

//UPDATE DB -------------------------------------------------------------
$query = "UPDATE faturacao_parametros_bvr SET 
	VersementPourGauche_X=?,
	VersementPourGauche_Y=?,
	VersementPourDroite_X=?,
	VersementPourDroite_Y=?,
	EnFaveurGauche_X=?,
	EnFaveurGauche_Y=?,
	EnFaveurDroite_X=?,
	EnFaveurDroite_Y=?,
	NumCompteGauche_X=?,
	NumCompteGauche_Y=?,
	NumCompteDroite_X=?,
	NumCompteDroite_Y=?,
	MontantFrancsGauche_X=?,
	MontantFrancsGauche_Y=?,
	MontantFrancsDroite_X=?,
	MontantFrancsDroite_Y=?,
	MontantCentsGauche_X=?,
	MontantCentsGauche_Y=?,
	MontantCentsDroite_X=?,
	MontantCentsDroite_Y=?,
	VerseParGauche_X=?,
	VerseParGauche_Y=?,
	VerseParDroite_X=?,
	VerseParDroite_Y=?,
	NumReference_X=?,
	NumReference_Y=?,
	LigneCodage_X=?,
	LigneCodage_Y=?
	
	WHERE ID_Param=?";

if ($stmt = $sqli_connection -> prepare($query)) {
	$stmt -> bind_param("ssssssssssssssssssssssssssssd",
	            $VersementPourGaucheX,
				$VersementPourGaucheY,
				$VersementPourDroiteX,
				$VersementPourDroiteY,
				$EnFaveurGaucheX,
				$EnFaveurGaucheY,
				$EnFaveurDroiteX,
				$EnFaveurDroiteY,
				$NumCompteGaucheX,
				$NumCompteGaucheY,
				$NumCompteDroiteX,
				$NumCompteDroiteY,
				$MontantFrancsGaucheX,
				$MontantFrancsGaucheY,
				$MontantCentsGaucheX,
				$MontantCentsGaucheY,
				$MontantFrancsDroiteX,
				$MontantFrancsDroiteY,
				$MontantCentsDroiteX,
				$MontantCentsDroiteY,
				$VerseParGaucheX,
				$VerseParGaucheY,
				$VerseParDroiteX,
				$VerseParDroiteY,
				$NumReferenceX,
				$NumReferenceY,
				$LigneCodageX,
				$LigneCodageY,
				$idDados 
	    	);
	$result = $stmt -> execute();
	if (false === $result) {
		$response["errors"] = true;
		$response["type"] = "query";
		$response["line"] = "FATS001";
		$response["message"] = $stmt -> error;
		die(json_encode($response));
	}
	$stmt -> close();
} else {
	$response["errors"] = true;
	$response["type"] = "query";
	$response["line"] = "FATS002";
	$response["message"] = $sqli_connection -> error;
	die(json_encode($response));
}

//--------------------------------------------------------------


//log sistema - processo
$descricao_log ="Modification de la position du BVR";
insert_log(0,"Editar",$descricao_log,$sqli_connection);

//response
$response["errors"] = false;
die(json_encode($response));
?>